<#if display?? && display == 'radio'>
    <label><input type="radio" id="${id?js_string}" name="${id?js_string}" value="${value?js_string}" <#if selected?? && selected == value>checked="checked"</#if>><#if text?? && text?has_content>${text?js_string}</label></#if>
<#elseif display?? && display == 'checkbox'>
    <label><input type="checkbox" id="${id?js_string}" name="${id?js_string}" value="${value?js_string}" <#if selected?? && isSelected(value, selected, separator)>checked="checked"</#if>><#if text?? && text?has_content>${text?js_string}</label></#if>
<#else>	
   	<option value="${value?js_string}" <#if selected?? && selected == value>selected="selected"</#if>><#if text?? && text?has_content>${text?js_string}</option></#if>
</#if>

<#function isSelected val selected separator>
    <#local x=false>
    <#if selected??>
        <#list selected?split(separator) as item>
            <#if val == item?trim>
                <#local x=true>
            </#if>
        </#list>
    </#if>
    <#return x>
</#function>