<div class="<#if cssClassPrefix??>${cssClassPrefix}</#if>pg">
	<table align="center" summary="페이지 네비게이션">
		<tbody>
			<tr>
				<#-- '처음' 링크 -->
				<td class="<#if cssClassPrefix??>${cssClassPrefix}</#if>pgFirst">
				<#if currentPage == 1 || pageCount == 0>
					<span><#if firstPageImg??><img alt="<#if firstPageText??> ${firstPageText} </#if>" src="${firstPageImg}" /></#if><#if firstPageText??> ${firstPageText} </#if></span>
				<#else>
					<a href="javascript:Modular.controller.Page.gotoPage('${searchId}', 1)"><#if firstPageImg??><img alt="<#if firstPageText??> ${firstPageText} </#if>" src="${firstPageImg}" /></#if><#if firstPageText??> ${firstPageText} </#if></a>
				</#if>
				</td>
				<#-- '이전' 링크 -->
				<td class="<#if cssClassPrefix??>${cssClassPrefix}</#if>pgPrev">
				<#if currentPage == 1 || pageCount == 0>
					<span><#if prevPageImg??><img alt="<#if prevPageText??> ${prevPageText} </#if>" src="${prevPageImg}" /></#if><#if prevPageText??> ${prevPageText} </#if></span>
				<#else>
					<a href="javascript:Modular.controller.Page.gotoPage('${searchId}', ${currentPage - 1})"><#if prevPageImg??><img alt="<#if prevPageText??> ${prevPageText} </#if>" src="${prevPageImg}" /></#if><#if prevPageText??> ${prevPageText} </#if></a>
				</#if>
				</td>
				<#-- 페이지 번호 생성 -->
				<#if pageCount == 0>
					<td class="<#if cssClassPrefix??>${cssClassPrefix}</#if>on">1</td>
				<#else>
					<#list firstPage..lastPage as i>
					<#if currentPage == i>
					<td class="<#if cssClassPrefix??>${cssClassPrefix}</#if>on">${i}</td>
					<#else>
					<td><a href="javascript:Modular.controller.Page.gotoPage('${searchId}', ${i})">${i}</a></td>
					</#if>
					</#list>
				</#if>
				<#-- '다음' 링크 -->
				<td class="<#if cssClassPrefix??>${cssClassPrefix}</#if>pgNext">
				<#if currentPage == pageCount || pageCount == 0>
					<span><#if nextPageText??> ${nextPageText} </#if><#if nextPageImg??><img alt="<#if nextPageText??> ${nextPageText} </#if>" src="${nextPageImg}" /></#if></span>
				<#else>
					<a href="javascript:Modular.controller.Page.gotoPage('${searchId}', ${currentPage + 1})"><#if nextPageText??> ${nextPageText} </#if><#if nextPageImg??><img alt="<#if nextPageText??> ${nextPageText} </#if>" src="${nextPageImg}" /></#if></a>
				</#if>
				</td>
				<#-- '끝' 링크 -->
				<td class="<#if cssClassPrefix??>${cssClassPrefix}</#if>pgLast">
				<#if currentPage == pageCount || pageCount == 0>
					<span><#if lastPageText??> ${lastPageText} </#if><#if lastPageImg??><img alt="<#if lastPageText??> ${lastPageText} </#if>" src="${lastPageImg}" /></#if></span>
				<#else>
					<a href="javascript:Modular.controller.Page.gotoPage('${searchId}', ${pageCount})"><#if lastPageText??> ${lastPageText} </#if><#if lastPageImg??><img alt="<#if lastPageText??> ${lastPageText} </#if>" src="${lastPageImg}" /></#if></a>
				</#if>
				</td>
			</tr>
		</tbody>
	</table>
</div>