/**
 * @(#)file    FrontController.java
 * @(#)author  DaeJin Lee
 * @(#)version 1.0
 * @(#)date    2006. 5. 18.
 * @(#)since   JDK 1.4.2
 *
 * Copyright (c) www.hsnc.co.kr, Inc.
 * All rights reserved.
 * This software is the proprietary information of Hanwha S&C, Inc.
 */
package com.udapsoft.waf.system.controller;

import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;

import kr.co.hsnc.common.base.WAFLogger;
import kr.co.hsnc.common.config.WAFConfig;

/**
 * <p>Init Controller Class</p>
 * Web.xm 등록.
 * @version 1.0
 * @author DaeJin Lee
 */
@SuppressWarnings("serial")
public class InitController extends HttpServlet {

	/**
     * Init.
	 */
	public void init(ServletConfig config) throws ServletException {
		
//        if( "Y".equals(WAFConfig.get("InitController.SignThreadManager.is.init")) ) {
//	       
//	        //WAFLogger.sys("InitController: SignThreadManager.doStart() called.(" + DateUtil.getSystemDate("yyyy-MM-dd HH:mm:ss.S") + ")");
//	        //SignThreadManager.doStart();
//	        //WAFLogger.sys("InitController: SignThreadManager.doStart() end.   (" + DateUtil.getSystemDate("yyyy-MM-dd HH:mm:ss.S") + ")");
//        }
        
        if(WAFConfig.getBoolean("kr.co.hsnc.common.logger.console.view") ) {
        	WAFLogger.setLogging(true);
        }
    }
}