/**
*   : 7.0.0.0-20140109-18
* ibsheetObject object class.
* @id ibsheetObject
* @class ibsheetObject
* @constructor
* @alias ibsheetObject.prototype
* @return {ibsheetObject}
* 
*/
function ibsheetObject(){};

/**
 * SetCellValue : Ư    Ѵ.
 * @param {Integer} row ش缿 Row Index
 * @param {Integer/String} col ش缿 Column Index Ǵ SaveName
 * @param {Varient} value   
 * @param {Boolean} OnChange event ̺Ʈ ߻ (default:1)
 * @example
 * // ¼ ""· <br>
 *	ibsheetObject.SetCellValue(1, 0 "D");
 * 
 */
 ibsheetObject.prototype.SetCellValue = function(row, col, value, evt_flag) {};
 
 /**
  * GetCellValue : Ư   Ѵ..
  * @param {Integer} row ش缿 Row Index
  * @param {Integer/String} col ش缿 Column Index Ǵ SaveName
  * @example
  * // ¼  о´.<br>
  * var rowStatus = ibsheetObject.GetCellValue(1, "sStatus");
  */
  ibsheetObject.prototype.GetCellValue = function(row, col) {};

 /**
  * SetActionMenu : Action óϱ  ϴ ޴ 
  * @param {String} text  ˾޴ ڿ
  * @param {String} code  ˾޴ ڵ ڿ Default="ؽƮ ڿ"
  * @example
  * // ޴ ڵ 	
  * var Text = "Է|ູ|*-||Clear|ٿε"; <br>
  *	var Code = "Ins|Copy||Del|Clear|Download"; <br>
  *	ibsheetObject.SetActionMenu(Text, Code); <br>
  */
  ibsheetObject.prototype.SetActionMenu = function(text, code){};

  /**
   * GetActionMenu : Action óϱ ϴ ޴ Ȯ
   * @returns {String}  ˾޴ 
   */
  ibsheetObject.prototype.GetActionMenu = function(){};
  
/**
  * SetAllowCheck : üũڽ     θ 
  * @param {Boolean}   뿩 (default=true)
  * @example
  * // üũڽ   <br>
  * ibsheetObject.SetAllowCheck(false);
  */
  ibsheetObject.prototype.SetAllowCheck = function(Val){};
  
/**
  * GetAllowCheck : üũڽ     θ Ȯ
  * @returns {Boolean}  
  */  
  ibsheetObject.prototype.GetAllowCheck = function(){};
  
/**
  * AllowEvent4CheckAll : üý OnChange Event  
  * @param {Boolean} OnChange Event ߻ (default=1)
  * @example
  * // üý ̺Ʈ ߻<br>
  * ibsheetObject.AllowEvent4CheckAll(0);
  */  
  ibsheetObject.prototype.AllowEvent4CheckAll = function(Val){};

  /**
   * SetAllowExpand : OnBeforeExpand ߻  Ʈ Ѵ. 
   * @param {Boolean} Ʈ   (0  Ʈ  )
   * @example
   * function ibsheetObject_OnBeforeExpand(Row,Expand) { <br>
   *	if(Row == 1 && Expand == 2) { <br>
   * 		ibsheetObject.SetAllowExpand(0); <br>
   * 		alert("1 ࿡ ĥ     ϴ."); <br>
   * 	} <br>
   * } <br>
   */
  ibsheetObject.prototype.SetAllowExpand = function(Expand){};
  
  /**
   * GetAllowExpand : OnBeforeExpand ߻  Ʈ Ȯ
   * @returns {Boolean}  
   */
  ibsheetObject.prototype.GetAllowExpand = function(){};
  
  /**
   * SetAutoRowHeight :   ̸ ڵ   
   * @param {Boolean}   ڵ  (default=1)
   * @example
   * // ̸ ڵ  ʰ,  ̷ Ѵ.<br>
   * ibsheetObject.SetAutoRowHeight(0);
   */  
  ibsheetObject.prototype.SetAutoRowHeight = function(Flag){};
  
  /**
   * GetAutoRowHeight :   ̸ ڵ   Ȯ
   * @example
   * //  Ȯ<br>
   * ibsheetObject.GetAutoRowHeight();
   * @returns {Boolean}  
   */
  ibsheetObject.prototype.GetAutoRowHeight = function(){};

  /**
   * SetAutoSumPosition : ü հ/ ǥ ġ 
   * @param {Integer}<br> 
   * 0 ش ٷ Ʒ ֻܿ Ͽ ǥ<br>
   * 1 ȭ鿡 ̴  ϴܿ Ǿ ǥ
   * @example
   * // հ  ܿ ǥ<br>
   * ibsheetObject.SetAutoSumPosition(0);
   */
  ibsheetObject.prototype.SetAutoSumPosition = function(Position){};

  /**
   * GetAutoSumPosition : ü հ/ ǥ ġ Ȯ
   * @example
   * //  Ȯ<br>
   * ibsheetObject.GetAutoRowHeight();
   * @returns {Integer}  
   */
  
  ibsheetObject.prototype.GetAutoSumPosition = function(){};

  /**
   * SetBasicImeMode : Edit  Ŀ Ű ¼
   * @param {Integer} 0: 1:ѱ 2:
   * @example
   * // ⺻ ѱ Է Ű  <br>
   * ibsheetObject.SetBasicImeMode(1);
   */  
  ibsheetObject.prototype.SetBasicImeMode = function(Val){};

  /**
   * GetBasicImeMode : Edit  Ŀ Ű Ȯ <br>
   * 0: 1:ѱ 2:
   * @returns {Integer}  
   */    
  ibsheetObject.prototype.GetBasicImeMode = function(){};
  
  /**
   * SetCellAlign :    
   * @param {Integer} ش  Row Index
   * @param {Long/String} ش  Column Index Ǵ SaveName
   * @param {String}   (Left,Center,Right)
   * @example
   * // ش   ķ Ѵ.<br>
   * ibsheetObject.SetCellAlign(1, 1, "Center");
   */  
  ibsheetObject.prototype.SetCellAlign = function(Row, Col, Align){};

  /**
   * GetCellAlign :   Ȯ
   * @param {Long}
   * @param {Long/String}
   * @example
   * //	ش    ȮѴ.<br>
   * var align = ibsheetObject.GetCellAlign(1, 1);<br>
   * alert("   " + align + "Դϴ.");
   * @returns {String}   
   */    
  ibsheetObject.prototype.GetCellAlign = function(Row, Col){};  
  
  /**
   * SetCellBackColor :   Ѵ.
   * @param {Long} ش  Row Index
   * @param {Long/String} ش  Column Index Ǵ SaveName
   * @param {String}   (WebColor Ǵ Basic 16 Color)
   * @example
   * //  ù°    <br>
   * ibsheetObject.SetCellBackColor(0, 0, "#FF0000");
   */  
  ibsheetObject.prototype.SetCellBackColor = function(Row, Col, Color){};

  /**
   * GetCellBackColor :   ȮѴ
   * @param {Long} ش  Row Index
   * @param {Long/String} ش  Column Index Ǵ SaveName
   * @example
   * //	   ȮѴ.<br>
   * var color = ibsheetObject.GetCellBackColor(1,1);<br>
   * alert("   " + color + "Դϴ.");
   * @returns {String}   
   */    
  ibsheetObject.prototype.GetCellBackColor = function(Row, Col){};  
    
  /**
   * CellComboItem : Ư  Combo ׸  Ѵ.
   * @param {Long} ش  Row Index
   * @param {Long/String} ش  Column Index Ǵ SaveName
   * @param {Object}  "|"  ڿ  ComboCode ComboText  
   * @example
   * // Ư  ޺ ׸ ٲٱ<br>
   * var info = {"ComboCode":"||븮","ComboText":"A|B|C"};
   * ibsheetObject.CellComboItem(1,2,info);
   */  
  ibsheetObject.prototype.CellComboItem = function(Row, Col, info){};
 
  /**
   * SetCellEditable :  Edit  θ Ѵ.<br>
   * Edit Ұ(ڵ,DelChecküũ,Ÿ:Status, Image, Seq, DataSeq)
   * @param {Long} ش  Row Index
   * @param {Long/String} ش  Column Index Ǵ SaveName
   * @param {Boolean} ɿ (1: 0:Ұ)
   * @example
   * // 1 3÷ Edit  <br>
   * ibsheetObject.SetCellEditable(1, 3, 1);
   */  
  ibsheetObject.prototype.SetCellEditable = function(Row, Col, Edit){};

  /**
   * GetCellEditable :  Edit  θ ȮѴ.
   * @param {Long} ش  Row Index
   * @param {Long/String} ش  Column Index Ǵ SaveName
   * @example
   * // 1 2÷ Edit  Ȯ<br>
   * if(ibsheetObject.GetCellEditable(1, 2) == 1){}
   * @returns {Boolean}   
   */  
  ibsheetObject.prototype.GetCellEditable = function(Row, Col, Edit){};

  /**
   * SetCellFont : Ư  Ǵ  ۲,ũ,ڻ,,,  Ѵ.<br>
   * (name,size,color,bold,underline)
   * @param {String} ƮӼ
   * @param {Long}   Row Index
   * @param {Long/String}   Column Index Ǵ SaveName
   * @param {Long}   Row Index
   * @param {Long/String}   Column Index Ǵ SaveName
   * @param {Boolean/String} ƮӼ Ѱ
   * @example
   * //   Bold <br>
   * ibsheetObject.SetCellFont("FontBold", 1,1,2,3,1) ;
   */  
  ibsheetObject.prototype.SetCellFont = function(Flag, Row1, Col1, Row2, Col2, Value){};

  /**
   * GetCellFont : Ư  Ǵ  ۲,ũ,ڻ,,,  ȮѴ.<br>
   * @param {String} ƮӼ
   * @param {Long}   Row Index
   * @param {Long/String}   Column Index Ǵ SaveName
   * @param {Long}   Row Index
   * @param {Long/String}   Column Index Ǵ SaveName
   * @example
   * // ũⰡ 10 ū  9 Ѵ.<br>
   * if (ibsheetObject.GetCellFont("FontSize", 2,1,2,1) >= 10) { <br>
   * ibsheetObject.SetCellFont("FontSize", 2,1,2,1,9)); <br>
   * }
   * @returns {Boolean/String}  Ӽ 
   */  
  ibsheetObject.prototype.GetCellFont = function(Flag, Row1, Col1, Row2, Col2){};

  /**
   * SetCellFontStrike : Ư  ڿ Ҽ Ѵ.<br>
   * @param {Long} ش  Row Index
   * @param {Long/String} ش  Column Index Ǵ SaveName
   * @param {Integer} ϰ ϴ ũ
   * @example
   * //  Ҽ Ѵ.<br>
   * ibsheetObject.SetCellFontStrike(1, 1, 1)
   */  
  ibsheetObject.prototype.SetCellFontStrike = function(Row, Col, FontStrike){};

  /**
   * GetCellFontStrike : Ư  Ǵ  ۲,ũ,ڻ,,,  ȮѴ.<br>
   * @param {Long} ش  Row Index
   * @param {Long/String} ش  Column Index Ǵ SaveName
   * @example
   * //   Ҽ θ ȮѴ.<br>
   * ibsheetObject.GetCellFontStrike(1,1)); { <br>
   * @returns {Integer}  
   */  
  ibsheetObject.prototype.GetCellFontStrike = function(Row, Col){};
  
  /**
   * SetCellFontBold : Ư   Bold θ Ѵ.<br>
   * @param {Long} ش  Row Index
   * @param {Long/String} ش  Column Index Ǵ SaveName
   * @param {Boolean} Bold 
   * @example
   * // Ư  ڸ Bold óѴ.<br>
   * ibsheetObject.SetCellFontBold(1,1,1) ;
   */
  ibsheetObject.prototype.SetCellFontBold = function(Row, Col, Bold){};
  
  /**
   * GetCellFontBold : Ư   Bold θ ȮѴ.<br>
   * @param {Long} ش  Row Index
   * @param {Long/String} ش  Column Index Ǵ SaveName
   * @example
   * // Ư  Bold ó θ ȮѴ.<br>
   * ibsheetObject.GetCellFontBold1,1) ;
   * @returns {Boolean}  
   */  
  ibsheetObject.prototype.GetCellFontBold = function(Row, Col){};
  
  /**
   * SetCellFontColor : Ư    Ѵ.<br>
   * @param {Long} ش  Row Index
   * @param {Long/String} ش  Column Index Ǵ SaveName
   * @param {String}  
   * @example
   * // 12÷   
   * ibsheetObject.SetCellFontColor(1,2,"#FF0000");
   */
  ibsheetObject.prototype.SetCellFontColor = function(Row, Col, Color){};
  
  /**
   * GetCellFontColor :Ư    ȮѴ.<br>
   * @param {Long} ش  Row Index
   * @param {Long/String} ش  Column Index Ǵ SaveName
   * @example
   * // ݾ 0  ڴ  ǥѴ.<br>
   * if(ibsheetObject.GetCellValue(1, 2) < 0 ) { <br>
   * ibsheetObject.SetCellFontColor(1,2,"#FF0000") ; <br>
   * } 
   * @returns {String}   
   */
  ibsheetObject.prototype.GetCellFontColor = function(Row, Col){};
  
  /**
   * SetCellFontItalic : Ư  ڸ Ÿü Ѵ.<br>
   * @param {Long} ش  Row Index
   * @param {Long/String} ش  Column Index Ǵ SaveName
   * @param {Boolean} Ÿ  (1:, 0:) 
   * @example
   * // Ư  ڸ Ÿü Ѵ.
   * ibsheetObject.SetCellFontItalic(1,1,1)
   */
  ibsheetObject.prototype.SetCellFontItalic = function(Row, Col, Italic){};

  /**
   * SetCellFontColor : Ư  ڸ Ÿü ȮѴ.<br>
   * @param {Long} ش  Row Index
   * @param {Long/String} ش  Column Index Ǵ SaveName
   * @example
   * // Ư  Ÿü θ ȮѴ.
   * ibsheetObject.GetCellFontItalic(1,1);
   */
  ibsheetObject.prototype.GetCellFontItalic = function(Row, Col){};

  /**
   * SetCellFontName : Ư   ü Ѵ.<br>
   * @param {Long} ش  Row Index
   * @param {Long/String} ش  Column Index Ǵ SaveName
   * @param {String} ü 
   * @example
   * // ü üü ٲ۴.
   * ibsheetObject.SetCellFontName(1, 1, "Gungsuh");
   */  
  ibsheetObject.prototype.SetCellFontName = function(Row, Col, FontName){};
  
  /**
   * GetCellFontName : Ư   ü ȮѴ.<br>
   * @param {Long} ش  Row Index
   * @param {Long/String} ش  Column Index Ǵ SaveName
   * @example
   * // ü ȮѴ
   * alert(ibsheetObject.GetCellFontName(1, 1));
   * @returns {String}  
   */  
  ibsheetObject.prototype.GetCellFontName = function(Row, Col){};  

  /**
   * SetCellFontSize : Ư    ũ⸦ Ѵ.<br>
   * @param {Long} ش  Row Index
   * @param {Long/String} ش  Column Index Ǵ SaveName
   * @param {Integer} ϰ ϴ ũ 
   * @example
   * // ũ⸦ 20px ٲ۴.
   * ibsheetObject.SetCellFontSize(1, 1, 20)
   */  
  ibsheetObject.prototype.SetCellFontSize = function(Row, Col, FontSize){};
  
  /**
   * GetCellFontSize : Ư    ũ⸦ ȮѴ.<br>
   * @param {Long} ش  Row Index
   * @param {Long/String} ش  Column Index Ǵ SaveName
   * @example
   * //   ũ⸦ ȮѴ.
   * alert(ibsheetObject.GetCellFontSize(1,1));
   * @returns {Integer}  
   */  
  ibsheetObject.prototype.GetCellFontSize = function(Row, Col){};
  
  /**
   * SetCellFontUnderline :    Ѵ.<br>
   * @param {Long} ش  Row Index
   * @param {Long/String} ش  Column Index Ǵ SaveName
   * @param {Boolean}   
   * @example
   * // 1 2  ǥ
   * ibsheetObject.SetCellFontUnderline(1, 2, 1);
   */  
  ibsheetObject.prototype.SetCellFontUnderline = function(Row, Col, Underline){};
  
  /**
   * GetCellFontUnderline :    ȮѴ.<br>
   * @param {Long} ش  Row Index
   * @param {Long/String} ش  Column Index Ǵ SaveName
   * @returns {Boolean}  
   */  
  ibsheetObject.prototype.GetCellFontUnderline = function(Row, Col){};
  
  /**
   * SetCellImage : Type Imagḛų Image Ӽ   ش  ̹ Ѵ.<br>
   * @param {Long} ش  Row Index
   * @param {Long/String} ش  Column Index Ǵ SaveName
   * @param {String}  ̹ 
   * @example
   * // 1÷ SaveName "btnAction" 
   * ibsheetObject.SetCellImage(1 ,"btnAction", "../image/myImage1.jpg");
   */  
  ibsheetObject.prototype.SetCellImage = function(Row, Col, image){};
  
  /**
   * GetCellImage : Type Imagḛų Image Ӽ   ش  ̹ ȮѴ.<br>
   * @param {Long} ش  Row Index
   * @param {Long/String} ش  Column Index Ǵ SaveName
   * @returns {String}  ̹ 
   */  
  ibsheetObject.prototype.GetCellImage = function(Row, Col){};
  
  /**
   * CellSearchValue :  ȸǾ   ȮѴ.<br>
   * @param {Long} ش  Row Index
   * @param {Long/String} ش  Column Index Ǵ SaveName
   * @example
   * //ȸǾ   ȮѴ.
   * ibsheetObject.CellSearchValue(Row, Col);
   * @returns {String} ȸ  
   */  
  ibsheetObject.prototype.CellSearchValue = function(Row, Col){};
  
  /**
   * SetCellText :   Format  · ȭ鿡   ״ Ѵ.<br>
   * @param {Long} ش  Row Index
   * @param {Long/String} ش  Column Index Ǵ SaveName
   * @param {String}   
   * @example
   * // ¥   
   * ibsheetObject.SetCellText(1, 1, "2011/07/15");
   */  
  ibsheetObject.prototype.SetCellText = function(Row, Col, Text){};
  
  /**
   * GetCellText :   Format  · ȭ鿡   ״ ȮѴ.<br>
   * @param {Long} ش  Row Index
   * @param {Long/String} ش  Column Index Ǵ SaveName
   * @example
   * // 1 1  Ȯ
   * alert(ibsheetObject.GetCellText(1,1));
   * @returns {String}   
   */  
  ibsheetObject.prototype.GetCellText = function(Row, Col){};

  /**
   * SetCellVAlign  :    Ѵ.<br>
   * @param {Long} ش  Row Index
   * @param {Long/String} ش  Column Index Ǵ SaveName
   * @param {String}     (top / middle / bottom)
   * @example
   * // Ư    top Ѵ.
   * ibsheetObject.SetCellVAlign(1, 1, "top");
   */  
  ibsheetObject.prototype.SetCellVAlign = function(Row, Col, valign){}; 
  
  /**
   * GetCellVAlign :    ȮѴ.<br>
   * @param {Long} ش  Row Index
   * @param {Long/String} ش  Column Index Ǵ SaveName
   * @example
   * // Ư     ȮѴ.
   * ibsheetObject.GetCellVAlign(1, 1);
   * @returns {String}   
   */  
  ibsheetObject.prototype.GetCellVAlign = function(Row, Col){};
  
  /**
   * CheckAll : ÷ ü Checkϰų UnCheck óѴ.<br>
   * @param {Long/String} ش  Column Index Ǵ SaveName
   * @param {Integer} 0 : üüũ, 1 : üüũ, ׿ :  ݴ
   * @param {Boolean} OnChange ̺Ʈ ߻  Default=1
   * @example
   * //üũϱ
   * ibsheetObject.CheckAll(1, 1);
   */  
  ibsheetObject.prototype.CheckAll = function(Col, Value, evt_flag){};

  /**
   * CheckedRows : ش ÷ ϴ üũڽ  üũ   ȯѴ.<br>
   * @param {Long/String} ش  Column Index Ǵ SaveName
   * @example
   * var RowCnt1 = ibsheetObject.CheckedRows(1); <br>
   * alert("üũ   " + RowCnt1 + " Դϴ.");
   * @returns {Long} Ư ÷ üũ  
   */  
  ibsheetObject.prototype.CheckedRows = function(Col){};

  /**
   * CheckReverse : Ư ÷ üũ Ѵ.<br>
   * @param {Long/String} ش  Column Index Ǵ SaveName
   * @param {Boolean}  Ұ ȮϿ ϶ Ѵ. Default=0
   * @param {Boolean} üũ ٲ OnChange ̺Ʈ ߻Ұΰ , Default=0
   * @example
   * // 1÷ üũ Ѵ.
   * ibsheetObject.CheckReverse(1);
   * @returns {Long} Ư ÷ üũ  
   */  
  ibsheetObject.prototype.CheckReverse = function(Col, Editable, Event){};  

  /**
   * ClearHeaderCheck :   üüũڽ  üũ ʱȭ Ѵ.<br>
   * @example
   * // RemoveAll ȣ üüũڽ ʱȭ Ѵ.<br>
   * ibsheetObject.ClearHeaderCheck();<br>
   * ibsheetObject.RemoveAll();
   */  
  ibsheetObject.prototype.ClearHeaderCheck = function(){};  

  /**
   * SetClipCopyMode :  Ŀ  (default:0), Ŀ  (1)<br>
   * @param {Integer}    
   * @example
   * // Ŀ ̳ ü   <br>
   * ibsheetObject.SetClipCopyMode(0);<br>
   */  
  ibsheetObject.prototype.SetClipCopyMode = function(Mode){};
  
  /**
   * GetClipCopyMode : Ctrl + C Ű带 Ͽ ClipBoard ϴ  ȮѴ.<br>
   * @returns {Integer}  
   */  
  ibsheetObject.prototype.GetClipCopyMode = function(){};
  
  /**
   * SetClipPasteMode :    ٿ  ó  <br>
   * @param {Integer}     <br>
   * (-1:, 0:1, 1:, 2:߰, 3:߰) <br>
   * @example
   * // 1  ̱  <br>
   * ibsheetObject.SetClipPasteMode(0); <br>
   * //   ̱  <br>
   * ibsheetObject.SetClipPasteMode(1); <br>
   */  
  ibsheetObject.prototype.SetClipPasteMode = function(Mode){};
  
  /**
   * GetClipPasteMode :   ٿ  ó  Ȯ<br>
   * @returns {Integer}  
   */  
  ibsheetObject.prototype.GetClipPasteMode = function(){}; 

  /**
   * SetColBackColor :  ÷ ü  <br>
   * @param {Long /String} Ư ÷ Column Index Ǵ SaveName
   * @param {Long} WebColor  
   * @example
   * // ÷  ȸ Ѵ.<br>
   * ibsheetObject.SetColBackColor(1, "#ADADAD");<br>
   */  
  ibsheetObject.prototype.SetColBackColor = function(Col, Color){};
  
  /**
   * GetColBackColor : ÷ ü   Ȯ<br>
   * @param {Long} Ư ÷ Column Index Ǵ SaveName
   * @example
   * // 2÷  Ȯ 
   * ibsheetObject.GetColBackColor(2);
   * @returns {String}  
   */  
  ibsheetObject.prototype.GetColBackColor = function(Col){};
  
  /**
   * SetColCondProperty :  ŸԿ Ư ÷   Ÿ ǿ  Ӽ 
   * @param {Long /String}  Ǵ ÷ indexǴ SaveName
   * @param {String}   (:"%d >1000")
   * @param {Object}  ÷ Ӽ
   * @example
   * // ÷  ȸ Ѵ.<br>
   * ibsheetObject.SetColCondProperty(13,"%d>1000",{BackColorT:"#00ff00",<br>
   * FontColorT:"#ffff00", EditT : false, BackColorF : "#0000ff",<br>
   * FontColorF:"#ffffff", EditF : true, CursorT:"Pointer", CursorF:"Default"})<br>
   */  
  ibsheetObject.prototype.SetColCondProperty = function(Col, Cond, Prop){};
  
  /**
   * GetColCondProperty :  ŸԿ Ư ÷   Ÿ ǿ   ȮѴ.
   * @param {Long/String} Ư ÷ Column Index Ǵ SaveName
   * @example
   * //   ȮѴ.
   * ibsheetObject.GetColCondProperty(13)
   * @returns {String}  
   */  
  ibsheetObject.prototype.GetColCondProperty = function(Col){};
  
  /**
   * SetColEditable : Ư ÷ Edit  θ Ѵ.<br>
   * @param {Long /String} Ư ÷ Column Index Ǵ SaveName
   * @param {Boolean} Ư÷ Edit  
   * @example
   * // 5÷ Edit  θ Ұ Ѵ.<br>
   * ibsheetObject.SetColEditable(5,0);<br>
   */  
  ibsheetObject.prototype.SetColEditable = function(Col, Editable){};
  
  /**
   * GetColEditable : Ư ÷ Edit  θ ȮѴ.<br>
   * @param {Long / String} Ư ÷ Column Index Ǵ SaveName
   * @example
   * // 5÷ Edit  θ ȮѴ.
   * 	ibsheetObject.GetColEditable(5);
   * @returns {Boolean} Edit  
   */  
  ibsheetObject.prototype.GetColEditable = function(Col){};
  
  /**
   * SetColFontColor :  ÷ ü ڻ Ѵ.<br>
   * @param {Long /String} Ư ÷ Column Index Ǵ SaveName
   * @param {String}  
   * @example
   * // ÷ ڻ ȸ Ѵ.<br>
   * ibsheetObject.SetColFontColor(1, "#FF0000");<br>
   */  
  ibsheetObject.prototype.SetColFontColor = function(Col, Editable){};
  
  /**
   * GetColFontColor :  ÷ ü ڻ ȮѴ.<br>
   * @param {Long / String} Ư ÷ Column Index Ǵ SaveName
   * @example
   * // 2÷ ڻ ȮѴ.<br>
   * alert(ibsheetObject.GetColFontColor(2));
   * @returns {String}  
   */  
  ibsheetObject.prototype.GetColFontColor = function(Col){};  
 
  /**
   * SetColFontUnderline :  ÷ ü   Ѵ<br>
   * @param {Long /String} Ư ÷ Column Index Ǵ SaveName
   * @param {Boolean}  
   * @example
   * // ÷ ü ڿ  Ѵ.<br>
   * ibsheetObject.SetColFontUnderline(1, 1);<br>
   */  
  ibsheetObject.prototype.SetColFontUnderline = function(Col, Underline){};
  
  /**
   * GetColFontUnderline :  ÷ ü   ȮѴ<br>
   * @param {Long / String} Ư ÷ Column Index Ǵ SaveName
   * @example
   * // ÷ ü ڿ  θ ȮѴ.<br>
   * alert(ibsheetObject.GetColFontUnderline(1));<br>
   * @returns {Boolean}   
   */  
  ibsheetObject.prototype.GetColFontUnderline = function(Col){};

  /**
   * SetColHidden : ÷ 迩θ Ѵ.<br>
   * @param {Long /String} Ư ÷ Column Index Ǵ SaveName
   * @param {Boolean}  
   * @example
   * // ÷ ü ڿ  Ѵ.<br>
   * ibsheetObject.SetColHidden(1, 1);<br>
   */  
  ibsheetObject.prototype.SetColHidden = function(Col, Hidden){};
  
  /**
   * GetColHidden : ÷ 迩θ ȮѴ<br>
   * @param {Long / String} Ư ÷ Column Index Ǵ SaveName
   * @example
   * // ÷ ü ڿ  θ ȮѴ.<br>
   * alert(ibsheetObject.GetColFontUnderline(1));<br>
   * @returns {Boolean}   
   */  
  ibsheetObject.prototype.GetColHidden = function(Col){};

  /**
   * ColLeft : ÷  ġ ȮѴ.<br>
   * @param {Long / String} Ư ÷ Column Index Ǵ SaveName
   * @example
   * // ÷  ġ ľѴ.<br>
   * var iLeft = ibsheetObject.ColLeft(1);<br>
   * @returns {Long} Ư ÷  ġ 
   */  
  ibsheetObject.prototype.ColLeft = function(Col){};

  /**
   * ColSaveName : Ư ÷ saveName ȮѴ.<br>
   * @param {Long} Ư ÷ Column Index
   * @example
   * // ÷ SaveName ´.<br>
   * var sSaveName = ibsheetObject.ColSaveName(1);<br>
   * @returns {String} Ư÷ SaveName
   */
  ibsheetObject.prototype.ColSaveName = function(Col){};
  
  /**
   * ColumnSort :  Ǵ  ÷ ͸ Ѵ.<br>
   * @param {Long / String} Ʈ ÷ Index Ǵ SaveName "|"  ڿ
   * @param {String} "ASC" Ǵ "DESC", Default ="ASC"
   * @param {String}  ÷ Ʈ  "|"  ڿ, Default=""
   * @param {Boolean} ColsĶͿ   Ʈ  , Default=0
   * @example
   * // 6÷  <br>
   * ibsheetObject.ColumnSort("6", "DESC");<br>
   * //    ʱȭ Ѵ.
   * ibsheetObject.ColumnSort(); 
   * @returns {String} Ư÷ SaveName
   */
  ibsheetObject.prototype.ColumnSort = function(Col, Sort, ColSort,KeepColOrder){};  

  /**
   * ColValueDup : Ư ÷  ߺ  ϴ θ ȮѴ.<br>
   * @param {Long / String} Column Index Ǵ SaveName . "|" 
   * @param {Boolean} Ʈ °    (Default=1)
   * @param {Boolean} / ҹ  (Default=1)
   * @example
   * // 1÷ ߺ  ϴ  <br>
   * var Row = ibsheetObject.ColValueDup("1");<br>
   * @returns {Long} ȣ
   */  
  ibsheetObject.prototype.ColValueDup = function(ColStr, IncludeDelRow, Division){};  

  /**
   * ColValueDupRows : Ư ÷  ߺ  ϴ θ ȮѴ.<br>
   * @param {Long / String} Column Index Ǵ SaveName . "|" 
   * @param {Boolean} Ʈ °    (Default=1)
   * @param {Boolean} ߺ     (Default=0)
   * @param {Long} ˻ ù
   * @param {Long} ˻  
   * @example
   * // 4÷,5÷ ߺ˻(, , 1~50)<br>
   * var duprows2 = ibsheetObject.ColValueDupRows("4|5",false,true,1,50);<br>
   * @returns {String} ","  ڿ
   */  
  ibsheetObject.prototype.ColValueDupRows = function(ColStr, IncludeDelRow, 
		  IncludeFirstRow, StartRow, EndRow){};

  /**
   * SetColWidth : Ư ÷ ʺ Ѵ.<br>
   * @param {Long / String} Ư ÷ Column Index Ǵ SaveName
   * @param {Integer} ʺ ȼ (0:ش ÷  Text    )
   * @example
   * //50 ȼ ʺ <br>
   * ibsheetObject.SetColWidth(1, 50);<br>
   */  
  ibsheetObject.prototype.SetColWidth = function(Col, Width){};  

  /**
   * GetColWidth : Ư ÷ ʺ ȮѴ.<br>
   * @param {Long / String} Ư ÷ Column Index Ǵ SaveName
   * @example
   * // 1÷ ʺ Ȯ<br>
   * ibsheetObject.GetColWidth(1);<br>
   * @returns {Integer} Ư÷ ʺ ȼ 
   */  
  ibsheetObject.prototype.GetColWidth = function(Col){};
 
  /**
   * SetComboOpenMode : Combo, ComboEdit ÷ ѹ Ŭ   Ѵ.<br>
   * @param {Boolean} 0:Ŀ (Default) 1:ѹŬ 
   * @example
   * // ޺ ѹ Ŭ .<br>
   * ibsheetObject.SetComboOpenMode(1);<br>
   */  
  ibsheetObject.prototype.SetComboOpenMode = function(mode){}; 
  
  /**
   * GetComboOpenMode : Combo, ComboEdit ÷ ѹ Ŭ   ȮѴ.<br>
   * @param {Long / String} Ư ÷ Column Index Ǵ SaveName
   * @example
   * // ComboOpenMode Ǿ ִ  ȮѴ.<br>
   * ibsheetObject.GetComboOpenMode();<br>
   * @returns {Boolean}   
   */  
  ibsheetObject.prototype.GetComboOpenMode = function(){};
  
  /**
   * ComputeSum : Ư  հ踦 Ͽ ȯѴ.<br>
   * @param {String}  , Ŀ ٸ ÷ Ǵ  ݵ "|" μ Ѵ.
   * @param {Long}    index, Default=-1
   * @param {Long}    index, Default=-1
   * @param {Boolean} 0 : Ұ Ŀ ,  1 : Ұ Ŀ (Default) 
   * @example
   * // 3÷ հ踦 Ѵ.<br>
   * 	var Sum3 = ibsheetObject.ComputeSum("|3|");<br>
   * // 1 10 3÷ * 4÷ / 100   հ踦 Ѵ.<br>
   * 	var Sum4 = ibsheetObject.ComputeSum("|3| * |4| / 100", 1, 10);
   */  
  ibsheetObject.prototype.ComputeSum = function(CalcuLogic, FirstRow, LastRow, isFullSum){};

  /**
   * ConfirmOK : OnMessage Event ȿ ϸ,   Sheet ش.<br>
   * @param {Boolean} Ȯâ ǥ 
   * @example
   * // ޽ 带 Ѵ.<br>
   * ibsheetObject.ShowMsgMode=0;<br>
   * 
   * // OnMessage ̺Ʈ óѴ.<br>
   * Function ibsheetObject_OnMessage(grid,msg, level, isconfirm) <br>
   *
   * //޽ ǥϱ <br>
   *	 var win_result = window.showModalDialog(<br>
   *		"sheet_message.jsp?Msg=" + msg + "&IsConfirm=" + isconfirm,<br>
   *		'modalResult',<br>
   *		'dialogWidth:200px;dialogHeight:200px;center:yes;help:no;status:no;');<br>
   *
   * // Sheet ޽  ȯѴ.<br>
   * 	if(IsConfirm) ibsheetObject.ConfirmOk = win_result;
   */  
  ibsheetObject.prototype.ConfirmOK = function(Val){};
  
  /**
   * SetCountFormat :  Ǽ   Ѵ.<br>
   * @param {String}  
   * @example
   * // Ǽ  Ѵ.<br>
   * ibsheetObject.SetCountFormat(" BOTTOMDATA / ü TOTALROWS");
   */  
  ibsheetObject.prototype.SetCountFormat = function(Format){};
 
  /**
   * GetCountFormat :  Ǽ   Ѵ.<br>
   * @example
   * // Ǽ  ȮѴ.<br>
   * ibsheetObject.GetCountFormat();
   * @returns {String}   
   */  
  ibsheetObject.prototype.GetCountFormat = function(){};
  
  /**
   * SetCountPosition : Ǽ  IBSheet Ư  ̵ Ѵ.<br>
   * @param {Integer}   ġ  
   * 0:ǥþ 1: 2: 3:ϴ 4:ϴ
   * @example
   * //    ܿ ǥѴ.<br>
   * ibsheetObject.SetCountPosition(1);
   */  
  ibsheetObject.prototype.SetCountPosition = function(Position){};
 
  /**
   * GetCountPosition : Ǽ  ȮѴ.<br>
   * @example
   * //   ǥõ ʰ ִ Ȯ<br>
   * if(ibsheetObject.GetCountPosition() == 0);
   * @returns {Integer}   ġ 
   */  
  ibsheetObject.prototype.GetCountPosition = function(){};  
  
  /** 
   * CreatePivotTable :   ¿  質 īƮ  Ѵ.<br>
   * @param {json} ǹ ̺  , ,  ̺ json · Ѵ.<br>
   * Ӽ : Rows, Cols, Value, ValueType
   * @param {Object} Ͱ ִ IBSheet ü
   * @example
   * //5,6,7   ̺ Ʈ  ǥϰ, 8,9,10   ̺ ǥϸ, 13 ÷ հ Ѵ.
   * ibsheetObject2.CreatePivotTable({Rows:'5|6|7', Cols:'8|9|10', Value:'13', ValueType:'Sum'}, ibsheetObject);
   */  
  ibsheetObject.prototype.CreatePivotTable = function(Info, DataSheet){};
  
  /**
   * SetCumulateBackColor :     Ѵ. (WebColor )<br>
   * @param {String} WebColor  
   * @param {Object} Ͱ ִ IBSheet ü
   * @example
   * //     
   * ibsheetObject.SetCumulateBackColor("#00FF00");
   */  
  ibsheetObject.prototype.SetCumulateBackColor = function(Color){};
  
  /**
   * GetCumulateBackColor :     ȮѴ.<br>
   * @example
   * //    Ȯ
   * ibsheetObject.GetCumulateBackColor();
   * @returns {String}     
   */  
  ibsheetObject.prototype.GetCumulateBackColor = function(){};

  /**
   * Data2Clipboard : IBSheet ִ  ͸ Ŭ忡 Ѵ.<br>
   * @example
   * // Ŭ忡 Ѵ.
   * ibsheetObject.Data2Clipboard();	
   * @returns {String} Ŭ忡  ڿ 
   */
  ibsheetObject.Data2Clipboard = function(){};

  /**
   * SetDataAlternateBackColor : ¦°   ⺻  Ѵ. (WebColor )<br>
   * @param {String}    
   * @example
   * // ¦  
   * ibsheetObject..SetDataAlternateBackColor("#FF0000");
   */  
  ibsheetObject.prototype.SetDataAlternateBackColor = function(Color){};
  
  /**
   * GetDataAlternateBackColor : ¦°   ⺻  ȮѴ (WebColor )<br>
   * @param {String} WebColor  
   * @param {Object} Ͱ ִ IBSheet ü
   * @example
   * //  Ȯ
   * ibsheetObject.GetDataAlternateBackColor(1,1);
   * @returns {String}  ¦  
   */  
  ibsheetObject.prototype.GetDataAlternateBackColor = function(){};
  
  /**
   * SetDataAutoTrim : ȸ Ǵ     Ʈ θ Ѵ. <br>
   * @param {Boolean}   Trim
   * @example
   * // ڵ ƮϿ ȸϱ
   * ibsheetObject.SetDataAutoTrim(1);
   * ibsheetObject.DoSearch("list.jsp");
   */  
  ibsheetObject.prototype.SetDataAutoTrim = function(Trim){};
  
  /**
   * GetDataAutoTrim : ȸ Ǵ     Ʈ θ ȮѴ. <br>
   * @param {String}    
   * @example
   * // ڵ Ʈ  Ȯϱ
   * ibsheetObject.GetDataAutoTrim();
   * @returns {Boolean}  Trim 
   */  
  ibsheetObject.prototype.GetDataAutoTrim = function(){};
  
  /**
   * SetDataBackColor : Ȧ°   ⺻  Ѵ. <br>
   * @param {String}   
   * @example
   * // Ȧ   
   * ibsheetObject.SetDataBackColor("#FFFFFF");
   */  
  ibsheetObject.prototype.SetDataBackColor = function(Color){};
  
  /**
   * GetDataBackColor : Ȧ°   ⺻  ȮѴ. <br>
   * @example
   * // Ȧ  Ȯ
   * ibsheetObject.GetDataBackColor();
   * @returns {String}  Ȧ 
   */  
  ibsheetObject.prototype.GetDataBackColor = function(){};
		  
  /**
   * DataCopy :   Ͽ ű Է  <br>
   * @param {Boolean} ڽ   ϴ  (Default=0)
   * @example
   * //  ϰ,   Ʈ ¸ "ȸ" <br>
   * var Row = ibsheetObject.DataCopy(); <br>
   * ibsheetObject.SetCellValue(Row, "Status", "R");
   * @returns {Long} Ͽ   Row Index
   */  
  ibsheetObject.prototype.DataCopy = function(IncludeChild){};
  
  /**
   * SetDataFontColor :    ڻ <br>
   * @param {String}   
   * @example
   * //   ڻ  Ѵ. <br>
   * ibsheetObject.SetDataFontColor("#FF0000");
   */  
  ibsheetObject.prototype.SetDataFontColor = function(Color){};
  
  /**
   * GetDataFontColor :    ڻ Ȯ<br>
   * @example
   * //   ڻ ȮѴ. <br>
   * ibsheetObject.GetDataFontColor();
   * @returns {String}   
   */  
  ibsheetObject.prototype.GetDataFontColor = function(){};
  
  /**
   * DataInsert :  ű ,  Row Index ȯѴ. <br>
   * @param {Long}   ġ
   * @param {Long}   Ʈ  
   * @example
   * // ù ࿡ ϱ <br>
   * ibsheetObject.DataInsert(0); <br>
   * // ࿡ ϱ <br>
   * ibsheetObject.DataInsert(-1); <br>
   * // õ  ٷ Ʒ  <br>
   * ibsheetObject.DataInsert();
   * @returns {Long} ű   Row Index
   */  
  ibsheetObject.prototype.DataInsert = function(Row, Level){}; 
  
  /**
   * SetDataLinkMouse :    ũ θ Ѵ.<br>
   * @param {Long / String} Ư÷ Column Index Ǵ SaveName
   * @param {Boolean} ũ 	
   * @example
   * // 1 ÷ ϵ Ѵ. <br>
   * ibsheetObject.SetDataLinkMouse(1, 1);
   */  
  ibsheetObject.prototype.SetDataLinkMouse = function(Col, Link){};
  
  /**
   * GetDataLinkMouse :    ũ θ ȮѴ.<br>
   * @example
   * //   ũ  ȮѴ. <br>
   * ibsheetObject.GetDataLinkMouse(1);
   * @returns {Boolean}  ũ 
   */  
  ibsheetObject.prototype.GetDataLinkMouse = function(Col){};
  
  /**
   * DataMove :   ٸ ġ ̵Ѵ.<br>
   * @param {Long} ̵ ġ Row Index <br>
   * @param {Long} õ  Row Index,Default=-1
   * @param {Integer} ̵  õ  Ʈ  Default="  " <br>
   * @example
   * // 12 10 ̵Ѵ. <br>
   * ibsheetObject.DataMove(10, 12);
   */  
  ibsheetObject.prototype.DataMove = function(ToRow, FromRow, RowLevel){};
  
  /**
   * SetDataRowHeight :    ̸ Ѵ.<br>
   * @param {Integer}    	
   * @example
   * //  ̸ 22 ȼ Ѵ. <br>
   * ibsheetObject.SetDataRowHeight(22);
   */  
  ibsheetObject.prototype.SetDataRowHeight = function(Height){};
  
  /**
   * GetDataRowHeight :    ̸ ȮѴ.<br>
   * @example
   * //  ̸ ȮѴ. <br>
   * ibsheetObject.GetDataRowHeight();
   * @returns {Integer}   
   */  
  ibsheetObject.prototype.GetDataRowHeight = function(){}; 

  /**
   * SetDataRowMerge :      θ Ѵ.<br>
   * @param {Boolean}    (Default: 0)
   * @example
   * //    θ  <br>
   * ibsheetObject.SetDataRowMerge(1);
   */  
  ibsheetObject.prototype.SetDataRowMerge = function(Merge){};
  
  /**
   * GetDataRowMerge :      θ ȮѴ.<br>
   * @returns {Boolean}  
   */  
  ibsheetObject.prototype.GetDataRowMerge = function(){};

  /**
   * DirectDown2Excel :   ڷḦ     Ͽ ٿε ޵ Ѵ.<br>
   * 1.ȭ 2.Ͻ  (DBȸ) <br> 
   * 3.  request.setAttribute("SHEETDATA", li); <br>
   * 4.DirectDown2Excel.jsp  forwarding <br>
   * @param {URL}  ͸    (ʼ)
   * @param {FileName}  ϸ
   * @param {SheetName}  WorkSheet ̸
   * @param {DownCols} ٿε  ÷ "|" ڷ 
   * @param {DownHeader}  Ͽ ٿ (Default="1")
   * @param {Merge}    (Default="0")
   * @param {SheetDesign}   ݿ θ  (Default="0")
   * @param {ExcelFontSize} SheetFontSize ʹ   Ư Ʈ ũ 
   * @param {ExtendParam}   ȸ
   * @example
   * var param = { <br>
   * URL:"/bus/bussinessList.jsp" <br>
   * ,ExtendParam:"sa_nm=&sa_no=980123" <br>
   * ,FileName:"PersonList.xls" <br>
   * }; <br>
   * ibsheetObject.DirectDown2Excel(param);
   */  
  ibsheetObject.prototype.DirectDown2Excel = function(parameters){};
  
  /**
   * DirectLoadExcel :   ڷḦ     Ͽ ٿε ޵ Ѵ.<br>
   * 1.  μ 2.request.getAttribute("SHEETDATA");
   * 3.ȭ
   * @param {Mode} ε (Default="HeaderMatch")
   * @param {WorkSheetNo}  WorkSheet ȣ (Default="1")
   * @param {WorkSheetName}  WorkSheet ̸ (Default="")
   * @param {StartRow}  ε ȣ (Default="1")
   * @param {EndRow}  εϷ ȣ (Default="0")
   * @param {ColumnMapping}  ÷ ȣ (Default="")
   * @param {ExtendParam}  ޵ Ķ͸ Ʈ · (ʼ)
   * @param {FileExt} ε   Ȯ (Deafault="")
   * @example
   * //Լ <br>
   * function makeExParam(key,data){ <br>
   * return "&"+encodeURIComponent(key)+"="+encodeURIComponent(data);<br>
   * }<br>
   * //  Ѿ    <br>
   * var param =makeExParam( "FP" ,"/bu/MassSave.jsp");<br>
   * param += makeExParam("sname","chris");<br>
   * param += makeExParam("date","20091221);<br>
   * var parameters = { Mode : mch, StartRow: "1", ExtendParam:param}<br>
   * //  εϿ   óϱ<br>
   * ibsheetObject. DirectLoadExcel(parameters);
   */  
  ibsheetObject.prototype.DirectLoadExcel = function(parameters){};
  
  /**
   * DoAllSave : Ʈǿ   ͸ Ѵ.<br>
   * @param {String}  ó   ̸ <br>
   * @param {String}   Parameter (Default="") <br>
   * @param {Boolean} IBSheet  ͸ ڵ θ  (Default=1) <br>
   * @param {Integer} Query String ڿ չ Mode=1, Mode=2 (Default=1) <br>
   * @param {String} Mode=2϶    (Default ="|")
   * @example
   * //   ϱ <br>
   * ibsheetObject.DoAllSave("save.jsp", "id=khlee&seq=1");
   */  
  ibsheetObject.prototype.DoAllSave = function(PageUrl, Param, UrlEncode, Mode, Delim){};
  
  /**
   * DoPrint :  ִ  ͸ μѴ.<br>
   * @example
   * // μϱ <br>
   * ibsheetObject.DoPrint();
   */  
  ibsheetObject.prototype.DoPrint = function(){};  
  
  /**
   * DoRowSearch : Ư   ͸ ȸ Ѵ.<br>
   * @param {Long}   Index <br>
   * @param {String} ó  Url <br>
   * @param {String} ȸ Query String (Default="") <br> 
   * @param {Boolean}  ̹ ǥ  (Default=1)<br>
   * @param {Boolean}  ȸ  (Default=0)
   * @example
   * // ش ͸ о.<br>
   * ibsheetObject.DoRowSearch(Row, "grid_rowdata.html", "" ,0);
   */  
  ibsheetObject.prototype.DoRowSearch = function(Row, PageUrl, Param, WaitImage){};
  
  /**
   * DoSave :  Ʈ   óѴ.<br>
   * @param {String}  ó   ̸ <br>
   * @param {String}   Parameter (Default="")<br>
   * @param {Long / String}   Ǵ  ÷, Ǵ SaveName Default=÷(-1) <br>
   * @param {Boolean} Ȯ ޽ ǥ   (Default=1) <br>
   * @param {Boolean} ڵ θ  (Default=1) <br>
   * @param {Ineteger} ڿ չ Mode=1, Mode=2 (Default=1) <br>
   * @param {String} Mode=2϶,    (Default="|")
   * @example
   * // 2÷ CheckBox üũȰ͸ <br>
   * ibsheetObject.DoSave("Save.jsp" ,"id=khlee&seq=1", 2);
   */  
  ibsheetObject.prototype.DoSave = function(PageUrl, Param, Col,
		  Quest, UrlEncode, Mode, Delim){};
  
  /**
   * DoSearch : ȸ  . <br>
   * @param {String} ȸ XML   ̸ <br>
   * @param {String} ȸ  Query String (Default="") <br>
   * @param {Boolean}  ȸ  (Default=0) <br>
   * @param {Boolean} Append ȸ , 1μ  Ϳ  ȸ  ÷ (Default=0)
   * @example
   * // 1.Ϲ ȸ(񵿱) <br>
   * ibsheetObject.DoSearch("list.jsp", "p1=aa&p2=bb"); <br>
   * // 2. Sync ȸ <br>
   * var opt = { Sync : 1}; <br>
   * ibsheetObject.DoSearch("list.jsp", "p1=aa&p2=bb", opt); <br>
   * // 3. Append ȸ <br>
   * var opt = { Append : 1}; <br>
   * ibsheetObject.DoSearch("list.jsp", "p1=aa&p2=bb", opt); <br>
   * // 4. Sync && Append ȸ <br>
   * var opt = { Sync : 1, Append : 1}; <br>
   * ibsheetObject.DoSearch("list.jsp", "p1=aa&p2=bb", opt); <br>
   */  
  ibsheetObject.prototype.DoSearch = function(PageUrl, Param, Opt){};
  
  /**
   * DoSearchChild : Ʈ    ش ڽ ȸ  ¿
   * OnTreeChild ̺Ʈ ȿ  ȸ XML,JSON ͸ Append Ͽ ǥ<br>
   * @param {Long} OnTreeChild ̺Ʈ   Index <br>
   * @param {String} ȸ XML,JSON   ̸ <br>
   * @param {String} ȸ  Query String (Default="") <br>
   * @param {Boolean}  ̹ ǥ  (Default=1) <br>
   * @example
   * function ibsheetObject_OnTreeChild(Row){ <br>
   * var url = "type15_dat.xml"; <br>
   * ibsheetObject.DoSearchChild(Row, url, "", 1); <br>
   * }
   */  
  ibsheetObject.prototype.DoSearchChild = function(Row, PageUrl, Param, Wait){};
  
  /**
   * DoSearchFx : ȸ ޼ DoSearch  (信  ˻縦 ) <br>
   * @param {String} ȸ XML   ̸<br>
   * @param {String} ȸ  Query String (Default="") <br>
   * @param {Boolean} Append ȸ , 1μ  Ϳ  ȸ  ÷ (Default=0)
   * @example
   * // 1.Ϲ ȸ(񵿱) <br>
   * ibsheetObject.DoSearchFx("list.jsp", "p1=aa&p2=bb"); <br>
   * // 2. Append ȸ <br>
   * var opt = { Append : 1}; <br>
   * ibsheetObject.DoSearchFx("list.jsp", "p1=aa&p2=bb", opt); <br>
   */
  ibsheetObject.prototype.DoSearchFx = function(PageUrl, Param, Opt){};
  
  /**
   * DoSearchPaging : 뷮 ͸ ȸ, IBSheet  ũ ġ  Ϻθ ȸ Ͽ ȭ鿡 ǥѴ.<br>
   * @param {String} ȸ  Url<br>
   * @param {String}  ε   (Default="ibpage")<br>
   * @param {String} ȸ  Query String (Default="")<br>
   * @param {String}      (Default="iborderby")<br>
   * @param {Boolean} 2 ̻ ȸ ̹ ǥ <br>
   * @param {Boolean}  ȸ  (Default=0) <br>
   * @example
   * // ʱȭ  (  100 ) <br>
   * var cfg = {SearchMod : 3, Page:100}; <br>
   * ibsheetObject.SetConfig(cfg); <br>
   * // ǽð ȸ <br>
   * var info = {PageParam: "page", OrderbyParam:orderbyParam, Param: "id=ibleaders&seq=1"}; <br>
   * ibsheetObject.DoSearchPaging("list.jsp",info); <br>
   */  
  ibsheetObject.prototype.DoSearchPaging = function(Url, Info){};  
  
  /**
   * DoSearchScript : ڹ ũƮ    ȭ鿡 ǥѴ. LoadSearchData ü. <br>
   * @param {String} ũƮ  (ݵ )<br>
   * @param {Boolean} Append ȸ , 1μ  Ϳ  ȸ  ÷ (Default=0) 
   * @example
   * //   <br>
   * var gJson = ""; <br>
   * //  ̿ ȸ <br>
   * var opt = { Append : 1};
   * gJson = "{data:[{C1: '01', C2:1234},{C1: '02', C2:5678}]}"; <br>
   * ibsheetObject.DoSearchScript("gJson", opt); <br>
   */  
  ibsheetObject.prototype.DoSearchScript = function(Name){};
  
  /**
   * Down2Excel : ȸ Ͱ ִ  IBSheet   Ϸ ȯϿ ٿε Ѵ. <br>
   * @param 
   * {FileName}    <br>
   * {SheetName}  WorkSheet ̸ <br>
   * {DownRows} ٿε   "|" ڷ  <br>
   * {DownCols} ٿε   "|" ڷ  <br>
   * {HiddenColumn}   ݿ , Default=0 <br>
   * {DownHeader}  ٿε , Default=1 <br>
   * {DownSum} հ ٿε , Default=1 <br>
   * {Merge}  ٿε  , Default=0 <br>
   * {SheetDesign}  ٿε  , Default=0 <br>
   * {CheckBoxOnValue} üũڽ üũ , Default=1 <br>
   * {CheckBoxOffValue} üũڽ üũ , Default=0 <br>
   * {DownCombo} ޺ TEXT/CODE  ٿε , Default="TEXT" <br>
   * {TitleText}   Ǵ  <br>
   * {UserMerge} Ƿ  ϱ Ͽ  <br>
   * {OnlyHeaderMerge}   , Default=0 <br>  
   * {ExcelFontSize} Ʈũ , Default=0 <br>
   * {ExcelRowHeight}   Ư ȼ ũ⸦  <br> 
   * {URL}  ٿ Ҿ  ó (α), Down2Excel.jsp   ȣ <br>
   * {ExtendParam} Get QueryString Ͽ  <br>
   * {ExtendParamMehtod} ExtendParam  GET Ǵ POST   , Default="GET" <br>
   * {TextToGeneral} Text Type     Ϲ Ǵ ؽƮ , Default=1(Ϲ) <br>
   * {DownTreeHide} Ʈ   ٿ , Default=0(ٿ ȹ) <br>
   * {KeyFieldMark} KeyField ũ(*) ٿ , Default=1(ٿ ) <br>
   * {TreeLevel} Ʈ  ٿ   , Default=0(ٿ ȹ) <br>
   * {WordWrap} ؽƮ  ٹٲ  , Default=1 <br>
   * {AutoSizeColumn} ÷ ̸ 뿡 ° ڵ , Default=0 <br> 
   * 
   * @example
   * //   ޱ <br>
   * ibsheetObject.Down2Excel(); <br>
   * // ٿε ϸ excel2 ϰ ũƮ sheet-test  Ͽٿε ޴´. <br>
   * ibsheetObject.Down2Excel({FileName:'excel2',SheetName:' sheet-test'}); <br>
   */  
  ibsheetObject.prototype.Down2Excel = function(parameters){};

  /**
   * SetDown2ExcelUrl :  ٿε  ó   θ Ѵ. <br>
   * @param {String}    Url <br>
   * @example
   * //  ٿε θ Ѵ. <br>
   * ibsheetObject.SetDown2ExcelUrl("/jsp/Down2Excel.jsp");
   */  
  ibsheetObject.prototype.SetDown2ExcelUrl = function(Url){}; 
  
  /**
   * GetDown2ExcelUrl :  ٿε  ó   θ ȮѴ. <br>
   * @example
   * //  ٿε  θ ȮѴ.<br>
   * var url = ibsheetObject.GetDown2ExcelUrl();
   * @returns {String}  ΰ
   */  
  ibsheetObject.prototype.GetDown2ExcelUrl = function(){}; 
  
  /**
   * Down2ExcelBuffer :   Ʈκ 1   ٿε ޴´. <br>
   * @param {Bool} ۸
   * @example
   * // 1 Ʈ   ٿε ޴´. <br>
   * ibsheetObject.Down2Excel({FileName:'excel2',SheetName:' sheet-test'}); <br>
   * //ķδ ۸Ѵ. ƹ  . <br>
   * ibsheetObject.Down2ExcelBuffer(true); <br>
   * // ù° ũƮ Ƶα⸦ . <br>
   * ibsheetObject.Down2Excel({FileName:'excel2',SheetName:'sheet1'}); <br>
   * // ۸   ڷḦ 1   Ƽ  ٿε Ѵ. <br>
   * ibsheetObject.Down2ExcelBuffer(false); 
   */  
  ibsheetObject.prototype.Down2ExcelBuffer = function(IsBuffer){};
  
  /**
   * Down2Pdf : ȸ Ͱ ִ  IBSheet   PDF Ϸ ȯϿ ٿε Ѵ. <br>
   * @param 
   * {DownCols} ٿε   "|" ڷ  <br>
   * {Dpi} /Ȯ .   ũ µ. 50 ~32840 <br>
   * {ExtendParam}  ؾ ϴ  ִ  Get  QueryString <br>
   * {ExtendParamMethod} Default="GET" <br>
   * {FileName}    Default="IBSheet.pdf" <br>
   * {FontTo} Default="Gothic" <br>
   * {Paper}    landscape Ǵ portait<br>
   * {Title} Default = "" <br>
   * {TitleStyle} Default = "" <br>
   * {URL} Default = ""<br>
   * @example
   * // PDF Ϸ  ޱ <br>
   * ibsheetObject.Down2Pdf(); <br>
   * // ٿε ϸ text Ͽٿε ޴´. <br>
   * ibsheetObject.Down2Pdf({FileName:'text' }); <br>
   * // ٿε ÷ Ͽ myPDF.pdf ٿ޴´. <br>
   * ibsheetObject.Down2Pdf({FileName:"myPDF", DownCols:"7|8|9|4|5|6|10"}); <br>
   */  
  ibsheetObject.prototype.Down2Pdf = function(parameters){};  
  
  
  /**
   * Down2Text : ȸ Ͱ ִ  IBSheet  ؽƮ Ϸ ȯϿ ٿε Ѵ. <br>
   * @param
   * {FileName}  ϸ (Default="Test.txt") <br>
   * {RowDelim}  ڷ ̿ ǥõ  (Default="\n") <br>
   * {ColDelim}  ڷ ̿ ǥõ  (Default="") <br>
   * {DownRows} ٿε   |   <br>
   * {DownCols} ٿε   |   <br>
   * {DownHeader}  ٿε  (Default=1) <br>
   * {DownSum} հ ٿε  (Default=1) <br>
   * {DownCombo} ޺ TEXT/CODE  ٿε  (Default="TEXT") <br>
   * {ExtendParam}    Get  QueryString  <br>
   * {DownTreeHide} Ʈ   ٿ (Default=0) <br>
   * @example
   * // ؽƮ Ϸ  ޱ <br>
   * ibsheetObject.Down2Text(); <br>
   * // ٿε ϸ text Ͽٿε ޴´. <br>
   * ibsheetObject.Down2Text({FileName:'text' }); <br>
   * // ޺ ڵ ް,  հ ϰ ÷ ʿ 3 ÷ ٿε Ѵ. <br>
   * ibsheetObject.Down2Text({DownCombo:'CODE', DownRows:'',
   * DownCols:'0|1|2', DownHeader:0, DownSum:0});
   */  
  ibsheetObject.prototype.Down2Text = function(parameters){};

  /**
   * SetDown2TextUrl : ؽƮ ٿε  ó   θ Ѵ. <br>
   * @param {String}    Url <br>
   * @example
   * // ؽƮ ٿε θ Ѵ. <br>
   * ibsheetObject.SetDown2TextUrl("/jsp/Down2Text.jsp");
   */  
  ibsheetObject.prototype.SetDown2TextUrl = function(Url){}; 
  
  /**
   * GetDown2TextUrl : ؽƮ ٿε  ó   θ ȮѴ. <br>
   * @example
   * // ؽƮ ٿε  θ ȮѴ.
   * var url = ibsheetObject.GetDown2TextUrl();<br>
   * @returns {String}  ΰ
   */  
  ibsheetObject.prototype.GetDown2TextUrl = function(){}; 
   
  
  /**
   * SetDownloadingImage :  ٿε   ̹  ġ Ѵ <br>
   * @param {String} ̹ URL <br> 
   * @example
   * // ٿε   ̹ Ѵ.<br>
   * ibsheetObject.SetDownloadingImage( "/sheet/imgDownload.gif");<br>
   */  
  ibsheetObject.prototype.SetDownloadingImage = function(URL){};
  
  /**
   * GetDownloadingImage :  ٿε   ̹  ġ ȮѴ <br>
   * @example
   * // ٿε   ̹ θ ȮѴ. <br>
   * ibsheetObject.GetDownloadingImage(); <br>
   * @returns {String}   <br>
   */  
  ibsheetObject.prototype.GetDownloadingImage = function(){};
  
  /**
   * SetDragMode : 콺 巡 ó  Ѵ. <br>
   * @param {Boolean} 巡 ó   (Default=0) <br>
   * 0 : Ϲ -  Ǵ   , Ctrl Key  -  巡 <br>
   * 1 : Ϲ -  巡, Ctrl Key  -  Ǵ    <br>
   * @example
   * // DragMode   <br>
   * ibsheetObject.SetDragMode(1); <br>
   */  
  ibsheetObject.prototype.SetDragMode = function(Mode){};
  
  /**
   * GetDragMode : 콺 巡 ó  Ȯ Ѵ. <br>
   * 0 : Ϲ -  Ǵ   , Ctrl Key  -  巡 <br>
   * 1 : Ϲ -  巡, Ctrl Key  -  Ǵ    <br>
   * @example
   * // DragMode   Ȯ <br>
   * var mode = ibsheetObject.GetDragMode(); <br>
   * @returns {Boolean}   <br>
   */  
  ibsheetObject.prototype.GetDragMode = function(){};
  
  /**
   * SetEditable : ü Edit  θ Ѵ. <br>
   * @param {Boolean}     <br> 
   * @example
   * // ʱ ε  ü  Edit   <br>
   * ibsheetObject.SetEditable(1); <br>
   */  
  ibsheetObject.prototype.SetEditable = function(Edit){};
  
  /**
   * GetEditable : ü Edit  θ ȮѴ. <br>
   * @example
   * // Edit   Ȯ <br>
   * ibsheetObject.GetEditable(); <br>
   * @returns {Boolean}   <br>
   */  
  ibsheetObject.prototype.GetEditable = function(){};
  
  /**
   * SetEditEnterBehavior : Edit  Enter Ű    Ѵ. <br>
   * @param {Boolean} Enter key Է½  Ӽ  (Default="tab") <br>
   * tab, down, newline, none <br>
   * @example
   * // Edit  Enter   Ʒ ̵ϰ Ѵ. <br>
   * ibsheetObject.SetEditEnterBehavior("down"); <br>
   */  
  ibsheetObject.prototype.SetEditEnterBehavior = function(Mode){};
  
  /**
   * GetEditEnterBehavior : Edit  Enter Ű    ȮѴ <br>
   * @example
   * // Edit   Ȯ <br>
   * ibsheetObject.GetEditable(); <br>
   * @returns {Boolean}   <br>
   */  
  ibsheetObject.prototype.GetEditEnterBehavior = function(){};
  
  /**
   * SetEditableColorDiff :  Ұ  <br> 
   * Ͽ ǥ θ Ѵ. <br>
   * @param {Integer}   <br> 
   * 0:о ǥ 1:css 2:css ⺻  <br>
   * @example
   * //  Ұ    <br>
   * ibsheetObject.SetEditableColorDiff(0); <br>
   */  
  ibsheetObject.prototype.SetEditableColorDiff = function(Mode){};
  
  /**
   * GetEditableColorDiff :  Ұ  <br>
   *  Ͽ ǥ θ ȮѴ. <br>   *  
   * @example
   * //  Ұ  ǥù Ȯ <br>
   * ibsheetObject.GetEditableColorDiff(); <br>
   * @returns {Integer}   <br>
   */  
  ibsheetObject.prototype.GetEditableColorDiff = function(){};
  
  /**
   * SetEditArrowBehavior : ȭǥŰ(,,,)   Ŀ ̵  Ѵ.<br>
   * 0:κҰ 1:ϸ 2:¿츸 3:ΰ 
   * @param {Integer}    (Default=1) <br> 
   * @example
   * // ȭǥŰ ̵ <br>
   * ibsheetObject.SetEditArrowBehavior(3); <br>
   */  
  ibsheetObject.prototype.SetEditArrowBehavior = function(behavior){};
  
  /**
   * GetEditArrowBehavior : ȭǥŰ(,,,)   Ŀ ̵  ȮѴ.<br>
   * @example
   * //  Ȯ
   * ibsheetObject.GetEditArrowBehavior(); <br>
   * @returns {Integer}   <br>
   */  
  ibsheetObject.prototype.GetEditArrowBehavior = function(){};

  /**
   * SetEditTabBehavior  : ͸ Edit  Tab Ű    Ѵ. <br>
   * True   Ұ 쿡 Ŀ ̵ϰ
   * Flase       ̵
   * @param {Integer}    (Default=1) <br> 
   * @example
   * // <br>
   * ibsheetObject.SetEditTabBehavior(); <br>
   */  
  ibsheetObject.prototype.SetEditTabBehavior = function(Mode){};
  
  /**
   * GetEditTabBehavior  : ͸ Edit  Tab Ű    Ȯ Ѵ. <br>
   * @example
   * //  Ȯ
   * ibsheetObject.GetEditTabBehavior(); <br>
   * @returns {Integer}   <br>
   */  
  ibsheetObject.prototype.GetEditTabBehavior = function(){};  
  
  /**
   * SetEllipsis :  ǥ    θ Ѵ. <br>
   * ""    ǥ <br>
   * @param {Boolean} 밡   (Default="0") <br> 
   * @example
   * //   ϱ <br>
   * ibsheetObject.SetEllipsis(1); <br>
   */  
  ibsheetObject.prototype.SetEllipsis = function(Flag){};
  
  /**
   * GetEllipsis :  ǥ    θ ȮѴ.<br>
   * @example
   * //  Ȯ
   * ibsheetObject.GetEllipsis(); 
   * @returns {Integer}   <br>
   */  
  ibsheetObject.prototype.GetEllipsis = function(){};
  
  /**
   * SetEnable : User Interface (콺,Ű) θ Ѵ. <br>
   * @param {Boolean} User Interface    <br> 
   * @example
   * //  Ұ · Ѵ. <br>
   * ibsheetObject.SetEnable(0); <br>
   */  
  ibsheetObject.prototype.SetEnable = function(Enable){};
  
  /**
   * GetEnable : User Interface (콺,Ű) θ ȮѴ. <br>
   * @example
   * //User Interface 밡   ȮѴ.
   * ibsheetObject.GetEnable(); 
   * @returns {Boolean} 밡   <br>
   */  
  ibsheetObject.prototype.GetEnable = function(){};
  
  /**
   * SetEnterBehavior :  Ŀ EnterŰ Ӽ  <br>
   * @param {String} Enter key Է½  Ӽ  (Default="edit") <br> 
   * @example
   * // Enter    ̵ϰ Ѵ. <br>
   * ibsheetObject.SetEnterBehavior("tab"); <br>
   */  
  ibsheetObject.prototype.SetEnterBehavior = function(Mode){};
  
  /**
   * GetEnterBehavior :  Ŀ EnterŰ Ӽ Ȯ <br>
   * @returns {String}  Ӽ  <br>
   */  
  ibsheetObject.prototype.GetEnterBehavior = function(){};
  
  /**
   * SetEtcData :   ̿  Ѵ. <br>
   * @param {String} Ÿ Ű ̸ <br>
   * @param {String} Ÿ Ű  <br>  
   * @example
   * // Ÿ   Ѵ. <br>
   * ibsheetObject.SetEtcData("age", 40); <br>
   */  
  ibsheetObject.prototype.SetEtcData = function(KeyName, Value){};
  
  /**
   * GetEtcData :   ̿  ȮѴ.
   * @param {String} Ÿ Ű ̸
   * @example
   * // XML ؼ ȸ Ÿ  TextBox Ѵ.<br>
   * document.form1.txtAge.value = ibsheetObject.GetEtcData("age");
   * @returns {String} Ű   <br>
   */  
  ibsheetObject.prototype.GetEtcData = function(KeyName){}; 
  
  /**
   * SetExtendLastCol :  ÷ ʺ ü ʺ ° ڵ  θ Ѵ. <br>
   * @param {Boolean}  ÷ ʺ Ȯ  (Default= 0) <br>
   * @example
   * //  ÷ ü ʺ . <br>
   * ibsheetObject.SetExtendLastCol(1); <br>
   */  
  ibsheetObject.prototype.SetExtendLastCol = function(Extend){};
  
  /**
   * GetExtendLastCol :  ÷ ʺ ü ʺ ° ڵ  θ ȮѴ. <br>
   * @returns {Boolean} Ȯ    <br>
   */  
  ibsheetObject.prototype.GetExtendLastCol = function(){};
  
  /**
   * FindCheckedRow : Ư ÷ üũ ȣ "|" Ͽ ȯѴ. <br>
   * @param {Long / String} Ư ÷ Column Index Ǵ SaveName <br> 
   * @example
   * // üũ ȣ ´. <br>
   * var sRow = ibsheetObject.FindCheckedRow(2); <br>
   * //   迭 Ѵ. <br>
   * var arrRow = sRow.split("|");
   * @returns {String} üũ ȣ "|"  ڿ (Default="")
   */  
  ibsheetObject.prototype.FindCheckedRow = function(Col){};

  /**
   * FindStatusRow : Ʈ ¿ ȣ ";" Ͽ ȯѴ. <br>
   * @param {String} ã ϴ Ʈ  ڵ带 "|"  ڿ <br> 
   * @example
   * // ,   ˾ƿ <br>
   * var sRow = ibsheetObject.FindStatusRow("U|D"); <br>
   * //   迭 Ѵ. <br>
   * var arrRow = sRow.split(";"); <br>
   * @returns {String} ȣ ";"  ڿ (Default="")
   */  
  ibsheetObject.prototype.FindStatusRow = function(sStatus){};
  
  /**
   * FindSubSumRow : Ұ  ȣ "|" Ͽ ڿ ȯѴ. <br>
   * @param {Long/String} ÷Index Ǵ SaveName. Default=""(ü÷) <br> 
   * @example
   * // ǥõ  Ұ  ã <br>
   * var sRow = ibsheetObject.FindSubSumRow(); <br>
   * // 1÷  ǥõ Ұ  ã. <br>
   * var sRow = ibsheetObject.FindSubSumRow(1); <br>
   * @returns {String} Ұ  ȣ "|"  ڿ
   */  
  ibsheetObject.prototype.FindSubSumRow = function(StdCol){}; 
  
  /**
   * FindSubSumRow : հ ε ȮѴ. <br>
   * @param {Long/String} ÷Index Ǵ SaveName. Default=""(ü÷) <br> 
   * @example
   * // հ  ȣ ´. <br>
   * var sumRow = ibsheetObject.FindSumRow(); <br>
   * @returns {Long} հ ε (Default=-1)
   */  
  ibsheetObject.prototype.FindSubSumRow = function(StdCol){};
  
  /**
   * FindText : ÷ Ư ؽƮ ãƼ ȣ ȯѴ. <br>
   * @param {Long / String} ã ϴ ÷ Index Ǵ SaveName
   * @param {String} ã ڿ
   * @param {Long}    Index (Default="ù")
   * @param {Integer}    (Default=-1)
   * -1:ü 0:պκ 1:ںκ 2:
   * @param {Boolean} ҹ   (Default=1)
   * @example
   * // 2÷ 'ѱ' ϴ   ġ ã<br>
   * var Row1 = ibsheetObject.FindText(2, "ѱ", 0, 0, 0); <br>
   * @returns {Long} ã ȣ (Default=-1)
   */  
  ibsheetObject.prototype.FindText = function(Col, SearchText,
		  StartRow, FullMatch, CaseSensitive){};
  
  /**
   * FitColWidth :  ÷ Width Ͽ  ũ  ʵ Ѵ. <br>
   * @param {Long/String}  ÷ % ʺ  (Default="") <br> 
   * @example
   * // ÷ ʺ   <br>
   * ibsheetObject.FitColWidth(); <br>
   * // %  缳ϱ <br>
   * ibsheetObject.FitColWidth("10|20|40|30"); <br>
   */  
  ibsheetObject.prototype.FitColWidth = function(Width){};
  
  /**
   * FitSize :   ̿  ÷ ʺ Ѵ. <br>
   * @param {Boolean}    
   * @param {Boolean} ÷ ʺ   
   * @example
   * //  ̸ ϱ  <br>
   * ibsheetObject.FitSize(1, 0); <br>
   * // %  缳ϱ <br>
   * ibsheetObject.FitSize(1, 1); <br>
   */  
  ibsheetObject.prototype.FitSize = function(RowHeight, ColumnWidth){}; 
  
  /**
   * SetFocusAfterProcess : ȸ Ϸ  Ŀ   Ѵ. <br>
   * @param {Boolean} Ŀ   (Default=1)
   * @example
   * // ȸ  Ŀ   <br>
   * ibsheetObject.SetFocusAfterProcess(0); <br>
   * // %  缳ϱ <br>
   * ibsheetObject.FitSize(1, 1); <br>
   */  
  ibsheetObject.prototype.SetFocusAfterProcess = function(mode){}; 
  
  /**
   * GetFocusAfterProcess : ȸ Ϸ  Ŀ θ ȮѴ. <br>
   * @returns {Boolean}  
   */  
  ibsheetObject.prototype.GetFocusAfterProcess = function(){};
  
  /**
   * SetFocusAfterRowTransaction :  ߰, , ̵,   Ŀ 
   * ̵  θ  Ѵ. <br>
   * @param {Boolean} Ŀ   (Default=1)
   * @example
   * // Ŀ   <br>
   * ibsheetObject.SetFocusAfterRowTransaction(0); <br>
   */  
  ibsheetObject.prototype.SetFocusAfterRowTransaction = function(mode){}; 
  
  /**
   * GetFocusAfterRowTransaction :  ߰, , ̵,   Ŀ
   * ̵  θ ȮѴ. <br>
   * @returns {Boolean}  
   */  
  ibsheetObject.prototype.GetFocusAfterRowTransaction = function(){}; 
   
  /**
   * SetFocusEditMode :  Ŀ Edit or Ŀ   
   * @param {Integer} Ŀ   (Default=0)
   * @example
   * // Ŀ ܼ Ŀ   <br>
   * ibsheetObject.SetFocusEditMode(0); <br>
   */  
  ibsheetObject.prototype.SetFocusEditMode = function(mode){}; 
  
  /**
   * GetFocusEditMode :  Ŀ Edit Ǵ Ŀ  Ȯ
   * @returns {Integer}  
   */  
  ibsheetObject.prototype.GetFocusEditMode = function(){};
  
  /**
   * GetCellProperty :  InitColumns Ǵ InitCellProperty   Ӽ  ȮѴ.
   * @param {Long} Ư  Row Index
   * @param {Long / String} Ư  ÷ Index Ǵ SaveName
   * @param {String} Ȯϰ ϴ Ӽ
   * @example
   * //  Ÿ о <br>
   * var iType = ibsheetObject.GetCellProperty(1, 1, "Type"); <br>
   * @returns {String/ Boolean/ Integer}  ÷ Ӽ  
   */  
  ibsheetObject.prototype.GetCellProperty = function(Row, Col, PropName){}; 

  /**
   * GetChildNodeCount :  Ʈ   ȮѴ.
   * @param {Long} Ư  Row Index
   * @example
   * // 1°   <br>
   * var childCount = ibsheetObject.GetChildNodeCount(1); <br>
   * @returns {Integer}     
   */  
  ibsheetObject.prototype.GetChildNodeCount = function(Row){}; 
  
  /**
   * GetChildRows :  Ʈ Ư  ڽ Index "|" Ͽ ȯѴ.
   * @param {Long} Ư  Row Index <br>
   * @param {Integer} Ȯ ڽ   (Default=-1, ڽ) <br>
   * @example
   * // 2°  ڽķ 3 Ȯ <br>
   * var childRows = ibsheetObject.GetChildRows(2, 3); <br>
   * @returns {String}  ڽ ڿ  
   */  
  ibsheetObject.prototype.GetChildRows = function(Row, MaxLevel){};
  
  /**
   * GetComboInfo :  Ư  ޺  ȮѴ.
   * @param {Long} Ư  Row Index <br>
   * @param {Long / String} Ư  ÷ Index Ǵ SaveName <br>
   * @param {String} "Text", "Code" 
   * @example
   * // ޺ ؽƮ ´. <br>
   * var sText = ibsheetObject.GetComboInfo(0,2, "Text"); <br> 
   * //  迭 Ѵ. <br>
   * var arrText = sText.split("|");
   * @returns {String} ޺ ؽƮ Ǵ ڵ
   */  
  ibsheetObject.prototype.GetComboInfo = function(Row,Col,Flag){};
  
  /**
   * GetCurrentPage : ü͸   ȭ  ÷ 
   * κ °  Ѵ.(smGeneral )
   * @example
   * //   ѹ <br>
   * var pageNum = ibsheetObject.GetCurrentPage(); <br>
   * @returns {Integer}   ȣ
   */  
  ibsheetObject.prototype.GetCurrentPage = function(){}; 
  
  /**
   * GetDataRows :      Ȯ Ѵ.
   * κ °  Ѵ.(smGeneral )
   * @example
   * //   ȮѴ. <br>
   * var dataRows = ibsheetObject.GetDataRows();. <br>
   * @returns {Integer}  Ǿ ִ    
   */  
  ibsheetObject.prototype.GetDataRows = function(){}; 
  
  /**
   * GetEditText : Edit  ڸ ȮѴ.
   * @returns {String}   (Default="")
   * @example
   * //  ڸ ȮѴ. <br>
   * function ibsheetObject_OnKeyUp(Row, Col, KeyCode, Shift){ <br> 
   * var editTxt= "Edit  = " + ibsheetObject.GetEditText(); <br> 
   * editTxt += " = " + ibsheetObject.GetCellValue(Row,Col); <br>
   * alert(editTxt);
   * }
   */  
  ibsheetObject.prototype.GetEditText = function(){};
  
  /**
   * GetFilterParam : SearchMode:3 ͸ Ͱ  ͸ Ͽ Ʈ
   * ȸϱ  QueryString ڿ ؿ Լ̴.
   * @param {Boolean} ü ͸  (Default =0)
   * @param {Boolean} UrlEncode  (Default= 1)
   * @example
   * // ü ÷ Param  Ʈ ؿ.
   * var FilterStr = ibsheetObject.GetFilterParam(1);   
   * @returns {String} ȸ  Query String
   */  
  ibsheetObject.prototype.GetFilterParam = function(AllFilter, UrlEncode){};
  
  /**
   * GetFirstChildRow : Ʈ Ư  ù° ڽ  Index ȮѴ.
   * @param {Long}   Index
   * @example
   * // 2°  ù° ڽ  ȮѴ. <br>
   * var firstChild = ibsheetObject.GetFirstChildRow(2);  <br>
   * @returns {Long} ù° ڽ  Index
   */  
  ibsheetObject.prototype.GetFirstChildRow = function(Row){};   
  
  /**
   * GetGroupCol :  Ǿִ ׷  ÷ SaveNameȮѴ.
   * @example
   * // ׷ Ѵ.
   * ibsheetObject.ShowGroupRow();
   * //  Ǿ ִ ׷  ÷ ȮѴ.
   * var Cols = ibsheetObject.GetGroupCol();	 
   * @returns {String}   ׷  ÷ 
   */  
  ibsheetObject.prototype.GetGroupCol = function(Row){};
  
  /**
   * GetLastChildRow : Ʈ Ư   ڽ  Index ȮѴ
   * @param {String}   Index <Br>
   * @example
   * // 2°   ڽ  ȮѴ. <br>
   * var lastChild = ibsheetObject.GetLastChildRow(2);
   */  
  ibsheetObject.prototype.GetLastChildRow = function(Row){};
  
  /**
   * GetMergedEndCell : ü      
   * @param {String}   Index
   * @param {Long / String}  Ǵ ÷ Ǵ SaveName
   * @example 
   * var endMergeCell = ibsheetObject.GetMergedEndCell(4,5);
   * @returns {String} Row Col  "Row, Col" String 
   */  
  ibsheetObject.prototype.GetMergedEndCell = function(Row, Col){};
  
  /**
   * GetMergedStartCell : ü      
   * @param {String}   Index
   * @param {Long / String}  Ǵ ÷ Ǵ SaveName
   * @example 
   * var startMergeCell = ibsheetObject.GetMergedStartCell(4,5);
   * @returns {String} Row Col  "Row, Col" String 
   */  
  ibsheetObject.prototype.GetMergedStartCell = function(Row, Col){};
  
  /**
   * GetNextSiblingRow : Ư ࿡  θ,     Index Ȯ
   * @param {Long}   Index
   * @example
   * // 6°  Ϸ    ȮѴ. 
   * var next = ibsheetObject.GetNextSiblingRow(6);
   * @returns {Long}     Index
   */  
  ibsheetObject.prototype.GetNextSiblingRow = function(Row){};  
  
  /**
   * GetSheetPageLength : SetConfig Page Ӽ  ȮѴ.
   * @param {Long}   Index
   * @example
   * // PageӼ ȮѴ.
   * ibsheetObject.GetSheetPageLength();
   * @returns {Integer} Page Ӽ 
   */  
  ibsheetObject.prototype.GetSheetPageLength = function(Row){};
  
  /**
   * GetParentRow : Ʈ Ư  θ  Index ȮѴ.
   * @param {Long}   Index
   * @example
   * // 5°  θ ȮѴ.
   * var parent = ibsheetObject.GetParentRow(5);
   * @returns {Long} θ  Index
   */  
  ibsheetObject.prototype.GetParentRow = function(Row){};
  
  /**
   * GetPrevSiblingRow : Ư ࿡  θ,     Index Ȯ
   * @param {Long}   Index
   * @example
   * // 6°  Ϸ    ȮѴ.
   * var previous = ibsheetObject.GetPrevSiblingRow(6);
   * @returns {Long}   Index
   */  
  ibsheetObject.prototype.GetPrevSiblingRow = function(Row){};
  
  /**
   * GetRowJson :  ͸  ÷ SaveName ̿Ͽ Json ü Ͽ ȯѴ.
   * @param {Long} ش  Row Index
   * @example
   * // 1 Json ü ´. <br>
   * var rowJosn = ibsheetObject.GetRowJson(1);
   * @returns {Object} ش   ü
   */  
  ibsheetObject.prototype.GetRowJson = function(Row){};
  
  /**
   * GetSaveData :  ó Ϸ    ڿ ȯѴ.
   * @param {String}  ó  URL
   * @param {String}  Query String, Default=""
   * @param {String}   Query String, Default=""
   * @example
   * //  String <br>
   * var SaveStr = ibsheetObject.GetSaveString(); <br>
   * //ʼ Է°  Ȯ ̷ <br>
   * if (ibsheetObject.IsDataModified && SaveStr == "") return; <br>
   * //  ó  о <br>
   * var rtnData = ibsheetObject.GetSaveData("save.jsp", SaveStr); <br>
   * //ƿ  Ʈ ݿ
   * ibsheetObject.LoadSaveData(rtnData);
   * @returns {Object} ش   ü
   */  
  ibsheetObject.prototype.GetSaveData = function(PageUrl, SaveString, Param){};
  
  /**
   * GetSaveJson :   ͸ Json ü ȯѴ.
   * @param {Boolean} ü   (Default = 0)
   * @param {Long / String}  Ǵ  ÷ Ǵ SaveName (Default = ÷)
   * @example
   * //   ͸ ü ޱ <br>
   * var SaveJson = ibsheetObject.GetSaveJson(1);
   * @returns {Object}   Json ü
   */  
  ibsheetObject.prototype.GetSaveJson = function(AllSave, Col){};
  
  /**
   * GetSaveString :   Ǵ  Query String ڿ ȯѴ.
   * @param {Boolean} ü   (Default=0)
   * @param {Boolean} UrlEncode  (Default=1)
   * @param {Long / String}  Ǵ  ÷ Ǵ SaveName (Default = ÷)
   * @param {String}  SaveName տ ̰ ϴ ڿ (Default="")
   * @param {Integer} Query String ڿ չ Mode=1, Mode=2 (Default =1)
   * @param {String} Mode=2϶,    (Default ="|")
   * @example
   * // DoAllSave Լ    String 
   * var SaveStr = ibsheetObject.GetSaveString(1);
   * //DoSave Լ    String  (4÷ üũȰ͸)
   * var SaveStr = ibsheetObject.GetSaveString(0, 1, 4);
   * @returns {String}  Query String
   */  
  ibsheetObject.prototype.GetSaveString = function(AllSave, Col){};

  /** 
   * GetSearchData : ȸ ó Ϸ   ȸ ͸ ڿ ȯѴ.
   * @param {String} ȸ ó  URL
   * @param {String} ȸ  Query String, Default=""
   * @example
   * // ȸ  о <br>
   * var sXml = ibsheetObject.GetSearchData("list.jsp"); <br>
   * // ȸ   ǥϱ <br>
   * ibsheetObject.LoadSearchData(sXml); <br>
   * @returns {String} ȸ  ڿ
   */  
  ibsheetObject.prototype.GetSearchData = function(PageUrl, Param){};
  
  /** 
   * GetSearchData : ȸ ó Ϸ   ȸ ͸ ڿ ȯѴ.
   * @param {String} ȸ ó  URL
   * @param {String} ȸ  Query String, Default=""
   * @example
   * // ȸ  о <br>
   * var sXml = ibsheetObject.GetSearchData("list.jsp"); <br>
   * // ȸ   ǥϱ <br>
   * ibsheetObject.LoadSearchData(sXml); <br>
   * @returns {String} ȸ  ڿ
   */  
  ibsheetObject.prototype.GetSearchData = function(PageUrl, Param){};  
 
  /** 
   * GetSelectionCols : ȸ ó Ϸ   ȸ ͸ ڿ ȯѴ.
   * @param {String} ձ (Default="|")
   * @example
   * // "/" ڷ Ͽ õ   <br>
   * var sColStr = ibsheetObject.GetSelectionCols("/"); <br>
   * @returns {String} õǾִ   ڿ
   */  
  ibsheetObject.prototype.GetSelectionCols = function(DeliChar){};
  
  /** 
   * GetSelectionRows :  ¿ ִ  ȣ ڷ Ͽ ȯѴ.
   * @param {String} ձ (Default="|")
   * @example
   * // "/" ڷ Ͽ õ   <br>
   * var sRowStr = ibsheetObject.GetSelectionRows("/"); <br>
   * @returns {String} õǾִ   ڿ
   */  
  ibsheetObject.prototype.GetSelectionRows = function(DeliChar){};  

  
  /** 
   * GetSheetHtml  :  Ʈ Html ҽ ȯѴ.
   * @example
   * // Ʈ Html  
   * var code = ibsheetObject.GetSheetHtml(); <br>
   * document.getElementById("styleText").value = code.style; <br>
   * document.getElementById("htmlText").value += code.body; <br>
   * @returns {Object} style,bode  ̷ ü
   */  
  ibsheetObject.prototype.GetSheetHtml  = function(){};  
  
  /** 
   * GoToFirstPage : ¡   ó  ̵Ѵ.
   * @example
   * // ¡  
   * var cfg = {SearchMode:1, Page:10}; <br>
   * ibsheetObject.SetConfig(cfg); <br>
   * //  ó  ̵ <br>
   * ibsheetObject.GoToFirstPage(); <br>
   * @returns {String} õǾִ   ڿ
   */  
  ibsheetObject.prototype.GoToFirstPage = function(){};  
  
  /** 
   * GoToLastPage : ¡     ̵Ѵ.
   * @example
   * // ¡  
   * var cfg = {SearchMode:1, Page:10}; <br>
   * ibsheetObject.SetConfig(cfg); <br>
   * //    ̵ <br>
   * ibsheetObject.GoToLastPage(); <br>
   * @returns {String} õǾִ   ڿ
   */  
  ibsheetObject.prototype.GoToLastPage = function(){};
  
  /** 
   * GoToNextPage : ¡    ̵Ѵ.
   * @example
   * // ¡  
   * var cfg = {SearchMode:1, Page:10}; <br>
   * ibsheetObject.SetConfig(cfg); <br>
   * //   ̵ <br>
   * ibsheetObject.GoToNextPage(); <br>
   * @returns {String} õǾִ   ڿ
   */  
  ibsheetObject.prototype.GoToNextPage = function(){};
  
  /** 
   * GoToPageNum : ¡    ̵Ѵ.
   * @param {Integer} ̵ϰ ϴ Page Index 
   * @example
   * // ¡  
   * var cfg = {SearchMode:1, Page:10}; <br>
   * ibsheetObject.SetConfig(cfg); <br>
   * // 5°  ̵ <br>
   * ibsheetObject.GoToPageNum(5); <br>
   * @returns {String} õǾִ   ڿ
   */  
  ibsheetObject.prototype.GoToPageNum = function(index){};
  
  /** 
   * GoToPrevPage : ¡    ̵Ѵ.
   * @example
   * // ¡  
   * var cfg = {SearchMode:1, Page:10}; <br>
   * ibsheetObject.SetConfig(cfg); <br>
   * //   ̵ <br>
   * ibsheetObject.GoToPrevPage(); <br>
   * @returns {String} õǾִ   ڿ
   */  
  ibsheetObject.prototype.GoToPrevPage = function(){};
  
  /** 
   * SetHeaderBackColor : ش   Ѵ.
   * @param {String}   
   * @example
   * // ش   Ѵ.
   * ibsheetObject.SetHeaderBackColor("#FF0000"); <br>
   */  
  ibsheetObject.prototype.SetHeaderBackColor = function(Color){};
  
  /** 
   * GetHeaderBackColor : ش   ȮѴ.
   * @returns {String}    
   */  
  ibsheetObject.prototype.GetHeaderBackColor = function(){};
  
  /** 
   * SetHeaderCheck :  üüũڽ   Ѵ.
   * @param {Long}   Index
   * @param {Long / String}  Ǵ ÷ Ǵ SaveName
   * @param {Boolean} üũڽ ϰ ϴ 
   * @example
   * //  3° ÷ ü üũڽ  üũ Ѵ. <br>
   * ibsheetObject.SetHeaderCheck(0, 3, 0); 
   */  
  ibsheetObject.prototype.SetHeaderCheck = function(Row, Col, Value){};
  
  /** 
   * GetHeaderCheck :  üüũڽ  ȮѴ.
   * @param {Long}   Index
   * @param {Long / String}  Ǵ ÷ Ǵ SaveName
   * @exmple
   * //  3° ÷ ü üũڽ  Ȯ Ѵ.<br>
   * var CheckValue = ibsheetObject.GetHeaderCheck(0, 3);
   * @returns {Boolean}   
   */  
  ibsheetObject.prototype.GetHeaderCheck = function(Row, Col){};  
  
  /** 
   * SetHeaderFontBold : ش    θ Ѵ.
   * @param {Boolean} Header Font Bold 
   * @example
   * // ش ڸ Bold Ѵ.
   * ibsheetObject.SetHeaderFontBold(1); <br>
   */  
  ibsheetObject.prototype.SetHeaderFontBold = function(Bold){};
  
  /** 
   * GetHeaderFontBold : ش    θ ȮѴ.
   * @exmple
   * //   Bold  ȮѴ.
   * ibsheetObject.GetHeaderFontBold();
   * @returns {Boolean}   
   */  
  ibsheetObject.prototype.GetHeaderFontBold = function(){};
  
  /** 
   * SetHeaderFontColor : ش  ڻ Ѵ.
   * @param {String} ϰ ϴ WebColor
   * @example
   * // ش ڻ  Ѵ.
   * ibsheetObject.SetHeaderFontColor("#000000"); <br>
   */  
  ibsheetObject.prototype.SetHeaderFontColor = function(){};
  
  /** 
   * GetHeaderFontColor : ش  ڻ ȮѴ.
   * @returns {Boolean}   
   */  
  ibsheetObject.prototype.GetHeaderFontColor = function(){};
  
  /** 
   * HeaderRows : ش  ȮѴ.
   * @returns {Long} ش 
   */  
  ibsheetObject.prototype.HeaderRows = function(){};
  
  /** 
   * SetHeaderRowHeight : ش  ̸ ȼ  Ѵ. 
   * @param {Integer} ϰ ϴ ȼ
   * @example
   * //   ̸ 30 ȼ .
   * ibsheetObject.SetHeaderRowHeight(30); <br>
   */  
  ibsheetObject.prototype.SetHeaderRowHeight = function(Height){};
  
  /** 
   * GetHeaderRowHeight : ش  ̸ ȮѴ. 
   * @returns {Integer}   
   */  
  ibsheetObject.prototype.GetHeaderRowHeight = function(){};
  
  /** 
   * HideFilterRow : IBSheet    Ѵ. 
   * @example
   * //  ϱ <br>
   * ibsheetObject.HideFilterRow(); 
   * @returns {Integer}   
   */  
  ibsheetObject.prototype.HideFilterRow = function(){};
  
  /** 
   * HideSubSum : Ұ  ȸ  ̻ ߰ ʵ Ѵ.
   * @param {Long / String} Ұ踦 ǥ  ÷
   * ÷Index Ǵ SaveName. Default=""(ü÷)
   * @example
   * // 1÷ ߽ Ұ Ͽ ǥϱ <br>
   * var info = {StdCol:1, SumCols:"3|4|5"}; <br>
   * ibsheetObject.ShowSubSum(info); <br>
   * // ǥõ Ұ  <br>
   * ibsheetObject.HideSubSum();  
   */  
  ibsheetObject.prototype.HideSubSum = function(StdCol){};
  
  /** 
   * SetHighlightAfterSort : Ʈ  ̶Ʈ ó  Ѵ.
   * @param {Integer} Sort  (Default=1)
   * @example
   * // Ʈ   ϰ ִ ͸ ãư. <br>
   * ibsheetObject.SetHighlightAfterSort(1);
   */  
  ibsheetObject.prototype.SetHighlightAfterSort = function(Sort){};
  
  /** 
   * GetHighlightAfterSort : Ʈ  ̶Ʈ ó  ȮѴ.
   * @returns {Integer}   
   */  
  ibsheetObject.prototype.GetHighlightAfterSort = function(){};
  
  /** 
   * IBCloseCalendar : ܺ Ʈѿ  ޷˾ ݵ Ѵ.
   * @example
   * // ޷ ˾ .
   * ibsheetObject.IBShowCalendar("20121116", {Format:"yyyy/MM/dd", X:300, Y:600});
   * //  ޷ ˾ Dialog ݴ´.
   * ibsheetObject.IBCloseCalendar();
   * @returns {Integer}   
   */  
  ibsheetObject.prototype.IBCloseCalendar = function(){};
  
  /** 
   * IBShowCalendar : ޷ ˾ ܺ Ʈѿ ϵ Ѵ.
   * @param {String} ¥Ͱ (Default=糯¥)
   * @param {Object}  json · Ѵ. 
   * @example
   * // ޷ ˾ .<br>
   * ibsheetObject.IBShowCalendar("20121116", {Format:"YYYY/MM/dd", X:300, Y:600});
   * @returns {String} ޷ ˾ Dialog  ¥
   */  
  ibsheetObject.prototype.IBShowCalendar = function(val, obj){};
  
  /** 
   * SetImageList : N° ̹   θ Ȯϰų Ѵ.
   * @param {String} Image ε
   * @param {Object}  Image  
   * @example
   * // 0 ε ̹ 
   * ibsheetObject.SetImageList(0, "../image/btn_search.gif);
   * // 0 ε  ̹ (Type:Image)
   * ibsheetObject.SetCellImage(3, 5, 0); 	
   * @returns {String} ޷ ˾ Dialog  ¥
   */  
  ibsheetObject.prototype.SetImageList = function(Index, Url){};
  
  /** 
   * InitCellProperty :  Ư  Ӽ Ǹ Ѵ.
   * 	(Seq, Status, DelCheck, AutoSum, AutoAvg)Ұ
   * @param {String}   Index
   * @param {Long / String}  Ǵ ÷ Index Ǵ SaveName
   * @param {Object}  Ӽ  ü
   * @example
   * // Text ÷ Ÿ 
   * var info = {Type: "Text", Align: "Center", Edit: 0}; <br>
   * ibsheetObject.InitCellProperty(2, "sCombo", info);
   */  
  ibsheetObject.prototype.InitCellProperty = function(Row, Col, info){};
  
  /**
   * InitColumns :   ÷  Ÿ,   ɵ Ѵ.
   * @param {json}  ÷  json · Ѵ.
   * @param {Integer} Ƽ       
   * @example
   * //  ÷  Ѵ. <br>
   * var cols = [ <br>
   * {Type:"Status",Width:60,SaveName:"sStatus",Align:"Center"},<br> 
   * {Type:"DelCheck",Width:60,SaveName:"sDelete",Align:"Center"}<br>
   * ];<br>
   * ibsheetObject.InitColumns(cols);<br>
   * //  2  <br>
   * var cols = [ <br>
   * [ <br>
   * {Type:"Status",Width:60,SaveName:"sStatus",Align:"Center"},<br> 
   * {Type:"DelCheck",Width:60,SaveName:"sDelete",Align:"Center"}<br>
   * ], <br>
   * [ <br>
   * {Type:"Status",Width:60,SaveName:"sStatus",Align:"Center"},<br> 
   * {Type:"DelCheck",Width:60,SaveName:"sDelete",Align:"Center"}<br>
   * ] <br>
   * ]; <br>
   * ibsheetObject.InitColumns(cols,2);
   */  
  ibsheetObject.prototype.InitColumns = function(Cols,DataRows){};
 
  /** 
   * InitComboNoMatchText : Combo ׸  ׸ ϰų
   * ȸ Ͽ   ڸ Ѵ.
   * @param {Boolean} ޺ ׸ ̿ ڸ  θ 
   * @param {String} ޺ ׸ ̿  ǥ  (Default ="")
   * @param {Boolean} ش   Ѵ. (Default=0)
   * @example
   * // Combo ׸   ׸  ǥϱ
   * ibsheetObject.InitComboNoMatchText(1, "׸");
   */  
  ibsheetObject.prototype.InitComboNoMatchText = function(Show, ShowText, InsertItem){};
  
  /** 
   * InitHeaders :   ŸƲ ش Ѵ.
   * @param {json}  ŸƲ   json · Ѵ.
   * @param {json} ðɿο ÷̵ε   Ѵ.
   * @example
   * // 2 ŸƲ Ѵ. <br>
   * var headers = [ <br>
   * {Text:"||||", Align:" Center"}, <br>
   * {Text:"|| |ȣ|Ի", Align:" Center"} <br>
   * ]; <br>
   * var info = {Sort:1, ColMove:1, ColResize:0, HeaderCheck:0}; <br>
   * ibsheetObject.InitHeaders(headers,info);
   */  
  ibsheetObject.prototype.InitHeaders = function(Headers, info){};
  
  /** 
   * IsDataModified :   Ʈ θ ȮѴ.
   * @example
   * // Ʈ ߻ Ȯ <br>
   * ibsheetObject.IsDataModified(); <br>	
   * @returns {Boolean}   Ʈ  
   */  
  ibsheetObject.prototype.IsDataModified = function(){};  
    
  /** 
   * IsHaveChild : Ʈ Ư ࿡ Child   ϴ θ ȮѴ.
   * @param {Long} Ư  Row Index
   * @param {Boolean} ""   Կ (Default=0)
   * @example
   * // 4࿡ ڽķ ִ Ȯ
   * ibsheetObject.IsHaveChild(4)<br>
   */  
  ibsheetObject.prototype.IsHaveChild = function(Row, IncludeDelRow){};
  
  /** 
   * SetKeyFieldImage : ʼ Է ׸  ̹  ġ Ѵ.
   * @param {String}  Url
   * @example 
   * // ʼ Է ׸ ̹ Ѵ.
   *	ibsheetObject.SetKeyFieldImage = "/sheet/imgKeyField.gif"<br>
   */  
  ibsheetObject.prototype.SetKeyFieldImage = function(imgUrl){};
 
  /** 
   * GetKeyFieldImage : ʼ Է ׸  ̹  ġ ȮѴ.
   * @returns {String}  
   */  
  ibsheetObject.prototype.GetKeyFieldImage = function(){};
  
  /** 
   * LastCol :  ÷ index ȯѴ.
   * @example
   * //  ÷ index ȮѴ.<br>
   * ibsheetObject.LastCol();
   * @returns {Long}  ÷ ε 
   */  
  ibsheetObject.prototype.LastCol = function(){};
  
  /** 
   * LastRow :   index ȯѴ.
   * @example
   * //   index ȮѴ.<br>
   * ibsheetObject.LastRow();
   * @returns {Long}   ε 
   */  
  ibsheetObject.prototype.LastRow = function(){};
  
  /** 
   * SetLeftCol :   ǥõǴ ÷ Ѵ.
   * @param {Long / String} Column Index Ǵ SaveName
   * @example
   * // 4÷ ũ   ̴ ÷ 
   * ibsheetObject.SetLeftCol(4);
   */  
  ibsheetObject.prototype.SetLeftCol = function(){};
  
  /** 
   * GetLeftCol :   ǥõǴ ÷ ȮѴ.
   * @example
   * // 4÷  Ȯ
   * ibsheetObject.GetLeftCol();
   * @returns {Long}   ÷ ε
   */  
  ibsheetObject.prototype.GetLeftCol = function(){};
  
  /** 
   * LoadSaveData :  ͸ Լ ڷ  ޾  IBSheet ο óѴ.
   * @param {String} XML Ǵ JSON ڿ
   * @example
   * //  ۾ Ajax ó <br>
   * var rtnData = ibsheetObject.GetSaveData("Action.do", param); <br>
   * //   ǥϱ <br>
   * ibsheetObject.LoadSaveData(rtnData);
   */  
  ibsheetObject.prototype.LoadSaveData = function(Content){};
  
  /** 
   * LoadSearchChildData : Ʈ ڽĳ ȸ (xml or json)
   * Լ ڷ  ޾ ̺Ʈ εѴ.
   * @param {Long}  θ  ε
   * @param {String / Object} ȸ  ڿ Ǵ JSON ü
   * @param {Object}  json · Ѵ.
   * @example
   * //ȸ  о<br>
   * var Row = ibsheetObject.GetSelectRow();<br>
   * 
   * var Data;<br>
   * Data=ibsheetObject.GetSearchData('list2_Child_Json.jsp',<br>
   * 'ChildLevel='+(parseInt(ibsheetObject.GetRowLevel(Row))+1));<br>
   * 
   * var Opt = {Append: 1, WaitDlg: 1};<br>
   * 
   * //ȸ   ǥϱ<br>
   * ibsheetObject.LoadSearchChildData(Row, Data, Opt);<br>
   */  
  ibsheetObject.prototype.LoadSearchChildData = function(Row, Data, Opt){};
  
  /** 
   * LoadSearchData : ȸ (xml or json) Լ ڷ
   *  ޾ ̺Ʈ εѴ.
   * @param {String} ȸXML Ǵ ȸJSON ڿ
   * @param {Boolean} Append ȸ  (Default=0)
   * @example
   * // ȸ  о <br>
   * var sXml = ibsheetObject.GetSearchData("list.jsp");<br>
   * // ȸ   ǥϱ <br>
   * ibsheetObject.LoadSearchData(sXml); 
   */  
  ibsheetObject.prototype.LoadSearchData = function(Content){};
  
  /**    
   * LoadSearchDataFx :  ޼ LoadSearchData ޼   Ѵ.
   * 信  ȿüũ     ͸ εϴ  ӵ 
   * @param {String} ȸXML Ǵ ȸJSON ڿ
   * @param {Boolean} Append ȸ  (Default=0)
   * @example
   * // ȸ  о
   * var sXml = ibsheetObject.GetSearchData("list.jsp");
   * // ȸ   ǥϱ
   * ibsheetObject.LoadSearchDataFx(sXml);
   */  
  ibsheetObject.prototype.LoadSearchDataFx = function(Content){};

  /** 
   * LoadExcel : κ ͸ о 鿩   ǥѴ.
   * @param
   * {Mode} ε HeaderMatch, NoHeader, HeaderSkip <br>
   * {WorkSheetNo} WorkSheetȣ (Default="1") <br>
   * {WorkSheetName}  WorkSheet ̸ <br>
   * {StartRow}  ε ȣ (Default="1") <br>
   * {EndRow}  ε Ϸ ȣ (Default="0") <br>
   * {ColumnMapping}  ÷ ȣ <br>
   * {ExtendParam} ߰ Ķ <br>
   * {FileExt} ε   Ȯ (Default="")
   * {Append}  Ϳ ߰  (Default="0") <br>
   * @example
   * //  εϱ <br>
   * ibsheetObject.LoadExcel();<br>
   * // ŸƲ  Ͽ  ÷ ε ϵ 7 9  оδ.<br>
   * ibsheetObject.Load Excel({Mode:'HeaderMatch',StartRow:'7',EndRow:'9'});<br>
   * // IBSheet ù° ÷  5° ÷  εϰ,
   * IBSheet  5° ÷  1° ÷  ε.<br>
   * ibsheetObject.Load Excel({ColumnMapping:'5|4|3|2|1'});<br>
   */  
  ibsheetObject.prototype.LoadExcel = function(parameters){};  

    
  /**
   * LoadExcelBuffer : 1  κ   Ʈ εѴ. <br>
   * @param {Bool} ۸
   * @example
   * //    εϱ <br>
   * ibsheetObject.LoadExcel();
   * //ķδ ۸Ѵ. ƹ  . <br>
   * ibsheetObject.LoadExcelBuffer(true); <br>
   * // ibsheetObject  ù° Ʈ εϱ . <br>
   * ibsheetObject.LoadExcel({Mode:'HeaderMatch',StartRow:'7',EndRow:'9', WorkSheetNo:1}); <br>
   * // ibsheetObject2  ι° Ʈ εϱ  <br>
   * ibsheetObject2.LoadExcel({ColumnMapping:'5|4|3|2|1', WorkSheetNo:2}); <br>
   * // ۸   ε ڷ      εâ . <Br>
   * ibsheetObject.LoadExcelBuffer(false);  
   */  
  ibsheetObject.prototype.LoadExcelBuffer = function(IsBuffer){}; 
  
  
  /** 
   * SetLoadExcelUrl :  ε  ó   θ Ѵ.
   * @param {String}    Url
   * @example
   * //  ε θ Ѵ.
   * ibsheetObject.SetLoadExcelUrl("/jsp/LoadExcel.jsp");
   */  
  ibsheetObject.prototype.SetLoadExcelUrl = function(Url){};
  
  /** 
   * GetLoadExcelUrl :  ε  ó   θ ȮѴ.
   * @example
   * //  ε  θ ȮѴ.
   * var url = ibsheetObject.GetLoadExcelUrl();
   * @returns {String}  ΰ
   */  
  ibsheetObject.prototype.GetLoadExcelUrl = function(Url){};

  /** 
   * LoadText : ؽƮ Ϸκ ͸ о 鿩   ǥѴ.
   * @param
   * {Mode} ε HeaderMatch, NoHeader, HeaderSkip <br>
   * {Deli}  ÷  (Default="\t")
   * {Append}  Ϳ ߰  (Default=0)
   * {FileExt} ε   Ȯ (Default="")
   * @example
   * // ؽƮ Ϸ εϱ
   * ibsheetObject.LoadText();
   * // ŸƲ  Ͽ  ÷ ε ϸ, ÷ ڴ'\t'  еǾ ִ
   * ibsheetObject.LoadText({Mode:'HeaderMatch', Deli:'\t'});
   */
  ibsheetObject.prototype.LoadText = function(parameters){};  

  /** 
   * SetLoadTextUrl : ؽƮ ε  ó   θ Ѵ.
   * @param {String}    Url
   * @example
   * // ؽƮ ε θ Ѵ.
   * ibsheetObject.SetLoadTextUrl("/jsp/LoadText.jsp");
   */  
  ibsheetObject.prototype.SetLoadTextUrl = function(Url){};
  
  /** 
   * GetLoadTextUrl : ؽƮ ε  ó   θ ȮѴ.
   * @example
   * // ؽƮ ε  θ ȮѴ.
   * var url = ibsheetObject.GetLoadTextUrl();
   * @returns {String}  ΰ
   */  
  ibsheetObject.prototype.GetLoadTextUrl = function(){};  
  
  /** 
   * SetMergeSheet : ü   Ѵ.
   * @param {Integer}  
   * 0:   (Default) 1:    <br>
   * 2:  ÷    ش  ȿ   5:  <br>
   * 7:  ÷    ش  ȿ  +   <br>
   * @example
   * // ʱ ε  ü   
   * ibsheetObject.SetMergeSheet(msHeaderOnly);
   */  
  ibsheetObject.prototype.SetMergeSheet = function(Merge){};
  
  /** 
   * GetMergeSheet : ü   ȮѴ.
   * @return {Integer}    
   */  
  ibsheetObject.prototype.GetMergeSheet = function(Content){};

  /** 
   * SetMaximumValue :  Format õ   Է  ִ ִ밪 Ѵ.
   * @param {Long} ش   Index
   * @param {Long / String} ش  ÷ Index Ǵ SaveName
   * @param {Long}  ִ 
   * @example
   * //  ִ밪 Ѵ. <br>
   * ibsheetObject.SetMaximumValue(1, 12, 5000);
   */  
  ibsheetObject.prototype.SetMaximumValue = function(Row, Col){};
  
  /** 
   * GetMaximumValue :  Format õ   Է  ִ ִ밪 ȮѴ.
   * @example
   * //   ִ밪 ȮѴ.
   * ibsheetObject.GetMaximumValue(1, 12);
   * @return {Long}  ִ밪
   */  
  ibsheetObject.prototype.GetMaximumValue = function(Row, Col, Value){};
  
  /** 
   * SetMinimumValue :  Format õ   Է  ִ ּҰ Ѵ.
   * @param {Long} ش   Index
   * @param {Long / String} ش  ÷ Index Ǵ SaveName
   * @param {Long}  ּ 
   * @example
   * //  ּҰ Ѵ. <br>
   * ibsheetObject.SetMinimumValue(1, 12, 1000);
   */  
  ibsheetObject.prototype.SetMinimumValue = function(Row, Col){};
  
  /** 
   * GetMinimumValue :  Format õ   Է  ִ ּҰ ȮѴ.
   * @example
   * //   ּҰ ȮѴ.
   * ibsheetObject.GetMinimumValue(1, 12);
   * @return {Long}  ּҰ
   */  
  ibsheetObject.prototype.GetMinimumValue = function(Row, Col, Value){};  
  
  /** 
   * MouseCol : 콺   õ ÷ ȣ ȯѴ.
   *   ƴ  ?1 ȯѴ.
   * @example
   * // 콺   ÷ ȣ ´. <br>
   * function ibsheetObject_OnMouseDown(Button, Shift, X, Y) { <br>
   * 	alert(ibsheetObject.MouseRow() + " " + ibsheetObject.MouseCol() + "÷ "); <br>
   * } 
   * @return {Long} 콺ġ ִ ÷ ε
   */  
  ibsheetObject.prototype.MouseCol = function(){};
  
  /** 
   * SetMousePointer : 콺  Ѵ.
   * @param {String}  콺 (Default:⺻, Hand:հ)
   * @example
   * function ibsheetObject_OnMouseMove(Button, Shift, X, Y) { <br>
   * //콺 ġ 2÷ ϶ 콺 հ  <br>
   * if(ibsheetObject.MouseCol() == 2) { <br>
   *	ibsheetObject.SetMousePointer("Hand"); <br>
   * }else{ <br>
   *	ibsheetObject.SetMousePointer("Default"); <br>
   * } <br>
   * }
   */  
  ibsheetObject.prototype.SetMousePointer = function(Pointer){};
  
  /** 
   * GetMousePointer : 콺  ȮѴ.
   * @return {String} 콺  
   */  
  ibsheetObject.prototype.GetMousePointer = function(){};

  /** 
   * MouseRow : 콺   õ  ȣ ȯѴ.
   *   ƴ  ?1 ȯѴ.
   * @example
   * // 콺   ÷ ȣ ´. <br>
   * function ibsheetObject_OnMouseDown(Button, Shift, X, Y){ <br>
   * alert(ibsheetObject.MouseRow() + " ");<br>
   * } 
   * @return {Long} 콺Ͱ ִ   Index
   */  
  ibsheetObject.prototype.MouseRow = function(){};
  
  /** 
   * MoveColumnFail : ÷ ̵  (OnBeforeColumnMove ȿ )
   * @param {Boolean} ÷̵п
   */  
  ibsheetObject.prototype.MoveColumnFail = function(flag){};
  
  /** 
   * MoveColumnPos : Ư ÷ ο ÷ ġ ̵Ѵ.
   * @param {Long / String} ̵ ÷ Index Ǵ SaveName
   * @param {Long / String} ̵ ġ ÷ Index Ǵ SaveName
   * @param {Boolean} ̵Ǹ鼭 ߻ϴ ̺Ʈ ߻  <br>
   * (OnBeforeColumnMove Event, OnAfterColumn Event, Default=1)
   * @example
   * // 1÷ 9÷ ̵Ѵ. <br>
   * ibsheetObject.MoveColumnPos(1, 9); <br>
   * //  ÷ SaveName   <br>
   * ibsheetObject.MoveColumnPos("stockNm", "payAmt"); <br>
   */  
  ibsheetObject.prototype.MoveColumnPos = function(Col, NewPos, Event){};
  
  /** 
   * SetRangeBackColor :     ϰų ȮѴ.
   * @param {Long}    Row Index
   * @param {Long}    Column Index
   * @param {Long}    Row Index
   * @param {Long}    Column Index
   * @param {String} WebColor
   * @example
   * //   ϱ <br>
   * ibsheetObject.SetRangeBackColor(1,0,10,10, "#FFFF00");<br>
   */  
  ibsheetObject.prototype.SetRangeBackColor = function(Row1,Col1,Row2,Col2,Color){};
  
  /** 
   * GetRangeBackColor :     ϰų ȮѴ.
   * @param {Long}    Row Index
   * @param {Long}    Column Index
   * @param {Long}    Row Index
   * @param {Long}    Column Index
   * @return {String}  
   */  
  ibsheetObject.prototype.GetRangeBackColor = function(Row1,Col1,Row2,Col2){};
   
  /** 
   * SetRangeFontBold :    ں θ Ѵ.
   * @param {Long}    Row Index
   * @param {Long}    Column Index
   * @param {Long}    Row Index
   * @param {Long}    Column Index
   * @param {String}   
   * @example
   * //    ϱ <br>
   * ibsheetObject.SetRangeFontBold(1, 0, 2, 2, 1);
   */  
  ibsheetObject.prototype.SetRangeFontBold = function(Row1,Col1,Row2,Col2,Bold){};
  
  /** 
   * GetRangeFontBold :    ں θ ȮѴ.
   * @param {Long}    Row Index
   * @param {Long}    Column Index
   * @param {Long}    Row Index
   * @param {Long}    Column Index
   * @return {Boolean}  
   */  
  ibsheetObject.prototype.GetRangeFontBold = function(Row1,Col1,Row2,Col2){};
  
  /** 
   * SetRangeFontColor :    ڻ Ѵ.
   * @param {Long}    Row Index
   * @param {Long}    Column Index
   * @param {Long}    Row Index
   * @param {Long}    Column Index
   * @param {String} WebColor
   * @example
   * // ڻ ϱ <br>
   * ibsheetObject.SetRangeFontColor(1,0,10,10, "FF0000");
   */  
  ibsheetObject.prototype.SetRangeFontColor = function(Row1,Col1,Row2,Col2,Color){};
  
  /** 
   * GetRangeFontColor :    ڻ ȮѴ.
   * @param {Long}    Row Index
   * @param {Long}    Column Index
   * @param {Long}    Row Index
   * @param {Long}    Column Index
   * @return {Boolean}  
   */  
  ibsheetObject.prototype.GetRangeFontColor = function(Row1,Col1,Row2,Col2){};
 
  /** 
   * SetRangeText : Ư   Format  ·
   * ȭ鿡   ״ Ѵ.
   * @param {String} ڿ
   * @param {Long}    Row Index
   * @param {Long}    Column Index
   * @param {Long}    Row Index
   * @param {Long}    Column Index
   * @param {String} ÷ ÷ ̸ ϴ . Default="|"
   * @param {String}   ̸ ϴ . Default="^"
   * @example
   * // 1,1  A  2,2 D Ѵ.<br>
   * ibsheetObject.SetRangeText("A|B^C|D", 1, 1, 2, 2, "|", "^");
   * //1,7  5,10  **  Ѵ.
   * ibsheetObject.SetRangeText("**", 1, 7, 5, 10);
   */  
  ibsheetObject.prototype.SetRangeText = function(sData,Row1,Col1,Row2,
		  Col2,ColSeparator,RowSeparator){};
  
  /** 
   * GetRangeText : Ư   Format  ·
   * ȭ鿡   ״ ȮѴ.
   * @param {Long}    Row Index
   * @param {Long}    Column Index
   * @param {Long}    Row Index
   * @param {Long}    Column Index
   * @param {String} ÷ ÷ ̸ ϴ  (Default="|")
   * @param {String}   ̸ ϴ  (Default="^")
   * @return {String}  ڿ
   */  
  ibsheetObject.prototype.GetRangeText = function(sData,Row1,Col1,Row2,
		  Col2,ColSeparator,RowSeparator){};
  
  /** 
   * SetRangeValue : Ư   Format     
   * ϴ  Ѵ
   * @param {String} ڿ
   * @param {Long}    Row Index
   * @param {Long}    Column Index
   * @param {Long}    Row Index
   * @param {Long}    Column Index
   * @param {String} ÷ ÷ ̸ ϴ . Default="|"
   * @param {String}   ̸ ϴ . Default="^"
   * @example
   * // 1,1  A  2,2 D Ѵ.<br>
   * ibsheetObject.SetRangeValue("A|B^C|D", 1, 1, 2, 2, "|", "^");
   */  
  ibsheetObject.prototype.SetRangeValue = function(sData,Row1,Col1,Row2,
		  Col2,ColSeparator,RowSeparator){};
  
  /** 
   * GetRangevalue : Ư   Format     
   *  ϴ  ȮѴ
   * @param {Long}    Row Index
   * @param {Long}    Column Index
   * @param {Long}    Row Index
   * @param {Long}    Column Index
   * @param {String} ÷ ÷ ̸ ϴ  (Default="|")
   * @param {String}   ̸ ϴ  (Default="^")
   * @return {String}  ڿ
   */  
  ibsheetObject.prototype.GetRangevalue = function(Row1,Col1,Row2,
		  Col2,ColSeparator,RowSeparator){};
  
  /** 
   * SetRedrawSum : հ   θ Ѵ.
   * @param {Boolean} հ  
   * @example
   * //ؾ  Ͱ   
   * ibsheetObject.SetRedrawSum(0);
   */  
  ibsheetObject.prototype.SetRedrawSum = function(Redraw){};
  
  /** 
   * GetRedrawSum : հ   θ ȮѴ.
   * @return {Boolean}  
   */  
  ibsheetObject.prototype.GetRedrawSum = function(){}; 
		  
  /** 
   * RemoveAll : ش      .
   * @example
   * //   
   * ibsheetObject.RemoveAll();
   * @return {Boolean}  
   */  
  ibsheetObject.prototype.RemoveAll = function(){};
  
  /** 
   * RenderSheet : ӵ    Ѳ ó ϱ   Ѵ.
   * (ColHidden, DataInsert, InitCellProperty)
   * @param {Boolean}   (Default=1)
   * @example
   * // 
   * ibsheetObject.RenderSheet(0);
   */  
  ibsheetObject.prototype.RenderSheet = function(Render){};
  
  /** 
   * ReNumberSeq :  Ÿ Seq   ٽ ű.
   * @example
   * // ÷ Type Seq ÷ ڸ 1 ٽ ޱ. 
   * ibsheetObject.ReNumberSeq();
   */  
  ibsheetObject.prototype.ReNumberSeq = function(){};
  
  /** 
   * Reset : IBSheet   ⺻ Ӽ ϰ ʱ· Ѵ.
   * @example
   * // ʱ · ϱ 
   * ibsheetObject.Reset();
   */  
  ibsheetObject.prototype.Reset = function(){};
  
  /** 
   * ReturnCellData : Ư   Ʈ ߻ϱ  ȸ  ǵ.
   * @param {Long}   Row Index
   * @param {Long / String}   Column Index Ǵ SaveName 
   * @example
   * // 1 4÷  ǵ.
   * ibsheetObject.ReturnCellData(1,4);
   */  
  ibsheetObject.prototype.ReturnCellData = function(Row,Col){};
  
  /** 
   * ReturnColumnPos : ̵ ÷ ġ ó ġ ǵ.
   * @example
   * // ʱ ġ ǵ.
   * ibsheetObject.ReturnColumnPos();
   */  
  ibsheetObject.prototype.ReturnColumnPos = function(){};
  
  /** 
   * ReturnData : Ư  ͸ ȸ  ڿ Ѵ.
   * @param {Long}   Row Index
   * @example
   * // ʱ · ϱ.
   * ibsheetObject.ReturnData(2);
   */  
  ibsheetObject.prototype.ReturnData = function(Row){};
  
  /** 
   * SetRowBackColor : ü  Ѵ.
   * @param {Long} Row Index
   * @param {String} WebColor  
   * @example
   * // 1  ȸ Ѵ.
   * ibsheetObject.SetRowBackColor(1,"#C0C0C0");
   */  
  ibsheetObject.prototype.SetRowBackColor = function(Row, BackColor){}; 
  
  /** 
   * GetRowBackColor : ü  ȮѴ.
   * @param {Long}   Row Index
   * @returns {String}  
   */  
  ibsheetObject.prototype.GetRowBackColor = function(Row){}; 
  
  /** 
   * SetRowBackColorD :  Ʈ °    Ѵ.
   * ( ߰Ǵ ׸ Ͽ)
   * @param {Long} Row Index
   * @param {String} WebColor  
   * @example
   * // Ʈǻ°    ȸ Ѵ.
   * ibsheetObject.SetRowBackColorD("#C0C0C0");
   */  
  ibsheetObject.prototype.SetRowBackColorD = function(Row, BackColor){}; 
  
  /** 
   * GetRowBackColorD :  Ʈ °    ȮѴ.
   * @returns {String}  
   */  
  ibsheetObject.prototype.GetRowBackColorD = function(BackColor){};
  
  /** 
   * SetRowBackColorI :  Ʈ ° Է   Ѵ.
   * ( ߰Ǵ ׸ Ͽ)
   * @param {String} WebColor  
   * @example
   * // Ʈǻ° Է   ȸ Ѵ.
   * ibsheetObject.SetRowBackColorI("#C0C0C0");
   */  
  ibsheetObject.prototype.SetRowBackColorI = function(BackColor){}; 
  
  /** 
   * GetRowBackColorI :  Ʈ ° Է   ȮѴ.
   * @returns {String}  
   */  
  ibsheetObject.prototype.GetRowBackColorI = function(){};
  
  /** 
   * SetRowBackColorU :  Ʈ °    Ѵ.
   * ( ߰Ǵ ׸ Ͽ)
   * @param {String} WebColor  
   * @example
   * // Ʈǻ° Է   ȸ Ѵ.
   * ibsheetObject.SetRowBackColorI("#C0C0C0");
   */  
  ibsheetObject.prototype.SetRowBackColorU = function(BackColor){}; 
  
  /** 
   * GetRowBackColorU :  Ʈ °    ȮѴ.
   * @returns {String}  
   */  
  ibsheetObject.prototype.GetRowBackColorU = function(){};
  
  /** 
   * RowCount : ü    ȮѴ.
   * @param {String} Ʈ ڵ. Default="üǼ
   * @example
   * alert("ü Ǽ  " + ibsheetObject.RowCount() + " Դϴ. ");
   * alert("ȸ Ǽ  " + ibsheetObject.RowCount("R") + " Դϴ. ");
   * @returns {Long} ü Ǵ Ư Ʈ   
   */  
  ibsheetObject.prototype.RowCount = function(Status){}; 

  /** 
   * RowDelete : Ư   Ѵ.
   * @param {Long}   Row Index (Default ="  ")
   * @param {Boolean}   ޼ Ȯ  (Default=0)
   * @example
   * // Ȯ ޽  1 ϱ
   * ibsheetObject.RowDelete(1, 0); 
   * @returns {Long} ü Ǵ Ư Ʈ   
   */  
  ibsheetObject.prototype.RowDelete = function(Row, Question){};
  
  /** 
   * SetRowEditable : Ư  Edit  θ Ѵ.
   * @param {Long} ش  Row Index
   * @param {Boolean}  Edit  
   * @example
   * // 1 Edit  θ 0 Ѵ.
   * ibsheetObject.SetRowEditable(1,0);
   * @returns {Long} ü Ǵ Ư Ʈ   
   */  
  ibsheetObject.prototype.SetRowEditable = function(Row, Editable){};
  
  /** 
   * GetRowEditable : Ư  Edit  θ ȮѴ.
   * @param {Long} ش  Row Index
   * @returns {Boolean} Edit  
   */  
  ibsheetObject.prototype.GetRowEditable = function(Row){};
  
  /** 
   * SetRowExpanded : Ư  Edit  θ Ѵ.
   * @param {Long} Row Index
   * @param {Boolean} ڽ  
   * @example
   * // 2 Ʈ ģ. <br>
   * if(ibsheetObject.GetRowExpanded(2) == 0){ <br>
   * 	ibsheetObject.SetRowExpanded(2, 1); <br>
   * }
   */  
  ibsheetObject.prototype.SetRowExpanded = function(Row, Expand){};
  
  /** 
   * GetRowEditable : Ư  Edit  θ ȮѴ.
   * @param {Long} ش  Row Index
   * @returns {Boolean}  ڽ  
   */  
  ibsheetObject.prototype.GetRowEditable = function(Row){};
  
  /** 
   * SetRowFontColor :  ü ڻ Ѵ.
   * @param {Long} Row Index
   * @param {String} WebColor  
   * @example
   * // 1 ڻ ȸ Ѵ. <br>
   * ibsheetObject.SetRowFontColor(1, "192,192,192");
   */  
  ibsheetObject.prototype.SetRowFontColor = function(Row,Color){};
  
  /** 
   * GetRowFontColor :  ü ڻ ȮѴ.
   * @param {Long} Row Index
   * @returns {String}  
   */  
  ibsheetObject.prototype.GetRowFontColor = function(Row){};
  
  /** 
   * SetRowHeight : Ư  ̸ ȮѴ.
   * @param {Long} Row Index
   * @param {Integer} Row Height
   * @example
   * // 50 ȼ   <br>
   * ibsheetObject.SetRowHeight(1, 50);
   */  
  ibsheetObject.prototype.SetRowHeight = function(Row,Height){};
  
  /** 
   * GetRowHeight : Ư  ̸ Ѵ.
   * @param {Long} Row Index
   * @returns {Integer}   
   */  
  ibsheetObject.prototype.GetRowHeight = function(Row){};
  
  /** 
   * SetRowHeightMax :    ִ ̸ Ѵ.
   * @param {Integer} ش ࿡   ִ ̰
   * @example
   * // ִ ̸ 50ȼ Ѵ. <br>
   * ibsheetObject.SetRowHeight(1, 50);
   */  
  ibsheetObject.prototype.SetRowHeightMax = function(MaxHeight){};
  
  /** 
   * GetRowHeightMax :    ִ ̸ ȮѴ.
   * @example
   * //  ִ ̰ ȮѴ.
   * ibsheetObject.GetRowHeightMax();
   * @returns {Integer}  ִ 
   */  
  ibsheetObject.prototype.GetRowHeightMax = function(){};
  
  /** 
   * SetRowHeightMin :    ּ ̸ Ѵ. (5ȼ̻)
   * @param {Integer} ش ࿡   ּ ̰
   * @example
   * // ּ ̸ 10ȼ Ѵ. <br>
   * ibsheetObject.SetRowHeightMin(10);
   */  
  ibsheetObject.prototype.SetRowHeightMin = function(MaxHeight){};
  
  /** 
   * GetRowHeightMin :    ּ ̸ ȮѴ.
   * @example
   * //  ּ ̰ ȮѴ.
   * ibsheetObject.GetRowHeightMin();
   * @returns {Integer}  ּ 
   */  
  ibsheetObject.prototype.GetRowHeightMin = function(){};
  
  /** 
   * SetRowHidden :  ⿩θ Ѵ.
   * @param {Long / String} Ư  Row Index Ȥ  "|"  ڿ
   * @param {Boolean} 迩
   * @example
   * // ټ  <br>
   * ibsheetObject.SetRowHidden("2|5|7|10", 1);
   */  
  ibsheetObject.prototype.SetRowHidden = function(Row, Hidden){};
  
  /** 
   * GetRowHidden :  ⿩θ ȮѴ.
   * @param {Long / String} Ư  Row Index
   * @example
   * //  ּ ̰ ȮѴ.
   * ibsheetObject.GetRowHeightMin();
   * @returns {Boolean} 1: , 0: 
   */  
  ibsheetObject.prototype.GetRowHidden = function(Row){};

  /** 
   * SetRowLevel :  Ʈ  Ѵ.
   * @param {Long / String} ش  Row Index
   * @param {Integer} ش  Ʈ 
   * @example
   * // Ʈ  1  Ų.
   * ibsheetObject.SetRowLevel(1,ibsheetObject.GetRowLevel(1) +1);
   */  
  ibsheetObject.prototype.SetRowHidden = function(Row, Level){};
  
  /** 
   * GetRowLevel :  Ʈ  ȮѴ.
   * @param {Long / String} ش  Row Index
   * @example
   * @returns {Boolean} 1: , 0: 
   */  
  ibsheetObject.prototype.GetRowLevel = function(Row){};  
 
  /** 
   * SetRowMerge :    θ Ѵ.
   * @param {Long} ش  Row Index
   * @param {Boolean} θ  
   * @example
   * // ù°    ϵ Ѵ.
   * ibsheetObject.SetRowMerge(1, 1);
   */  
  ibsheetObject.prototype.SetRowMerge = function(Row, Merge){};
  
  /** 
   * GetRowMerge :    θ ȮѴ.
   * @param {Long} ش  Row Index
   * @returns {Boolean}     
   */  
  ibsheetObject.prototype.GetRowMerge = function(Row){};
  
  /** 
   * RowSaveStr :  ͸  ÷ SaveName ̿Ͽ
   *   Ǵ Query String · Ͽ ȯѴ.
   * @param {Long} ش  Row Index
   * @example
   * // 1 SaveString ´. <br>
   * var RowParam = ibsheetObject.RowSaveStr(1);
   */  
  ibsheetObject.prototype.RowSaveStr = function(Row){};
  
  /** 
   * RowTop :   ġ ȮѴ.
   * @param {Long}   ġ index
   * @example
   * //  ġ ľѴ. <br>
   * var iTop = ibsheetObject.RowTop(1);
   */  
  ibsheetObject.prototype.RowTop = function(Row){};
  
  /** 
   * SaveNameCol : SaveName ̿Ͽ شϴ ÷ ȣ ȮѴ.
   * @param {String}  
   * @example
   * //  ÷ ȣ ´. <br>
   * var Col = ibsheetObject.SaveNameCol("STATUS");
   * @returns {Long} ÷ Index
   */  
  ibsheetObject.prototype.SaveNameCol = function(SaveName){};
  
  /** 
   * SetSavingImage :    ̹  ġ Ѵ.
   * @param {String} ̹ URL
   * @example
   * //    ̹ Ѵ. <br>
   * ibsheetObject.SetSavingImage( "/sheet/imgSave.gif");
   */  
  ibsheetObject.prototype.SetSavingImage = function(Url){};
  
  /** 
   * GetSavingImage :    ̹  ġ ȮѴ.
   * @param {String}  
   * @example
   * //  Ǿִ    ̹ θ ȮѴ. <br>
   * alert(ibsheetObject.GetSavingImage());
   * @returns {String}  
   */  
  ibsheetObject.prototype.GetSavingImage = function(){};
  
  /** 
   * SetSearchingImage : ȸ   ̹  ġ Ѵ.
   * @param {String} ̹ URL
   * @example
   * // ȸ   ̹ Ѵ. <br>
   * ibsheetObject.SetSearchingImage( "/sheet/imgSearch.gif");
   */  
  ibsheetObject.prototype.SetSearchingImage = function(Url){};
  
  /** 
   * GetSearchingImage : ȸ   ̹  ġ ȮѴ.
   * @param {String}  
   * @example
   * //  Ǿִ ȸ   ̹ θ ȮѴ. <br>
   * alert(ibsheetObject.GetSearchingImage());
   * @returns {String}  
   */  
  ibsheetObject.prototype.GetSearchingImage = function(){};
  
  /** 
   * SearchRows : ȸ XML ؼ ȸ ü   ȮѴ.
   * @param {String}  
   * @example
   * //   Ȯ <br>
   * alert(ibsheetObject.SearchRows());
   * @returns {Long} ȸ ü  
   */  
  ibsheetObject.prototype.SearchRows = function(){};

  /** 
   * SelectCell : Ư  Ѵ
   * @param {Long}   Row Index
   * @param {Long / String}   Column Index Ǵ SaveName
   * @param {Boolean} ð ÿ Edit  θ  (Default=0, Edit Ұ)
   * @param {String} EditMode 1϶    (Defulat= "")
   * @example
   * // 2 ϰ   Ʒ ο  ϱ
   * ibsheetObject.SelectCell(2, 0); <br>
   * ibsheetObject.DataInsert();
   */  
  ibsheetObject.prototype.SelectCell = function(Row, Col, EditMode, EditModeText){};
  
  /** 
   * SetSelectCol :  õ  ÷ Index Ѵ.
   * @param {Long/String}  õ  Column Index Ǵ SaveName
   * @example
   * // ε 2 ÷ Ѵ.<br>
   * ibsheetObject.SetSelectCol(2);
   */  
  ibsheetObject.prototype.SetSelectCol = function(Col){};
  
  /** 
   * GetSelectCol :  õ  ÷ Index ȮѴ.
   * @example
   * // õ ÷ ȮѴ. <br>
   * alert(ibsheetObject.GetSelectCol());
   * @returns {Long}  õ ÷ Index
   */  
  ibsheetObject.prototype.GetSelectCol = function(){}; 
  
  /** 
   * SetSelectionMode :   带 Ѵ.
   * (0: , 1: , 3:CtrlŰ)
   * @param {Integer}   
   * @example
   * //    Ѵ.<br>
   * ibsheetObject.SetSelectionMode(0);
   */  
  ibsheetObject.prototype.SetSelectionMode = function(Mode){};
  
  /** 
   * GetSelectionMode :   带 ȮѴ.
   * @example
   * //  Ǿ ִ  带 ȮѴ. <br>
   * alert(ibsheetObject.GetSelectionMode());
   * @returns {Integer}   
   */  
  ibsheetObject.prototype.GetSelectionMode = function(){};   
  
  /** 
   * SetSelectRow :  õ   Index Ѵ.
   * @param {Long}  õ   Index
   * @example
   * // ε 2  Ѵ. <br>
   * ibsheetObject.SetSelectRow(2);
   */  
  ibsheetObject.prototype.SetSelectRow = function(Row){};
  
  /** 
   * GetSelectRow :  õ   Index ȮѴ.
   * @example
   * // õ  ȮѴ. <br>
   * alert(ibsheetObject.GetSelectRow());
   * @returns {Long}  õ  Index
   */  
  ibsheetObject.prototype.GetSelectRow = function(){};
  
  /** 
   * SetSendComboData :  Ÿ Combo϶  ۵Ǵ ͸ Ѵ.
   * @param {Long}    Index
   * @param {Long / String} Ư ÷ Column Index Ǵ SaveName
   * @param {String}   ɼ ("Text" Ǵ "code")
   * @example
   * //3÷ ؼ  Code  Text   ޵ǵ Ѵ. <br>
   * ibsheetObject.SendComboData(0,3) = "Code|Text";
   */  
  ibsheetObject.prototype.SetSendComboData = function(DataRow, Col){};
  
  /** 
   * GetSendComboData :  Ÿ Combo϶  ۵Ǵ ͸ ȮѴ.
   * @param {Long}    Index
   * @param {Long / String} Ư ÷ Column Index Ǵ SaveName   
   * @example
   * // Dept ÷ ؼ  Code  Text  ޵ǵ Ѵ. <br>
   * ibsheetObject.SendComboData(0,"Dept") = "Text";
   * @returns {String}  õ ޺ ÷ ۵  
   */  
  ibsheetObject.prototype.GetSendComboData = function(DataRow, Col){};
  
  /** 
   * SetBlur : Ʈ Ŀ .
   * @param {Long}    Index
   * @param {Long / String} Ư ÷ Column Index Ǵ SaveName
   * @param {String}   ɼ ("Text" Ǵ "code")
   * @example
   * // Ʈ Ŀ . <br>
   * ibsheetObject.SetBlur();
   */  
  ibsheetObject.prototype.SetBlur = function(){};
  
  /** 
   * SetCellImageStyle : Image Ӽ ϴ  ش  ̹   Ѵ.
   * @param {Long}   Index
   * @param {Long / String}  ÷ Index Ǵ SaveName
   * @param {Object}  ̹ Ӽ ü
   * @example
   * // 3°  3° ÷ ̹ ʿ ǥ. <br>
   * var style = {Image: "myImage.gif", ImgHeight:20, ImgAlign:"Left"}; <br>
   * ibsheetObject.SetCellImageStyle(3, 3, style);
   */  
  ibsheetObject.prototype.SetCellImageStyle = function(Row, Col, Style){};

  /** 
   * SetColProperty : InitColums Method   Ư ÷ Ӽ Ǹ  
   * @param {Long / String}  Ǵ ÷ Ǵ SaveName
   * @param {info} ÷ Ӽ  ü <br>
   * {AcceptKeys} ԷŰ  <br>
   * {Align}   <br>
   * {Approximate Type} ٻ簪ó (1:ݿø, 2:, 3:ø) <br>
   * {ComboCode} ޺ Ʈ ڵ  <br>
   * {ComboText} ޺ Ʈ ڿ  <br>
   * {Edit}   <br>
   * {EditLen}  Է° ڼ <br>
   * {FalseValue} 0̿ CheckBox  ÷ False   <br>
   * {Format}  Mask   <br>
   * {HoverUnderline} 콺   <br>
   * {ImgHeight} ̹  <br>
   * {ImgWidth} ̹ ʺ <br>
   * {PointCount} ÷ Float   Ҽ  ڸ <br>
   * {RadioIcon}   üũڽ 迭 ̹   <br>
   * {TrueValue} 1̿ CheckBox  ÷ True   <br>
   * @example
   * // 3° ÷ ޺   <br>
   * var info = {ComboText: "ű||Ϸ ", ComboCode: " 01|02|03" }; <br>
   * ibsheetObject.SetColProperty(3, info);
   */  
  ibsheetObject.prototype.SetColProperty = function(Col, info){};
  
  /** 
   * SetConfig : Ʈ ʱȭ ȸ Ŀ Ʋ ġ  ⺻  óѴ.(JSON · )
   * @param
   * {AutoCloseDialog} ޺, ޷, ׼ ޴ ˾ ڵݱ (Default=0) <br>
   * {ChildPage} Ʈ ڽ    (Default=0) <br>
   * {ComboMaxHeight} ޺Ʈ ִ   <br> 
   * {DataRowMerge} ü θ   (Default=0) <br>
   * {DragCell} 巡׽   巡  (Default=0) <br>
   * {DragMode} 巡 ó  (Default=0) <br>
   * {FrozenCol}  ÷  (Default=0) <br>
   * {FrozeColRight}  ÷  (Default=0) <br>
   * {HeaderCheckMode} üüũ ý ͸ ุ üũ (Default=0) <br>
   * {HeaderMergeMode}     (Default=0) <br>
   * {KeyFieldPosition} ʼ Է ǥ ġ  (Default="Left") <br>
   * {MaxSort}  ִ  (Default=3) <br>
   * {MergeSheet}   (Default=0) <br>
   * {NextPageCcall} ¡, LazyLoad    ȣϴ   (% شϴ ڰ 60~90 ) <br>
   * {Page} ѹ ǥ   (Default=20) <br>
   * {PrevColmnMergeMode} LazyLoad   ÷    (0: ü, 1:(Default)) <br>
   * {SearchMode} ȸ   (Default=0) <br>
   * {SizeMode}    (Default=0) <br>
   * {SmartResize} SmartResize   (Default=0) <br>
   * {SumPosition} հ ġ(1:ϴܰ(Default), 0:ܰ) <br>
   * {ToolTip}  ǳ  ǥ (Default=0) <br>
   * {TouchScrolling} ġũ   (0:, 1:Ϲݻ(Default), 2:̵) <br>
   * {VScrollMode} νũѹ ǥ (0:Auto(Default), 1:) <br>
   * {NewRowDeleteMode} ű    confirm â (Default=0) <br>
   * {HeaderCheckMode} üüũ ý ͸ ุ üũ (Default=0) <br> 
   * @example
   * // ¡  ȸ  <br>
   * var cfg= {SearchMode:1, Page:20}; <br>
   * ibsheetObject.SetConfig(cfg);
   */  
  ibsheetObject.prototype.SetConfig = function(cfg){};  

  /** 
   * SetDown2ExcelConfig :  ٿ ⺻  óѴ.(JSON · )
   * @param
   * {FileName}    <br>
   * {SheetName}  WorkSheet ̸ <br>
   * {DownRows} ٿε   "|" ڷ  <br>
   * {DownCols} ٿε   "|" ڷ  <br>
   * {DownHeader}  ٿε , Default=1 <br>
   * {DownSum} հ ٿε , Default=1 <br>
   * {Merge}  ٿε  , Default=0 <br>
   * {SheetDesign}  ٿε  , Default=0 <br>
   * {TitleText}   Ǵ  <br>
   * {UserMerge} Ƿ  ϱ Ͽ  <br>
   * {OnlyHeaderMerge}   , Default=0 <br>  
   * @example
   * // ⺻  <br>
   * cfg= {FileName:"DownExcel.xls", Merge:1}; <br>
   * ibsheetObject.SetDown2ExcelConfig(cfg); <br>
   * ibsheetObject.Down2Excel();
   */  
  ibsheetObject.prototype.SetDown2ExcelConfig = function(cfg){};  
    
  /** 
   * SetEndEdit :    Ѵ.
   * @param {Boolean}     (0:false, 1:true) 
   * @example
   * //    ó Լ <br>
   * var result = ibsheetObject.SetEndEdit(1); <br>
   * if (!result) { <br>
   * return; <br>
   * } 	
   */  
  ibsheetObject.prototype.SetEndEdit = function(Save){};
  
  /** 
   * SetFilterOption :   ÷  ɼǰ   Ѵ.
   * @param {Long} Column Index Ǵ SaveName
   * @param {Integer}   Option 
   * @OptionValue
   * 0 	1 	2  	3 	4 ų 	5 ŭ	6 ų ŭ	7 ܾ 
   * 8 ܾ  	9 ܾ 	10 ܾ  	11 	12  
   * @example
   * //  1  2÷ ͸    <br>
   * ibsheetObject.SetCellValue(1, 2, ""); <br>
   * // ڿ ''   ܾ ͸ <br>
   * ibsheetObject.SetFilterOption (2, 1);
   */  
  ibsheetObject.prototype.SetFilterOption = function(Col, Option){};
  
  /** 
   * SetFilterValue :   ÷     Ѵ.
   * @param {Long} Column Index Ǵ SaveName
   * @param {String} Ϳ  
   * @param {Integer}   Option 
   * @OptionValue
   * 0 	1 	2  	3 	4 ų 	5 ŭ	6 ų ŭ	7 ܾ 
   * 8 ܾ  	9 ܾ 	10 ܾ  	11 	12  
   * @example
   * // 5÷ "" Ե ڿ ͸ϱ <br>
   * ibsheetObject.SetFilterValue(5, "", 11);
   */  
  ibsheetObject.prototype.SetFilterValue = function(Col, Value, Option){};  
  
  /** 
   * SetFocus : Ʈ Ŀ  Ѵ.
   * @example
   * // Ʈ Ŀ  Ѵ. <br>
   * ibsheetObject.SetFocus();
   */  
  ibsheetObject.prototype.SetFocus = function(){};   

  /** 
   * SetMergeCell : Ư      Ѵ.
   * @param {Long}   Row Index
   * @param {Long}   Column Index
   * @param {Long}   Row 
   * @param {Long}   Col 
   * @example
   * // (1,10)(2,11) 2x2 â   Ͽ ǥѴ. <br>
   * ibsheetObject.SetMergeCell(1, 10, 2, 2);
   */  
  ibsheetObject.prototype.SetMergeCell = function(Row, Col, Rows, Cols){};
  
  /** 
   * SetRowHaveChildValue : Ʈ ȸ HaveChild Ӽ  Ѵ.
   * @param {Long}   Index
   * @param {Boolean} Ӽ 
   * @example
   * // 3 HaveChild Ӽ 0 Ѵ. <br>
   * ibsheetObject.SetRowHaveChildValue(3, 0);
   */  
  ibsheetObject.prototype.SetRowHaveChildValue = function(Row, HaveChild){};
  
  /** 
   * SetSheetFontName : ü Ʈ ü Ѵ.
   * @param {String} ϰ ϴ ۲
   * @example
   * // ü Ʈ ۲ Ѵ. <br>
   * ibsheetObject.SetSheetFontName("Arial");
   */  
  ibsheetObject.prototype.SetSheetFontName = function(FontName){};
  
  /** 
   * GetSheetFontName : ü Ʈ ü ȮѴ.
   * @returns {String} Ǿ ִ ۲
   */  
  ibsheetObject.prototype.GetSheetFontName = function(){};
  
  /** 
   * SetSheetFontSize : ü Ʈ ü Ѵ.
   * @param {Integer} ϰ ϴ ũ
   * @example
   * // ü Ʈ  ũ⸦ Ѵ. <br>
   * ibsheetObject.SetSheetFontSize(10);
   */  
  ibsheetObject.prototype.SetSheetFontSize = function(FontSize){};
  
  /** 
   * GetSheetFontSize : ü Ʈ ü ȮѴ.
   * @returns {Integer} Ǿ ִ ũ
   */  
  ibsheetObject.prototype.GetSheetFontSize = function(){};  

  /** 
   * SetSheetHeight : ü ̸ Ѵ.  ȼ
   * @param {Integer} ϰ ϴ Ʈ  ȼ
   * @example
   * // ü ̸ 800px Ѵ. <br>
   * ibsheetObject.SetSheetHeight(800);
   */  
  ibsheetObject.prototype.SetSheetHeight = function(Height){};
  
  /** 
   * GetSheetHeight : ü ̸ ȮѴ.
   * @example
   * //  Ǿִ ü ̸ ȮѴ.<br>
   * alert(ibsheetObject.GetSheetHeight());
   * @returns {Integer} Ǿ ִ  ȼ
   */
  ibsheetObject.prototype.GetSheetHeight = function(){};  
  
  /** 
   * SetSheetWidth : ü ʺ Ѵ.  ȼ
   * @param {Integer} ϰ ϴ Ʈ ʺ ȼ
   * @example
   * // ü ʺ 800px Ѵ. <br>
   * ibsheetObject.SetSheetWidth(800);
   */  
  ibsheetObject.prototype.SetSheetWidth = function(Width){};
  
  /** 
   * GetSheetWidth : ü ʺ ȮѴ.
   * @example
   * //  Ǿִ ü ʺ ȮѴ.
   * alert(ibsheetObject.GetSheetWidth());
   * @returns {Integer} Ǿ ִ ʺ ȼ
   */  
  ibsheetObject.prototype.GetSheetWidth = function(){};
  
  /** 
   * SetShowButtonImage : ˾ ޺ ư ̹ ǥϴ  Ѵ(ʱε)
   * @param {Integer}   (Default = 3) <br>
   * 0: Ŀ /޺/޷/˾ ̹ ǥ <br>
   * 1: Edit϶ /޷/˾ ̹ ǥ <br>
   * 2: ׻ ޷, ˾ ̹ ǥ <br>
   * 3: Edit϶ ޺/޷/˾ ̹ ǥ <br>
   * 4: ׻ ޺/޷/˾ ̹ ǥ <br>
   * @example
   * // Edit   ˾̹ ǥõȴ. <br> 
   * ibsheetObject.SetShowButtonImage(1);
   */  
  ibsheetObject.prototype.SetShowButtonImage = function(type){};
  
  /** 
   * GetShowButtonImage : ˾ ޺ ư ̹ ǥϴ  ȮѴ
   * @returns {Integer}   
   */  
  ibsheetObject.prototype.GetShowButtonImage = function(){};
 
  /** 
   * ShowCalendar : Text Ÿ ÷  ¥    OnClick ̺Ʈ ޷˾ Ѵ.
   * @example
   * // ؽƮ Ÿ ÷ Ŭ ޷ ˾ ϱ <br> 
   * function ibsheetObject_OnClick(Row, Col) { <br>
   * ibsheetObject.ShowCalendar(); <br>
   * } <br>
   * // Popup, PopupEdit ÷ OnPopup ư Ŭ ޷ ˾ ϱ <br>
   * function ibsheetObject_OnPopupClick(Row,Col) { <br>
   * ibsheetObject.ShowCalendar(); <br>
   * } <br>
   */  
  ibsheetObject.prototype.ShowCalendar = function(){};
  
  /** 
   * ShowColumnPopup : InitColumns Լ ̿Ͽ ÷ ˾ 
   *  ÷ Լ ̿Ͽ  ˾ ִ ̴.
   * @param {Long}   Row Index <br>
   * @param {Long / String}   Column Index Ǵ SaveName <br>
   * @param {Boolean}  콺 ġ   (Default=1)<br>
   * @example
   * //   ġ ˾  <br> 
   * ibsheetObject.ShowColumnPopup(1, 4, 0);
   */  
  ibsheetObject.prototype.ShowColumnPopup = function(Row, Col, MousePos){};

  /** 
   * ShowDebugMsg :  ޽ ǥÿθ Ȯϰų Ѵ.
   * @param {Integer}  ޽ ǥÿ  (Default=0) <br>
   * -1: ý ˾  <br>
   *  0:    (Default=0) 
   * @example
   * //  ó   ޽ ˾ ǥ <br> 
   * ibsheetObject.ShowDebugMsg(-1);
   */  
  ibsheetObject.prototype.ShowDebugMsg = function(Msg){};
  
  /** 
   * ShowFilterRow : IBSheet    ߰Ѵ.
   * Լ ȣ  ʱȭ  ȸ ó ȣ
   * @example
   * //  ߰ϱ <br> 
   * ibsheetObject.ShowFilterRow();
   */  
  ibsheetObject.prototype.ShowFilterRow = function(){};  
  
  /** 
   * ShowFindDialog : ctrl+shift+F Է½ ǥõǴ ã â ǥѴ.
   * @example
   * // ãâ ǥѴ.<br> 
   * ibsheetObject.ShowFindDialog();
   */  
  ibsheetObject.prototype.ShowFindDialog = function(){}; 
  
  /** 
   * ShowGroupRow : IBSheet  ܿ ׷ ߰Ѵ.
   * @param {Long/String} ׷ ϰ ϴ ÷ Index Ǵ SaveName "|"  ڿ
   * @example
   * // ׷ ߰ϱ <br> 
   * ibsheetObject.ShowGroupRow();
   */  
  ibsheetObject.prototype.ShowGroupRow = function(Cols){};

  /** 
   * SetShowMsgMode : ̺Ʈ  (0:OnMessage Event 1:ý ˾ ߻)
   * @param {Boolean} ޽ ǥ 
   * @example
   * // ޽ 带 Ѵ. <br> 
   * ibsheetObject.SetShowMsgMode(0);
   */  
  ibsheetObject.prototype.SetShowMsgMode = function(Mode){};
  
  /** 
   * GetShowMsgMode : ̺Ʈ  Ȯ
   * @returns {Boolean}   
   */  
  ibsheetObject.prototype.GetShowMsgMode = function(){};
  
  /** 
   * SetShowSortArrow : ƮǴ  ȭǥ ̹ ǥ θ Ѵ.
   * @param {Boolean} ȭǥ ̹ ǥÿ
   * @example
   * // Ʈ  ǥѴ. <br> 
   * ibsheetObject.SetShowSortArrow(1);
   */  
  ibsheetObject.prototype.SetShowSortArrow = function(Arrow){};
  
  /** 
   * GetShowSortArrow : ƮǴ  ȭǥ ̹ ǥ θ ȮѴ.
   * @example
   * // Ǿ ִ Ʈ  ǥÿθ ȮѴ.
   * alert(ibsheetObject.GetShowSortArrow());	
   * @returns {Boolean}   
   */  
  ibsheetObject.prototype.GetShowSortArrow = function(){};
  
  /** 
   * ShowSubSum : Ư ÷ ͸  Ұ 踦 Ͽ ǥѴ.
   * @param {Long/String} StdCol :  ÷ Index Ǵ SaveName <br>
   * @param {String} SumCols : Ұ谡 Ǿ  ÷ Index "|"  ڿ <br>
   * @param {Boolean} Sort :  ÷ Sort ó  <br>
   * @param {Boolean} ShowCumulate : Ұ迡   ǥ  <br>
   * @param {Long} CaptionCol : Ұ ǥ  "Ұ:" + ذ  ÷ <br>
   * @param {String} CaptionText : Ұ ǥ    <br>
   * @param {String} AvgCols Ұ ࿡  Ǿ  ÷ Index "|"  ڿ <br>
   * @example
   * // 1÷(뷮) ߽ Ұ踸 Ͽ ǥ<br> 
   * var info = [ <br>
   * {StdCol:1, SumCols:"2|3|4|5|6|7", Sort:1} <br>
   * ]; <br>
   * ibsheetObject.ShowSubSum(info); <br>
   */  
  ibsheetObject.prototype.ShowSubSum = function(info){};
  
  /** 
   * ShowToolTip :      Ѵ.
   * SetConfig  ToolTip ڸ ̿Ͽ    ִ.
   * @param {Boolean}  ǥ  <br>
   * @example
   * // <br> 
   * ibsheetObject.ShowToolTip(1); <br>
   */  
  ibsheetObject.prototype.ShowToolTip = function(ToolTip){};

  /** 
   * ShowTreeSubSum : Ʈ Ұ踦 Ͽ ǥѴ.
   * @param {String} SumCols հ谡 Ǿ  ÷ IndexǴ SaveName "|"  ڿ<br>
   * @param {String} AvgCols  Ǿ  ÷ Index Ǵ SaveName "|"  ڿ<br>
   * @param {String} CountCols  Ǿ  ÷ Index Ǵ SaveName "|"  ڿ<br>
   * @param {Boolean} SumEx ° "" ࿡     (Default=0)<br>
   * @param {Boolean}  ÷ Null     (Default=0)<br>
   * @example
   * //  꿡 ϱ<br> 
   * var info = {SumCols:"2, SumEx:1}; <br>
   * ibsheetObject. ShowTreeSubSum (info);
   */  
  ibsheetObject.prototype.ShowTreeSubSum = function(Info){};
  
  /** 
   * SetSubSumBackColor : Ұ    Ѵ
   * @param {String} ϰ ϴ WebColor  <br>
   * @example
   * //Ұ    
   * ibsheetObject.SetSubSumBackColor("#00FF00");
   * @returns {String}   
   */  
  ibsheetObject.prototype.SetSubSumBackColor = function(Color){};
  
  /** 
   * GetSubSumBackColor : Ұ    ȮѴ.
   * @param {String} ϰ ϴ WebColor  <br>
   * @example
   * //Ұ    
   * ibsheetObject.SetSubSumBackColor("#00FF00");
   * @returns {String}   
   */  
  ibsheetObject.prototype.GetSubSumBackColor = function(){};  
  
  /** 
   * ShowSum : հ踦   
   * AutoSum ÷ հ踦 Ͽ ѹ ְų  Ѵ. 
   * @example
   * ibsheetObject.ShowSum();
   * @returns {String}   
   */  
  ibsheetObject.prototype.ShowSum = function(){};  
  
  /** 
   * ShowTreeLevel : Ͱ Ʈ    Ʈ  Ѵ. 
   * @param {Integer}  Ʈ   (Default=-1) <br>
   * 0:  -1: ġ ׿:ش  ŭ ħ<br>
   * @param {Integer}  Ʈ    ħ ¸ Ѵ (Default=0) <br>
   * 0:  (Default) 1: 2:ħ <br>
   * @example
   * // 
   * ibsheetObject.ShowTreeLevel(0, 1);
   */  
  ibsheetObject.prototype.ShowTreeLevel = function(Level, ChildStatus){};
  
  /** 
   * SetSumBackColor : հ    Ѵ.
   * @param {String} WebColor  <br>
   * @example
   * // հ    
   * ibsheetObject.SetSumBackColor("#00FF00");
   */  
  ibsheetObject.prototype.SetSumBackColor = function(Color){};
  
  /** 
   * GetSumBackColor : հ    ȮѴ.
   * @example
   * // հ  ϱ
   * ibsheetObject.GetSumBackColor();
   * @returns {String} WebColor 
   */  
  ibsheetObject.prototype.GetSumBackColor = function(){};

  /** 
   * SetSumFontBold : հ  ڸ   θ Ѵ.
   * @param {Boolean} Ʈ   <br>
   * @example
   * // հ   带 Ѵ.
   * ibsheetObject.SetSumFontBold(1);
   */  
  ibsheetObject.prototype.SetSumFontBold = function(Bold){};
  
  /** 
   * GetSumFontBold : հ  ڸ   θ ȮѴ.
   * @example
   * // հ    ȮѴ.
   * ibsheetObject.GetSumFontBold();
   * @returns {Boolean}  Ʈ  
   */  
  ibsheetObject.prototype.GetSumFontBold = function(){};
  
  /** 
   * SetSumFontColor : հ    Ѵ.
   * @param {String} WebColor 
   * @example
   * // հ  Ʈ  
   * ibsheetObject.SetSumFontColor("#00FF00");
   */  
  ibsheetObject.prototype.SetSumFontColor = function(Color){};
  
  /** 
   * GetSumFontColor : հ    ȮѴ.
   * @example
   * // հ Ʈ ȮѴ.
   * ibsheetObject.GetSumFontColor();
   * @returns {String}  հ  
   */  
  ibsheetObject.prototype.GetSumFontColor = function(){};
  
  /** 
   * SetSumRowHidden : հ ⿩θ Ѵ.
   * @param {Boolean} 迩
   * @example
   * //   ǥõǵ Ѵ.
   * ibsheetObject.SetSumRowHidden(0);
   */  
  ibsheetObject.prototype.SetSumRowHidden = function(Hidden){};
  
  /** 
   * GetSumRowHidden :հ ⿩θ ȮѴ.
   * @returns {Boolean}   
   */  
  ibsheetObject.prototype.GetSumRowHidden = function(){}; 
  
  /** 
   * SetSumText : հ   Format  · ȭ鿡   ״ Ѵ.
   * @param {Long / String} հ  Column Index Ǵ SaveName
   * @param {String}    CellValue 
   * @example
   * //հ  2÷  5,432.12  ٲ۴.
   * ibsheetObject.SetSumText(2,"5,432.12");
   */  
  ibsheetObject.prototype.SetSumText = function(Col,Value){};
  
  /** 
   * GetSumText : հ   Format  · ȭ鿡   ״ ȮѴ.
   * @param {Long / String} հ  Column Index Ǵ SaveName
   * @example
   * //հ  2÷  о´. 
   * ibsheetObject.GetSumText(2)
   * @returns {String} հ  Text
   */  
  ibsheetObject.prototype.GetSumText = function(Col){}; 

  /** 
   * SetSumValue : հ   Format  · ȭ鿡   ״ Ѵ.
   * @param {Long / String} հ  Column Index Ǵ SaveName
   * @param {String}   ȵ  CellValue 
   * @example
   * // հ  2÷  5432.12  ٲ۴.
   * ibsheetObject.SetSumValue(2, 5432.12);
   */  
  ibsheetObject.prototype.SetSumValue = function(Col,Value){};
  
  /** 
   * GetSumValue : հ   Format  · ȭ鿡   ״ ȮѴ.
   * @param {Long / String} հ  Column Index Ǵ SaveName
   * @example
   * // ù° հ  2÷  о´ 
   * ibsheetObject.GetSumValue(2)
   * @returns {String} հ  Value
   */  
  ibsheetObject.prototype.GetSumValue = function(Col){};
  
  /** 
   * SetTheme : IBSheet  ׸  Ѵ.
   * @param {String} ׸ Prefix 
   * @param {String} ׸  
   * @example
   * //Gray ׸ Ѵ.
   * ibsheetObject.SetTheme("GG, "Gray");
   */  
  ibsheetObject.prototype.SetTheme = function(Prefix, Folder){};
  
  /** 
   * GetTheme : IBSheet  ׸  ȮѴ.
   * @example
   * //  Ǿ ִ ׸ Ȯ 
   * var Prefix = ibsheetObject.GetTheme();
   * @returns {String}  ׸ Prefix 
   */  
  ibsheetObject.prototype.GetTheme = function(){};
  
  /** 
   * SetToolTipText :  ǳ Ѵ.
   * @param {String} ش  Row Index
   * @param {Long / String} ش  Column Index Ǵ SaveName
   * @param {String} ǳ   
   * @example
   * // ǳ  
   * ibsheetObject.SetToolTipText(1,1, " ǳ ");
   */  
  ibsheetObject.prototype.SetToolTipText = function(Row, Col, ToolTip){};
  
  /** 
   * GetToolTipText :  ǳ ȮѴ.
   * @example
   * // ǳ   Ȯ
   * alert(ibsheetObject.GetToolTipText(1, 1));
   * @returns {String}  ׸ Prefix 
   */  
  ibsheetObject.prototype.GetToolTipText = function(Row, Col){};
  
  /** 
   * SetTopRow : ֻ  ȣ Ѵ.
   * @param {Long} Row Index
   * @example
   * // ֻ  ȣ Ѵ.
   * ibsheetObject.SetTopRow(100);
   */  
  ibsheetObject.prototype.SetTopRow = function(Row){};
  
  /** 
   * GetTopRow : ֻ  ȣ ȮѴ.
   * @example
   * // ֻ  ȣ ȮѴ.
   * ibsheetObject.GetTopRow();
   * @returns {Long} ֻ  ȣ
   */  
  ibsheetObject.prototype.GetTopRow = function(){};
  
  /** 
   * SetTotalRows : ȸ ǿ  ü ȸؾ  DB ڵ Ǽ Ѵ.
   * @param {Long} ü Ǽ 
   * @example
   * // ü  Ǽ 1000 Ѵ.
   * ibsheetObject.SetTotalRows(1000);
   */  
  ibsheetObject.prototype.SetTotalRows = function(Count){};
  
  /** 
   * GetTotalRows : ȸ ǿ  ü ȸؾ  DB ڵ Ǽ ȮѴ.
   * @example
   * // ü  Ǽ ȮѴ.
   * alert(ibsheetObject.GetTotalRows());
   * @returns {Long}   
   */  
  ibsheetObject.prototype.GetTotalRows = function(){};
  
  /** 
   * SetTreeActionMode : Ʈ ϶   ó  Ӽ Ѵ.
   * @param {Integer} TreeActionMode 
   * 0:ڽ   ȵ(Default), 1:  üũ ڽı  üũ
   * @example
   * // üũ   ڽķ ǵ Ѵ.
   * ibsheetObject.SetTreeActionMode(1);
   */  
  ibsheetObject.prototype.SetTreeActionMode = function(Value){};
  
  /** 
   * GetTreeActionMode : Ʈ ϶   ó  Ӽ ȮѴ.
   * @example
   * // Ǿ ִ TreeActionMode  ȮѴ.
   * alert(ibsheetObject.GetTreeActionMode());
   * @returns {Integer}  
   */  
  ibsheetObject.prototype.GetTreeActionMode = function(){};
  
  /** 
   * SetUnicodeByte : ѱ 1ڸ Ʈ   Ѵ.
   * @param {Integer}  Ʈ  (Default=1)
   * @example
   * // ѱ 1ڸ Ʈ 3 Ѵ.
   * ibsheetObject.SetUnicodeByte(3);
   */  
  ibsheetObject.prototype.SetUnicodeByte = function(byte){};
  
  /** 
   * GetUnicodeByte : ѱ 1ڸ Ʈ  ȮѴ.
   * @example
   * //  Ʈ  ȮѴ.
   * ibsheetObject.GetUnicodeByte();
   * @returns {Integer}   
   */  
  ibsheetObject.prototype.GetUnicodeByte = function(){};
  
  /** 
   * SetUseDefaultTime :  (Hms,Hm) EditϷҶ ý ð ǥѴ.
   * @param {Boolean} ð ǥ  (Default=1)
   * @example
   * //  ð ǥ ʵ 
   * ibsheetObject.SetUseDefaultTime(0);
   */  
  ibsheetObject.prototype.SetUseDefaultTime = function(Value){};
  
  /** 
   * GetUseDefaultTime : ý ð ǥ θ ȮѴ.
   * @returns {Boolean}   
   */  
  ibsheetObject.prototype.GetUseDefaultTime = function(){};
  
  /** 
   * SetUserAgent : ȸ  HTTP   ԵǾ 
   * Ѿ IBUserAgent  Ѵ.
   * @param {String} User-Agent 
   * @example
   * // HTTP  IBUserAgent  My Agent Name  
   * ibsheetObject.SetUserAgent("My Agent Name");
   */  
  ibsheetObject.prototype.SetUserAgent = function(Value){};
  
  /** 
   * GetUserAgent : ȸ  HTTP   ԵǾ
   * Ѿ IBUserAgent  ȮѴ.
   * @returns {String}   
   */  
  ibsheetObject.prototype.GetUserAgent = function(){};
  
  /** 
   * SetUploadingImage :  ε   ̹  ġ Ѵ.
   * @param {String} ̹ URL
   * @example
   * //ε   ̹ Ѵ.
   * ibsheetObject.SetUploadingImage("/sheet/imgUpload.gif");
   */  
  ibsheetObject.prototype.SetUploadingImage = function(Url){};
  
  /** 
   * GetUploadingImage :  ε   ̹  ġ ȮѴ.
   * @example
   * // Ǿִ ε   ̹ θ ȮѴ.
   * alert(ibsheetObject.GetUploadingImage());
   * @returns {String}   
   */  
  ibsheetObject.prototype.GetUploadingImage = function(){};
  
  /** 
   * ValidateFail :Validation Ȯ  OnValidation ̺Ʈ
   * ȿ  ͸ ߰Ͽ ó ߴϰ  
   *  Ӽ Ͽ ó ߴѴ.
   * @param {Boolean}  ó ߴ 
   */  
  ibsheetObject.prototype.ValidateFail = function(Flag){};
  
  /** 
   * SetVisible : IBSheet ǥ θ Ѵ.
   * @param {Boolean} ȭ鿡 Ʈ ǥ  (0: 1:)
   * @example
   * // Ʈ Ⱥ̰ 
   * ibsheetObject.SetVisible(0);
   * @returns {String}   
   */  
  ibsheetObject.prototype.SetVisible = function(Visible){};
  
  /** 
   * GetVisible : IBSheet ǥ θ ȮѴ.
   * @example
   * // Ʈ ǥ θ Ȯ
   * alert(ibsheetObject.GetVisible());
   * @returns {String}   
   */  
  ibsheetObject.prototype.GetVisible = function(){};
  
  /** 
   * SetWaitImage : ó   ̹  ġ Ѵ.
   * @param {String} ̹ Url
   * @example
   * // ó   ̹ Ѵ.
   * ibsheetObject.SetWaitImage("/sheet/imgWait.gif");
   * @returns {String}   
   */  
  ibsheetObject.prototype.SetWaitImage = function(Url){};
  
  /** 
   * GetWaitImage : ó   ̹  ġ ȮѴ.
   * @returns {String}   Ǿ ִ URL
   */  
  ibsheetObject.prototype.GetWaitImage = function(){};
  
  /** 
   * SetWaitImageVisible :  ó   ̹ ǥÿθ Ѵ.
   * @param {Boolean}   ̹ ǥ 
   * @example
   * //ó   ̹ ǥ ʵ Ѵ.
   * ibsheetObject.SetWaitImageVisible(0);
   */  
  ibsheetObject.prototype.SetWaitImageVisible = function(Visible){};
  
  /** 
   * GetWaitImageVisible :  ó   ̹ ǥÿθ ȮѴ.
   * @example
   * //ó   ̹ ǥ θ ȮѴ.
   * alert(ibsheetObject.GetWaitImageVisible());
   * @returns {Boolean}   
   */  
  ibsheetObject.prototype.GetWaitImageVisible = function(){};
  
  /** 
   * SetWaitTimeOut :  Ͽ  ϴ ð Ѵ.
   * @param {Integer}  ʽð (Default=60)
   * @example
   * //  Ͽ  ϴ ð Ȯϰų 
   * ibsheetObject.SetWaitTimeOut(120);
   * @returns {String}   
   */  
  ibsheetObject.prototype.SetWaitTimeOut = function(time){};
  
  /** 
   * GetWaitTimeOut :  Ͽ  ϴ ð ȮѴ.
   * @example
   * //  Ͽ  ϴ ð Ȯ
   * alert(ibsheetObject.GetWaitTimeOut());
   * @returns {Integer}   
   */  
  ibsheetObject.prototype.GetWaitTimeOut = function(){};
  