<%--
  - Author(s)  : Hyung min Son
  - Date       : 2014.11.11
  - Description: 입찰현황리스트
  --%>
  
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ page import="com.udapsoft.waf.common.ui.InitCombo" %>
<%@ page import="kr.co.udapsoft.common.code.CommCodeManager" %>
<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
    
	//공통코드
	CommCodeManager commCodeManager = new CommCodeManager();
	InitCombo initCombo = new InitCombo();

	initCombo.makeComboData(commCodeManager.getCodeRowSet("BID_STATUS_CD"), "NAME", "CODE");
	String BID_STATUS_CD = initCombo.getCode();
	String BID_STATUS_NM = initCombo.getCodeName();
%>
<script language="javascript" src="/js/popup.js"></script>
<SCRIPT language="JavaScript">
	document.body.onresize = addEvent( document.body.onresize, "autoResize()");
	/*예약함수*/
	var sheet1 = new ibsheetObject();
	var sheet1Row;
	var sheet1PageNo = 1;
	var pageLastRowIndex = 1;
	var validationResult = false;
	var filterShow = false;
	
	function _onReady(){
		/**
		 *	IBSheet object initialize
		 */
		gridInit(sheet1);
		
		autoResize();
		/**
		 *	Application Initialize
		 */
		$("#btnSearch").click(function() {
			jQuery("#fevent").val("SHEET_SELECT");
			var url = Modular.model.PageContext.CONTEXT_ROOT + "/bid/purchase/BidCurrentstatus_sheet.screen";
			Modular.view.IBSheet7.doSearch(sheet1, url, jQuery("#form1"), 30, "");
		});
		
		/*
				현장 팝업
		*/
		$("#btn_dept").click(function() {
			PopsearchSite("");
		});
		
		$("#p_dept_nm").keydown(function (event){var keycode = (event.keyCode ? event.keyCode : event.which);	if(keycode == 8||keycode == 46){$("#p_dept_cd").val("");$("#p_dept_nm").val("");}});
		$("#P_BID_MASTER_NM").keydown(function (event){var keycode = (event.keyCode ? event.keyCode : event.which);if(keycode == 13)$("#btnSearch").click();});
		$("#btnSearch").click();
		
		
		$("#user_check").click(function() {
			if($("#user_check").is(":checked") == true){
				$("#user_check").val("true");
			}else{
				$("#user_check").val("false");
			}
		});
	}
	
	/**
	 *	IBSheet object initialize
	 */
	function gridInit(sheetName){
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, Page:30};
		init_sheet.Cols = [
		       			{Header:'Del',					Type:"DelCheck",		SaveName:"DEL_CHECK", 				Width:50, 		Align:"Center",		Hidden:"True"},
		    			{Header:'Status',				Type:"Status", 		SaveName:"STATUS", 					Width:0, 		Align:"Center",		Hidden:"True"},
		    			{Header:'No.',					Type:"Seq", 			SaveName:"NO",							Width:0, 		Align:"Center",		Hidden:"True"},
		    			{Header:'입찰번호',				Type:"Text", 			SaveName:"BID_NO", 					Width:120,		Align:"Center"},
		    			{Header:'차수',					Type:"Text", 			SaveName:"BID_DEG",					Width:30,		Align:"Center"},
		    			{Header:'현장명',				Type:"Text", 			SaveName:"DEPT_NM", 					Width:200, 		Align:"Left"},
		    			{Header:'입찰공고명',			Type:"Text", 			SaveName:"BID_MASTER_NM", 		Width:200, 		Align:"Left"},
		    			{Header:'견적설명',				Type:"Text", 			SaveName:"SITEDESCDATE", 			Width:80, 		Align:"Center"},
		    			{Header:'견적마감',				Type:"Text", 			SaveName:"BID_TO_DT", 				Width:80, 		Align:"Center"},
		    			{Header:'기술검토',				Type:"Text", 			SaveName:"TBE_FIN_DT", 				Width:80, 		Align:"Center"},
		    			{Header:'견적서개찰',			Type:"Text", 			SaveName:"OPEN_DT", 					Width:80, 		Align:"Center"},
		    			{Header:'시행결의',				Type:"Text", 			SaveName:"CONT_APP_DATE", 		Width:80, 		Align:"Center"},
		    			{Header:'구매담당자',			Type:"Text", 			SaveName:"PUREMPNM", 				Width:80, 		Align:"Center"},
		    			{Header:'개찰자',				Type:"Text", 			SaveName:"OPEN_EMPNM", 			Width:80, 		Align:"Center"},
		    			{Header:'TBE담당자',			Type:"Text", 			SaveName:"EVAL_EMPNM", 			Width:80, 		Align:"Center"},
		    			{Header:'진행상태',				Type:"Text", 			SaveName:"STATUS_NM", 				Width:90, 		Align:"Center"},
		    			{Header:'DEMANDED_ID',	Type:"Text", 			SaveName:"DEMANDED_ID", 			Width:80, 		Align:"Center",		Hidden:"True"}
		];

		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheetName, init_sheet);
		sheetName.SetDataAutoTrim(0);
		sheetName.SetEditable(false);
		sheetName.SetActionMenu("ExcelDown");
		setGridSize();
	}

	function sheet1_OnSelectMenu(Text, Code) {
		  // text 또는 code값으로 Action수행
		switch(Text) {
	         case "ExcelDown":
	        	sheetExcelDown(sheet1,$('li').html());
	            break; 
		}
	}
	
	/**
	 *	IBSheet Event: Search End(IBSheet 데이터 조회 CallBack)
	 */
	function sheet1_OnSearchEnd(code, message) {
	    if(code == 0) {
	    	setGridSize();
	    	//sheet1.SetColFontColor("BID_MASTER_NM", "#0000ff");
		} else {
			//조회 에러 수행
			alert(message);
		}
	}
	
	/**
	 *	IBSheet Event: Click
	 */
	function sheet1_OnClick(Row, Col, Value, CellX, CellY, CellW, CellH) {

	}
	
	/**
	 *	IBSheet size setting
	 */
	function setGridSize() {sheet1.FitColWidth();}
	
	/**
	 *	IBSheet Event: DBLCLICK
	 */
	 function sheet1_OnDblClick(Row, Col, Value, CellX, CellY, CellW, CellH) {
		 if(Row == 0)return;
		 if (Col == 6) {

		 }
	 }

	
	function sheet1_OnSmartResize(Width, Height) { 
		sheet1.FitColWidth();
		autoResize();
		
	}

	function autoResize(){
		var t1_height = document.getElementById("search-table").scrollHeight + document.getElementById("title").scrollHeight + 24;
		var iframeHeight= document.body.scrollHeight - t1_height;   
		var iframeWidth= document.body.scrollWidth;   
		sheet1.SetSheetHeight(iframeHeight); 
	}	
	
	document.body.onresize = addEvent( document.body.onresize, "autoResize()");
</SCRIPT>

<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>
<form id="form1" name="form1" method="post" modular:type="search">
<TABLE id="t1" border="0" cellspacing="0" cellpadding="0" width="100%" height="100%">

<INPUT type="hidden" name="fevent" id="fevent" value="">
<INPUT type="hidden" name="DEMANDED_ID" value="">
<INPUT type="hidden" name="BID_NO" value="">
<INPUT type="hidden" name="BID_DEG" value="">
<INPUT type='hidden' name="acct_id" value="<%= params.get("acct_id") %>">


<div align="left" id="title" >
    <ul><li>구매_입찰현황</li></ul>
</div> 

<!-- 검색조건 영역 : 시작 -->
<TR><TD height="1">
	<!-- 검색조건 시작 -->
		<table id="search-table" class="search-form-table" >
		<colgroup>
			<col width="100" />
			<col/>
			<col width="100" />
			<col/>
			<col width="150" />
		</colgroup>
		<tr>
			<th>현장</th>
			<td>
		   		<%=InputText.getSiteCodeNew("p_dept_cd", "p_dept_nm", "", user, params.get("p_dept_cd"), params.get("p_dept_nm"))%>
			</td>
			<th>상태</th>
			<td><%=CommCodeManager.getSelectCodeSearchList("BID_STATUS_CD","P_DEMANDED_STATUS","height=18;width:80px;","<option value=''>--전체--</option>",params.get("P_DEMANDED_STATUS"),"AND DETAILCD NOT IN ('10','91','92','93')","DETAILCD") %>
			
			</td>
			<td class="button" rowspan="2">
				<span class="btnSearch center" id="btnSearch"><a href="javascript:void(0);">검색</a></span>
				<span class="btnSearch center" id="btnExcel"><a href="javascript:sheetExcelDown(sheet1,$('li').html());">ExcelDown</a></span>
			</td>

		</tr>
		<tr>
			<th>입찰공고명</th>
			<td>
				<INPUT type="text" name="P_BID_MASTER_NM" class="input" value="<%=params.get("P_BID_MASTER_NM") %>" style="width:90%"> 
			</td>
			<th>전체조회</th>
			<td>
			<input type="checkbox" id="user_check" name="user_check" value="false">
			</td>
		</tr>
	</table>
</TD></TR>
</TABLE>
	<div id="sheet1_div" style=" padding-top:5px;  height: auto; min-height: 350px; overflow: auto;">
		<script>createIBSheet('sheet1','100%', '350px');</script>
	</div>
</FORM>
