<%--
  - Author(s)  : Hyung min Son
  - Date       : 2014.08.08
  - Description: 입찰결과리스트
  --%>
  
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ page import="com.udapsoft.waf.common.ui.InitCombo" %>
<%@ page import="kr.co.udapsoft.common.code.CommCodeManager" %>
<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
    
	//공통코드
	CommCodeManager commCodeManager = new CommCodeManager();
	InitCombo initCombo = new InitCombo();

	initCombo.makeComboData(commCodeManager.getCodeRowSet("ONBID"), "NAME", "CODE");
	String ONBID_CD = initCombo.getCode();
	String ONBID_NM = initCombo.getCodeName();
%>
<script language="javascript" src="/js/popup.js"></script>
<SCRIPT language="JavaScript">
	document.body.onresize = addEvent( document.body.onresize, "autoResize()");
	/*예약함수*/
	var sheet1 = new ibsheetObject();
	var sheet1Row;
	var sheet1PageNo = 1;
	var pageLastRowIndex = 1;
	var validationResult = false;
	var filterShow = false;
	
	function _onReady(){
		/**
		 *	IBSheet object initialize
		 */
		gridInit(sheet1);
		
		autoResize();
		/**
		 *	Application Initialize
		 */
		$("#btnSearch").click(function() {
			jQuery("#fevent").val("SHEET_SELECT");
			var url = Modular.model.PageContext.CONTEXT_ROOT + "/bid/purchase/BidResultList_sheet.screen";
			Modular.view.IBSheet7.doSearch(sheet1, url, jQuery("#form1"), 30, "");
		});
		
		/*
				현장 팝업
		*/
		$("#btn_dept").click(function() {
			PopsearchSite("");
		});
		
		$("#p_dept_nm").keydown(function (event){var keycode = (event.keyCode ? event.keyCode : event.which);	if(keycode == 8||keycode == 46){$("#p_dept_cd").val("");$("#p_dept_nm").val("");}});
		$("#P_BID_MASTER_NM").keydown(function (event){var keycode = (event.keyCode ? event.keyCode : event.which);if(keycode == 13)$("#btnSearch").click();});

		//2019.11.22 전산요구사항으로 수정(상세보기 후 리스트로 왔을때 자동으로 검색)
		if($("#P_AUTO_SEARCH").val() == "1"){			
			$("#P_AUTO_SEARCH").val("");
			$("#btnSearch").click();
		}
	}
	
	/**
	 *	IBSheet object initialize
	 */
	function gridInit(sheetName){
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, Page:30};
		init_sheet.Cols = [
		       			{Header:'Del',					Type:"DelCheck",		SaveName:"DEL_CHECK", 				Width:50, 		Align:"Center",		Hidden:"True"},
		    			{Header:'Status',				Type:"Status", 		SaveName:"STATUS", 					Width:0, 		Align:"Center",		Hidden:"True"},
		    			{Header:'No.',					Type:"Seq", 			SaveName:"NO",							Width:0, 		Align:"Center",		Hidden:"True"},
		    			{Header:'입찰번호',				Type:"Text", 			SaveName:"BID_NO", 					Width:120,		Align:"Center"},
		    			{Header:'차수',					Type:"Text", 			SaveName:"BID_DEG",					Width:30,		Align:"Center"},
		    			{Header:'현장',				Type:"Text", 			SaveName:"DEPT_NM", 					Width:200, 		Align:"Left"},
		    			{Header:'☞입찰공고명',			Type:"Text", 			SaveName:"BID_MASTER_NM", 		Width:200, 		Align:"Left",			Cursor:"pointer"},
		    			{Header:'입찰방법',				Type:"Combo", 		SaveName:"ONBID_YN", 				Width:80, 		Align:"Center",		ComboText:"<%=ONBID_NM%>", ComboCode:"<%=ONBID_CD%>"},
		    			{Header:'경쟁방법',				Type:"Text", 			SaveName:"CMPT_NM", 				Width:80, 		Align:"Center"},
		    			{Header:'공고일자',				Type:"Text", 			SaveName:"NOTI_DY", 					Width:80, 		Align:"Center", 	Format:"####-##-##"},
		    			{Header:'TBE여부',				Type:"Text", 			SaveName:"OPEN_EMPID", 				Width:80, 		Align:"Center",		Hidden:"True"},
		    			{Header:'낙찰업체',				Type:"Text", 			SaveName:"VENDOR_NAME", 			Width:80, 		Align:"Center"},
		    			{Header:'상태',					Type:"Text", 			SaveName:"STATUS_NM", 				Width:80, 		Align:"Center"},
		    			{Header:'DEMANDED_ID',	Type:"Text", 			SaveName:"DEMANDED_ID", 			Width:80, 		Align:"Center",		Hidden:"True"}
		];

		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheetName, init_sheet);
		sheetName.SetDataAutoTrim(0);
		sheetName.SetEditable(false);
		sheetName.SetActionMenu("ExcelDown");
		setGridSize();
	}

	function sheet1_OnSelectMenu(Text, Code) {
		  // text 또는 code값으로 Action수행
		switch(Text) {
	         case "ExcelDown":
	        	sheetExcelDown(sheet1,$('li').html());
	            break; 
		}
	}
	
	function searchSiteClose(result) {
		if( result == null ){
			$("#p_dept_nm").val("");
			$("#p_dept_cd").val("");
		}else{
			$("#p_dept_nm").val(result[1]);
			$("#p_dept_cd").val(result[0]);
		}
		setTimeout(function(){fLayerPopClose('_searchSite');	},100);
	}
	
	/**
	 *	IBSheet Event: Search End(IBSheet 데이터 조회 CallBack)
	 */
	function sheet1_OnSearchEnd(code, message) {
	    if(code == 0) {
	    	setGridSize();
	    	sheet1.SetColFontColor("BID_MASTER_NM", "#0000ff");
		} else {
			//조회 에러 수행
			alert(message);
		}
	}
	
	/**
	 *	IBSheet Event: Click
	 */
	function sheet1_OnClick(Row, Col, Value, CellX, CellY, CellW, CellH) {

	}
	
	/**
	 *	IBSheet size setting
	 */
	function setGridSize() {sheet1.FitColWidth();}
	
	/**
	 *	IBSheet Event: DBLCLICK
	 */
	 function sheet1_OnDblClick(Row, Col, Value, CellX, CellY, CellW, CellH) {
		 if(Row == 0)return;
		 if (Col == 6) {
			var status = sheet1.GetCellValue(Row,"STATUS_CD");
			$("#DEMANDED_ID").val(sheet1.GetCellValue(Row, "DEMANDED_ID"));
			$("#BID_NO").val(sheet1.GetCellValue(Row, "BID_NO"));
			$("#BID_DEG").val(sheet1.GetCellValue(Row, "BID_DEG"));
			$("#P_AUTO_SEARCH").val("1");
			$("#fevent").val("FORM_SELECT");			
			$("#form1").attr("action", "/bid/purchase/BidResult.screen");
			$("#form1").attr("target", "_self");
			$("#form1").attr("method", "post");
			$("#form1").submit();
		}
	 }

	
	function sheet1_OnSmartResize(Width, Height) { 
		sheet1.FitColWidth();
		autoResize();
		
	}

	function autoResize(){
		var t1_height = document.getElementById("search-table").scrollHeight + document.getElementById("title").scrollHeight + 24;
		var iframeHeight= document.body.scrollHeight - t1_height;   
		var iframeWidth= document.body.scrollWidth;   
		sheet1.SetSheetHeight(iframeHeight); 
	}	
	
	document.body.onresize = addEvent( document.body.onresize, "autoResize()");
</SCRIPT>

<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>
<form id="form1" name="form1" method="post" modular:type="search">
<TABLE id="t1" border="0" cellspacing="0" cellpadding="0" width="100%" height="100%">

<INPUT type="hidden" name="fevent" id="fevent" value="">
<INPUT type="hidden" name="DEMANDED_ID" value="">
<INPUT type="hidden" name="BID_NO" value="">
<INPUT type="hidden" name="BID_DEG" value="">
<INPUT type='hidden' name="acct_id" value="<%= params.get("acct_id") %>">
<INPUT type='hidden' name="P_AUTO_SEARCH" id="P_AUTO_SEARCH" value="<%= params.get("P_AUTO_SEARCH") %>">

<div align="left" id="title" >
    <ul><li>구매_입찰결과</li></ul>
</div> 

<!-- 검색조건 영역 : 시작 -->
<TR><TD height="1">
	<!-- 검색조건 시작 -->
		<table id="search-table" class="search-form-table" >
		<colgroup>
			<col width="100" />
			<col/>
			<col width="100" />
			<col/>
			<col width="150" />
		</colgroup>
		<tr>
			<th>현장</th>
			<td >
		   		<%=InputText.getSiteCodeNew("p_dept_cd", "p_dept_nm", "", user, params.get("p_dept_cd"), params.get("p_dept_nm"))%>
			</td>
			<th>낙찰업체</th>
			<td >
		   		<INPUT type="text" name="P_VENDOR_NM" class="input" value="<%=params.get("P_VENDOR_NM") %>" style="width:90%"> 
			</td>
			<td class="button" rowspan="3">
				<span class="btnSearch center" id="btnSearch"><a href="javascript:void(0);">검색</a></span>
				<span class="btnSearch center" id="btnExcel"><a href="javascript:sheetExcelDown(sheet1,$('li').html());">ExcelDown</a></span>
			</td>  
		</tr>
		<tr>
			<th>입찰공고명</th>
			<td>
				<INPUT type="text" name="P_BID_MASTER_NM" class="input" value="<%=params.get("P_BID_MASTER_NM") %>" style="width:90%"> 
			</td>
			<th>상태</th>
			<td><%=CommCodeManager.getSelectCodeSearchList("BID_STATUS_CD","P_DEMANDED_STATUS","height=18;width:80px;","<option value=''>--전체--</option>",params.get("P_DEMANDED_STATUS"),"AND DETAILCD IN (10,91,92,93)","DETAILCD") %>
<!--  				<SELECT class='input_select' id='p_demanded_status' name='p_demanded_status' style='width:110px' >
					<option value=''>--전체--</option><OPTION value='10'>업체선정완료</OPTION><OPTION value='91'>유찰</OPTION><OPTION value='93'>재입찰</OPTION><OPTION value='92'>취소</OPTION>
				</SELECT>   -->
			</td>
		</tr>
		<tr>
			<th>입찰번호</th>
			<td>
				<INPUT type="text" name="P_BID_NO" class="input" value="<%=params.get("P_BID_NO") %>" style="width:90%"> 
			</td>
			<th>MR번호</th>
			<td>
			    <INPUT type="text" name="P_MR_NO" class="input" value="<%=params.get("P_MR_NO") %>" style="width:90%"> 
			</td>
		</tr>
	</table>
</TD></TR>
</TABLE>
	<div id="sheet1_div" style=" padding-top:5px;  height: auto; min-height: 350px; overflow: auto;">
		<script>createIBSheet('sheet1','100%', '350px');</script>
	</div>
</FORM>
