<%--
  - FileName   : taxList.jsp
  - Author(s)  : ok
  - Date       : 2014.06.18
  - Copyright  : Copyright (c) 2013 www.udapsoft.co.kr, Inc.
  - Description: 외주_세금계산서 발행현황
--%>

<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ page import="kr.co.hsnc.common.util.Formatter"%>
<%@ page import="com.udapsoft.waf.common.util.DateUtil"%>
<%@ page import="kr.co.hsnc.common.config.WAFConfig"%>

<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
    String event = storage.getEvent();

    String	_sBaseUrl	=	WAFConfig.get("waf.smb.url");
    
    
    String searchDateStart = params.get("searchDateStart");
    
    String searchDateEnd = params.get("searchDateEnd");
    
    //com.udapsoft.waf.common.util.DateUtil
	ValueObject defaultDate = DateUtil.getDefaultPeriod();
	if("".equals(searchDateStart)){
		searchDateStart = defaultDate.get("START_DATE");
	}
	if("".equals(searchDateEnd)){
		searchDateEnd = defaultDate.get("END_DATE");
	}
    
%>
<SCRIPT language="JavaScript">
	/*예약함수*/
	var sheet1;
	var sheet1Row;
	var sheet1PageNo = 1;
	var pageLastRowIndex = 1;
	var validationResult = false;
	var filterShow = false;
	
	function _onReady(){
		/**
		 *	IBSheet object initialize
		 */
		gridInit(sheet1);
		
	
		/**
		 *	Application Initialize
		 */
		jQuery("#btnSearch").click(function() {
			
 			jQuery("#fevent").val("GET_LIST");
			var url = Modular.model.PageContext.CONTEXT_ROOT + "/payment/outside/TaxList_sheet.screen";
			Modular.view.IBSheet7.doSearch(sheet1, url, jQuery("#form1"), 10, "");
			
		});

		//역발행요청
		jQuery("#btnApProcess").click(function() {
			
			if(sheet1.RowCount("U") > 0) {
				if (confirm("역발행요청하시겠습니까?")) {
			
					jQuery("#processDiv").val("1");	//역발행요청
					jQuery("#fevent").val("AP_PROCESS");
					var url = Modular.model.PageContext.CONTEXT_ROOT + "/payment/outside/TaxList_sheet.screen";
					var result = Modular.view.IBSheet7.doSave(sheet1, url, jQuery("#form1"), false);
				}
			}else{
				alert("대상을 선택해주세요.");
			}
		});
		
        //2017.04.13 sms전송 
		jQuery("#btnSMS").click(function() {
			
			if(sheet1.RowCount("U") > 0) {
				if (confirm("SMS전송 하시겠습니까?")) {
					jQuery("#fevent").val("SEND_SMS");
					var url = Modular.model.PageContext.CONTEXT_ROOT + "/payment/outside/TaxList_sheet.screen";
					var result = Modular.view.IBSheet7.doSave(sheet1, url, jQuery("#form1"), false);
				}
			}else{
				alert("대상을 선택해주세요.");
			}
		});
         
		
		//역발행요청취소
		jQuery("#btnApProcessCancel").click(function() {
			
		});
		
		//수신승인
		jQuery("#btnApProcessApp").click(function() {
			
			if(sheet1.RowCount("U") > 0) {
				if (confirm("수신승인 하시겠습니까?")) {
					jQuery("#processDiv").val("2");	//수신승인
					jQuery("#fevent").val("AP_PROCESS");
					var url = Modular.model.PageContext.CONTEXT_ROOT + "/payment/outside/TaxList_sheet.screen";
					var result = Modular.view.IBSheet7.doSave(sheet1, url, jQuery("#form1"), false);
				}
			}else{
				alert("대상을 선택해주세요.");
			}
			
		});
		
		
		jQuery("#btnReSend").click(function() {
			if(sheet1.RowCount("U") > 0) {
				alert("작업중");
			}else{
				alert("대상을 선택해주세요.");
			}
		});

		jQuery("#btnApChg").click(function() {
			for(var i=1; i <= sheet1.RowCount(); i++){		
				if (sheet1.GetCellValue(i+1,"STATUS_CD") != "2" && sheet1.GetCellValue(i+1,"CHECK") == "1"){
					<%if(user.get("right_name").equals("ACCOUNT") ||user.get("right_name").equals("ADMIN NEW") ){%> //회계팀만 가능 2018.05.31
					     alert(sheet1.GetCellValue(i+1,"SUP_COM_NAME") + " ERP로 전표 이관되었습니다. 반드시 ERP전표를 삭제 하십시요.");
				    <%}else{%>
				         alert("회계전표가 이관되었으니 회계담당자에게 ERP전표 취소요청 해 주십시요.");
				         return;
				    <%}%>
				}
			}
			
			if(sheet1.RowCount("U") > 0) {
				if (confirm("순발행 변경 하시겠습니까?")) {
					jQuery("#fevent").val("CHG_AP_PROCESS");
					var url = Modular.model.PageContext.CONTEXT_ROOT + "/payment/outside/TaxList_sheet.screen";
					var result = Modular.view.IBSheet7.doSave(sheet1, url, jQuery("#form1"), false);
				}
			}else{
				alert("대상을 선택해주세요.");
			}
		});
		
		autoResize();
		
		pageinit();
		
	}
	
	function pageinit(){
		
		setSearchDate();
		
		jQuery("#btnSearch").click();
	}
	
	/**
	 *	IBSheet object initialize
	 */
	function gridInit(sheetName){
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, Page:30, MergeSheet:msHeaderOnly};
		init_sheet.Cols = [
		    			{Header:'상태|상태',									Type:"Status", 		SaveName:"STATUS", 				Width:0, 	Align:"Center", Hidden:"True"},
						{Header:'선택|선택',									Type:"CheckBox",	SaveName:"CHECK",		 		Width:50, 	Align:"Center", HeaderCheck:1},
						{Header:'구분|구분',									Type:"Combo", 		SaveName:"PAY_DIV",				Width:100, 	Align:"Center",	Edit:"false", ComboText:"선급금|기성", ComboCode:"0|1"},
		    			{Header:'현장명|현장명',								Type:"Text", 		SaveName:"DEPT_NAME",			Width:150, 	Align:"Left",	Edit:"false"},
		    			{Header:'계약명|계약명',								Type:"Text", 		SaveName:"CST_DOC_NAME",		Width:150, 	Align:"Left",	Edit:"false"},
		    			{Header:'공급일자|공급일자',							Type:"Text", 		SaveName:"DTI_WDATE",			Width:70, 	Align:"Center",	Edit:"false"},
		    			{Header:'계산서종류|계산서종류',						Type:"Text", 		SaveName:"DTI_TYPE_NM",			Width:70, 	Align:"Center",	Edit:"false"},
		    			{Header:'공급자|사업자번호',							Type:"Text", 		SaveName:"SUP_COM_REGNO_BAR",	Width:100, 	Align:"Center",	Edit:"false"},
		    			{Header:'공급자|업체명',								Type:"Text", 		SaveName:"SUP_COM_NAME",		Width:150, 	Align:"Left",	Edit:"false"},
		    			{Header:'공급받는자|담당자',									Type:"Text", 		SaveName:"USER_NAME",			Width:70, 	Align:"Center",	Edit:"false"},
		    			{Header:'합계금액|합계금액',							Type:"Int", 		SaveName:"TOTAL_AMOUNT",		Width:100, 	Align:"Right",	Edit:"false", Format:"#,##0"},
		    			{Header:'상태|상태',									Type:"Combo", 		SaveName:"DTI_STATUS",			Width:70, 	Align:"Center",	Edit:"false", ComboText:"역발행|역발행요청|정매출발행|수신미승인|수신승인|수신거부|역발행요청 취소|역발행요청 거부|공급자발행 취소요청|공급받는자 발행취소요청|취소완료", ComboCode:"A|V|S|I|C|R|W|T|N|M|O"},
		    			{Header:'국세청\n전송결과|국세청\n전송결과',			Type:"Text",		SaveName:"SEND_REQUEST_DESC",	Width:50, 	Align:"Center",	Edit:"false"},
		    			{Header:'국세청\n전송결과코드|국세청\n전송결과코드',	Type:"Text", 		SaveName:"SEND_REQUEST",		Width:50, 	Align:"Center", Hidden:"True"},
		    			{Header:'발행\n주체|발행\n주체',						Type:"Text", 		SaveName:"DIRECTION_NM",		Width:50, 	Align:"Center",	Edit:"false"},
		    			{Header:'☞계산서\n보기|☞계산서\n보기',				Type:"Image", 		SaveName:"BILL",				Width:50, 	Align:"Center", Edit:"false", Cursor:'pointer'},
		    			{Header:'SUB_CONT_MOD_ID',								Type:"Text", 		SaveName:"PUR_CONT_MOD_ID", 	Width:50, 	Align:"Center", Hidden:"True"},
		    			{Header:'CONVERSATION_ID',								Type:"Text", 		SaveName:"CONVERSATION_ID", 	Width:50, 	Align:"Center", Hidden:"True"},
		    			{Header:'공급자스마트빌ID',								Type:"Text", 		SaveName:"SUP_COM_ID", 			Width:50, 	Align:"Center", Hidden:"True"},
		    			{Header:'공급받는자스마트빌ID',							Type:"Text", 		SaveName:"BYR_COM_ID", 			Width:50, 	Align:"Center", Hidden:"True"},
		    			{Header:'INTER_BATCHID',								Type:"Text", 		SaveName:"INTERFACE_BATCH_ID",	Width:50, 	Align:"Center", Hidden:"True"},
		    			{Header:'return_code|return_code',						Type:"Text", 		SaveName:"RETURN_CODE",			Width:50, 	Align:"Center", Hidden:"True"},
		    			{Header:'BYR_COM_REGNO|BYR_COM_REGNO',					Type:"Text", 		SaveName:"BYR_COM_REGNO",		Width:50, 	Align:"Center", Hidden:"True"},
		    			{Header:'PAY_KEY',								 Type:"Text", 		SaveName:"PAY_KEY",	Width:50, 	Align:"Center", Hidden:"True"}
		];

		init_sheet.HeaderMode = {Sort:1,HeaderCheck:0};
		IBS_InitSheet(sheetName, init_sheet);
		sheetName.SetDataAutoTrim(0);
		sheetName.SetImageList(1,"/img/buyer/button/btn_view.gif");
		//sheetName.SetEditable(false);
		//sheetName.SetDataLinkMouse("BUILD_NAME", 1);
		sheetName.SetActionMenu("ExcelDown");
		setGridSize();
	}

	function sheet1_OnSelectMenu(Text, Code) {
		// text 또는 code값으로 Action수행
		switch(Text) {
			case "ExcelDown":
			sheetExcelDown(sheet1,$('li').html());
			break;
		}
	}
	
	/**
	 *	IBSheet Event: Search End(IBSheet 데이터 조회 CallBack)
	 */
	function sheet1_OnSearchEnd(code, message) {
	    if(code == 0) {	    	
	    	if(sheet1.RowCount() > 0)
	    	{
	    		for(var i=1; i <= sheet1.RowCount(); i++)
	    		{
	    			if(sheet1.GetCellValue(i+1,"RETURN_CODE") != null && sheet1.GetCellValue(i+1,"RETURN_CODE") != "" && sheet1.GetCellValue(i+1,"RETURN_CODE") != "30000")
	    			{
	    				sheet1.SetRowBackColor(i+1,"#FFDCDC");
	    			}else if(sheet1.GetCellValue(i+1,"SEND_REQUEST") == "2" ||sheet1.GetCellValue(i+1,"SEND_REQUEST") == "3")
	    			{
	    				sheet1.SetRowBackColor(i+1,"#FFDCDC");
	    			}	    			

	    		}
	    	}
	    	
	    	setGridSize();
		} else {
			//조회 에러 수행
			//alert(message);
			alert("조회 실패");
		}
	}
	
	function sheet1_OnSaveEnd(code, msg) {
	    if(code >= 0) {
	    	
	    	if(jQuery("#fevent").val() == "AP_PROCESS"){
	    		
	    		var processDiv = jQuery("#processDiv").val();
	    		if(processDiv == "1"){
		    		//역발행요청처리
		    		sendApProc();
	    		}
	    		if(processDiv == "2"){
		    		//수신승인
		    		sendApAppr();
	    		}
	    	}
	    	
	    } else {
	    	alert(msg);
        }
	    jQuery("#btnSearch").click();
	}
	
	/**
	 *	IBSheet Event: Click
	 */
	function sheet1_OnClick(Row, Col, Value, CellX, CellY, CellW, CellH) {
		 
		if (sheet1.ColSaveName(Col) == "CHECK" && Row > 0) {	//세금계산서
			jQuery("#convId").val(sheet1.GetCellValue(Row, "CONVERSATION_ID")); 
		}
		
	}
	
	/**
	 *	IBSheet size setting
	 */
	function setGridSize() {
		sheet1.FitColWidth();
	}
	
	/**
	 *	IBSheet Event: DBLCLICK
	 */
	function sheet1_OnDblClick(Row, Col, Value, CellX, CellY, CellW, CellH) {
		
		 if (sheet1.ColSaveName(Col) == "BILL") {	//세금계산서
			 var conversationId = sheet1.GetCellValue(Row, "CONVERSATION_ID");
				var popUrl	=	"/payment/purchase/taxInfoPop.screen?CONVERSATION_ID="+conversationId	
				var popOption = "width=750, height=515, resizable=no, scrollbars=yes, status=no;";    //팝업창 옵션(optoin)
				window.open(popUrl,"",popOption);
			}
			
			if(	sheet1.ColSaveName(Col) == "PAY_DIV"	||
					sheet1.ColSaveName(Col) == "DEPT_NAME"	||										
					sheet1.ColSaveName(Col) == "CST_DOC_NAME"	||										
					sheet1.ColSaveName(Col) == "DTI_WDATE"	||										
					sheet1.ColSaveName(Col) == "DTI_TYPE_NM"	||										
					sheet1.ColSaveName(Col) == "SUP_COM_REGNO_BAR"	||										
					sheet1.ColSaveName(Col) == "SUP_COM_NAME"	||										
					sheet1.ColSaveName(Col) == "TOTAL_AMOUNT"	||										
					sheet1.ColSaveName(Col) == "DTI_STATUS"	||
					sheet1.ColSaveName(Col) == "SEND_REQUEST_DESC"	||
					sheet1.ColSaveName(Col) == "DIRECTION_NM"								
			)
			{
				if(sheet1.GetCellValue(Row,"RETURN_CODE") != null && sheet1.GetCellValue(Row,"RETURN_CODE") != "" && sheet1.GetCellValue(Row,"RETURN_CODE") != "30000")
				{
					var conversationId = sheet1.GetCellValue(Row, "CONVERSATION_ID"); 	
					var win_id = "TaxErrorPop";
					var popUrl = "/payment/outside/TaxErrorPop.screen?pop_win_id="+win_id+"&ref_id="+conversationId;
					fLayerPop(win_id, popUrl, 780, 280, '', '', 'NO');
					
					document.form1.isSubmit = false;
				}else if(sheet1.GetCellValue(Row,"SEND_REQUEST") == 2 || sheet1.GetCellValue(Row,"SEND_REQUEST") == 3)
				{
					var interface_batch_id 	= sheet1.GetCellValue(Row, "INTERFACE_BATCH_ID");
					var byr_com_regno 		= sheet1.GetCellValue(Row, "BYR_COM_REGNO");
					var byr_com_id 			= sheet1.GetCellValue(Row, "BYR_COM_ID");
					
					var win_id = "TaxSendResultPop";
					var popUrl = "/payment/outside/TaxSendResultPop.screen?pop_win_id="+win_id+"&batch_id="+interface_batch_id+"&comregno="+byr_com_regno+"&id="+byr_com_id;
					fLayerPop(win_id, popUrl, 820, 380, '', '', 'NO');				
					
					document.form1.isSubmit = false;
				}
			}	
		
	}
	
	function doKeyPress() {
	    if( event.keyCode == 13 ) {
	    	//jQuery("#btnSearch").click();
	    }
	}	

	function sheet1_OnSmartResize(Width, Height) { 
		sheet1.FitColWidth();
		autoResize();
	}
	
	function autoResize(){
		var t1_height = document.getElementById("search-table").scrollHeight + document.getElementById("title").scrollHeight + 24;
		var iframeHeight= document.body.scrollHeight - t1_height;   
		var iframeWidth= document.body.scrollWidth;   
		
		
		sheet1.SetSheetHeight(iframeHeight); 
	}	
	document.body.onresize = addEvent( document.body.onresize, "autoResize()");
	
	//달력팝업	
	function calendar(thisDayObj){
		dlgCalendar(thisDayObj);
	}	

	//검색 조건에 작성일 일자 설정
	function setSearchDate(){
		    
		//검색조건 시작일 
		var startDate = get_year() +'-'+ get_month()  +'-'+ '01';
	    if(jQuery('#searchDateStart').val() == ""){
	    	jQuery('#searchDateStart').val(startDate);	
	    }
			
		//검색조건 종료일
		var nowYearMonth = new Date( get_year(), get_month(), "");
	    var lastDay = nowYearMonth.getDate();
		var endDate = get_year() +'-'+ get_month()  +'-'+ lastDay;
	    if(jQuery('#searchDateEnd').val() == ""){
	    	jQuery('#searchDateEnd').val(endDate);	
	    }
	}
	
	function billStatus(){
		
		var selectBillStatusVal = jQuery("#selectBillStatus option:selected").val();
		//2017.04.13 국세청 전송결과에 따라 SMS전송버튼 표기
		var sendSMS = jQuery("#selectSendRequest option:selected").val();
		if (sendSMS == "9"){
			jQuery("#spanSMS").show(); 
		}else{
			jQuery("#spanSMS").hide(); 
		}
		//alert(selectBillStatusVal);
		//상태값에 따른 버튼 컨트롤
		
		if(selectBillStatusVal == ""){	//전체
			
			jQuery("#spanApProcess").hide();	//역발행 요청 버튼 숨김
			jQuery("#spanApProcessCancel").hide();	//역발행 요청 취소 버튼 숨김
			jQuery("#spanApProcessApp").hide();	//수신승인
			jQuery("#spanApProcessRej").hide();	//수신거부
			jQuery("#spanApReSend").hide();	//수신승인
			jQuery("#spanApChg").hide();	//수신거부
		}else if(selectBillStatusVal == "A"){	//역발행요청상태(최초등록상태)
			
			jQuery("#spanApProcess").show();	//역발행 요청 버튼 표시
			//jQuery("#spanApProcessCancel").hide();	//역발행 요청 취소 버튼 숨김
			jQuery("#spanApProcessApp").hide();	//수신승인
			//jQuery("#spanApProcessRej").hide();	//수신거부
			jQuery("#spanApReSend").hide();	//수신승인
			jQuery("#spanApChg").hide();	//수신거부
		}else if(selectBillStatusVal == "V"){	//업체에 역발행 요청한

			jQuery("#spanApProcess").hide();	//역발행 요청 버튼 표시
			//jQuery("#spanApProcessCancel").show();	//역발행 요청 취소 버튼 숨김
			jQuery("#spanApProcessApp").hide();	//수신승인
			//jQuery("#spanApProcessRej").hide();	//수신거부
			jQuery("#spanApReSend").hide();	//수신승인
			jQuery("#spanApChg").hide();	//수신거부			
		}else if(selectBillStatusVal == "I"){	//수신미승인상태
			
			jQuery("#spanApProcess").hide();	//역발행 요청 버튼 표시
			//jQuery("#spanApProcessCancel").hide();	//역발행 요청 취소 버튼 숨김
			jQuery("#spanApProcessApp").show();	//수신승인
			//jQuery("#spanApProcessRej").show();	//수신거부
			jQuery("#spanApReSend").hide();	//수신승인
			jQuery("#spanApChg").hide();	//수신거부		
			
		}else if(selectBillStatusVal == "W"){
			jQuery("#spanApProcess").hide();	//역발행 요청 버튼 숨김
			jQuery("#spanApProcessCancel").hide();	//역발행 요청 취소 버튼 숨김
			jQuery("#spanApProcessApp").hide();	//수신승인
			jQuery("#spanApProcessRej").hide();	//수신거부
			jQuery("#spanApReSend").hide();	//수신거부
			jQuery("#spanApChg").show();  //2018.05.29 발행담당자가 처리 
			<%-- if('<%= user.get("ACCT_TYPE_CODE")%>' != "ADMIN"){
				jQuery("#spanApChg").hide();	//수신거부
			}else{
				jQuery("#spanApChg").show();	//수신거부
			} --%>
		}else if(selectBillStatusVal == "T"){
			jQuery("#spanApProcess").hide();	//역발행 요청 버튼 숨김
			jQuery("#spanApProcessCancel").hide();	//역발행 요청 취소 버튼 숨김
			jQuery("#spanApProcessApp").hide();	//수신승인
			jQuery("#spanApProcessRej").hide();	//수신거부
			jQuery("#spanApReSend").hide();	//수신거부
			jQuery("#spanApChg").show();    //2018.05.29 발행담당자가 처리 
			<%-- if('<%= user.get("ACCT_TYPE_CODE")%>' != "ADMIN"){
				jQuery("#spanApChg").hide();	//수신거부
			}else{
				jQuery("#spanApChg").show();	//수신거부
			} --%>
		}else if(selectBillStatusVal == "O"){
			jQuery("#spanApProcess").hide();	//역발행 요청 버튼 숨김
			jQuery("#spanApProcessCancel").hide();	//역발행 요청 취소 버튼 숨김
			jQuery("#spanApProcessApp").hide();	//수신승인
			jQuery("#spanApProcessRej").hide();	//수신거부
			jQuery("#spanApReSend").hide();	//수신거부
			jQuery("#spanApChg").show();     //2018.05.29 발행담당자가 처리 
			<%-- if('<%= user.get("ACCT_TYPE_CODE")%>' != "ADMIN"){
				jQuery("#spanApChg").hide();	//수신거부
			}else{
				jQuery("#spanApChg").show();	//수신거부
			} --%>
		}else if(selectBillStatusVal == "R"){
			jQuery("#spanApProcess").hide();	//역발행 요청 버튼 숨김
			jQuery("#spanApProcessCancel").hide();	//역발행 요청 취소 버튼 숨김
			jQuery("#spanApProcessApp").hide();	//수신승인
			jQuery("#spanApProcessRej").hide();	//수신거부
			jQuery("#spanApReSend").hide();	//수신승인
			jQuery("#spanApChg").show();	//수신거부
		}else{
			jQuery("#spanApProcess").hide();	//역발행 요청 버튼 숨김
			jQuery("#spanApProcessCancel").hide();	//역발행 요청 취소 버튼 숨김
			jQuery("#spanApProcessApp").hide();	//수신승인
			jQuery("#spanApProcessRej").hide();	//수신거부
			jQuery("#spanApReSend").hide();	//수신승인
			jQuery("#spanApChg").hide();	//수신거부
		}
		
		jQuery("#btnSearch").click();
	}
	
	
	function sendApProc() {
		jQuery("#fevent").val("RUN_AP_PROCESS");
		var f = document.form1;
		submitXmlRequest("/payment/outside/TaxList_form.screen", "RUN_AP_PROCESS", f, "VALUEOBJECT");

	}

	function sendApAppr() {
		jQuery("#fevent").val("RUN_APP_PROCESS");
		var f = document.form1;
		submitXmlRequest("/payment/outside/TaxList_form.screen", "RUN_APP_PROCESS", f, "VALUEOBJECT");
	}
	
	function doResult(resultObj) {
		try {
			
			if( resultObj.getRequestEvent() == "RUN_AP_PROCESS" ) {
			
				var vo 		= resultObj.getValueObject();
    			var sParam 	= vo.get('result');
    			
    			var win_id = "TaxRequestResultPop";
    			var link = "/payment/outside/TaxResultPop.screen";
    			    link += "?pop_win_id="+win_id;
    			    link += sParam;

    			    fLayerPop(win_id, link, 780, 380, '', '', 'NO');
    			    
    			    document.form1.isSubmit = false;

			}
			
			if( resultObj.getRequestEvent() == "RUN_APP_PROCESS" ) {	//수신승인
				jQuery("#btnSearch").click();
			
				var vo 		= resultObj.getValueObject();
    			var sParam 	= vo.get('result');
    			
    			var win_id = "TaxRequestResultPop";
    			var link = "/payment/outside/TaxResultPop.screen";
    			    link += "?pop_win_id="+win_id;
    			    link += sParam;
    			    
				fLayerPop(win_id, link, 780, 380, '', '', 'NO');
    			    
				document.form1.isSubmit = false;
			}			

			if( resultObj.getRequestEvent() == "CHG_AP_PROCESS" ) {	//순발행변경
				alert("순발행으로 변경되었습니다.");
				jQuery("#btnSearch").click();
			
				document.form1.isSubmit = false;
			}			
		}
		catch(errorObject) {
	        showErrorDlg("doResult()", errorObject);
		}
	}
	
	function viewhtml(){
		
	}
	
	function sheet1_OnMouseMove(Button, Shift, X, Y) { 

		//마우스 위치가 2컬럼 일때만 마우스 손가락 모양
		var Row = sheet1.MouseRow();
		
		if(sheet1.GetCellValue(Row,"RETURN_CODE") != null && sheet1.GetCellValue(Row,"RETURN_CODE") != "" && sheet1.GetCellValue(Row,"RETURN_CODE") != "30000")
		{
			 sheet1.SetMousePointer("Hand");
		}else{
			 sheet1.SetMousePointer("Default");
		}

	}

	
	function TaxRequestResultPopClose(){
		alert();
		//setTimeout(function(){fLayerPopClose('PurchaseRequest');},100);
		//jQuery("#btnSearch").click();
	}
	
</SCRIPT>


<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>
<BODY onresize="autoResize()">

<form id="form1" name="form1" method="post" modular:type="search">

	<INPUT type="hidden" name="fevent" id="fevent" value="">
	<INPUT type="hidden" name="batchId" id="batchId" value="">
	<INPUT type="hidden" name="convId" id="convId" value="">
	<INPUT type="hidden" name="processDiv" id="processDiv" value="">	<!-- 1:역발행요청, 2:수신승인 -->
	
	<!-- 프로그램 제목 -->
	<div align="left" id="title">
		<ul>
			<li>외주_세금계산서 발행현황</li>
		</ul>
	</div> 

	<!-- 검색조건 시작 -->
	<table id="search-table" class="search-form-table">
		<colgroup>
			<col width="120px" />
			<col/>
			<col width="120px" />
			<col/>
			<col width="200px" />
		</colgroup>
		<tr>
			<th>구분</th>
			<td><%-- <INPUT type="text" id="searchBuildName" name="searchBuildName" value="<%=returnBuildName %>" maxlength="50" class="input" style="IME-MODE : active; width:80%;"  desc='계약명' onKeyPress="doKeyPress();"> --%>	
				<SELECT name="selectDiv">
					<OPTION value="">전체</OPTION>
	                <OPTION value="0">선급금</OPTION>
	                <OPTION value="1">기성</OPTION>
	            </SELECT>
			</td>
			<th>공급일자</th>
			<td>
				<%= InputText.get("searchDateStart", searchDateStart, 15, 10, "Center, date, PerSize, readonly", "date", "") %>
				<IMG name="start_img" src="/img/buyer/button/bt_calender.gif" border="0" align="absmiddle" style="cursor:pointer;" onClick="JavaScript:dlgCalendar('searchDateStart');">
				&nbsp;~&nbsp;
				<%= InputText.get("searchDateEnd", searchDateEnd, 15, 10, "Center, date, PerSize, readonly", "date", "") %>
				<IMG name="start_img" src="/img/buyer/button/bt_calender.gif" border="0" align="absmiddle" style="cursor:pointer;" onClick="JavaScript:dlgCalendar('searchDateEnd');">
				
			</td>
			<td class="button" rowspan="4">
				<span class="btnSearch center"><a href="javascript:void(0);" id="btnSearch">검색</a></span>
				<span id="spanSMS" class="btnSearch center" style="display: none"><a href="javascript:void(0);" id="btnSMS">SMS전송</a></span>
				<span id="spanApProcess" class="btnSearch center" style="display: none"><a href="javascript:void(0);" id="btnApProcess">역발행요청</a></span>
				<span id="spanApProcessCancel" class="btnSearch center" style="display: none"><a href="javascript:void(0);" id="btnApProcessCancel">역발행요청취소</a></span>
				<span id="spanApProcessApp" class="btnSearch center" style="display: none"><a href="javascript:void(0);" id="btnApProcessApp">수신승인</a></span>
				<span id="spanApProcessRej" class="btnSearch center" style="display: none"><a href="javascript:void(0);" id="btnApProcessRej">수신거부</a></span>
				<span id="spanApReSend" class="btnSearch center" style="display: none"><a href="javascript:void(0);" id="btnReSend">역발행 재전송</a></span>
				<span id="spanApChg" class="btnSearch center" style="display: none"><a href="javascript:void(0);" id="btnApChg">순발행 변경</a></span>
			</td>
		</tr>
		<tr>
			<th>현장</th>
			<td><%=InputText.getSiteCodeNew("searchDeptCd", "searchDeptNm", "", user, "", "")%></td>
			<th>계약명</th>
			<td><INPUT type="text" id="searchBuildName" name="searchBuildName" value="" maxlength="50" class="input" style="IME-MODE : active;width:95%;"   desc='계약명' onKeyPress="doKeyPress();"></td>
		</tr>
		<tr>
			<th>사업자번호</th>
			<td><INPUT type="text" id="searchRegNo" name="searchRegNo" value="" maxlength="50" class="input" style="IME-MODE : active;width:95%;"   desc='사업자번호' onKeyPress="doKeyPress();"></td>
			<th>업체명</th>
			<td><INPUT type="text" id="searchCorpNm" name="searchCorpNm" value="" maxlength="50" class="input" style="IME-MODE : active;width:95%;"   desc='업체명' onKeyPress="doKeyPress();"></td>
		</tr>
		<tr>
			<th>상태</th>
			<td>
				<SELECT name="selectBillStatus" onchange="billStatus();">
					<OPTION value="">전체</OPTION>
	                <OPTION value="A">역발행</OPTION>
	                <OPTION value="V">역발행요청</OPTION>
	                <!-- <OPTION value="S">정매출발행</OPTION> -->	
	                <OPTION value="I">수신미승인</OPTION>	
	                <OPTION value="C">수신승인</OPTION>
	                <OPTION value="R">수신거부</OPTION>
	                <OPTION value="W">역발행요청 취소</OPTION>
	                <OPTION value="T">역발행요청 거부</OPTION>
	                <OPTION value="N">공급자발행 취소요청</OPTION>
	                <OPTION value="M">공급받는자 발행취소요청</OPTION>
	                <OPTION value="O">취소완료</OPTION>
	            </SELECT>
			</td>
			<th>국세청전송결과</th>
			<td>
				<SELECT name="selectSendRequest" onchange="billStatus();" style="width:210px">
					<OPTION value="">전체</OPTION>
	                <OPTION value="9">미전송</OPTION>
	                <OPTION value="0">전송중</OPTION>	
	                <OPTION value="1">국세청 처리중</OPTION>	
	                <OPTION value="2">전송실패(전송전 실패:검증오류)</OPTION>
	                <OPTION value="3">전송실패(국세청 처리 후 실패)</OPTION>
	                <OPTION value="7">전송완료</OPTION>
	            </SELECT>
			</td>
		</tr>
		
	</table>
	<!-- 검색조건 종료 -->
	<div id="sheet1_div" style="padding-top:5px; height: auto; min-height: 450px; overflow: auto;">
		<script>createIBSheet('sheet1','100%', '450px');</script>
	</div>
</FORM>
	<form name="_form1" method="post">
		<input type='hidden' name='batch_id'>
		<input type='hidden' name='tcnt'>
		<input type='hidden' name='Scnt'>
		<input type='hidden' name='fcnt'>
		<input type='hidden' name='Emsg'>
		<input type='hidden' name='CertMsg'>
	</form>
	
</body>
