<%--
  - Author(s)  : Hoonseok Choi
  - Date       : 2023.11.10
  - Description: 견적 결과 리스트 조회
  --%>
  
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="com.udapsoft.waf.common.ui.InitCombo" %>
<%@ page import="kr.co.udapsoft.common.code.CommCodeManager" %>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
    
	//공통코드
	CommCodeManager commCodeManager = new CommCodeManager();
	InitCombo initCombo = new InitCombo();
%>
<script language="javascript" src="/js/popup.js"></script>
<SCRIPT language="JavaScript">
document.body.onresize = addEvent( document.body.onresize, "autoResize()");
	/*예약함수*/
	var sheet1 = new ibsheetObject();
	var sheet1Row;
	var sheet1PageNo = 1;
	var pageLastRowIndex = 1;
	var validationResult = false;
	var filterShow = false;
	
	function _onReady(){
		/**
		 *	IBSheet object initialize
		 */
		gridInit(sheet1);
		
		
		autoResize();
		/**
		 *	Application Initialize
		 */
		$("#btnSearch").click(function() {
			jQuery("#fevent").val("SHEET_SELECT");
			var url = Modular.model.PageContext.CONTEXT_ROOT + "/quot/outside/QuotResultList_sheet.screen";
			Modular.view.IBSheet7.doSearch(sheet1, url, jQuery("#form1"), 30, "");
		});	
		
		$("#p_dept_nm").keydown(function (event){var keycode = (event.keyCode ? event.keyCode : event.which);	if(keycode == 8||keycode == 46){$("#p_dept_cd").val("");$("#p_dept_nm").val("");}});
		$("#p_request_from_dt").keydown(function (event){var keycode = (event.keyCode ? event.keyCode : event.which);	if(keycode == 8||keycode == 46){$("#p_request_from_dt").val("");}});
		$("#p_request_to_dt").keydown(function (event){var keycode = (event.keyCode ? event.keyCode : event.which);	if(keycode == 8||keycode == 46){$("#p_request_to_dt").val("");}});
		/* $("#p_demanded_status").change(function(){$("#btnSearch").click();}); */
		$("#P_QUOT_BID_MASTER_NM").keydown(function (event){var keycode = (event.keyCode ? event.keyCode : event.which);if(keycode == 13)$("#btnSearch").click();});
		$("#btnSearch").click();
		
		//발주의뢰일 To
		$("#p_request_to_dt").change(function() {
			if($("#p_request_from_dt").val().length > 0){	
				if($("#p_request_to_dt").val() <= $("#p_request_from_dt").val()){
					alert("시작 또는 종료(마감) 일시가 잘못 입력되었습니다.");
					$("#p_request_to_dt").val("");
					return;
				}
			}
		});
		
		//발주 의뢰일 form
		$("#p_request_from_dt").change(function() {
			if($("#p_request_to_dt").val().length > 0){	
				if($("#p_request_from_dt").val() >= $("#p_request_to_dt").val()){
					alert("시작 또는 종료(마감) 일시가 잘못 입력되었습니다.");
					$("#p_request_from_dt").val("");
					return;
				}
			}
		});
		
		$("#dataClear1").click(function(){$("#p_request_from_dt").val("");$("#p_request_to_dt").val("");});
	}
	

	
	/**
	 *	IBSheet object initialize
	 */
	function gridInit(sheetName){
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, Page:30};
		init_sheet.Cols = [
		       			{Header:'Del',				Type:"DelCheck",		SaveName:"DEL_CHECK", 			Width:50, 		Align:"Center",		Hidden:"True"},
		    			{Header:'Status',			Type:"Status", 			SaveName:"STATUS", 				Width:0, 		Align:"Center",		Hidden:"True"},
		    			{Header:'No.',				Type:"Seq", 			SaveName:"NO",					Width:0, 		Align:"Center",		Hidden:"True"},
		    			{Header:'quot_id',			Type:"Text", 			SaveName:"QUOT_ID", 			Width:200, 		Align:"Left", 		Hidden:"True"},
		    			{Header:'견적번호',			Type:"Text", 			SaveName:"QUOT_BID_NO", 		Width:120,		Align:"Center"},
		    			{Header:'차수',				Type:"Text", 			SaveName:"QUOT_BID_DEG", 		Width:30,		Align:"Center"},
		    			{Header:'현장',				Type:"Text", 			SaveName:"DEPT_NM", 			Width:200, 		Align:"Left"},
		    			{Header:'☞견적명',			Type:"Text", 			SaveName:"QUOT_BID_MASTER_NM", 	Width:200, 		Align:"Left",		Cursor:"pointer"},
		    			{Header:'견적담당자',			Type:"Text", 			SaveName:"QUOT_MAN_NM", 		Width:120,		Align:"Center"},
		    			{Header:'견적의뢰일',			Type:"Text", 			SaveName:"REQUEST_DATE", 		Width:0, 		Align:"Center"},
		    			{Header:'상태',				Type:"Text", 			SaveName:"STATUS_NM", 			Width:50, 		Align:"Center"},
		    			{Header:'참석업체',			Type:"Text", 			SaveName:"SEND_CNT", 			Width:50, 		Align:"Center"},
		    			{Header:'발주번호',			Type:"Text", 			SaveName:"DEMANDED_ID", 		Width:80, 		Align:"Center",		Hidden:"True"}
		];

		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheetName, init_sheet);
		sheetName.SetDataAutoTrim(0);
		sheetName.SetEditable(false);
		sheetName.SetActionMenu("ExcelDown");
		setGridSize();
	}

	function sheet1_OnSelectMenu(Text, Code) {
		  // text 또는 code값으로 Action수행
		switch(Text) {
	         case "ExcelDown":
	        	sheetExcelDown(sheet1,$('li').html());
	            break; 
		}
	}
	/**
	 *	IBSheet Event: Search End(IBSheet 데이터 조회 CallBack)
	 */
	function sheet1_OnSearchEnd(code, message) {
	    if(code == 0) {
	    	setGridSize();
	    	sheet1.SetColFontColor("QUOT_BID_MASTER_NM", "#0000ff");
		} else {
			//조회 에러 수행
			alert(message);
		}
	}
	
	/**
	 *	IBSheet Event: Click
	 */
	function sheet1_OnClick(Row, Col, Value, CellX, CellY, CellW, CellH) {

	}
	
	/**
	 *	IBSheet size setting
	 */
	function setGridSize() {sheet1.FitColWidth();}
	
	/**
	 *	IBSheet Event: DBLCLICK
	 */
	 function sheet1_OnDblClick(Row, Col, Value, CellX, CellY, CellW, CellH) {
		if(Row == 0)return;
		if (Col == 7) {
			$("#QUOT_BID_NO").val(sheet1.GetCellValue(Row, "QUOT_BID_NO"));
			$("#QUOT_BID_DEG").val(sheet1.GetCellValue(Row, "QUOT_BID_DEG"));
			$("#QUOT_ID").val(sheet1.GetCellValue(Row, "QUOT_ID"));
			$("#STATUS_CD").val(sheet1.GetCellValue(Row, "STATUS_CD"));
			$("#fevent").val("GET_QUOT_DETAIL");
			$("#form1").attr("action", "/quot/outside/QuotResult.screen");
			$("#form1").attr("target", "_self");
			$("#form1").attr("method", "post");
			$("#form1").submit();
		}
	 }

	function sheet1_OnSmartResize(Width, Height) { 
		sheet1.FitColWidth();
		autoResize();
		
	}

	function autoResize(){
		var t1_height = document.getElementById("search-table").scrollHeight + document.getElementById("title").scrollHeight + 24;
		var iframeHeight= document.body.scrollHeight - t1_height;   
		var iframeWidth= document.body.scrollWidth;   
		sheet1.SetSheetHeight(iframeHeight); 
	}	
	
	function popSearchCodeDetail(bcd)
	{
		var win_id = "_searchCodePopup";
		var link = "/sycs/code/dlgCodePopup.screen";
		    link += "?pop_win_id="+win_id;
		    link += "&p_basecd="+bcd;
		    link += "&p_search=Y";
		fLayerPop(win_id, link, 600,400, '', '', 'NO');

	}
	
	function SearchCodeDetailClose(result){
		if(result != null){
			if(result[2]=="QUOT_DEPT"){
				$("#p_dept_cd").val(result[0]);
				$("#p_dept_nm").val(result[1]);
			}
		}
		fLayerPopClose('_searchCodePopup');
	}
	
</SCRIPT>


<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>
<form id="form1" name="form1" method="post" modular:type="search">
<TABLE id="t1" border="0" cellspacing="0" cellpadding="0" width="100%" height="100%">

<TR><TD height="1">
<INPUT type="hidden" name="fevent" id="fevent" value="">
<INPUT type="hidden" name="QUOT_BID_NO" value="">
<INPUT type="hidden" name="QUOT_BID_DEG" value="">
<INPUT type="hidden" name="QUOT_ID" id="QUOT_ID" value="">
<INPUT type='hidden' name="acct_id" value="<%= params.get("acct_id") %>">


<div align="left" id="title" >
    <ul><li>외주_견적 결과 리스트</li></ul>
</div> 

</TD></TR>

<!-- 검색조건 영역 : 시작 -->
<TR><TD height="1">

<TR><TD height="1">
	<!-- 검색조건 시작 -->
		<table id="search-table" class="search-form-table" >
		<colgroup>
			<col width="100" />
			<col/>
			<col width="100" />
			<col/>
			<col width="150" />
		</colgroup>
		<tr>
			<th>현장</th>
			<%-- <td colspan="3">
				<%=InputText.getSiteCodeNew("p_dept_cd", "p_dept_nm", "", user, params.get("p_dept_cd"), params.get("p_dept_nm"))%>
			</td> --%>
			<%-- <td colspan="3"><%=CommCodeManager.getSelectCodeSearchList("QUOT_DEPT","DEPT_CD","height=18;width:80px;","<option value=''>--전체--</option>",params.get("DEPT_CD"),"","DETAILCD") %> --%>
			<td>
			    <span><input type="hidden" name="p_dept_cd" class="input_readonly p_dept_cd" style="display:none;" /></span>
			    <span><input type="text" name="p_dept_nm" class="input_r p_dept_nm" style="width:200px" required="Y" hname="현장" readOnly errfunc="tabView(0)"></span>
			    <span><img id='btn_sitedescchrgprsnid' src='/img/buyer/button/bt_search_right.gif' onclick="popSearchCodeDetail('QUOT_DEPT');" align="absmiddle" style="cursor:pointer;"  border="0" pdf="no:pdf_row" /></span>
			</td>
			<TH>견적유형</TH>
			<TD><%=CommCodeManager.getSelectCodeSearchList("QUOT_HQ_CD","CHG_CODE01","height=18;width:80px;","<option value=''>--전체--</option>",params.get("CHG_CODE01"),"","DETAILCD") %> 
				<!-- <SELECT class='input_select' id='CHG_CODE01' name='CHG_CODE01' style='width:80px;' >
					<option value=''>--전체--</option>
					<OPTION value='C'>토건</OPTION>
					<OPTION value='P'>플랜트</OPTION>
				</SELECT> -->
			</TD>
			<td class="button" rowspan="3">
				<span class="btnSearch center" id="btnSearch"><a href="javascript:void(0);">검색</a></span>
				<!-- <span class="btnSearch center" id="btnExcel"><a href="javascript:sheetExcelDown(sheet1,$('li').html());">ExcelDown</a></span> -->
			</td>
		</tr>
		<tr>
			<th>견적명</th>
			<td>
				<INPUT type="text" name="P_QUOT_BID_MASTER_NM" class="input" value="<%=params.get("P_QUOT_BID_MASTER_NM") %>" style="width:90%"> 
			</td>
			<th>견적의뢰일</th>
			<td>
				<%= InputText.get("p_request_from_dt", params.get("p_request_from_dt"), 10, 50, "hangule,center, desc=견적의뢰일,ReadOnly") %>
				<IMG name="start_img" id="calender_from" src="/img/buyer/button/bt_calender.gif" border="0" align="absmiddle" style="cursor:pointer;" onClick="JavaScript:dlgCalendar('p_request_from_dt');">
				~
				<%= InputText.get("p_request_to_dt", params.get("p_request_from_dt"), 10, 50, "hangule,center, desc=견적의뢰일,ReadOnly") %>
				<!-- <INPUT type="text" name="p_request_to_dt" id="p_request_to_dt" class="input" value="" onClick="JavaScript:dlgCalendar('p_request_to_dt');" style="width:70px;text-align:center" ReadOnly> -->
				<IMG name="start_img" id="calender_to" src="/img/buyer/button/bt_calender.gif" border="0" align="absmiddle" style="cursor:pointer;" onClick="JavaScript:dlgCalendar('p_request_to_dt');">
				<IMG name="dataClear1" id="dataClear1" src="/img/buyer/button/bt_eraser1.gif" border="0" align="absmiddle" style="cursor:pointer;">
			</td>
		</tr>
		<tr>
		<th>견적담당자</th>
		<td colspan="3">
			<INPUT type="text" name="P_QUOT_MAN_NM" class="input" value="<%=params.get("P_QUOT_MAN_NM") %>" style="width:50%">
		</td>
		</tr>
	</table>
	
</TD></TR>
</TABLE>
	<div id="sheet1_div" style=" padding-top:5px; height: auto; min-height: 300px; overflow: auto;">
		<script>createIBSheet('sheet1','100%', '300px');</script>
	</div>
</FORM>
