<%--
  - FileName   : OutSupplierApprList.jsp
  - Author(s)  : Sung Min Lee
  - Date       : 2014.06.17
  -
  - Description: 협력업체평가현황
  --%>
  


<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
    
    String soc_nm_combo = "선택|대한전문건설협회|대한기계설비공사협회|한국소방시설협회|한국정보통신공사협회|한국전기공사협회";
    String soc_code_combo = "|01|02|03|04|05";
%>

<script type="text/javascript">
<!--

	/*예약함수*/
	var sheet1 = new ibsheetObject();
	var sheet1Row;
	var sheet1PageNo = 1;
	var pageLastRowIndex = 1;
	var validationResult = false;
	var filterShow = false;
	
	$(document).on("keyup", "input:text", function(e) {
	    
	    if (e.keyCode == 13)
        {
	        $.searchList();
        }
	    
	});
	
	$.gridInit = function(sheetName)
	{
	    
	    var init_sheet = {};
	    init_sheet.Cfg = {SearchMode:2, Page:30, MergeSheet:msHeaderOnly};
		
		init_sheet.Cols = [
									{Header:"Status",				Type:"Status", 			SaveName:"STATUS", 						Width:0, 	Align:"Center", Edit:"False", Hidden:"True"},
									{Header:"기성년도",	 		    Type:"Text", 				SaveName:"ACMP_YYYY",					Width:80, 	 Align:"Center", Edit:"False",},
									{Header:"상호",	 			 Type:"Text", 				SaveName:"ISU_VENDNM",					Width:80, 	 Align:"Left", Edit:"False",},
									{Header:"제출협회",			 Type:"Text", 				SaveName:"SOC_NM",						Width:80, 	 Align:"Center"},
									{Header:"계약명",	 		 Type:"Text", 				SaveName:"CONT_NM",						Width:80, 	 Align:"Left", Edit:"False",},
									{Header:"계약명_원본",	 		 Type:"Text", 				SaveName:"CONT_NM1",						Width:80, 	 Align:"Left", Edit:"False",},
									{Header:"총계약금액",	 	     Type:"Int", 					SaveName:"CONT_TAMT",					Width:80, 	 Align:"Right", Format:"#,##0", Edit:"False",},
									{Header:"당년도계약액",	 	 Type:"Int", 					SaveName:"CUR_CONT_AMT",					Width:80, 	 Align:"Right", Format:"#,##0", Edit:"False",},
									{Header:"당년도기성지급액",	 Type:"Int", 					SaveName:"CUR_PAY_SAMT",				Width:80, 	 Align:"Right", Format:"#,##0", Edit:"False",},
									{Header:"당년도미기성액",	 	 Type:"Int", 					SaveName:"CUR_PAY_NAMT",				Width:80, 	 Align:"Right", Format:"#,##0", Edit:"False",},
									{Header:"당년도추가계약액",	 Type:"Int", 					SaveName:"CUR_PAY_AAMT",				Width:80, 	 Align:"Right", Format:"#,##0", Edit:"False",},
									{Header:"전년도까지 누계기성액",	 Type:"Int", 					SaveName:"PRV_PAY_AMT",				Width:80, 	 Align:"Right", Format:"#,##0", Edit:"False",},
									{Header:"전년도까지 누계지급액",	 Type:"Int", 					SaveName:"PRV_PAY_SAMT",				Width:80, 	 Align:"Right", Format:"#,##0", Edit:"False",},
									{Header:"전년도까지 미기성액",	 Type:"Int", 					SaveName:"PRV_PAY_NAMT",				Width:80, 	 Align:"Right", Format:"#,##0", Edit:"False",},
									{Header:"전년도까지 이월공사액",	 Type:"Int", 					SaveName:"PRV_TRANS_AMT",				Width:80, 	 Align:"Right", Format:"#,##0", Edit:"False",},
									{Header:"하도급 금액",	 	     Type:"Int", 					SaveName:"SUB_AMT",				Width:80, 	 Align:"Right", Format:"#,##0", Edit:"False",},
									{Header:"관급자재액",	 	     Type:"Int", 					SaveName:"GOV_MA_AMT",				Width:80, 	 Align:"Right", Format:"#,##0", Edit:"False",},
									{Header:"계약금액",	 	     Type:"Int", 					SaveName:"CON_AMT",				Width:80, 	 Align:"Right", Format:"#,##0", Edit:"False",},
		               		];
		
		
		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheetName, init_sheet);
		sheetName.SetDataAutoTrim(0);
		sheetName.SetEditable(false);
		//sheetName.SetCountPosition(0);
		
		sheetName.FitColWidth();
	}
	
	
	
	$.searchList = function()
	{
		$("#fevent").val("GET_DIFF");
		
		var url = Modular.model.PageContext.CONTEXT_ROOT + "/result/outside/ResultIngList_sheet.screen";
		Modular.view.IBSheet7.doSearch(sheet1, url, $("#form1"), 30, "");
	}
	
	$(document).ready(function(){
		
	    $.gridInit(sheet1);
		$.searchList();  
		
		autoResize();
		
	});
	
	
	
	$(function(){
	    
	    $("#btnSearch").click(function(){
	        $.searchList();
	        autoResize();
	    });
	    
	    $("#btnChkList").click(function(){
	    	var job_div = "O";
			var popUrl = "/result/outside/ResultIngList.screen";
			var popOption = "width=800, height=600, resizable=no, scrollbars=yes, status=no;";
			window.open(popUrl,"",popOption);
	    });
	});
	
	
	function sheet1_OnChange(Row, Col, Value, OldValue, RaiseFlag) {
		var comboValue = sheet1.GetCellValue(Row,"SOC_CD");
		if(comboValue != "" ){
			sheet1.SetCellImage(Row ,"REG", "/img/buyer/button/bt_save_item.gif");
			return;
		}		
	}
	
	
	function sheet1_OnDblClick(Row, Col) 
	{
		var comboValue = sheet1.GetCellValue(Row,"SOC_CD");
		
	}		
	
	
	function autoResize(){
		var t1_height = document.getElementById("search-table").scrollHeight + document.getElementById("title").scrollHeight + 24;
		var iframeHeight= document.body.scrollHeight - t1_height;   
		var iframeWidth= document.body.scrollWidth;   
		
		
		sheet1.SetSheetHeight(iframeHeight); 
	}	
	



//-->
</script>


<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>

<form id="form1" name="form1" method="post" modular:type="search">
<INPUT type="hidden" name="fevent" id="fevent" value="" />

<input type="hidden" name="p_corp_id" id="p_corp_id" value="" />
<input type="hidden" name="p_acmp_yyyy" id="p_acmp_yyyy" value="<%=params.get("p_yyyy")%>" />
<input type="hidden" name="p_sub_cont_mod_id" id="p_sub_cont_mod_id" value="" />
<input type="hidden" name="p_page_gubun" id="p_page_gubun" value="info" />
<input type="hidden" name="p_soc_cd" id="p_soc_cd" value="" />

<div align="left" id="title">
	<ul>
    	<li>실적증명 발급현황</li>
   	</ul>
</div>


<table border="0" cellspacing="0" cellpadding="0" width="100%" height="100%" id="search-table" class="search-form-table">
	<colgroup>
		<col width="15%" />
		<col width="15%" />
		<col width="15%" />
		<col width="35%" />
		<col width="20%" />
	</colgroup>
	<!-- 검색조건 영역, 테이터 영역 구분 여백 : 시작 -->
	<tr>
		<th>기성년도</th>
		<td>
			<input type="text" name="p_yyyy" id="p_yyyy" value="<%=params.get("p_yyyy") %>" /> 
		</td>
		
		<th>업체명</th>
		<td>
			<input type="text" name="p_supp_nm" id="p_supp_nm" value="<%=params.get("p_supp_nm") %>" /> 
		</td>
		<td class="button"  >
			<span class="btnSearch center"><a href="javascript:void(0);" id="btnSearch">검색</a></span>
		</td>			
	</tr>
</table>

<!-- 시트 -->
<div id="sheet1_div" style="padding-top:5px; height: 400px">
	<script>createIBSheet("sheet1","100%", "400px");</script>
</div>

</form>

