<%--
  - Author(s)  : Hyung min Son
  - Date       : 2014.07.02
  - Description: 견적서작성
  --%>
  
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="java.text.SimpleDateFormat" %>
<%@ page import="java.util.Date" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="com.udapsoft.waf.common.util.StringUtils" %>
<%@ page import="kr.co.udapsoft.common.code.*" %>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
    ValueObject Order = storage.getValueObject("Order");
    ValueObject file = storage.getValueObject(Order.get("FILE_GB"));
    
    SimpleDateFormat sd = new SimpleDateFormat("yyyyMMdd");
    SimpleDateFormat sd2 = new SimpleDateFormat("yyyyMMddHHmm");
    
    String nowTime = sd.format(new Date());
    String to_yyyy = Order.get("BID_TO_DT").substring(0, 4);
    String to_MM = Order.get("BID_TO_DT").substring(5, 7);
    String to_dd = Order.get("BID_TO_DT").substring(8, 10);
    String to_hh = Order.get("BID_TO_DT").substring(11, 13);
    String to_mi = Order.get("BID_TO_DT").substring(14, 16);
    String nowTime_yyyy = nowTime.substring(0, 4);
    String nowTime_MM = nowTime.substring(4, 6);
    String nowTime_dd = nowTime.substring(6, 8);
    SimpleDateFormat SeverTime = new SimpleDateFormat("yyyy-MM-dd");
    String str = SeverTime.format(new Date()); 
%>
<SCRIPT language="JavaScript">
	/*예약함수*/
	var sheet1 = new ibsheetObject();
	var sheet1Row;
	var sheet1PageNo = 1;
	var pageLastRowIndex = 1;
	var validationResult = false;
	var filterShow = false;
	var must_msg = "(은)는 필수 입력 항목입니다."; 
	var cost_point = <%=Order.get("PointCount")%>;
	function _onReady(){
		gridInit(sheet1);
		autoResize();
		var info = [{StdCol:"DEPTH1" , SumCols:"7|8|9|10|11",CaptionText:"[소    계]",CaptionCol:3}];
		sheet1.ShowSubSum (info);
		sheet1.SetSumValue(3,"총  공  사  비 계"); 
		/**
		 *	Application Initialize
		 */
		 
		 
		 $("#btn_back").click(function() {
				$("#fevent").val("FORM_SELECT");
				$("#form1").attr("action", "/portal/bid/QuotRequest.screen");
				$("#form1").attr("target", "_self");
				$("#form1").attr("method", "post");
				$("#form1").submit();
		});
		
		 $("#btn_signdata").click(function() {
			 fMakeItemInfo();
		});

		jQuery("#btnExcel").click(function(){
			var params = { FileName : "(<%=Order.get("BID_NO")%>-<%=Order.get("BID_DEG")%>)견적서.xls",  SheetName : "(<%=Order.get("BID_NO")%>-<%=Order.get("BID_DEG")%>)견적서", SheetDesign:1 , DownCols:"DEPTH1|DEPTH2|DEPTH2|ITEM_NAME|UNIT_COST|BASIS_CALCU|NOTI" } ;
			sheet1.Down2Excel(params);
		});
		doSearchSheet();
	}

	function doSearchSheet(){
		$("#fevent").val("GET_ITEM_LIST");
		var url = Modular.model.PageContext.CONTEXT_ROOT + "/portal/bid/OutEstmWrite_sheet.screen";
		Modular.view.IBSheet7.doSearch(sheet1, url, jQuery("#form1"), 30, "");
	}
	
	function gridInit(sheetName){
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:0 ,  MergeSheet:msHeaderOnly+msPrevColumnMerge};
		init_sheet.Cols = [
			       			{Header:'Del',					Type:"DelCheck",		SaveName:"DEL_CHECK", 				Width:0, 			Align:"Center",		Hidden:"True"},
			    			{Header:'Status',				Type:"Status", 		SaveName:"STATUS", 					Width:0, 			Align:"Center",		Hidden:"True"},
			    			{Header:'구분',					Type:"Text", 			SaveName:"DEPTH1", 					Width:70, 			Align:"Center", 			Edit:false , Wrap:true},
			    			{Header:'내역',					Type:"Text", 			SaveName:"ITEM_NAME", 				Width:70, 			Align:"left", 			Edit:false},
			    			{Header:'No.',					Type:"Seq", 			SaveName:"NO",							Width:0, 			Align:"Center",		Hidden:"True"},
			    			{Header:'MATERIAL_CD',	        Type:"Text", 			SaveName:"MATERIAL_CD", 			Width:0, 			Align:"Center",		Hidden:"True"},
			    			{Header:'PARENT_LEVEL',	        Type:"Text", 			SaveName:"PARENT_LEVEL", 			Width:80, 			Align:"left",			Hidden:"True"},
			    			{Header:'수량/규격',			    Type:"Text", 			SaveName:"ITEMS", 						Width:80, 			Align:"Center", 	Hidden:"True"},
			    			{Header:'재료비',					Type:"AutoSum", 		SaveName:"MAT_COST", 				Width:80, 			Align:"right",		PointCount:<%=Order.get("PointCount")%>},
			    			{Header:'노무비',					Type:"AutoSum", 		SaveName:"LAB_COST", 				Width:80, 			Align:"right",		PointCount:<%=Order.get("PointCount")%>},
			    			{Header:'경비',					Type:"AutoSum", 		SaveName:"UNIT_COST", 				Width:80, 			Align:"right",		PointCount:<%=Order.get("PointCount")%>},
			    			{Header:'합계',					Type:"AutoSum", 		SaveName:"SUM_COST", 				Width:80, 			Align:"right",	CalcLogic:"|MAT_COST|+|LAB_COST|+|UNIT_COST|",	PointCount:<%=Order.get("PointCount")%>},
			    			{Header:'산출근거',				Type:"Text",	 		SaveName:"BASIS_CALCU", 			Width:140, 			Align:"left", 			Edit:false},
			    			{Header:'비고',					Type:"Text", 			SaveName:"NOTI", 						Width:80, 			Align:"left"},
			    			{Header:'수량',					Type:"Text", 			SaveName:"QTY", 						Width:80, 			Align:"left", 			Hidden:"True"},
			    			{Header:'합계',					Type:"Text", 			SaveName:"ROW_SUM_AMT", 		Width:80, 			Align:"left", 			Hidden:"True"}
			    			
			];
		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheetName, init_sheet);
		sheetName.SetDataAutoTrim(0);
		sheetName.SetFocusEditMode(1);
		sheetName.SetEditEnterBehavior("down");

		setGridSize();
	}

	/**
	 *	IBSheet Event: Search End(IBSheet 데이터 조회 CallBack)
	 */
	function sheet1_OnSearchEnd(code, message) {
		 if(code == 0) {
		    	var row = sheet1.RowCount();
		    	sheet1.RowDelete(row);
		    	sheet1.RowDelete(row-2);
		    	sheet1.RowDelete(row-4);
		    	sheet1.SetMergeCell(row-3,2,1,2);//타이틀 머지
		    	sheet1.SetMergeCell(row-4,2,1,2);
		    	sheet1.SetMergeCell(row-5,2,1,2); 
	    		
		    	row = 0;
		    	for (var i = 2; i <= sheet1.RowCount()+1; i ++){  
		           	if (sheet1.GetCellValue(i, "DEPTH1") =="간접비"){
		           		row = i;
		           		break;
		           	}
		        }
		    	
		    	var ingise_yn = "N";
		    	for (var i = 2; i <= sheet1.RowCount()+1; i ++){  
		    		if (sheet1.GetCellValue(i, "ITEM_NAME") =="인지세"){
		           		ingise_yn = "Y";
		           	}
		        }
		    	
	    		//여기
	    		rowEditYN(row,"<%=Order.get("OBC_EMP_YN")%>");   
	    		rowEditYN(row+1,"<%=Order.get("OBC_PENSION_YN")%>");
	    		rowEditYN(row+2,"<%=Order.get("OBC_HEALTH_YN")%>");
	    		rowEditYN(row+3,"<%=Order.get("OBC_ELDER_YN")%>");
	    		rowEditYN(row+4,"<%=Order.get("OBC_WORK_YN")%>");
	    		rowEditYN(row+5,"<%=Order.get("OBC_RESIGN_YN")%>");
	    		rowEditYN(row+6,"<%=Order.get("OBC_SAFE_YN")%>");
	    		rowEditYN(row+7,"<%=Order.get("OBC_ENV_YN")%>");
	    		rowEditYN(row+8,"<%=Order.get("OBC_SITE_YN")%>");
	    		rowEditYN(row+9,"<%=Order.get("OBC_DUTY_YN")%>");
	    		rowEditYN(row+10,"<%=Order.get("OBC_WARR_YN")%>");//건설기계 수수료  
	    		
	    		if(ingise_yn=="Y"){
	    			rowEditYN(row+11,"Y");//인지세
	    			rowEditYN(row+13,"Y");//일반관리비  
		    		rowEditYN(row+14,"Y");//이윤  
		    		rowEditYN(row+15,"Y");//단수정리
		    		//sheet1.SetCellValue(row+11,"NOTI","원사업자 부담분 (50%)");
	    		}else{
	    			rowEditYN(row+12,"Y");//일반관리비  
		    		rowEditYN(row+13,"Y");//이윤  
		    		rowEditYN(row+14,"Y");//단수정리
		    		$("#btnhelp").hide();
	    		}
	    		 
	    		
	    		var GrowCount = sheet1.LastRow();
	    		for(var	i=1; i < GrowCount+1; i++)
				{
	    			if(sheet1.GetCellEditable(i, "UNIT_COST") == "1"){
	    				if (row > i){
	    					sheet1.SetCellBackColor(i, "MAT_COST", "#ccff99");		
	    					sheet1.SetCellBackColor(i, "LAB_COST", "#ccff99");		
	    				}
	    				sheet1.SetCellBackColor(i, "UNIT_COST", "#ccff99");		
	    			}
	    			if(sheet1.GetCellEditable(i, "NOTI") == "1"){
	    				sheet1.SetCellBackColor(i, "NOTI", "#ccff99");		
	    			}
				}
	     
	    	 
    		
    			sheet1.FitColWidth();
    		
    	   	 //크롬 문제 
    	    	if(sheet1.GetSheetWidth() > 450){
    	    		sheet1.SetSheetWidth(450);
    	    		sheet1.SetSheetWidth($("#sheettable").width());
    	    		sheet1.FitColWidth();
    	    	}
		}else {
			//조회 에러 수행
			alert(message);
		}
	}
	/**
	 *	IBSheet Event: Click
	 */
	function sheet1_OnClick(Row, Col, Value, CellX, CellY, CellW, CellH) {
		//alert("Row :" + Row + "              Col : " +Col);	 
		if(Row == 1){
		//	exceldown();
		}
	 }
	
	/**
	 *	IBSheet size setting
	 */
	function setGridSize() {
		sheet1.FitColWidth();
	}
	
	function sheet1_OnChange(Row, Col, Value) {
		var GrowCount = sheet1.LastRow();
		var amt = sheet1.GetCellValue(GrowCount,"SUM_COST");
		if(amt != ""){
			$("#TOT_AMT_CK").val(amt);
			var arrAmt = $("#TOT_AMT_CK").val().split(".");
			if(arrAmt.length > 1){
				$("#TOT_AMT").val(formatComma(amt,cost_point));
			}else{
				$("#TOT_AMT").val(amt);
				$("#TOT_AMT").val($("#TOT_AMT").val().split(/(?=(?:\d{3})+(?:\.|$))/g).join(','));
			}
		}
		
		var i = 0;//간접비 시작위치 확인 
    	for (var a = 2; a <= sheet1.RowCount()+1; a ++){  
           	if (sheet1.GetCellValue(a, "DEPTH1") =="간접비"){
           		i = a;
           		break;
           	}
        }  
		
    	var ingise_yn = "N";
    	for (var b = 2; b <= sheet1.RowCount()+1; b ++){  
    		if (sheet1.GetCellValue(b, "ITEM_NAME") =="인지세"){
           		ingise_yn = "Y";
           	}
        }
    	 
		if(Col == 9 || Row == i){ //고용보험료
			if(sheet1.GetCellValue(i-1,"LAB_COST") > 0 && sheet1.GetCellValue(i,"UNIT_COST") > 0){
				var data = sheet1.GetCellValue(i,"UNIT_COST") / sheet1.GetCellValue(i-1,"LAB_COST") * 100;
				sheet1.SetCellValue(i,"BASIS_CALCU","노무비 * ("+data.toFixed(3)+")%");
			}
		}		 
		 
		if(Row == i+2 || Row == i+3){//노인장기보험료 
			if(sheet1.GetCellValue(i+2,"UNIT_COST") > 0 && sheet1.GetCellValue(i+3,"UNIT_COST") > 0){
				var data = sheet1.GetCellValue(i+3,"UNIT_COST") / sheet1.GetCellValue(i+2,"UNIT_COST") * 100;
				sheet1.SetCellValue(i+3,"BASIS_CALCU","건강 보험료 * ("+data.toFixed(3)+")%");
			}
		}
		if(Col == 9 || Row == i+4){//산재보험료 
			if(sheet1.GetCellValue(i-1,"LAB_COST") > 0 && sheet1.GetCellValue(i+4,"UNIT_COST") > 0){
				var data = sheet1.GetCellValue(i+4,"UNIT_COST") / sheet1.GetCellValue(i-1,"LAB_COST") * 100;
				sheet1.SetCellValue(i+4,"BASIS_CALCU","노무비 * ("+data.toFixed(3)+")%");
			}
		}
		if(Col == 9 || Row == i+5){//퇴직공제부금 
			if(sheet1.GetCellValue(i-1,"LAB_COST") > 0 && sheet1.GetCellValue(i+5,"UNIT_COST") > 0){
				var data = sheet1.GetCellValue(i+5,"UNIT_COST") / sheet1.GetCellValue(i-1,"LAB_COST") * 100;
				sheet1.SetCellValue(i+5,"BASIS_CALCU","노무비 * ("+data.toFixed(3)+")%");
			}
		}
		if(Row == i-1 || Row == i+6){//안전관리비 
			if(sheet1.GetCellValue(i-1,"SUM_COST") > 0 && sheet1.GetCellValue(i+6,"UNIT_COST") > 0){
				var data = sheet1.GetCellValue(i+6,"UNIT_COST") / sheet1.GetCellValue(i-1,"SUM_COST") * 100;
				sheet1.SetCellValue(i+6,"BASIS_CALCU","노무비 * ("+data.toFixed(3)+")%");
			}
		}
		if(Col == 8 || Row == i+7){//환경관리비  
			if(sheet1.GetCellValue(i-1,"MAT_COST") > 0 && sheet1.GetCellValue(i+7,"UNIT_COST") > 0){
				var data = sheet1.GetCellValue(i+7,"UNIT_COST") / sheet1.GetCellValue(i-1,"MAT_COST") * 100;
				sheet1.SetCellValue(i+7,"BASIS_CALCU","재료비 * ("+data.toFixed(3)+")%");
			}
		}
		if(Row == i-1 || Row == i+8){//현장관리비 
			if(sheet1.GetCellValue(i-1,"SUM_COST") > 0 && sheet1.GetCellValue(i+8,"UNIT_COST") > 0){
				var data = sheet1.GetCellValue(i+8,"UNIT_COST") / sheet1.GetCellValue(i-1,"SUM_COST") * 100;
				sheet1.SetCellValue(i+8,"BASIS_CALCU","직접비 * ("+data.toFixed(3)+")%");
			}
		}
		if(Col == 8){//매입부가세
			var data = Number("<%=Order.get("OBC_DUTY_RATE")%>");
			var dataYN = "<%=Order.get("OBC_DUTY_YN")%>";
			if(sheet1.GetCellValue(i-1,"MAT_COST") > 0 && data > 0){
				if(dataYN == "Y"){
					sheet1.SetCellValue(i+9,"BASIS_CALCU","재료비 * 매입세율 ("+data+")% * 10%");
					var data2 = ((data/100) * sheet1.GetCellValue(i-1,"MAT_COST")) *0.1; 
					sheet1.SetCellValue(i+9,"UNIT_COST",Math.floor(data2));
				}
			}
		}

		if(ingise_yn=="Y"){
			/** 금액 변동있을경우 무조건 변경 **/
			if(Col == 9 || Row == i+11){//인지세 
				sheet1.SetCellValue(i+11,"BASIS_CALCU","계약금액별 납부금액 100%");
			}
			if(sheet1.GetCellValue(i+13,"UNIT_COST") > 0){  //일반관리비 
				var sum = sheet1.GetCellValue(i-1,"SUM_COST") + sheet1.GetCellValue(i+12,"UNIT_COST");
				var data = sheet1.GetCellValue(i+13,"UNIT_COST") / sum * 100;
				sheet1.SetCellValue(i+13,"BASIS_CALCU","순공사비 * ("+data.toFixed(3)+")%");
			}
			if(sheet1.GetCellValue(i+14,"UNIT_COST") > 0){ //이윤 
				var sum = sheet1.GetCellValue(i-1,"SUM_COST") + sheet1.GetCellValue(i+12,"UNIT_COST");
				var data = sheet1.GetCellValue(i+14,"UNIT_COST") / sum * 100;
				sheet1.SetCellValue(i+14,"BASIS_CALCU","순공사비 * ("+data.toFixed(3)+")%");
			}
		}else{
			/** 금액 변동있을경우 무조건 변경 **/
			if(sheet1.GetCellValue(i+12,"UNIT_COST") > 0){  //일반관리비 
				var sum = sheet1.GetCellValue(i-1,"SUM_COST") + sheet1.GetCellValue(i+11,"UNIT_COST");
				var data = sheet1.GetCellValue(i+12,"UNIT_COST") / sum * 100;
				sheet1.SetCellValue(i+12,"BASIS_CALCU","순공사비 * ("+data.toFixed(3)+")%");
			}
			if(sheet1.GetCellValue(i+13,"UNIT_COST") > 0){ //이윤 
				var sum = sheet1.GetCellValue(i-1,"SUM_COST") + sheet1.GetCellValue(i+11,"UNIT_COST");
				var data = sheet1.GetCellValue(i+13,"UNIT_COST") / sum * 100;
				sheet1.SetCellValue(i+13,"BASIS_CALCU","순공사비 * ("+data.toFixed(3)+")%");
			}
		} 		
	}
	
	 function numberFormat(num) {
		 var pattern = /(-?[0-9]+)([0-9]{3})/;
		 while(pattern.test(num)) {
			 num = num.replace(pattern,"$1,$2");
		 }
		 return num;
	 }
	 
	 function rowEditYN(Row,YN){
		 if(YN != "Y"){
		 	sheet1.SetCellValue(Row,"NOTI","견적제외");
		 	sheet1.SetRowEditable(Row, false);
		 }else{
			 sheet1.SetCellEditable(Row,"MAT_COST",false);
			 sheet1.SetCellEditable(Row,"LAB_COST",false);
		 }
	 }
	  

	//첨부파일   
	function doAttachFile(obj) {
		 if(obj==''){
			alert("After you have saved, you can attach a file.");
		}
		else if(obj != ''){ 
			viewFileListNew("<%=Order.get("FILE_GB")%>", obj.value, document.form1.p_AttachFile, "Y", "bid/outside/<%=Order.get("BID_NO")%>/<%=Order.get("VENDOR_CD")%>/");
		} 
	}
	
	function doResult(resultObj) {
		try {
			if( resultObj.getRequestEvent() == "FORM_UPDATE") {
				if( resultObj.getSuccess() ) {
					alert("저장 되었습니다.");
					history.back();
				}
				else {
					dlgErrorMsg(resultObj);
				}
			}
			
			if( resultObj.getRequestEvent() == "FORM_DELETE") {
				if( resultObj.getSuccess() ) {
					alert("삭제 되었습니다.");
 					$("#btn_list").click();
				}
				else {
					dlgErrorMsg(resultObj);
				}
			}
		} catch(errorObject) {
			showErrorDlg("doResult()", errorObject);
		}
	}
	
	function sheet1_OnSmartResize(Width, Height) { 
		sheet1.FitColWidth();
		autoResize();
	}
	


	function autoResize(){
		sheet1.SetSheetHeight(560);  //515 2017.07.18
	}
	
	function AddZero(str){
		
		if((str+"").length==1){
			return "0"+str;
		}	
		return str;
	}
	
	function fMakeItemInfo(){
		
			var sColumDelimiter = "┃";
			var sRowDelimiter		= "↕";
			var sSumDelimiter		= "╂";
			var sEncDelimiter		= "⇔";
			var isNull	= "NULL";

			var	sItemInfo				=	"";
			var	sBidNo					=	"<%=Order.get("BID_NO")%>";			//	공고번호
			var	sBidDeg					=	"<%=Order.get("BID_DEG")%>";			//	입찰차수  var	sMainVendcd			=	"<%=Order.get("VENDOR_CD")%>";	//	원사업자번호
			var	sMainVendcd			=	$("#VENDOR_CD").val();	//	원사업자번호
			var	pTotSum					=	"";									//	견적제출금액
			var GrowCount = sheet1.LastRow();
			var cost_point = <%=Order.get("PointCount")%>;
			
			var sfileGB = $("#FILE_GB").val();
			 var bid_to_dt = "<%=Order.get("BID_TO_DT")%>";
			 var today = "<%=str%>";
			 var now = new Date();
		     hours = now.getHours();
		     if (hours < 10)
		         hours = "0" + hours;
		     minutes = now.getMinutes();
		     now = today + " " + hours + ":" + minutes;
		     var time = false;
			 if(bid_to_dt <= now){
				 time = true;
			 }
		    
			 if ($("#p_AttachFile").val() == null || $("#p_AttachFile").val() == ""){
				 alert("견적서(엑셀)를 첨부하십시요.");
				 return ;
			 }
		
			 //2018.10.26 수정 
			if(sheet1.GetCellValue(GrowCount,"SUM_COST") == "0" || sheet1.GetCellValue(GrowCount,"SUM_COST") == "" || time){
				if((sheet1.GetCellValue(GrowCount,"SUM_COST") == "0" || sheet1.GetCellValue(GrowCount,"SUM_COST") == "") && time){	
					alert("다음과 같은 사유로 견적을\n 제출하실수 없습니다.\n* 견적마감시간 초과\n* 견적금액 0원");
				}else if(time){
					alert("다음과 같은 사유로 견적을\n 제출하실수 없습니다.\n* 견적마감시간 초과");
				}else if(sheet1.GetCellValue(GrowCount,"SUM_COST") == "0" || sheet1.GetCellValue(GrowCount,"SUM_COST") == ""){
					alert("다음과 같은 사유로 견적을\n 제출하실수 없습니다.\n* 견적금액 0원");
				}
				return;
			}
			
			for(var	i=1; i < 	GrowCount+1; i++)
			{
				
				var	pMaterial_cd			=	"";									//	아이템코드
				var	pQty						=	"";									//	수량
				var	PMat_cost				=	"";									//	2018.10.26 재노경 
				var	PlAT_cost				=	"";									//	단가
				var	PUnit_cost				=	"";									//	단가
				var	pRow_sum_amt		=	"";									//	합계
				var	pBasis_calcu			=	"";									//	산출근거
				var	pNoti						=	"";									//	비고
				
				pMaterial_cd = sheet1.GetCellValue(i,"MATERIAL_CD");
				if(pMaterial_cd.length > 0){
					pQty = sheet1.GetCellValue(i,"QTY");
					if(isEmptyVal(pQty))
						pQty = isNull;
					PMat_cost = sheet1.GetCellValue(i,"MAT_COST");  //2018.10.26 재노경 추가 
					if(isEmptyVal(PMat_cost)) PMat_cost = isNull;
					else PMat_cost = PMat_cost.toFixed(Number(cost_point));
					
					PLab_cost = sheet1.GetCellValue(i,"LAB_COST");
					if(isEmptyVal(PLab_cost)) PLab_cost = isNull;
					else PLab_cost = PLab_cost.toFixed(Number(cost_point));
					
					PUnit_cost = sheet1.GetCellValue(i,"UNIT_COST");
					if(isEmptyVal(PUnit_cost)) PUnit_cost = isNull;
					else PUnit_cost = PUnit_cost.toFixed(Number(cost_point));
					
					pRow_sum_amt = sheet1.GetCellValue(i,"ROW_SUM_AMT");
					if(isEmptyVal(pRow_sum_amt)) pRow_sum_amt = isNull;
					else pRow_sum_amt = pRow_sum_amt.toFixed(Number(cost_point));
					
					pNoti = sheet1.GetCellValue(i,"NOTI");
					if(isEmptyVal(pNoti))
						pNoti = isNull;
					pBasis_calcu = sheet1.GetCellValue(i,"BASIS_CALCU");
					if(isEmptyVal(pBasis_calcu))
						pBasis_calcu = isNull;
					
					sItemInfo	=	sItemInfo
										+	sBidNo	+	sColumDelimiter
										+	sBidDeg	+	sColumDelimiter
										+	sMainVendcd	+	sColumDelimiter
										+	pMaterial_cd	+	sColumDelimiter
										+	pQty	+	sColumDelimiter
										+	PMat_cost	+	sColumDelimiter
										+	PLab_cost	+	sColumDelimiter
										+	PUnit_cost	+	sColumDelimiter
										+	pTotSum +	sColumDelimiter
										+   pBasis_calcu +	sColumDelimiter
										+	pNoti	+	sRowDelimiter
				}
			}
	
			sItemInfo	=	sItemInfo + sSumDelimiter	+	sheet1.GetCellValue(GrowCount,"SUM_COST").toFixed(Number(cost_point)) +	sSumDelimiter + sfileGB;
			
			 $("#sItemInfo").val(sItemInfo);
			 var tot_amt = formatComma(sheet1.GetCellValue(GrowCount,"SUM_COST"),0);
		     //tot_amt = tot_amt.replace(".00","");
		     tot_amt = $("#TOT_AMT").val();
		     
			 if(confirm("견적총금액은 "+tot_amt+" (VAT별도)입니다.\n\n견적서를 제출하시겠습니까?")){
				 SignData();	 
			 }
	}
	
	function sheet1_OnSaveEnd(code, msg)
	{
		var event = $("#fevent").val();
		if(event == "FORM_SAVE"){
			if(code >= "0"){
				alert("견적서를 제출하였습니다.\n견적서 제출마감시간까지 여러번 제출이 가능합니다.\n마지막으로 제출한 견적내역이 최종견적으로 반영됩니다.");
				historyback();
			}else{
				alert(msg);
			}
		}
	}
	function historyback(){
		$("#fevent").val("FORM_SELECT");
		$("#form1").attr("action", "/portal/bid/QuotRequest.screen");
		$("#form1").attr("target", "_self");
		$("#form1").attr("method", "post");
		$("#form1").submit();
	}
	
	function isEmptyVal( value ) {
		if(value.length == 0){
			return true;
		}
		if( value == "" ) {
			return true;
		}
		return false;
	}


		
	function dpTime2(){
	    var now = new Date();
	     hours = now.getHours();
	     minutes = now.getMinutes();
	     seconds = now.getSeconds();

	    /*  if (hours > 12){
	         hours -= 12;
	     	ampm = "오후 ";
	     }else{
	         ampm = "오전 ";
	     }
	     if (hours < 10)
	         hours = "0" + hours;
	     
	     if (minutes < 10)
	         minutes = "0" + minutes;
	     
	     if (seconds < 10)
	         seconds = "0" + seconds; */
	     
		//	document.getElementById("dpTime").innerHTML = ampm + hours + ":" + minutes + ":" + seconds;
			
			// 2010 년 6월 1일 (월은 0 ~ 11 월까지로 현재월 -1 값)

		    // 오후 6시 32분 35초 (시는 12 시간을 초과할 경우 12를 뺀 후 오후표시)

		    var day2= new Date(<%=to_yyyy%>,<%=to_MM%>,<%=to_dd%>,<%=to_hh%>,<%=to_mi%>,00);

		    // 2011 년 3월 1일 (월은 0 ~ 11 월까지로 현재월 -1 값)

		    // 오전 10시 15분 43초

		    var day1= new Date(<%=nowTime_yyyy%>,<%=nowTime_MM%>,<%=nowTime_dd%>,hours,minutes,seconds);

		    // 첫번째 날짜를 1/1000 값으로 환산

		    var ms1 = Date.parse(day1);

		//  alert(ms1);

		    // 두번째 날짜를 1/1000 값으로 환산

		    var ms2 = Date.parse(day2);

		//  alert(ms2);

		    var sep = (ms2-ms1)/1000; // 두 날짜간의 시간차 (1/1000 초 이므로 초로 환산)

		//  alert(sep);

		    var min = 60;

		    var hour= min * 60;

		    var day = hour * 24;

		    var sd  = parseInt(sep/day);

		    var sh  = parseInt((sep%day)/hour);

		    var sm  = parseInt((sep%hour)/min);

		    var ss  = sep%min+1;
			
		    var msg = "";
		    if(sd > 0){
		    	msg = sd+'일 '+sh+'시간 '+sm+'분 '+ss+'초 남았습니다. / 입찰진행중';
		    }else if(sd <= 0){
		    	if(sh <= 0){
		    		if(sm <= 0){
		    			msg = "입찰마감";
		    		}else{
		    			msg = sm+'분 '+ss+'초 남았습니다. / 입찰진행중';
		    		}
		    	}else{
		    		msg = sh+'시간 '+sm+'분 '+ss+'초 남았습니다. / 입찰진행중';
		    	}
		    }else{
		    	msg = "입찰마감";
		    }
		    document.getElementById('dpTime').innerHTML = msg;
	 }
	
	function stampDesc()
	{
		var win_id = "_stampPopup";
		var link = "/cont/purchase/stampDescPopup.screen";
		    link += "?pop_win_id="+win_id;
		fLayerPop(win_id, link, 400,210, '', '', 'NO');
	}
		
	setInterval("dpTime2()",1000);
</SCRIPT>


<SCRIPT LANGUAGE="JavaScript">
<!--
function SignData()
{
	var VendorCd = "<%=user.get("CORP_REG_NO")%>";
	var enc_cert = "<%=Order.get("KEY")%>";
	var sOrgnData = $("#sItemInfo").val();
	sOrgnData = encodeURI(sOrgnData);

	if( $("#sItemInfo").val() == null || $("#sItemInfo").val() == "" )
	{
		alert("서명할 데이타를 넣어주십시요");
		return;
	}
	
	if(enc_cert == "" || enc_cert == null)	//	서버인증서를 못 받은 경우
	{
		alert("견적서 제출을 할수 없습니다.\n\n관리자에게 문의하세요");
		return;
	}

	
	unisign.EncryptDataWithCert( sOrgnData, enc_cert, function( resultObj ) {
		if( !resultObj || resultObj.resultCode != 0 ){
			alert( resultObj.resultMessage  );
			return;
		}
		
		$("#signeddata").val(resultObj.encryptedData);
			
		unisign.SignDataNVerifyVID( resultObj.encryptedData, null, VendorCd, function( resultObject ) {
			if( !resultObject || resultObject.resultCode != 0 ){
				if( resultObject.resultCode == '14208'){
					alert("선택하신 인증서가 로그인한 사업자의 인증서가 아닙니다.\n[사업자번호 불일치]");		
				} else if( resultObject.resultCode == '999'){
					alert("사용자 DN 선택이 취소 되었습니다.");
				} else {
					alert( resultObject.resultMessage);
				}
				
				return;
			}
			
			var signeddata = resultObject.signedData;
			var userdn = resultObject.certAttrs.subjectName;
			
			$("#ESTI_SIGNDATA").val(signeddata);
			
			$("#fevent").val("FORM_SAVE");
			var url = Modular.model.PageContext.CONTEXT_ROOT + "/portal/bid/OutEstmWrite_sheet.screen";
			var result = Modular.view.IBSheet7.doSave(sheet1, url, $("#form1"), false);
			//submitXmlRequest("/portal/bid/OutEstmWrite_form.screen", "FORM_SAVE", f);
		});
	});
	
	

}

//-->
</SCRIPT>
<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>
<form id="form1" name="form1" method="post" modular:type="search">

<INPUT type='hidden' name="fevent" id="fevent"  value="">
<INPUT type='hidden' name="DEMANDED_ID" value="<%=Order.get("DEMANDED_ID")%>">
<INPUT type='hidden' name="DEMANDED_KIND" value="<%=Order.get("DEMANDED_KIND")%>">
<INPUT type='hidden' name="BID_NO" value="<%=Order.get("BID_NO")%>">
<INPUT type='hidden' name="BID_DEG" value="<%=Order.get("BID_DEG")%>">
<INPUT type='hidden' name="STATUS_CD" value="<%=Order.get("STATUS_CD")%>">
<INPUT type='hidden' name="VENDOR_CD" value="<%=user.get("CORP_ID")%>">
<INPUT type='hidden' name="FILE_GB" value="<%=Order.get("FILE_GB")%>">
<INPUT type='hidden' name="ATT_ID" value="<%=Order.get("ATT_ID")%>">
<INPUT type='hidden' name="TOT_AMT_CK" value="">
<INPUT type='hidden' name="ESTI_SIGNDATA" value="">
<INPUT type='hidden' name="sItemInfo" value="">
<INPUT type='hidden' name="signeddata" value="">
<INPUT type='hidden' name="signEnddt" value="">

<table width="100%">
	<colgroup>
		<col width="*" />
		<col width="130" />
	</colgroup>
	<tr>
   		<th>
	   		<div align="left" id="title" >
 			  <ul><li>견적서작성</li></ul>
			</div> 
   		</th>
   		<td align="right">
       		<span class="btnSearch center" id="btn_back"><a href="javascript:void(0);">이전</a></span>
			<span class="btnSearch center" id="btn_signdata"><a href="javascript:void(0);">견적서제출</a></span>
   		</td>
  	</tr>
</table>

<div class="application-info magT10">
	<div class="application-sub-title">
		<span class="title">입찰정보</span>
	</div>
</div>

<TABLE class="form-table">
	<colgroup>
		<col width="145"/>
		<col width="145"/>
		<col width="29%"/>
		<col width="145"/>
		<col/>
	</colgroup>
  <TR height="25"> 
    <TH style="text-align:left"> 입찰번호-차수</TH>
	<TD colspan="2"> 
	 <%=Order.get("bid_no") %> - <%=Order.get("bid_deg") %> 
    </TD>
	<TH style="text-align:left"> 온라인입찰여부</TH>
	<TD>
	 <%=Order.get("ONBID_YN")%>  
	</TD>
  </TR>

  <TR height="25"> 
	<TH style="text-align:left"> 입찰명</TH>
	<TD colspan="4">
	 <%=Order.get("BID_MASTER_NM")%>          
	</TD>
  </TR>
  <TR height="25">
  <TH style="text-align:left"> 견적제출기간</TH>
  <TD colspan="4"> 
		<%=Order.get("BID_FROM_DT")%> ~<%=Order.get("BID_TO_DT")%> <font color='red'><b> (<span id="dpTime"></span>)</b></font>
	</TD>
	</TR> 	
  <TR height="25"> 
	<TH style="text-align:left">통화구분</TH>
	<TD colspan="4"> <%=Order.get("CURRENCY_GB_NM") %>
	</TD>
  </TR>
   <TR height="25"> 
	<TH style="text-align:left">계약형태</TH>
	<TD colspan="4"> 
		<%=Order.get("OBC_CONT_TYPE_NM") %>
	</TD>
  </TR>
  <TR height="50"> 
  	<TH rowspan="2" style="text-align:left">공사대금</TH>
	<TH style="text-align:left">선급금</TH>
	<TD><% if(!Order.get("OBC_FRST_CONT_RATE").isEmpty()){%> 계약금액의 : <%= Order.get("OBC_FRST_CONT_RATE") %>%<br><%}%>
	<%= Order.get("OBC_FRST_CONDI") %> <br>
	<%= Order.get("OBC_FRST_CNT_CONDI") %></TD>
	<TH style="text-align:left">기성금</TH>
	<TD><% if(!Order.get("CPC_MID_RATE").isEmpty()){%> 계약금액의 :<%= Order.get("CPC_MID_RATE")%>% ,<%}%><% if(!Order.get("OBC_MID_CASH_RATE").isEmpty()){%> 현금 : <%= Order.get("OBC_MID_CASH_RATE")%>% <%}%> <% if(!Order.get("OBC_MID_BILL_RATE").isEmpty()){%>어음 : <%= Order.get("OBC_MID_BILL_RATE")%>%<%}%><br>
			<% if(!Order.get("OBC_MID_PAYDAY").isEmpty()){%>세금계산서 발행일로부터 <%=Order.get("OBC_MID_PAYDAY")%> 일 내 지급<br>
			<%=Order.get("OBC_MID_REQ_MONTH")%> 개월 당 <%=Order.get("OBC_MID_CNT")%> 회 말일에 청구<%}%>
	</TD>	
  </TR>
    <TR height="25"> 
	<TH style="text-align:left">준공금</TH>
	<TD colspan="3" style="text-align:left"><% if(!Order.get("PBC_REST_RATE").isEmpty()){%> 계약금액의 : <%=Order.get("PBC_REST_RATE")%>%, <%}%><% if(!Order.get("OBC_FIN_CASH_RATE").isEmpty()){%> 현금 : <%=Order.get("OBC_FIN_CASH_RATE")%>% <%}%><% if(!Order.get("OBC_FIN_BILL_RATE").isEmpty()){%> 어음 : <%=Order.get("OBC_FIN_BILL_RATE")%>%<%}%>
			<%-- <br><% if(!Order.get("OBC_FIN_PAYDAY").isEmpty()){%>세금계산서 발행일로부터 <%=Order.get("OBC_FIN_PAYDAY")%> 일 내 지급<%}%><br>
			<%=Order.get("OBC_FIN_CONDI") %></TD> --%>
  </TR>
  <TR height="25"> 
  	<TH rowspan="2" style="text-align:left">보증조건</TH>
	<TH style="text-align:left">선급금보증</TH>
	<TD><% if(!Order.get("CBC_FIRST_RATE").isEmpty()){%>계약금액의 <%=Order.get("CBC_FIRST_RATE")%>%<%}%></TD>
	<TH style="text-align:left">계약이행 보증</TH>
	<TD><% if(!Order.get("CONTFUL_RATE").isEmpty()){%>계약금액의 <%= Order.get("CONTFUL_RATE") %>%<%}%></TD>	
  </TR>
  <TR height="25"> 
	<TH style="text-align:left">하자이행 보증</TH>
	<TD><% if(!Order.get("WARR_RATE").isEmpty()){%>준공금액의 <%= Order.get("WARR_RATE")%>%<%}%></TD>
	<TH style="text-align:left">하자담보기간</TH>
	<TD><% if(!Order.get("CBC_DEFECT_DAY").isEmpty()){%>준공일로부터 <%= Order.get("CBC_DEFECT_DAY")%> 개월<%}%></TD>
  </TR>  
  <TR height="35"> 
  	<TH style="text-align:left">기타조건</TH>
	<TH style="text-align:left">하도급대금<br>연동 기준비율</TH>
	<TD><% if(!Order.get("PAY_CON_RATE").isEmpty()){%> <%= Order.get("PAY_CON_RATE")%>%<%}%></TD>
	<TH style="text-align:left">지체상금</TH>
	<TD><% if(!Order.get("CBC_DAMAGE_RATE").isEmpty()){%>일당 계약금액의 <%= Order.get("CBC_DAMAGE_RATE")%>%,<%}%><% if(!Order.get("CBC_DAMAGE_MAXRATE").isEmpty()){%> 최대 <%= Order.get("CBC_DAMAGE_MAXRATE")%>%<%}%></TD>	
  </TR>
  <TR height="25"> 
  	<TH rowspan="6" style="text-align:left">간접비 견적조건</TH>
	<TH style="text-align:left">고용보험료</TH>
	<TD><% if(!Order.get("OBC_EMP_RATE").isEmpty()){%>노무비 * <%= Order.get("OBC_EMP_RATE")%>  % &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp  &nbsp
		 <%}%><%=Order.get("OBC_EMP_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
	<TH style="text-align:left">연금보험료</TH>
	<TD><% if(!Order.get("OBC_PENSION_RATE").isEmpty()){%>직접노무비 <%=Order.get("OBC_PENSION_RATE")%>  % &nbsp &nbsp &nbsp&nbsp &nbsp  &nbsp
		<%}%><%=Order.get("OBC_PENSION_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>	
  </TR>
  <TR height="25"> 
	<TH style="text-align:left">건강보험료</TH>
	<TD><% if(!Order.get("OBC_HEALTH_RATE").isEmpty()){%>직접노무비 * <%=Order.get("OBC_HEALTH_RATE")%>  % &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp   &nbsp
	<%}%><%=Order.get("OBC_HEALTH_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
	<TH style="text-align:left">노인장기보험료</TH>
	<TD><% if(!Order.get("OBC_ELDER_RATE").isEmpty()){%>건강보험료 * <%=Order.get("OBC_ELDER_RATE")%>  % &nbsp &nbsp&nbsp &nbsp  &nbsp
	<%}%><%=Order.get("OBC_ELDER_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>	
  </TR>
  <TR height="25"> 
	<TH style="text-align:left">산재보험료</TH>
	<TD><% if(!Order.get("OBC_WORK_RATE").isEmpty()){%>노무비 * <%=Order.get("OBC_WORK_RATE")%>  % &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp
		<%}%><%=Order.get("OBC_WORK_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
	<TH style="text-align:left">퇴직공제부금</TH>
	<TD><% if(!Order.get("OBC_RESIGN_RATE").isEmpty()){%>노무비 * <%=Order.get("OBC_RESIGN_RATE")%>  % &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp&nbsp &nbsp
		<%}%><%=Order.get("OBC_RESIGN_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>	
  </TR>
  <TR height="25"> 
	<TH style="text-align:left">안전관리비</TH>
	<TD><% if(!Order.get("OBC_SAFE_RATE").isEmpty()){%>노무비 * <%= Order.get("OBC_SAFE_RATE")%>  % &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp
		 <%}%><%=Order.get("OBC_SAFE_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
	<TH style="text-align:left">환경관리비</TH>
	<TD><% if(!Order.get("OBC_ENV_RATE").isEmpty()){%>재료비 * <%= Order.get("OBC_ENV_RATE")%>  %  &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp&nbsp &nbsp
		<%}%><%=Order.get("OBC_ENV_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>	
  </TR>
  <TR height="25"> 
	<TH style="text-align:left">현장관리비</TH>
	<TD><% if(!Order.get("OBC_SITE_RATE").isEmpty()){%>직접비 * <%=Order.get("OBC_SITE_RATE")%>  % &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp
		<%}%><%=Order.get("OBC_SITE_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
	<TH style="text-align:left">매입부가세</TH>
	<TD><% if(!Order.get("OBC_DUTY_RATE").isEmpty()){%>재료비 * 매입세율 <%= Order.get("OBC_DUTY_RATE")%>  %  &nbsp
		<%}%><%=Order.get("OBC_DUTY_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>	
  </TR>
  <TR height="25"> 
	<TH style="text-align:left">간접비 정산조건</TH>
	<TD><%=Order.get("OBC_IND_YN").equals("Y") ? "<font color='blue'>[실적정산]</font>" : "<font color='red'>[비례정산]</font>" %></TD>
	<TH style="text-align:left">건설기계 수수료</TH>
	<TD><%=Order.get("OBC_WARR_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
  </TR>   
</table>


<TABLE width="100%">
	<colgroup>
		<col width="40%">
		<col width="60%"/>
	</colgroup>
<tr height="100px"><td style="vertical-align: top;">
<div class="application-info">
	<div class="application-sub-title">
		<span class="title">견적정보</span>
	</div>
</div>
<TABLE class="form-table">
	<colgroup>
		<col width="145">
		<col/>
	</colgroup>
	<TR height="25"> 
		<TH style="text-align:left">사업자번호</TH>
		<TD><%=StringUtils.getBizNo(user.get("CORP_REG_NO")) %></TD>
	</TR>
	<TR height="25">     
		<TH style="text-align:left"> 업체명</TH>
		<TD><%=user.get("CORP_KOR")%></TD>
	</TR>
	<TR height="25"> 
		<TH style="text-align:left"> 견적합계금액</TH>
		<TD><%= InputText.get("TOT_AMT", "", 50, 300, "class=input_blank,desc=견적합계금액,readOnly=white") %></TD>
	</TR>
</table>
</TD>
<TD rowspan="2" style="padding-left:5px;vertical-align: top;">
	<table id="sheettable" style="width:100%;height:25px;">
		<colgroup>
			<col width="*" />
			<col width="130" />
		</colgroup>
		<tr heigth="25">
	   		<th>
	   		<div class="application-info">
				<div class="application-sub-title">
					<span class="title">견적내역(부가세별도) </span>
					<span class="btnSearch center" id="btnhelp" ><a href="javascript:stampDesc()">인지세 안내</a></span>
				</div>
			</div>
	   		</th>
	   		<td align="right">
	       		<!-- <span class="btnSearch center" id="btnExcel"><a href="javascript:void(0);">Excel Down</a></span> 2016.11.28-->
	   		</td>
	  	</tr>
	</table>
		<div id="sheet1_div" style="height: auto; min-height: 200px;width:100%; overflow: auto;height:100%">
			<script>createIBSheet('sheet1','100%', '560px');</script>
		</div>
</TD>
</TR>
<TR style="height:500px"><TD align="top" width="*" style="vertical-align: top">
<div class="application-info">
	<div class="application-sub-title">
		<span class="title">첨부파일</span>
	</div>
</div>
	<TABLE class="form-table">
		<colgroup>
			<col width="145">
			<col/>
		</colgroup>
	  <TR height="100"> 
		<TH style="text-align:left"> 첨부파일</TD>
		<TD>
		 <TEXTAREA name="p_AttachFile" id="p_AttachFile" style="width:85%;height:80px" rows="1" class="input" readOnly><%=file.get(Order.get("FILE_GB")) %></TEXTAREA>
		                    <IMG id='search_spot_button' onClick="doAttachFile(document.form1.DEMANDED_ID);" src='/img/buyer/button/bt_change.gif' border='0'  align="top" align='absmiddle' alt='[Attach File]' style='cursor:pointer;'>
		</TD>
	  </TR>  
	</TABLE>
	<br> 
	1. 첨부파일에는 견적서를 첨부하시기 바랍니다. (Excel, PDF 등)<br>
	<br>
    2. 견적내역에는 항목별 견적 금액을 입력하시고 입력가능한 항목이 없는 경우에는<br>
     &nbsp;&nbsp;일반관리비 또는 이윤에 입력하신 후 비고란에 내용을 기입하시기 바랍니다.<br>
     &nbsp;&nbsp;(총공사비 계는 견적서상 총 견적금액과 동일해야 합니다)<br> 
    <br>
    3. 설계/인허가 용역은 견적금액을 직접노무비로 일괄 입력하시기 바랍니다.<br>
</TD>
</TR>
</TABLE>
</form>
<div id="CONTROL_LAYER" style="position:absolute; z-index:10; visibility:hidden;">


<script>

	
</script>
</div>

<!-- 전자인증 모듈 설정 //-->
<link rel="stylesheet" type="text/css" href="/CrossCert/CC_WSTD_home/unisignweb/rsrc/css/certcommon.css?v=1" />
<script type="text/javascript" src="/CrossCert/CC_WSTD_home/unisignweb/js/unisignwebclient.js?v=1"></script>
<script type="text/javascript" src="/CrossCert/UniSignWeb_Multi_Init_Nim.js?v=1"></script>
<!-- 전자인증 모듈 설정 //-->