<%--
  - FileName   : PriceSysDocPop.jsp
  - Author(s)  : TC40335
  -
  --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="kr.co.hsnc.common.util.ValueObject" %>
<%@ page import="kr.co.hsnc.common.sql.RowSet" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="com.udapsoft.waf.common.util.StringUtils" %>
<%@ page import="kr.co.hsnc.common.config.WAFConfig" %>
<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
    ValueObject PricesysPop = storage.getValueObject("DocInfoPop");    
    String event = storage.getEvent();
%>

 <script type="text/javascript">	
 	$(function(){	
 		
 		$("#btn_close").click(function(){
 			parent.fLayerPopClose('PricesysPop');
		});
 		
		$("#btn_save").click(function(){		    
		    var f = document.form1;
 
		    $("#fevent").val("GET_SAVE");		 	   
		 	   if(confirm("하도급대금연동제 안내문을 확인하셨습니까?"))
		 	   {
				  submitXmlRequest("/portal/bid/PricesysDocPopSave_form.screen", "GET_PRICESYS_SAVE", f);
				}
		    
		});
		
		$(".icon_x").click(function(){
		    window.close();
		});
		
		$("#btn_print").click(function(){		    
			jQuery("#btn_save").hide();
			jQuery("#btn_print").hide();
			jQuery("#btn_close").hide();
			$("#title1").css({ 'font-size' : 32});
			$("#text1").css({ 'font-size' : 20});		
 		    window.print();		 
 		    $("#btn_close").click();
 		   //self.close();
		});
		
 	});
 	
 	$(document).ready(function(){ 		
 		if("<%=params.get("p_gubun")%>" == "buyer"){			
	    	jQuery("#btn_save").hide();	    	
	    }
 	});
 	
 	function doResult(resultObj) {
 		var f = document.form1;
 		
 		try 
 		{
 		   document.form1.isSubmit = false;
 		   
 		   if($("#fevent").val() == "GET_SAVE")
 		   {
 		      if (resultObj.getSuccess())	
 		      {
 		         alert("하도급대금연동제 안내문 확인이 완료되었습니다.");
 		         window.close();  
 		         parent.$.searchList();	//showmodal 조치
 		      }
 		      else
	          {
 		         dlgErrorMsg( resultObj );
	          }
 		   }
 		}
 		catch(errorObject) {
 	        showErrorDlg("doResult()", errorObject);
 		}
 	} 	
 
 </script>
 
<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>

<form id="form1" name="form1" method="post" modular:type="search">
<input type="hidden" name="fevent" id="fevent" value="">
<input type="hidden" name="pricesys_yn" id="pricesys_yn" value="<%=params.get("p_pricesys_yn") %>" />
<input type="hidden" name="bid_no" id="bid_no" value="<%=params.get("p_bid_no") %>" />
<input type="hidden" name="bid_deg" id="bid_deg" value="<%=params.get("p_bid_deg") %>" />
<input type="hidden" name="vendor_cd" id="vendor_cd" value="<%=params.get("p_vendor_cd") %>" /> 
<input type="hidden" name="dept_nm" id="dept_nm" value="<%=params.get("p_dept_nm") %>" />
<input type="hidden" name="pricesys_yn_dy" id="pricesys_yn_dy" value="<%=params.get("p_pricesys_yn_dy") %>" />
<input type="hidden" name="vendor_name" id="vendor_name" value="<%=params.get("p_vendor_name") %>" />
<input type="hidden" name="gubun" id="gubun" value="<%=params.get("p_gubun") %>" />
 
<div style="width: 100%; text-align: center; margin-top: 10px; margin-bottom: 15px;" >
	<span id="title1" style="font-size: 25px; font-weight: bold;"><u>하도급대금연동제 안내문</u></span>
</div>

<table cellspacing="0" cellpadding="0" border="0" bordercolordark="#FFFFF" bordercolorlight="#d2d2d2" class="input_table" style="width: 450px;">
<!-- <col width="*"> -->
	<div id="text1" style="width: 100%; vertical-align: middle; float: left; text-align: left; padding-bottom: 8px; line-height:50%"  >
		<div style="width: 100%; vertical-align: middle; float: left; text-align: left; padding-bottom: 8px; line-height:130%"  >
		<br></br>
		</div>					
		<div style="margin-left:15px; width: 93%; vertical-align: middle; float: left; text-align: left; padding-bottom: 8px; line-height:130%"  >
		<br>계정 하도급법 및 상생협력법(2023년 10월 4일 시행)에 따라, 당사에서는			
		<br>하도급계약에 대하여 하도급대금(납품대금) 연동제를 시행하고 있으며, 관련 내용을 하기와 같이 안내드립니다.</br>
		<br>					
		</div>			
		<div style="margin-left:15px; width: 93%; vertical-align: middle; float: left; text-align: left; padding-bottom: 8px; line-height:130%"  >
		<br>■ 하도급대금 연동제 의미</br>					
		</div>	
		<div style="margin-left:15px; width: 100%; vertical-align: middle; float: left; text-align: left; padding-bottom: 8px; line-height:130%"  >
		<br>- 하도급대금의 10% 이상을 차지하는 원재료에 대해 해당 원재료 가격이 원사업자(위탁기업)와
		<br>수급사업자(수탁기업)가 10% 이내의 범위에서 협의하여 정한 비율 이상 변동하는 경우
		<br>그 변동분에 연동하여 하도급대금을 조정하는 제도</br>
		<br>※ 관련법률 : 하도급법 제 2조 제17항, 상생협력법 제2조 제13호 등</br>
		<br>
		</div>		
		<div style="margin-left:15px; width: 93%; vertical-align: middle; float: left; text-align: left; padding-bottom: 8px; line-height:130%"  >
		<br>■ 하도급대금 연동제 적용대상</br>					
		</div>	
		<div style="margin-left:15px; width: 100%; vertical-align: middle; float: left; text-align: left; padding-bottom: 8px; line-height:130%"  >
		<br>- 중소기업/연간 매출액 3천억원 미만 중견기업 대상 계약
		<br>- 계약금액 1억원(VAT포함) 이상의 계약
		<br>- 계약금액 內 주요 원재료가 10% 이상 포함된 계약</br>
		<br>- 하도급거래 공정화에 관한 법률에 따르는 건설●제조●수리●용역 위탁계약
		<br><font color='red'>※ 상기 조건을 모두 충족하는 경우</font></br>
		<br>
		</div>		
		<div style="margin-left:15px; width: 93%; vertical-align: middle; float: left; text-align: left; padding-bottom: 8px; line-height:130%"  >
		<br>■ 협력업체 동의, 미동의에 따른 후속업무					
		<br><font color='red'>※ 하도급대금 연동제는 주요 원재료 가격 상승 뿐만 아니라 하락의 경우도 동일한 기준으로 적용</font></br>
		</div>	
		<div style="margin-left:15px; width: 100%; vertical-align: middle; float: left; text-align: left; padding-bottom: 8px; line-height:130%"  >
		<br>[하도급대금 연동제 '동의'를 선택한 경우]
		<br>- 입찰서 제출 시 SGC E&C 구매팀 입찰 담당자에게 원가정보 양식 제출
		<br> - 낙찰대상자는 계약 건 하도급대금 연동계약표 작성 및 협의
		<br>- 하도급계약 체결 시 하도급대금 연동계약 동시 체결(요건 충족 시)
		<br>- 계약체결 후 연동주기 도래시 마다 연동요건에 따른 잔여 계약금액 조정</br>
		<br>[하도급대금 연동제 '미동의'를 선택한 경우]
		<br>- 낙찰대상자는 하도급계약 체결 시 표준 미연동계약서 작성</br>
		<br>
		</div>		
		<div style="margin-left:15px; width: 93%; vertical-align: middle; float: left; text-align: left; padding-bottom: 8px; line-height:130%"  >
		<br>■ 관련 자료 (대용량 링크를 통해 다운로드)</br>
		</div>	
		<div style="margin-left:15px; width: 100%; vertical-align: middle; float: left; text-align: left; padding-bottom: 8px; line-height:130%"  >
		<br>(별첨2) 표준 연동계약서 가이드북 : <a href="https://fs.sgcenc.co.kr/pm/linkdown.htm?lid=66f220b8ac1c702a9301" target='_blank' />https://fs.sgcenc.co.kr/pm/linkdown.htm?lid=66f220b8ac1c702a9301</a>
		<br>(별첨3) 하도급대금 연동제 FAQ : <a href="https://fs.sgcenc.co.kr/pm/linkdown.htm?lid=66f220c7c830002b0201" target='_blank' />https://fs.sgcenc.co.kr/pm/linkdown.htm?lid=66f220c7c830002b0201</a>
		</div>		
		<div style="width: 100%; vertical-align: middle; float: left; text-align: left; padding-bottom: 8px; line-height:130%"  >
		<!-- <br>이상과 같이 서약하며 만일 이 서약을 위반하여 귀사의 유형 또는 무형의 재산에 손해를 끼쳤을 경우나 또는 권리를 침해하혔을 경우에는 민.형사상의 모든 책임을 질 것이며 귀사의 어떠한 조치라도 이의를 제기하지 않겠기에 서약을 제출합니다.</br> -->
		</div>		
		<div style="margin-left:15px; width: 93%; vertical-align: middle; float: left; text-align: center; padding-bottom: 8px; line-height:130%; font-weight: bold;"  >
		<br></br>
		<br><%=PricesysPop.get("pricesys_yn_dy")%></br>
		</div>
		<div style="margin-left:11px; width: 93%; vertical-align: middle; float: left; text-align: right; padding-bottom: 8px; line-height:130%; font-weight: bold;"  >
		<br>
		<br>(서약인) 소 재 지 : <%=PricesysPop.get("address") %></br>
		<br>회 사 명 : <%=PricesysPop.get("vendor_name") %></br>	
		<br>대 표 이 사 : <%=PricesysPop.get("rep_name") %></br>
		</div>			
		<div style="width: 100%; vertical-align: middle; float: left; text-align: center; padding-bottom: 8px; line-height:100%; font-weight: bold;"  >
		<br>
		<br>SGC이앤씨(주) 귀중</br>
		</div>
	</div>
	</table> 
	
	<div style="width: 480px; text-align: center; margin-top: 20px;">
		<span id="save" name="save" class="btnSearch center"><a href="javascript:void(0);" id="btn_save">확인</a></span>		
		<span id="print" name="print" class="btnSearch center"><a href="javascript:void(0);" id="btn_print">인쇄</a></span>
		<span id="close" name="close" class="btnSearch center"><a href="javascript:void(0);" id="btn_close">닫기</a></span>	
	</div>	
	<br></br>
</form>