<%--
  - Author(s)  : Hyung min Son
  - Date       : 2014.06.30
  - Description: 입찰진행(외주) 현설의뢰
  --%>
  
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="kr.co.udapsoft.common.code.*" %>
<%@ page import="com.udapsoft.waf.common.util.StringUtils"%>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
    ValueObject Order = storage.getValueObject("Order");
    ValueObject filein = storage.getValueObject(Order.get("DOC_ETC_IN"));
    ValueObject fileout = storage.getValueObject(Order.get("DOC_ETC_OUT"));
%>
<SCRIPT language="JavaScript">
	/*예약함수*/
	var sheet1 = new ibsheetObject();
	var sheet1Row;
	var sheet1PageNo = 1;
	var pageLastRowIndex = 1;
	var validationResult = false;
	var filterShow = false;
	
	var must_msg = "(은)는 필수 입력 항목입니다."; 
	function _onReady(){
		 $("#btn_list").click(function() {
				$("#fevent").val("");
				$("#form1").attr("action", "/portal/bid/SiteExplanList.screen");
				$("#form1").attr("target", "_self");
				$("#form1").attr("method", "post");
				$("#form1").submit();
		});

		 $("#btn_Save").click(function() {
			 var msg = "저장 하시겠습니까?";
			 if($("#SITE_ATTEND_YN").val() == ""){
				 alert("견적설명회 참석의사를 선택하세요");
				 $("#SITE_ATTEND_YN").focus();
				 return;
			 }else if($("#SITE_ATTEND_YN").val() == "Y"){
				 msg = "견적설명회에 참석하시겠습니까?";	 
			 }else if($("#SITE_ATTEND_YN").val() == "N"){
				 msg = "견적설명회에 불참하시겠습니까?";	 
				 if($("#SITE_ATTEND_REASON").val().length == 0){
					 alert("견적설명회 불참사유는 필수입니다.");
					 $("#SITE_ATTEND_REASON").focus();
					 return;
				 }
			 }
			 if(confirm(msg)){
				var f = document.form1;
				$("#fevent").val("FORM_UPDATE");
				submitXmlRequest("/portal/bid/SiteExplan_form.screen", "FORM_UPDATE", f);
			 }
		});
		 $("#SITE_ATTEND_YN").val("<%=Order.get("SITE_ATTEND_YN")%>");
		 var statusCd = "<%=Order.get("STATUS_CD")%>";
		 if(statusCd != "03"){
			 $("#SITE_ATTEND_YN").attr("disabled",true);
			 $("#btn_Save").hide();
		 }
		 $("#SITE_ATTEND_YN").change(function() {
			 if($("#SITE_ATTEND_YN").val() == "N"){
					$("#SITE_ATTEND_TABLE").show();//불참 사유 숨김.
					$("#SITE_ATTEND_DIV").show();//불참 사유 숨김.
			 }else{
					$("#SITE_ATTEND_TABLE").hide();//불참 사유 숨김.
					$("#SITE_ATTEND_DIV").hide();//불참 사유 숨김.
			 }
		 });
		 $("#SITE_ATTEND_YN").change();
	}

	
	//첨부파일   
	function doAttachFile(obj,No) {
		var file_div = "";
		<%if(!Order.get("DEMANDED_KIND").equals("O")){%>
			file_div = "bid/purchase/<%=Order.get("BID_NO")%>/";
		<%}else{%>
			file_div = "bid/outside/<%=Order.get("BID_NO")%>/";
		<%}%>
		 if(obj==''){
			alert("After you have saved, you can attach a file.");
		}
		else if(obj != ''){ 
			if(No == 1){
				//viewFileList("<%=Order.get("DOC_ETC_IN")%>", obj.value, document.form1.p_AttachFile1, "N", "N", "Y", "N");
			}else{
				viewFileListNew("<%=Order.get("DOC_ETC_OUT")%>", obj.value, document.form1.p_AttachFile2, "N", file_div);
			}
		} 
	}
	
	function sheet1_OnSmartResize(Width, Height) { 
		sheet1.FitColWidth();
		autoResize();
	}

	function autoResize(){	}	
	
	function doResult(resultObj) {
		try {
			if( resultObj.getRequestEvent() == "FORM_UPDATE") {
				if( resultObj.getSuccess() ) {
					alert("견적설명회 참석의사가 저장되었습니다.");
					$("#fevent").val("FORM_SELECT");
					$("#form1").attr("action", "/portal/bid/SiteExplan.screen");
					$("#form1").attr("target", "_self");
					$("#form1").attr("method", "post");
					$("#form1").submit();
				}
				else {
					dlgErrorMsg(resultObj);
				}
			}
		} catch(errorObject) {
			showErrorDlg("doResult()", errorObject);
		}
	}
</SCRIPT>


<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>
<form id="form1" name="form1" method="post" modular:type="search">

<INPUT type='hidden' name="fevent" id="fevent"  value="">
<INPUT type='hidden' name="DEMANDED_ID" value="<%=Order.get("DEMANDED_ID")%>">
<INPUT type='hidden' name="BID_NO" value="<%=Order.get("BID_NO")%>">
<INPUT type='hidden' name="BID_DEG" value="<%=Order.get("BID_DEG")%>">
<INPUT type='hidden' name="STATUS_CD" value="<%=Order.get("STATUS_CD")%>">
<INPUT type="hidden" name="VENDOR_CD" value="<%=user.get("CORP_ID")%>">
<INPUT type="hidden" name="DEMANDED_KIND" value="<%=user.get("DEMANDED_KIND")%>">

<table width="100%">
	<colgroup>
		<col width="500" />
		<col width="*" />
	</colgroup>
	<tr>
   		<th>
	   		<div align="left" id="title" >
 			  <ul><li>외주_견적설명회 상세 <font style="font-size:11px">(<%=Order.get("STATUS_NM")%>)</font></li></ul>
			</div> 
   		</th>
   		<td align="right">
   			<span class="btnSearch center" id="btn_Save"><a href="javascript:void(0);">저장</a></span>
       		<span class="btnSearch center" id="btn_list"><a href="javascript:void(0);">목록</a></span>
   		</td>
  	</tr>
</table>
<!-- 발주의뢰정보 : 시작 -->
<div class="application-info magT15" id=SITE_ATTEND_DIV>
	<div class="application-sub-title">
		<span class="title">견적설명회 불참사유</span>
	</div>
</div>
<TABLE class="form-table" id=SITE_ATTEND_TABLE>
	<colgroup>
		<col width="160"/>
		<col/>
	</colgroup>
  <TR height="25"> 
    <TH style="text-align:left">불참사유</TH>
	<TD><TEXTAREA name="SITE_ATTEND_REASON" id="SITE_ATTEND_REASON" style="width:99%;height:50px" rows="1" class="input" ><%=Order.get("SITE_ATTEND_REASON")%></TEXTAREA></TD>
  </TR>
 </TABLE>
<!-- 발주의뢰정보 : 시작 -->
<div class="application-info magT15">
	<div class="application-sub-title">
		<span class="title">발주의뢰정보</span>
	</div>
</div>

<TABLE class="form-table">
	<colgroup>
		<col width="145"/>
		<col width="145"/>
		<col width="29%"/>
		<col width="145"/>
		<col/>
	</colgroup>
  <TR height="25"> 
    <TH style="text-align:left"> 입찰번호-차수</TH>
	<TD colspan="2"><%=Order.get("bid_no") %> - <%=Order.get("bid_deg") %></TD>
	<TH style="text-align:left"> 온라인입찰여부</TH>
	<TD><%=Order.get("ONBID_YN_NM")%></TD>
  </TR>

  <TR height="25"> 
	<TH style="text-align:left"> 입찰명</TH>
	<TD colspan="2"><%=Order.get("BID_MASTER_NM")%></TD>
	<TH style="text-align:left"> 경쟁방법</TH>
	<TD colspan="2"><%=Order.get("CMPT_NM") %></TD>
  </TR>
  
  <TR height="25"> 
	<TH style="text-align:left"> 낙찰자선정방법</TH>
	<TD colspan="2"><%= Order.get("SUCC_NM") %></TD> 	
	<TH style="text-align:left"> 공종</TH>
	<TD colspan="2"><%= Order.get("OUT_ITEM_NM") %></TD> 	
  </TR> 
   <TR height="25"> 
	<TH style="text-align:left">공사기간</TH>
	<TD colspan="2"><%= Order.get("DELI_FROM_DY_NM") %> <%if(!Order.get("DELI_FROM_DY_NM").isEmpty()||!Order.get("DELI_TO_DY_NM").isEmpty()){ %>~<%} %> <%=Order.get("DELI_TO_DY_NM") %></TD>
	<TH style="text-align:left"> 공사장소</TH>
	<TD colspan="2"><%= Order.get("DELIVERY_PLACE") %></TD> 	
  </TR> 	  
  <!-- 발주의뢰정보 : 종료 -->
</table>

<div class="application-info magT15">
	<div class="application-sub-title">
		<span class="title">입찰진행</span>
	</div>
</div>

<TABLE class="form-table">
	<colgroup>
		<col width="145"/>
		<col width="145"/>
		<col width="29%"/>
		<col width="145"/>
		<col/>
	</colgroup>
  <TR height="25"> 
    <TH style="text-align:left">공고일자</TH>
	<TD colspan="4"><%=Order.get("NOTI_DY_NM") %></TD>
  </TR>


  <TR height="25"> 
	<TH rowspan="4" style="text-align:left"> 견적설명회 정보</TH>
	<TH style="text-align:left"> 여부</TH>
	<TD><%=Order.get("SITEDESC_FLAG_NM")%></TD>
	<TH style="text-align:left"> 담당자</TH>
	<TD><%=Order.get("SITEDESCCHRGPRSNNM")%></TD>	
  </TR>
  
  <TR height="25"> 
	<TH style="text-align:left"> 담당자 전화번호</TH>
	<TD><%=Order.get("SITEDESCTELNO")%></TD>
	<TH style="text-align:left"> 일시</TH>
	<TD><%=Order.get("SITEDESCDATE_NM")%></TD>		
  </TR> 	
  
    <TR height="25"> 
	<TH style="text-align:left">담당자 E-Mail</TH>
	<TD><%=Order.get("SITEDESCEMAIL")%></TD>
	<TH style="text-align:left">장소</TH>
	<TD><%=Order.get("SITEDESCPLACE")%></TD>		
  </TR> 
   <TR height="25">
   	<TH style="background:#ffe1b5;text-align:left">참석의사</TD>
	<TD> 
		<select id="SITE_ATTEND_YN" >
			<option value="">- 선택 -</option>
			<option value="Y">참석</option>
			<option value="N">불참</option>
		</select>
	</TD> 
	
	  <%
  	String		sitedescYn	=	"";
  	if(Order.get("SITEDESC_YN").equals("불참"))
  	{
  		sitedescYn	=	"<font color='red'>"+Order.get("SITEDESC_YN_NM")+"</font>";
  	}
  	else
  	{
  		sitedescYn	=	"<font color='blue'>"+Order.get("SITEDESC_YN_NM")+"</font>";
  	}
  %>
	<TH style="background:#ffe1b5;text-align:left">참여상태</TD>
	<TD><B><%=sitedescYn%></B></TD>		
  </TR> 
  
  <TR height="25"> 
	<TH rowspan="2" style="text-align:left">견적 의뢰</TH>
	<TH style="text-align:left"> 견적제출기간</TH>
	<TD colspan="3"><%=Order.get("BID_FROM_DT_NM")%> ~<%=Order.get("BID_TO_DT_NM")%></TD>
  </TR>
  
  <TR height="25"> 
	<TH style="text-align:left"><%if(Order.get("DEMANDED_KIND").equals("O")){%>외주<%}else{%>구매<%}%>담당자</TH>
	<TD><%=Order.get("PUREMPNM")%></TD>
	<TH style="text-align:left"><%if(Order.get("DEMANDED_KIND").equals("O")){%>외주<%}else{%>구매<%}%>담당자 전화번호</TH>
	<TD><%=Order.get("PO_EMPNM")%></TD>		
  </TR> 	
  </TR> 
  
  <TR height="25"> 
	<TH style="text-align:left">기술검토(TBE)</TH>
	<TH style="text-align:left">TBE 여부</TH>
	<TD><%=Order.get("TBE_FLAG_NM")%></TD>
	<TH style="text-align:left"> TBE 일자</TH>
	<TD><%=Order.get("SUPP_REQ_DY_NM")%></TD>	
  </TR>
  <!-- 발주의뢰정보 : 종료 -->
</table>

<div class="application-info magT15">
	<div class="application-sub-title">
		<span class="title">입찰조건</span>
	</div>
</div>

<TABLE class="form-table">
	<colgroup>
		<col width="145"/>
		<col width="145"/>
		<col width="29%"/>
		<col width="145"/>
		<col/>
	</colgroup>
  <TR height="25"> 
	<TH style="text-align:left">통화구분</TH>
	<TD colspan="4"> <%=Order.get("CURRENCY_GB_NM") %>
	</TD>
  </TR>
   <TR height="25"> 
	<TH style="text-align:left">계약형태</TH>
	<TD colspan="4"> 
		<%=Order.get("OBC_CONT_TYPE_NM") %>
	</TD>
  </TR>
  <TR height="25"> 
  	<TH rowspan="2" style="text-align:left">공사대금</TH>
	<TH style="text-align:left">선급금</TH>
	<TD><% if(!Order.get("OBC_FRST_CONT_RATE").isEmpty()){%> 계약금액의 : <%= Order.get("OBC_FRST_CONT_RATE") %>%<br><%}%>
	<%= Order.get("OBC_FRST_CONDI") %> <br>
	<%= Order.get("OBC_FRST_CNT_CONDI") %></TD>
	<TH style="text-align:left">기성금</TH>
	<TD><% if(!Order.get("CPC_MID_RATE").isEmpty()){%> 계약금액의 :<%= Order.get("CPC_MID_RATE")%>% ,<%}%><% if(!Order.get("OBC_MID_CASH_RATE").isEmpty()){%> 현금 : <%= Order.get("OBC_MID_CASH_RATE")%>  % <%}%> <% if(!Order.get("OBC_MID_BILL_RATE").isEmpty()){%>어음 : <%= Order.get("OBC_MID_BILL_RATE")%>%<%}%><br>
			<% if(!Order.get("OBC_MID_PAYDAY").isEmpty()){%>세금계산서 발행일로부터 <%=Order.get("OBC_MID_PAYDAY")%> 일 내 지급<br>
			<%=Order.get("OBC_MID_REQ_MONTH")%> 개월 당 <%=Order.get("OBC_MID_CNT")%> 회 말일에 청구<%}%>
	</TD>	
  </TR>
    <TR height="25"> 
	<TH style="text-align:left">준공금</TH>
	<TD colspan="3" style="text-align:left"><% if(!Order.get("PBC_REST_RATE").isEmpty()){%> 계약금액의 : <%=Order.get("PBC_REST_RATE")%>% ,<%}%><% if(!Order.get("OBC_FIN_CASH_RATE").isEmpty()){%> 현금 : <%=Order.get("OBC_FIN_CASH_RATE")%>  % <%}%><% if(!Order.get("OBC_FIN_BILL_RATE").isEmpty()){%> 어음 : <%=Order.get("OBC_FIN_BILL_RATE")%>%<%}%>
			<%-- <br><% if(!Order.get("OBC_FIN_PAYDAY").isEmpty()){%>세금계산서 발행일로부터 <%=Order.get("OBC_FIN_PAYDAY")%> 일 내 지급<%}%><br>
			<%=Order.get("OBC_FIN_CONDI") %></TD> --%>
  </TR>
  <TR height="25"> 
  	<TH rowspan="2" style="text-align:left">보증조건</TH>
	<TH style="text-align:left">선급금보증</TH>
	<TD><% if(!Order.get("CBC_FIRST_RATE").isEmpty()){%>계약금액의 <%=Order.get("CBC_FIRST_RATE")%>%<%}%></TD>
	<TH style="text-align:left">계약이행 보증</TH>
	<TD><% if(!Order.get("CONTFUL_RATE").isEmpty()){%>계약금액의 <%= Order.get("CONTFUL_RATE") %>%<%}%></TD>	
  </TR>
  <TR height="25"> 
	<TH style="text-align:left">하자이행 보증</TH>
	<TD><% if(!Order.get("WARR_RATE").isEmpty()){%>준공금액의 <%= Order.get("WARR_RATE")%>%<%}%></TD>
	<TH style="text-align:left">하자담보기간</TH>
	<TD><% if(!Order.get("CBC_DEFECT_DAY").isEmpty()){%>준공일로부터 <%= Order.get("CBC_DEFECT_DAY")%> 개월<%}%></TD>
  </TR>  
  <TR height="35"> 
  	<TH style="text-align:left">기타조건</TH>
  	<TH style="text-align:left">하도급대금<br>연동 기준비율</TH>
	<TD><% if(!Order.get("PAY_CON_RATE").isEmpty()){%> <%= Order.get("PAY_CON_RATE")%>%<%}%></TD>
	<TH style="text-align:left">지체상금</TH>
	<TD><% if(!Order.get("CBC_DAMAGE_RATE").isEmpty()){%>일당 계약금액의 <%= Order.get("CBC_DAMAGE_RATE")%>%,<%}%><% if(!Order.get("CBC_DAMAGE_MAXRATE").isEmpty()){%> 최대 <%= Order.get("CBC_DAMAGE_MAXRATE")%>%<%}%></TD>	
  </TR>
  <TR height="25"> 
  	<TH rowspan="6" style="text-align:left">간접비 견적조건</TH>
	<TH style="text-align:left">고용보험료</TH>
	<TD><% if(!Order.get("OBC_EMP_RATE").isEmpty()){%>노무비 * <%= Order.get("OBC_EMP_RATE")%>  % &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp  &nbsp
		<%}%> <%=Order.get("OBC_EMP_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
	<TH style="text-align:left">연금보험료</TH>
	<TD><% if(!Order.get("OBC_PENSION_RATE").isEmpty()){%>직접노무비 <%=Order.get("OBC_PENSION_RATE")%>  % &nbsp &nbsp &nbsp&nbsp &nbsp  &nbsp
		<%}%><%=Order.get("OBC_PENSION_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>	
  </TR>
  <TR height="25"> 
	<TH style="text-align:left">건강보험료</TH>
	<TD><% if(!Order.get("OBC_HEALTH_RATE").isEmpty()){%>직접노무비 * <%=Order.get("OBC_HEALTH_RATE")%>  % &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp   &nbsp
	<%}%><%=Order.get("OBC_HEALTH_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
	<TH style="text-align:left">노인장기보험료</TH>
	<TD><% if(!Order.get("OBC_ELDER_RATE").isEmpty()){%>건강보험료 * <%=Order.get("OBC_ELDER_RATE")%>  % &nbsp &nbsp&nbsp &nbsp  &nbsp
	<%}%><%=Order.get("OBC_ELDER_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>	
  </TR>
  <TR height="25"> 
	<TH style="text-align:left">산재보험료</TH>
	<TD><% if(!Order.get("OBC_WORK_RATE").isEmpty()){%>노무비 * <%=Order.get("OBC_WORK_RATE")%>  % &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp
		<%}%><%=Order.get("OBC_WORK_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
	<TH style="text-align:left">퇴직공제부금</TH>
	<TD><% if(!Order.get("OBC_RESIGN_RATE").isEmpty()){%>노무비 * <%=Order.get("OBC_RESIGN_RATE")%>  % &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp&nbsp &nbsp
		<%}%><%=Order.get("OBC_RESIGN_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>	
  </TR>
  <TR height="25"> 
	<TH style="text-align:left">안전관리비</TH>
	<TD><% if(!Order.get("OBC_SAFE_RATE").isEmpty()){%>노무비 * <%= Order.get("OBC_SAFE_RATE")%>  % &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp
		<%}%> <%=Order.get("OBC_SAFE_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
	<TH style="text-align:left">환경관리비</TH>
	<TD><% if(!Order.get("OBC_ENV_RATE").isEmpty()){%>재료비 * <%= Order.get("OBC_ENV_RATE")%>  %  &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp&nbsp &nbsp
		<%}%><%=Order.get("OBC_ENV_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>	
  </TR>
  <TR height="25"> 
	<TH style="text-align:left">현장관리비</TH>
	<TD><% if(!Order.get("OBC_SITE_RATE").isEmpty()){%>직접비 * <%=Order.get("OBC_SITE_RATE")%>  % &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp
		<%}%><%=Order.get("OBC_SITE_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
	<TH style="text-align:left">매입부가세</TH>
	<TD><% if(!Order.get("OBC_DUTY_RATE").isEmpty()){%>재료비 * 매입세율 <%= Order.get("OBC_DUTY_RATE")%>  %  &nbsp
		<%}%><%=Order.get("OBC_DUTY_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>	
  </TR>
  <TR height="25"> 
	<TH style="text-align:left">간접비 정산조건</TH>
	<TD><%=Order.get("OBC_IND_YN").equals("Y") ? "<font color='blue'>[실적정산]</font>" : "<font color='red'>[비례정산]</font>" %></TD>
	<TH style="text-align:left">건설기계 수수료</TH>
	<TD><%=Order.get("OBC_WARR_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
  </TR>  
</TABLE>

<TABLE class="form-table" style="margin-top:5px">
	<colgroup>
		<col width="145"/>
		<col/>
	</colgroup>
  <TR height="25"> 
	<TH style="text-align:left">특이사항</TH>
	<TD >
	 <%=StringUtils.cvtHTML(Order.get("OUTER_REMARKS"))%>   
	</TD>
  </TR>
  <TR height="100"> 
	<TH style="text-align:left">첨부파일</TH>
	<TD>
	<TEXTAREA name="p_AttachFile2" id="p_AttachFile2" style="width:85%;height:80px" rows="1" class="input" readOnly><%=fileout.get(Order.get("DOC_ETC_OUT")) %></TEXTAREA>
    <IMG id='search_spot_button' onClick="doAttachFile(document.form1.DEMANDED_ID,2);" src='/img/buyer/button/bt_change.gif' border='0'  align="top" align='absmiddle' alt='[Attach File]' style='cursor:pointer;'>
	</TD>
  </TR>  
</TABLE>
</form>
