<%--
  - FileName   : PuSupplier.jsp
  - Author(s)  : 이성민
  - Date       : 2014.06.26
  -
  - Description: 협력업체현황 상세
  --%>

<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="com.udapsoft.waf.common.util.DateUtil"%>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ page import="kr.co.hsnc.common.sql.RowSet" %>
<%@ page import="kr.co.udapsoft.common.code.*" %>
<%@ page import="com.udapsoft.waf.common.util.StringUtils" %>
<%@ page import="com.udapsoft.waf.common.util.Formatter2"%>
<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
    String event = storage.getEvent();
    
    
    ValueObject vo = storage.getValueObject("InfoBaseList");
    ValueObject filein = storage.getValueObject("TERMS_AGREE_INFO");
    
    ValueObject corpInfoVo = storage.getValueObject("corpInfoVo");
    
	String yyyy = (new java.text.SimpleDateFormat ("yyyy")).format (new java.util.Date());
    
	int year = Integer.parseInt(storage.getRowSet("g_base_year").getRow(0).get("G_BASE_YEAR"));
    //Integer.toString(year+1)+ "|" + 
    String yesrCombo = Integer.toString(year) + "|" + Integer.toString(year-1) + "|" + Integer.toString(year-2) + "|" + Integer.toString(year-3) + "|" + Integer.toString(year-4);
    String yesrCombo_new = Integer.toString(year-1) + "|" + Integer.toString(year-2) + "|" + Integer.toString(year-3) ;

    RowSet rowset = storage.getRowSet("out_main");
	RowSet getFileListRowSet = storage.getRowSet("getFileListRowSet");
	RowSet licMasterList = storage.getRowSet("licMasterList");

	String lic_code = "";
	String lic_name = "";

	for (int i = 0; i < licMasterList.size(); i++) {
		lic_code = lic_code + "|"
				+ (licMasterList.getRow(i).get("LIC_CD"));
		lic_name = lic_name + "|"
				+ (licMasterList.getRow(i).get("LIC_NM"));
	}
	String sToday = DateUtil.getSystemDate().substring(0,8);
%>
<!-- CSS -->
<link href="/css/buyer/member_style.css" rel="stylesheet" type="text/css" />

<!-- SCROPT -->
<script type="text/javascript">
<!--

	var now = new Date();
	
	var now_DY = now.getFullYear();
	var now_MM = (now.getMonth() + 1);
	if(now_MM < 10){
		now_MM = "0"+ now_MM;
	}
	var now_dd = now.getDate();
	if(now_dd < 10){
		now_dd = "0"+now_dd;
	}
	now_DY = now_DY+now_MM+now_dd;

	var credit_yn = "<%=vo.get("credit_yn")%>";
	
	var job_div = "<%=params.get("job_div")%>";
	
	var class_gubun = "<%=vo.get("ITEM_STD_CD")%>";
	
	var corp_reg_gubun = "<%=vo.get("CORP_REG_NO") %>"; 
	corp_reg_gubun = corp_reg_gubun.trim().substring(3,5);
	
	var search_flag_4 = "N";
	var search_flag_5 = "N";
	var search_flag_6 = "N";
	var search_flag_7 = "N";
	var search_flag_8 = "N";
	var search_flag_9 = "N";	


	$(document).ready(function(){
	  
	    var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, MergeSheet:msHeaderOnly, Page:30,ChildPage:10};
		
		init_sheet.Cols = [
									{Header:"레벨",	 			Type:"Text", 				TreeCol:1,				LevelSaveName:"MATERIAL_LEVEL",	 	SaveName:"MATERIAL_LEVEL"	,	Width:250},
									{Header:"대분류",	 			Type:"Text", 				SaveName:"GUBUN_1",		Width:80, 	 Align:"Center",  Hidden:"True"},
									{Header:"중분류",	 			Type:"Text", 				SaveName:"GUBUN_2",		Width:80, 	 Align:"Center",  Hidden:"True"},
									{Header:"소분류",	 			Type:"Text", 				SaveName:"GUBUN_3",		Width:80, 	 Align:"Center",  Hidden:"True"},
									{Header:"LEVEL",	 			Type:"Text", 				SaveName:"LEVEL",		Width:0, 	 Align:"Center", Hidden:"True"},
									{Header:"CODE",	 			Type:"Text", 				SaveName:"MATERIALGROUP",		Width:100, 	 Align:"Center", Hidden:"True"}
									
		                   		];
		
		
		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheet1, init_sheet);
		sheet1.SetDataAutoTrim(0);
		sheet1.SetEditable(false);
		sheet1.SetCountPosition(0);
		sheet1.FitColWidth();
		
	
		
		/***********************sheet2*****************************/
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, MergeSheet:msHeaderOnly, Page:10};
		
		init_sheet.Cols = [
									{Header:"삭제",				Type:"DelCheck",			SaveName:"DEL_CHECK", 					Width:50, 	Align:"Center"},
									{Header:'Status',				Type:"Status", 			SaveName:"STATUS", 						Width:0, 	Align:"Center", Hidden:"True"},
									{Header:"대분류",	 			Type:"Text", 				SaveName:"KIND_BIG_NAME",	 			Width:110,  Align:"Left" },
									{Header:"중분류",	 			Type:"Text", 				SaveName:"KIND_MID_NAME",				Width:110, 	 Align:"Left"},
									{Header:"소분류",	 			Type:"Text", 				SaveName:"KIND_SMALL_NAME",			Width:110, 	 Align:"Left"},
									<%if(params.get("job_div").equals("P")){%>
									{Header:"대표ITEM",	 		Type:"Radio", 				SaveName:"MAIN_ITEM",					Width:80, 	 Align:"Center"},
									<%}else{%>
									{Header:"대표공종",	 		Type:"Radio", 				SaveName:"MAIN_ITEM",					Width:80, 	 Align:"Center"},
									<%}%>
									{Header:"ITEM_CODE",	 	Type:"Text", 				SaveName:"ITEM_CODE",					Width:0, 	 Align:"Center", Hidden:"True"}
		                   		];
		
		
		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheet2, init_sheet);
		sheet2.SetDataAutoTrim(0);
	    sheet2.SetEditable(true);
	    sheet2.SetCountPosition(0);
		sheet2.FitColWidth();
		
		
	
		
		


		/***********************	*****************************/
		
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, MergeSheet:msHeaderOnly, Page:10};
		
		init_sheet.Cols = [
									{Header:'Status',					Type:"Status", 			SaveName:"STATUS", 					Width:0, 	Align:"Center", Hidden:"True"},
									{Header:"신용평가사",	 		Type:"Text", 				SaveName:"CREDIT_CORP_CD",	 	Width:100, Edit:"False"},
									{Header:"신용등급",	 			Type:"Text", 				SaveName:"CREDIT_GRADE",			Width:100, 	 Align:"Center"},
									{Header:"현금흐름등급",	 		Type:"Text", 				SaveName:"CASH_GRADE",				Width:100, 	 Align:"Center"},
									{Header:"신용평가만료일",	 	Type:"Date", 				SaveName:"CREDIT_END_DY",			Width:100, 	 Align:"Center"},
									{Header:"신용평가사코드",	 	Type:"Text", 				SaveName:"GUBUN_CODE",				Width:100, 	 Align:"Center", Hidden:"True"}
		                   		];
		
		
		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheet3, init_sheet);
		sheet3.SetDataAutoTrim(0);
		sheet3.SetEditable(false);
		sheet3.SetCountPosition(0);
	
		sheet3.FitColWidth();
		
		
	/***********************sheet4*****************************/
		
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, MergeSheet:msHeaderOnly, Page:10};
		
		init_sheet.Cols = [
									{Header:'Status',					Type:"Status", 			SaveName:"STATUS", 				Width:0, 	Align:"Center", Hidden:"True"},
									{Header:"ID",	 					Type:"Text", 				SaveName:"USER_ID",	 			Width:140},
									{Header:"비밀번호",	 			Type:"Text", 				SaveName:"PASSWD",				Width:140, 	 Align:"Center", Hidden:"True"},
									{Header:"담당자명",	 			Type:"Text", 				SaveName:"USER_NAME",			Width:140, 	 Align:"Center"},
									{Header:"부서명",	 				Type:"Text", 				SaveName:"DIVISION",				Width:140, 	 Align:"Center"},
									{Header:"직위",	 				Type:"Text", 				SaveName:"POSITION",				Width:140, 	 Align:"Center"},
									{Header:"이메일",	 				Type:"Text", 				SaveName:"EMAIL",					Width:140, 	 Align:"Center"},
									{Header:"전화번호",	 			Type:"Text", 				SaveName:"TEL_NUM",				Width:160, 	 Align:"Center"},
									{Header:"FAX번호",	 			Type:"Text", 				SaveName:"FAX_NUM",				Width:160, 	 Align:"Center"},
									{Header:"휴대전화",	 			Type:"Text", 				SaveName:"HP1",				Width:30, 	 Align:"Center",	EditLen:"3"},
									{Header:"휴대전화",	 			Type:"Text", 				SaveName:"BAR1",				Width:12, 	 Align:"Left",	Edit:"false"},
									{Header:"휴대전화",	 			Type:"Text", 				SaveName:"HP2",				Width:30, 	 Align:"Center",	EditLen:"4"},
									{Header:"휴대전화",	 			Type:"Text", 				SaveName:"BAR2",				Width:12, 	 Align:"Left",	Edit:"false"},
									{Header:"휴대전화",	 			Type:"Text", 				SaveName:"HP3",				Width:30, 	 Align:"Center",	EditLen:"4"},
									{Header:"비고",	 			Type:"Text", 				SaveName:"NOTE",				Width:160, 	 Align:"Left"}
		                   		];
		
		
		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheet4, init_sheet);
		sheet4.SetDataAutoTrim(0);
		sheet4.SetEditable(false);
		sheet4.SetCountPosition(0);
		
		sheet4.FitColWidth();
		
		
	/***********************납품실적*****************************/
		
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, MergeSheet:msHeaderOnly, Page:10};
		
		
		if(job_div == "P")
    	{
		    init_sheet.Cols = [
								{Header:'삭제',				Type:"DelCheck",		SaveName:"DEL_CHECK", 			Width:60, 		Align:"Center"},
								{Header:"상태",	 			Type:"Status", 			SaveName:"STATUS"	,			Width:0,  		Hidden:"True"},
								{Header:"납품처명",	 		Type:"Text", 			SaveName:"DELI_CORP_NM"	,		Width:140, 		Align:"Left"},
								{Header:"납품처사업자번호",	 	Type:"Text", 			SaveName:"DELI_CORP_NO",		Width:120, 	 	Align:"Left", Format:"SaupNo"},
								{Header:"품목명",	 			Type:"Text", 			SaveName:"ITEM_NM",				Width:120, 	 	Align:"Left"},
								{Header:"계약금액",	 		Type:"Int", 			SaveName:"CONT_AMT",			Width:120, 	 	Align:"Right", Format:"#,##0"},
								{Header:"수량",	 			Type:"Text", 			SaveName:"QTY",					Width:120, 	 	Align:"Right"},
								{Header:"규격",	 			Type:"Text", 			SaveName:"STD",					Width:120, 	 	Align:"Left"},
								{Header:"납품시작일",	 		Type:"Date", 			SaveName:"DELI_START_DY",		Width:140, 	 	Align:"Center"}, //, Format:"Ym"
								{Header:"납품종료일",	 		Type:"Date", 			SaveName:"DELI_END_DY",			Width:140, 	 	Align:"Center"},								
								{Header:'☞첨부',				Type:"Text", 			SaveName:"FILE_YN", 			Width:60, 		Align:"center", Edit:"false",	Cursor:'pointer'},
								{Header:'승인여부',			Type:"Text", 			SaveName:"DELIRESULT_CONFIRM_NM", 	Width:60, 		Align:"center", Edit:"false"},
								{Header:'DELIRESULT_CONFIRM',	Type:"Text", 		SaveName:"DELIRESULT_CONFIRM", 	Width:60, 		Align:"center", Hidden:"true"},
								{Header:'DELI_FILE_ID',		Type:"Text", 			SaveName:"DELI_FILE_ID",		Width:0, 		Align:"center", Hidden:"true"},
				    			{Header:'FILE_ID',			Type:"Text", 			SaveName:"FILE_ID", 			Width:0, 		Align:"center", Hidden:"true"},
								{Header:"SEQ",	 			Type:"Text", 			SaveName:"SEQ",					Width:0, 	 	Align:"Center", Hidden:"True"},
								{Header:"CREDIT_END_DY",	Type:"Text", 			SaveName:"CREDIT_END_DY",		Width:0, 	 	Align:"Center", Hidden:"True"},
								{Header:"CREDIT_YN",	 	Type:"Text", 			SaveName:"CREDIT_YN",			Width:0, 	 	Align:"Center", Hidden:"True"}
								
	                  		];
    	}
		else
	    {
		    init_sheet.Cols = [
								{Header:'삭제',						Type:"DelCheck",			SaveName:"DEL_CHECK", 				Width:70, 		Align:"Center"},
								{Header:"상태",	 				Type:"Status", 			SaveName:"STATUS"	,					Width:0, 		Hidden:"True"},
								{Header:"기준년도",	 			Type:"Combo", 			SaveName:"BASE_YEAR",				Width:80, 	 	Align:"Center", ComboText:"<%=yesrCombo_new%>", ComboCode:"<%=yesrCombo_new%>", KeyField:"True"},
								{Header:"공사명",	 				Type:"Text", 				SaveName:"CONT_NM",					Width:250, 		Align:"Left",EditLen:"250", KeyField:"True"},
								{Header:"당사여부",	 			Type:"Combo", 				SaveName:"ETEC_YN",			Width:150, 	 	Align:"Left", ComboText:"SGC이앤씨|타사", ComboCode:"Y|N", KeyField:"True"},
								{Header:"발주처명",	 			Type:"Text", 				SaveName:"ORDR_ORG_NM",			Width:150, 	 	Align:"Left",EditLen:"60", KeyField:"True"},
								{Header:"도급사",	 				Type:"Text", 				SaveName:"ORDR_NM",					Width:150, 	 	Align:"Left", EditLen:"60", KeyField:"True"},
								{Header:"당년도 계약금액",	 	Type:"Int", 					SaveName:"CONT_AMT",				Width:120, 	 	Align:"Right", Format:"#,##0", KeyField:"True"},
								{Header:"계약년월",	 			Type:"Date", 				SaveName:"CONT_DY",					Width:70, 	 	Align:"Center", Format:"Ym", KeyField:"True"},
								{Header:"착공년월",	 			Type:"Date", 				SaveName:"CONT_STA_DY",			Width:70, 	 	Align:"Center", Format:"Ym", Hidden:"True"},
								{Header:"준공년월",	 			Type:"Date", 				SaveName:"CONT_END_DY",			Width:70, 	 	Align:"Center", Format:"Ym", KeyField:"True"}, //, Format:"Ym"
								{Header:"CONT_SEQ",	 		Type:"Text", 				SaveName:"CONT_SEQ",				Width:0, 	 	Align:"Center", Hidden:"True"},
								{Header:"CREDIT_END_DY",	Type:"Text", 				SaveName:"CREDIT_END_DY",			Width:0, 	 	Align:"Center", Hidden:"True"},
								{Header:"CREDIT_YN",	 		Type:"Text", 				SaveName:"CREDIT_YN",				Width:0, 	 	Align:"Center", Hidden:"True"}
								
	                  		];
	    }
		
		
		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheet5, init_sheet);
		sheet5.SetDataAutoTrim(0);
/* 		if(credit_yn == "Y")
		{
			sheet5.SetEditable(false);
		} */
		sheet5.SetCountPosition(0);
		sheet5.SetImageList(1,"/img/buyer/button/bt_change.gif");
	
		sheet5.FitColWidth();
		
	/***********************인증서*****************************/
		
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, MergeSheet:msHeaderOnly, Page:10};
		
		if(job_div == "P")
    	{
		    init_sheet.Cols = [
								{Header:'삭제',						Type:"DelCheck",		SaveName:"DEL_CHECK", 				Width:60, 	Align:"Center"},
								{Header:"상태",	 					Type:"Status", 			SaveName:"STATUS"	,				Width:0, 		Hidden:"True"},
								{Header:"종류",	 					Type:"Combo", 			SaveName:"CERT_DIV_CD",				Width:120, 	 	Align:"Center", ComboText:"ISO9001|ISO14000|KOSHA|KS|기타", ComboCode:"01|02|03|04|99"},
								{Header:"인증번호",	 				Type:"Text", 			SaveName:"CERT_NO",					Width:150, 	 	Align:"Left"},
								{Header:"인증명",	 					Type:"Text", 			SaveName:"CERT_CTNT",				Width:150, 	 	Align:"Left"},
								{Header:"인증범위",	 				Type:"Text", 			SaveName:"CERT_SCOPE",				Width:150, 	 	Align:"Left"},
								{Header:"인증기관",	 				Type:"Text", 			SaveName:"CERT_GOV",				Width:150, 	 	Align:"Left"},
								{Header:"취득일",	 					Type:"Date", 			SaveName:"EXP_STA_DY",				Width:150, 	 	Align:"Center"},
								{Header:"만기일",	 					Type:"Date", 			SaveName:"EXP_END_DY",				Width:140, 	 	Align:"Center"},
								{Header:'☞첨부',						Type:"Text", 			SaveName:"FILE_YN", 				Width:60, 		Align:"center", Edit:"false",	Cursor:'pointer'},
								{Header:'승인여부',					Type:"Text", 			SaveName:"CERT_CONFIRM_NM", 		Width:60, 		Align:"center", Edit:"false"},
								{Header:'CERT_CONFIRM',				Type:"Text", 			SaveName:"CERT_CONFIRM", 			Width:60, 		Align:"center", Hidden:"true"},
								{Header:'CERT_FILE_ID',				Type:"Text", 			SaveName:"CERT_FILE_ID",			Width:0, 		Align:"center", Hidden:"true"},
				    			{Header:'FILE_ID',					Type:"Text", 			SaveName:"FILE_ID", 				Width:0, 		Align:"center", Hidden:"true"},
								{Header:"CERT_SEQ",	 				Type:"Text", 			SaveName:"CERT_SEQ",				Width:0, 	 	Align:"Center", Hidden:"True"},
								{Header:"CREDIT_END_DY",			Type:"Text", 			SaveName:"CREDIT_END_DY",			Width:0, 	 	Align:"Center", Hidden:"True"},
								{Header:"CREDIT_YN",	 			Type:"Text", 			SaveName:"CREDIT_YN",				Width:0, 	 	Align:"Center", Hidden:"True"}
								
	                  		];
    	}
		else
	    {
			if ("<%=params.get("p_doc_cd")%>" == "14" ) //설계,인허가 
			{
		    init_sheet.Cols = [
								{Header:"삭제|삭제",										Type:"DelCheck",			SaveName:"DEL_CHECK", 					Width:50, 		Align:"Center"},
								{Header:"상태|상태",	 									Type:"Status", 			SaveName:"STATUS"	,						Width:0, 		Hidden:"True"},
								{Header:"기준년도|기준년도",	 						Type:"Combo", 			SaveName:"BASE_YEAR",					Width:80, 	 	Align:"Center", ComboText:"<%=yesrCombo%>", ComboCode:"<%=yesrCombo%>",		KeyField:"True"},
								{Header:"면허명|면허명",	 							Type:"Text", 				SaveName:"LIC_NM",							Width:150, 	 	Align:"Left", EditLen:"60",KeyField:"True"},
								{Header:"면허번호|면허번호",	 						Type:"Text", 				SaveName:"LIC_NO",							Width:150, 	 	Align:"Left", EditLen:"40",KeyField:"True"},
								{Header:"취득일자|취득일자",	 						Type:"Date", 				SaveName:"CONREYR",							Width:100, 	 	Align:"Center", KeyField:"True"},
								{Header:"시공능력평가액|시공능력평가액",	 		Type:"Int", 					SaveName:"CON_ABI_AMT",				Width:140, 	 	Align:"Right"},
								{Header:"지역순위|순위",	 							Type:"Int", 				SaveName:"AREA_LANK",					Width:100, 	 	Align:"Right"},
								{Header:"지역순위|전체",	 							Type:"Int", 				SaveName:"AREA_ALL_LANK",				Width:100, 	 	Align:"Right"},
								{Header:"전국순위|순위",	 							Type:"Int", 				SaveName:"NATION_LANK",				Width:100, 	 	Align:"Right"},
								{Header:"전국순위|전체",	 							Type:"Int", 				SaveName:"NATION_ALL_LANK",			Width:100, 	 	Align:"Right"},
								{Header:"CON_SEQ",	 									Type:"Text", 				SaveName:"CON_SEQ",						Width:0, 	 	Align:"Center", Hidden:"True"},
								{Header:"CREDIT_END_DY",	Type:"Text", 				SaveName:"CREDIT_END_DY",			Width:0, 	 	Align:"Center", Hidden:"True"},
								{Header:"CREDIT_YN",	 		Type:"Text", 				SaveName:"CREDIT_YN",				Width:0, 	 	Align:"Center", Hidden:"True"}
								
	                  		];
			}
			else
		    {
		    init_sheet.Cols = [
								{Header:"삭제|삭제",										Type:"DelCheck",			SaveName:"DEL_CHECK", 					Width:50, 		Align:"Center"},
								{Header:"상태|상태",	 									Type:"Status", 			SaveName:"STATUS"	,						Width:0, 		Hidden:"True"},
								{Header:"기준년도|기준년도",	 						Type:"Combo", 			SaveName:"BASE_YEAR",					Width:80, 	 	Align:"Center", ComboText:"<%=yesrCombo%>", ComboCode:"<%=yesrCombo%>",		 KeyField:"True"},
								{Header:"면허명|면허명",	 							Type:"Combo", 				SaveName:"LIC_CD",							Width:150, 	 	Align:"Left", EditLen:"60",ComboText:"<%=lic_name%>", ComboCode:"<%=lic_code%>", KeyField:"True"},
								{Header:"면허번호|면허번호",	 						Type:"Text", 				SaveName:"LIC_NO",							Width:150, 	 	Align:"Left", EditLen:"40",KeyField:"True"},
								{Header:"취득일자|취득일자",	 						Type:"Date", 				SaveName:"CONREYR",							Width:100, 	 	Align:"Center", KeyField:"True"},
								{Header:"시공능력평가액|시공능력평가액",	 		Type:"Int", 					SaveName:"CON_ABI_AMT",				Width:140, 	 	Align:"Right", KeyField:"True"},
								{Header:"지역순위|순위",	 							Type:"Int", 				SaveName:"AREA_LANK",					Width:100, 	 	Align:"Right", KeyField:"True"},
								{Header:"지역순위|전체",	 							Type:"Int", 				SaveName:"AREA_ALL_LANK",				Width:100, 	 	Align:"Right", KeyField:"True"},
								{Header:"전국순위|순위",	 							Type:"Int", 				SaveName:"NATION_LANK",				Width:100, 	 	Align:"Right", KeyField:"True"},
								{Header:"전국순위|전체",	 							Type:"Int", 				SaveName:"NATION_ALL_LANK",			Width:100, 	 	Align:"Right", KeyField:"True"},
								{Header:"CON_SEQ",	 									Type:"Text", 				SaveName:"CON_SEQ",						Width:0, 	 	Align:"Center", Hidden:"True"},
								{Header:"CREDIT_END_DY",	Type:"Text", 				SaveName:"CREDIT_END_DY",			Width:0, 	 	Align:"Center", Hidden:"True"},
								{Header:"CREDIT_YN",	 		Type:"Text", 				SaveName:"CREDIT_YN",				Width:0, 	 	Align:"Center", Hidden:"True"}
								
	                  		];
	         }
	    }
		
		
		
		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheet6, init_sheet);
		sheet6.SetDataAutoTrim(0);
/* 		if(credit_yn == "Y")
		{
		sheet6.SetEditable(false);
		} */
		sheet6.SetCountPosition(0);
		sheet6.SetImageList(1,"/img/buyer/button/bt_change.gif");	
		sheet6.FitColWidth();
		
		
	/***********************포상실적*****************************/
		
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, MergeSheet:msHeaderOnly, Page:10};
		if(job_div == "P")
    	{
		    init_sheet.Cols = [
								{Header:'삭제',							Type:"DelCheck",			SaveName:"DEL_CHECK", 				Width:60, 	Align:"Center"},
								{Header:"상태",	 					Type:"Status", 			SaveName:"STATUS"	,					Width:0, 		Hidden:"True"},
								{Header:"수상일",	 					Type:"Date", 				SaveName:"PRZ_DY",					Width:220, 	 	Align:"Center"},
								{Header:"수상자",	 					Type:"Text", 				SaveName:"PRZ_NM",					Width:200, 	 	Align:"Center"},
								{Header:"수여자",	 					Type:"Text", 				SaveName:"PRZ_GIVER",				Width:200, 	 	Align:"Left"},
								{Header:"수상내용",	 				Type:"Text", 				SaveName:"PRZ_INFO",					Width:400, 	 	Align:"Left"},
								{Header:"PRZ_SEQ",	 				Type:"Text", 				SaveName:"PRZ_SEQ",					Width:0, 	 	Align:"Center", Hidden:"True"},
								{Header:"CREDIT_END_DY",	Type:"Text", 				SaveName:"CREDIT_END_DY",			Width:0, 	 	Align:"Center", Hidden:"True"},
								{Header:"CREDIT_YN",	 		Type:"Text", 				SaveName:"CREDIT_YN",				Width:0, 	 	Align:"Center", Hidden:"True"}
								
			          		];
    	}
		else
	    {
		    init_sheet.Cols = [
								{Header:'삭제',						Type:"DelCheck",			SaveName:"DEL_CHECK", 				Width:60, 		Align:"Center"},
								{Header:"상태",	 					Type:"Status", 				SaveName:"STATUS"	,				Width:0, 		Hidden:"True"},
								{Header:"이름",	 					Type:"Text", 				SaveName:"NM",						Width:120, 	 	Align:"Center", KeyField:"True"},
								{Header:"생년월일",	 				Type:"Text", 				SaveName:"BIRTHDAY",				Width:100, 	 	Align:"Center", Format:"Ymd", Hidden:"True"},
								{Header:"직위",	 					Type:"Text", 				SaveName:"POSITION",				Width:100, 	 	Align:"Left"},
								{Header:"자격종목 및 등급",	 			Type:"Text", 				SaveName:"QUAL_ITEM_CLASS",			Width:150, 	 	Align:"Left", EditLen:"60",KeyField:"True"},
								{Header:"등록번호",	 				Type:"Text", 				SaveName:"REG_NO",					Width:150, 	 	Align:"Left", EditLen:"40",KeyField:"True"},
								{Header:"분야",	 					Type:"Text", 				SaveName:"FIELD",					Width:150, 	 	Align:"Left", EditLen:"50"},
								{Header:"기술등급",	 				Type:"Text", 				SaveName:"TECH_CLASS",				Width:150, 	 	Align:"Left"},
								{Header:"SEQ",	 					Type:"Text", 				SaveName:"SEQ",						Width:0, 	 	Align:"Center", Hidden:"True"},
								{Header:"CREDIT_END_DY",			Type:"Text", 				SaveName:"CREDIT_END_DY",			Width:0, 	 	Align:"Center", Hidden:"True"},
								{Header:"CREDIT_YN",	 			Type:"Text", 				SaveName:"CREDIT_YN",				Width:0, 	 	Align:"Center", Hidden:"True"}
								
	                 		];
	    }
		
		
		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheet7, init_sheet);
		sheet7.SetDataAutoTrim(0);
/* 		if(credit_yn == "Y")
		{
		sheet7.SetEditable(false);
		} */
		sheet7.SetCountPosition(0);
	
		sheet7.FitColWidth();


		
	/***********************특허*****************************/
		
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, MergeSheet:msHeaderOnly, Page:10};
		
		if(job_div == "P")
    	{
		    init_sheet.Cols = [
								{Header:'삭제',						Type:"DelCheck",			SaveName:"DEL_CHECK", 				Width:60, 	Align:"Center"},
								{Header:"상태",	 				Type:"Status", 			SaveName:"STATUS"	,					Width:0, 		Hidden:"True"},
								{Header:"산업재산권구분",	 	Type:"Combo", 			SaveName:"PAT_CD",					Width:250, 	 	Align:"Center", ComboText:"실용신안|의장권|특허권|상표권|기타", ComboCode:"01|02|03|04|99"},
								{Header:"특허일",				 	Type:"Date",	 			SaveName:"PAT_DY",					Width:220, 	 	Align:"Center"},
								{Header:"명칭",	 				Type:"Text", 				SaveName:"PAT_INFO",					Width:540, 	 	Align:"Left"},
								{Header:"PAT_SEQ",	 			Type:"Text", 				SaveName:"PAT_SEQ",					Width:0, 	 	Align:"Center", Hidden:"True"},
								{Header:"CREDIT_END_DY",	Type:"Text", 				SaveName:"CREDIT_END_DY",			Width:0, 	 	Align:"Center", Hidden:"True"},
								{Header:"CREDIT_YN",	 		Type:"Text", 				SaveName:"CREDIT_YN",				Width:0, 	 	Align:"Center", Hidden:"True"}
								
	                 		];
    	}
		else
	    {
		    init_sheet.Cols = [
								{Header:'삭제',							Type:"DelCheck",			SaveName:"DEL_CHECK", 				Width:60, 	Align:"Center"},
								{Header:"상태",	 					Type:"Status", 			SaveName:"STATUS"	,					Width:0, 		Hidden:"True"},
								{Header:"종류",	 					Type:"Combo", 			SaveName:"CERT_DIV_CD",			Width:100, 	 	Align:"Center", ComboText:"ISO9001|ISO14000|KOSHA|KS|기타", ComboCode:"01|02|03|04|99", KeyField:"True"},
								{Header:"인증번호",	 				Type:"Text", 				SaveName:"CERT_NO",					Width:100, 	 	Align:"Left", KeyField:"True"},
								{Header:"인증명",	 					Type:"Text", 				SaveName:"CERT_CTNT",				Width:100, 	 	Align:"Left", KeyField:"True"},
								{Header:"인증범위",	 				Type:"Text", 				SaveName:"CERT_SCOPE",				Width:300, 	 	Align:"Left", KeyField:"True"},
								{Header:"인증기관",	 				Type:"Text", 				SaveName:"CERT_GOV",				Width:100, 	 	Align:"Left", KeyField:"True"},
								{Header:"취득일",	 					Type:"Date", 				SaveName:"EXP_STA_DY",				Width:100, 	 	Align:"Center", KeyField:"True"},
								{Header:"만기일",	 					Type:"Date", 				SaveName:"EXP_END_DY",				Width:100, 	 	Align:"Center", KeyField:"True"},
								{Header:"CERT_SEQ",	 			Type:"Text", 				SaveName:"CERT_SEQ",					Width:0, 	 	Align:"Center", Hidden:"True"},
								{Header:"CREDIT_END_DY",	Type:"Text", 				SaveName:"CREDIT_END_DY",			Width:0, 	 	Align:"Center", Hidden:"True"},
								{Header:"CREDIT_YN",	 		Type:"Text", 				SaveName:"CREDIT_YN",				Width:0, 	 	Align:"Center", Hidden:"True"}
								
	                 		];
	    }
		
		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheet8, init_sheet);
		sheet8.SetDataAutoTrim(0);
/* 		if(credit_yn == "Y")
		{
		sheet8.SetEditable(false);
		} */
		sheet8.SetCountPosition(0);
	
		sheet8.FitColWidth();

		/***********************건설면허*****************************/	
		if(job_div == "P")
    	{
			var init_sheet = {};
			init_sheet.Cfg = {SearchMode:2, MergeSheet:msHeaderOnly, Page:10};
			
			init_sheet.Cols = [
								{Header:'삭제',			Type:"DelCheck",		SaveName:"DEL_CHECK",		Width:60, 		Align:"Center"},
								{Header:"상태", 			Type:"Status", 			SaveName:"STATUS"	,		Width:0, 		Hidden:"True"},
								{Header:"기준년도",		Type:"Combo", 			SaveName:"BASE_YEAR",		Width:100, 	 	Align:"Center", ComboText:"<%=yesrCombo%>", ComboCode:"<%=yesrCombo%>"},
								{Header:"면허명",	 		Type:"Combo", 			SaveName:"LIC_CD",			Width:100, 	 	Align:"Left", ComboText:"<%=lic_name%>", ComboCode:"<%=lic_code%>"},
								{Header:"면허코드",		Type:"Text",			SaveName:"LIC_NM",			Width:100, 	 	Align:"Left", Hidden:"True"},
								{Header:"면허번호",		Type:"Text",			SaveName:"LIC_NO",			Width:100, 	 	Align:"Left"},
								{Header:"취득일자",		Type:"Date",			SaveName:"CONREYR",			Width:100, 	 	Align:"Center"},
								{Header:"CON_SEQ", 			Type:"Text",		SaveName:"CON_SEQ",			Width:0, 	 	Align:"Center", Hidden:"True"},
								{Header:"CREDIT_END_DY",	Type:"Text",		SaveName:"CREDIT_END_DY",	Width:0, 	 	Align:"Center", Hidden:"True"},
								{Header:"CREDIT_YN",		Type:"Text",		SaveName:"CREDIT_YN",		Width:0, 	 	Align:"Center", Hidden:"True"}
	                 		];				
			init_sheet.HeaderMode = {Sort:1};
			IBS_InitSheet(sheet9, init_sheet);
			sheet9.SetDataAutoTrim(0);

			sheet9.SetCountPosition(0);
			sheet9.FitColWidth();	
    	}

		/* if(credit_yn == "Y")
		{
		    $("[name=sheet_save_btn]").css("display", "none");
		} */
		
		
		getFileListForTextarea();
		
	});
	
	
	
	

	
	
	
	$(function(){
		//------------대기, 가등록일때 수정 : 2015.7.24 mklee
		//if($("#p_status").val()!="01"){
		
		if($("#p_status").val()== "03" && $("#p_status").val() == "O"){   //등록상태일때만 수정불가-->2016.8.1 구매는 수정가능. 
			$("div[name*='sheet_save_btn']").hide();
			sheet4.SetEditable(false);
			sheet5.SetEditable(false);
			sheet6.SetEditable(false);
			sheet7.SetEditable(false);
			sheet8.SetEditable(false);
			sheet9.SetEditable(false);
		}
		
	    /*$(document).on("keyup", "input:text[numberOnly]", function(){
	        $(this).val( $(this).val().replace(/[^0-9]/gi,"") );
	     });
	    	    
	    $(document).on("keyup", "input:text[noHangelEng]", function() {
	        $(this).val( $(this).val().replace( /[^0-9-]/gi, "") );
	     });*/
	     $(document).on("keyup", "input:text[noHangelEng]", function() {$(this).val( $(this).val().replace( /[^0-9-]/gi, "") );});
		   
		   //equals("N") 2015.8.12
 	    <%-- <%if(corpInfoVo.get("re_yn").equals("A")){ %>
	 	    $(".numberic").each(function(){
		         $("input").attr("readonly",true); 
		    });  
	    <%} %> --%>
	    
	    
	    $(".numberic").each(function(){
	       // $(this).val($(this).val().split(/(?=(?:\d{3})+(?:\.|$))/g).join(',')); 
	    });
	    
	    
		if(job_div == "P")
    	{
		    $.getList = function()
			{
			    $("#fevent").val("GET_LIST");
				
				var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/purchase/PuSupplier_sheet.screen";
				Modular.view.IBSheet7.doSearch(sheet1, url, $("#form1"), 10, "");
				
			};
			
			$.getList2 = function()
			{
			    $("#fevent").val("GET_MY_LIST");
				
				var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/purchase/PuSupplier_sheet.screen";
				Modular.view.IBSheet7.doSearch(sheet2, url, $("#form1"), 10, "");
				
				sheet2.FitColWidth();
			};
			
			$.getList3 = function()
			{
			    $("#fevent").val("GET_APPR_LIST");
				
				var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/purchase/PuSupplier_sheet.screen";
				Modular.view.IBSheet7.doSearch(sheet3, url, $("#form1"), 10, "");
				
				sheet3.FitColWidth();
			};
			
			
			$.getList4 = function()
			{
			    $("#fevent").val("GET_CHARGE_LIST");
				
				var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/purchase/PuSupplier_sheet.screen";
				Modular.view.IBSheet7.doSearch(sheet4, url, $("#form1"), 10, "");
			};
			
		    $.getDeliverList = function()
			{
			    $("#fevent").val("GET_DELIVER_LIST");
				
				var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/purchase/PuSupplier_sheet.screen";
				Modular.view.IBSheet7.doSearch(sheet5, url, $("#form1"), 10, "");
			};
			
			$.getCertList = function()
			{
			    $("#fevent").val("GET_CRET_LIST");
				
				var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/purchase/PuSupplier_sheet.screen";
				Modular.view.IBSheet7.doSearch(sheet6, url, $("#form1"), 10, "");
			};
			
			$.getPrizeList = function()
			{
			    $("#fevent").val("GET_PRIZE_LIST");
				
				var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/purchase/PuSupplier_sheet.screen";
				Modular.view.IBSheet7.doSearch(sheet7, url, $("#form1"), 10, "");
			};
			
			$.getSuppPatTent = function()
			{
			    $("#fevent").val("GET_PATENT_LIST");
				
				var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/purchase/PuSupplier_sheet.screen";
				Modular.view.IBSheet7.doSearch(sheet8, url, $("#form1"), 10, "");
			};
			
			$.getCert2List = function()	//면허
			{
			    $("#fevent").val("GET_CRET2_LIST");
				
				var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/purchase/PuSupplier_sheet.screen";
				Modular.view.IBSheet7.doSearch(sheet9, url, $("#form1"), 10, "");
			};
			
			$.getList();
			
/* 			$.getList2();
			
			$.getList3();
			
			if(credit_yn.trim() == "N" || credit_yn.trim() == "")
	        {
				$.getList4();
				$.getDeliverList();
				$.getCertList();
				$.getPrizeList();
				$.getSuppPatTent();
	        } */
			
    	}
		else
		{
		    $.getList = function()
			{
			    $("#fevent").val("GET_LIST");
				
				var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
				Modular.view.IBSheet7.doSearch(sheet1, url, $("#form1"), 10, "");
//					sheet1.DoSearch("/test/TestList_data.screen", $("#form1"));
			};
			
			$.getList2 = function()
			{
			    $("#fevent").val("GET_MY_LIST");
				var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
				Modular.view.IBSheet7.doSearch(sheet2, url, $("#form1"), 10, "");
			};
			
			$.getList3 = function()
			{
			    $("#fevent").val("GET_MY_LIST");
				var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
				Modular.view.IBSheet7.doSearch(sheet3, url, $("#form1"), 10, "");
			};
			
			$.getChargeList = function()
			{
			    $("#fevent").val("GET_CHARGE_LIST");
				
			    var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
				Modular.view.IBSheet7.doSearch(sheet4, url, $("#form1"), 10, "");
				
			};
			
			$.getConResultList = function()
			{
			    $("#fevent").val("GET_CON_RESULT_LIST");
				
			    var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
				Modular.view.IBSheet7.doSearch(sheet5, url, $("#form1"), 10, "");
			};
			
			$.getConAbilltyList = function()
			{
				$("#fevent").val("GET_CON_ABILLTY_LIST");
				
			    var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
				Modular.view.IBSheet7.doSearch(sheet6, url, $("#form1"), 10, "");
			};
			
			$.getConTechManList = function()
			{
			    $("#fevent").val("GET_TECH_MAN_LIST");
				
			    var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
				Modular.view.IBSheet7.doSearch(sheet7, url, $("#form1"), 10, "");
			};
			
			$.getCertList = function()
			{
			    $("#fevent").val("GET_CRET_LIST");
				
			    var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
				Modular.view.IBSheet7.doSearch(sheet8, url, $("#form1"), 10, "");
			};
			
			
			
			$.getList();
			
/* 			$.getList2();
			
			if(credit_yn.trim() == "N" || credit_yn.trim() == "")
	        {
			    $.getChargeList();
			    $.getConResultList();
			    $.getConAbilltyList();
			    $.getConTechManList();
			    $.getCertList();
	        } */
		}
		
		
		
		
		
		
		
		
		
		
	});
	
	
	
	$(function(){
	    
	    
	    var main_cd = "";
	    <%
	    for(int i=0; i < rowset.size(); i++)
	    {
	    %>
	    	main_cd =  "<%=rowset.getRow(i).get("OUT_MAIN_CD")%>";
		    
		    $(":checkbox[name='out_main_cd']").each(function(pi,po){
			    if(main_cd == $(this).val())
			    {
			        $(this).attr("checked", true);
			    }
			  });
	    <%
	    }
	    %>
	    
	    
	    
		/******* 탭메뉴 ********/
	    $(".tab_content").hide();
	    $(".tab_content:first").show();

	    $("ul.tabs li").click(function () {
	        $("ul.tabs li").removeClass("active").css("color", "#333");
	        //$(this).addClass("active").css({"color": "darkred","font-weight": "bolder"});
	        $(this).addClass("active").css("color", "darkred");
	        $(".tab_content").hide()
	        var activeTab = $(this).attr("rel");
	        $("#" + activeTab).fadeIn();
	        
	        if(job_div == "P")
	        {
	            if(credit_yn == "Y")
	            {
	                if(activeTab == "tab2")
			        {
			            $.getList4();
			        }
			        else if(activeTab == "tab3")
			        {
			            $.getDeliverList();
			        } 
			        else if(activeTab == "tab4")
			        {
			            $.getCertList();
			        } 
			        else if(activeTab == "tab5")
			        {
			            $.getPrizeList();
			        } 
			        else if(activeTab == "tab6")
			        {
			            $.getSuppPatTent();
			        } 
			        else if(activeTab == "tab8")//면허
			        {
			        	$.getCert2List();
			        } 
			        else if(activeTab == "tab7")
			        {
			        	$(".readTable").attr("readonly",true);
			        } 
	            }
	            else
                {
	                if(activeTab == "tab2")
			        {
		                if(search_flag_4 == "N")
		                {
		        	        search_flag_4 = "Y";
		                }
	        	        sheet4.FitColWidth();
			        }
			        else if(activeTab == "tab3")
			        {
			            if(search_flag_5 == "N")
			            {
			    	        search_flag_5 = "Y";
			            }
		    	        sheet5.FitColWidth();
			        } 
			        else if(activeTab == "tab4")
			        {
			            if(search_flag_6 == "N")
			            {
			    	        search_flag_6 = "Y";
			            }
		    	        sheet6.FitColWidth();
			        } 
			        else if(activeTab == "tab5")
			        {
			            if(search_flag_7 == "N")
			            {
			    	        search_flag_7 = "Y";
			            }
		    	        sheet7.FitColWidth();
			        } 
			        else if(activeTab == "tab6")
			        {
			            if(search_flag_8 == "N")
			            {
			    	        search_flag_8 = "Y";
			            }
		    	        sheet8.FitColWidth();
			        } 
			        else if(activeTab == "tab8")
			        {
			            if(search_flag_9 == "N")
			            {
			    	        search_flag_9 = "Y";
			            }
		    	        sheet9.FitColWidth();
			        } 
                }
	        }
	        else
            {
	            if(credit_yn == "Y")
	            {
	                if(activeTab == "tab2")
			        {
			            $.getChargeList();
			        }
			        else if(activeTab == "tab3")
			        {
			            $.getConResultList();
			        } 
			        else if(activeTab == "tab4")
			        {
			            $.getConAbilltyList();
			        } 
			        else if(activeTab == "tab5")
			        {
			            $.getConTechManList();
			        } 
			        else if(activeTab == "tab6")
			        {
			            $.getCertList();
			        } 
			        else if(activeTab == "tab7")
			        {
			        	$(".readTable").attr("readonly",true);
			        } 
	            }
	            else
                {
	                if(activeTab == "tab2")
			        {
		                if(search_flag_4 == "N")
		                {
		        	        search_flag_4 = "Y";
		                }
	        	        sheet4.FitColWidth();
			        }
			        else if(activeTab == "tab3")
			        {
			            if(search_flag_5 == "N")
			            {
			    	        search_flag_5 = "Y";
			            }
		    	        sheet5.FitColWidth();
			        } 
			        else if(activeTab == "tab4")
			        {
			            if(search_flag_6 == "N")
			            {
			    	        search_flag_6 = "Y";
			            }
		    	        sheet6.FitColWidth();
			        } 
			        else if(activeTab == "tab5")
			        {
			            if(search_flag_7 == "N")
			            {
			    	        search_flag_7 = "Y";
			            }
		    	        sheet7.FitColWidth();
			        } 
			        else if(activeTab == "tab6")
			        {
			            if(search_flag_8 == "N")
			            {
			    	        search_flag_8 = "Y";
			            }
		    	        sheet8.FitColWidth();
			        } 
                }
            }
	       
	    });
	    
	    
	    
	    $("#esta_date_img").click(function(){
	        $.callCalendar($(this).attr("id"));
	    });
	    
	    $("#esta_date").click(function(){
	        $.callCalendar($(this).attr("id"));
	    });
	    
	  //첨부파일
		$("#search_spot_button").click(function(){
		    
		    var obj = $("#p_corp_id").val()
		    var no = "1";
		    var corp_id = "<%=params.get("p_corp_id")%>";
		    
		    
		    if(no == 1)
		    {
		        if(job_div == "P")
	            {
		            viewFileListNew("TERMS_AGREE_INFO", obj, document.form1.p_AttachFile1, "Y", "own/purchase/" + corp_id);
	            }
		        else
	            {
		            viewFileListNew("TERMS_AGREE_INFO", obj, document.form1.p_AttachFile1, "Y", "own/outside/" + corp_id);
	            }
			}
		    
		});
		
	    $.callCalendar = function(id){
	        
	        var str_value = id;
	        var re = new RegExp("_", "ig");
	        var resultArray = str_value.match(re);
	        
	        if(resultArray.length == 1)
	        {
	            dlgCalendar(id);
	        }
	        else if(resultArray.length == 2)
	        {
	            id = id.substring(0, id.lastIndexOf("_"));
	            dlgCalendar(id);
	        }
	    };
	    
	    
	    
	    $("#btn_list").click(function(){
	        
// 	        $("#form1").attr("action" , "/supplier/notice.screen");
// 			$("#form1").submit();
			top.location.href="/mainPortal.screen";
	        
	    });
	    
	    $("#btn_save").click(function()
		{
	    	if(!confirm("업체정보를 수정하시겠습니까?")) return;
	        
 			var f = document.form1;
 			var gubun = "N";
 			
 			for(var i=1; i<=sheet2.LastRow(); i++)
	    	{
                if(sheet2.GetCellValue(i, "MAIN_ITEM") == "1")
                {
                    gubun = "Y";
                }
                
                if((sheet2.GetCellValue(i, "MAIN_ITEM") == "1")&&(sheet2.GetCellValue(i, "DEL_CHECK") == "1"))
                {
                    gubun = "N";
                    <%if(params.get("job_div").equals("P")){%>
                    	alert("대표 ITEM을 삭제 할 수 없습니다.");
                    <%}else{%>
                   		alert("대표 공종을 삭제 할 수 없습니다.");
                    <%}%>
    	            return;
                }
	    	}
 			
 			for(var i=1; i<=sheet4.LastRow(); i++)
	    	{
                if(stringByteSize4UTF(sheet4.GetCellValue(i, "NOTE"))>500){
                	alert("비고는 500자를 넘을 수 없습니다.");
                	return;
                }
	    	}
 			
 			if(gubun == "N")
	        {
                alert("대표 구분을 지정하세요.");
	            return;
	        }
 			
	        if(corp_reg_gubun == "85")
			{
			    if($("#head_corp_reg_n").val().trim() == "")
			 	{
			        alert("본사 사업자번호를 입력해 주세요.");
			        return $("#head_corp_reg_n").focus();
		        }
			}
	        
	        if(corp_reg_gubun > "80" && corp_reg_gubun < "90")
	        {
			    if($("#copr_no").val().trim() == "")
			    {
	        		alert("법인번호를 입력해 주세요.");
	        		return $("#copr_no").focus();
			    }
	        }
			
			if($("#corp_kor").val().trim() == "")
		    {
        		alert("업체명을 입력해 주세요.");
        		return $("#corp_kor").focus();
		    }
			
			if($("#rep_name").val().trim() == "")
		    {
        		alert("대표자명을 입력해 주세요.");
        		return $("#rep_name").focus();
		    }
			
			if($("#corp_sts").val().trim() == "")
		    {
        		alert("업태를 입력해 주세요.");
        		return $("#corp_sts").focus();
		    }
			
			if($("#biz_form").val().trim() == "")
		    {
        		alert("업종을 입력해 주세요.");
        		return $("#biz_form").focus();
		    }
			
			if($("#esta_date").val().trim() == "")
		    {
        		alert("설립일자를 입력해 주세요.");
        		return $("#esta_date").focus();
		    }
			
			if($("#corp_tel").val().trim() == "")
		    {
        		alert("전화번호를 입력해 주세요.");
        		return $("#corp_tel").focus();
		    }
			
			if($("#corp_fax").val().trim() == "")
		    {
        		alert("FAX번호를 입력해 주세요.");
        		return $("#corp_fax").focus();
		    }
			

			if($("#float_asset").val().trim() == "")
		    {
        		alert("유동자산을 입력해 주세요.");
        		return $("#float_asset").focus();
		    }
			
			if($("#float_debt").val().trim() == "")
		    {
        		alert("유동부채를 입력해 주세요.");
        		return $("#float_debt").focus();
		    }
			
			if($("#tot_cap").val().trim() == "")
		    {
        		alert("자본총계를 입력해 주세요.");
        		return $("#tot_cap").focus();
		    }
			
			if($("#gross_asset").val().trim() == "")
		    {
        		alert("부채총계를 입력해 주세요.");
        		return $("#gross_asset").focus();
		    }
			
			if($("#capital_amt").val().trim() == "")
		    {
        		alert("자본금을 입력해 주세요.");
        		return $("#capital_amt").focus();
		    }
			
			if($("#cur_profit").val().trim() == "")
		    {
        		alert("당기순이익을 입력해 주세요.");
        		return $("#cur_profit").focus();
		    }
			
			if($("#cur_sales_amt").val().trim() == "")
		    {
        		alert("당기매출액을 입력해 주세요.");
        		return $("#cur_sales_amt").focus();
		    }
			
			if($("#pri_sales_amt").val().trim() == "")
		    {
        		alert("전기매출액을 입력해 주세요.");
        		return $("#pri_sales_amt").focus();
		    }
			
	    	if($("#base_year").val()<1900)
            {
                alert("기준년도를 확인 해 주세요");
	            return $("#base_year").focus();
            }
	    	
	    	//은행계좌 확인 2019.05.09
			if($("#bank_cd").val().trim() == "" || $("#bank_acct").val().trim() == "")   
		    {
        		alert("계좌정보를 입력해 주세요.");
        		return $("#bank_acct").focus();
		    }
			
 			for(var i=1; i<=sheet5.LastRow(); i++)
	    	{
                if(stringByteSize4UTF(sheet5.GetCellValue(i, "ORDR_ORG_NM"))>90){
                	alert("발주처명은 영문 60자 한글 20자를 넘을 수 없습니다.");
                	return;
                }
                
                if(job_div == "P"){
                	if(sheet5.GetCellValue(i, "DELIRESULT_CONFIRM") == "Y" && (sheet5.GetCellValue(i, "STATUS") == "D" || sheet5.GetCellValue(i, "STATUS") == "U")){	//승인 되어 있는 경우
					alert("승인된 납품실적은 삭제/수정 불가합니다.(" + i.toString() + ")\n구매팀에 문의하시기 바랍니다.");
					return false;
					}
                }
	    	}
	    	
			/*for(var i=1; i<=sheet5.LastRow(); i++)
			{
				if(sheet5.GetCellValue(i, "DELI_END_DY") != ""){
					if(sheet5.GetCellValue(i, "DELI_END_DY")-sheet5.GetCellValue(i, "DELI_START_DY")<0){
						alert("납품시작일과 종료일을 확인해 주세요.");
						return false;
					}
				}else{
					if(sheet5.GetCellValue(i, "DELI_START_DY") == ""){
						alert("납품시작일을 확인해 주세요.");
						return false;
					}
				}
			}
			
			for(var i=1; i<=sheet5.LastRow(); i++)
			{
				if(sheet5.GetCellValue(i, "CONT_END_DY")-sheet5.GetCellValue(i, "CONT_DY")<0){  //2015.8.24 CONT_STA_DY->CONT_DY
					alert("계약일과 준공일을 확인해 주세요.");
					return false;
				}
			}2019.05.10 황의훈 사원요청. 체크제외 */
			
			for(var i=1; i<=sheet6.LastRow(); i++)
			{
				if(sheet6.GetCellValue(i, "EXP_END_DY")-sheet6.GetCellValue(i, "EXP_STA_DY")<0){
					alert("인증서 취득일과 만료일을 확인해 주세요.");
					return false;
				}
				
				if(job_div == "P"){
                	if(sheet6.GetCellValue(i, "CERT_CONFIRM") == "Y" && (sheet6.GetCellValue(i, "STATUS") == "D" || sheet6.GetCellValue(i, "STATUS") == "U")){	//승인 되어 있는 경우
					alert("승인된 인증서는 삭제/수정 불가합니다.(" + i.toString() + ")\n구매팀에 문의하시기 바랍니다.");
					return false;
					}
                }
			}
			
			for(var i=1; i<=sheet8.LastRow(); i++)
			{
				if(sheet8.GetCellValue(i, "EXP_END_DY")-sheet8.GetCellValue(i, "EXP_STA_DY")<0){
					alert("인증서 취득일과 만료일을 확인해 주세요.");
					return false;
				}
			}
			
			if($(':radio[name="tax_addr_cd"]:checked').val() == "B")
            {
                if($("#post_no_1").val().trim() == "")
                {
                    alert("본점 소재지를 입력해 주세요");
		            //return $("#search_addr").focus();
// 		            $("body,html").scrollTop(0);
                    return $("#search_addr").click();
                }    
            }
            else
            {
                if($("#place_post_no_1").val().trim() == "")
                {
                    alert("사업장  소재지를 입력해 주세요");
		            //return $("#search_addr_sub").focus();
// 		            $("body,html").scrollTop(0);
                    return $("#place_address").click();
                }
            }
			
			if($(':radio[name="factor_cd"]:checked').val() == '9')	$("#factor_confirm").val("N");	//미승인 상태로 변경
			
	        var Row = sheet2.ColValueDup("6");
			if(Row != -1)
			{
		        alert("구분선택에 중복된 내용이 존재합니다.");
			    return;
			}
			else
		    {
			    if(job_div == "P")
	            {
			        if($(':radio[name="factor_cd"]:checked').val() == undefined)
			        {
			            alert("공장유무를 선택해 주세요.");
// 			            $("body,html").scrollTop(0);
			            return $("#factor_cd_1").focus();
			        }
			        
		            if($(':radio[name="mftr_div_cd"]:checked').val() == undefined)
			        {
			            alert("manufacturer 구분을 선택해 주세요");
			            $("body,html").scrollTop(0);
			            return $("#mftr_div_cd_1").focus();
			        }
		               
		            /*2014-12-08 추가*/
		            if($("#p_status").val() == "02" || $("#p_status").val() == "03" ){
		            	$("#p_right_id").val("149");	
		            }else{
		            	$("#p_right_id").val("159");	
		            }
		            $("#fevent").val("SAVE_DATA");
			        var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/purchase/PuSupplier_sheet.screen";
					var result = Modular.view.IBSheet7.doSave(sheet2, url, $("#form1"), false);
	            }
			    else
		        {
			        var chked_val = "";
				    $(":checkbox[name='out_main_cd']:checked").each(function(pi,po){
					    chked_val += ","+po.value;
				  	});
				  	if(chked_val!="") chked_val = chked_val.substring(1);
					  
					if(chked_val.trim() == "")
		        	{
						alert("주력분야는 반드시 하나 이상은 선택하셔야 합니다.");
			            $("body,html").scrollTop(0);
			            return $("#out_main_cd_1").focus();
			        }
				  					
				  	$("#out_main_check").val(chked_val);

				  	/*2014-12-08 추가*/
		            if($("#p_status").val() == "02" || $("#p_status").val() == "03" ){
		            	$("#p_right_id").val("160");	
		            }else{
		            	$("#p_right_id").val("159");	
		            }
			        $("#fevent").val("SAVE_DATA");
			        var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
					var result = Modular.view.IBSheet7.doSave(sheet2, url, $("#form1"), false);
		        }
		        
		    }
	    });
	    
	  	
	    
	    
	    
	    $(':radio[name="factor_cd"]').click(function(){
	        if($(':radio[name="factor_cd"]:checked').val() == "9")
	        {
	            $("#mftr_div_cd_1").prop("disabled", true);
	            
	            $("#mftr_div_cd_1").prop("checked", false);
	            $("#mftr_div_cd_2").prop("checked", true);
	            
				return;
	        }
	        else
            {
	            $("#mftr_div_cd_1").prop("disabled", false);
	             return;
            }
	    });
	    
	    $("#mftr_div_cd_2").click(function(){
	        $("#factor_cd_3").prop("disabled", false);
	        return;
	    });
	    
	    
	    
	    
	    
	    
		$("#sheet4_add").click(function(){
	        sheet4.DataInsert(-1);
	    });
	    
		$("#sheet5_add").click(function(){
	        sheet5.DataInsert(-1);
	    });
	    
		$("#sheet6_add").click(function(){
			 var irow = sheet6.DataInsert(-1);
	        sheet6.SetCellValue(irow, "BASE_YEAR", '<%=year%>');
	    });
	    
		$("#sheet7_add").click(function(){
	        sheet7.DataInsert(-1);
	    });
		$("#sheet8_add").click(function(){
	        sheet8.DataInsert(-1);
	    });
		$("#sheet9_add").click(function(){
	        sheet9.DataInsert(-1);
	    });
		
		
		$("#search_addr").click(function() {
			
			/* var url = "/common/lib/dlgSearchZipCode.screen";
			var win_id = "_searchPostCode";
			url += "?pop_win_id="+win_id;
			$("#addr_gubun").val("A");

			fLayerPop(win_id, url, 550,540, '', '', 'NO'); */
			$("#addr_gubun").val("A");
			var pop = window.open("/lib/dlgjusoPopup.screen","pop","width=570,height=420, scrollbars=yes, resizable=yes"); 
			

		});
	    
		$("#search_addr_sub").click(function() {
			
			/* var url = "/common/lib/dlgSearchZipCode.screen";
			var win_id = "_searchPostCode";
			url += "?pop_win_id="+win_id;
			$("#addr_gubun").val("B");
			
			fLayerPop(win_id, url, 550,540, '', '', 'NO'); */
			$("#addr_gubun").val("B");
			var pop = window.open("/lib/dlgjusoPopup.screen","pop","width=570,height=420, scrollbars=yes, resizable=yes"); 
			
		});
		
		
	    
	    
	});
	
	
	function jusoCallBack(roadFullAddr,roadAddrPart1,addrDetail,roadAddrPart2,engAddr, jibunAddr, zipNo, admCd, rnMgtSn, bdMgtSn){
		// 팝업페이지에서 주소입력한 정보를 받아서, 현 페이지에 정보를 등록합니다.
		/*document.form.roadFullAddr.value = roadFullAddr;경기도 고양시 덕양구 도래울로 85, 213-202 (도내동, 엘에이치원흥도래울마을2단지)
		document.form.roadAddrPart1.value = roadAddrPart1;경기도 고양시 덕양구 도래울로 85
		document.form.roadAddrPart2.value = roadAddrPart2;213-202
		document.form.addrDetail.value = addrDetail;(도내동, 엘에이치원흥도래울마을2단지)
		document.form.engAddr.value = engAddr;85, Doraeul-ro, Deogyang-gu, Goyang-si, Gyeonggi-do
		document.form.jibunAddr.value = jibunAddr;경기도 고양시 덕양구 도내동  983 엘에이치원흥도래울마을2단지
		document.form.zipNo.value = zipNo; 10551
		document.form.admCd.value = admCd;4128110500
		document.form.rnMgtSn.value = rnMgtSn;412813194082
		document.form.bdMgtSn.value = bdMgtSn;4128110500109830000000001*/
		//2017.04.18
		if($("#addr_gubun").val() == "A"){
			$("#address").val( roadAddrPart1+ ' ' +roadAddrPart2 + ' ' + addrDetail );  
			$("#post_no_1").val( zipNo);  
		}else{
			$("#place_address").val( roadAddrPart1+ ' ' +roadAddrPart2 + ' ' + addrDetail );  
			$("#place_post_no_1").val( zipNo);  
		}	
    }
	
	function searchPostCodeClose(result) {
		if( result != null ){
			
		    if($("#addr_gubun").val() == "A")
	        {
		        $("#post_no_1").val(result[0].substring(0,3));
			    $("#post_no_2").val(result[0].substring(4,7));
			    
			    $("#address").val(result[2]);
	        }
		    else
	        {
		        $("#place_post_no_1").val(result[0].substring(0,3));
			    $("#place_post_no_2").val(result[0].substring(4,7));
			    
			    $("#place_address").val(result[2]);
	        }
			
		    $("#addr_gubun").val("");
		}
		fLayerPopClose('_searchPostCode');
	}
	
	
	
	function doResult(resultObj) 
	{
		try 
		{
			 if( resultObj.getRequestEvent() == "SAVE_DATA") 
		    {
				if( resultObj.getSuccess() ) 
				{
					alert("저장되었습니다.");
					document.form1.isSubmit = false;
				}
				else 
				{
	// 				dlgErrorMsg(resultObj.getMessage);
					alert(resultObj.getValueObject().get("errMsg"));
					document.form1.isSubmit = false;
				}
			}
		 	else if(resultObj.getRequestEvent() == "GET_CREADIT_REG_CHK")
		    {
			    document.form1.isSubmit = false;
			    
			    var url = resultObj.getValueObject().get("returnUrl");
			    
			    window.open(url, "pop", "width=1024,height=600, resizable=yes, scrollbars=yes");
		    }
		 	else if(resultObj.getRequestEvent() == "GET_CREADIT_REG_CHK2")
		    {
			    document.form1.isSubmit = false;
			    
			    var url = resultObj.getValueObject().get("return_url");
	            var open = window.open('',"go_ksrm","width=900,height=600,scrollbar=auto");
	            var f = document.form1;
	            
	            f.action = url;
	            f.target = "go_ksrm";
	            f.method = "post";
	            f.submit();
		    }else if(resultObj.getRequestEvent() == "GET_ATTACHFILE")
	    	{
	    		if( resultObj.getSuccess() ) {				
					document.form1.p_AttachFile1.value = resultObj.getValueObject().get("AttachFile");
				}else {
					dlgErrorMsg(resultObj);
				}
				document.form1.isSubmit = false;
	    	}
		}
		catch(errorObject) 
		{
			showErrorDlg("doResult()", errorObject);
		}
	}
	
	
	
	/**********dbl CLick***************/
	function sheet1_OnDblClick(Row, Col, Value)
	{
	    var rowIndex = "";
	    var sheetObj = document.all.sheet1;
	    
	    
	    if(sheet1.GetCellValue(Row, "LEVEL") == "2")
	    {
// 	        sheet2.RowDelete(1, 0);

	        rowIndex = sheet2.DataInsert(-1);
		    sheet2.SetCellValue(rowIndex, "KIND_BIG_NAME", sheet1.GetCellValue(Row, "GUBUN_1"));
		    sheet2.SetCellValue(rowIndex, "KIND_MID_NAME", sheet1.GetCellValue(Row, "GUBUN_2"));
		    sheet2.SetCellValue(rowIndex, "KIND_SMALL_NAME", sheet1.GetCellValue(Row, "GUBUN_3"));
		    sheet2.SetCellValue(rowIndex, "ITEM_CODE", sheet1.GetCellValue(Row, "MATERIALGROUP"));
	    }
	    else
	    {
// 	        dlgAlert("ㅁㄴ야ㅕ모뉴야ㅕㅁ뉴야며늉먄유");
			//alert("소분류를 선택해 주세요.");
	    	if(sheet1.GetRowExpanded(Row) == 0){
	    	    sheet1.SetRowExpanded(Row, 1);
	    	}else{
	    		sheet1.SetRowExpanded(Row, 0);
	    	}
	    }
	}
	
	
	function sheet3_OnDblClick(Row, Col, Value)
	{
	    var s_name = sheet3.ColSaveName(Col);
	    
	    var code = sheet3.GetCellValue(Row, "GUBUN_CODE");
        var reg_no = "<%=vo.get("CORP_REG_NO")%>";
	    
	    if(s_name == "CREDIT_GRADE")
        {
	        /*
	        	이크레더블 : E
	        	서울신용평가 : S
	        	나이스디앤비 : N
	        	한국기업데이터 : K

	        	나이스평가정보:M
	        */
	        if(code == "E")
	        {
	            var u = "2d2d424547494e204349504845522d2d313131310000000b3030303030303030eef0492ff42855bbffb697d670d4e3d109dafed98f4d7900293e8d4b9c1dcebd28eb9d58fd4c815c4d4829f1415fdfb730302d2d454e44204349504845522d2d";
	            var p = "2d2d424547494e204349504845522d2d313131310000000830303030303030301bb8ae01f161a326e30cc8d45f3844afd1bd2d39f5da22e9405f40dff013966445d4ea4029f89ad1385c4624cf679cc230302d2d454e44204349504845522d2d";
	            var i = reg_no; //협력업체사업자번호
	            var k = ""; //협력업체법인번호
	            
	            var m ='3';
	            var link ='http://www.esrm.co.kr/esrm/SrmplusLogin?u='+ u +'&p='+ p +'&i='+ i +'&k='+ k +'&c=7&m='+ m +'&g=2';
	            var features ='height=768, width=1024, status=no, scrollbars=auto, resizable=yes';
	            window.open(link, 'watchwin', features);  
	        }
	        else if(code == "S")
	        {
	            var  link = "http://www.bizrating.co.kr/url/urlPage.do?param1=ZXRlY2g=&param2=YWV0ZWNo&param3=" + reg_no;
	            window.open(link, "pop", "width=975,height=600, resizable=yes, scrollbars=yes");
	        }
	        else if(code == "N")
	        {
	            var f = document.form1;
	            
	            $("#p_corp_reg_no").val(reg_no);
		        $("#fevent").val("GET_CREADIT_REG_CHK");
		        
	            submitXmlRequest("/supplier/purchase/PuSupplierList_form.screen", "GET_CREADIT_REG_CHK", f, "VALUEOBJECT");
	        }
	        else if(code == "K")
            {
	            
	            var f = document.form1;
	            
	            $("#p_corp_reg_no").val(reg_no);
		        $("#fevent").val("GET_CREADIT_REG_CHK2");
		        
	            submitXmlRequest("/supplier/purchase/PuSupplierList_form.screen", "GET_CREADIT_REG_CHK2", f, "VALUEOBJECT");
	            
            }
	        else if(code == "M")
            {
	        	var vnk = "<%= sToday%>" * 677; 
	        	var  link = "http://service.ecredit.co.kr/p01/A0001M001.nice?bizno=" + reg_no + "&eid=ETECENC&nk=" + vnk;
	            window.open(link, "pop", "width=975,height=600, resizable=yes, scrollbars=yes");
	            
            }
        }
	}
	
	function sheet5_OnDblClick(Row, Col, Value, CellX, CellY, CellW, CellH) {
		if(Row == 0)return;
		if (sheet5.ColSaveName(Col) == "FILE_YN") {
			var modify = 'N';
			
			if(sheet5.GetCellValue(Row, "DELIRESULT_CONFIRM")=='Y')	modify = 'N';
			else modify = 'Y';
			
			if(sheet5.GetCellValue(Row, "DELI_FILE_ID")=='0'){
				alert("신용평가사 등록 정보 입니다.");
			}
			else if(sheet5.GetCellValue(Row, "DELI_FILE_ID")=='' || sheet5.GetCellValue(Row, "STATUS")=="I"){
					alert("입력한 내용을 저장을 한 후 파일을 첨부할 수 있습니다.");
			} 
			else{ 
				var FILE_ID = sheet5.GetCellValue(Row, "DELI_FILE_ID")
				var corp_id = $("#p_corp_id").val();
				viewFileListNew2('DELIRESULT', FILE_ID, "", modify, "own/purchase/"+corp_id+"/deliresult/"+FILE_ID, "", "", "", "N");
			} 
	     }
	}
	
	function sheet6_OnDblClick(Row, Col, Value, CellX, CellY, CellW, CellH) {
		if(Row == 0)return;
		if (sheet6.ColSaveName(Col) == "FILE_YN") {
			var modify = 'N';
			
			if(sheet6.GetCellValue(Row, "CERT_CONFIRM")=='Y')	modify = 'N';
			else modify = 'Y';
			
			if(sheet6.GetCellValue(Row, "CERT_FILE_ID")=='0'){
				alert("신용평가사 등록 정보 입니다.");
			}
			else if(sheet6.GetCellValue(Row, "CERT_FILE_ID")=='' || sheet6.GetCellValue(Row, "STATUS")=="I"){
					alert("입력한 내용을 저장을 한 후 파일을 첨부할 수 있습니다.");
			} 
			else{ 
				var FILE_ID = sheet6.GetCellValue(Row, "CERT_FILE_ID")
				var corp_id = $("#p_corp_id").val();
				viewFileListNew2('CERT', FILE_ID, "", modify, "own/purchase/"+corp_id+"/cert/"+FILE_ID, "", "", "", "N");
			} 
	     }
	}
	
	function viewFileListNew2(fileGB, id, obj, isModify, isDrectory, iframeID, user_filename, file_size, multi_yn) {
	 	
	 	var win_id = "_puSupplierFileList";
	 	var link = "/common/file/FileListNew.screen";
	 	    link += "?pop_win_id="+win_id;
	 	    link += "&file_gb=" + fileGB;
	 	    link += "&id=" + id;
	 	    
	 	    if( obj.id != null )
	 		    link += "&obj_id=" + obj.id;
	 	    if( iframeID != null )
	 	    	link += "&iframeID=" + iframeID;
	 	    
	 		if( isModify != null )
	 			link += "&is_modify=" + isModify;
	 		if( isDrectory != null )
	 			link += "&sys_gb=" + isDrectory;	    
	 		if( file_size != null )
	 			link += "&file_size=" + file_size;	    
	 		if( multi_yn != null )
	 			link += "&multi_yn=" + multi_yn;	    
	 		if( user_filename != null )
	 			link += "&user_filename=" + encodeURIComponent(user_filename);	 
	 	
	 	fLayerPop(win_id, link, 750,430, '', '', 'NO', '200');
	 }
	
	/* function fLayerPopClose(layerID){
		 var oNode = document.getElementById(layerID);
		if(oNode != null)
		{
			$('#'+layerID+ '_divcontent').empty();
			$('#'+layerID).bPopup().close();
			document.body.removeChild(oNode);
		}
		
		 if(layerID == "_puSupplierFileList"){
			 research();
		 }
	 } */
	
	
	//sheet1 searchend
	function sheet1_OnSearchEnd(code, message) {
		if(code == 0){
			$.getList2();
			sheet1.ShowTreeLevel(0, 1);
			sheet1.FitColWidth();
		}else{
			alert(message);
		}
	}
	
	function sheet2_OnSearchEnd(code, message) {
		if(code == 0){
			$.getList3();
		}else{
			alert(message);
		}
	}
	
	function sheet3_OnSearchEnd(code, message) {
		if(code == 0){
			if(credit_yn.trim() == "N" || credit_yn.trim() == "")
	        {
				if(job_div == "P")
		    	{
					$.getList4();
		    	}else{
		    		$.getChargeList();
		    	}
	        }
		}else{
			alert(message);
		}
	}
	
	
	function sheet4_OnSearchEnd(code, message) 
	{
		if(code == 0){
			if(credit_yn.trim() == "N" || credit_yn.trim() == "")
	        {
				if(job_div == "P")
		    	{
					$.getDeliverList();
		    	}else{
		    		$.getConResultList();
		    	}
	        }
			if(search_flag_4 == "N" && credit_yn == "Y")
	        {
		        sheet4.FitColWidth();
		        search_flag_4 = "Y";
	        }
		}else{
			alert(message);
		}

	}
	
	function sheet5_OnSearchEnd(code, message) 
	{
		var info = {Type: "Image"};
		if(code == 0){
			if(job_div == "P")
	    	{	
		    	for(i=1; i <= sheet5.RowCount(); i++){
					if(sheet5.GetCellValue(i, "FILE_ID")!=""){
						sheet5.InitCellProperty(i, "FILE_YN", info);
					}
					
					if(sheet5.GetCellValue(i, "DELI_FILE_ID")!="0"){
						sheet5.SetCellFontColor(i,"FILE_YN", "#0000ff");
					}
				}
	    	}
			
			if(credit_yn.trim() == "N" || credit_yn.trim() == "")
	        {
				if(job_div == "P")
		    	{	
					$.getCertList();
		    	}else{
		    		$.getConAbilltyList();
		    	}
	        }
			if(search_flag_5 == "N" && credit_yn == "Y")
	        {
		        sheet5.FitColWidth();
		        search_flag_5 = "Y";
	        }
			var credit_end_dy = sheet5.GetCellValue(1,"CREDIT_END_DY");
	    	if(credit_end_dy == -1){
	    		return; 
	    	}else{
	    		if(credit_end_dy > now_DY){
	    			/* $("#span_sheet5_add").hide();
	    			sheet5.SetEditable(false); */
	    		}
	    	}
		}else{
			alert(message);
		}
	}
	
	function sheet6_OnSearchEnd(code, message) 
	{
		var info = {Type: "Image"};
		if(code == 0){
			if(job_div == "P")
	    	{	
		    	for(i=1; i <= sheet6.RowCount(); i++){
					if(sheet6.GetCellValue(i, "FILE_ID")!=""){
						sheet6.InitCellProperty(i, "FILE_YN", info);
					}
					
					if(sheet6.GetCellValue(i, "CERT_FILE_ID")!="0"){
						sheet6.SetCellFontColor(i,"FILE_YN", "#0000ff");
					}
				}
	    	}
	    	
			if(credit_yn.trim() == "N" || credit_yn.trim() == "")
	        {
				if(job_div == "P")
		    	{
					$.getPrizeList();
		    	}else{
		    		$.getConTechManList();
		    	}
	        }
			if(search_flag_6 == "N" && credit_yn == "Y")
	        {
		        sheet6.FitColWidth();
		        search_flag_6 = "Y";
	        }
			var credit_end_dy = sheet6.GetCellValue(1,"CREDIT_END_DY");
	    	if(credit_end_dy == -1){
	    		return; 
	    	}else{
	    		if(credit_end_dy > now_DY){
	    			/* $("#span_sheet6_add").hide();
	    			sheet6.SetEditable(false); */
	    		}
	    	}
		}else{
			alert(message);
		}
	}
	
	function sheet7_OnSearchEnd(code, message) 
	{
		if(code == 0){
			if(credit_yn.trim() == "N" || credit_yn.trim() == "")
	        {
				
				if(job_div == "P")
		    	{
					$.getSuppPatTent();
		    	}else{
		    		$.getCertList();
		    	}
	        }
			if(search_flag_7 == "N" && credit_yn == "Y")
	        {
		        sheet7.FitColWidth();
		        search_flag_7 = "Y";
	        }
			var credit_end_dy = sheet7.GetCellValue(1,"CREDIT_END_DY");
	    	if(credit_end_dy == -1){
	    		return; 
	    	}else{
	    		if(credit_end_dy > now_DY){
	    			/* $("#span_sheet7_add").hide();
	    			sheet7.SetEditable(false); */
	    		}
	    	}
		}else{
			alert(message);
		}
	}
	
	function sheet8_OnSearchEnd(code, message) 
	{
		if(code == 0){
			if(credit_yn.trim() == "N" || credit_yn.trim() == "")
	        {
				
				if(job_div == "P")
		    	{
					$.getCert2List();
		    	}
	        }
			if(search_flag_8 == "N" && credit_yn == "Y")
	        {
		        sheet8.FitColWidth();
		        search_flag_8 = "Y";
	        }
			var credit_end_dy = sheet7.GetCellValue(1,"CREDIT_END_DY");
	    	if(credit_end_dy == -1){
	    		return; 
	    	}else{
	    		if(credit_end_dy > now_DY){
	    			/* $("#span_sheet8_add").hide();
	    			sheet8.SetEditable(false); */
	    		}
	    	}
		}else{
			alert(message);
		}
	}
	
	function sheet9_OnSearchEnd(code, message) 
	{
		if(code == 0){
			if(search_flag_9 == "N" && credit_yn == "Y")
	        {
				sheet9.FitColWidth();
				search_flag_9 = "Y";
	        }		    
		    
	    	var credit_end_dy = sheet9.GetCellValue(1,"CREDIT_END_DY");
	    	if(credit_end_dy == -1){
	    		return; 
	    	}else{
	    		if(credit_end_dy > now_DY){
	    			$("#span_sheet9_add").hide();
	    			sheet9.SetEditable(false);
	    		}
	    	}	
		}		
	}
	
	
	function sheet2_OnSaveEnd(code, msg)
	{
		var event = $("#fevent").val();
		var f = document.form1;
		
		document.form1.isSubmit = false;
		
		if(event == "SAVE_DATA")
		{
		    if(code >= "0")
			{
				if(credit_yn.trim() == "N" || credit_yn.trim() == ""||credit_yn.trim() == "Y")
				{
				    if(job_div == "P")
			        {
				        //alert(event);
				        $("#fevent").val("SAVE_DELIRESUT");
		 		        var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/purchase/PuSupplier_sheet.screen";
		 				var result = Modular.view.IBSheet7.doSave(sheet5, url, $("#form1"), false);
			        }
				    else
			        {
				        $("#fevent").val("SAVE_RESULT");
		 		        var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
		 				var result = Modular.view.IBSheet7.doSave(sheet5, url, $("#form1"), false);
			        }
				}
				else
			    {
				    alert("저장되었습니다.");
				    document.form1.isSubmit = false;
				    
			    }
			}
			else
			{
				alert("등록실패.");
			}
		}
	}
	
	
	function sheet5_OnSaveEnd(code, msg)
	{
	    var event = $("#fevent").val();
		var f = document.form1;
		
		document.form1.isSubmit = false;
		if(event == "SAVE_DELIRESUT")
		{
		    if(code >= "0")
			{
				if(credit_yn.trim() == "N" || credit_yn.trim() == ""||credit_yn.trim() == "Y")
				{
	 		 		$("#fevent").val("SAVE_CERT");
	 		        var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/purchase/PuSupplier_sheet.screen";
	 				var result = Modular.view.IBSheet7.doSave(sheet6, url, $("#form1"), false);
		        }
			    else
				{
					alert("등록실패.");
				}
			}
		}
			
	    if(event == "SAVE_RESULT")
        {
		    if(code >= "0")
			{
		        if(credit_yn.trim() == "N" || credit_yn.trim() == ""||credit_yn.trim() == "Y")
				{
			        $("#fevent").val("SAVE_ABILLTY");
	 		        var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
	 				var result = Modular.view.IBSheet7.doSave(sheet6, url, $("#form1"), false);
				}
			}
		    else
			{
				alert("등록실패.");
			}
	    }
	}
	
	function sheet6_OnSaveEnd(code, msg)
	{
	    var event = $("#fevent").val();
		var f = document.form1;
		
		document.form1.isSubmit = false;
		
		if(event == "SAVE_CERT")
		{
		    if(code >= "0")
			{
		        if(credit_yn.trim() == "N" || credit_yn.trim() == ""||credit_yn.trim() == "Y")
				{
		            $("#fevent").val("SAVE_PRIZE");
	 		        var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/purchase/PuSupplier_sheet.screen";
	 				var result = Modular.view.IBSheet7.doSave(sheet7, url, $("#form1"), false);
				}
			}
		    else
			{
				alert("등록실패.");
			}
		}
		else
	    {
		    if(code >= "0")
			{
		        if(credit_yn.trim() == "N" || credit_yn.trim() == ""||credit_yn.trim() == "Y")
				{
			        $("#fevent").val("SAVE_TECH_MAN");
	 		        var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
	 				var result = Modular.view.IBSheet7.doSave(sheet7, url, $("#form1"), false);
				}
			}
		    else
			{
				alert("등록실패.");
			}
	    }
	}
	
	function sheet7_OnSaveEnd(code, msg)
	{
	    var event = $("#fevent").val();
		var f = document.form1;
		
		document.form1.isSubmit = false;
		
		if(event == "SAVE_PRIZE")
		{
		    if(code >= "0")
			{
				if(credit_yn.trim() == "N" || credit_yn.trim() == ""||credit_yn.trim() == "Y")
				{
			        $("#fevent").val("SAVE_PATENT");
	 		        var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/purchase/PuSupplier_sheet.screen";
	 				var result = Modular.view.IBSheet7.doSave(sheet8, url, $("#form1"), false);
				}
			}
			else
			{
				alert("등록실패.");
			}
		}
		else
	    {
		    if(code >= "0")
			{
				if(credit_yn.trim() == "N" || credit_yn.trim() == ""||credit_yn.trim() == "Y")
				{
			        $("#fevent").val("SAVE_CERT");
	 		        var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
	 				var result = Modular.view.IBSheet7.doSave(sheet8, url, $("#form1"), false);
				}
			}
			else
			{
				alert("등록실패.");
			}
	    }
	}
	
	
	function sheet8_OnSaveEnd(code, msg)
	{
		var event = $("#fevent").val();
		var f = document.form1;
		
		document.form1.isSubmit = false;
		
		if(event == "SAVE_PATENT")
		{
		    if(code >= "0")
			{
				if(credit_yn.trim() == "N" || credit_yn.trim() == ""||credit_yn.trim() == "Y")
				{
			        $("#fevent").val("SAVE_CERT2");
	 		        var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/purchase/PuSupplier_sheet.screen";
	 				var result = Modular.view.IBSheet7.doSave(sheet9, url, $("#form1"), false);
				}
			}
			else
			{
				alert("등록실패.");
			}
		}
		else
	    {
		    if(code >= "0")
			{
				alert("수정 되었습니다.");
			}
			else
			{
				alert("등록실패.");
			}
	    }				
	}
	
	function sheet9_OnSaveEnd(code, msg)
	{
		var event = $("#fevent").val();
		var f = document.form1;
		
		document.form1.isSubmit = false;
		
	    if(code >= "0")
		{
			alert("수정 되었습니다.");
		}
		else
		{
			alert("등록실패.");
		}
	}
	
	function sheet4_OnSmartResize(Width, Height) { 
		sheet4.FitColWidth();
	}
	
	function sheet5_OnSmartResize(Width, Height) { 
		sheet5.FitColWidth();
	}
	
	function sheet6_OnSmartResize(Width, Height) { 
		sheet6.FitColWidth();
	}
	
	function sheet7_OnSmartResize(Width, Height) { 
		sheet7.FitColWidth();
	}
	
	function sheet8_OnSmartResize(Width, Height) { 
		sheet8.FitColWidth();
	}
	
	function sheet9_OnSmartResize(Width, Height) { 
		sheet9.FitColWidth();
	}
	
	
	function fileCheck(checkObj, val){
		var f = document.form1;
		
		var obj = eval("document.getElementById('" + val + "')");
		
		if(obj.style.display == "none"){
			obj.style.display = "inline";
			checkObj.checked = true;
		}else{
			obj.style.display = "none";
			checkObj.checked = false;
		}
	} 
	
	//첨부목록 조회
	function getFileListForTextarea(){
		document.form1.p_AttachFile1.value = "";
		var f = document.form1;  
		jQuery("#fevent").val("GET_ATTACHFILE");
		submitXmlRequest("/supplier/purchase/PuSupplierList_form.screen", "GET_ATTACHFILE", f, "VALUEOBJECT");	
	}
	
	
	function doAttachFile(obj,No,fileName) {

		if(obj.value == ''){
			alert("데이터를 저장 후, 파일을 첨부할 수가 있습니다.");
		}
		else if(obj.value != ''){ 
			if(No == 1){
				viewFileListNew1('TERMS_AGREE_INFO_'+obj.value, No, document.form1.p_AttachFile2, "Y", "own/outside/"+obj.value);
			}else{
				var upLoadFlg = "Y";
				if(jQuery("#statusCd").val() == "10"){	//상태값이 기성신청(03), 결재완료(10) 일때는 첨부파일 다운로드만 가능
					upLoadFlg = "N";
				}
				//2017.07.04  협력업체등록증은 수정불가 
				if (No == "180"){
					upLoadFlg = "N";
				}
				viewFileListNew1('TERMS_AGREE_INFO_'+obj.value, No, document.form1.p_AttachFile2, upLoadFlg, "own/outside/"+obj.value, null, fileName);
			}
		} 

		//기성첨부파일 목록 조회
		//getFileListForTextarea();
		
	}
	
	function viewFileListNew1(fileGB, id, obj, isModify, isDrectory, iframeID, user_filename) {
		
		var win_id = "_viewFileList";
		var link = "/common/file/FileListNew.screen";
		    link += "?pop_win_id="+win_id;
		    link += "&extFunction=viewFileListClose1";
		    link += "&file_gb=" + fileGB;
		    link += "&id=" + id;
		    
		    if( obj.id != null )
			    link += "&obj_id=" + obj.id;
		    if( iframeID != null )
		    	link += "&iframeID=" + iframeID;
		    
			if( isModify != null )
				link += "&is_modify=" + isModify;
			if( isDrectory != null )
				link += "&sys_gb=" + isDrectory;	    
			if( user_filename != null )
				link += "&user_filename=" + user_filename;	 
		
		fLayerPop(win_id, link, 750,430, '', '', 'NO', '200');
	}
	
	function research() {
		jQuery("#fevent").val("");
		jQuery("#form1").attr("action", "/supplier/portal/own/SuppOwn.screen");
		jQuery("#form1").attr("target", "_self");
		jQuery("#form1").attr("method", "post");
		jQuery("#form1").submit();
	}
	
//-->
</script>




<!-- SHEET -->




<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>
<form id="form1" name="form1" method="post" modular:type="search">
<input type="hidden" name="fevent" id="fevent" value="">
<input type="hidden" name="p_corp_id" id="p_corp_id" value="<%=params.get("p_corp_id") %>" />
<input type="hidden" name="p_corp_reg_no" id="p_corp_reg_no" value="<%=params.get("p_corp_reg_no") %>" />
<input type="hidden" name="p_eval_cmp" id="p_eval_cmp" value="<%=params.get("p_eval_cmp") %>" />
<input type="hidden" name="job_div" id="job_div" value="<%=params.get("job_div") %>" />
<input type="hidden" name="p_base_year" id="p_base_year" value="<%=params.get("p_base_year") %>" />
<input type="hidden" name="finance_gbn" id="finance_gbn" value="<%=corpInfoVo.get("base_year") %>" />
<input type="hidden" name="out_main_check" id="out_main_check" value="" />
<input type="hidden" name="addr_gubun" id="addr_gubun" value="" />
<input type="hidden" name="credit_yn" id="credit_yn" value="<%=vo.get("credit_yn") %>" />
<input type="hidden" name="factor_confirm" id="factor_confirm" value="<%=vo.get("factor_confirm") %>" />

<input type="hidden" name="p_status" id="p_status" value="<%=vo.get("status_code") %>" />
<input type="hidden" name="use_end_dy" id="use_end_dy" value="<%=vo.get("use_end_dy") %>" />
<input type="hidden" name="reg_req_dt" id="reg_req_dt" value="<%=vo.get("reg_req_dt") %>" />
<input type="hidden" name="reg_dt" id="reg_dt" value="<%=vo.get("reg_dt") %>" />
<input type="hidden" name="appr_dt" id="appr_dt" value="<%=vo.get("appr_dt") %>" />
<input type="hidden" name="can_dt" id="can_dt" value="<%=vo.get("can_dt") %>" />
<input type="hidden" name="comment" id="comment" value="<%=vo.get("comment") %>" />
<input type="hidden" name="o_comment" id="o_comment" value="<%=vo.get("o_comment") %>" />
<input type="hidden" name="p_right_id" id="p_right_id" value="" />
<input type="hidden" name="taget" id="taget" value="portal" />
<%-- <input type="hidden" name="G_BASE_YEAR" id="G_BASE_YEAR" value="<%=year %>" /> --%>
<input type="hidden" name="4" id="p_AttachFile2" onPropertyChange="JavaScript:getFileListForTextarea();"/>

	<div id="join_wrap" align="center">
		<!-- TITLE -->
		<table border="0" cellspacing="0" cellpadding="0" style="width: 100%;">
			<tr>
				<td><!-- 제목 및 버튼 -->
					<table width="100%">
						<colgroup>
							<col width="500" />
							<col width="*" />
						</colgroup>
						<tr>
							<th>
								<div align="left" id="title">
									<ul>
										<li><span id="resultListDivTitle">자사정보관리</span></li>
									</ul>
								</div>
							</th>
							<td align="right">
								<span class="btnSearch center"><a href="javascript:void(0);" id="btn_list">돌아가기</a></span>
								<span class="btnSearch center"><a href="javascript:void(0);" id="btn_save">저장</a></span>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td>
					<table width="100%" border="0" cellspacing="0" cellpadding="0">
						<tr>
							<td>
								<div id="container">
								    <ul class="tabs">
								    <%if(params.get("job_div").equals("P")){ %>
								        <li class="active" rel="tab1">기본정보</li>
								        <li rel="tab2">담당자 정보</li>
								        <li rel="tab3">납품실적</li>
								        <li rel="tab4">인증서 현황</li>
								        <li rel="tab5">포상실적</li>
								        <li rel="tab6">특허</li>
								        <li rel="tab8">건설면허</li>
								        <li rel="tab7">재무정보</li>
							        <%}else{ %>
							        	<li class="active" rel="tab1">기본정보</li>
								        <li rel="tab2">담당자 정보</li>
								        <li rel="tab3">계약실적</li>
								        <li rel="tab4" style="width: 120px;">시공능력 및 면허</li>
								        <li rel="tab5" style="width: 120px;">기술인력보유 현황</li>
								        <li rel="tab6">인증서 현황</li>
								        <li rel="tab7">재무정보</li>
								        <%} %>
								    </ul>
								    <div class="tab_container">
								        <div id="tab1" class="tab_content">
								        	<table width="100%" border="0" cellspacing="0" cellpadding="0">
								        		 <colgroup>
								            		<col width="450px%"/>
								            		<col width="70px"/>
								            		<col width="460px"/>
								            		<col width="30px"/>
								            		<col width="*"/>
								            		<col/>
								            	</colgroup> 
												<tr>
													<td valign="top">
														<div class="application-info magT20">
															<div class="application-sub-title">
															<%if(params.get("job_div").equals("P")){ %>
																<span class="title">공급ITEM</span>
															<%}else{%>
																<span class="title">공종</span>
															<%}%>	
															</div>
														</div>
														<div id="table01" style="width: 450px; height: 200px;">
															<script>createIBSheet("sheet1","100%", "100%");</script>
														</div>
										
														<!-- table width="100%" border="0" cellspacing="0" cellpadding="0">
															<tr>
																<td align="left">
																	<div style="margin-bottom: 0px; margin-top: 10px; font-size: 12px;" class="screen_title_text">
																		<img src="/img/buyer/common/subtitle_bullet.gif" style="vertical-align: middle;">&nbsp;구분
																	</div>
																	
																</td>
															</tr>
														</table -->
													</td>
													
													<td align="center" valign="middle" style="width: 70px;">
														<table width="40" border="0" cellspacing="0"	cellpadding="0">
															<tr>
																<td height="30" align="center" valign="middle">
																	<img src="/img/buyer/icon/icon_in.gif" width="27"  height="17" /></td>
															</tr>
															<tr>
																<td height="30" align="center" valign="middle">
																	<img src="/img/buyer/icon/icon_out.gif" alt="" width="27" height="17" />
																</td>
															</tr>
														</table>
													</td>
													
													<td valign="top">
														<div class="application-info magT20">
															<div class="application-sub-title">
															<%if(params.get("job_div").equals("P")){ %>
																<span class="title">등록희망 공급ITEM</span>
															<%}else{%>
																<span class="title">선택공종</span>
															<%}%>	
															</div>
														</div>
														<div id="table01" style="width: 460px;height: 200px;">
															<script>createIBSheet("sheet2","100%", "100%");</script>
														</div>
													</td>
													<td align="center" valign="middle">
														<div style="width: 30px;"></div>
													</td>
													<td align="left">
														<div class="application-info magT20">
															<div class="application-sub-title">
																<span class="title">신용평가정보</span>
															</div>
														</div>
														<div id="table01" style="width: 401px;height: 200px;">
															<script>createIBSheet("sheet3","100%", "100%");</script>
														</div>
													</td>
												</tr>
											</table>
								        	
								        	
								        	<div class="application-info magT20">
												<div class="application-sub-title">
													<span class="title">기본정보</span>
												</div>
											</div>
											
								            <table width="100%" border="0" cellspacing="0" cellpadding="0" class="form-table">
								            	<col width="150px"/>
												<col width="40%"/>
												<col width="150px"/>
												<col/>
												<tr>
													<th style="text-align: left;">
														사업자번호
													</th>
													<td>
														<%=StringUtils.getBizNo(vo.get("CORP_REG_NO")) %>
													</td>
													<th id="p_head_corp_reg_n" style="text-align: left;">
														본사 사업자번호
													</th>
													<td>
														<input type="text" name="head_corp_reg_n" id="head_corp_reg_n" value="<%=vo.get("head_corp_reg_n") %>" maxlength="10" numberOnly="true"  style="width: 250px;" />
													</td>
												</tr>
												<tr>
													<th id="p_corp_no" style="text-align: left;">
														법인번호
													</th>
													<td>
														<input type="text" name="copr_no" id="copr_no" value="<%=vo.get("copr_no") %>" maxlength="13" numberOnly="true" style="width: 250px;" />
													</td>
													<th style="text-align: left;">
														종사업장번호
													</th>
													<td>
														<input type="text" name="sub_place_no" id="sub_place_no" value="<%=vo.get("sub_place_no") %>" maxlength="4" numberOnly="true"style="width: 250px;" />
													</td>
												</tr>
												<tr>
													<th class="required" style="text-align: left;">
														업체명
													</th>
													<td >
														<input type="text" name="corp_kor" id="corp_kor" value="<%=vo.get("corp_kor") %>"  style="width: 250px;" />
													</td>
													<th class="required" style="text-align: left;">
														대표자명
													</th>
													<td >
														<input type="text" name="rep_name" id="rep_name" value="<%=vo.get("rep_name") %>"  style="width: 250px;" />
													</td>
												</tr>
												<tr>
													<th class="required" style="text-align: left;">
														업태
													</th>
													<td>
														<input type="text" name="corp_sts" id="corp_sts" value="<%=vo.get("corp_sts") %>" style="width: 250px;" />
													</td>
													<th class="required" style="text-align: left;">
														업종
													</th>
													<td>
														<input type="text" name="biz_form" id="biz_form" value="<%=vo.get("biz_form") %>"  style="width: 250px;" />
													</td>
												</tr>
												<tr>
													<th class="required" style="text-align: left;">
														사업자구분
													</th>
													<td>
														<input type="radio" name="corp_div_cd" id="corp_div_cd_1" value="1" <%=vo.get("corp_div_cd").equals("1") ? "checked=\"checked\"" : ""%> disabled="disabled"/> 법인
														<input type="radio" name="corp_div_cd" id="corp_div_cd_2" value="2"<%=vo.get("corp_div_cd").equals("2") ? "checked=\"checked\"" : ""%> disabled="disabled"/> 개인
													</td>
													<th class="required" style="text-align: left;">
														설립일자
													</th>
													<td>
														<input type="text" name="esta_date" id="esta_date" value="<%=vo.get("esta_date") %>"  style="width: 250px; background-color: rgb(238, 238, 238);"  readonly="readonly"/>
														<img alt="달력" id="esta_date_img" name="date_img" src="/img/buyer/btn/bt_calender.gif" style="vertical-align: middle; cursor: pointer;"/>
													</td>
												</tr>
												<tr>
													<th class="required" style="text-align: left;">
														전화번호
													</th>
													<td>
														<input type="text" name="corp_tel" id="corp_tel" value="<%=vo.get("corp_tel") %>"  style="width: 250px;" maxlength="15" noHangelEng="true" /> <span style="color: red; font-size: 11px;">ex)000-0000-0000</span>
													</td>
													<th class="required" style="text-align: left;">
														FAX번호
													</th>
													<td>
														<input type="text" name="corp_fax" id="corp_fax" value="<%=vo.get("corp_fax") %>" style="width: 250px;" maxlength="15" noHangelEng="true"/> <span style="color: red; font-size: 11px;">ex)000-0000-0000</span>
													</td>
												</tr>
												<tr>
													<th class="required" style="text-align: left;">
														회사규모
													</th>
													<td>
														<input type="radio" name="corp_scale" id="corp_scale_1" value="B" <%=vo.get("corp_scale").equals("B") ? "checked=\"checked\"" : ""%> /> 대기업
														<input type="radio" name="corp_scale" id="corp_scale_2" value="S"<%=vo.get("corp_scale").equals("S") ? "checked=\"checked\"" : ""%> /> 중소기업
													</td>
													<th class="required" style="text-align: left;">
													계좌정보
													</th>
													<td>
													    <%=CommCodeManager.getSelectCodeList("ERP_BANK","bank_cd","height=18;","<option value=''>--선택--</option>",vo.get("bank_cd")) %>												
														<input type="text" name="bank_acct" id="bank_acct" value="<%=vo.get("bank_acct") %>"  style="width: 250px;" />
													</td>
													</tr>
												<tr>
													<th class="required" style="text-align: left;">
														본점 소재지
													</th>
													<td colspan="5">
														<%-- <input type="text" name="post_no_1" id="post_no_1" value="<%=!vo.get("post_no").equals("") ? vo.get("post_no").substring(0, 3) : ""%>" class="input" style="background-color: rgb(218, 227, 244); width: 80px;" readonly="readonly">
														&nbsp;-&nbsp;
														<input type="text" name="post_no_2" id="post_no_2" value="<%=!vo.get("post_no").equals("") ? vo.get("post_no").substring(3, 6) : ""%>" class="input" style="background-color: rgb(218, 227, 244); width: 80px;" readonly="readonly">
														 --%>
														 <input type="text" name="post_no_1" id="post_no_1" value="<%=!vo.get("post_no").equals("") ? vo.get("post_no") : ""%>" class="input" style="background-color: rgb(218, 227, 244); width: 80px;" readonly="readonly">
												         &nbsp;
														<input type="text" name="address" id="address" value="<%=vo.get("address") %>" style="width: 50%;"/>
														<img id="search_addr" name="search_addr" style="vertical-align: middle; cursor: pointer;" src="/img/buyer/btn/btn_add_find.gif" />
													</td>
												</tr>
												<tr>
													<th class="required" style="text-align: left;">
														사업장 소재지
													</th>
													<td colspan="3">
														<div id="input01">
															<%-- <input type="text" name="place_post_no_1" id="place_post_no_1" value="<%=!vo.get("place_post_no").equals("") ? vo.get("place_post_no").substring(0, 3) : "" %>" class="input" style="background-color: rgb(218, 227, 244); width: 80px;" readonly="readonly">
															&nbsp;-&nbsp;
															<input type="text" name="place_post_no_2" id="place_post_no_2" value="<%=!vo.get("place_post_no").equals("") ? vo.get("place_post_no").substring(3, 6) : "" %>" class="input" style="background-color: rgb(218, 227, 244); width: 80px;" readonly="readonly">
															 --%>
															 <input type="text" name="place_post_no_1" id="place_post_no_1" value="<%=!vo.get("place_post_no").equals("") ? vo.get("place_post_no") : ""%>" class="input" style="background-color: rgb(218, 227, 244); width: 80px;" readonly="readonly">
												             &nbsp;
															<input type="text" name="place_address" id="place_address" value="<%=vo.get("place_address") %>" style="width: 50%;"/>
															<img src="/img/buyer/btn/btn_add_find.gif" id="search_addr_sub" name="search_addr_sub" style="vertical-align: middle; cursor: pointer;" src="/img/buyer/btn/btn_add_find.gif" />
													</td>
												</tr>
												<tr>
													<th class="required" style="text-align: left;">
														세금계산서 발행주소
													</th>
													<td colspan="3">
														<input type="radio" name="tax_addr_cd" id="tax_addr_cd_1" value="B" <%=vo.get("tax_addr_cd").equals("B")  ? "checked=\"checked\"" : ""%> /> 본사
														<input type="radio" name="tax_addr_cd" id="tax_addr_cd_2" value="S" <%=vo.get("tax_addr_cd").equals("S")  ? "checked=\"checked\"" : ""%> /> 사업장
													</td>
												</tr>
												<%if(params.get("job_div").equals("P")){ %>
												<tr>
													<th class="required" style="text-align: left;">
														공장유무
													</th>
													<td>
														<input type="radio" name="factor_cd" id="factor_cd_1" value="1"  <%=vo.get("factor_cd").equals("1")  ? "checked=\"checked\"" : ""%>  /> 유
														<%-- <input type="radio" name="factor_cd" id="factor_cd_2" value="2"  <%=vo.get("factor_cd").equals("2")  ? "checked=\"checked\"" : ""%> /> 임대공장 --%>
														<input type="radio" name="factor_cd" id="factor_cd_3" value="9"  <%=vo.get("factor_cd").equals("9")  ? "checked=\"checked\"" : ""%> /> 무
														&nbsp;&nbsp;<%=vo.get("factor_confirm_nm") %>
													</td>
													<th class="required" style="text-align: left;">
														manufacturer 구분
													</th>
													<td>
														<input type="radio" name="mftr_div_cd" id="mftr_div_cd_1" value="1"  <%=vo.get("mftr_div_cd").equals("1")  ? "checked=\"checked\"" : ""%> /> manufacturer
														<input type="radio" name="mftr_div_cd" id="mftr_div_cd_2" value="2"  <%=vo.get("mftr_div_cd").equals("2")  ? "checked=\"checked\"" : ""%> /> agent
													</td>
												</tr>
												<%}else{ %>
												<tr>
													<th class="required" style="text-align: left;">주력분야</th>
													<td colspan="3">
														<div id="input01">
															<ul>
																<li><input type="checkbox" name="out_main_cd" id="out_main_cd_1" value="31" style="vertical-align: middle;" />&nbsp;주택분야</li>
																<li><input type="checkbox" name="out_main_cd" id="out_main_cd_2" value="32" style="vertical-align: middle;" />&nbsp;공동주택</li>
																<li><input type="checkbox" name="out_main_cd" id="out_main_cd_3" value="33" style="vertical-align: middle;" />&nbsp;산업플랜트</li>
																<li><input type="checkbox" name="out_main_cd" id="out_main_cd_4" value="34" style="vertical-align: middle;" />&nbsp;발전플랜트</li>
																<li><input type="checkbox" name="out_main_cd" id="out_main_cd_5" value="35" style="vertical-align: middle;" />&nbsp;화공플랜트</li>
																<li><input type="checkbox" name="out_main_cd" id="out_main_cd_6" value="36" style="vertical-align: middle;" />&nbsp;환경플랜트</li>
																<li><input type="checkbox" name="out_main_cd" id="out_main_cd_7" value="37" style="vertical-align: middle;" />&nbsp;제약플랜트</li>
															</ul>
														</div>
													</td>
												</tr>
												<%} %>
												
												<%if(params.get("job_div").equals("P")){ %>
													<tr>
														<th style="text-align: left;">
															첨부파일
														</th>
														<td colspan="3" id="input01">
															<textarea name="p_AttachFile1" id="p_AttachFile1" style="width:85%;height:80px" rows="1" class="input" readOnly><%=filein.get("TERMS_AGREE_INFO") %></textarea>
															<img id="search_spot_button" src='/img/buyer/button/bt_change.gif' border='0'  align="top" align='absmiddle' alt='[Attach File]' style='cursor:pointer; vertical-align: middle; margin-bottom: 20px;'>
														</td>
													</tr>
												<%}else{ %>
													<tr >
														<th rowspan="2">
															첨부파일
														</th>
														<td colspan="3" id="input01">
																<table width="100%" border="0" cellpadding="0" cellspacing="0">
														<%
															if(getFileListRowSet.size() > 0){
																int i_mod = 0;
																for(int i = 0; getFileListRowSet.size() > i; i++){
																	i_mod = i%3;
																	if(i_mod == 0){ %>
																		<TR>
																<%	} %>
																			<td width="2%">
																			<input type="checkbox" name="<%=getFileListRowSet.getRow(i).get("DETAILSORTNM") %>" value="<%=getFileListRowSet.getRow(i).get("DETAILCD") %>" style="cursor:pointer;" onClick="fileCheck(this,'<%=getFileListRowSet.getRow(i).get("DETAILCD") %>')" <%if(!getFileListRowSet.getRow(i).get("DOC_CD").equals("")){out.print("checked");} %>>
																			</td>
																			<td width="20%">
																			<%=getFileListRowSet.getRow(i).get("DETAILNM") %>
																			</td>
																			<td width="7%" height="24">
																			<IMG src="/img/supplier/button/bt_attach_file.gif" id="<%=getFileListRowSet.getRow(i).get("DETAILCD") %>" alt="첨부파일 관리" align="top" style="display:<%if(!getFileListRowSet.getRow(i).get("DOC_CD").equals("")){out.print("inline");}else{out.print("none");} %>" onClick="doAttachFile(document.form1.p_corp_id, '<%=getFileListRowSet.getRow(i).get("DETAILCD") %>', '<%=getFileListRowSet.getRow(i).get("DETAILNM")%>');" class="button">
																			</td>
																<%	if(i_mod == 2) { %>		
																		</TR>
																<%	} %>		
															<%
																}
																for(int i=i_mod+1; i<3; i++){ %>
																	<td></td>
															<%	}
																if(i_mod == 0 || i_mod == 1){ %>
																	</TR>	
															<%	}
															}
														%>
															</table>
														</TD>
													</tr>
													<tr>
														<td colspan="3" id="input01">
															<textarea name="p_AttachFile1" id="p_AttachFile1" style="width:85%;height:80px" rows="1" class="input" readOnly><%=filein.get("TERMS_AGREE_INFO") %></textarea>
															<!-- <img id="search_spot_button" src='/img/buyer/button/bt_change.gif' border='0'  align="top" align='absmiddle' alt='[Attach File]' style='cursor:pointer; vertical-align: middle; margin-bottom: 20px;'> -->
														</td>
													</tr>
												<%} %>
											</table>
								        </div>
								        <!-- #tab1 -->
								        <div id="tab2" class="tab_content" style="width:98%;">
								        	<div id="title02" name="sheet_info" style="margin-top:10px; float:right; text-align: right; vertical-align: top;">
								        		<span style="font-size: 11px; color: red;"><b>※ 담당자 추가 및 삭제는 담당자 정보관리 메뉴에서 이용 가능합니다.</b></span>&nbsp;
								        	</div>
								        	<div id="table01" style="width: 100%; height: 100%;">
												<script>createIBSheet("sheet4","100%", "350px");</script>
											</div>
								        </div>
								        <!-- #tab2 -->
								        <%if(params.get("job_div").equals("P")){ %>
								        <div id="tab3" class="tab_content" style="width:98%;">
								        	<div id="title02" name="sheet_save_btn" style="margin-top:5px; float:right; text-align: right; height: 25px; vertical-align: top;">
												<span class="btnSearch center" id="span_sheet5_add"><a href="javascript:void(0);" id="sheet5_add" name="sheet5_add">추가</a></span>
											</div>
								        	<div id="title02" name="sheet_info" style="margin-top:10px; float:right; text-align: right; vertical-align: top;">
								        		<span style="font-size: 11px; color: red;"><b>(* 금액 단위 : 천원)</b></span>&nbsp;
											</div>
											<div id="table01" style="width: 100%; height: 100%;">
												<script>createIBSheet("sheet5","100%", "350px");</script>
											</div>
								        </div>
								        <!-- #tab3 -->
								        <div id="tab4" class="tab_content" style="width:98%;">
								        	<div id="title02" name="sheet_save_btn" style="margin-top:5px; float:right; text-align: right; height: 25px; vertical-align: top;">
												<span class="btnSearch center" id="span_sheet6_add"><a href="javascript:void(0);" id="sheet6_add" name="sheet6_add">추가</a></span>
											</div>
								        	<div id="title02" name="sheet_info" style="margin-top:10px; float:right; text-align: right; vertical-align: top;">
											</div>
											<div id="table01" style="width: 100%; height: 100%;">
												<script>createIBSheet("sheet6","100%", "350px");</script>
											</div>
								        </div>
								        <!-- #tab4 -->
								        <div id="tab5" class="tab_content" style="width:98%;">
								        	<div id="title02" name="sheet_save_btn" style="margin-top:5px; float:right; text-align: right; height: 25px; vertical-align: top;">
												<span class="btnSearch center" id="span_sheet7_add"><a href="javascript:void(0);" id="sheet7_add" name="sheet7_add">추가</a></span>
											</div>
								        	<div id="title02" name="sheet_info" style="margin-top:10px; float:right; text-align: right; vertical-align: top;">
											</div>
											<div id="table01" style="width: 100%; height: 100%;">
												<script>createIBSheet("sheet7","100%", "350px");</script>
											</div>
								        </div>
								        <!-- #tab5 -->
								        <div id="tab6" class="tab_content" style="width:98%;">
							        		<div id="title02" name="sheet_save_btn" style="margin-top:5px; float:right; text-align: right; height: 25px; vertical-align: top;">
												<span class="btnSearch center" id="span_sheet8_add"><a href="javascript:void(0);" id="sheet8_add" name="sheet8_add">추가</a></span>
											</div>
								        	<div id="title02" name="sheet_info" style="margin-top:10px; float:right; text-align: right; vertical-align: top;">
											</div>
											<div id="table01" style="width: 100%; height: 100%;">
												<script>createIBSheet("sheet8","100%", "350px");</script>
											</div>
								        </div>
								     	<!-- #tab6 -->
								        <div id="tab8" class="tab_content" style="width:98%;">
								        	<div id="title02" name="sheet_save_btn" style="margin-top:5px; float:right; text-align: right; height: 25px; vertical-align: top;">
												<span class="btnSearch center" id="span_sheet9_add"><a href="javascript:void(0);" id="sheet9_add" name="sheet9_add">추가</a></span>
											</div>
								        	<div id="title02" name="sheet_info" style="margin-top:10px; float:right; text-align: right; vertical-align: top;">
								        	<span style="float: right; font-size: 11px; color: red;"><b> </b></span>
											</div>
											<div id="table01" style="width: 100%; height: 100%;">
												<script>createIBSheet("sheet9","100%", "350px");</script>
											</div>
								        </div>
								        <!-- #tab7 -->
								         <%}else{ %>
								         <div id="tab3" class="tab_content" style="width:98%;">
								         	<div id="title02" name="sheet_save_btn" style="margin-top:5px; float:right; text-align: right; height: 25px; vertical-align: top;">
												<span class="btnSearch center" id="span_sheet5_add"><a href="javascript:void(0);" id="sheet5_add" name="sheet5_add">추가</a></span>
											</div>
								         	<div id="title02" name="sheet_info" style="margin-top:10px; float:right; text-align: right; vertical-align: top;">
								         		<span style="font-size: 11px; color: red;"><b>당해년도 계약금액(천원)</b></span>&nbsp;
											</div>
											<div id="table01" style="width: 100%; height: 100%;">
												<script>createIBSheet("sheet5","100%", "350px");</script>
											</div>
								        </div>
								        <!-- #tab3 -->
								        <div id="tab4" class="tab_content" style="width:98%;">
								        	<div id="title02" name="sheet_save_btn" style="margin-top:5px; float:right; text-align: right; height: 25px; vertical-align: top;">
												<span class="btnSearch center" id="span_sheet6_add"><a href="javascript:void(0);" id="sheet6_add" name="sheet6_add">추가</a></span>
											</div>
								        	<div id="title02" name="sheet_info" style="margin-top:10px; float:right; text-align: right; vertical-align: top;">
								        		<span style="font-size: 11px; color: red;"><b>기준년도는 시공능력평가년도 기준  시공능력평가액(천원)</b></span>&nbsp;
											</div>
											<div id="table01" style="width: 100%; height: 100%;">
												<script>createIBSheet("sheet6","100%", "350px");</script>
											</div>
								        </div>
								        <!-- #tab4 -->
								        <div id="tab5" class="tab_content" style="width:98%;">
								        	<div id="title02" name="sheet_save_btn" style="margin-top:5px; float:right; text-align: right; height: 25px; vertical-align: top;">
												<span class="btnSearch center" id="span_sheet7_add"><a href="javascript:void(0);" id="sheet7_add" name="sheet7_add">추가</a></span>
											</div>
								        	<div id="title02" name="sheet_info" style="margin-top:10px; float:right; text-align: right; vertical-align: top;">
											</div>
											<div id="table01" style="width: 100%; height: 100%;">
												<script>createIBSheet("sheet7","100%", "350px");</script>
											</div>
								        </div>
								        <!-- #tab5 -->
								        <div id="tab6" class="tab_content" style="width:98%;">
								        	<div id="title02" name="sheet_save_btn" style="margin-top:5px; float:right; text-align: right; height: 25px; vertical-align: top;">
												<span class="btnSearch center" id="span_sheet8_add"><a href="javascript:void(0);" id="sheet8_add" name="sheet8_add">추가</a></span>
											</div>
								        	<div id="title02" name="sheet_info" style="margin-top:10px; float:right; text-align: right; vertical-align: top;">
								        	<span style="float: right; font-size: 11px; color: red;"><b>만기일이 없을시 취득일과 동일하게 설정하세요 </b></span>
											</div>
											<div id="table01" style="width: 100%; height: 100%;">
												<script>createIBSheet("sheet8","100%", "350px");</script>
											</div>
								        </div>
								        <!-- #tab6 -->
								        <%} %>
								        <div id="tab7" class="tab_content">
								        	<div id="title02" name="sheet_save_btn" style="margin-top:5px; float:right; text-align: right; height: 25px; vertical-align: top;">
								        	</div>
								        	<div id="title02" name="sheet_info" style="margin-top:10px; float:right; text-align: right; vertical-align: top;">
								        		<span style="font-size: 11px; color: red;"><b>(* 금액 단위 : 원)</b></span>
								        	</div>
							        		<table width="100%" border="0" cellspacing="0" cellpadding="0" class="form-table">
							        			<colgroup>
							        				<col width="150px"/>
							        				<col/>
							        				<col width="150px"/>
							        				<col/>
							        			</colgroup>
												<tr>
													<th class="required" style="text-align: left;">
														기준년도
													</th>
													<td colspan="3">
														 <input  type="text" id="base_year" name="base_year" style="width: 50px; text-align: center;" value="<%=corpInfoVo.get("base_year")%>" numberOnly="true" maxlength="4"/> 년도 
													</td>
												</tr>
												<tr>
													<th class="required" style="text-align: left;">
														유동자산
													</th>
													<td>
														<%=InputText.get("float_asset",Formatter2.currency(corpInfoVo.get("float_asset")), 30,15, "PerSize,Number,Minus,right,class=numberic","Number") %>
														<%-- <input type="text" class="numberic readTable" name="float_asset" id="float_asset" value="<%=corpInfoVo.get("float_asset") %>" numberCommaOnly="true"style="padding-right:3px; width: 150px; text-align: right;" <%=corpInfoVo.get("re_yn").equals("Y") ? "readonly=\"readonly\" " : "" %> maxlength="15"/> --%>
													</td>
													<th class="required" style="text-align: left;">	
														유동부채
													</th>
													<td>
														<%=InputText.get("float_debt",Formatter2.currency(corpInfoVo.get("float_debt")), 30,15, "PerSize,Number,Minus,right,class=numberic","Number") %>
														<%-- <input type="text" class="numberic readTable" name="float_debt" id="float_debt" value="<%=corpInfoVo.get("float_debt") %>" numberCommaOnly="true" style="padding-right:3px; width: 150px; text-align: right;" <%=corpInfoVo.get("re_yn").equals("Y") ? "readonly=\"readonly\" " : "" %> maxlength="15"/> --%>
													</td>
												</tr>
												<tr>
													<th class="required" style="text-align: left;">
														자본총계
													</th>
													<td>
														<%=InputText.get("tot_cap",Formatter2.currency(corpInfoVo.get("tot_cap")), 30,15, "PerSize,Number,Minus,right,class=numberic","Number") %>
														<%-- <input type="text" class="numberic readTable" name="tot_cap" id="tot_cap" value="<%=corpInfoVo.get("tot_cap") %>" numberCommaOnly="true" style="padding-right:3px; width: 150px; text-align: right;"  <%=corpInfoVo.get("re_yn").equals("Y") ? "readonly=\"readonly\" " : "" %> maxlength="15"/> --%>
													</td>
													<th class="required" style="text-align: left;">
														부채총계
													</th>
													<td>
														<%=InputText.get("gross_asset",Formatter2.currency(corpInfoVo.get("gross_asset")), 30,15, "PerSize,Number,Minus,right,class=numberic","Number") %>
														<%-- <input type="text" class="numberic readTable" name="gross_asset" id="gross_asset" value="<%=corpInfoVo.get("gross_asset") %>" numberCommaOnly="true" style="padding-right:3px; width: 150px; text-align: right;" <%=corpInfoVo.get("re_yn").equals("Y") ? "readonly=\"readonly\" " : "" %> maxlength="15"/> --%>
													</td>
												</tr>
												<tr>
													<th class="required" style="text-align: left;">
														자본금
													</th>
													<td>
														<%=InputText.get("capital_amt",Formatter2.currency(corpInfoVo.get("capital_amt")), 30,15, "PerSize,Number,Minus,right,class=numberic","Number") %>
														<%-- <input type="text" class="numberic readTable" name="capital_amt" id="capital_amt" value="<%=corpInfoVo.get("capital_amt") %>" numberCommaOnly="true" style="padding-right:3px; width: 150px; text-align: right;" <%=corpInfoVo.get("re_yn").equals("Y") ? "readonly=\"readonly\" " : "" %>  maxlength="15"/> --%>
													</td>
													<th class="required" style="text-align: left;">
														당기순이익
													</th>
													<td>
														<%=InputText.get("cur_profit",Formatter2.currency(corpInfoVo.get("cur_profit")), 30,15, "PerSize,Number,Minus,right,class=numberic","Number") %>
														<%-- <input type="text" class="numberic readTable" name="cur_profit" id="cur_profit" value="<%=corpInfoVo.get("cur_profit") %>" numberCommaOnly="true" style="padding-right:3px; width: 150px; text-align: right;" <%=corpInfoVo.get("re_yn").equals("Y") ? "readonly=\"readonly\" " : "" %> maxlength="15"/> --%>
													</td>
												</tr>
												<tr>
													<th class="required" style="text-align: left;">
														당기매출액
													</th>
													<td>
														<%=InputText.get("cur_sales_amt",Formatter2.currency(corpInfoVo.get("cur_sales_amt")), 30,15, "PerSize,Number,Minus,right,class=numberic","Number") %>
														<%-- <input type="text" class="numberic readTable" name="cur_sales_amt" id="cur_sales_amt" value="<%=corpInfoVo.get("cur_sales_amt") %>" numberCommaOnly="true" style="padding-right:3px; width: 150px; text-align: right;" <%=corpInfoVo.get("re_yn").equals("Y") ? "readonly=\"readonly\" " : "" %> maxlength="15"/> --%>
													<th class="required" style="text-align: left;">
														전기매출액
													</thtd>
													<td>
														<%=InputText.get("pri_sales_amt",Formatter2.currency(corpInfoVo.get("pri_sales_amt")), 30,15, "PerSize,Number,Minus,right,class=numberic","Number") %>
														<%-- <input type="text" class="numberic readTable" name="pri_sales_amt" id="pri_sales_amt" value="<%=corpInfoVo.get("pri_sales_amt") %>" numberCommaOnly="true" style="padding-right:3px; width: 150px; text-align: right;"  <%=corpInfoVo.get("re_yn").equals("Y") ? "readonly=\"readonly\" " : "" %> maxlength="15"/> --%>
														<input type="hidden" name="own_cap" id="own_cap" value="<%=corpInfoVo.get("own_cap") %>"/>
														<input type="hidden" name="sales_amt" id="sales_amt" value="<%=corpInfoVo.get("sales_amt") %>"/>
													</td>
												</tr>
											</table>
								        </div>
								    </div>
								    <!-- .tab_container -->
								</div>
								<!-- #container -->
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</div>
	
</form>
