<%--
  - FileName   : prepaymentsList.jsp
  - Author(s)  : ok
  - Date       : 2014.08.20
  - Copyright  : Copyright (c) 2013 www.udapsoft.co.kr, Inc.
  - Description: 협력업체포탈 구매_선급금 현황
--%>

<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ page import="kr.co.hsnc.common.util.Formatter"%>

<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
    String event = storage.getEvent();
    
    RowSet statusComboList = storage.getRowSet("statusComboList"); //상태 ComboList Data
  	
    //상태 sheetComboList Data
	String statusSheetComboListText 	   = (String)storage.getObject("selectText");
	String statusSheetComboListValue 	   = (String)storage.getObject("selectValue");
    //System.out.println(statusSheetComboListText);
    //System.out.println(statusSheetComboListValue);
    
    //신청구분
    String perpayReqDivComboListText 	   = (String)storage.getObject("selectText1");
	String perpayReqDivComboListValue 	   = (String)storage.getObject("selectValue1");
    //System.out.println(perpayReqDivComboListText);
    //System.out.println(perpayReqDivComboListValue);
  
  	//초기 조회시 상태값을 신청대상 설정 
    String initStatusCd = params.get("searchStatusCd");
    if(initStatusCd == null || initStatusCd == ""){
    	initStatusCd = "";
    }
	
  	//조회 계약명
    String  returnBuildName = params.get("searchBuildName");
    
%>
<SCRIPT language="JavaScript">
	/*예약함수*/
	var sheet1;
	var sheet1Row;
	var sheet1PageNo = 1;
	var pageLastRowIndex = 1;
	var validationResult = false;
	var filterShow = false;
	
	function _onReady(){
		/**
		 *	IBSheet object initialize
		 */
		gridInit(sheet1);
		
	
		/**
		 *	Application Initialize
		 */
		jQuery("#btnSearch").click(function() {
			
 			jQuery("#fevent").val("GET_DATA");
			var url = Modular.model.PageContext.CONTEXT_ROOT + "/portal/payment/BuyPrepaymentsList_sheet.screen";
			Modular.view.IBSheet7.doSearch(sheet1, url, jQuery("#form1"), 30, ""); 
			 
		});
		
		jQuery("#btnAdd").click(function() {
			var rowIdx = sheet1.DataInsert(-1);
		});
		
		autoResize();
		pageinit();
		
	}
	
	function pageinit(){
		jQuery("#btnSearch").click();
	}
	
	/**
	 *	IBSheet object initialize
	 */
	function gridInit(sheetName){
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, Page:30};
		init_sheet.Cols = [
		    			{Header:'상태',				Type:"Status", 			SaveName:"STATUS", 				Width:0, 	Align:"Center", Hidden:"True"},
		    			{Header:'☞계약명',			Type:"Text", 			SaveName:"BUILD_NAME",			Width:130, 	Align:"Left"},
		    			{Header:'공사기간',			Type:"Text", 			SaveName:"START_END_WORK_DATE", Width:70, 	Align:"Center"},
		    			{Header:'계약금액',			Type:"Int", 			SaveName:"CON_AMT", 			Width:50, 	Align:"Right", Format:"#,##0"},
		    			{Header:'선급금액',			Type:"Int", 			SaveName:"PREPAY_AMT", 			Width:50, 	Align:"Right", Format:"#,##0"},
		    			{Header:'신청금액',			Type:"Int", 			SaveName:"REQ_PREPAY_AMT", 		Width:50, 	Align:"Right", Format:"#,##0"},
		    			{Header:'신청일자',			Type:"Text", 			SaveName:"SIGN_DT", 			Width:50, 	Align:"Center"},
		    			{Header:'신청구분',			Type:"Combo", 			SaveName:"REQ_DIV_CD",	 		Width:50, 	Align:"Center",	ComboText:"<%=perpayReqDivComboListText%>", ComboCode:"<%=perpayReqDivComboListValue%>"},
		    			{Header:'상태',				Type:"Combo", 			SaveName:"STATUS_CD", 			Width:50, 	Align:"Center",	ComboText:"<%=statusSheetComboListText%>", ComboCode:"<%=statusSheetComboListValue%>"},
		    			{Header:'SUB_CONT_MOD_ID',	Type:"Text", 			SaveName:"SUB_CONT_MOD_ID", 	Width:50, 	Align:"Center", Hidden:"True"}
		];

		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheetName, init_sheet);
		sheetName.SetDataAutoTrim(0);
		sheetName.SetEditable(false);
		sheetName.SetDataLinkMouse("BUILD_NAME", 1);

		setGridSize();
	}

	
	/**
	 *	IBSheet Event: Search End(IBSheet 데이터 조회 CallBack)
	 */
	function sheet1_OnSearchEnd(code, message) {
	    if(code == 0) {
	    	setGridSize();
	    	sheet1.SetColFontColor("BUILD_NAME", "#0000ff");
		} else {
			//조회 에러 수행
			alert(message);
		}
	}
	
	/**
	 *	IBSheet Event: Click
	 */
	function sheet1_OnClick(Row, Col, Value, CellX, CellY, CellW, CellH) {
		 //masterSheetRow = Row;
	}
	
	/**
	 *	IBSheet size setting
	 */
	function setGridSize() {
		sheet1.FitColWidth();
	}
	
	/**
	 *	IBSheet Event: DBLCLICK
	 */
	function sheet1_OnDblClick(Row, Col, Value, CellX, CellY, CellW, CellH) {

		if (sheet1.ColSaveName(Col) == "BUILD_NAME") {	//계약명

 			jQuery("#selectSubContModId").val(sheet1.GetCellValue(Row, "SUB_CONT_MOD_ID"));
			jQuery("#fevent").val("");
			jQuery("#form1").attr("action", "/portal/payment/BuyPrepayments.screen");
			jQuery("#form1").attr("target", "_self");
			jQuery("#form1").attr("method", "post");
			jQuery("#form1").submit();
			
		}
	}
	
	function doKeyPress() {
	    if( event.keyCode == 13 ) {
	    	jQuery("#btnSearch").click();
	    }
	}	

	function sheet1_OnSmartResize(Width, Height) { 
		sheet1.FitColWidth();
		autoResize();
	}
	
	function autoResize(){
		var t1_height = document.getElementById("search-table").scrollHeight + document.getElementById("bugase").scrollHeight + document.getElementById("title").scrollHeight + 24;
		var iframeHeight= document.body.scrollHeight - t1_height;   
		var iframeWidth= document.body.scrollWidth;   
		
		
		sheet1.SetSheetHeight(iframeHeight); 
	}
	
</SCRIPT>


<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>
<BODY onresize="autoResize()" >
<form id="form1" name="form1" method="post" modular:type="search">

	<INPUT type="hidden" name="fevent" id="fevent" value="">
	<INPUT type="hidden" name="selectSubContModId" id="selectSubContModId" value="">
	<INPUT type="hidden" name="userCorpId" id="userCorpId" value="<%=user.get("CORP_ID")%>">
	
	<!-- 프로그램 제목 -->
	<div align="left" id="title">
		<ul>
			<li>선급금현황</li>
		</ul>
	</div> 

	<!-- 검색조건 시작 -->
	<table id="search-table" class="search-form-table">
		<colgroup>
			<col width="15%" />
			<col width="10%" />
			<col width="10%" />
			<col width="10%" />
			<col width="15%" />
			<col width="15%" />
			<col width="*" />
		</colgroup>
		<tr>
			<th>계약명</th>
			<td colspan="3"><INPUT type="text" id="searchBuildName" name="searchBuildName" value="<%=returnBuildName %>" maxlength="50" class="input" style="IME-MODE : active; width:80%;"  desc='계약명' onKeyPress="doKeyPress();"></td>
			<th>상태</th>
			<td><%= HTMLMaker.getSelectTag(statusComboList, "DETAILCD", "DETAILNM", "searchStatusCd", "width:50%;height=18;", "<option value=''>--전체--</option>", initStatusCd) %>	</td>
			<td class="button">
				<span class="btnSearch center"><a href="javascript:void(0);" id="btnSearch">검색</a></span>
			</td>
		</tr>
	</table>
	<!-- 검색조건 종료 -->
	<img src="/img/com/blank.gif" height="5px" />
   <div align="right" id="bugase">
    	<ul>
     		<li valign="bottom"><span style="color: red;">* 부가세별도</span></li>
    	</ul>
  	</div>
	<div id="sheet1_div" style="padding-top:0px; height: auto; min-height: 450px; overflow: auto;">
		<script>createIBSheet('sheet1','100%', '450px');</script>
	</div>
</FORM>
</body>