<script type="text/javascript">
Modular.model.PageContext.add(new Modular.model.Control({id:"${id}"<#if chainControl??>, chainControl:"${chainControl}"</#if><#if successMessage??>, successMessage:"${successMessage}"</#if>}));
Modular.model.PageContext.initFunctions.push(function () {
	var control = Modular.model.PageContext.getControl("${id}");
	<#if url??>
	control.url = "${url?js_string}";
	</#if>
	<#if command??>
	var i = "";
	var o = [];
	<#switch command>
		<#case "search">
		i = "${searchId}";
		<#-- multi output을 지원하기 위해 loop 처리 -->
		<#list output as o>
		o.push("${o}");
		</#list>
			<#break>
		<#default>
		i = "${tableId}";
			<#break>
	</#switch>
	control.add(new Modular.model.Command({
		id : "${command}", 
		type : "${command}", 
		i : i, 
		o : o,
		preHandle : function () {
		<#if command == "search">
			var metadata;
			<#list output as o>
			metadata = Modular.model.PageContext.getRecordSet("${o}").metadata;
			metadata.currentPage = 1;
			metadata.sortColumnId = "";
			metadata.sortOrder = true;
			</#list>
		</#if>
		}
	}));
	</#if>
	control.eventHandler = function (event, flag) {
	<#if eventHandler??>
		if (${eventHandler} && !${eventHandler}(event)) {
			return;
		}//end if
	</#if>
	<#if command??>
	<#switch command>
		<#case "addRecord">
		Modular.controller.Controller.addRecord("${tableId}");
			<#break>
		<#case "deleteRecord">
		Modular.controller.Controller.deleteRecord("${tableId}");
			<#break>
		<#default>
		Modular.controller.Controller.transaction(control, flag);
			<#break>
	</#switch>
	<#else>
		Modular.controller.Controller.transaction(control, flag);
	</#if>
	};
	$("#${id}").${event}(control.eventHandler);
});
</script>