<#if display?? && display == 'radio'>
    <#if list??>
        <#list list as item>
        	<#if item.key??>
            <label><input type="radio" id="${id?js_string}" name="${id?js_string}" value="${item.key?js_string}" <#if selected?? && selected == item.key>checked="checked"</#if>>${item.value!''?js_string}</label>
            <#if align?? && align == 'vertical' && item_has_next><br></#if>
            </#if>
        </#list>
    </#if>
    <#if codes??>
        <#list codes as c>
        	<#if c.key??>
            <label><input type="radio" id="${id?js_string}" name="${id?js_string}" value="${c.key?js_string}" <#if selected?? && selected == c.key>checked="checked"</#if>>${c.value!''?js_string}</label>
            <#if align?? && align == 'vertical' && c_has_next><br></#if>
            </#if>
        </#list>
    </#if>
<#elseif display?? && display == 'checkbox'>
    <#if list??>
        <#list list as item>
        	<#if item.key??>
            <label><input type="checkbox" id="${id?js_string}" name="${id?js_string}" value="${item.key?js_string}" <#if selected?? && isSelected(item.key, selected, separator)>checked="checked"</#if>>${item.value!''?js_string}</label>
            <#if align?? && align == 'vertical' && item_has_next><br></#if>
            </#if>
        </#list>
    </#if>
    <#if codes??>
        <#list codes as c>
        	<#if c.key??>
            <label><input type="checkbox" id="${id?js_string}" name="${id?js_string}" value="${c.key?js_string}" <#if selected?? && isSelected(c.key, selected, separator)>checked="checked"</#if>>${c.value!''?js_string}</label>
            <#if align?? && align == 'vertical' && c_has_next><br></#if>
            </#if>
        </#list>
    </#if>
<#else>
    <#if list??>
        <#list list as item>
        	<#if item.key??>
            <option value="${item.key?js_string}" <#if selected?? && selected == item.key>selected="selected"</#if>>${item.value!''?js_string}</option>
            </#if>
        </#list>
    </#if>
    <#if codes??>
        <#list codes as c>
        	<#if c.key??>
            <option value="${c.key?js_string}" <#if selected?? && selected == c.key>selected="selected"</#if>>${c.value!''?js_string}</option>
            </#if>
        </#list>
    </#if>
    </select>
</#if>
</span>
<script type="text/javascript">
Modular.model.PageContext.initFunctions.push(function () {
    var temp3 = [];
    <#if attrList??>
    <#list attrList as attr>
    temp3.push(${attr});
    </#list>
    </#if>
	Modular.view.Form.List.display({
		id : "${id?js_string}", 
		displayType : "${display?js_string}",		
		<#if css?? && (css?trim?length > 0)>css : "${css}",</#if>
		<#if eventTypes??>
		    events : [
            <#list eventTypes as _eventType>
                     <#if (_eventType_index > 0)>,</#if>
                     {eventType : "${_eventType?trim}", eventHandler : ${eventHandlers[_eventType_index]?trim}}
            </#list>
            ],
        </#if>
        <#if message?? && (message?trim?length > 0)>message : "${message?js_string}",</#if>
		required : ${required},
		align : "${align}",
		attr : temp3
	});
});
</script>

<#function isSelected val selected separator>
    <#local x=false>
    <#if selected??>
        <#list selected?split(separator) as item>
            <#if val == item?trim>
                <#local x=true>
            </#if>
        </#list>
    </#if>
    <#return x>
</#function>
