/**
 * @(#)file    StringLogic.java
 * @(#)author  [개발자명]
 * @(#)version 1.0
 * @(#)date    2014-06-24
 * @(#)since   JDK 1.6
 *
 * Copyright (c)  www.udapsoft.co.kr, Inc.
 */
package com.udapsoft.waf.common.ui;

import kr.co.hsnc.common.util.StringUtil;

/**
 * String을 사용하는 로직 처리 Class
 * 
 */
public class StringLogic {

    /**
     * 특정문자열이 포함하면 true를 리턴한다.
     * 구분자 : ","
     * @param srcStr
     * @param inStr
     * @return
     */
    public static boolean inString(String srcStr, String inStr) {

        try {

            if( srcStr == null )
                return false;

            String[] notInStrs = StringUtil.toArray(inStr, ",");
    
            if( notInStrs != null ) {

                for( int i = 0 ; i < notInStrs.length ; i++ ) {
    
                    if( srcStr.equals(notInStrs[i].trim()) ) {

                        return true;
                    }
                }
            }
            return false;
        }
        catch(Exception e) {

            return false;
        }
    }
}
