/**
 * @(#)file    UserListXmlHandler.java
 * @(#)author  [KIM MH]
 * @(#)version 1.0
 * @(#)date    Jun 21, 2014
 * @(#)since   JDK 1.4.2
 *
 * Copyright (c) www.hwenc.co.kr, Inc.
 * All rights reserved.
 * This software is the proprietary information of Hanwha E&C, Inc.
 */
package kr.co.udapsoft.ebid.supplier.portal.common.guar;

import javax.servlet.http.HttpServletRequest;

import com.udapsoft.waf.system.handler.BizDefaultXmlActionHandler;
import com.udapsoft.waf.system.handler.dao.EventMappings;

public class GuarXmlHandler extends BizDefaultXmlActionHandler {

	private static EventMappings eventMappings;
	
	public GuarXmlHandler() {
		super();
		if( eventMappings == null )
			eventMappings = super.loadEventMapping(this.getClass());
	}

	public String doHandle(HttpServletRequest request) {
		return super.doXmlHandle(request, eventMappings);
	}
}
