<%--
  - Author(s)  : Hyung min Son
  - Date       : 2014.07.14
  - Description: 견적서 개찰(외주) 상세
  --%>
  
<%@ page contentType="text/html; charset=utf-8" pageEncoding="UTF-8"%>
<%@ page import="java.util.*"%>
<%@ page import="java.text.SimpleDateFormat" %>
<%@ page import="java.util.Date" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="kr.co.udapsoft.common.code.*" %>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ page import="com.udapsoft.waf.common.util.Formatter2"%>
<%@ page import="com.udapsoft.waf.common.util.StringUtils"%>
<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />

<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
    ValueObject Order = storage.getValueObject("Order");
    ValueObject filein = storage.getValueObject(Order.get("DOC_ETC_IN"));
    ValueObject fileout = storage.getValueObject(Order.get("DOC_ETC_OUT"));
    SimpleDateFormat sd = new SimpleDateFormat("yyyy-MM-dd");
    String str = sd.format(new Date()); 
    boolean o_reason = false;
    boolean p_reason = false;
    boolean c_reason = false;
    boolean m_reason = false;
    if(Order.get("OPEN_OPINION").length()> 0){
    	o_reason = true;
    }
    if(Order.get("POSTPONE_REASON").length()> 0){
    	p_reason = true;
    }
    if(Order.get("CANCEL_REASON").length()> 0){
    	c_reason = true;
    }
    if(Order.get("MODIFY_REASON").length()> 0){
    	m_reason = true;
    }
    boolean open_flag = false;
    if(Order.get("OPEN_DT").length()> 0 ){
    	open_flag = true;
    }
    
	ValueObject sign_info = storage.getValueObject("SIGN_INFO");
	    
    String gwurl	=	"http://gw.sgcenc.co.kr/";//WAFConfig.get("gw.url.address2");
%>
<SCRIPT language="JavaScript">
document.body.onresize = addEvent( document.body.onresize, "autoResize()");
	/*예약함수*/
	var sheet1 = new ibsheetObject();
	var sheet2 = new ibsheetObject();
	var sheet1Row;
	var sheet1PageNo = 1;
	var pageLastRowIndex = 1;
	var validationResult = false;
	var filterShow = false;
	
	var must_msg = "(은)는 필수 입력 항목입니다."; 
	function _onReady(){
		/**
		 *	IBSheet object initialize
		 */
		$("#OPEN_OPINION").hide();
		gridInit(sheet1);
		gridInit(sheet2);
		
		/**
		 *	Application Initialize
		 */
		 $("#btn_list").click(function() {
				$("#fevent").val("");
				$("#form1").attr("action", "/bid/outside/BidOpenList.screen");
				$("#form1").attr("target", "_self");
				$("#form1").attr("method", "post");
				$("#form1").submit();
		});
		
		 $("#btn_save").click(function() {//저장
			if(must_ck()){
				if (confirm("저장 하시겠습니까?")){
					btn_act = "to_save";
					jQuery("#fevent").val("SAVE_SHEET");
					var url = Modular.model.PageContext.CONTEXT_ROOT + "/bid/outside/BidOpen_sheet.screen";
					var result = Modular.view.IBSheet7.doSave(sheet1, url, $("#form1"), false);
				}
			}
		 });
		 
		 $("#btn_BidOpen").click(function() {
			if(must_ck()){
				if (confirm("개찰 하시겠습니까?")){
					btn_act = "to_BidOpen";
					jQuery("#fevent").val("SAVE_SHEET");
					var url = Modular.model.PageContext.CONTEXT_ROOT + "/bid/outside/BidOpen_sheet.screen";
					var result = Modular.view.IBSheet7.doSave(sheet1, url, $("#form1"), false);
				}
			}
		});
		 $("#btn_BidOpi").click(function() {
			 var win_id = "_OpenPop";
			 var link = "/bid/outside/BidOpenPop.screen";
			     link += "?pop_win_id="+win_id;
			     link += "&BID_NO="+$("#BID_NO").val();
			     link += "&BID_DEG="+$("#BID_DEG").val();
			     link += "&DEMANDED_ID="+$("#DEMANDED_ID").val();
			     link += "&TBE_STATUS_CD="+$("#TBE_STATUS_CD").val();
			     link += "&TBE_FLAG="+$("#TBE_FLAG").val();
			     link += "&OPEN_OPINION="+encodeURI(encodeURIComponent($("#OPEN_OPINION").val()),"UTF-8");
			fLayerPop(win_id, link, 600,210, '', '', 'NO');
		 });
		
		 $("#btn_tbecheckpop").click(function() {
			 var win_id = "_TBECheckPop";
			 var link = "/bid/outside/TBECheckPop.screen";
			       link += "?pop_win_id="+win_id;
			       link += "&BID_NO="+$("#BID_NO").val();
			       link += "&BID_DEG="+$("#BID_DEG").val();
			       link += "&RTN_YN=Y";
			fLayerPop(win_id, link, 900,210, '', '', 'YES');
		 });
		 
		 
		//보고자 조회
		doSearchSheet2();
		
		//개찰의견 팝업
		openPop();
	}
	
	function must_ck(){
 		var rowcnt = sheet1.RowCount();
		 if(rowcnt > 0){
			for(var r=0; r < rowcnt; r++)
			{
				var currency_gb = sheet1.GetCellValue(r+1,"CURRENCY_GB");
				var exchange = sheet1.GetCellValue(r+1,"EXCHANGE");
				if(currency_gb != "KRW" && exchange == 0 ){
					alert("외화인 경우 예상환율을 적용하십시요.");
					return false;
				}
			}
		} 
		 
		return true;
 	}
	
	function PopClose(win_id,result){
		if( result != null ){
			if(result[0] == 0){
				setTimeout(function(){fLayerPopClose(win_id);},100);
				if(result[1].length> 0)alert(result[1]);
				$("#OPEN_OPINION").val(result[2]);
				//$("#btn_list").click();
			}
		}else{
			setTimeout(function(){fLayerPopClose(win_id);},100);
		}
		
	}
	function openPop(){
		<%if(Order.get("OPEN_OPINION").length() > 0 ) {%>
    	    $("#btn_BidOpi").click();  
    	<%}%>    	
    }
	function doSearchSheet(){
		$("#fevent").val("GET_CORP_LIST");
		var url = Modular.model.PageContext.CONTEXT_ROOT + "/bid/outside/BidOpen_sheet.screen";
		Modular.view.IBSheet7.doSearch(sheet1, url, jQuery("#form1"), 30, "");
	}

	function doSearchSheet2(){
		$("#fevent").val("GET_REPORT_EMP_LIST");
		var url = Modular.model.PageContext.CONTEXT_ROOT + "/bid/outside/BidPlan_sheet.screen";
		Modular.view.IBSheet7.doSearch(sheet2, url, jQuery("#form1"), 30, "");
	}
	
	/**
	 *	IBSheet object initialize
	 */
	function gridInit(sheetName){
		var init_sheet = {};
		if(sheetName.id == "sheet1"){
			init_sheet.Cfg = {SearchMode:2, Page:30};
			init_sheet.Cols = [
			       			{Header:'삭제',						Type:"DelCheck",		SaveName:"DEL_CHECK", 					Width:0, 		Align:"Center",	Hidden:"True"},
			    			{Header:'Status',					Type:"Status", 		SaveName:"STATUS", 						Width:0, 		Align:"Center",	Hidden:"True"},
			    			{Header:'No.',						Type:"Seq", 			SaveName:"NO",								Width:0, 		Align:"Center",	Hidden:"True"},
			    			{Header:'추천부서',					Type:"Text", 			SaveName:"RECM_DEPT_NM", 			Width:100,		Align:"Center", Edit:false},
			    			{Header:'사업자번호',				Type:"Text", 			SaveName:"VENDOR_NO", 					Width:0,			Align:"Center", Format:"SaupNo", Edit:false},
			    			{Header:'업체명',					Type:"Text", 			SaveName:"VENDOR_NAME", 				Width:80, 		Align:"Left", Edit:false},
			    			{Header:'대표자명',					Type:"Text", 			SaveName:"REPRE_NO", 					Width:0, 		Align:"Center", Edit:false},
			    			{Header:'담당자명',					Type:"Text",	 		SaveName:"CHARGE_NAME", 				Width:0, 		Align:"Center", Edit:false},
			    			{Header:'핸드폰',					Type:"Text", 			SaveName:"CHAGE_HP", 					Width:80, 		Align:"Center", Edit:false},
			    			{Header:'이메일',					Type:"Text", 			SaveName:"CHARGE_EMAIL", 				Width:80, 		Align:"Left", Edit:false},
			    			{Header:'기술검토(TBE)',			Type:"Text", 			SaveName:"TBE_STATUS_NM", 			Width:60, 		Align:"Center", Edit:false},
			    			{Header:'견적제출시간',				Type:"Text", 			SaveName:"SIGN_DT", 						Width:100, 		Align:"Center",	Cursor:"pointer", Edit:false},
			    			{Header:'통화',					Type:"Text", 			SaveName:"CURRENCY_GB", 				Width:60, 		Align:"Center", Edit:false},
			    			{Header:'예상환율',				Type:"Float", 			SaveName:"EXCHANGE", 					Width:60, 		Align:"Right" <%if(open_flag){%>, Edit:false<%}%>},
			    			<%if(open_flag){%>
			    			{Header:'견적금액',					Type:"Text", 			SaveName:"ESTI_TOT_AMT", 				Width:100, 		Align:"Right", FontColor:"Blue" , Cursor:"pointer", Edit:false},
			    			<%}%>
			    			{Header:'VENDOR_CD',			Type:"Text", 			SaveName:"VENDOR_CD", 					Width:0, 		Align:"Center",	Hidden:"True"},
			    			{Header:'RNNC_REASON',		Type:"Text", 			SaveName:"RNNC_REASON", 				Width:0, 		Align:"Center",	Hidden:"True"},
			    			{Header:'BID_RNNC_NM',		Type:"Text", 			SaveName:"BID_RNNC_NM", 				Width:0, 		Align:"Center",	Hidden:"True"},
			    			{Header:'BID_RNNC_DT',		Type:"Text", 			SaveName:"BID_RNNC_DT", 				Width:0, 		Align:"Center",	Hidden:"True"},
			    			{Header:'FILE_GB',				Type:"Text", 			SaveName:"FILE_GB", 						Width:0, 		Align:"Center",	Hidden:"True"}
			];
		}else{
			init_sheet.Cfg = {SearchMode:2, Page:30,SizeMode:1};
			init_sheet.Cols = [
					       		{Header:'삭제',			Type:"DelCheck",		SaveName:"DEL_CHECK", 		Width:0, 		Align:"Center",	Hidden:"True"},
					    		{Header:'Status',		Type:"Status", 			SaveName:"STATUS", 			Width:0, 		Align:"Center",	Hidden:"True"},
	   			    			{Header:'No.',			Type:"Seq", 			SaveName:"NO",				Width:0, 		Align:"Center", Hidden:"True"},
	   			    			{Header:'계정ID',		Type:"Text", 			SaveName:"ACCT_ID", 		Width:0, 		Align:"Center", Hidden:"True"},
	   			    			{Header:'이름',			Type:"Text", 			SaveName:"USER_NAME", 		Width:100, 		Align:"Center", Edit:false},
	   			    			{Header:'부서명',			Type:"Text", 			SaveName:"BUSEO_NAME", 		Width:150, 		Align:"Left", Edit:false},
	   			    			{Header:'직위명',			Type:"Text", 			SaveName:"GRADE_NAME", 		Width:100, 		Align:"Center", Edit:false}
				];
		}
		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheetName, init_sheet);
		sheetName.SetDataAutoTrim(0);
		//sheetName.SetEditable(false);
		setGridSize();
	}
	
	/**
	 *	IBSheet size setting
	 */
	function setGridSize() {
		sheet1.FitColWidth();
	}

	/**
	 *	IBSheet Event: Search End(IBSheet 데이터 조회 CallBack)
	 */
	function sheet1_OnSearchEnd(code, message) {
	    if(code == 0) {
	    	setGridSize();
	    	var rowcnt = sheet1.RowCount();
			if(rowcnt> 0){
				for(var r=0; r < rowcnt; r++)
				{
					if(sheet1.GetCellValue(r+1,"RNNC_REASON").length == 0 ){
						if(sheet1.GetCellValue(r+1,"SIGN_DT").length > 4 ){
							sheet1.SetCellFontColor(r+1, "SIGN_DT", "#0000ff");
						}
					}
					if(sheet1.GetCellValue(r+1,"RNNC_REASON").length > 0 ){
						sheet1.SetCellFontColor(r+1, "SIGN_DT", "#ff0000");
					}
					
					//환율이 KRW 일 경우 환율 수정 불가
					if(sheet1.GetCellValue(r+1, "CURRENCY_GB") == "KRW"){
						sheet1.SetCellEditable(r+1 , "EXCHANGE", false);
					}
				}
			}
		} else {
			//조회 에러 수행
			alert(message);
		}
	}
	
	/**
	 *	IBSheet Event: Search End(IBSheet 데이터 조회 CallBack)
	 */
	function sheet2_OnSearchEnd(code, message) {
		 if(code == 0) {
			//sheet2.FitColWidth();
			//견적대상 업체 조회
			doSearchSheet();
		} else {
			//조회 에러 수행
			alert(message);
		}
	}
	
	//첨부파일   
	function doAttachFile(obj,No) {
		var file_div = "bid/outside/"+"<%=Order.get("BID_NO")%>"+"/";
		 if(obj==''){
			alert("After you have saved, you can attach a file.");
		}
		else if(obj != ''){ 
			if(No == 1){
				//viewFileList("<%=Order.get("DOC_ETC_IN")%>", obj.value, document.form1.p_AttachFile1, "N", "N", "N", "N");
				viewFileListNew('<%=Order.get("DOC_ETC_IN")%>', obj.value, document.form1.p_AttachFile1, "N", file_div);
			}else{
				//viewFileList("<%=Order.get("DOC_ETC_OUT")%>", obj.value, document.form1.p_AttachFile2, "N", "N", "N", "N");
				viewFileListNew('<%=Order.get("DOC_ETC_OUT")%>', obj.value, document.form1.p_AttachFile2, "N", file_div);
			}
		} 
	}
	
	function doResult(resultObj) {
		try {
			if( resultObj.getRequestEvent() == "FORM_OPEN_SELECT") {
				if( resultObj.getSuccess() ) {
					alert("개찰 되었습니다.");
					$("#fevent").val("FORM_SELECT");
					$("#form1").attr("action", "/bid/outside/BidOpen.screen");
					$("#form1").attr("target", "_self");
					$("#form1").attr("method", "post");
					$("#form1").submit();
				}
				else {
					dlgErrorMsg(resultObj);
				}
			}
				
			if( resultObj.getRequestEvent() == "FORM_DELETE") {
				if( resultObj.getSuccess() ) {
					alert("삭제 되었습니다.");
 					$("#btn_list").click();
				}
				else {
					dlgErrorMsg(resultObj);
				}
			}
		} catch(errorObject) {
			showErrorDlg("doResult()", errorObject);
		}
	}
	
	function sheet1_OnSmartResize(Width, Height) { 
		sheet1.FitColWidth();
		autoResize();
	}

	function autoResize(){
		sheet1.SetSheetHeight(160); 
	}	
	
	/**
	 *	IBSheet Event: Click
	 */
	function sheet1_OnDblClick(Row, Col, Value, CellX, CellY, CellW, CellH) {
		 if(Row == 0)return;
		 var Sn = sheet1.GetCellProperty(Row, Col, "SaveName");
		if (Sn == "SIGN_DT") {//견적 제출 시간
			if(sheet1.GetCellValue(Row,"RNNC_REASON").length > 0){
				 var win_id = "_BidGiveupPop";
				 var link = "/bid/outside/BidGiveupPop.screen";
				       link += "?pop_win_id="+win_id;
				       link += "&VENDOR_CD="+$("#VENDOR_CD").val();
				       link += "&BID_NO="+$("#BID_NO").val();
				       link += "&BID_DEG="+$("#BID_DEG").val();
				       link += "&ROW="+Row;
				       
				fLayerPop(win_id, link, 600,190, '', '', 'NO');
			}
		}else if( Sn == "ESTI_TOT_AMT"){//견적금액
			if(sheet1.GetCellValue(Row,"ESTI_TOT_AMT").length > 0){
				 var win_id = "_BidAmtPop";
				 var link = "/bid/outside/BidAmtPop.screen";
				       link += "?pop_win_id="+win_id;
				       link += "&ROW="+Row;
				       link += "&VENDOR_CD="+sheet1.GetCellValue(Row,"VENDOR_CD");
				       link += "&VENDOR_NO="+sheet1.GetCellValue(Row,"VENDOR_NO");
				       link += "&ESTI_TOT_AMT="+sheet1.GetCellValue(Row,"ESTI_TOT_AMT");
				       link += "&BID_NO="+$("#BID_NO").val();
				       link += "&BID_DEG="+$("#BID_DEG").val();
				       link += "&FILE_GB="+sheet1.GetCellValue(Row,"FILE_GB");
				       link += "&DEMANDED_ID="+$("#DEMANDED_ID").val();
				       link += "&SIGN_DT="+$("#SIGN_DT").val();
					fLayerPop(win_id, link, 1000,600, '', '', 'NO');
			}
		}
	}
	
	function sheet1_OnSaveEnd(code, msg)
	{
		var event = $("#fevent").val();
		if(event == "FORM_OPEN_SELECT"){
			if(code>= "0"){
				alert("개찰 되었습니다.");
				$("#fevent").val("FORM_SELECT");
				$("#form1").attr("action", "/bid/outside/BidOpen.screen");
				$("#form1").attr("target", "_self");
				$("#form1").attr("method", "post");
				$("#form1").submit();
			}else{
				if(msg =="")msg = "에러가 발생하였습니다.";
				alert(msg);
			}
		} else if(event == "SAVE_SHEET"){
			if(code>= "0"){
				if(btn_act == "to_BidOpen"){
					$("#fevent").val("FORM_OPEN_SELECT");
					var f = document.form1;
					submitXmlRequest("/bid/outside/BidOpen_form.screen", "FORM_OPEN_SELECT", f);
				} else {
					alert("저장되었습니다.");
					$("#fevent").val("FORM_SELECT");
					$("#form1").attr("action", "/bid/outside/BidOpen.screen");
					$("#form1").attr("target", "_self");
					$("#form1").attr("method", "post");
					$("#form1").submit();
				}
			}else{
				alert("에러가 발생하였습니다.");
			}
		} 
	}
	
	function doSignFile(doc_id){
		//alert(doc_id);
		if(doc_id == ""){
			alert("결재 정보가 없습니다.");
			return;
		}
		var doc_chk = doc_id.substring(doc_id.length-3, doc_id.length);
		
		doc_chk = doc_chk * 1;
		
		//var popOption = "width=400, height=450, resizable=no, scrollbars=auto, status=no;";    //팝업창 옵션(optoin)
		var link = "";
		var year = "<%=sign_info.get("year") %>";
		if (year > "20151213"){
		 	link = "<%=gwurl%>upload_approval/TEC/doc/" + year.substr(0,4) + "/" + doc_chk + "/"+ doc_id+".mht";
		}
		else
		{
			link = "<%=gwurl%>upload_approval/TEC/doc/" + doc_chk + "/"+ doc_id+".mht";
		}
		window.open(link,"_viewDraft","");	
	}
	/* setInterval("dpTime()",1000); */
</SCRIPT>


<modular:search id="form1">
	<modular:key id="event" />
</modular:search>
<form id="form1" name="form1" method="post" modular:type="search">

<INPUT type='hidden' name="fevent" id="fevent"  value="">
<!-- List Search -->
<INPUT type="hidden" name="P_BID_MASTER_NM" id="P_BID_MASTER_NM" value="<%= params.get("P_BID_MASTER_NM") %>">
<INPUT type="hidden" name="p_dept_nm" id="p_dept_nm" value="<%= params.get("p_dept_nm") %>">
<INPUT type="hidden" name="p_dept_cd" id="p_dept_cd" value="<%= params.get("p_dept_cd") %>">
<!-- List Search -->    

<INPUT type='hidden' name="DEMANDED_ID" value="<%=Order.get("DEMANDED_ID")%>">
<INPUT type='hidden' name="BID_NO" value="<%=Order.get("BID_NO")%>">
<INPUT type='hidden' name="BID_DEG" value="<%=Order.get("BID_DEG")%>">
<INPUT type='hidden' name="STATUS_CD" value="<%=Order.get("STATUS_CD")%>">
<INPUT type='hidden' name="SITEDESC_FLAG" value="<%=Order.get("SITEDESC_FLAG")%>">
<INPUT type='hidden' name="TBE_FLAG" value="<%=Order.get("TBE_FLAG")%>">
<INPUT type='hidden' name="TBE_STATUS_CD" value="<%=Order.get("TBE_STATUS_CD")%>">
<INPUT type='hidden' name="SITEPARTI_YN" value="Y">
<INPUT type='hidden' name="RNNC_REASON" value="">
<!-- 제목 및 버튼 -->
<table width="100%">
	<colgroup>
		<col width="500" />
		<col width="*" />
	</colgroup>
	<tr>
   		<th>
			<div align="left" id="title">
			    <ul><li>견적서 개찰 상세</li></ul>
			</div> 
   		</th>
   		<td align="right">
           <%if( !open_flag ){%>
				<span class="btnSearch center" id="btn_BidOpen"><a href="javascript:void(0);">개찰</a></span>
			<%} %>
			<span class="btnSearch center" id="btn_BidOpi"><a href="javascript:void(0);">특기사항</a></span>
	        <span class="btnSearch center" id="btn_list"><a href="javascript:void(0);">목록</a></span>
   		</td>
  	</tr>
</table>
<%if(o_reason || p_reason || m_reason || c_reason){ %>
<TABLE class="form-table">
	<colgroup>
		<col width="145px"/>
		<col/>
	</colgroup>
   
   <%if(c_reason){ %>
  <TR height="25">
    <TH>취소사유</TH>
	<TD style="vertical-align: top"><%=StringUtils.cvtHTML(Order.get("CANCEL_REASON"))%></TD>
  </TR>
  <%} %>
   <%if(p_reason){ %>
  <TR height="25">
    <TH >연기사유</TH>
	<TD style="vertical-align: top"><%=StringUtils.cvtHTML(Order.get("POSTPONE_REASON"))%></TD>
  </TR>
  <%} %>
  <%if(m_reason){ %>
  <TR height="25">
    <TH>정정사유</TH>
	<TD style="vertical-align: top"><%=StringUtils.cvtHTML(Order.get("MODIFY_REASON"))%></TD>
  </TR>
  <%} %>
</TABLE>
<%}%>

<%if(!Order.get("REBID_REASON").equals("") || !Order.get("REBID_OUTREASON").equals("")){%>
<div class="application-info  magT10">
	<div class="application-sub-title">
		<span class="title">재입찰사유</span>
	</div>
	<div class="application-location">
	</div>
</div>

<TABLE class="form-table">
	<colgroup>
		<col width="145"/>
		<col width="40%" />
		<col width="145" />
		<col width="*" />
	</colgroup>
  <TR height="25"> 
    <TH>재입찰사유<br>(내부보고)</TH>
	<TD><%=StringUtils.cvtHTML(Order.get("REBID_REASON"))%></TD>
	<TH>재입찰사유<br>(외부공지)
	</TH>
	<TD><%=StringUtils.cvtHTML(Order.get("REBID_OUTREASON"))%></TD>
  </TR>
 </TABLE>
<%} %>

<!-- 발주의뢰정보 : 시작 -->
<div class="application-info magT10">
	<div class="application-sub-title">
		<span class="title">발주의뢰정보</span>
	</div>
</div>

<TABLE class="form-table">
	<colgroup>
		<col width="145px"/>
		<col width="24%">
		<col width="145px"/>
		<col width="24%">
		<col width="145px"/>
		<col>
	</colgroup>
  <TR height="25"> 
    <TH> 현장</TH>
	<TD><%=Order.get("dept_nm") %></TD>
	<TH> 발주의뢰번호</TH>
	<TD><a href="javascript:doSignFile('<%=sign_info.get("doc_id") %>');"><%=Order.get("DEMANDED_NO")%></a>
	 </TD>
	<TH> 발주의뢰명</TH>
	<TD><%=Order.get("DEMANDED_TITLE")%></TD>
  </TR>

  <TR height="25"> 
	<TH> 발주의뢰일</TH>
	<TD><%= Order.get("DEMANDED_DATE")%></TD>
	<TH> 발주의뢰부서</TH>
	<TD><%= Order.get("REQ_DEPT_NM")%></TD>
	<TH> 발주의뢰자</TH>
	<TD><%= Order.get("EMP_NM")%></TD> 	
  </TR>
  
  <TR height="25"> 
	<TH> 발주접수일자</TH>
	<TD><%=Order.get("RECEIPT_DATE") %></TD>
	<TH> Pay Item</TH>
	<TD><%= Order.get("PAY_ITEM_NM") %></TD> 	
	<TH> 외주예산 (원)</TH>
	<TD><%= Formatter2.currency(Order.get("PUR_AMT"),0) %></TD>  <!-- 2015.3.2 외주예산추가 MKLEE -->
  </TR> 	

  <TR height="25"> 
	<TH> 도급금액 (원)</TH>
	<TD><%= Formatter2.currency(Order.get("CONT_AMT"),0) %></TD>
	<TH> 실행예산 (원)</TH>
	<TD><%=Formatter2.currency(Order.get("ACT_AMT"),0) %></TD>
	<TH> 도급대비실행율(%)</TH>
	<TD><%= Order.get("ACT_RATE")%></TD> 	
  </TR>
  
  <TR height="25">
	<TH>공사기간</TH>
	<TD><%=Order.get("DELI_FROM_DY") %> <%if(!Order.get("DELI_FROM_DY").isEmpty()||!Order.get("DELI_TO_DY").isEmpty()){ %>~<%} %> <%= Order.get("DELI_TO_DY") %></TD>
	<TH>공사장소</TH>
	<TD><%= Order.get("DELIVERY_PLACE") %></TD>
  	<TH>공종</TH>
	<TD><%= Order.get("OUT_ITEM_NM") %></TD> 	
  </TR>
    
  <!-- 발주의뢰정보 : 종료 -->
</table>

<table width="100%">
	<colgroup>
		<col width="500" />
		<col width="*" />
	</colgroup>
	<tr>
   		<th>
   		<div class="application-info magT20">
			<div class="application-sub-title">
				<span class="title">입찰대상업체</span>
			</div>
		</div>
   		</th>
   		<%if(open_flag){%>
   		<td align="right">
			<span class="btnSearch center" id="btn_tbecheckpop"><a href="javascript:void(0);">기술검토결과서</a></span><br>
   		</td>
   		<%}else{ %>
   		<td align="right">
   			<span class="btnSearch center" id="btn_save"><a href="javascript:void(0);">환율저장</a></span>	
			<span class="btnSearch center" id="btn_tbecheckpop"><a href="javascript:void(0);">기술검토결과서</a></span>
   		</td>
   		<%} %>
  	</tr>
</table>
<div id="sheet1_div" style="height:auto; min-height: 170px; overflow: auto;">
	<script>createIBSheet('sheet1','100%', '160px');</script>
</div>

<div class="application-info magT20">
	<div class="application-sub-title">
		<span class="title">입찰기본정보</span>
	</div>
</div>

<TABLE class="form-table">
	<colgroup>
		<col width="145px"/>
		<col width="145px"/>
		<col width="30%"/>
		<col width="145px"/>
		<col/>
	</colgroup>
  <TR height="25"> 
    <TH> 입찰번호-차수</TH>
	<TD colspan="2"><%=Order.get("BID_NO")%>-<%=Order.get("BID_DEG")%></TD>
	<TH> 온라인입찰여부</TH>
	<TD><%=Order.get("ONBID_YN")%></TD>
  </TR>

  <TR height="25"> 
	<TH> 입찰명</TH>
	<TD colspan="4"><%=Order.get("BID_MASTER_NM")%></TD>
  </TR>
  
  <TR height="25"> 
	<TH> 경쟁방법</TH>
	<TD colspan="2"><%=Order.get("CMPT_NM")%></TD>
	<TH> 낙찰자선정방법</TH>
	<TD><%=Order.get("SUCC_NM") %></TD> 	
  </TR> 	
</table>

<div class="application-info magT20">
	<div class="application-sub-title">
		<span class="title">입찰진행</span>
	</div>
</div>

<TABLE class="form-table">
	<colgroup>
		<col width="145px"/>
		<col width="145px"/>
		<col width="30%"/>
		<col width="145px"/>
		<col/>
	</colgroup>
  <TR height="25"> 
    <TH>업체공지일자</TH>
	<TD colspan="4"><%=Order.get("NOTI_DY") %></TD>
  </TR>


  <TR height="25"> 
	<TH rowspan="3"> 견적설명회 정보</TH>
	<TH> 여부</TD>
	<TD><%=Order.get("SITEDESC_FLAG")%></TD>
	<TH> 담당자</TD>
	<TD><%=Order.get("SITEDESCCHRGPRSNNM")%></TD>	
  </TR>
  
  <TR height="25"> 
	<TH> 담당자 전화번호</TH>
	<TD ><%=Order.get("SITEDESCTELNO")%></TD>
	<TH> 일시</TH>
	<TD ><%=Order.get("SITEDESCDATE")%></TD>		
  </TR> 	
  
    <TR height="25"> 
	<TH> 담당자 E-Mail</TH>
	<TD ><%=Order.get("SITEDESCEMAIL")%></TD>
	<TH> 장소</TD>
	<TD ><%=Order.get("SITEDESCPLACE")%></TD>		
  </TR> 
  
    <TR height="25"> 
	<TH rowspan="4"> 견적 의뢰</TH>
	<TH> 견적제출기간</TH>
	<TD colspan="3"><%=Order.get("BID_FROM_DT")%> ~<%=Order.get("BID_TO_DT")%> <font color='red'><b> (입찰마감)</b></font></TD>
  </TR>
  
  <TR height="25"> 
	<TH> 외주담당자</TH>
	<TD ><%=Order.get("PUREMPNM")%></TD>
	<TH> 외주담당자 전화번호</TH>
	<TD ><%=Order.get("PO_EMPNM")%></TD>		
  </TR> 	
  
    <TR height="25"> 
	<TH> 개찰자</TH>
	<TD colspan="3"><%=Order.get("OPEN_EMPNM")%></TD>	
  </TR> 

  <TR height="25"> 
	<TH> 보고자</TH>
	<TD colspan="3">
		<div  id="sheet2_div" style="width: 100%; height: 100%;"> 	
			<script>createIBSheet('sheet2','100%', '100px');</script>
		</div>
	</TD>
  </TR> 
    
  <TR height="25"> 
	<TH rowspan="2">기술검토(TBE)</TH>
	<TH> TBE 여부</TH>
	<TD ><%=Order.get("TBE_FLAG").equals("Y") ? "예" : "아니오"%></TD>
	<TH> TBE 완료일</TH>
	<TD ><%=Order.get("TBE_FIN_DT")%></TD>	
  </TR>
  
  <TR height="25"> 
	<TH> TBE 심사자</TH>
	<TD><%=Order.get("EVAL_EMPNM")%></TD>
	<TH>TBE담당자 전화번호</TH>
	<TD ><%=Order.get("EVAL_TEL")%></TD>			
  </TR> 	
</table>

<div class="application-info magT20">
	<div class="application-sub-title">
		<span class="title">입찰조건</span>
	</div>
</div>


<TABLE class="form-table">
	<colgroup>
		<col width="145"/>
		<col width="145"/>
		<col width="29%"/>
		<col width="145"/>
		<col/>
	</colgroup>
  <TR height="25"> 
	<TH>통화구분</TH>
	<TD colspan="4"> <%=Order.get("CURRENCY_GB_NM") %>
	</TD>
  </TR>
   <TR height="25"> 
	<TH>계약형태</TH>
	<TD colspan="4"> 
		<%=Order.get("OBC_CONT_TYPE_NM") %>
	</TD>
  </TR>
  <TR height="25"> 
  	<TH rowspan="2">공사대금</TH>
	<TH>선급금</TH>
	<TD><% if(!Order.get("OBC_FRST_CONT_RATE").isEmpty()){%> 계약금액의 : <%= Order.get("OBC_FRST_CONT_RATE") %>%<br><%}%>
	<%= Order.get("OBC_FRST_CONDI") %> <br>
	<%= Order.get("OBC_FRST_CNT_CONDI") %></TD>
	<TH>기성금</TH>
	<TD><% if(!Order.get("CPC_MID_RATE").isEmpty()){%> 계약금액의 :<%= Order.get("CPC_MID_RATE")%>% ,<%}%><% if(!Order.get("OBC_MID_CASH_RATE").isEmpty()){%> 현금 : <%= Order.get("OBC_MID_CASH_RATE")%>% <%}%> <% if(!Order.get("OBC_MID_BILL_RATE").isEmpty()){%>어음 : <%= Order.get("OBC_MID_BILL_RATE")%>%<%}%><br>
			<% if(!Order.get("OBC_MID_PAYDAY").isEmpty()){%>세금계산서 발행일로부터 <%=Order.get("OBC_MID_PAYDAY")%> 일 내 지급<br><%} %>
			<% if(!Order.get("OBC_MID_BILL_DATE").isEmpty()){%>어음일 경우, 어음 만기일은 목적물 수령일로부터 (<%= Order.get("OBC_MID_BILL_DATE")%>)일<br><%} %>
			<% if(!Order.get("OBC_MID_PAYDAY").isEmpty()){%><%=Order.get("OBC_MID_REQ_MONTH")%> 개월 당 <%=Order.get("OBC_MID_CNT")%> 회 말일에 청구<%}%>
	</TD>	
  </TR>
    <TR height="25"> 
	<TH>준공금</TH>
	<TD colspan="3"><% if(!Order.get("PBC_REST_RATE").isEmpty()){%> 계약금액의 : <%=Order.get("PBC_REST_RATE")%>%, <%}%><% if(!Order.get("OBC_FIN_CASH_RATE").isEmpty()){%> 현금 : <%=Order.get("OBC_FIN_CASH_RATE")%>% <%}%><% if(!Order.get("OBC_FIN_BILL_RATE").isEmpty()){%> 어음 : <%=Order.get("OBC_FIN_BILL_RATE")%>%<%}%>
			<%-- <br><% if(!Order.get("OBC_FIN_PAYDAY").isEmpty()){%>세금계산서 발행일로부터 <%=Order.get("OBC_FIN_PAYDAY")%> 일 내 지급<%}%><br>
			<%=Order.get("OBC_FIN_CONDI") %></TD> --%>
  </TR>
  <TR height="25"> 
  	<TH rowspan="6">간접비 견적조건</TH>
	<TH>고용보험료</TH>
	<TD><% if(!Order.get("OBC_EMP_RATE").isEmpty()){%>노무비 * <%= Order.get("OBC_EMP_RATE")%>  % &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp  &nbsp
		<%}%><%=Order.get("OBC_EMP_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
	<TH>연금보험료</TH>
	<TD><% if(!Order.get("OBC_PENSION_RATE").isEmpty()){%>직접노무비 <%=Order.get("OBC_PENSION_RATE")%>  % &nbsp &nbsp &nbsp&nbsp &nbsp  &nbsp
		<%}%><%=Order.get("OBC_PENSION_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>	
  </TR>
  <TR height="25"> 
	<TH>건강보험료</TH>
	<TD><% if(!Order.get("OBC_HEALTH_RATE").isEmpty()){%>직접노무비 * <%=Order.get("OBC_HEALTH_RATE")%>  % &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp   &nbsp
	<%}%><%=Order.get("OBC_HEALTH_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
	<TH>노인장기보험료</TH>
	<TD><% if(!Order.get("OBC_ELDER_RATE").isEmpty()){%>건강보험료 * <%=Order.get("OBC_ELDER_RATE")%>  % &nbsp &nbsp&nbsp &nbsp  &nbsp
	<%}%><%=Order.get("OBC_ELDER_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>	
  </TR>
  <TR height="25"> 
	<TH>산재보험료</TH>
	<TD><% if(!Order.get("OBC_WORK_RATE").isEmpty()){%>노무비 * <%=Order.get("OBC_WORK_RATE")%>  % &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp
		<%}%><%=Order.get("OBC_WORK_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
	<TH>퇴직공제부금</TH>
	<TD><% if(!Order.get("OBC_RESIGN_RATE").isEmpty()){%>노무비 * <%=Order.get("OBC_RESIGN_RATE")%>  % &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp&nbsp &nbsp
		<%}%><%=Order.get("OBC_RESIGN_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>	
  </TR>
  <TR height="25"> 
	<TH>안전관리비</TH>
	<TD><% if(!Order.get("OBC_SAFE_RATE").isEmpty()){%>노무비 * <%= Order.get("OBC_SAFE_RATE")%>  % &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp
		<%}%><%=Order.get("OBC_SAFE_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
	<TH>환경관리비</TH>
	<TD><% if(!Order.get("OBC_ENV_RATE").isEmpty()){%>재료비 * <%= Order.get("OBC_ENV_RATE")%>  %  &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp&nbsp &nbsp
		<%}%><%=Order.get("OBC_ENV_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>	
  </TR>
  <TR height="25"> 
	<TH>현장관리비</TH>
	<TD><% if(!Order.get("OBC_SITE_RATE").isEmpty()){%>직접비 * <%=Order.get("OBC_SITE_RATE")%>  % &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp
		<%}%><%=Order.get("OBC_SITE_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
	<TH>매입부가세</TH>
	<TD><% if(!Order.get("OBC_DUTY_RATE").isEmpty()){%>재료비 * 매입세율 <%= Order.get("OBC_DUTY_RATE")%>  %  &nbsp
		<%}%><%=Order.get("OBC_DUTY_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>	
  </TR>
  <TR height="25"> 
	<TH>간접비 정산조건</TH>
	<TD><%=Order.get("OBC_IND_YN").equals("Y") ? "<font color='blue'>[실적정산]</font>" : "<font color='red'>[비례정산]</font>" %></TD>
	<TH>건설기계 수수료</TH>
	<TD><%=Order.get("OBC_WARR_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
  </TR>
</TABLE>

<TABLE class="form-table" style="margin-top:5px">
	<colgroup>
		<col width="145"/>
		<col width="145"/>
		<col width="29%"/>
		<col width="145"/>
		<col/>
	</colgroup>
  <TR height="100"> 
    <TH>주요발주내용</TH>
	<TD colspan="2">
		<%=StringUtils.cvtHTML(Order.get("MAIN_PR_CONTENTS"))%>
    </TD>
	
	<TH>입찰업체선정사유</TH>
	<TD>
	 	<%=StringUtils.cvtHTML(Order.get("BID_SUPP_SELECT_REASON"))%>            
	</TD>
  </TR>	
  <TR height="100"> 
    <TH>특이사항 내부</TH>
	<TD colspan="2">
		<textarea name="INNER_REMARKS" id="INNER_REMARKS" style="width:98%; height:80px; overflow-y:auto" maxlength="1000" class="input byteChk ctrlTarget"><%=Order.get("INNER_REMARKS")%></textarea> 
    </TD>
	
	<TH>특이사항 외부</TH>
	<TD>
	 <textarea name="OUTER_REMARKS" id="OUTER_REMARKS" style="width:98%; height:80px; overflow-y:auto" maxlength="1000" class="input byteChk ctrlTarget"><%=Order.get("OUTER_REMARKS")%></textarea>            
	</TD>
  </TR>
  <TR height="100"> 
    <TH>내부자료</TH>
	<TD colspan="2"> 
	 <TEXTAREA name="p_AttachFile1" id="p_AttachFile1" style="width:85%;height:80px" rows="1" class="input" readOnly><%=filein.get(Order.get("DOC_ETC_IN")) %></TEXTAREA>
	                    <IMG id='search_spot_button' onClick="doAttachFile(document.form1.DEMANDED_ID,1);" src='/img/buyer/button/bt_change.gif' border='0'  align="top" align='absmiddle' alt='[Attach File]' style='cursor:pointer;'>
    </TD>
	<TH>외부자료</TH>
	<TD>
	 <TEXTAREA name="p_AttachFile2" id="p_AttachFile2" style="width:85%;height:80px" rows="1" class="input" readOnly><%=fileout.get(Order.get("DOC_ETC_OUT")) %></TEXTAREA>
	                    <IMG id='search_spot_button' onClick="doAttachFile(document.form1.DEMANDED_ID,2);" src='/img/buyer/button/bt_change.gif' border='0'  align="top" align='absmiddle' alt='[Attach File]' style='cursor:pointer;'>
	</TD>
  </TR>  
</TABLE>

<textarea name="OPEN_OPINION" id="OPEN_OPINION" style="width:98%; height:50px; overflow-y:auto" maxlength="100" class="input byteChk ctrlTarget"><%=Order.get("OPEN_OPINION")%></textarea>

</form>
