<%--
  - Author(s)  : Hyung min Son
  - Date       : 2014.08.08
  - Description: 외주_입찰결과상세
  --%>
  
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="java.text.SimpleDateFormat" %>
<%@ page import="java.util.Date" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="kr.co.udapsoft.common.code.*" %>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ page import="com.udapsoft.waf.common.util.Formatter2"%>
<%@ page import="com.udapsoft.waf.common.util.StringUtils"%>
<%@ page import="com.udapsoft.waf.common.ui.InitCombo" %>
<%@ page import="kr.co.udapsoft.common.code.CommCodeManager" %>
<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
    ValueObject Order = storage.getValueObject("Order");
    ValueObject filein = storage.getValueObject(Order.get("DOC_ETC_IN"));
    ValueObject fileout = storage.getValueObject(Order.get("DOC_ETC_OUT"));
	
    //공통코드
	CommCodeManager commCodeManager = new CommCodeManager();
	InitCombo initCombo = new InitCombo();

	initCombo.makeComboData(commCodeManager.getCodeRowSet("BID_CHK_YN","DETAILCD","Y"), "DETAILNM", "DETAILCD");
	String BID_CHK_CD = initCombo.getCode();
	String BID_CHK_NM = initCombo.getCodeName();
	
	boolean o_reason = false;  //2015.3.30 개찰의견 
    boolean p_reason = false;
    boolean c_reason = false;
    boolean m_reason = false;
    boolean f_reason = false;
    if(Order.get("OPEN_OPINION").length()> 0){
    	o_reason = true;
    }
    if(Order.get("POSTPONE_REASON").length()> 0){
    	p_reason = true;
    }
    if(Order.get("CANCEL_REASON").length()> 0){
    	c_reason = true;
    }
    if(Order.get("MODIFY_REASON").length()> 0){
    	m_reason = true;
    }
   if(Order.get("FIB_REASON").length()> 0){
    	f_reason = true;
    }
   
   ValueObject sign_info = storage.getValueObject("SIGN_INFO");
	
	String gwurl	=	"http://gw.sgcenc.co.kr/";//WAFConfig.get("gw.url.address2");
%>
<SCRIPT language="JavaScript">
document.body.onresize = addEvent( document.body.onresize, "autoResize()");
	/*예약함수*/
	var sheet1 = new ibsheetObject();
	var sheet2 = new ibsheetObject();
	var sheet1Row;
	var sheet1PageNo = 1;
	var pageLastRowIndex = 1;
	var validationResult = false;
	var filterShow = false;
	var succ_vendor = "";
	function _onReady(){
		/**
		 *	IBSheet object initialize
		 */
		gridInit(sheet1);
		gridInit(sheet2);
		
		/**
		 *	Application Initialize
		 */
		 $("#btn_list").click(function() {
				$("#fevent").val("");
				$("#form1").attr("action", "/bid/outside/BidResultList.screen");
				$("#form1").attr("target", "_self");
				$("#form1").attr("method", "post");
				$("#form1").submit();
		});
		
		 $("#btn_report").click(function() {
		        var reportInfo = new ReportInfo();
	            reportInfo.title = "견적대비표";
	            reportInfo.reportName = "/report/mrd/buyer/bid/outside/bid_outside_rd.mrd";
	            reportInfo.set($("#BID_NO").val());    	// $1
		        reportInfo.set($("#BID_DEG").val());    	// $2
		        reportInfo.width = 1000;                         	// Default: 1024
		        reportInfo.height = 700;                         	// Default: 768
				reportInfo.showPopup();
		 });
		 
		 $("#btn_tbecheckpop").click(function() {
			 var win_id = "_TBECheckPop";
			 var link = "/bid/outside/TBECheckPop.screen";
			       link += "?pop_win_id="+win_id;
			       link += "&BID_NO="+$("#BID_NO").val();
			       link += "&BID_DEG="+$("#BID_DEG").val();
			fLayerPop(win_id, link, 900,210, '', '', 'YES');
	 	});

		//보고자 조회
		doSearchSheet2();
	}
	
	function doSearchSheet(){
		$("#fevent").val("GET_CORP_LIST");
		var url = Modular.model.PageContext.CONTEXT_ROOT + "/bid/outside/BidResult_sheet.screen";
		Modular.view.IBSheet7.doSearch(sheet1, url, jQuery("#form1"), 30, "");
	}

	function doSearchSheet2(){
		$("#fevent").val("GET_REPORT_EMP_LIST");
		var url = Modular.model.PageContext.CONTEXT_ROOT + "/bid/outside/BidPlan_sheet.screen";
		Modular.view.IBSheet7.doSearch(sheet2, url, jQuery("#form1"), 30, "");
	}
	
	/**
	 *	IBSheet object initialize
	 */
	function gridInit(sheetName){
		var init_sheet = {};
		if(sheetName.id == "sheet1"){
			init_sheet.Cfg = {SearchMode:2, Page:30 , MergeSheet:msHeaderOnly};
			init_sheet.Cols = [
			       			{Header:'삭제|삭제',											Type:"DelCheck",		SaveName:"DEL_CHECK", 					Width:0, 		Align:"Center",		Hidden:"True"},
			    			{Header:'Status|Status',									Type:"Status", 		SaveName:"STATUS", 						Width:0, 		Align:"Center",		Hidden:"True"},
			    			{Header:'No.|No.',											Type:"Seq", 			SaveName:"NO",								Width:0, 		Align:"Center",		Hidden:"True"},
			    			{Header:'지명부서|지명부서',									Type:"Text", 			SaveName:"RECM_DEPT_NM", 			Width:100,		Align:"Center" },
			    			{Header:'사업자번호|사업자번호',								Type:"Text", 			SaveName:"VENDOR_NO", 					Width:100,		Align:"Center", 	Format:"SaupNo"},
			    			{Header:'업체명|업체명',										Type:"Text", 			SaveName:"VENDOR_NAME", 				Width:100, 		Align:"Left" },
			    			{Header:'대표자명|대표자명',									Type:"Text", 			SaveName:"REPRE_NO", 					Width:0, 		Align:"Center" },
			    			{Header:'담당자명|담당자명',									Type:"Text",	 		SaveName:"CHARGE_NAME", 				Width:110, 		Align:"Center" },
			    			{Header:'핸드폰|핸드폰',										Type:"Text", 			SaveName:"CHAGE_HP", 					Width:100, 		Align:"Center" },
			    			{Header:'이메일|이메일',										Type:"Text", 			SaveName:"CHARGE_EMAIL", 				Width:150, 		Align:"Left" },
			    			{Header:'견적금액|견적금액',									Type:"Text", 			SaveName:"ESTI_TOT_AMT", 				Width:100, 		Align:"Right", 		Cursor:"pointer"},
			    			{Header:'견적대비 \n실행율(%)|견적대비 \n실행율(%)',		Type:"Text", 			SaveName:"ESTI_TOT_RATE", 			Width:100, 		Align:"Right" },
			    			{Header:'기술검토(TBE)|첨부파일',							Type:"Text", 			SaveName:"FILE_CNT", 						Width:100, 		Align:"Center",		Hidden:"True" },
			    			{Header:'기술검토(TBE)|TBE여부',							Type:"Combo", 		SaveName:"TBEEVALUATE_YN", 			Width:100, 		Align:"Center", 	ComboText:"<%=BID_CHK_NM%>", ComboCode:"<%=BID_CHK_CD%>",	Hidden:"True"},
			    			{Header:'기술검토(TBE)|기술검토(TBE)',					Type:"Text", 			SaveName:"EVAL_RESULT_NM",			Width:100, 		Align:"Center"},
			    			{Header:'업체\n선정|업체\n선정',								Type:"Combo", 		SaveName:"SUCC_YN", 						Width:100, 		Align:"Center", 	ComboText:"<%=BID_CHK_NM%>", ComboCode:"<%=BID_CHK_CD%>"},
			    			{Header:'결격\n사유|결격\n사유',								Type:"PopupEdit", 	SaveName:"DISQ_YN", 						Width:100, 		Align:"Center",		Hidden:"True"},
			    			{Header:'DISQ_REASON|DISQ_REASONO',				Type:"Text", 			SaveName:"DISQ_REASON", 				Width:100, 		Align:"Center",		Hidden:"True"},
			    			{Header:'BID_NO|BID_NO',									Type:"Text", 			SaveName:"BID_NO", 						Width:100, 		Align:"Center",		Hidden:"True"},
			    			{Header:'BID_DEG|BID_DEG',								Type:"Text", 			SaveName:"BID_DEG", 						Width:100, 		Align:"Center",		Hidden:"True"},
			    			{Header:'VENDOR_CD|VENDOR_CD',						Type:"Text", 			SaveName:"VENDOR_CD", 					Width:100, 		Align:"Center",		Hidden:"True"},
			    			{Header:'FILE_GB|FILE_GB',								Type:"Text", 			SaveName:"FILE_GB", 						Width:100, 		Align:"Center",		Hidden:"True"},
			    			{Header:'EVAL_RESULT|EVAL_RESULT',					Type:"Text", 			SaveName:"EVAL_RESULT", 				Width:100, 		Align:"Center",		Hidden:"True"},
			    			{Header:'SIGN_DT|SIGN_DT',								Type:"Text", 			SaveName:"SIGN_DT", 						Width:100, 		Align:"Center",		Hidden:"True"}
			];
		}else{
			init_sheet.Cfg = {SearchMode:2, Page:30 , MergeSheet:msHeaderOnly,SizeMode:1};
			init_sheet.Cols = [
					       		{Header:'삭제',			Type:"DelCheck",		SaveName:"DEL_CHECK", 		Width:0, 		Align:"Center",	Hidden:"True"},
					    		{Header:'Status',		Type:"Status", 			SaveName:"STATUS", 			Width:0, 		Align:"Center",	Hidden:"True"},
	   			    			{Header:'No.',			Type:"Seq", 			SaveName:"NO",				Width:0, 		Align:"Center", Hidden:"True"},
	   			    			{Header:'계정ID',		Type:"Text", 			SaveName:"ACCT_ID", 		Width:0, 		Align:"Center", Hidden:"True"},
	   			    			{Header:'이름',			Type:"Text", 			SaveName:"USER_NAME", 		Width:100, 		Align:"Center", Edit:false},
	   			    			{Header:'부서명',			Type:"Text", 			SaveName:"BUSEO_NAME", 		Width:150, 		Align:"Left", Edit:false},
	   			    			{Header:'직위명',			Type:"Text", 			SaveName:"GRADE_NAME", 		Width:100, 		Align:"Center", Edit:false}
				];
		}
		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheetName, init_sheet);
		sheetName.SetDataAutoTrim(0);
		sheetName.SetEditable(false);
		setGridSize();
	}
	
	/**
	 *	IBSheet Event: Search End(IBSheet 데이터 조회 CallBack)
	 */
	function sheet1_OnSearchEnd(code, message) {
	    if(code == 0) {
	    	setGridSize();
	    	sheet1.SetColFontColor("ESTI_TOT_AMT", "#0000ff");
    		var GrowCount = sheet1.LastRow();
    		for(var	i=1; i < 	GrowCount+1; i++)
			{
    			if(sheet1.GetCellValue(i, "SUCC_YN") == "Y"){
    				sheet1.SetRowBackColor(i,"#ffffcc");
    				//sheet1.SetCellBackColor(i, "UNIT_COST", "#ccff99");
    				sheet1.SetRangeFontBold(i,0,i,15,true);
    			}
			}
		} else {
			//조회 에러 수행
			alert(message);
		}
	}
	
	/**
	 *	IBSheet Event: Search End(IBSheet 데이터 조회 CallBack)
	 */
	function sheet2_OnSearchEnd(code, message) {
		 if(code == 0) {
			//sheet2.FitColWidth();
			//견적대상 업체 조회
			doSearchSheet();
		} else {
			//조회 에러 수행
			alert(message);
		}
	}
	
	/**
	 *	IBSheet size setting
	 */
	function setGridSize() {
		sheet1.FitColWidth();
	}
	
	function f_gologin(login_id,login_pw){
		var f = document.form1;
		if('<%= user.get("ACCT_TYPE_CODE")%>' != "ADMIN"){
			alert("User who logged in as administrator only can do automatic log-in.");
			return;
		}
	
		f.login_id.value = login_id;
		f.login_pw.value = login_pw;
	
		if( !submitXmlRequest("/sign_on_check", "", document.form1) ) {
			alert("Log-in is being processed.");
		};
	
	}
	
	//첨부파일   
	function doAttachFile(obj,No) {
		var file_div = "bid/outside/"+"<%=Order.get("BID_NO")%>"+"/";
		var fileName = "<%=Order.get("DEMANDED_NO")%>" + "(" + "<%=Order.get("DEMANDED_TITLE")%>" + ")_";
		 if(obj==''){
			 alert("After you have saved, you can attach a file.");
		}
		else if(obj != ''){ 
			if(No == 1){
				fileName += "내부자료";
				<%-- viewFileListNew('<%=Order.get("DOC_ETC_IN")%>', obj.value, document.form1.p_AttachFile1, "N", file_div); --%>
				viewFileListNew('<%=Order.get("DOC_ETC_IN")%>', obj.value, document.form1.p_AttachFile1, "N", file_div, null, null, null, null, "Y", fileName);
			}else if(No == 2){
				fileName += "외부자료";
				<%-- viewFileListNew('<%=Order.get("DOC_ETC_OUT")%>', obj.value, document.form1.p_AttachFile2, "N", file_div); --%>
				viewFileListNew('<%=Order.get("DOC_ETC_OUT")%>', obj.value, document.form1.p_AttachFile2, "N", file_div, null, null, null, null, "Y", fileName);
			}
		} 
	}
	
	function sheet1_OnSmartResize(Width, Height) { 
		sheet1.FitColWidth();
		autoResize();
	}

	function autoResize(){
		sheet1.SetSheetHeight(170); 
	}	
	
	/**
	 *	IBSheet Event: Click
	 */
	
	function sheet1_OnClick(Row, Col, Value, CellX, CellY, CellW, CellH) {
		if(Col == 10){
			if(Value != ""){
				 var win_id = "_BidAmtPop";
				 var link = "/bid/outside/BidAmtPop.screen";
				       link += "?pop_win_id="+win_id;
				       link += "&ROW="+Row;
				       link += "&VENDOR_CD="+sheet1.GetCellValue(Row,"VENDOR_CD");
				       link += "&BID_NO="+sheet1.GetCellValue(Row,"BID_NO");
				       link += "&BID_DEG="+sheet1.GetCellValue(Row,"BID_DEG");
				       link += "&FILE_GB="+sheet1.GetCellValue(Row,"FILE_GB");
				       link += "&VENDOR_NO="+sheet1.GetCellValue(Row,"VENDOR_NO");
				       link += "&ESTI_TOT_AMT="+sheet1.GetCellValue(Row,"ESTI_TOT_AMT");
				       link += "&SIGN_DT="+sheet1.GetCellValue(Row,"SIGN_DT");
				       link += "&DEMANDED_ID="+$("#DEMANDED_ID").val();
					fLayerPop(win_id, link, 1000,600, '', '', 'NO');
			}
		}
	}
	
	function doSignFile(doc_id){
		//alert(doc_id);
		if(doc_id == ""){
			alert("결재 정보가 없습니다.");
			return;
		}
		var doc_chk = doc_id.substring(doc_id.length-3, doc_id.length);
		
		doc_chk = doc_chk * 1;
		
		var link = "";
		var year = "<%=sign_info.get("year") %>";
		if (year > "20151213"){
		 	link = "<%=gwurl%>upload_approval/TEC/doc/" + year.substr(0,4) + "/" + doc_chk + "/"+ doc_id+".mht";
		}
		else
		{
			link = "<%=gwurl%>upload_approval/TEC/doc/" + doc_chk + "/"+ doc_id+".mht";
		}
		//var popOption = "width=400, height=450, resizable=no, scrollbars=auto, status=no;";    //팝업창 옵션(optoin)
		
		window.open(link,"_viewDraft","");	
	}
	
</SCRIPT>

<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>
<form id="form1" name="form1" method="post" modular:type="search">

<INPUT type='hidden' name="fevent" id="fevent"  value="">

<!-- List Search -->
<INPUT type="hidden" name="P_BID_MASTER_NM" id="P_BID_MASTER_NM" value="<%= params.get("P_BID_MASTER_NM") %>">
<INPUT type="hidden" name="p_dept_nm" id="p_dept_nm" value="<%= params.get("p_dept_nm") %>">
<INPUT type="hidden" name="p_dept_cd" id="p_dept_cd" value="<%= params.get("p_dept_cd") %>">
<INPUT type="hidden" name="p_demanded_status" id="p_demanded_status" value="<%= params.get("p_demanded_status") %>">
<!-- List Search -->  

<INPUT type='hidden' name="DEMANDED_ID" value="<%=Order.get("DEMANDED_ID")%>">
<INPUT type='hidden' name="BID_NO" value="<%=Order.get("BID_NO")%>">
<INPUT type='hidden' name="BID_DEG" value="<%=Order.get("BID_DEG")%>">
<INPUT type='hidden' name="STATUS_CD" value="<%=Order.get("STATUS_CD")%>">
<INPUT type='hidden' name="SITEPARTI_YN" value="Y">
<table width="100%">
	<colgroup>
		<col width="*" />
		<col width="200" />
	</colgroup>
	<tr>
   		<th>
			<div align="left" id="title">
			    <ul><li>외주_입찰결과상세<font style="font-size:11px"> (<%=Order.get("STATUS_NM")%>)</font></li></ul>
			</div> 
   		</th>
   		<td align="right">
				<span class="btnSearch center" id="btn_list"><a href="javascript:void(0);">목록</a></span>
   		</td>
  	</tr>
</table>

<%if(o_reason || p_reason || m_reason || c_reason || f_reason){ %>
<TABLE class="form-table">
	<colgroup>
		<col width="150">
		<col/>
	</colgroup>
   <%if(o_reason){ %>
  <TR height="25">
    <TH>개찰 특기사항</TH>
	<TD style="vertical-align: top"><%=StringUtils.cvtHTML(Order.get("OPEN_OPINION"))%></TD>
  </TR>
  <%} %>
   <%if(c_reason){ %>
  <TR height="25">
    <TH>취소사유</TH>
	<TD style="vertical-align: top"><%=StringUtils.cvtHTML(Order.get("CANCEL_REASON"))%></TD>
  </TR>
  <%} %>
   <%if(p_reason){ %>
  <TR height="25">
    <TH>연기사유</TH>
	<TD style="vertical-align: top"><%=StringUtils.cvtHTML(Order.get("POSTPONE_REASON"))%></TD>
  </TR>
  <%} %>
  <%if(m_reason){ %>
  <TR height="25">
    <TH>정정사유</TH>
	<TD style="vertical-align: top"><%=StringUtils.cvtHTML(Order.get("MODIFY_REASON"))%></TD>
  </TR>
  <%} %>
  <%if(f_reason){ %>
  <TR height="25">
    <TH>유찰사유</TH>
	<TD style="vertical-align: top"><%=Order.get("FIB_REASON")%></TD>
  </TR>
  <%} %>
</TABLE>
<%}%>

<%if(!Order.get("REBID_REASON").equals("") || !Order.get("REBID_OUTREASON").equals("")){%>
<div class="application-info  magT10">
	<div class="application-sub-title">
		<span class="title">재입찰사유</span>
	</div>
	<div class="application-location">
	</div>
</div>

<TABLE class="form-table">
	<colgroup>
		<col width="150"/>
		<col width="40%" />
		<col width="150" />
		<col width="*" />
	</colgroup>
  <TR height="25"> 
    <TH>재입찰사유<br>(내부보고)</TH>
	<TD><%=StringUtils.cvtHTML(Order.get("REBID_REASON"))%></TD>
	<TH>재입찰사유<br>(외부공지)
	</TH>
	<TD><%=StringUtils.cvtHTML(Order.get("REBID_OUTREASON"))%></TD>
  </TR>
 </TABLE>
<%} %>

<div class="application-info magT10">
	<div class="application-sub-title">
		<span class="title">발주의뢰정보</span>
	</div>
</div>

<!-- 발주의뢰정보 : 시작 -->

<TABLE class="form-table">
	<colgroup>
		<col width="150"/>
		<col width="23%">
		<col width="150"/>
		<col width="23%">
		<col width="150"/>
		<col/>
	</colgroup>
  <TR height="25"> 
    <TH> 현장</TH>
	<TD><%=Order.get("dept_nm") %></TD>
	<TH> 발주의뢰번호</TH>
	<TD><a href="javascript:doSignFile('<%=sign_info.get("doc_id") %>');"><%=Order.get("DEMANDED_NO")%></a>
	 </TD>
	<TH> 발주의뢰명</TH>
	<TD><%=Order.get("DEMANDED_TITLE")%></TD>
  </TR>

  <TR height="25"> 
	<TH> 발주의뢰일</TH>
	<TD><%= Order.get("DEMANDED_DATE")%></TD>
	<TH> 발주의뢰부서</TH>
	<TD><%= Order.get("REQ_DEPT_NM")%></TD>
	<TH> 발주의뢰자</TH>
	<TD><%= Order.get("EMP_NM")%></TD> 	
  </TR>
  
  <TR height="25"> 
	<TH> 발주접수일자</TH>
	<TD><%=Order.get("RECEIPT_DATE") %></TD>
	<TH> Pay Item</TH>
	<TD><%= Order.get("PAY_ITEM_NM") %></TD> 	
	<TH> 외주예산 (원)</TH>
	<TD><%= Formatter2.currency(Order.get("PUR_AMT"),0) %></TD>  <!-- 2015.3.2 외주예산추가 MKLEE -->	
  </TR> 	

  <TR height="25"> 
	<TH> 도급금액 (원)</TH>
	<TD><%= Formatter2.currency(Order.get("CONT_AMT"),0) %></TD>
	<TH> 실행예산 (원)</TH>
	<TD><%=Formatter2.currency(Order.get("ACT_AMT"),0) %></TD>
	<TH> 도급대비실행율(%)</TH>
	<TD><%= Order.get("ACT_RATE")%></TD> 	
  </TR>
  <TR height="25">
	<TH>공사기간</TH>
	<TD><%=Order.get("DELI_FROM_DY") %> <%if(!Order.get("DELI_FROM_DY").isEmpty()||!Order.get("DELI_TO_DY").isEmpty()){ %>~<%} %> <%= Order.get("DELI_TO_DY") %></TD>
	<TH>공사장소</TH>
	<TD><%= Order.get("DELIVERY_PLACE") %></TD>
  	<TH>공종</TH>
	<TD><%= Order.get("OUT_ITEM_NM") %></TD> 
  </TR>
    
  <!-- 발주의뢰정보 : 종료 -->
</table>

<table width="100%">
	<colgroup>
		<col width="500" />
		<col width="*" />
	</colgroup>
	<tr>
   		<th>
   		<div class="application-info magT15">
			<div class="application-sub-title">
				<span class="title">견적업체 선정 결과</span>
			</div>
		</div>
   		</th>
   		<td align="right">	
   				<span class="btnSearch center" id="btn_report"><a href="javascript:void(0);">견적대비표</a></span>
				<span class="btnSearch center" id="btn_tbecheckpop"><a href="javascript:void(0);">기술검토결과서</a></span>
   		</td>
  	</tr>
</table>
	<div id="sheet1_div" style="padding-top:5px;height: auto; min-height: 180px; overflow: auto;">
		<script>createIBSheet('sheet1','100%', '170px');</script>
	</div>

<div class="application-info magT15">
	<div class="application-sub-title">
		<span class="title">입찰기본정보</span>
	</div>
</div>

<TABLE class="form-table">
	<colgroup>
		<col width="145"/>
		<col width="145"/>
		<col width="29%"/>
		<col width="145"/>
		<col />
	</colgroup>
  <TR height="25"> 
    <TH> 입찰번호-차수</TH>
	<TD colspan="2"> 
	  <%=Order.get("BID_NO")%>-<%=Order.get("BID_DEG")%>
    </TD>
	<TH> 온라인입찰여부</TH>
	<TD>
	 <%=Order.get("ONBID_YN")%>            
	</TD>
  </TR>


  <TR height="25"> 
	<TH> 입찰명</TH>
	<TD colspan="5"> 
		<%=Order.get("BID_MASTER_NM")%> 
	</TD>
  </TR>
  
  <TR height="25"> 
	<TH> 경쟁방법</TH>
	<TD colspan="2"> 
		<%=Order.get("CMPT_NM")%>
	</TD>
       
	<TH> 낙찰자선정방법</TH>
	<TD>
	  <%=Order.get("SUCC_NM") %>
 	</TD> 	
  </TR> 	
  <!-- 발주의뢰정보 : 종료 -->
</table>

<div class="application-info magT15">
	<div class="application-sub-title">
		<span class="title">입찰진행</span>
	</div>
</div>

<TABLE class="form-table">
	<colgroup>
		<col width="145"/>
		<col width="145"/>
		<col width="29%"/>
		<col width="145"/>
		<col />
	</colgroup>
  <TR height="25"> 
    <TH>업체공지일자</TH>
	<TD colspan="4"><%=Order.get("NOTI_DY") %></TD>
  </TR>


  <TR height="25"> 
	<TH rowspan="3"> 견적설명회 정보</TH>
	<TH> 여부</TH>
	<TD><%=Order.get("SITEDESC_FLAG")%></TD>
	<TH> 담당자</TH>
	<TD><%=Order.get("SITEDESCCHRGPRSNNM")%></TD>	
  </TR>
  
  <TR height="25"> 
	<TH> 담당자 전화번호</TH>
	<TD ><%=Order.get("SITEDESCTELNO")%></TD>
	<TH> 일시</TH>
	<TD ><%=Order.get("SITEDESCDATE")%></TD>		
  </TR> 	
  
    <TR height="25"> 
	<TH> 담당자 E-Mail</TH>
	<TD ><%=Order.get("SITEDESCEMAIL")%></TD>
	<TH> 장소</TH>
	<TD ><%=Order.get("SITEDESCPLACE")%></TD>		
  </TR> 
  
    <TR height="25"> 
	<TH rowspan="4"> 견적 의뢰</TH>
	<TH> 견적제출기간</TH>
	<TD colspan="3"><%=Order.get("BID_FROM_DT")%> ~<%=Order.get("BID_TO_DT")%></TD>
  </TR>
  
  <TR height="25"> 
	<TH> 외주담당자</TH>
	<TD ><%=Order.get("PUREMPNM")%></TD>
	<TH> 외주담당자 전화번호</TH>
	<TD ><%=Order.get("PO_EMPNM")%></TD>		
  </TR> 	
  
    <TR height="25"> 
	<TH> 개찰자</TH>
	<TD><%=Order.get("OPEN_EMPNM")%></TD>	
	<TH> 개찰시간</TH>
	<TD><%=Order.get("OPEN_DT")%></TD>	
  </TR> 

  <TR height="25"> 
	<TH> 보고자</TH>
	<TD colspan="3">
		<div  id="sheet2_div" style="width: 100%; height: 100%;"> 	
			<script>createIBSheet('sheet2','100%', '100px');</script>
		</div>
	</TD>
  </TR> 
    
  <TR height="25"> 
	<TH rowspan="2">기술검토(TBE)</TD>
	<TH> TBE 여부</TH>
	<TD ><%=Order.get("TBE_FLAG").equals("Y") ? "예" : "아니오"%></TD>
	<TH> TBE 완료일</TH>
	<TD ><%=Order.get("TBE_FIN_DT")%></TD>	
  </TR>
  
  <TR height="25"> 
	<TH> TBE 심사자</TH>
	<TD><%=Order.get("EVAL_EMPNM")%></TD>
	<TH> TBE담당자 전화번호</TH>
	<TD ><%=Order.get("EVAL_TEL")%></TD>				
  </TR> 	
  <!-- 발주의뢰정보 : 종료 -->
</table>

<div class="application-info magT15">
	<div class="application-sub-title">
		<span class="title">입찰조건</span>
	</div>
</div>

<TABLE class="form-table">
	<colgroup>
		<col width="145"/>
		<col width="145"/>
		<col width="29%"/>
		<col width="145"/>
		<col/>
	</colgroup>
  <TR height="25"> 
	<TH>통화구분</TH>
	<TD colspan="4"> <%=Order.get("CURRENCY_GB_NM") %>
	</TD>
  </TR>
   <TR height="25"> 
	<TH>계약형태</TH>
	<TD colspan="4"> 
		<%=Order.get("OBC_CONT_TYPE_NM") %>
	</TD>
  </TR>
  <TR height="25"> 
  	<TH rowspan="2">공사대금</TH>
	<TH>선급금</TH>
	<TD><% if(!Order.get("OBC_FRST_CONT_RATE").isEmpty()){%> 계약금액의 : <%= Order.get("OBC_FRST_CONT_RATE") %>%<br><%}%>
	<%= Order.get("OBC_FRST_CONDI") %> <br>
	<%= Order.get("OBC_FRST_CNT_CONDI") %></TD>
	<TH>기성금</TH>
	<TD><% if(!Order.get("CPC_MID_RATE").isEmpty()){%> 계약금액의 :<%= Order.get("CPC_MID_RATE")%>% ,<%}%><% if(!Order.get("OBC_MID_CASH_RATE").isEmpty()){%> 현금 : <%= Order.get("OBC_MID_CASH_RATE")%>% <%}%> <% if(!Order.get("OBC_MID_BILL_RATE").isEmpty()){%>어음 : <%= Order.get("OBC_MID_BILL_RATE")%>%<br><%}%>
			<% if(!Order.get("OBC_MID_PAYDAY").isEmpty()){%>세금계산서 발행일로부터 <%=Order.get("OBC_MID_PAYDAY")%> 일 내 지급<br><%} %>
			<% if(!Order.get("OBC_MID_BILL_DATE").isEmpty()){%>어음일 경우, 어음 만기일은 목적물 수령일로부터 (<%= Order.get("OBC_MID_BILL_DATE")%>)일<br><%} %>
			<% if(!Order.get("OBC_MID_PAYDAY").isEmpty()){%><%=Order.get("OBC_MID_REQ_MONTH")%> 개월 당 <%=Order.get("OBC_MID_CNT")%> 회 말일에 청구<%}%>
	</TD>	
  </TR>
    <TR height="25"> 
	<TH>준공금</TH>
	<TD colspan="3"><% if(!Order.get("PBC_REST_RATE").isEmpty()){%> 계약금액의 : <%=Order.get("PBC_REST_RATE")%>%, <%}%><% if(!Order.get("OBC_FIN_CASH_RATE").isEmpty()){%> 현금 : <%=Order.get("OBC_FIN_CASH_RATE")%>% <%}%><% if(!Order.get("OBC_FIN_BILL_RATE").isEmpty()){%> 어음 : <%=Order.get("OBC_FIN_BILL_RATE")%>%<%}%>
			<%-- <br><% if(!Order.get("OBC_FIN_PAYDAY").isEmpty()){%>세금계산서 발행일로부터 <%=Order.get("OBC_FIN_PAYDAY")%> 일 내 지급<%}%><br>
			<%=Order.get("OBC_FIN_CONDI") %></TD> --%>
  </TR>
  <TR height="25"> 
  	<TH rowspan="2">보증조건</TH>
	<TH>선급금보증</TH>
	<TD><% if(!Order.get("CBC_FIRST_RATE").isEmpty()){%>계약금액의 <%=Order.get("CBC_FIRST_RATE")%>%<%}%></TD>
	<TH>계약이행 보증</TH>
	<TD><% if(!Order.get("CONTFUL_RATE").isEmpty()){%>계약금액의 <%= Order.get("CONTFUL_RATE") %>%<%}%></TD>	
  </TR>
  <TR height="25"> 
	<TH>하자이행 보증</TH>
	<TD><% if(!Order.get("WARR_RATE").isEmpty()){%>준공금액의 <%= Order.get("WARR_RATE")%>%<%}%></TD>
	<TH>하자담보기간</TH>
	<TD><% if(!Order.get("CBC_DEFECT_DAY").isEmpty()){%>준공일로부터 <%= Order.get("CBC_DEFECT_DAY")%> 개월<%}%></TD>
  </TR>  
  <TR height="25"> 
  	<TH>기타조건</TH>
	<TH>하도급대금<br>연동 기준비율</TH>
	<TD><% if(!Order.get("PAY_CON_RATE").isEmpty()){%> <%= Order.get("PAY_CON_RATE")%>%<%}%></TD>
	<TH>지체상금</TH>
	<TD><% if(!Order.get("CBC_DAMAGE_RATE").isEmpty()){%>일당 계약금액의 <%= Order.get("CBC_DAMAGE_RATE")%>%,<%}%><% if(!Order.get("CBC_DAMAGE_MAXRATE").isEmpty()){%> 최대 <%= Order.get("CBC_DAMAGE_MAXRATE")%>%<%}%></TD>	
  </TR>
  <TR height="25"> 
  	<TH rowspan="6">간접비 견적조건</TH>
	<TH>고용보험료</TH>
	<TD><% if(!Order.get("OBC_EMP_RATE").isEmpty()){%>노무비 * <%= Order.get("OBC_EMP_RATE")%>  % &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp  &nbsp
		<%}%><%=Order.get("OBC_EMP_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
	<TH>연금보험료</TH>
	<TD><% if(!Order.get("OBC_PENSION_RATE").isEmpty()){%>직접노무비 <%=Order.get("OBC_PENSION_RATE")%>  % &nbsp &nbsp &nbsp&nbsp &nbsp  &nbsp
		<%}%><%=Order.get("OBC_PENSION_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>	
  </TR>
  <TR height="25"> 
	<TH>건강보험료</TH>
	<TD><% if(!Order.get("OBC_HEALTH_RATE").isEmpty()){%>직접노무비 * <%=Order.get("OBC_HEALTH_RATE")%>  % &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp   &nbsp
	<%}%><%=Order.get("OBC_HEALTH_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
	<TH>노인장기보험료</TH>
	<TD><% if(!Order.get("OBC_ELDER_RATE").isEmpty()){%>건강보험료 * <%=Order.get("OBC_ELDER_RATE")%>  % &nbsp &nbsp&nbsp &nbsp  &nbsp
	<%}%><%=Order.get("OBC_ELDER_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>	
  </TR>
  <TR height="25"> 
	<TH>산재보험료</TH>
	<TD><% if(!Order.get("OBC_WORK_RATE").isEmpty()){%>노무비 * <%=Order.get("OBC_WORK_RATE")%>  % &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp
		<%}%><%=Order.get("OBC_WORK_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
	<TH>퇴직공제부금</TH>
	<TD><% if(!Order.get("OBC_RESIGN_RATE").isEmpty()){%>노무비 * <%=Order.get("OBC_RESIGN_RATE")%>  % &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp&nbsp &nbsp
		<%}%><%=Order.get("OBC_RESIGN_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>	
  </TR>
  <TR height="25"> 
	<TH>안전관리비</TH>
	<TD><% if(!Order.get("OBC_SAFE_RATE").isEmpty()){%>노무비 * <%= Order.get("OBC_SAFE_RATE")%>  % &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp
		<%}%><%=Order.get("OBC_SAFE_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
	<TH>환경관리비</TH>
	<TD><% if(!Order.get("OBC_ENV_RATE").isEmpty()){%>재료비 * <%= Order.get("OBC_ENV_RATE")%>  %  &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp&nbsp &nbsp
		<%}%><%=Order.get("OBC_ENV_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>	
  </TR>
  <TR height="25"> 
	<TH>현장관리비</TH>
	<TD><% if(!Order.get("OBC_SITE_RATE").isEmpty()){%>직접비 * <%=Order.get("OBC_SITE_RATE")%>  % &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp
		<%}%><%=Order.get("OBC_SITE_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
	<TH>매입부가세</TH>
	<TD><% if(!Order.get("OBC_DUTY_RATE").isEmpty()){%>재료비 * 매입세율 <%= Order.get("OBC_DUTY_RATE")%>  %  &nbsp
		<%}%><%=Order.get("OBC_DUTY_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>	
  </TR>
  <TR height="25"> 
	<TH>간접비 정산조건</TH>
	<TD><%=Order.get("OBC_IND_YN").equals("Y") ? "<font color='blue'>[실적정산]</font>" : "<font color='red'>[비례정산]</font>" %></TD>
	<TH>건설기계 수수료</TH>
	<TD><%=Order.get("OBC_WARR_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
  </TR>
</TABLE>

<TABLE class="form-table" style="margin-top:5px">
	<colgroup>
		<col width="145"/>
		<col width="145"/>
		<col width="29%"/>
		<col width="145"/>
		<col/>
	</colgroup>
  <TR height="100"> 
    <TH>주요발주내용</TH>
	<TD colspan="2" style="vertical-align: top">
		<%=StringUtils.cvtHTML(Order.get("MAIN_PR_CONTENTS"))%>
    </TD>
	
	<TH>입찰업체선정사유</TH>
	<TD style="vertical-align: top">
	 <%=StringUtils.cvtHTML(Order.get("BID_SUPP_SELECT_REASON"))%>         
	</TD>
  </TR>	
  <TR height="100"> 
    <TH>특이사항 내부</TH>
	<TD colspan="2" style="vertical-align: top">
		<%=StringUtils.cvtHTML(Order.get("INNER_REMARKS"))%>
    </TD>
	
	<TH>특이사항 외부</TH>
	<TD style="vertical-align: top">
	 <%=StringUtils.cvtHTML(Order.get("OUTER_REMARKS"))%>         
	</TD>
  </TR>
  <TR height="100"> 
    <TH>내부자료</TH>
	<TD colspan="2"> 
	 <TEXTAREA name="p_AttachFile1" id="p_AttachFile1" style="width:85%;height:80px" rows="1" class="input" readOnly><%=filein.get(Order.get("DOC_ETC_IN")) %></TEXTAREA>
	                    <IMG id='search_spot_button' onClick="doAttachFile(document.form1.DEMANDED_ID,1);" src='/img/buyer/button/bt_change.gif' border='0'  align="top" align='absmiddle' alt='[Attach File]' style='cursor:pointer;'>
    </TD>
	<TH>외부자료</TH>
	<TD>
	 <TEXTAREA name="p_AttachFile2" id="p_AttachFile2" style="width:85%;height:80px" rows="1" class="input" readOnly><%=fileout.get(Order.get("DOC_ETC_OUT")) %></TEXTAREA>
	                    <IMG id='search_spot_button' onClick="doAttachFile(document.form1.DEMANDED_ID,2);" src='/img/buyer/button/bt_change.gif' border='0'  align="top" align='absmiddle' alt='[Attach File]' style='cursor:pointer;'>
	</TD>
  </TR>  
</TABLE>

</form>