<%--
  - Author(s)  : Hyung min Son
  - Date       : 2014.06.18
  - Description: 발주의뢰 접수 대상건 상세
  --%>
  
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ page import="com.udapsoft.waf.common.util.Formatter2"%>
<%@ page import="com.udapsoft.waf.common.util.StringUtils"%>
<%@ page import="com.udapsoft.waf.common.ui.InitCombo" %>
<%@ page import="kr.co.udapsoft.common.code.CommCodeManager" %>
<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
    RowSet CorpRowSet = storage.getRowSet("CorpRowSet");
    ValueObject Order = storage.getValueObject("Order");
    String RTN_REASON = "";
    boolean rtn = false;
    if(Order.get("RTN_REASON").length() > 0){
    	RTN_REASON = Order.get("RTN_REASON");
    	rtn = true;
    }
    ValueObject filein = storage.getValueObject("DEMANDED_INNER");
    ValueObject fileout = storage.getValueObject("DEMANDED_OUTER");
    ValueObject sign_info = storage.getValueObject("SIGN_INFO");
	
    //공통코드
	CommCodeManager commCodeManager = new CommCodeManager();
	InitCombo initCombo = new InitCombo();

	initCombo.makeComboData(commCodeManager.getCodeRowSet("BID_SUPP_INFO_YN"), "NAME", "CODE");
	String BID_SUPP_INFO_CD = initCombo.getCode();
	String BID_SUPP_INFO_NM = initCombo.getCodeName();
	
	String gwurl	=	"http://gw.sgcenc.co.kr/";//WAFConfig.get("gw.url.address2");
    
%>
<SCRIPT language="JavaScript">
document.body.onresize = addEvent( document.body.onresize, "autoResize()");
/*예약함수*/
var sheet1 = new ibsheetObject();
var sheet2 = new ibsheetObject();
var sheet1Row;
var sheet1PageNo = 1;
var pageLastRowIndex = 1;
var validationResult = false;
var filterShow = false;

	function _onReady(){
		gridInit();
		doSearchSheetSupp();
		/**
		 *	Application Initialize
		 */
		jQuery("#btn_list").click(function() {
			jQuery("#fevent").val("");
			jQuery("#form1").attr("action", "/bid/purchase/OrderReqeustListTypeB.screen");
			jQuery("#form1").attr("target", "_self");
			jQuery("#form1").attr("method", "post");
			jQuery("#form1").submit();
		});
		jQuery("#ONBID_YN1").click(function() {
			jQuery("#ONBID_YN1").attr("checked",true);
			jQuery("#ONBID_YN2").attr("checked",false);
		});
		jQuery("#ONBID_YN2").click(function() {
			jQuery("#ONBID_YN1").attr("checked",false);
			jQuery("#ONBID_YN2").attr("checked",true);
		});
		
		
		jQuery("#btn_receipt").click(function() {
			var status = "<%=Order.get("DEMANDED_STATUS")%>";
			if(status != 4){
				
				if(ck()){
					alert("[온라인 입찰 여부]는 필수 입니다.");
					return;
				}
				if($(':radio[name=ONBID_YN]:checked').val())
				{
					var InfoYn = false;					
					var rowcnt = sheet1.RowCount();
					if(rowcnt> 0){
						for(var r=0; r < rowcnt; r++)
						{
							if(sheet1.GetCellValue(r+1,"INFO_YN") != "Y"){
								InfoYn = true;
							}
						}
					}
					var	sConfirm	=	"";
					if($(':radio[name=ONBID_YN]:checked').val() == "Y")
					{
						if(InfoYn){
							sConfirm	=	"미가입된 업체가 있습니다.\n발주의뢰건을 접수하시겠습니까?\n접수후 온라인으로 입찰이 진행됩니다.";
						}else{
							sConfirm	=	"발주의뢰건을 접수하시겠습니까?\n접수후 온라인으로 입찰이 진행됩니다.";	
						}
						
					}else
					{
						if(InfoYn){
							sConfirm	=	"미가입된 업체가 있습니다.\n발주의뢰건을 접수하시겠습니까?\n접수후 오프라인으로 입찰이 진행됩니다.";
						}else{
							sConfirm	=	"발주의뢰건을 접수하시겠습니까?\n접수후 오프라인으로 입찰이 진행됩니다.";	
						}
						
					}
					if(!confirm(sConfirm))	return;
					
					var f = document.form1;
					jQuery("#DEMANDED_STATUS").val("4");//상태값 접수
					jQuery("#fevent").val("FROM_RECEIPT_UPDATE");
					var url = Modular.model.PageContext.CONTEXT_ROOT + "/bid/purchase/OrderReqeustTypeB_sheet.screen";
					var result = Modular.view.IBSheet7.doSave(sheet1, url, jQuery("#form1"), false);
					//submitXmlRequest("/bid/purchase/OrderReqeust_form.screen", "FROM_RECEIPT_UPDATE", f);
				}
			}else{
				alert("접수된 발주 입니다.");
			}
		});
		
		jQuery("#btn_return").click(function() {
			if (confirm("반려 하시겠습니까?")){
				var win_id = "return_pop";			
				var link = "/bid/purchase/RtnReasonPopupTypeB.screen";
				link += "?pop_win_id="+win_id+"&DEMANDED_ID="+$("#DEMANDED_ID").val()+"&DEMANDED_KIND="+$("#DEMANDED_KIND").val();
				fLayerPop(win_id, link, 600,180, '','', 'NO');
			}
		});
		
		
		var status_cd = "<%=Order.get("DEMANDED_STATUS")%>";
		if(status_cd == 4 || status_cd == 5){
			$("#btn_receipt").hide();
			$("#btn_return").hide();
			$("#ONBID_YN1").attr("disabled",true);
			$("#ONBID_YN2").attr("disabled",true);
		}
		
		$("inner_remarks").after($("#inner_remarks_val").val());
		$("outer_remarks").after($("#outer_remarks_val").val());

	} 
	
	function gridInit(){
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, Page:30,MergeSheet:msHeaderOnly};
		init_sheet.HeaderMode = {Sort:1};
		init_sheet.Cols = [
			       			{Header:'Del',								Type:"DelCheck",		SaveName:"DEL_CHECK", 					Width:0, 			Align:"Center",	Hidden:"True"},
			    			{Header:'Status',							Type:"Status", 		SaveName:"STATUS", 						Width:0, 			Align:"Center",	Hidden:"True"},
			    			{Header:'No.',								Type:"Seq", 			SaveName:"NO",								Width:0, 			Align:"Center",	Hidden:"True"},
			    			{Header:'자재코드|자재코드',				Type:"Text", 			SaveName:"MATERIAL_CD", 				Width:60, 			Align:"Center"},
			    			{Header:'자재명|자재명',					Type:"Text", 			SaveName:"MATERIAL_NAME", 			Width:220, 			Align:"Left"},
			    			{Header:'규격|규격',						Type:"Text", 			SaveName:"MATERIAL_SPEC", 			Width:70, 			Align:"Left"},
			    			{Header:'단위|단위',						Type:"Text", 			SaveName:"UNIT_KIND",					Width:30, 			Align:"Center"},
			    			{Header:'발주의뢰수량|발주의뢰수량',		Type:"Float", 			SaveName:"DEMANDED_QTY", 			Width:40, 			Align:"Right"},
			    			{Header:'도급|단가',						Type:"Int", 				SaveName:"CONT_PRI", 					Width:50, 			Align:"Right"},
			    			{Header:'도급|금액',						Type:"Int", 				SaveName:"CONT_AMT", 					Width:50, 			Align:"Right",	CalcLogic:"|CONT_PRI|*|DEMANDED_QTY|"},
			    			{Header:'실행|단가',						Type:"Int", 				SaveName:"DEMANDED_PRI", 				Width:50, 			Align:"Right"},
			    			{Header:'실행|금액',						Type:"Int", 				SaveName:"ACT_AMT", 						Width:50, 			Align:"Right",	CalcLogic:"|DEMANDED_PRI|*|DEMANDED_QTY|"},
			    			{Header:'투입요청일|투입요청일',			Type:"Text", 			SaveName:"REQUEST_DATE", 				Width:40, 			Align:"Center",		Format:"####-##-##"}
			];
		IBS_InitSheet(sheet2, init_sheet);

		sheet2.SetDataAutoTrim(0);
		sheet2.SetEditable(false);
		var init_sheet2 = {};
		init_sheet2.Cfg = {SearchMode:2, Page:30};
		init_sheet2.HeaderMode = {Sort:1};
		init_sheet2.Cols = [
							{Header:'Del',				Type:"DelCheck",		SaveName:"DEL_CHECK", 					Width:0, 			Align:"Center",	Hidden:"True"},
							{Header:'Status',			Type:"Status", 		SaveName:"STATUS", 						Width:0, 			Align:"Center",	Hidden:"True"},
							{Header:'No.',				Type:"Seq", 			SaveName:"NO",								Width:0, 			Align:"Center",	Hidden:"True"},
							{Header:'사업자번호',		Type:"Text", 			SaveName:"VENDOR_ID", 					Width:80, 			Align:"Center", Format:"SaupNo"},
							{Header:'업체명',			Type:"Text", 			SaveName:"VENDOR_NAME", 				Width:80, 			Align:"Left"},
							{Header:'대표자명',			Type:"Text", 			SaveName:"PRE_NM", 						Width:80, 			Align:"Center"},
							{Header:'담당자명',			Type:"Text", 			SaveName:"CHARGE_NAME", 				Width:80, 			Align:"Center"},
							{Header:'핸드폰',			Type:"Text", 			SaveName:"CHARGE_TEL", 					Width:80, 			Align:"Center"},
							{Header:'이메일',			Type:"Text", 			SaveName:"CHARGE_EMAIL", 				Width:80, 			Align:"Left"},
							{Header:'추천사유',			Type:"Text", 			SaveName:"RECOMMEND_REASON", 		Width:80, 			Align:"Left"},
							{Header:'가입여부',			Type:"Combo", 		SaveName:"INFO_YN", 						Width:80, 			Align:"Center",	ComboText:"<%=BID_SUPP_INFO_NM%>", ComboCode:"<%=BID_SUPP_INFO_CD%>"}
			];
		IBS_InitSheet(sheet1, init_sheet2);
		sheet1.SetDataAutoTrim(0);
		sheet1.SetEditable(false);
		setGridSize();
	}
	
	function ck(){
		if($("#ONBID_YN1").attr("checked") == "checked"){
			return false;	
		}
		if($("#ONBID_YN2").attr("checked") == "checked"){
			return false;
		}
		return true;
	}
	
	function RtnReasonClose(returnValue){
		if(returnValue == null)
			setTimeout(function(){fLayerPopClose('return_pop');	},100);
		
		if(returnValue[0] == 0){
			setTimeout(function(){	fLayerPopClose('return_pop');},100);
			goListProc();
		}
	}
	

	function sheet1_OnSearchEnd(code, message) {
		var fevent = $("#fevent").val();
	    if(code == 0) {
	    	if("GET_CORP_LIST" == fevent)
	    		doSearchSheetItem();
	    	
	    	for(var i=1;i <= sheet1.RowCount();i++){
	    		if(sheet1.GetCellValue(i,"INFO_YN") == "N"){
	    			sheet1.SetCellFontColor(i,10,"#FF0000");
	    		}else{
	    			sheet1.SetCellFontColor(i,10,"#0100FF");
	    		}
	    	}
	    	setGridSize();
		} else {
			//조회 에러 수행
			alert(message);
		}
	}
	function sheet2_OnSearchEnd(code, message) {
		if(code == 0) {
	    	setGridSize();
		} else {
			//조회 에러 수행
			alert(message);
		}
	}
	
	function sheet1_OnSaveEnd(code, msg)
	{
		var event = $("#fevent").val();
		if(code >= "0"){
			alert("접수 되었습니다.");
			goRefreshProc("1");
		}else{
			alert(msg);
		}
	}
	
	function goRefreshProc(code){
		if(code == "0"){
			jQuery("#fevent").val("FORM_SELECT");
			jQuery("#form1").attr("action", "/bid/purchase/OrderReqeustTypeB.screen");
			jQuery("#form1").attr("target", "_self");
			jQuery("#form1").attr("method", "post");
			jQuery("#form1").submit();
		}else if(code == "1"){
			jQuery("#fevent").val("FORM_SELECT");
			jQuery("#form1").attr("action", "/bid/purchase/OrderReqeustTypeB.screen");
			jQuery("#form1").attr("target", "_self");
			jQuery("#form1").attr("method", "post");
			jQuery("#form1").submit();
		}
	}
	/**
	 *	IBSheet size setting
	 */
	function setGridSize() {
		sheet1.FitColWidth();
		sheet2.FitColWidth();
	}


	function goListProc(){
		 var f = document.form1;
		f.fevent.value ="";
	    f.action = "/bid/purchase/OrderReqeustListTypeB.screen";
	    f.target = "_self";
	    f.submit();
	}
	
	function doSearchSheetSupp(){
		jQuery("#fevent").val("GET_CORP_LIST");
		var url = Modular.model.PageContext.CONTEXT_ROOT + "/bid/purchase/OrderReqeustTypeB_sheet.screen";
		Modular.view.IBSheet7.doSearch(sheet1, url, jQuery("#form1"), 30, "");
	}
	
	function doSearchSheetItem(){
		jQuery("#fevent").val("GET_ITEM_LIST");
		var url = Modular.model.PageContext.CONTEXT_ROOT + "/bid/purchase/OrderReqeustTypeB_sheet.screen";
		Modular.view.IBSheet7.doSearch(sheet2, url, jQuery("#form1"), 30, "");
	}
	

	
	//첨부파일   
	function doAttachFile(obj,No) {
		 if(obj==''){
			alert("After you have saved, you can attach a file.");
		}
		else if(obj != ''){ 
			if(No == 1){
				//viewFileList('DEMANDED_INNER', obj.value, document.form1.p_AttachFile1, "N", "N", "N", "N");
				viewFileListNew("DEMANDED_INNER", obj.value, document.form1.p_AttachFile1, "N", "BD-001");
			}else{
				//viewFileList('DEMANDED_OUTER', obj.value, document.form1.p_AttachFile2, "N", "N", "N", "N");
				viewFileListNew("DEMANDED_OUTER", obj.value, document.form1.p_AttachFile2, "N", "BD-001");
			}
		} 
	}
	
	function sheet1_OnSmartResize(Width, Height) { 
		sheet1.FitColWidth();
		autoResize();
	}

	function autoResize(){
		sheet1.SetSheetHeight(160); 
		sheet2.SetSheetHeight(250); 
	}	
	
	function replace(content){
		content = content.replace(/\r\n/g, '<br>');
		content = content.replace(/\n/g, '<br>');
		content = content.replace(/\r/g, '<br>');
		return content;
	}
	
	function doSignFile(doc_id){
		//alert(doc_id);
		
		var doc_chk = doc_id.substring(doc_id.length-3, doc_id.length);
		
		doc_chk = doc_chk * 1;
		
		var link = "";
		var year = "<%=sign_info.get("year") %>";
		if (year > "20151213") {
			link = "<%=gwurl%>upload_approval/TEC/doc/" + year.substr(0,4) + "/" + doc_chk + "/"+ doc_id+".mht";
		}
		else{
			link = "<%=gwurl%>upload_approval/TEC/doc/" + doc_chk + "/"+ doc_id+".mht";
		}
		//var popOption = "width=400, height=450, resizable=no, scrollbars=auto, status=no;";    //팝업창 옵션(optoin)
		
		window.open(link,"_viewDraft","");	
	}
	
	
	
</SCRIPT>


<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>
<form id="form1" name="form1" method="post" modular:type="search">
<!-- List Search -->
<INPUT type="hidden" name="P_DEMANDED_TITLE" id="P_DEMANDED_TITLE" value="<%= params.get("P_DEMANDED_TITLE") %>">
<INPUT type="hidden" name="P_DEMANDED_STATUS" id="P_DEMANDED_STATUS" value="<%= params.get("P_DEMANDED_STATUS") %>">
<INPUT type="hidden" name="p_dept_nm" id="p_dept_nm" value="<%= params.get("p_dept_nm") %>">
<INPUT type="hidden" name="p_dept_cd" id="p_dept_cd" value="<%= params.get("p_dept_cd") %>">
<!-- List Search -->    
    
<INPUT type="hidden" name="fevent" id="fevent" value="<%= params.get("fevent") %>">
<INPUT type="hidden" name="acct_id" value="<%= params.get("acct_id") %>">
<INPUT type="hidden" name="dept_nm" value="<%= params.get("dept_nm") %>">
<INPUT type="hidden" name="DEMANDED_STATUS" value="<%=Order.get("DEMANDED_STATUS")%>">
<INPUT type="hidden" name="DEMANDED_ID" value="<%=Order.get("DEMANDED_ID")%>">
<INPUT type="hidden" name="DEMANDED_KIND" value="<%=Order.get("DEMANDED_KIND")%>">
<INPUT type="hidden" name="BUSEO" value="<%= user.get("BUSEO")%>"><!-- 부서code -->
<INPUT type="hidden" name="BUSEO_NM" value="<%= Order.get("BUSEO_NM")%>"><!-- 부서NM -->
<!-- 반려사유 -->
<INPUT type="hidden" name="RTN_REASON" value="<%=Order.get("RTN_REASON")%>">
<INPUT type="hidden" name="job_Cd" value="<%= user.get("PSOSO")%>">
<INPUT type="hidden" name="buseo_Cd" value="<%= user.get("GRADE_CODE")%>">
<INPUT type="hidden" name="inner_remarks_val" value="<%=StringUtils.cvtHTML(Order.get("inner_remarks"))%>">
<INPUT type="hidden" name="outer_remarks_val" value="<%= StringUtils.cvtHTML(Order.get("outer_remarks"))%>">


<!-- 제목 및 버튼 -->
<table width="100%">
	<colgroup>
		<col width="500" />
		<col width="*" />
	</colgroup>
	<tr>
   		<th>
	   		<div align="left" id="title" >
 			  <ul><li>구매_발주의뢰조회 상세<font style="font-size:11px">(<%=Order.get("DEMANDED_STATUS_NM")%>)</font></li></ul>
			</div> 
   		</th>
   		<td align="right">
			<!-- 
			<span class="btnSearch center" id="btn_receipt"><a href="javascript:void(0);">접수</a></span>
			<span class="btnSearch center" id="btn_return"><a href="javascript:void(0);">반려</a></span> 
		-->
			<span class="btnSearch center" id="btn_list"><a href="javascript:void(0);">목록</a></span>
   		</td>
  	</tr>
</table>
<%if(rtn){ %>
<TABLE class="form-table">
	<colgroup>
		<col width="150"/>
		<col />
	</colgroup>
  <TR height="25">
	<TH>반려일자</TH>
	<TD><%=Order.get("RTN_DATE")%></TD> 
  </TR>
  <TR height="25">
    <TH>반려사유</TH>
	<TD><%=StringUtils.cvtHTML(RTN_REASON)%></TD>
  </TR>
</TABLE>
<%}%>

<div class="application-info magT10">
	<div class="application-sub-title">
		<span class="title">발주의뢰정보</span>
	</div>
</div>
<!-- 발주의뢰정보 : 시작 -->
<TABLE class="form-table">
	<colgroup>
		<col width="150"/>
		<col width="23%">
		<col width="150"/>
		<col width="23%">
		<col width="150"/>
		<col/>
	</colgroup>
  <TR height="25"> 
    <TH> 현장</TH>
	<TD><%=Order.get("dept_nm") %></TD>
	<TH> 발주의뢰번호</TH>
	<TD><a href="javascript:doSignFile('<%=sign_info.get("doc_id") %>');"><%=Order.get("DEMANDED_NO")%></a>
	<%-- <IMG id='search_spot_button' onClick="doSignFile('<%=sign_info.get("doc_id") %>');" src='/img/buyer/button/bt_change.gif' border='0'  align="top" align='absmiddle' alt='SignFile Down' style='cursor:pointer;'> --%>	
	 </TD>
	<TH> 발주의뢰명</TH>
	<TD><%=Order.get("DEMANDED_TITLE")%></TD>
  </TR>
  <TR height="25"> 
	<TH> 발주의뢰일</TH>
	<TD><%= Order.get("DEMANDED_DATE")%></TD>
	<TH> 발주의뢰부서</TH>
	<TD><%= Order.get("BUSEO_NM")%></TD>
	<TH> 발주의뢰자</TH>
	<TD><%= Order.get("EMP_NM")%></TD> 	
  </TR>
  <TR height="25"> 
	<TH> 접수일자</TH>
	<TD><%=Order.get("RECEIPT_DATE") %></TD>
	<TH> 접수자</TH>
	<TD><%=Order.get("RECEIPT_NM") %></TD>
	<TH> Pay Item</TH>
	<TD><%= Order.get("PAY_ITEM_NM") %></TD> 	
  </TR> 	
   <TR height="25"> 
	<TH> 통화구분</TH>
	<TD><%= Order.get("CURRENCY_GB") %></TD>
	<TH> 도급금액 (원)</TH>
	<TD><%= Formatter2.currency(Order.get("CONT_AMT"),0) %></TD>
	<TH> 실행금액 (원)</TH>
	<TD><%=Formatter2.currency(Order.get("ACT_AMT"),0) %></TD> 	
  </TR>
  <TR height="25"> 
	<TH> 도급대비 실행율(%)</TH>
	<TD><%= Order.get("ACT_RATE")%></TD>
	<TH> 발주의뢰타입</TH>
	<TD colspan="3" ><%= Order.get("PR_TYPE_NAME")%></TD>
  </TR>	

  <TR height="25"> 
	<TH class="required"> 온라인 입찰 여부</TH>
	<TD> 
		<LABEL for="ONBID_YN1"><INPUT id="ONBID_YN1" type="radio" name="ONBID_YN" value="Y" <%=Order.get("ONBID_YN").equals("Y") ? "checked=\"checked\"" : "" %>>온라인</LABEL>
		<LABEL for="ONBID_YN2"><INPUT id="ONBID_YN2" type="radio" name="ONBID_YN" value="N" <%=Order.get("ONBID_YN").equals("N") ? "checked=\"checked\"" : "" %>>오프라인</LABEL>
	</TD>
	<TH> 견적설명회 여부</TH>
	<TD><%= Order.get("SITEDESC_FLAG")%></TD>
	<TH> 견적설명회 일시</TH>
	<TD><%=Order.get("SITEDESCDATE")%></TD> 	
  </TR>
  <TR height="25"> 
	<TH> 견적설명회 담당자</TH>
	<TD><%= Order.get("SITEDESC_CRG_NM")%></TD>
	<TH> 견적설명회 담당자 </br>전화번호</TH>
	<TD><%= Order.get("SITEDESCTELNO") %></TD>
	<TH> 견적설명회 담당자 </br>E-Mail</TH>
	<TD><%= Order.get("SITEDESCEMAIL") %></TD> 	
  </TR>
  <TR height="25"> 
	<TH> 견적설명회 장소</TH>
	<TD><%=Order.get("SITEDESCPLACE") %></TD>
	<TH> 기술검토 여부/일자</TH>
	<TD colspan="3" ><%=Order.get("TBE_FLAG").equals("Y") ? "예" : "아니오"%> <%if(!Order.get("TBE_DATE").isEmpty()){ %> / <%= Order.get("TBE_DATE") %><%} %></TD>
  </TR>
  <TR height="25"> 
	<TH> 납품기간</TH>
	<TD><%=Order.get("DELI_START_DT") %> <%if(!Order.get("DELI_START_DT").isEmpty()){ %>~ <%= Order.get("DELI_END_DT") %><%} %></TD>
	<TH> 납품장소</TH>
	<TD colspan="3"><%= Order.get("DELI_END_PLACE") %></TD>
  </TR>  
  <!-- 발주의뢰정보 : 종료 -->
</table>
&nbsp;&nbsp;
<TABLE class="form-table">
	<colgroup>
		<col width="150"/>
		<col width="150"/>
		<col width="29%"/>
		<col width="150"/>
		<col/>
	</colgroup>
  <TR height="25"> 
    <TH> 특이사항 내부</TH>
	<TD colspan="2"><inner_remarks></inner_remarks></TD>
	<TH> 특이사항 외부</TH>
	<TD><outer_remarks></outer_remarks></TD>
  </TR>
  <TR height="100"> 
    <TH> 내부자료</TH>
	<TD colspan="2">
	<TEXTAREA name="p_AttachFile1" id="p_AttachFile1" style="width:85%;height:80px" rows="1" class="input" readOnly><%=filein.get("DEMANDED_INNER") %></TEXTAREA>
	<IMG id='search_spot_button' onClick="doAttachFile(document.form1.DEMANDED_ID,1);" src='/img/buyer/button/bt_change.gif' border='0'  align="top" align='absmiddle' alt='[Attach File]' style='cursor:pointer;'>
    </TD>
	<TH> 외부자료</TH>
	<TD>
	<TEXTAREA name="p_AttachFile2" id="p_AttachFile2" style="width:85%;height:80px" rows="1" class="input" readOnly><%=fileout.get("DEMANDED_OUTER") %></TEXTAREA>
	<IMG id='search_spot_button' onClick="doAttachFile(document.form1.DEMANDED_ID,2);" src='/img/buyer/button/bt_change.gif' border='0'  align="top" align='absmiddle' alt='[Attach File]' style='cursor:pointer;'>
	</TD>
  </TR>   
</TABLE>
<div class="application-info magT10">
	<div class="application-sub-title">
		<span class="title">발주의뢰 내역</span>
	</div>
	<div class="application-location">
	</div>
</div>

	<div id="sheet2_div" style="padding-top:5px;height: auto; min-height: 200px; overflow: auto;">
		<script>createIBSheet('sheet2','100%', '200px');</script>
	</div>
	
<div class="application-info magT10">
	<div class="application-sub-title">
		<span class="title">견적대상업체</span>
	</div>
	<div class="application-location">
	</div>
</div>

	<div id="sheet1_div" style="padding-top:5px;height: auto; min-height: 200px; overflow: auto;">
		<script>createIBSheet('sheet1','100%', '150px');</script>
	</div>
</form>

