<%--
  - Author(s)  : kyj
  - Date       : 2015.01.22
  - Description: 변경계약접수 상세
  --%>
  
<%@page import="java.sql.Clob"%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="com.udapsoft.waf.common.util.*" %>
<%@ page import="kr.co.udapsoft.common.code.*" %>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ page import="kr.co.hsnc.common.config.WAFConfig" %>
<%@ include file="/jsp/work/taglib.jsp" %>
<%@ page import="kr.co.hsnc.common.util.Formatter"%>
<%@page import="java.net.URLEncoder"%>
<%@ page import="kr.co.udapsoft.ebid.buyer.common.file.FileManager"%>

<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
   
    ValueObject ContInfo = storage.getValueObject("ContInfo");
    RowSet getFileListRowSet = storage.getRowSet("getFileListRowSet");
    RowSet modGbRow = CommCodeManager.getCodeRowsetStatic("MOD_GB"); 
    
    ValueObject sign_info = storage.getValueObject("SIGN_INFO");
%>
<LINK href="/css/cont/cont_style.css" rel="stylesheet" type="text/css">
<SCRIPT language="JavaScript">
/*예약함수*/
var sheet1;
var sheet1Row;
var sheet1PageNo = 1;
var pageLastRowIndex = 1;
var validationResult = false;
var filterShow = false;

	function _onReady(){
		
		//저장된 첨부파일 리스트 불러오기
	    getFileListForTextarea();
	    
		//도급
	    jQuery("#p_bef_cont_amt").blur(function () {
	    	logic(this,"cont");
	    });
	    jQuery("#p_aft_cont_amt").blur(function () {
	    	logic(this,"cont");
	    	logic(this,"bug");
	    });
	    
	
		//예산
		jQuery("#p_bef_bug_amt").blur(function () {
			logic(this,"bug");
		});
		jQuery("#p_aft_bug_amt").blur(function () {
			logic(this,"bug");
			logic(this,"supp");
		});
		
		//계약
		jQuery("#p_bef_supp_amt").blur(function () {
			logic(this,"supp");
		});
		jQuery("#p_aft_supp_amt").blur(function () {
			logic(this,"supp");
		});
		
		//계약기간 변경후
		jQuery("#p_aft_cont_date").change(function () {
			if(jQuery("#p_aft_cont_date").val().length > 10){
				alert("10자 이상 입력하실 수 없습니다.");
			}else{
				if(jQuery("#p_aft_cont_date").val().length == 8){
					jQuery("#p_aft_cont_date").val(jQuery("#p_aft_cont_date").val().substring(0,4)+"-"+jQuery("#p_aft_cont_date").val().substring(4,6)+"-"+jQuery("#p_aft_cont_date").val().substring(6,8));
				}
			}
			
			var date = new Date();
			
			var bef_cont_date = "<%=ContInfo.get("BEF_CONT_DATE")%>";
			bef_cont_date = bef_cont_date.replace(/-/gi, "");
			bef_cont_date = new Date(parse(bef_cont_date));
			var p_aft_cont_date = new Date(parse(jQuery("#p_aft_cont_date").val().replace(/-/gi, "")));
			
			var p_cont_date_nm = p_aft_cont_date - bef_cont_date;
			p_cont_date_nm = (p_cont_date_nm/(24 * 3600 * 1000));
			jQuery("#p_chg_cont_date").val(p_cont_date_nm);
			
			p_cont_date_nm = p_cont_date_nm+"일";
			jQuery("#p_cont_date_nm").val(p_cont_date_nm);
			
			//document.getElementById("CHG_CONT_DATE_VIEW").innerHTML=c;
		});
		
		
		jQuery("#btnSave").click(function() {
			if(!valCheck()||!doCheck()){
				return;
			}			

			var f = document.form1;
			jQuery("#flag").val("save");
			submitXmlRequest("/cont/outside/ContChgRcvDetail_form.screen", "DUP_CHK", f, "VALUEOBJECT");
			document.form1.isSubmit = false;
			
		});
		
		jQuery("#btnReject").click(function() {			
			var f = document.form1;
			jQuery("#flag").val("reject");
			submitXmlRequest("/cont/outside/ContChgRcvDetail_form.screen", "DUP_CHK", f, "VALUEOBJECT");
			document.form1.isSubmit = false;
		});		
		
		jQuery("#btnResolve").click(function() {
			if(!valCheck()||!doCheck()){
				return;
			}			
			var f = document.form1;
			jQuery("#flag").val("resolve");
			submitXmlRequest("/cont/outside/ContChgRcvDetail_form.screen", "DUP_CHK", f, "VALUEOBJECT");
			document.form1.isSubmit = false;
		});

		//2019.09.17 사업자번호변경 추가
		$("#btnChgCorp").click(function(){
			var win_id = "corp";			
			var link = "/common/corp/SuppChoicePop.screen";
			link += "?pop_win_id="+win_id+"&BID_KIND=O&OUT_ITEM_CD="+"<%=ContInfo.get("OUT_ITEM_CD")%>";
			fLayerPop(win_id, link, 800,400, '','', 'NO');
		});
		
		$.test = function(resultVal)
		{
			var aftVendCd = resultVal[1][0].replace(/(\d{3})(\d{2})(\d{5})/, '$1-$2-$3');

	 		$('#p_aft_corp_id').val(resultVal[0][0]);
	 		$('#p_aft_vend_cd').val(aftVendCd);
	 		$('#p_aft_member_nm').val(resultVal[2][0]);
	 		$('#p_aft_boss_nm').val(resultVal[3][0]);
	 		
		 	setTimeout(function(){fLayerPopClose('corp');	},100);
		};
	}	
	function parse(str) {
	    if(!/^(\d){8}$/.test(str)) return "invalid date";
	    var y = str.substr(0,4),
	        m = str.substr(4,2),
	        d = str.substr(6,2);
	    return new Date(y,m-1,d);
	}
	
	function logic(obj,gb) {
		//정수자리 제한 검사
		var strArray = jQuery(obj).val().split(".");
		if(strArray[0].replace(/,/gi, "").length > 12){
			alert("소수점 아랫부분을 제외한 정수는 12자리까지만 입력 가능합니다.");
			jQuery(obj).focus();
		}
		
		//통화구분에 맞춰서 소수점 자리와, 천단위 쉼표를 맞춘다.
		if(jQuery("#digit").val() != ""){
			jQuery(obj).val(jQuery(obj).val().replace(/(\,|\:)/g,""));
			jQuery(obj).val(Number(jQuery(obj).val()).toFixed(jQuery("#digit").val()));
			jQuery(obj).val(jQuery(obj).val().split(/(?=(?:\d{3})+(?:\.|$))/g).join(','));
			jQuery(obj).val(jQuery(obj).val().replace("-,","-"))
		}
		
		if(gb=="cont"){
			var bef_cont_amt = jQuery("#p_bef_cont_amt").val().replace(/(\,|\:)/g,"");
			var aft_cont_amt = jQuery("#p_aft_cont_amt").val().replace(/(\,|\:)/g,"");
			var chg_cont_amt = aft_cont_amt-bef_cont_amt;
			chg_cont_amt = Number(chg_cont_amt).toFixed(jQuery("#digit").val());
			jQuery("#p_chg_cont_amt").val(Number(chg_cont_amt).toFixed(jQuery("#digit").val()));
			jQuery("#p_chg_cont_amt").val(jQuery("#p_chg_cont_amt").val().split(/(?=(?:\d{3})+(?:\.|$))/g).join(','));
			jQuery("#p_chg_cont_amt").val(jQuery("#p_chg_cont_amt").val().replace("-,","-"));
		}
		else if(gb=="bug"){
			//증감 구하기
			var bef_bug_amt = jQuery("#p_bef_bug_amt").val().replace(/(\,|\:)/g,"");
			var aft_bug_amt = jQuery("#p_aft_bug_amt").val().replace(/(\,|\:)/g,"");
			var chg_bug_amt = aft_bug_amt-bef_bug_amt;
			jQuery("#p_chg_bug_amt").val(Number(chg_bug_amt).toFixed(jQuery("#digit").val()));
			jQuery("#p_chg_bug_amt").val(jQuery("#p_chg_bug_amt").val().split(/(?=(?:\d{3})+(?:\.|$))/g).join(','));
			jQuery("#p_chg_bug_amt").val(jQuery("#p_chg_bug_amt").val().replace("-,","-"));
			
			//증감율 구하기
			if(jQuery("#p_aft_cont_amt").val() == "" || jQuery("#p_aft_cont_amt").val() == 0){
				jQuery("#p_chg_bug_rate").val("");
			}else{
				var aft_cont_amt = jQuery("#p_aft_cont_amt").val().replace(/(\,|\:)/g,"");
				if((aft_bug_amt/aft_cont_amt*100).toFixed(9).replace("NaN","0")!="0.0000000000"){
					var chg_bug_rate = "도급대비: "+((aft_bug_amt/aft_cont_amt*100).toFixed(1)).replace("NaN","0")+"%";
				}
				jQuery("#p_chg_bug_rate").val(chg_bug_rate);
			}
		}
		else{
			//증감 구하기
			var bef_supp_amt = jQuery("#p_bef_supp_amt").val().replace(/(\,|\:)/g,"");
			var aft_supp_amt = jQuery("#p_aft_supp_amt").val().replace(/(\,|\:)/g,"");
			var chg_supp_amt = aft_supp_amt-bef_supp_amt;
			jQuery("#p_chg_supp_amt").val(Number(chg_supp_amt).toFixed(jQuery("#digit").val()));
			jQuery("#p_chg_supp_amt").val(jQuery("#p_chg_supp_amt").val().split(/(?=(?:\d{3})+(?:\.|$))/g).join(','));
			jQuery("#p_chg_supp_amt").val(jQuery("#p_chg_supp_amt").val().replace("-,","-"));
			
			//증감율 구하기
			if(jQuery("#p_aft_bug_amt").val() == "" || jQuery("#p_aft_bug_amt").val() == 0){
				jQuery("#p_chg_supp_rate").val("");
			}else{
				var aft_bug_amt = jQuery("#p_aft_bug_amt").val().replace(/(\,|\:)/g,"");
				if((aft_supp_amt/aft_bug_amt*100).toFixed(9).replace("NaN","0")!="0.0000000000"){
					var chg_supp_rate = "예산대비: "+((aft_supp_amt/aft_bug_amt*100).toFixed(1)).replace("NaN","0")+"%";
				}
				jQuery("#p_chg_supp_rate").val(chg_supp_rate);
			}
		}
	}
	
	function valCheck(){
		if ( stringByteSize4UTF($("#p_remark").val()) > 2000 ) {
	    	alert("변경사유는 500자까지 입력하실 수 있습니다.");
	    	jQuery("#p_remark").focus();
	    	return;
	    }
		if ( stringByteSize4UTF($("#p_sp_remark").val()) > 2000 ) {
	    	alert("특이사항는 500자까지 입력하실 수 있습니다.");
	    	jQuery("#p_sp_remark").focus();
	    	return;
	    }
		if ( stringByteSize4UTF($("#p_bef_etc").val()) > 300 ) {
	    	alert("기타변경 변경전은 100자까지 입력하실 수 있습니다.");
	    	jQuery("#p_bef_etc").focus();
	    	return;
	    }
		if ( stringByteSize4UTF($("#p_aft_etc").val()) > 300 ) {
	    	alert("기타변경 변경후 100자까지 입력하실 수 있습니다.");
	    	jQuery("#p_aft_etc").focus();
	    	return;
	    }
		if ( stringByteSize4UTF($("#p_chg_etc").val()) > 300 ) {
	    	alert("기타변경 증감은 100자까지 입력하실 수 있습니다.");
	    	jQuery("#p_chg_etc").focus();
	    	return;
	    }
	    if ( $("#p_po_prc").val() == null || $("#p_po_prc").val() =='') {
	    	alert("발주진행율 등록해주십시오");
	    	jQuery("#p_po_prc").focus();
	    	return;
	    }
	    if ( $("#p_res_prc").val() == null || $("#p_res_prc").val() =='' ) {
	    	alert("실적진행율 등록해주십시오");
	    	jQuery("#p_res_prc").focus();
	    	return;
	    }
	    	
		return true;
	}

	function goListProc(){
		 var f = document.form1;
		f.fevent.value ="";
	    f.action = "/cont/outside/ContChgRcvList.screen";
	    f.target = "_self";
	    f.submit();
	}

	function doResult(resultObj) {
		try {
			if( resultObj.getRequestEvent() == "FORM_SELECT") {
				if( resultObj.getSuccess() ) {
					
				}
				else {
					dlgErrorMsg(resultObj);
				}
			}else if( resultObj.getRequestEvent() == "FORM_SAVE") {
				if( resultObj.getSuccess() ) {
					if(jQuery("#flag").val() == "save"){
						alert("저장 되었습니다.");
						refresh();
					}else if(jQuery("#flag").val() == "resolve"){
						document.form1.isSubmit = false;
						var sign_cont_mod_id = $("#SUB_CONT_MOD_ID").val();
						dlgSignForm('ebid_ocpoD', '/cont/outside/contChgRcvSign.screen?sign_cont_mod_id='+sign_cont_mod_id+'^acct_id='+"<%=user.get("ACCT_ID")%>");
					}
				}
				else {
					dlgErrorMsg(resultObj);
				}
			}
			else if(resultObj.getRequestEvent() == "GET_ATTACHFILE")
	    	{
	    		if( resultObj.getSuccess() ) {				
					document.form1.p_AttachFile1.value = resultObj.getValueObject().get("AttachFile");
				}else {
					dlgErrorMsg(resultObj);
				}
				document.form1.isSubmit = false;
	    	}
			else if( resultObj.getRequestEvent() == "DUP_CHK") {
				if( resultObj.getSuccess() ) {
					var vo = resultObj.getValueObject();
					var cnt = vo.get("cnt");
					//alert("cnt: "+cnt);
					//alert("flag: "+jQuery("#flag").val());
					if(cnt > 0){
						if(jQuery("#flag").val() == "resolve"){
							alert("이미 결재중 입니다.");
						}else if(jQuery("#flag").val() == "fileDw"){
							jQuery("#signCheck").val("N");
							//doAttachFile(document.form1.SUB_CONT_REQ_ID, jQuery("#fileDetailCd").val() ,jQuery("#fileDetailNm").val());
							doAttachFile2(jQuery("#fileGB").val(), jQuery("#fileID").val());
						}else if(jQuery("#flag").val() == "fileCk"){
							jQuery("#signCheck").val("N");
							fileAfterCheck(jQuery("#ckVal").val());
						}
						return;
					}else{
						var f = document.form1;
						
						if(jQuery("#flag").val() == "resolve"){//결재
							//jQuery("#fevent").val("FORM_SAVE");
							if (confirm("저장후 결재 요청을 하시겠습니까?")){
								submitXmlRequest("/cont/outside/ContChgRcvDetail_form.screen", "FORM_SAVE", f);
							}else{
								return;
							}
						
						}else if(jQuery("#flag").val() == "reject"){//반려
							 var win_id = "_RejectPop";
							 var link = "/cont/outside/CancelContChgPop.screen";
							       link += "?pop_win_id="+win_id;
							       link += "&SUB_CONT_REQ_ID="+"<%=ContInfo.get("SUB_CONT_REQ_ID")%>";
							       link += "&SUB_CONT_MOD_ID="+"<%=ContInfo.get("SUB_CONT_MOD_ID")%>";
							 fLayerPop(win_id, link, 600,210, '', '', 'NO');
						
						}else if(jQuery("#flag").val() == "fileDw"){//결재중이 아니면 파일 수정가능
							jQuery("#signCheck").val("");
							//doAttachFile(document.form1.SUB_CONT_REQ_ID, jQuery("#fileDetailCd").val() ,jQuery("#fileDetailNm").val());
							doAttachFile2(jQuery("#fileGB").val(), jQuery("#fileID").val());
						}else if(jQuery("#flag").val() == "fileCk"){//결재중이 아니면 파일 수정가능
							jQuery("#signCheck").val("");
							fileAfterCheck(jQuery("#ckVal").val());
						}else{//저장
							submitXmlRequest("/cont/outside/ContChgRcvDetail_form.screen", "FORM_SAVE", f);
						
						}
					}
				}
				else {
					dlgErrorMsg(resultObj);
				}
				document.form1.isSubmit = false;
			}
		}
		catch(errorObject) {
			showErrorDlg("doResult()", errorObject);
		}
	}

	function PopClose(win_id,result){
		if( result != null ){
			if(win_id == "_RejectPop"){
				if(result[0] == 0){
					setTimeout(function(){fLayerPopClose(win_id);},100);
					if(result[1].length> 0)alert(result[1]);
					goListProc();
				}else if(result[0] == 1){
					setTimeout(function(){	fLayerPopClose(win_id);},100);
					if(result[1].length> 0)alert(result[1]);
					$("#fevent").val("FORM_SELECT");
					$("#form1").attr("action", "/cont/outside/ContChgRcvDetail.screen");
					$("#form1").attr("target", "_self");
					$("#form1").attr("method", "post");
					$("#form1").submit();
				}
			}
		}else{
			setTimeout(function(){fLayerPopClose(win_id);},100);
		}
		
	}
		
	function doDupChk(subContReqId,detailCd,detailNm) {
		var f = document.form1;
		jQuery("#flag").val("fileDw");
		jQuery("#fileDetailCd").val(detailCd);
		jQuery("#fileDetailNm").val(detailNm);
		submitXmlRequest("/cont/outside/ContChgRcvDetail_form.screen", "DUP_CHK", f, "VALUEOBJECT");
		document.form1.isSubmit = false;
		
	}

	function doDupChk2(fileGB, id, editYN) {
		var f = document.form1;
		jQuery("#flag").val("fileDw");
		jQuery("#fileGB").val(fileGB);
		jQuery("#fileID").val(id);
		jQuery("#fileEditYN").val(editYN);
		
		submitXmlRequest("/cont/outside/ContChgRcvDetail_form.screen", "DUP_CHK", f, "VALUEOBJECT");
		document.form1.isSubmit = false;
	}
	
	function doAttachFile(obj,No,fileName) {		
		if(obj.value != ''){ 
			//alert(jQuery("#flag").val());
			var upLoadFlg = "Y";
			if(!jQuery("#signCheck").val() == ""){
				upLoadFlg = "N";
			}
			if(!((document.getElementById("STATUS_CD_3000").value=="30") || (document.getElementById("STATUS_CD_3000").value=="80")) ){
				upLoadFlg = "N";
			}			
			viewFileListNew1('SUB_REQFILE_'+obj.value, No, document.form1.p_AttachFile2, upLoadFlg, "sub/reqfile/"+obj.value, null, fileName);
		} 
	}

	function doAttachFile2(fileGB, id, editYN) {		
		if(fileGB != ''){ 
			var file_div = "sub/reqfile/" + document.form1.SUB_CONT_REQ_ID.value + "/";
			var upLoadFlg = "Y";
			if((jQuery("#signCheck").val() != "") || (jQuery("#fileEditYN").val() == "N")){
				upLoadFlg = "N";
			}
			if(!((document.getElementById("STATUS_CD_3000").value=="30") || (document.getElementById("STATUS_CD_3000").value=="80")) ){
				upLoadFlg = "N";
			}
			viewFileListNew1(fileGB, id, document.form1.p_AttachFile2, upLoadFlg, file_div, null, null);
		} 
	}
	
	function viewFileListNew1(fileGB, id, obj, isModify, isDrectory, iframeID, user_filename) {
		
		var win_id = "_viewFileList";
		var link = "/common/file/FileListNew.screen";
		    link += "?pop_win_id="+win_id;
		    link += "&extFunction=viewFileListClose1";
		    link += "&file_gb=" + fileGB;
		    link += "&id=" + id;
		    
		    if( obj.id != null )
			    link += "&obj_id=" + obj.id;
		    if( iframeID != null )
		    	link += "&iframeID=" + iframeID;
		    
			if( isModify != null )
				link += "&is_modify=" + isModify;
			if( isDrectory != null )
				link += "&sys_gb=" + isDrectory;	    
			if( user_filename != null )
				link += "&user_filename=" + user_filename;	 
		
		fLayerPop(win_id, link, 750,430, '', '', 'NO', '200');
	}
	
	//첨부목록 조회
	function getFileListForTextarea(){
		document.form1.p_AttachFile1.value = "";
		var f = document.form1;  
		jQuery("#fevent").val("GET_ATTACHFILE");
		submitXmlRequest("/cont/outside/ContChgRcvDetail_form.screen", "GET_ATTACHFILE", f, "VALUEOBJECT");	
	}

	//결재
	function dlgSignForm( sign_class_cd, uri ) {
		var f = document.form1;
		var sheet1 = document.all.sheet1;
		var url = "/contOutsideSign/contChgRcvSign_form.screen";
		url += "?sign_class_cd=" + sign_class_cd;
		url += "&uri="           + uri;
		url += "&sign_cont_req_id="   + $("#SUB_CONT_REQ_ID").val();
		url += "&sign_cont_mod_id="   + $("#SUB_CONT_MOD_ID").val();
		url += "&acct_type=1";
		window.open(url, "_blank","width=200,height=100,SCROLLBARS=no");
	}

	function doCheck(){
		var value=document.form1.p_mode_gb.value;
		var result=false;
		if(value=="01"){			//증액
			if(noChgCorp()==true && noChgDate()==true){
				result=incAmt();
			}
		}else if(value=="02"){		//감액
			if(noChgCorp()==true && noChgDate()==true){
				result=decAmt();
			}
		}else if(value=="10"){		//연장
			if(noChgCorp()==true && noChgAmt()==true){
				result=incDate();
			}
		}else if(value=="11"){		//연장증액
			if(noChgCorp()==true && incAmt()==true){
				result=incDate();
			}
		}else if(value=="12"){		//연장감액
			if(noChgCorp()==true && decAmt()==true){
				result=incDate();
			}
		}else if(value=="20"){		//단축
			if(noChgCorp()==true && noChgAmt()==true){
				result=decDate();
			}
		}else if(value=="21"){		//단축증액
			if(noChgCorp()==true && incAmt()==true){
				result=decDate();
			}
		}else if(value=="22"){		//단축감액
			if(noChgCorp()==true && decAmt()==true){
				result=decDate();
			}
		}else if(value=="98"){		//타절
			if(chkChgCorp()==true){
				if(noChgAmt()==true){
					result=noChgDate();
				}
			}			
		}else if(value=="99"){		//기타
			if(noChgCorp()==true){
				result=true;
			}
		}
		return result;
	}

	function incAmt(){
		if(Number($("#p_chg_supp_amt").val().replace(/,/gi, "")) <=0){
			alert("변경후 계약금액을 확인해 주세요.");
			$("#p_aft_supp_amt").focus();
			return;
			
		}
		return true;
	}
	
	function decAmt(){
		if(Number($("#p_chg_supp_amt").val().replace(/,/gi, "")) >=0){
			alert("변경후 계약금액을 확인해 주세요.");
			$("#p_aft_supp_amt").focus();
			return;
		}
		return true;
	}
	
	function incDate(){
		var befDate=$("#p_bef_cont_date").val().replace(/-/gi, "");
		var aftDate=$("#p_aft_cont_date").val().replace(/-/gi, "");
		if(aftDate-befDate<=0){
			alert("변경후 계약기간을 확인해 주세요.");
			$("#p_aft_cont_date").focus();
			return;
		}
		return true;
	}
	
	function decDate(){
		var befDate=$("#p_bef_cont_date").val().replace(/-/gi, "");
		var aftDate=$("#p_aft_cont_date").val().replace(/-/gi, "");
		if(aftDate-befDate>=0){
			alert("변경후 계약기간을 확인해 주세요.");
			$("#p_aft_cont_date").focus();
			return;
		}
		return true;
	}
	
	function noChgAmt(){
		if(Number($("#p_chg_supp_amt").val().replace(/,/gi, "")) != 0){
			alert("변경후 계약금액이 변경되었습니다.");
			$("#p_aft_supp_amt").focus();
			return;
		}
		return true;
	}
	
	function noChgDate(){
		var befDate=$("#p_bef_cont_date").val().replace(/-/gi, "");
		var aftDate=$("#p_aft_cont_date").val().replace(/-/gi, "");
		if(aftDate-befDate!="0"){
			alert("변경후 계약기간이 변경되었습니다.");
			$("#p_aft_cont_date").focus();
			return;
		}
		return true;
	}
	
	function noChgCorp(){
		var befCorp=$("#p_bef_corp_id").val();
		var aftCorp=$("#p_aft_corp_id").val();
		if(befCorp!=aftCorp){
			alert("변경후 사업자번호가 변경되었습니다.");
			$("#p_aft_corp_id").focus();
			return;
		}
		return true;
	}

	function chkChgCorp(){
		var befCorp=$("#p_bef_corp_id").val();
		var aftCorp=$("#p_aft_corp_id").val();
		if(befCorp==aftCorp){
			alert("변경후 사업자번호가 동일합니다.");
			$("#p_aft_corp_id").focus();
			return;
		}
		return true;
	}	
	
	function fileCheck(val){
		//alert(val);
		var f = document.form1;
		jQuery("#flag").val("fileCk");
		jQuery("#ckVal").val(val);
		submitXmlRequest("/cont/outside/ContChgRcvDetail_form.screen", "DUP_CHK", f, "VALUEOBJECT");
		document.form1.isSubmit = false;
	}
	
	function fileAfterCheck(val){
		
		if(!jQuery("#signCheck").val() == ""){
			var obj = eval("document.getElementById('p_" + val + "')");
			alert("결재중엔 파일 수정이 불가합니다.");
			jQuery(obj).attr("checked",false);
			return;
		}else{
			var obj = eval("document.getElementById('" + val + "')");
			if(obj.style.display == "none"){
				obj.style.display = "inline";
			}else{
				obj.style.display = "none";
			}
		}
		
	}
	
	function refresh(){//저장
		$("#fevent").val("FORM_SELECT");
		$("#form1").attr("action", "/cont/outside/ContChgRcvDetail.screen");
		$("#form1").attr("target", "_self");
		$("#form1").attr("method", "post");
		$("#form1").submit();
	}
	
	function doSignFile(doc_id, year) {
		 var link = "";
		 if(doc_id == ""){
		  alert("결재 정보가 없습니다.");
		  return;
		 }
		 
		 var doc_chk = doc_id.substring(doc_id.length-3, doc_id.length);
		 
		 doc_chk = doc_chk * 1;
		 
		 
		 if (year > "20151213"){
		  link = "https://gw.sgcenc.co.kr/upload_approval/TEC/doc/" + year.substr(0,4) + "/" + doc_chk + "/"+ doc_id+".mht";
		 }
		 else
		 {
		  link = "https://gw.sgcenc.co.kr/upload_approval/TEC/doc/" + doc_chk + "/"+ doc_id+".mht";
		 }
		 window.open(link,"_viewDraft","");
		}	
</SCRIPT>


<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>
<form id="form1" name="form1" method="post" modular:type="search">
<INPUT type="hidden" name="fevent" id="fevent" value="<%= params.get("fevent") %>">
<INPUT type="hidden" name="acct_id" value="<%= params.get("acct_id") %>">
<INPUT type="hidden" name="p_dept_cd" value="<%= params.get("p_dept_cd") %>">
<INPUT type="hidden" name="p_dept_nm" value="<%= params.get("p_dept_nm") %>">
<INPUT type="hidden" name="p_dealer_nm" value="<%= params.get("p_dealer_nm") %>">
<INPUT type="hidden" name="ContFromDt" value="<%= params.get("ContFromDt") %>">
<INPUT type="hidden" name="ContToDt" value="<%= params.get("ContToDt") %>">
<INPUT type="hidden" name="p_build_nm" value="<%= params.get("p_build_nm") %>">
<INPUT type="hidden" name="p_cont_req_status" value="<%= params.get("p_cont_req_status") %>">
<!-- 검색 조건 끝-->
<INPUT type="hidden" name="CONT_STATUS" value="<%=ContInfo.get("CONT_STATUS")%>">
<INPUT type="hidden" name="SUB_CONT_REQ_ID" value="<%=ContInfo.get("SUB_CONT_REQ_ID")%>">
<INPUT type="hidden" name="SUB_CONT_MOD_ID" value="<%=ContInfo.get("SUB_CONT_MOD_ID")%>">
<INPUT type="hidden" name="STATUS_CD" value="<%=ContInfo.get("STATUS_CD")%>">
<INPUT type="hidden" name="STATUS_CD_3000" value="<%=ContInfo.get("STATUS_CD_3000")%>">
<input type="hidden" name="p_AttachFile2" id="p_AttachFile2" onPropertyChange="JavaScript:getFileListForTextarea();"/>
<INPUT type="hidden" name="digit" id="digit" value="<%=ContInfo.get("DIGIT")%>">

<INPUT type="hidden" name="flag" id="flag" value="">
<INPUT type="hidden" name="chk_gb" id="chk_gb" value="">
<INPUT type="hidden" name="p_chg_cont_date" id="p_chg_cont_date" value="<%=ContInfo.get("CONT_DATE_NM")%>">
<INPUT type="hidden" id="fileDetailCd" value="">
<INPUT type="hidden" id="fileDetailNm" value="">
<INPUT type="hidden" id="signCheck" value="">
<INPUT type="hidden" id="ckVal" value="">
<INPUT type="hidden" id="fileGB" value="">
<INPUT type="hidden" id="fileID" value="">
<INPUT type="hidden" id="fileEditYN" value="">

	<!-- 제목 및 버튼 -->
<table width="100%">
	<colgroup>
		<col width="500" />
		<col width="*" />
	</colgroup>
	<tr>
	   	<th>
		   <div align="left" id="title">
		    <ul>
		     <li>외주_변경계약접수</font></li>
		    </ul>
		   </div>
	   </th>
	   <td align="right">
	   <%if(ContInfo.get("STATUS_CD_3000").equals("30") || ContInfo.get("STATUS_CD_3000").equals("80")){ %> <!-- 2018.07.11 전자조달 30.80만 수정가능  -->
			<span class="btnSearch center" id="btnSave"><a href="javascript:void(0);">저장</a></span>
			<span class="btnSearch center" id="btnResolve"><a href="javascript:void(0);">접수</a></span>
			<span class="btnSearch center" id="btnReject"><a href="javascript:void(0);">반려</a></span>
	   <%}%>
			<span class="btnSearch center" id="btnList"><a href="javascript:goListProc();">목록</a></span>
	   </td>
   	</tr>
</table>

<%@ include file="/jsp/ko_KR/buyer/cont/outside/ContChgRcvInfo.jsp" %>


<div class="application-info  magT10">
	<div class="application-sub-title">
		<span class="title">변경계약 접수 정보</span>
		&nbsp;&nbsp;&nbsp;변경구분
		<%= HTMLMaker.getSelectTag(modGbRow, "CODE", "NAME", "p_mode_gb", "style='width:100px; margin-bottom: 2px;' disabled", "", ContInfo.get("MOD_GB")) %>
	</div>
</div>
<!-- 변경계약요청정보 들어갈곳 -->
<div class="tab_container">
<table border="0" cellspacing="0" cellpadding="0" style="width: 100%; margin-left: 0px; margin-top: 0px;">
		<tr>
			<td align="left">
				<table width="100%" border="0" cellspacing="0" cellpadding="0" class="form-table">
	            	<col width="7%" />
					<col width="8%" />
					<col width="20%" />
					<col width="*" />
					<col width="20%" />
					<col width="20%" />
					<tr>
						<th colspan="2" style="text-align: center;">
							구분
						</th>
						<th style="text-align: center;">
							변경전
						</th>
						<th style="text-align: center;">
							변경후
						</th>
						<th style="text-align: center;">
							증감
						</th>
						<th style="text-align: center;">
							증감율(%)
						</th>
					</tr>
					<tr>
						<th colspan="2" style="text-align: center;">
							사업자번호
						</th>
						<td style="text-align: center;">
							<INPUT type="hidden" name="p_bef_corp_id" id="p_bef_corp_id" value="<%=ContInfo.get("BEF_C_CORP_ID")%>">
							<%=InputText.get("p_bef_vend_cd",StringUtils.getBizNo(ContInfo.get("BEF_C_VEND_CD")), 98,20, "PerSize, center,readonly") %>
						</td>
						<td style="text-align: center;">
							<INPUT type="hidden" name="p_aft_corp_id" id="p_aft_corp_id" value="<%=ContInfo.get("C_CORP_ID")%>">
							<INPUT type="hidden" name="p_aft_member_nm" id="p_aft_member_nm" value="<%=ContInfo.get("C_MEMBER_NAME")%>">
							<INPUT type="hidden" name="p_aft_boss_nm" id="p_aft_boss_nm" value="<%=ContInfo.get("C_BOSS_NAME")%>">
							<%if(ContInfo.get("MOD_GB").equals("98")){ %>		
								<%=InputText.get("p_aft_vend_cd",StringUtils.getBizNo(ContInfo.get("C_VENDCD")), 70,20, "PerSize, center,readonly") %>
								<span class="btnSearch center" id="btnChgCorp"><a href="javascript:void(0);">사업자번호변경</a></span>
							<%}else{ %>
								<%=InputText.get("p_aft_vend_cd",StringUtils.getBizNo(ContInfo.get("C_VENDCD")), 98,20, "PerSize, center,readonly") %>
							<%} %>
						</td>
						<td>
						</td>
						<td>
						</td>						
					</tr>					
					<tr>
						<th rowspan="5" style="text-align: center;">
							계약변경<br>요청내역<br>(부가세별도)
						</th>
						<th style="text-align: center;">
							도급금액
						</th>
						<td id="td_bef_cont_amt" style="text-align: right;">
							<%if(ContInfo.get("MOD_GB").equals("10") ||ContInfo.get("MOD_GB").equals("20") ||ContInfo.get("MOD_GB").equals("98")){ %>
								<%= ContInfo.get("BEF_CONT_AMT")%>
							<%}else{ %>
								<%-- <input name="p_bef_cont_amt" id="p_bef_cont_amt" value="<%= ContInfo.get("BEF_CONT_AMT")%>" class="input" style="width: 98%;text-align: right;"/> --%>
								<%=InputText.get("p_bef_cont_amt",Formatter2.currency(ContInfo.get("BEF_CONT_AMT")), 98,20, "PerSize,Number, right","Number") %>
							<%} %>
						</td>
						<td style="text-align: right;">
							<%if(ContInfo.get("MOD_GB").equals("10") ||ContInfo.get("MOD_GB").equals("20") ||ContInfo.get("MOD_GB").equals("98")){ %>
								<%= ContInfo.get("AFT_CONT_AMT")%>
							<%}else{ %>
								<%-- <input name="p_aft_cont_amt" id="p_aft_cont_amt" value="<%= ContInfo.get("AFT_CONT_AMT")%>" class="input" style="width: 98%;text-align: right;"/> --%>
								<%=InputText.get("p_aft_cont_amt",Formatter2.currency(ContInfo.get("AFT_CONT_AMT")), 98,20, "PerSize,Number, right","Number") %>
							<%} %>
						</td>
						<td id="td_chg_cont_amt" style="text-align: right;">
							<%if(ContInfo.get("MOD_GB").equals("10") ||ContInfo.get("MOD_GB").equals("20") ||ContInfo.get("MOD_GB").equals("98")){ %>
								<%= ContInfo.get("CHG_CONT_AMT")%>
							<%}else{ %>
								<%-- <input name="p_chg_cont_amt" id="p_chg_cont_amt" value="<%= ContInfo.get("CHG_CONT_AMT")%>" class="input" style="width: 98%;text-align: right;" readonly="readonly"/> --%>
								<%=InputText.get("p_chg_cont_amt",Formatter2.currency(ContInfo.get("CHG_CONT_AMT")), 98,20, "PerSize,Number, right,readonly","Number") %>
							<%} %>
						</td>
						<td>
						</td>
					</tr>
					<tr>
						<th style="text-align: center;">
							예산금액
						</th>
						<td style="text-align: right;">
							<%if(ContInfo.get("MOD_GB").equals("10") ||ContInfo.get("MOD_GB").equals("20") ||ContInfo.get("MOD_GB").equals("98")){ %>
								<%= ContInfo.get("BEF_BUG_AMT")%>
							<%}else{ %>
								<%-- <input name="p_bef_bug_amt" id="p_bef_bug_amt" value="<%= ContInfo.get("BEF_BUG_AMT")%>" class="input" style="width: 98%;text-align: right;"/> --%>
								<%=InputText.get("p_bef_bug_amt",Formatter2.currency(ContInfo.get("BEF_BUG_AMT")), 98,20, "PerSize,Number, right","Number") %>
							<%} %>
						</td>
						<td style="text-align: right;">	
							<%if(ContInfo.get("MOD_GB").equals("10") ||ContInfo.get("MOD_GB").equals("20") ||ContInfo.get("MOD_GB").equals("98")){ %>
								<%= ContInfo.get("AFT_BUG_AMT")%>
							<%}else{ %>
								<%-- <input name="p_aft_bug_amt" id="p_aft_bug_amt" value="<%= ContInfo.get("AFT_BUG_AMT")%>" class="input" style="width: 98%;text-align: right;"/> --%>
								<%=InputText.get("p_aft_bug_amt",Formatter2.currency(ContInfo.get("AFT_BUG_AMT")), 98,20, "PerSize,Number, right","Number") %>
							<%} %>
						</td>
						<td style="text-align: right;">
							<%if(ContInfo.get("MOD_GB").equals("10") ||ContInfo.get("MOD_GB").equals("20") ||ContInfo.get("MOD_GB").equals("98")){ %>
								<%= ContInfo.get("CHG_BUG_AMT")%>
							<%}else{ %>
								<%-- <input name="p_chg_bug_amt" id="p_chg_bug_amt" value="<%= ContInfo.get("CHG_BUG_AMT")%>" class="input" style="width: 98%;text-align: right;" readonly="readonly"/> --%>
								<%=InputText.get("p_chg_bug_amt",Formatter2.currency(ContInfo.get("CHG_BUG_AMT")), 98,20, "PerSize,Number, right,readonly","Number") %>
							<%} %>
						</td>
						<td style="text-align: left;">
							<%if(ContInfo.get("MOD_GB").equals("10") ||ContInfo.get("MOD_GB").equals("20") ||ContInfo.get("MOD_GB").equals("98")){ %>
								<%= ContInfo.get("CHG_BUG_RATE")%>
								<input type="hidden" name="p_chg_bug_rate" id="p_chg_bug_rate" value="<%= ContInfo.get("CHG_BUG_RATE")%>" class="input" style="width: 98%;text-align: left; border:none; cursor:default;" readonly="readonly"/>
							<%}else{ %>
								<input name="p_chg_bug_rate" id="p_chg_bug_rate" value="<%= ContInfo.get("CHG_BUG_RATE")%>" class="input" style="width: 98%;text-align: left; border:none; cursor:default;" readonly="readonly"/>
							<%} %>
						</td>
					</tr>
					<tr>
						<th style="text-align: center;">
							계약금액
						</th>
						<td style="text-align: right;">
							<%if(ContInfo.get("MOD_GB").equals("10") ||ContInfo.get("MOD_GB").equals("20") ||ContInfo.get("MOD_GB").equals("98")){ %>
								<%= ContInfo.get("BEF_SUPP_AMT")%>
							<%}else{ %>
								<%-- <input name="p_bef_supp_amt" id="p_bef_supp_amt" value="<%= ContInfo.get("BEF_SUPP_AMT")%>" class="input" style="width: 98%;text-align: right;"/> --%>
								<%=InputText.get("p_bef_supp_amt",Formatter2.currency(ContInfo.get("BEF_SUPP_AMT")), 98,20, "PerSize,Number, right","Number") %>
							<%} %>
						</td>
						<td style="text-align: right;">
							<%if(ContInfo.get("MOD_GB").equals("10") ||ContInfo.get("MOD_GB").equals("20") ||ContInfo.get("MOD_GB").equals("98")){ %>
								<input type="hidden" name="p_aft_supp_amt" id="p_aft_supp_amt" value="<%= ContInfo.get("AFT_SUPP_AMT")%>"/>
								<%= ContInfo.get("AFT_SUPP_AMT")%>
							<%}else{ %>
								<%-- <input name="p_aft_supp_amt" id="p_aft_supp_amt" value="<%= ContInfo.get("AFT_SUPP_AMT")%>" class="input" style="width: 98%;text-align: right;"/> --%>
								<%=InputText.get("p_aft_supp_amt",Formatter2.currency(ContInfo.get("AFT_SUPP_AMT")), 98,20, "PerSize,Number, right","Number") %>
							<%} %>
						</td>
						<td style="text-align: right;">
							<%if(ContInfo.get("MOD_GB").equals("10") ||ContInfo.get("MOD_GB").equals("20") ||ContInfo.get("MOD_GB").equals("98")){ %>
								<input type="hidden" name="p_chg_supp_amt" id="p_chg_supp_amt" value="<%= ContInfo.get("CHG_SUPP_AMT")%>"/>
								<%= ContInfo.get("CHG_SUPP_AMT")%>
							<%}else{ %>
								<%-- <input name="p_chg_supp_amt" id="p_chg_supp_amt" value="<%= ContInfo.get("CHG_SUPP_AMT")%>" class="input" style="width: 98%;text-align: right;" readonly="readonly"/> --%>
								<%=InputText.get("p_chg_supp_amt",Formatter2.currency(ContInfo.get("CHG_SUPP_AMT")), 98,20, "PerSize,Number, right,readonly","Number") %>
							<%} %>
						</td>
						<td style="text-align: left;">
							<%if(ContInfo.get("MOD_GB").equals("10") ||ContInfo.get("MOD_GB").equals("20") ||ContInfo.get("MOD_GB").equals("98")){ %>
								<%= ContInfo.get("CHG_SUPP_RATE")%>
							<%}else{ %>
								<input name="p_chg_supp_rate" id="p_chg_supp_rate" value="<%= ContInfo.get("CHG_SUPP_RATE")%>" class="input" style="width: 98%;text-align: left; border:none; cursor:default;" readonly="readonly"/>
							<%} %>
						</td>
					</tr>
					<tr>
						<th style="text-align: center;">
							계약기간
						</th>
						<td style="text-align: center;">
							<%-- <input name="p_bef_cont_date" id="p_bef_cont_date" value="<%= ContInfo.get("BEF_CONT_DATE")%>" class="input" style="width: 98%;text-align: center;" readonly="readonly"/> --%>
							<%=InputText.get("p_bef_cont_date",Formatter2.currency(ContInfo.get("BEF_CONT_DATE")), 98,20, "PerSize, center,readonly") %>
						</td>
						<td style="text-align: center;">
							<%if(ContInfo.get("MOD_GB").equals("01") ||ContInfo.get("MOD_GB").equals("02") ||ContInfo.get("MOD_GB").equals("98")){ %>
								<%-- <input name="p_aft_cont_date" id="p_aft_cont_date" value="<%= ContInfo.get("AFT_CONT_DATE")%>" class="input" style="width: 98%;text-align: center;" readonly="readonly"/> --%>
								<%=InputText.get("p_aft_cont_date",Formatter2.currency(ContInfo.get("AFT_CONT_DATE")), 98,20, "PerSize, center,readonly") %>
							<%}else{ %>
								<%-- <input name="p_aft_cont_date" id="p_aft_cont_date" value="<%= ContInfo.get("AFT_CONT_DATE")%>" class="input" style="width: 98%;text-align: center;"/> --%>
								<%=InputText.get("p_aft_cont_date",Formatter2.currency(ContInfo.get("AFT_CONT_DATE")), 85,20, "PerSize, center,readonly") %>
								<IMG name="start_img" id="calender_from" src="/img/buyer/button/bt_calender.gif" border="0" align="absmiddle" style="cursor:pointer;" onClick="JavaScript:dlgCalendar('p_aft_cont_date');">
							<%} %>
						</td>
						<td style="text-align: center;">
							<%if(ContInfo.get("MOD_GB").equals("01") ||ContInfo.get("MOD_GB").equals("02") ||ContInfo.get("MOD_GB").equals("98")){ %>
								<%-- <%= ContInfo.get("CONT_DATE_NM")%> --%>
								<%=InputText.get("p_cont_date_nm",Formatter2.currency(ContInfo.get("CONT_DATE_NM")), 98,20, "PerSize, center,readonly") %>
							<%}else{ %>
								<%-- <input name="p_cont_date_nm" id="p_cont_date_nm" value="<%= ContInfo.get("CONT_DATE_NM")%>" class="input" style="width: 98%;text-align: center;" readonly="readonly"/> --%>
								<%=InputText.get("p_cont_date_nm",Formatter2.currency(ContInfo.get("CONT_DATE_NM")), 98,20, "PerSize, center,readonly") %>
							<%} %>
						</td>
						<td>
						</td>
					</tr>
					<tr>
						<th style="text-align: center;">
							기타변경
						</th>
						<td>
							<%-- <input name="p_bef_etc" id="p_bef_etc" value="<%= ContInfo.get("BEF_ETC")%>" class="input" style="width: 98%;"/> --%>
							<%=InputText.get("p_bef_etc",ContInfo.get("BEF_ETC"), 98,50, "PerSize,left") %>
							<%-- <%= ContInfo.get("BEF_ETC")%> --%>
						</td>
						<td>
							<%-- <input name="p_aft_etc" id="p_aft_etc" value="<%= ContInfo.get("AFT_ETC")%>" class="input" style="width: 98%;"/> --%>
							<%=InputText.get("p_aft_etc",ContInfo.get("AFT_ETC"), 98,50, "PerSize,left") %>
							<%-- <%= ContInfo.get("AFT_ETC")%> --%>
						</td>
						<td>
							<%= ContInfo.get("CHG_ETC")%>
						</td>
						<td>
						</td>
					</tr> 
					<tr>
						<th colspan="2" style="text-align: center;">
							외주 발주진행율 누계
						</th>
						<TD><%= InputText.get("p_po_prc", ContInfo.get("PO_PRC"), 5, 5, "Right,Float","Float") %>%</TD>
						<th style="text-align: center;">
							외주 발주실적율 누계
						</th>
						<TD colspan="2"><%= InputText.get("p_res_prc", ContInfo.get("RES_PRC"), 5, 5, "Right,Float","Float") %>%</TD>
					</tr> 
					<tr>					
					<tr>
						<th colspan="2" style="text-align: center;">
							변경사유
						</th>
						<td colspan="4">
							<textarea name="p_remark" id="p_remark" style="width:99%;height:80px" rows="1" class="input" ><%= ContInfo.get("REMARK")%></textarea>
						</td>
					</tr>
					<tr>
						<th colspan="2" style="text-align: center;">
							특기사항
						</th>
						<td colspan="4">
							<textarea name="p_sp_remark" id="p_sp_remark" style="width:99%;height:80px" rows="1" class="input" ><%= ContInfo.get("SP_REMARK")%></textarea>
						</td>
					</tr>
					
					<tr >
						<th colspan="2" style="text-align: center;">
							첨부파일
						</th>
						<td colspan="2" id="input01">
								<table width="100%" border="0" cellpadding="0" cellspacing="0">
						<%
							if(getFileListRowSet.size() > 0){
								int i_mod = 0;
								for(int i = 0; getFileListRowSet.size() > i; i++){
									i_mod = i%2;
									if(i_mod == 0){ %>
										<TR>
								<%	} %>
											<td width="50%">
												<label for="p_<%=getFileListRowSet.getRow(i).get("DETAILCD") %>"><input type="checkbox" name="<%=getFileListRowSet.getRow(i).get("DETAILNM") %>" id="p_<%=getFileListRowSet.getRow(i).get("DETAILCD") %>" value="<%=getFileListRowSet.getRow(i).get("DETAILCD") %>" style="cursor:pointer;" onClick="fileCheck('<%=getFileListRowSet.getRow(i).get("DETAILCD") %>')" <%if(!getFileListRowSet.getRow(i).get("DOC_CD").equals("")){out.print("checked");} %> <%if(getFileListRowSet.getRow(i).get("EDIT_YN").equals("N")){out.print("disabled");} %>> <%=getFileListRowSet.getRow(i).get("DETAILNM") %></label>
											</td>
											<td width="5%" height="24">
												<%	if(getFileListRowSet.getRow(i).get("DETAILCD").equals("160")) { %>
													<IMG src="/img/supplier/button/bt_attach_file.gif" id="<%=getFileListRowSet.getRow(i).get("DETAILCD") %>" alt="첨부파일 관리" align="top" style="display:inline;" onClick="doSignFile('<%=sign_info.get("doc_id")%>', '<%=sign_info.get("year")%>');" class="button">
												<%}else{ %>
													<IMG src="/img/supplier/button/bt_attach_file.gif" id="<%=getFileListRowSet.getRow(i).get("DETAILCD") %>" alt="첨부파일 관리" align="top" style="display:<%if(!getFileListRowSet.getRow(i).get("DOC_CD").equals("")){out.print("inline");}else{out.print("none");} %>" onClick="doDupChk2('<%=getFileListRowSet.getRow(i).get("FILE_GB") %>', '<%=getFileListRowSet.getRow(i).get("ID")%>', '<%=getFileListRowSet.getRow(i).get("EDIT_YN")%>');" class="button">
												<%} %>
											</td>
								<%	if(i_mod == 2) { %>		
										</TR>
								<%	} %>		
							<%
								}
								for(int i=i_mod+1; i<2; i++){ %>
									<td></td>
							<%	}
								if(i_mod == 0 || i_mod == 1){ %>
									</TR>	
							<%	}
							}
						%>
							</table>
						</TD>
						<td colspan="2" id="input01">
							<textarea name="p_AttachFile1" id="p_AttachFile1" style="width:98%;height:100px" rows="1" class="input" readOnly></textarea>
							<!-- <img id="search_spot_button" src='/img/buyer/button/bt_change.gif' border='0'  align="top" align='absmiddle' alt='[Attach File]' style='cursor:pointer; vertical-align: middle; margin-bottom: 20px;'> -->
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
  </div>

</form>



