<%--
  - FileName   : PuSupplier.jsp
  - Author(s)  : 이성민
  - Date       : 2014.06.26
  -
  - Description: 협력업체현황 상세(외주)
  --%>

<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="com.udapsoft.waf.common.util.DateUtil"%>
<%@ page import="kr.co.hsnc.common.util.ValueObject" %>
<%@ page import="kr.co.hsnc.common.sql.RowSet" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="com.udapsoft.waf.common.util.StringUtils" %>
<%@ page import="com.udapsoft.waf.common.util.Formatter2"%>
<%@ page import="kr.co.hsnc.common.config.WAFConfig" %>
<%@ page import="kr.co.udapsoft.common.code.*" %>
<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
    String event = storage.getEvent();
    
    
    ValueObject vo = storage.getValueObject("InfoBaseList");
    ValueObject corpInfoVo = storage.getValueObject("corpInfoVo");
    ValueObject filein = storage.getValueObject("TERMS_AGREE_INFO");
    RowSet rowset = storage.getRowSet("out_main");
    RowSet nationRowSet = storage.getRowSet("nationRowSet");
    
	RowSet getApprYearList = storage.getRowSet("getApprYearList");

	RowSet getFileListRowSet = storage.getRowSet("getFileListRowSet");

	String yyyy = (new java.text.SimpleDateFormat ("yyyy")).format (new java.util.Date());
    
    /* int year = Integer.parseInt(yyyy); */
    int year = Integer.parseInt(storage.getRowSet("g_base_year").getRow(0).get("G_BASE_YEAR"));
    //Integer.toString(year+1) +"|"+
    String yesrCombo = Integer.toString(year) + "|" + Integer.toString(year-1) + "|" + Integer.toString(year-2) + "|" + Integer.toString(year-3) ; //+ "|" + Integer.toString(year-4);2018.08.07
    String yesrCombo_NEW =  Integer.toString(year-1) + "|" + Integer.toString(year-2) + "|" + Integer.toString(year-3) ; //+ "|" + Integer.toString(year-4);2018.08.07
    
	String yyyymmdd = (new java.text.SimpleDateFormat ("yyyy-MM-dd")).format (new java.util.Date());
	
	String oneYearAgoDate = Integer.toString((Integer.parseInt(yyyymmdd.replace("-", "")) + 10000));
	
	String oneDayDate = Integer.toString((Integer.parseInt(yyyymmdd.replace("-", "")) - 1));
	RowSet licMasterList = storage.getRowSet("licMasterList");

	String lic_code = "";
	String lic_name = "";

	for (int i = 0; i < licMasterList.size(); i++) {
		lic_code = lic_code + "|"
				+ (licMasterList.getRow(i).get("LIC_CD"));
		lic_name = lic_name + "|"
				+ (licMasterList.getRow(i).get("LIC_NM"));
	}
	String sToday = DateUtil.getSystemDate().substring(0,8);
    
%>

<!-- CSS -->
<script src="/js/crownix-viewer.min.js"></script>
<link rel="stylesheet" type="text/css" href="/css/crownix-viewer.min.css">
<link href="/css/buyer/member_style.css" rel="stylesheet" type="text/css" />
<!-- <SCRIPT language="javascript" src="/js/RDConfig.js"></SCRIPT> -->

<!-- SCROPT -->
<script type="text/javascript" src="/js/creditEvaluationPop.js"></script>
<script type="text/javascript">
<!--
	var now = new Date();
	var now_DY = now.getFullYear();
	var now_MM = (now.getMonth() + 1);
	if(now_MM < 10){
		now_MM = "0"+ now_MM;
	}
	var now_dd = now.getDate();
	if(now_dd < 10){
		now_dd = "0"+now_dd;
	}
	now_DY = now_DY+now_MM+now_dd;
var credit_yn 		= "<%=vo.get("credit_yn")%>"; 
var p_in_out_div 	= "<%=params.get("p_in_out_div")%>";
var class_gubun 	= "<%=vo.get("ITEM_STD_CD")%>";

var corp_reg_gubun 	= "<%=vo.get("CORP_REG_NO") %>"; 
corp_reg_gubun 		= corp_reg_gubun.trim().substring(3,5);


var search_flag_4 = "N";
var search_flag_5 = "N";
var search_flag_6 = "N";
var search_flag_7 = "N";
var search_flag_8 = "N";
var search_flag_9 = "N";  //2015.3.11 입찰이력  mklee
	
	$.gridInit = function()
	{
	    
	    var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, MergeSheet:msHeaderOnly, Page:30,ChildPage:10};
		
		init_sheet.Cols = [
									{Header:"레벨",	 			Type:"Text", 				TreeCol:1,				LevelSaveName:"MATERIAL_LEVEL",	 	SaveName:"MATERIAL_LEVEL"	,	Width:120},
									{Header:"대분류",	 			Type:"Text", 				SaveName:"GUBUN_1",					Width:80, 	 Align:"Center",  Hidden:"True"},
									{Header:"중분류",	 			Type:"Text", 				SaveName:"GUBUN_2",					Width:80, 	 Align:"Center",  Hidden:"True"},
									{Header:"소분류",	 			Type:"Text", 				SaveName:"GUBUN_3",					Width:80, 	 Align:"Center",  Hidden:"True"},
									{Header:"LEVEL",	 			Type:"Text", 				SaveName:"LEVEL",						Width:0, 	 Align:"Center", Hidden:"True"},
									{Header:"CODE",	 			Type:"Text", 				SaveName:"MATERIALGROUP",		Width:100, 	 Align:"Center", Hidden:"True"}
									
		                   		];
		
		
		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheet1, init_sheet);
		sheet1.SetDataAutoTrim(0);
		sheet1.SetEditable(false);
		sheet1.SetCountPosition(0);
	
		sheet1.FitColWidth();
		
	
		
		/***********************sheet2*****************************/
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, MergeSheet:msHeaderOnly, Page:10};
		
		init_sheet.Cols = [
									{Header:'삭제',					Type:"DelCheck",			SaveName:"DEL_CHECK", 					Width:40, 	Align:"Center"},
									{Header:'Status',				Type:"Status", 			SaveName:"STATUS", 						Width:0, 	Align:"Center", Edit:"False", Hidden:"True"},
									{Header:"대분류",	 			Type:"Text", 				SaveName:"KIND_BIG_NAME",	 			Width:100, Edit:"False"},
									{Header:"중분류",	 			Type:"Text", 				SaveName:"KIND_MID_NAME",				Width:100, 	 Align:"Left", Edit:"False"},
									{Header:"소분류",	 			Type:"Text", 				SaveName:"KIND_SMALL_NAME",			Width:100, 	 Align:"Left", Edit:"False"},
									{Header:"대표공종",	 		Type:"Radio", 				SaveName:"MAIN_ITEM",					Width:50, 	 Align:"Center"},
									{Header:"ITEM_CODE",	 	Type:"Text", 				SaveName:"ITEM_CODE",					Width:50, 	 Align:"Center", Hidden:"True"}
		                   		];
		
		
		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheet2, init_sheet);
		sheet2.SetDataAutoTrim(0);
		sheet2.SetEditable(true);
		sheet2.SetCountPosition(0);
		sheet2.FitColWidth();
		
		
		
		
		
		/***********************sheet3*****************************/
		<%if(!params.get("p_in_out_div").equals("O")){ %>
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, MergeSheet:msHeaderOnly, Page:10};
		
		init_sheet.Cols = [
									{Header:'Status',					Type:"Status", 			SaveName:"STATUS", 					Width:0, 	Align:"Center", Hidden:"True"},
									{Header:"신용평가사",	 		Type:"Text", 				SaveName:"CREDIT_CORP_CD",	 	Width:100, Edit:"False"},
									{Header:"신용등급",	 			Type:"Text", 				SaveName:"CREDIT_GRADE",			Width:100, 	 Align:"Center", Edit:"False"},
									{Header:"현금흐름등급",	 		Type:"Text", 				SaveName:"CASH_GRADE",				Width:100, 	 Align:"Center", Edit:"False"},
									{Header:"신용평가만료일",	 	Type:"Date", 				SaveName:"CREDIT_END_DY",			Width:80, 	 Align:"Center", Edit:"False"},
									{Header:"신용평가사코드",	 	Type:"Text", 				SaveName:"GUBUN_CODE",				Width:100, 	 Align:"Center", Hidden:"True"}
		                   		];
		
		
		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheet3, init_sheet);
		sheet3.SetDataAutoTrim(0);
	//		sheet1.SetEditable(false);
		sheet3.SetCountPosition(0);
	
		sheet3.FitColWidth();
		<%}%> //2015.10.12
		
		/***********************sheet4[담당자 정보]*****************************/
		
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, MergeSheet:msHeaderOnly, Page:10};
		
		init_sheet.Cols = [
									{Header:"삭제",					Type:"DelCheck",			SaveName:"DEL_CHECK", 			Width:70, 	 Align:"Center", HeaderCheck:"False"},
									{Header:'Status',				Type:"Status", 			    SaveName:"STATUS", 				Width:0, 	 Align:"Center", Hidden:"True"},
									{Header:"ID",	 				Type:"Text", 				SaveName:"USER_ID",	 			Width:100,   Align:"Center", Edit:false},
									{Header:"비밀번호",	 			Type:"Text", 				SaveName:"PASSWD",				Width:100, 	 Align:"Center", Hidden:"True"},
									{Header:"담당자명",	 			Type:"Text", 				SaveName:"USER_NAME",			Width:100, 	 Align:"Center", EditLen:"100"},
									{Header:"부서명",	 				Type:"Text", 				SaveName:"DIVISION",			Width:160, 	 Align:"Center", EditLen:"100"},
									{Header:"직위",	 				Type:"Text", 				SaveName:"POSITION",			Width:100, 	 Align:"Center", EditLen:"100"},
									{Header:"이메일",	 				Type:"Text", 				SaveName:"EMAIL",				Width:160, 	 Align:"Center", EditLen:"100"},
									{Header:"전화번호",	 			Type:"Text", 				SaveName:"TEL_NUM",				Width:160, 	 Align:"Center", EditLen:"50"},
									{Header:"FAX번호",	 			Type:"Text", 				SaveName:"FAX_NUM",				Width:160, 	 Align:"Center", EditLen:"50"},
									{Header:"휴대전화",	 			Type:"Text", 				SaveName:"HP1",				    Width:30, 	 Align:"Center", EditLen:"3"},
									{Header:"휴대전화",	 			Type:"Text", 				SaveName:"BAR1",				Width:12, 	 Align:"Left",	 Edit:"false"},
									{Header:"휴대전화",	 			Type:"Text", 				SaveName:"HP2",				    Width:30, 	 Align:"Center", EditLen:"4"},
									{Header:"휴대전화",	 			Type:"Text", 				SaveName:"BAR2",				Width:12, 	 Align:"Left",	 Edit:"false"},
									{Header:"휴대전화",	 			Type:"Text", 				SaveName:"HP3",				    Width:30, 	 Align:"Center", EditLen:"4"},
									{Header:"비고",	 				Type:"Text", 				SaveName:"NOTE",				Width:160, 	 Align:"Left",   EditLen:"200"},
									{Header:"CORP_ID",	 			Type:"Text", 				SaveName:"CORP_ID",				Width:100, 	 Align:"Center", Hidden:"True"},
									{Header:"CHARGE_SEQ",	 		Type:"Text", 				SaveName:"CHARGE_SEQ",			Width:100, 	 Align:"Center", Hidden:"True"}
		                   		];
		
		
		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheet4, init_sheet);
		sheet4.SetDataAutoTrim(0);
		//sheet4.SetEditable(false);
		sheet4.SetCountPosition(0);
	
		sheet4.FitColWidth();
	
		
	/***********************sheet5*****************************/
		
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, MergeSheet:msHeaderOnly, Page:10};
		
		init_sheet.Cols = [
							{Header:'삭제',						Type:"DelCheck",			SaveName:"DEL_CHECK", 				Width:30, 	Align:"Center"},
							{Header:"상태",	 				Type:"Status", 			SaveName:"STATUS"	,					Width:0, 		Hidden:"True"},
							{Header:"기준년도",	 			Type:"Combo", 			SaveName:"BASE_YEAR",				Width:80, 	 	Align:"Center", ComboText:"<%=yesrCombo_NEW%>", ComboCode:"<%=yesrCombo_NEW%>", KeyField:"True"},
							{Header:"공사명",	 				Type:"Text", 				SaveName:"CONT_NM",					Width:250, 		Align:"Left", KeyField:"True"},
							{Header:"당사여부",	 			Type:"Combo", 				SaveName:"ETEC_YN",			Width:150, 	 	Align:"Left", ComboText:"SGC이앤씨|타사", ComboCode:"Y|N", KeyField:"True"},
							{Header:"발주처명",	 			Type:"Text", 				SaveName:"ORDR_ORG_NM",			Width:150, 	 	Align:"Left", EditLen:"60", KeyField:"True"},
							{Header:"도급사",	 				Type:"Text", 				SaveName:"ORDR_NM",					Width:150, 	 	Align:"Left", KeyField:"True"},
							{Header:"당년도 계약금액",	 	Type:"Int", 					SaveName:"CONT_AMT",				Width:120, 	 	Align:"Right", Format:"#,##0", KeyField:"True"},
							{Header:"계약년월",	 			Type:"Date", 				SaveName:"CONT_DY",					Width:70, 	 	Align:"Left", Format:"Ym", KeyField:"True"},
							{Header:"착공년월",	 			Type:"Date", 				SaveName:"CONT_STA_DY",			Width:70, 	 	Align:"Left", Format:"Ym", Hidden:"True"},
							{Header:"준공년월",	 			Type:"Date", 				SaveName:"CONT_END_DY",			Width:70, 	 	Align:"Center", Format:"Ym", KeyField:"True"}, //, Format:"Ym"
							{Header:"CONT_SEQ",	 		Type:"Text", 				SaveName:"CONT_SEQ",				Width:0, 	 	Align:"Center", Hidden:"True"},
							{Header:"CREDIT_END_DY",	Type:"Text", 				SaveName:"CREDIT_END_DY",			Width:0, 	 	Align:"Center", Hidden:"True"},
							{Header:"CREDIT_YN",	 		Type:"Text", 				SaveName:"CREDIT_YN",				Width:0, 	 	Align:"Center", Hidden:"True"}
							
	              		];
		
		
		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheet5, init_sheet);
		sheet5.SetDataAutoTrim(0);
		/* 
		if(credit_yn == "Y")
		{
			sheet5.SetEditable(false);
		}
		 */
		sheet5.SetCountPosition(0);
		sheet5.FitColWidth();
		
	/***********************sheet6*****************************/
							
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, MergeSheet:msHeaderOnly, Page:10};
	
		if ("<%=params.get("p_doc_cd")%>" == "14") //설계,인허가  15제외 
		{
			init_sheet.Cols = [
								{Header:'삭제',												Type:"DelCheck",			SaveName:"DEL_CHECK", 					Width:30, 	Align:"Center"},
								{Header:"상태|상태",	 									Type:"Status", 			SaveName:"STATUS"	,						Width:0 , Hidden:"True"},
								{Header:"기준년도|기준년도",	 						Type:"Combo", 			SaveName:"BASE_YEAR",				Width:80, 	 	Align:"Center", ComboText:"<%=yesrCombo%>", ComboCode:"<%=yesrCombo%>", KeyField:"True"},
								{Header:"면허명|면허명",	 							Type:"Combo", 				SaveName:"LIC_CD",							Width:150, 	 	Align:"Left", ComboText:"<%=lic_name%>", ComboCode:"<%=lic_code%>", Hidden:"True", KeyField:"False"},
								{Header:"면허명|면허명",	 							Type:"Text", 				SaveName:"LIC_NM",							Width:150, 	 	Align:"Left", EditLen:"60", KeyField:"True"},
								{Header:"면허번호|면허번호",	 						Type:"Text", 				SaveName:"LIC_NO",							Width:150, 	 	Align:"Left", EditLen:"40", KeyField:"True"},
								{Header:"취득일자|취득일자",	 						Type:"Date", 				SaveName:"CONREYR",							Width:100, 	 	Align:"Center", KeyField:"False"},
								{Header:"시공능력평가액|시공능력평가액",	 		Type:"Int", 					SaveName:"CON_ABI_AMT",				Width:100, 	 	Align:"Right", Format:"#,##0", KeyField:"False"},
								{Header:"지역순위|순위",	 							Type:"Int", 				SaveName:"AREA_LANK",					Width:100, 	 	Align:"Right", KeyField:"False"},
								{Header:"지역순위|전체",	 							Type:"Int", 				SaveName:"AREA_ALL_LANK",				Width:100, 	 	Align:"Right", KeyField:"False"},
								{Header:"전국순위|순위",	 							Type:"Int", 				SaveName:"NATION_LANK",				Width:100, 	 	Align:"Right", KeyField:"False"},
								{Header:"전국순위|전체",	 							Type:"Int", 				SaveName:"NATION_ALL_LANK",			Width:100, 	 	Align:"Right", KeyField:"False"},
								{Header:"CON_SEQ",	 									Type:"Text", 				SaveName:"CON_SEQ",				Width:0, 	 	Align:"Center", Hidden:"True"},
								{Header:"CREDIT_END_DY",	Type:"Text", 				SaveName:"CREDIT_END_DY",			Width:0, 	 	Align:"Center", Hidden:"True"},
								{Header:"CREDIT_YN",	 		Type:"Text", 				SaveName:"CREDIT_YN",				Width:0, 	 	Align:"Center", Hidden:"True"}
		              		];
		}
		else{
		init_sheet.Cols = [
							{Header:'삭제',												Type:"DelCheck",			SaveName:"DEL_CHECK", 					Width:30, 	Align:"Center"},
							{Header:"상태|상태",	 									Type:"Status", 			SaveName:"STATUS"	,						Width:0 , Hidden:"True"},
							{Header:"기준년도|기준년도",	 						Type:"Combo", 			SaveName:"BASE_YEAR",				Width:80, 	 	Align:"Center", ComboText:"<%=yesrCombo%>", ComboCode:"<%=yesrCombo%>", KeyField:"True"},
							{Header:"면허명|면허명",	 							Type:"Combo", 				SaveName:"LIC_CD",							Width:150, 	 	Align:"Left", ComboText:"<%=lic_name%>", ComboCode:"<%=lic_code%>", KeyField:"True"},
							{Header:"면허명|면허명",	 							Type:"Text", 				SaveName:"LIC_NM",							Width:150, 	 	Align:"Left",Hidden:"True",KeyField:"False"},
							{Header:"면허번호|면허번호",	 						Type:"Text", 				SaveName:"LIC_NO",							Width:150, 	 	Align:"Left", KeyField:"True"},
							{Header:"취득일자|취득일자",	 						Type:"Date", 				SaveName:"CONREYR",							Width:100, 	 	Align:"Center", KeyField:"True"},
							{Header:"시공능력평가액|시공능력평가액",	 		Type:"Int", 					SaveName:"CON_ABI_AMT",				Width:100, 	 	Align:"Right", Format:"#,##0", KeyField:"True"},
							{Header:"지역순위|순위",	 							Type:"Int", 				SaveName:"AREA_LANK",					Width:100, 	 	Align:"Right", KeyField:"True"},
							{Header:"지역순위|전체",	 							Type:"Int", 				SaveName:"AREA_ALL_LANK",				Width:100, 	 	Align:"Right", KeyField:"True"},
							{Header:"전국순위|순위",	 							Type:"Int", 				SaveName:"NATION_LANK",				Width:100, 	 	Align:"Right", KeyField:"True"},
							{Header:"전국순위|전체",	 							Type:"Int", 				SaveName:"NATION_ALL_LANK",			Width:100, 	 	Align:"Right", KeyField:"True"},
							{Header:"CON_SEQ",	 									Type:"Text", 				SaveName:"CON_SEQ",				Width:0, 	 	Align:"Center", Hidden:"True"},
							{Header:"CREDIT_END_DY",	Type:"Text", 				SaveName:"CREDIT_END_DY",			Width:0, 	 	Align:"Center", Hidden:"True"},
							{Header:"CREDIT_YN",	 		Type:"Text", 				SaveName:"CREDIT_YN",				Width:0, 	 	Align:"Center", Hidden:"True"}
	              		];
		
		}
		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheet6, init_sheet);
		sheet6.SetDataAutoTrim(0);
/* 		
		if(credit_yn == "Y")
		{
		sheet6.SetEditable(false);
		}
		 */
		sheet6.SetCountPosition(0);
	
		sheet6.FitColWidth();
		
	/***********************sheet7*****************************/
		
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, MergeSheet:msHeaderOnly, Page:10};
		
		<%if(!params.get("p_in_out_div").equals("O")){ %>
		init_sheet.Cols = [
							{Header:'삭제',						Type:"DelCheck",			SaveName:"DEL_CHECK", 				Width:60, 		Align:"Center"},
							{Header:"상태",	 					Type:"Status", 				SaveName:"STATUS"	,				Width:0, 		Hidden:"True"},
							{Header:"이름",	 					Type:"Text", 				SaveName:"NM",						Width:120, 	 	Align:"Center", KeyField:"True"},
							{Header:"생년월일",	 				Type:"Text", 				SaveName:"BIRTHDAY",				Width:100, 	 	Align:"Center", Format:"Ymd", Hidden:"True"},
							{Header:"직위",	 					Type:"Text", 				SaveName:"POSITION",				Width:100, 	 	Align:"Left"},
							{Header:"종목 및 자격",	 			Type:"Text", 				SaveName:"QUAL_ITEM_CLASS",			Width:150, 	 	Align:"Left", EditLen:"60",KeyField:"True"},
							{Header:"등록번호",	 				Type:"Text", 				SaveName:"REG_NO",					Width:150, 	 	Align:"Left", EditLen:"40",KeyField:"True"},
							{Header:"분야",	 					Type:"Text", 				SaveName:"FIELD",					Width:150, 	 	Align:"Left", EditLen:"50"},
							{Header:"기술등급",	 				Type:"Text", 				SaveName:"TECH_CLASS",				Width:150, 	 	Align:"Left"},
							{Header:"SEQ",	 					Type:"Text", 				SaveName:"SEQ",						Width:0, 	 	Align:"Center", Hidden:"True"},
							{Header:"CREDIT_END_DY",			Type:"Text", 				SaveName:"CREDIT_END_DY",			Width:0, 	 	Align:"Center", Hidden:"True"},
							{Header:"CREDIT_YN",	 			Type:"Text", 				SaveName:"CREDIT_YN",				Width:0, 	 	Align:"Center", Hidden:"True"}
							
	              		];
		
		<%} else {%>
		init_sheet.Cols = [
							{Header:'삭제',						Type:"DelCheck",			SaveName:"DEL_CHECK", 				Width:60, 		Align:"Center"},
							{Header:"상태",	 					Type:"Status", 				SaveName:"STATUS"	,				Width:0, 		Hidden:"True"},
							{Header:"장비명",	 					Type:"Text", 				SaveName:"NM",						Width:120, 	 	Align:"Left"},
							{Header:"제원",	 					Type:"Text", 				SaveName:"POSITION",				Width:100, 	 	Align:"Left"},
							{Header:"수량",	 			    	Type:"Text", 				SaveName:"REG_NO",					Width:150, 	 	Align:"Left"},
							{Header:"비고",	 			        Type:"Text", 				SaveName:"QUAL_ITEM_CLASS",			Width:150, 	 	Align:"Left"},
							{Header:"SEQ",	 					Type:"Text", 				SaveName:"SEQ",						Width:0, 	 	Align:"Center", Hidden:"True"},
							{Header:"CREDIT_END_DY",			Type:"Text", 				SaveName:"CREDIT_END_DY",			Width:0, 	 	Align:"Center", Hidden:"True"},
							{Header:"CREDIT_YN",	 			Type:"Text", 				SaveName:"CREDIT_YN",				Width:0, 	 	Align:"Center", Hidden:"True"}
							
	              		];
		<%}%>
		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheet7, init_sheet);
		sheet7.SetDataAutoTrim(0);
/* 	
		if(credit_yn == "Y")
		{
		sheet7.SetEditable(false);
		}
		 */
		sheet7.SetCountPosition(0);
	
		sheet7.FitColWidth();
		
	/***********************sheet8*****************************/
		
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, MergeSheet:msHeaderOnly, Page:10};
		
		<%if(!params.get("p_in_out_div").equals("O")){ %>
		init_sheet.Cols = [
							{Header:'삭제',							Type:"DelCheck",			SaveName:"DEL_CHECK", 				Width:30, 	Align:"Center"},
							{Header:"상태",	 					Type:"Status", 			SaveName:"STATUS"	,					Width:0, 		Hidden:"True"},
							{Header:"종류",	 					Type:"Combo", 			SaveName:"CERT_DIV_CD",			Width:100, 	 	Align:"Center", ComboText:"ISO9001|ISO14000|KOSHA/ISO45001|KS|기타", ComboCode:"01|02|03|04|99", KeyField:"True"},
							{Header:"인증번호",	 				Type:"Text", 				SaveName:"CERT_NO",					Width:100, 	 	Align:"Left", KeyField:"True"},
							{Header:"인증명",	 					Type:"Text", 				SaveName:"CERT_CTNT",				Width:100, 	 	Align:"Left", KeyField:"True"},
							{Header:"인증범위",	 				Type:"Text", 				SaveName:"CERT_SCOPE",				Width:300, 	 	Align:"Left", KeyField:"True"},
							{Header:"인증기관",	 				Type:"Text", 				SaveName:"CERT_GOV",				Width:100, 	 	Align:"Left", KeyField:"True"},
							{Header:"취득일",	 					Type:"Date", 				SaveName:"EXP_STA_DY",				Width:100, 	 	Align:"Center", KeyField:"True"},
							{Header:"만기일",	 					Type:"Date", 				SaveName:"EXP_END_DY",				Width:100, 	 	Align:"Center", KeyField:"True"},
							{Header:"CERT_SEQ",	 			Type:"Text", 				SaveName:"CERT_SEQ",					Width:0, 	 	Align:"Center", Hidden:"True"},
							{Header:"CREDIT_END_DY",	Type:"Text", 				SaveName:"CREDIT_END_DY",			Width:0, 	 	Align:"Center", Hidden:"True"},
							{Header:"CREDIT_YN",	 		Type:"Text", 				SaveName:"CREDIT_YN",				Width:0, 	 	Align:"Center", Hidden:"True"}
	              		];
		<%} else {%>
		init_sheet.Cols = [
							{Header:'삭제',							Type:"DelCheck",			SaveName:"DEL_CHECK", 				Width:30, 	Align:"Center"},
							{Header:"상태",	 					Type:"Status", 			SaveName:"STATUS"	,					Width:0, 		Hidden:"True"},
							{Header:"종류",	 					Type:"Combo", 			SaveName:"CERT_DIV_CD",			Width:100, 	 	Align:"Center", ComboText:"ISO9001|ISO14001|ISO18001|OHSAS|기타", ComboCode:"11|12|13|14|99", KeyField:"True"},
							{Header:"인증번호",	 				Type:"Text", 				SaveName:"CERT_NO",					Width:100, 	 	Align:"Left", KeyField:"True"},
							{Header:"인증명",	 					Type:"Text", 				SaveName:"CERT_CTNT",				Width:100, 	 	Align:"Left", KeyField:"True"},
							{Header:"인증범위",	 				Type:"Text", 				SaveName:"CERT_SCOPE",				Width:300, 	 	Align:"Left", KeyField:"True"},
							{Header:"인증기관",	 				Type:"Text", 				SaveName:"CERT_GOV",				Width:100, 	 	Align:"Left", KeyField:"True"},
							{Header:"취득일",	 					Type:"Date", 				SaveName:"EXP_STA_DY",				Width:100, 	 	Align:"Center", KeyField:"True"},
							{Header:"만기일",	 					Type:"Date", 				SaveName:"EXP_END_DY",				Width:100, 	 	Align:"Center", KeyField:"True"},
							{Header:"CERT_SEQ",	 			Type:"Text", 				SaveName:"CERT_SEQ",					Width:0, 	 	Align:"Center", Hidden:"True"},
							{Header:"CREDIT_END_DY",	Type:"Text", 				SaveName:"CREDIT_END_DY",			Width:0, 	 	Align:"Center", Hidden:"True"},
							{Header:"CREDIT_YN",	 		Type:"Text", 				SaveName:"CREDIT_YN",				Width:0, 	 	Align:"Center", Hidden:"True"}
	              		];
		<%}%>
		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheet8, init_sheet);
		sheet8.SetDataAutoTrim(0);
/* 		
		if(credit_yn == "Y")
		{
		sheet8.SetEditable(false);
		}
		 */
		sheet8.SetCountPosition(0);
	
		sheet8.FitColWidth();		
	    
	/***********************sheet9*****************************/
		
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, MergeSheet:msHeaderOnly, Page:10};
		
		init_sheet.Cols = [
							{Header:'삭제',					Type:"DelCheck",			SaveName:"DEL_CHECK", 				Width:30, 	    Align:"Center", Hidden:"True"},
							{Header:"상태",	 				Type:"Status", 		   	    SaveName:"STATUS"	,				Width:0, 		Hidden:"True"},
							{Header:"입찰번호",	 			Type:"Text", 			    SaveName:"BID_NO",				    Width:180, 	 	Align:"Left"},
							{Header:"입찰차수",	 			Type:"Text", 				SaveName:"BID_DEG",					Width:60, 		Align:"Center"},
							{Header:"입찰일자",	 			Type:"Text", 				SaveName:"BID_DT",			        Width:80, 	 	Align:"Center"},
							{Header:"주관부서",	 	        Type:"Text", 				SaveName:"RECM_DEPT_NM",		    Width:150, 	 	Align:"Left", Hidden:"True"},
							{Header:"Project명",	 	        Type:"Text", 				SaveName:"DEPT_NM",				    Width:200, 	 	Align:"Left"},
							{Header:"공사명",	 			    Type:"Text", 				SaveName:"DEMANDED_TITLE",			Width:200, 	 	Align:"Left"},
							{Header:"실행예산",	 			Type:"Int", 				SaveName:"ACT_AMT",			        Width:80, 	 	Align:"Right"},
							{Header:"입찰금액",	 			Type:"Int", 				SaveName:"ESTI_TOT_AMT",			Width:80, 	 	Align:"Right"},
							{Header:"예산대비",	 		    Type:"Int", 				SaveName:"RATE",				    Width:60, 	 	Align:"Right",  Format:"#,##0.00"},
							{Header:"입찰순위",	 		    Type:"Text", 				SaveName:"RANK",				    Width:60, 	 	Align:"Center"},
							{Header:"TBE결과",	 		    Type:"Text", 				SaveName:"TBE",				        Width:70, 	 	Align:"Center"},
							{Header:"낙찰여부",	 		    Type:"Text", 				SaveName:"SUCC_YN",				    Width:60, 	 	Align:"Center"},
							{Header:"CREDIT_END_DY",	    Type:"Text", 				SaveName:"CREDIT_END_DY",			Width:0, 	 	Align:"Center", Hidden:"True"},
							{Header:"CREDIT_YN",	 		Type:"Text", 				SaveName:"CREDIT_YN",				Width:0, 	 	Align:"Center", Hidden:"True"},
							{Header:"입찰상태",	 		    Type:"Text", 				SaveName:"STATUS_NM",			    Width:60, 	 	Align:"Center"}
							
	              		];
		
		
		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheet9, init_sheet);
		sheet9.SetDataAutoTrim(0);
	
		sheet9.SetCountPosition(0);
		sheet9.FitColWidth();
		<%-- <%}%> --%>
		
	}
	
	
	/* if(corpInfoVo.get("re_yn").equals("Y")){
		
	} ? "readonly=\"readonly\" " : "" */
	
	
	$(function(){
	    
	    /* $(document).on("keyup", "input:text[numberOnly]", function(){
	        $(this).val( $(this).val().replace(/[^0-9]/gi,"") );
	     });
	    
	    $(document).on("keyup", ".numberic", function(){
	        $(this).val($(this).val().split(/(?=(?:\d{3})+(?:\.|$))/g).join(','));  //콤마찍기 정규식...귀찮ㄹ타
	     }); */
	    
	  //숫자,특문-만... 귀찮으므로 다 정규식
	    $(document).on("keyup", "input:text[noHangelEng]", function() {$(this).val( $(this).val().replace( /[^0-9-]/gi, "") );});
	   
 	    <%if(corpInfoVo.get("re_yn").equals("N")){ %>
	 	    $(".numberic").each(function(){
		       //  $("input").attr("readonly",true);  2015.11.5
		    });  
	    <%} %>
	
	    $.getList = function()
		{
	    	$("#fevent").val("GET_LIST");
		    var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
			Modular.view.IBSheet7.doSearch(sheet1, url, $("#form1"), 10, "");
//				sheet1.DoSearch("/test/TestList_data.screen", $("#form1"));
		};
		
		$.getList2 = function()
		{
			$("#fevent").val("GET_MY_LIST");
			var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
			Modular.view.IBSheet7.doSearch(sheet2, url, $("#form1"), 10, "");
		};
		
		$.getList3 = function()
		{
			<%if(!params.get("p_in_out_div").equals("O")){ %>
				$("#fevent").val("GET_MY_LIST");
				var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
				Modular.view.IBSheet7.doSearch(sheet3, url, $("#form1"), 10, "");
			<%} %>
		};
		
		/* 담당자 정보 */
		$.getChargeList = function()
		{
			$("#fevent").val("GET_CHARGE_LIST");			
		    var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
			Modular.view.IBSheet7.doSearch(sheet4, url, $("#form1"), 10, "");
		};
		
		$.getConResultList = function()
		{
			$("#fevent").val("GET_CON_RESULT_LIST");
			
		    var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
			Modular.view.IBSheet7.doSearch(sheet5, url, $("#form1"), 10, "");
		};
		
		$.getConAbilltyList = function()
		{
			$("#fevent").val("GET_CON_ABILLTY_LIST");
			
		    var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
			Modular.view.IBSheet7.doSearch(sheet6, url, $("#form1"), 10, "");
		};
		
		$.getConTechManList = function()
		{
			$("#fevent").val("GET_TECH_MAN_LIST");
			
		    var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
			Modular.view.IBSheet7.doSearch(sheet7, url, $("#form1"), 10, "");
		};
		
		//2015.3.11 입찰이력 mklee
		$.getBidList = function()
		{
			$("#fevent").val("GET_BID_LIST");
			var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
			Modular.view.IBSheet7.doSearch(sheet9, url, $("#form1"), 10, "");
		};
		
		$.getCertList = function()
		{
			$("#fevent").val("GET_CRET_LIST");  
		    var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
			Modular.view.IBSheet7.doSearch(sheet8, url, $("#form1"), 10, "");
		};
		
		$("[name=date_img]").click(function(){
			var id = $(this).attr("id").substring(0, $(this).attr("id").lastIndexOf("_"));
			dlgCalendar(id);
		});
		
		$("#btn_erp_send").click(function(){
			if(!confirm("ERP로 거래처 전송 하시겠습니까?")) return; 
			
			$("#erp_save").val("E_SAVE");
			save(); //2019.05.13 
		});
		
		//첨부파일
		$("#search_spot_button").click(function(){
		    
		    var obj = $("#p_corp_id").val();
		    var no = "1";
		    
		    if(no == 1)
		    {
		        viewFileListNew("TERMS_AGREE_INFO_", obj, document.form1.p_AttachFile1, "N", "own/outside/" + obj);
			}
		    
		});
		
		
		$(':radio[name="p_status"]').click(function(){
		    
		    var year = "<%=oneYearAgoDate%>";
		    year = year.substring(0,4) + "-" + year.substring(4,6) + "-" + year.substring(6,8);
		    
		    var day = "<%=oneDayDate%>";
		    day = day.substring(0,4) + "-" + day.substring(4,6) + "-" + day.substring(6,8);
		    
		    //2018.05.17 거래중지 로그인가능. 
	        if($(':radio[name="p_status"]:checked').val() == "02" || $(':radio[name="p_status"]:checked').val() == "03" || $(':radio[name="p_status"]:checked').val() == "91" )
	        {
	            
	            $("#use_end_dy").val(year);
	            $("#p_right_id").val("160");
	            $("#appr_dt").val("<%=yyyymmdd%>");
	            
	            
	            $("#can_dt").val("");
	            
	            $("#use_end_dy_img").show();
	            $("#appr_dt_img").show();
	            $("#can_dt_img").hide();
	            
	            
				return;
	        }
	        else if($(':radio[name="p_status"]:checked').val() == "99")
            {
	            $("#appr_dt").val("");
	            
	            $("#can_dt").val("<%=yyyymmdd%>")
	            $("#use_end_dy").val(day);
	            $("#p_right_id").val("159");
	            
	            $("#use_end_dy_img").show();
	            $("#appr_dt_img").hide();
	            $("#can_dt_img").show();
	            return;
            }
	        else
            {
	            $("#can_dt").val("");
	            $("#appr_dt").val("");
	            $("#p_right_id").val("159");
	            
	            $("#use_end_dy_img").hide();
	            $("#appr_dt_img").hide();
	            $("#can_dt_img").hide();
	            return;
            }
	    });
		
		$("#dataClear2").click(function(){$("#ban_bid").val("");});
		
	});
	
	
	//같은값 자동 rowspan 주기
	/*
	$(window).load(function () {
        $(".gubun").each(function () {
            var rows = $(".gubun:contains('" + $(this).text() + "')");
            if (rows.length > 1) {
                rows.eq(0).attr("rowspan", rows.length);
                rows.not(":eq(0)").remove(); 
            } 
        });
    });
	*/
	
	
	$(function(){
	    
/******* 탭메뉴 ********/
	    
	    $(".tab_content").hide();
	    $(".tab_content:first").show();

	    $("ul.tabs li").click(function () {
	        $("ul.tabs li").removeClass("active").css("color", "#333");
	        //$(this).addClass("active").css({"color": "darkred","font-weight": "bolder"});
	        $(this).addClass("active").css("color", "darkred");
	        $(".tab_content").hide();
	        var activeTab = $(this).attr("rel");
	        $("#" + activeTab).fadeIn();
	        
	        if(credit_yn == "Y")
            {
	            if(activeTab == "tab2")
		        {
// 		            $.getChargeList();
	                sheet4.FitColWidth();
		        }
		        else if(activeTab == "tab3")
		        {
// 		            $.getConResultList();
		            sheet5.FitColWidth();
		        } 
		        else if(activeTab == "tab4")
		        {
// 		            $.getConAbilltyList();
		            sheet6.FitColWidth();
		        } 
		        else if(activeTab == "tab5")
		        {
// 		            $.getConTechManList();
					sheet8.FitColWidth();
		            
		        } 
		        else if(activeTab == "tab6")
		        {
// 		            $.getCertList();
		        	sheet7.FitColWidth();
		        } 
		        else if(activeTab == "tab8")
	            {
		            initRdViewer();
	            }
		        else if(activeTab == "tab9") //2015.3.11 입찰이력 추가 mk
	            {
		        	sheet9.FitColWidth();
	            }
            }
	        else
            {
	            if(activeTab == "tab2")
		        {
	                if(search_flag_4 == "N")
	                {
	        	        search_flag_4 = "Y";
	                }
        	        sheet4.FitColWidth();
		        }
		        else if(activeTab == "tab3")
		        {
		            if(search_flag_5 == "N")
		            {
		    	        search_flag_5 = "Y";
		            }
	    	        sheet5.FitColWidth();
		        } 
		        else if(activeTab == "tab4")
		        {
		            if(search_flag_6 == "N")
		            {
		    	        search_flag_6 = "Y";
		            }
	    	        sheet6.FitColWidth();
		        } 
		        else if(activeTab == "tab6")
		        {
		            if(search_flag_7 == "N")
		            {
		    	        search_flag_7 = "Y";
		            }
	    	        sheet7.FitColWidth();
		        } 
		        else if(activeTab == "tab5")
		        {
		            if(search_flag_8 == "N")
		            {
		    	        search_flag_8 = "Y";
		            }
	    	        sheet8.FitColWidth();
		        } 
		        else if(activeTab == "tab8")
	            {
		            initRdViewer();
	            }
		        else if(activeTab == "tab9")  //2015.3.11 입찰이력추가 mklee
	            {
		        	if(search_flag_9 == "N")
		            {
		    	        search_flag_9 = "Y";
		            }
		        	sheet9.FitColWidth();
	            }
            }
	    });
	    
	    
	    
	    $(document).ready(function(){
	        if(corp_reg_gubun > "80" && corp_reg_gubun < "90")
	        {
		        $("#p_corp_no").addClass("required");
		        $("#p_head_corp_reg_n").addClass("required");
	        }
	        
	        if(corp_reg_gubun  == "86")
	        {
		        $("#p_head_corp_reg_n").addClass("required");
	        }
	        
	        if(p_in_out_div == "O")
	        {
	            var event = "<%=storage.getEvent()%>";
		        
		        if(event == "REG_DATA")
	            {
		            $("#btn_delete_area").css("display", "none");
	            }
		        else
	            {
		            $("#btn_delete_area").css("display", "inline");
	            }
		        
		        $("#btn_erp_send_area").css("display", "none");
		        $("#btn_save_area").css("display", "none");
		        $("#btn_save2_area").css("display", "inline");
		        $("#h_phon_1").parents().parents().children("th").removeClass();
		        
	        }
		    else
	        {
		        $("#btn_delete_area").css("display", "none");
		        $("#btn_save2_area").css("display", "none");
	        }
	        
	        $.gridInit();
	        $.getList();
			
			/* $.getList2();
			
			
			if((credit_yn.trim() == "N" || credit_yn.trim() == "" || credit_yn.trim() == "Y") && p_in_out_div != "O")
	        {
			    $.getChargeList();
			    $.getConResultList();
			    $.getConAbilltyList();
			    $.getConTechManList();
			    $.getCertList();
	        } */
			
			
			if(class_gubun == "A")
		    {
			    $(".class_1").css("background-color", "#f4f2f3");
		    }
			else if(class_gubun == "B")
		    {
			    $(".class_2").css("background-color", "#f4f2f3");
		    }
			if(class_gubun == "C")
		    {
			    $(".class_3").css("background-color", "#f4f2f3");
		    }
			if(class_gubun == "D")
		    {
			    $(".class_4").css("background-color", "#f4f2f3");
		    }
			
			
			if(credit_yn == "Y")
			{
			   /*  $("[name=sheet_save_btn]").css("display", "none"); */
			}
			
			getFileListForTextarea();
		});
	    
	    
	    
	    
	    
	    
	    
	    /*******************************************************/
	    var main_cd = "";
	    <%
	    for(int i=0; i < rowset.size(); i++)
	    {
	    %>
	    	main_cd =  "<%=rowset.getRow(i).get("OUT_MAIN_CD")%>";
		    
		    $(":checkbox[name='out_main_cd']").each(function(pi,po){
			    if(main_cd == $(this).val())
			    {
			        $(this).attr("checked", true);
			    }
			  });
	    <%
	    }
	    %>
	    
	    
	    $("#btn_delete").click(function(){
	        
	        var f = document.form1;
	        var event = "<%=event%>";
	        
	        if(confirm("삭제 하시겠습니까?"))
	        {
                if(event == "GET_OUT_DETAIL")
                {
                    $("#fevent").val("DELETE_DATA");
                    var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
    				var result = Modular.view.IBSheet7.doSave(sheet2, url, $("#form1"), false);
                }
	        }
	        
	    });
	    
	    
		$("#btn_save2").click(function(){
	        
	        var f = document.form1;
	        var Row = sheet2.ColValueDup("6");
	        var event = "<%=event%>";
			var gubun = "N";
			var all_del= "N";
			
			// 정규식 - 이메일 유효성 검사
	        var regEmail = /([\w-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([\w-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(\]?)$/;
	        
	        if(sheet2.LastRow() <=0)
            {
	            alert("구분선택을 해주십시오");
	            return;
            }
	        
	        for(var i=1; i<=sheet2.LastRow(); i++)
	    	{
                if(sheet2.GetCellValue(i, "MAIN_ITEM") == "1")
                {
                    gubun = 'Y";'
                }
	    	}
	        
	        if(gubun == "N")
	        {
                alert("대표 구분을 지정하세요.");
	            return;
	        }    
			if(Row != -1)
			{
		        alert("구분선택에 중복된 내용이 존재합니다.");
			    return;
			}
			
			for(var i=1; i<=sheet2.LastRow(); i++)
			{
			    if(sheet2.GetCellValue(i, "DEL_CHECK") == "1")
			    {
			        all_del = "Y";
		        }
			    else
		        {
			        all_del = "N";
			        break;
		        }
		    }
			
			if(all_del == "Y")
		    {
			    alert("구분 은 하나이상 반드시 등록하셔야 합니다.");
			    return;
		    }
	        
	        
	        
	        
	        
	        
	        if($(':radio[name="p_status"]:checked').val() == undefined)
            {
	            alert("등록상태를 선택해 주십시오.");
	            return $("#p_status1").focus();
            }
	        
	        if($("#manage_no").val().trim() == "")
            {
	            alert("관리번호를 입력해 주세요.");
	            return $("#manage_no").focus();
            }
	        
// 	        if($("#nation_cd").val().trim() == "")
//             {
// 	            alert("국가를 선택해 주세요");
// 	            return $("#nation_cd").focus();
//             }

			if($("#corp_kor").val().trim() == "")
		    {
        		alert("업체명을 입력해 주세요.");
        		return $("#corp_kor").focus();
		    }
			
			if($("#rep_name").val().trim() == "")
		    {
        		alert("대표자명을 입력해 주세요.");
        		return $("#rep_name").focus();
		    }
			
			if($("#corp_tel").val().trim() == "")
		    {
        		alert("전화번호를 입력해 주세요.");
        		return $("#corp_tel").focus();
		    }
			
			if($("#corp_fax").val().trim() == "")
		    {
        		alert("FAX번호를 입력해 주세요.");
        		return $("#corp_fax").focus();
		    }
			
            if($("#address").val().trim() == "")
            {
                alert("주소를 입력해 주세요");
                return $("#address").click();
            }    
            /*2015.10.13
            if($("#base_year").val()<1900)
            {
                alert("재무정보 기준년도를 확인 해 주세요");
	            return $("#base_year").focus();
            }
            
            if($("#user_name").val().trim() == "")
            {
                alert("담당자명을 입력해 주세요");
                return $("#user_name").focus();
            }
            
            if($("#email").val().trim() == "")
            {
                alert("이메일 주소를 입력해 주세요");
                return $("#email").focus();
            }
            else 
	        {
	            if(!regEmail.test($("#email").val().trim())) 
	            {
	                alert("이메일 주소가 유효하지 않습니다");
	                $("#email").focus();
	                return false;
	            }
	        }
            
            if($("#h_phon_1").val().trim() == "" || $("#h_phon_2").val().trim() == "" || $("#h_phon_3").val().trim() == "")
            {
                alert("핸드폰 번호를 입력해 주세요");
                return $("#h_phon_1").focus();
            }*/
            
            
            if(confirm("저장하시겠습니까?"))
	        {
                if(event == "GET_OUT_DETAIL")
                {
                    $("#fevent").val("UPDATE_DATA2");
                }
                else
                {
                    $("#fevent").val("SAVE_DATA2");                    
                }

                var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
				var result = Modular.view.IBSheet7.doSave(sheet2, url, $("#form1"), false);
	        }
            
            
     
	    });
	    
	    
		$("#btn_save").click(function(){
			$("#erp_save").val("SAVE");
	    	save(); //2019.05.13 	    	
	    });
		
		
		$("#btn_list").click(function(){
	        
	        $("#fevent").val("");
	        $("#form1").attr("action", "/supplier/outside/OutSupplierList.screen");
	        $("#form1").attr("target", "_self");
			$("#form1").attr("method", "post");
			$("#form1").submit();	        
	        
	    });
		
		$("#sheet4_add").click(function(){
	        sheet4.DataInsert(-1);
			if(sheet4.GetCellValue(sheet4.LastRow(), "USER_ID").trim() == ""){
				//sheet4.SetCellEditable(sheet4.LastRow(), "USER_ID", 1);
				//sheet4.SetCellEditable(sheet4.LastRow(), "USER_NAME", 1);
				//sheet4.SetCellEditable(sheet4.LastRow(), "DIVISION", 1);
				//sheet4.SetCellEditable(sheet4.LastRow(), "POSITION", 1);
				sheet4.SetCellValue(sheet4.LastRow(), "BAR1","-");
				sheet4.SetCellValue(sheet4.LastRow(), "BAR2","-");
				sheet4.SetCellValue(sheet4.LastRow(), "CORP_ID","<%=params.get("p_corp_id") %>");
			}
	    });
	    
		$("#sheet5_add").click(function(){
			
	        sheet5.DataInsert(-1);
	    });
	    
		$("#sheet6_add").click(function(){
			
			
	        var irow = sheet6.DataInsert(-1);
	        sheet6.SetCellValue(irow, "BASE_YEAR", '<%=year%>');
	    });
	    
		$("#sheet7_add").click(function(){
			
	        sheet7.DataInsert(-1);
	    });
		$("#sheet8_add").click(function(){
			
	        sheet8.DataInsert(-1);
	    });
		
		
		
		$("#search_addr").click(function() {
			
			/* var url = "/common/lib/dlgSearchZipCode.screen";
			url += "?pop_win_id="+win_id;
			var win_id = "_searchPostCode";
			$("#addr_gubun").val("A");

			fLayerPop(win_id, url, 550,490, '', '', 'NO'); */
			$("#addr_gubun").val("A");
			var pop = window.open("/lib/dlgjusoPopup.screen","pop","width=570,height=420, scrollbars=yes, resizable=yes"); 
		});
	    
		$("#search_addr_sub").click(function() {
			
			/* var url = "/common/lib/dlgSearchZipCode.screen";
			var win_id = "_searchPostCode";
			url += "?pop_win_id="+win_id;
			$("#addr_gubun").val("B");
			
			fLayerPop(win_id, url, 550,490, '', '', 'NO'); */
			$("#addr_gubun").val("B");
			var pop = window.open("/lib/dlgjusoPopup.screen","pop","width=570,height=420, scrollbars=yes, resizable=yes"); 
		});
	    
		
		
		$("#corpTestYear").change(function(){
		    
		    var list = $("#corpTestYear").val().split("|");
			
		    $("#p_appr_dy").val(list[0]);
		    $("#p_arr_id").val(list[1]);
		    $("#doc_cd").val(list[2]);
		    $("#YEAR_STD").val(list[3]); //2018.04.20 기준년도추가 
		    
		    initRdViewer();
		    
		});

		
		
		$("#btn_test").click(function(){
		    
		    var f = document.form1;
		    
		    if(!confirm("신용평가서 정보를 적용후 평가를 하시겠습니까?")) return;
		    
		    $("#fevent").val("SUPP_TEST");
		    
		    submitXmlRequest("/supplier/outside/OutSupplier_form.screen", "SUPP_TEST", f);
		    
		});
		
		$("#btn_test2").click(function(){
		    
		    var f = document.form1;
		    
		    if(!confirm("평가를 하시겠습니까?")) return;
		    
		    $("#fevent").val("SUPP_TEST2");
		    
		    submitXmlRequest("/supplier/outside/OutSupplier_form.screen", "SUPP_TEST2", f);
		    
		});
		
	    
	});
	//2019.05.13
	function save(){

	    var f = document.form1;
        var Row = sheet2.ColValueDup("6");
        var event = "<%=event%>";
		var gubun = "N";
		var all_del= "N";
		// 정규식 - 사업장 관리번호 검사
        //var regNo =  /^[0-9]{11,11}$/;
        
        if(sheet2.LastRow() <=0)
        {
            alert("구분선택을 해주십시오");
            return;
        }
        
        for(var i=1; i<=sheet2.LastRow(); i++)
    	{
            if(sheet2.GetCellValue(i, "MAIN_ITEM") == "1")
            {
                gubun = "Y";
            }
            
            if((sheet2.GetCellValue(i, "MAIN_ITEM") == "1")&&(sheet2.GetCellValue(i, "DEL_CHECK") == "1"))
            {
                gubun = "N";
                alert("대표 공종을 삭제 할 수 없습니다.");
	            return;
            }
    	}
        
			for(var i=1; i<=sheet4.LastRow(); i++)
    	{
            if(stringByteSize4UTF(sheet4.GetCellValue(i, "NOTE"))>500){
            	alert("비고는 500자를 넘을 수 없습니다.");
            	return;
            }
    	}
        
        if(gubun == "N")
        {
            alert("대표 구분을 지정하세요.");
            return;
        }    
		if(Row != -1)
		{
	        alert("구분선택에 중복된 내용이 존재합니다.");
		    return;
		}
		
		for(var i=1; i<=sheet2.LastRow(); i++)
		{
		    if(sheet2.GetCellValue(i, "DEL_CHECK") == "1")
		    {
		        all_del = "Y";
	        }
		    else
	        {
		        all_del = "N";
		        break;
	        }
	    }
		
		if(all_del == "Y")
	    {
		    alert("구분 은 하나이상 반드시 등록하셔야 합니다.");
		    return;
	    }
        
        var chked_val = "";
	    $(":checkbox[name='out_main_cd']:checked").each(function(pi,po){
		    chked_val += ","+po.value;
		  });
		  if(chked_val!="") chked_val = chked_val.substring(1);
		
		  if(corp_reg_gubun == "86")
		  {
		      if($("#head_corp_reg_n").val().trim() == "")
			  {
		          alert("본사 사업자번호를 입력해 주세요.");
		          return $("#head_corp_reg_n").focus();
	          }
		  }
		  
		  if(corp_reg_gubun > "80" && corp_reg_gubun < "90")
		  {
			  if($("#copr_no").val().trim() == "")
			  {
			      alert("법인번호를 입력해 주세요.");
			      return $("#copr_no").focus();
			  }
		  }
		  
		  //if($("#sub_place_no").val().trim() != "")
		    //{
	        	//if(!regNo.test($("#sub_place_no").val().trim())) 
	            //{
	        		//alert("사업장 관리번호가 유효하지 않습니다(숫자 11자리)");
	        		//$("#sub_place_no").focus();
	        		//return false;
	            //}    		
		    //}
			
			if($("#corp_kor").val().trim() == "")
		    {
        		alert("업체명을 입력해 주세요.");
        		return $("#corp_kor").focus();
		    }
			
			if($("#rep_name").val().trim() == "")
		    {
        		alert("대표자명을 입력해 주세요.");
        		return $("#rep_name").focus();
		    }
			
			if($("#corp_sts").val().trim() == "")
		    {
        		alert("업태를 입력해 주세요.");
        		return $("#corp_sts").focus();
		    }
			
			if($("#biz_form").val().trim() == "")
		    {
        		alert("업종을 입력해 주세요.");
        		return $("#biz_form").focus();
		    }
			
			if($("#esta_date").val().trim() == "")
		    {
        		alert("설립일자를 입력해 주세요.");
        		return $("#esta_date").focus();
		    }
			
			if($("#corp_tel").val().trim() == "")
		    {
        		alert("전화번호를 입력해 주세요.");
        		return $("#corp_tel").focus();
		    }
			
			if($("#corp_fax").val().trim() == "")
		    {
        		alert("FAX번호를 입력해 주세요.");
        		return $("#corp_fax").focus();
		    }

			if($("#base_year").val()<1900)
            {
                alert("기준년도를 확인 해 주세요");
	            return $("#base_year").focus();
            }
			
			if($("#float_asset").val().trim() == "")
		    {
        		alert("유동자산을 입력해 주세요.");
        		return $("#float_asset").focus();
		    }
			
			if($("#float_debt").val().trim() == "")
		    {
        		alert("유동부채를 입력해 주세요.");
        		return $("#float_debt").focus();
		    }
			
			if($("#tot_cap").val().trim() == "")
		    {
        		alert("자본총계를 입력해 주세요.");
        		return $("#tot_cap").focus();
		    }
			
			if($("#gross_asset").val().trim() == "")
		    {
        		alert("부채총계를 입력해 주세요.");  //2018.04.16 부채와 자본총계 수정 
        		return $("#gross_asset").focus();
		    }
			
			if($("#capital_amt").val().trim() == "")
		    {
        		alert("자본금을 입력해 주세요.");
        		return $("#capital_amt").focus();
		    }
			
			if($("#cur_profit").val().trim() == "")
		    {
        		alert("당기순이익을 입력해 주세요.");
        		return $("#cur_profit").focus();
		    }
			
			if($("#cur_sales_amt").val().trim() == "")
		    {
        		alert("당기매출액을 입력해 주세요.");
        		return $("#cur_sales_amt").focus();
		    }
			
			if($("#pri_sales_amt").val().trim() == "")
		    {
        		alert("전기매출액을 입력해 주세요.");
        		return $("#pri_sales_amt").focus();
		    }
			
			//은행계좌 확인 2019.05.09
			if($("#bank_cd").val().trim() == "" || $("#bank_acct").val().trim() == "")   
		    {
        		alert("계좌정보를 입력해 주세요.");
        		return $("#bank_acct").focus();
		    }
			
/* 				for(var i=1; i<=sheet5.LastRow(); i++)
			{
				if(sheet5.GetCellValue(i, "CONT_END_DY")-sheet5.GetCellValue(i, "CONT_STA_DY")<0){
					alert("착공일과 준공일을 확인해 주세요.");
					return false;
				}
			} */
			
			for(var i=1; i<=sheet5.LastRow(); i++)
	    	{
                if(stringByteSize4UTF(sheet5.GetCellValue(i, "ORDR_ORG_NM"))>90){  //2015.3.12 발주처명 사이즈 100
                	alert("발주처명은 영문 90자 한글 30자를 넘을 수 없습니다.");
                	return;
                }
	    	}
			
			for(var i=1; i<=sheet8.LastRow(); i++)
			{
				if(sheet8.GetCellValue(i, "EXP_END_DY")-sheet8.GetCellValue(i, "EXP_STA_DY")<0){
					alert("인증서 취득일과 만기일을 확인해 주세요.");
					return false;
				}
			}
			
			//담당자명 중복체크  2016.4.20
			for(var i=1; i<=sheet4.LastRow(); i++)
			{
				for(var ii = i+1; ii<=sheet4.LastRow(); ii++)
				{
					if(sheet4.GetCellValue(i, "USER_NAME")== sheet4.GetCellValue(ii, "USER_NAME")){
						alert("담당자정보 이름이 중복됩니다. ");
						return false;
					}
				}
			}
			
			
			if($(':radio[name="tax_addr_cd"]:checked').val() == "B")
            {
                if($("#post_no_1").val().trim() == "")
                {
                    alert("본점 소재지를 입력해 주세요");
		            //return $("#search_addr").focus();
// 		            $("body,html").scrollTop(0);
                    return $("#search_addr").click();
                }    
            }
            else
            {
                if($("#place_post_no_1").val().trim() == "")
                {
                    alert("사업장  소재지를 입력해 주세요");
		            //return $("#search_addr_sub").focus();
// 		            $("body,html").scrollTop(0);
                    return $("#place_address").click();
                }
            }
			
			
			if($(':radio[name="p_status"]:checked').val() == "02" || $(':radio[name="p_status"]:checked').val() == "03"  || $(':radio[name="p_status"]:checked').val() == "91"  )
	        {
	            $("#p_right_id").val("160");
	        }
	        else if( $(':radio[name="p_status"]:checked').val() == "99")
            {
	            $("#p_right_id").val("159");
            }
	        else
            {
	            $("#p_right_id").val("159");
            }
			
	  	$("#out_main_check").val(chked_val);
		
	  	if(confirm("변경한 업체정보를 저장하시겠습니까?"))
        {
	        $("#fevent").val("SAVE_DATA");

	        var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
			var result = Modular.view.IBSheet7.doSave(sheet2, url, $("#form1"), false);
        }
	}
	
	function jusoCallBack(roadFullAddr,roadAddrPart1,addrDetail,roadAddrPart2,engAddr, jibunAddr, zipNo, admCd, rnMgtSn, bdMgtSn){
		// 팝업페이지에서 주소입력한 정보를 받아서, 현 페이지에 정보를 등록합니다.
		//2017.01.10
		if($("#addr_gubun").val() == "A"){
			$("#address").val( roadAddrPart1+ ' ' +roadAddrPart2 + ' ' + addrDetail );  
			$("#post_no_1").val( zipNo);  
		}else{
			$("#place_address").val( roadAddrPart1+ ' ' +roadAddrPart2 + ' ' + addrDetail );  
			$("#place_post_no_1").val( zipNo);  
		}	
   }
	//RD 화면에 출력하기 위한  Function
	function initRdViewer() {
		  var args = arguments;
// 		  var viewerObj = document.getElementById("RdViewer");
		  var p_doc_cd = $("#doc_cd").val();  /*"<%=params.get("p_doc_cd")%>";*/
		  var year_std = $("#YEAR_STD").val();  
		  var RDUrl = "";
		  var RDParams = "";
	      
		  if (p_doc_cd == ""){
		      p_doc_cd = "<%=params.get("p_doc_cd")%>";
		  }
		  if(p_doc_cd == "11")  //외주등록평가표(구)
	      {
		      RDUrl = "/report/mrd/buyer/supplier/outside/OutSupplierReport.mrd";
	      }
		  else if(p_doc_cd == "12") //외주정기평가표(공사)
	      {
		      RDUrl = "/report/mrd/buyer/supplier/outside/OutSuppFixApprReport.mrd";
	      }
		  else if(p_doc_cd == "13")  //외주등록평가표(공사)
	      {
			  if (year_std == "2018"){
				  RDUrl = "/report/mrd/buyer/supplier/outside/OutSupplierReport13_2018.mrd";
			  }else if (year_std == "2019"){
				  RDUrl = "/report/mrd/buyer/supplier/outside/OutSupplierReport13_2019.mrd";
			  }else if (year_std == "2022"){
				  RDUrl = "/report/mrd/buyer/supplier/outside/OutSupplierReport13_2022.mrd";
			  }else{
				  RDUrl = "/report/mrd/buyer/supplier/outside/OutSupplierReport13.mrd";
			  }
	      }
		  else if(p_doc_cd == "14")  //외주등록평가표(설계)
	      {
		      if (year_std == "2018"){
				  RDUrl = "/report/mrd/buyer/supplier/outside/OutSupplierReport14_2018.mrd";
			  }else if (year_std == "2022"){
				  RDUrl = "/report/mrd/buyer/supplier/outside/OutSupplierReport14_2022.mrd";
			  }else{
				  RDUrl = "/report/mrd/buyer/supplier/outside/OutSupplierReport14.mrd";
			  }
	      }
		  else if(p_doc_cd == "15")  //외주등록평가표(해외)
	      {
		      RDUrl = "/report/mrd/buyer/supplier/outside/OutSupplierReport15.mrd";
	      }
		  else if(p_doc_cd == "16")  //외주정기평가표(인허가)
	      {
		      RDUrl = "/report/mrd/buyer/supplier/outside/OutSuppFixApprReport16.mrd";
	      }
		  
			 
		  
		  var RDParams = "[" + $("#p_corp_id").val() + "]";
          		RDParams += "[" + $("#p_arr_id").val() + "]";
          		RDParams += "[" + $("#p_appr_dy").val() + "]";
          	
          		
       		var viewer = new m2soft.crownix.Viewer("<%=WAFConfig.get("waf.rd_report.searver")%>", 'RdViewer');
   			viewer.useAdjustCharacterScale(true);
   		  	viewer.openFile("<%= ctx.getServerDomain() %>" + RDUrl, '/rf [<%= WAFConfig.get("waf.rd_report.path", "")%>rdagent.jsp] /rsn [<%= WAFConfig.get("waf.rd_report.DataSource", "")%>] /rp '+ RDParams);
        		
      		<%--   	
		  with(viewerObj) {
		    AutoAdjust = false;
		    ZoomRatio = 140;
		    SetBackgroundColor(255,255,255);
		    HideStatusbar();
		    ShowMemoLine (0);
		    //FileOpen(urlPrefix + RDUrl, RDParams);
		    ApplyLicense("<%=WAFConfig.get("waf.rd_report.path")%>rdagent.jsp");
		    FileOpen("<%= ctx.getServerDomain() %>" + RDUrl, "/rf [<%= WAFConfig.get("waf.rd_report.path", "")%>rdagent.jsp] /rsn [<%= WAFConfig.get("waf.rd_report.DataSource", "")%>] /rp "+ RDParams);
		  } --%>
	}
	
	function searchPostCodeClose(result) {
		if( result != null ){
			
		    if($("#addr_gubun").val() == "A")
	        {
		        $("#post_no_1").val(result[0].substring(0,3));
			    $("#post_no_2").val(result[0].substring(4,7));
			    
			    $("#address").val(result[2]);
	        }
		    else
	        {
		        $("#place_post_no_1").val(result[0].substring(0,3));
			    $("#place_post_no_2").val(result[0].substring(4,7));
			    
			    $("#place_address").val(result[2]);
	        }
			
		    $("#addr_gubun").val("");
		}
		fLayerPopClose('_searchPostCode');
	}
	
	
	
	/************search_end***************/
	function sheet1_OnSearchEnd(code, message) {
		if(code == 0){
			$.getList2();
			sheet1.ShowTreeLevel(0, 1);
		}else{
			alert(message);
		}
	}

	function sheet2_OnSearchEnd(code, message) {
		if(code == 0){
			
				if((credit_yn.trim() == "N" || credit_yn.trim() == "" || credit_yn.trim() == "Y") && p_in_out_div != "O")
		        {
					$.getList3();
		        }
			
				/*2015.10.12 추가 */
				if (p_in_out_div == "O")
				{
					$.getChargeList();
				}
		}else{
			alert(message);
		}
	}
	
	function sheet3_OnSearchEnd(code, message) {
		if(code == 0 || code == "0"){
			$.getChargeList();
		}else{
			alert(message);
		}
	}
	
	function sheet4_OnSearchEnd(code, message) 
	{
		if(code == 0){
			if((credit_yn.trim() == "N" || credit_yn.trim() == "" || credit_yn.trim() == "Y") )//&& p_in_out_div != "O" 2015.10.12
	        {
	 		    $.getConResultList();
	        }

		}else{
			alert(message);
		}

		if(search_flag_4 == "N" && credit_yn == "Y")
        {
	        search_flag_4 = "Y";
        }
		
		for(var i=1; i<=sheet4.LastRow(); i++)
		{
			if(sheet4.GetCellValue(i, "USER_ID").trim() != ""){
				sheet4.SetCellEditable(i, "DEL_CHECK", 0);
			}
		}

        sheet4.FitColWidth();
	}
	
	function sheet5_OnSearchEnd(code, message) 
	{
		if(code == 0){
			if((credit_yn.trim() == "N" || credit_yn.trim() == "" || credit_yn.trim() == "Y") )//&& p_in_out_div != "O"   2015.10.12
	        {
	 		    $.getConAbilltyList();
	        }
			if(search_flag_5 == "N" && credit_yn == "Y")
	        {
		        sheet5.FitColWidth();
		        search_flag_5 = "Y";
	        }
	        var credit_end_dy = sheet5.GetCellValue(1,"CREDIT_END_DY");
	    	if(credit_end_dy == -1){
    			return; 
	    	}else{
	    		if(credit_end_dy > now_DY){
/* 	    			$("#span_sheet5_add").hide();
	    			sheet5.SetEditable(false); */
	    		}
    		}
		}else{
			alert(message);
		}
		

	}
	
	function sheet6_OnSearchEnd(code, message) 
	{
		if(code == 0){
			if((credit_yn.trim() == "N" || credit_yn.trim() == "" || credit_yn.trim() == "Y"))// && p_in_out_div != "O"2015.10.12
	        {
	 		    $.getConTechManList();
	        }
			if(search_flag_6 == "N" && credit_yn == "Y")
	        {
		        sheet6.FitColWidth();
		        search_flag_6 = "Y";
	        }
           	var credit_end_dy = sheet6.GetCellValue(1,"CREDIT_END_DY");
	    	if(credit_end_dy == -1){
	    		return; 
	    	}else{
	    		if(credit_end_dy > now_DY){
/* 	    			$("#span_sheet6_add").hide();
	    			sheet6.SetEditable(false); */
	    		}
	    	}
		}else{
			alert(message);
		}
	}
	
	function sheet7_OnSearchEnd(code, message) 
	{
		if(code == 0){
			if((credit_yn.trim() == "N" || credit_yn.trim() == "" || credit_yn.trim() == "Y") )//&& p_in_out_div != "O" 2015.10.12
	        {
				$.getCertList();
			}
			if(search_flag_7 == "N" && credit_yn == "Y")
	        {
		        sheet7.FitColWidth();
		        search_flag_7 = "Y";
	        }
           	var credit_end_dy = sheet7.GetCellValue(1,"CREDIT_END_DY");
	    	if(credit_end_dy == -1){
	    		return; 
	    	}else{
	    		if(credit_end_dy > now_DY){
/* 	    			$("#span_sheet7_add").hide();
	    			sheet7.SetEditable(false); */
	    		}
	    	}
		}else{
			alert(message);
		}
	}
	
	function sheet8_OnSearchEnd(code, message) 
	{
		if(code == 0){
			
			//2015.3.11
			if((credit_yn.trim() == "N" || credit_yn.trim() == "" || credit_yn.trim() == "Y") ) //&& p_in_out_div != "O" 2015.10.12
	        {
				$.getBidList();
			}
			
			if(search_flag_8 == "N" && credit_yn == "Y")
	        {
		        sheet8.FitColWidth();
		        search_flag_8 = "Y";
	        }
           	var credit_end_dy = sheet8.GetCellValue(1,"CREDIT_END_DY");
	    	if(credit_end_dy == -1){
	    		return; 
	    	}else{
	    		if(credit_end_dy > now_DY){
/* 	    			$("#span_sheet8_add").hide();
	    			sheet8.SetEditable(false); */
	    		}
	    	}
		}else{
			alert(message);
		}
	}
	
	//2015.3.11 입찰이력 mk
	function sheet9_OnSearchEnd(code, message) 
	{
		if(code == 0){
			
			if(search_flag_9 == "N" && credit_yn == "Y")
	        {
		        sheet9.FitColWidth();
		        search_flag_9 = "Y";
	        }
           	sheet9.SetEditable(false);
	    	
		}else{
			alert(message);
		}
	}
	
	function doResult(resultObj) 
	{
		try 
		{
		    if( resultObj.getRequestEvent() == "CORP_CHECK") 
		    {
		        
		    }
		    else if( resultObj.getRequestEvent() == "SAVE_DATA") 
		    {
				if( resultObj.getSuccess() ) 
				{
					alert("저장되었습니다.");
					document.form1.isSubmit = false;
				}
				else 
				{
	// 				dlgErrorMsg(resultObj.getMessage);
					alert(resultObj.getValueObject().get("errMsg"));
					document.form1.isSubmit = false;
				}
			}
		    else if(resultObj.getRequestEvent() == "UPDATE_APPRV")
	        {
		        if( resultObj.getSuccess() ) 
				{
		            alert("승인되었습니다.");
		            $("#btn_list").click();
				}
		        else
	            {
		            document.form1.isSubmit = false;
  					alert("승인이 실패하였습니다.");
	            }
	        }
		    else if(resultObj.getRequestEvent() == "GET_CREADIT_REG_CHK")
		    {
			    document.form1.isSubmit = false;
			    
			    var url = resultObj.getValueObject().get("returnUrl");
			    
			    window.open(url, "pop", "width=1024,height=600, resizable=yes, scrollbars=yes");
		    }
		    else if(resultObj.getRequestEvent() == "GET_CREADIT_REG_CHK2")
		    {
			    document.form1.isSubmit = false;
			    
			    var url = resultObj.getValueObject().get("return_url");
	            var open = window.open('',"go_ksrm","width=1024,height=600,resizable=yes,scrollbars=yes");
	            var f = document.form1;
	            
	            f.action = url;
	            f.target = "go_ksrm";
	            f.method = "post";
	            f.submit(); 
		    }
		    else if(resultObj.getRequestEvent() == "SUPP_TEST")
		    {
		        document.form1.isSubmit = false;
		        alert("평가가 완료되었습니다.");
		    }else if(resultObj.getRequestEvent() == "GET_ATTACHFILE")
	    	{
	    		if( resultObj.getSuccess() ) {				
					document.form1.p_AttachFile1.value = resultObj.getValueObject().get("AttachFile");
				}else {
					dlgErrorMsg(resultObj);
				}
				document.form1.isSubmit = false;
	    	}
		    else if(resultObj.getRequestEvent() == "SUPP_TEST2")
		    {
		        document.form1.isSubmit = false;
		        alert("평가가 완료되었습니다.");
		    }
		    else if( resultObj.getRequestEvent() == "ERP_SEND") {
		    	if( resultObj.getSuccess() ) {
					alert("완료되었습니다.");
				} else {
					dlgErrorMsg(resultObj);
				}
			} 
		}
		catch(errorObject) 
		{
			showErrorDlg("doResult()", errorObject);
		}
	}
	
	
	function sheet1_OnDblClick(Row, Col, Value)
	{
	    var rowIndex = "";
	    var sheetObj = document.all.sheet1;
	    
	    if(sheet1.GetCellValue(Row, "LEVEL") == "2")
	    {
// 	        sheet2.RowDelete(1, 0);

	        rowIndex = sheet2.DataInsert(-1);
		    sheet2.SetCellValue(rowIndex, "KIND_BIG_NAME", sheet1.GetCellValue(Row, "GUBUN_1"));
		    sheet2.SetCellValue(rowIndex, "KIND_MID_NAME", sheet1.GetCellValue(Row, "GUBUN_2"));
		    sheet2.SetCellValue(rowIndex, "KIND_SMALL_NAME", sheet1.GetCellValue(Row, "GUBUN_3"));
		    sheet2.SetCellValue(rowIndex, "ITEM_CODE", sheet1.GetCellValue(Row, "MATERIALGROUP"));
	    }
	    else
	    {
//			alert("소분류를 선택해 주세요.");
	    	if(sheet1.GetRowExpanded(Row) == 0){
	    	    sheet1.SetRowExpanded(Row, 1);
	    	}else{
	    		sheet1.SetRowExpanded(Row, 0);
	    	}
	    }
	}
	
	
	function sheet3_OnDblClick(Row, Col, Value)
	{
	    var s_name = sheet3.ColSaveName(Col);
	    
	    if(s_name == "CREDIT_GRADE")
        {
	        
	        var code = sheet3.GetCellValue(Row, "GUBUN_CODE");
	        var reg_no = "<%=vo.get("CORP_REG_NO")%>";
	        
	        /*
	        	이크레더블 : E
	        	서울신용평가 : S
	        	나이스디앤비 : N
	        	한국기업데이터 : K
	        	나이스평가정보:M
	        */
	        if(code == "E")
            {
	            var u = "2d2d424547494e204349504845522d2d313131310000000b3030303030303030eef0492ff42855bbffb697d670d4e3d109dafed98f4d7900293e8d4b9c1dcebd28eb9d58fd4c815c4d4829f1415fdfb730302d2d454e44204349504845522d2d";
	            var p = "2d2d424547494e204349504845522d2d313131310000000830303030303030301bb8ae01f161a326e30cc8d45f3844afd1bd2d39f5da22e9405f40dff013966445d4ea4029f89ad1385c4624cf679cc230302d2d454e44204349504845522d2d";
	            var i = reg_no; //협력업체사업자번호
	            var k = ""; //협력업체법인번호
	            
	            var m ='3';
	            var link ='http://www.esrm.co.kr/esrm/SrmplusLogin?u='+ u +'&p='+ p +'&i='+ i +'&k='+ k +'&c=7&m='+ m +'&g=2';
	            var features ='height=768, width=1024, status=no, scrollbars=auto, resizable=yes';
	            window.open(link, 'watchwin', features);  
            }
	        else if(code == "S")
            {
	            var  link = "http://www.bizrating.co.kr/url/urlPage.do?param1=ZXRlY2g=&param2=YWV0ZWNo&param3=" + reg_no;
	            window.open(link, "pop", "width=975,height=600, resizable=yes, scrollbars=yes");
            }
	        else if(code == "N")
            {
	            var f = document.form1;
	            
	            $("#p_corp_reg_no").val(reg_no);
		        $("#fevent").val("GET_CREADIT_REG_CHK");
		        
	            submitXmlRequest("/supplier/purchase/PuSupplierList_form.screen", "GET_CREADIT_REG_CHK", f, "VALUEOBJECT");
            }
	        else if(code == "K")
            {
	            
	            var f = document.form1;
	            
	            $("#p_corp_reg_no").val(reg_no);
		        $("#fevent").val("GET_CREADIT_REG_CHK2");
		        
	            submitXmlRequest("/supplier/purchase/PuSupplierList_form.screen", "GET_CREADIT_REG_CHK2", f, "VALUEOBJECT");
            }
	        else if(code == "M")
            {
	        	var vnk = "<%= sToday%>" * 677; 
	        	var  link = "http://service.ecredit.co.kr/p01/A0001M001.nice?bizno=" + reg_no + "&eid=ETECENC&nk=" + vnk;
	            window.open(link, "pop", "width=975,height=600, resizable=yes, scrollbars=yes");
	            
            }
	        
        }
	}
	
	
	
	function sheet2_OnSaveEnd(code, msg)
	{
		var event = $("#fevent").val();
		var f = document.form1;
		
		document.form1.isSubmit = false;
		
		
		if(event == "SAVE_DATA")
		{
		    if(code >= "0")
			{
				$("#fevent").val("SAVE_CHARGE");
 		        var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
 				var result = Modular.view.IBSheet7.doSave(sheet4, url, $("#form1"), false);
			}
			else
			{
				alert("등록실패_SAVE_DATA");
			}
		}
		else if(event == "SAVE_DATA2")
		{
		    if(code >= "0")
			{
		    	$("#fevent").val("SAVE_CHARGE");  //2015.10.12 다음항목 저장 
		    	var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
 				var result = Modular.view.IBSheet7.doSave(sheet4, url, $("#form1"), false);
 				
		        //alert("성공적으로 저장되었습니다.");
		        //location.href="/supplier/outside/OutSupplierList.screen";
			}
			else
			{
				alert("등록실패_SAVE_DATA2");
			}
		}
		else if(event == "UPDATE_DATA2")
		{
		    if(code >= "0")
			{
		    	$("#fevent").val("SAVE_CHARGE");
 		        var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
 				var result = Modular.view.IBSheet7.doSave(sheet4, url, $("#form1"), false);
 				
		        /*alert("성공적으로 저장되었습니다.");
		        $("#fevent").val("GET_OUT_DETAIL");

				$("#form1").attr("action", "/supplier/outside/OutSupplier.screen");
				$("#form1").submit();*/
			}
			else
			{
				alert("등록실패_UPDATE_DATA2");
			}
		}
		else if(event == "DELETE_DATA")
		{
		    if(code >= "0")
			{
		        alert("삭제 되었습니다.");
		        location.href="/supplier/outside/OutSupplierList.screen";
			}
			else
			{
				alert("삭제실패_DELETE_DATA");
			}
		}
		
	}
	
	function sheet4_OnSaveEnd(code, msg)
	{
	    var event = $("#fevent").val();
		var f = document.form1;
		
		document.form1.isSubmit = false;
		
		
		if(event == "SAVE_CHARGE")
		{
		    if(code >= "0")
			{
// 				alert("등록되었습니다.");
				
				if(credit_yn.trim() == "N" || credit_yn.trim() == "" ||credit_yn.trim() == "Y")
				{
					$("#fevent").val("SAVE_RESULT");
	 		        var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
	 				var result = Modular.view.IBSheet7.doSave(sheet5, url, $("#form1"), false);
				}
				else
			    {
				    alert("성공적으로 저장되었습니다.");
			    }
			}
			else
			{
				alert("등록실패_SAVE_CHARGE");
			}
		}
	}
	
	function sheet5_OnSaveEnd(code, msg)
	{
		var event = $("#fevent").val();
		var f = document.form1;
		
		document.form1.isSubmit = false;
		
		if(event == "SAVE_RESULT")
		{
		    if(code >= "0")
			{
// 				alert("등록되었습니다.");
				
				if(credit_yn.trim() == "N" || credit_yn.trim() == ""|| credit_yn.trim() == "Y")
				{
	 		 		$("#fevent").val("SAVE_ABILLTY");
	 		        var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
	 				var result = Modular.view.IBSheet7.doSave(sheet6, url, $("#form1"), false);
				}else{
					alert("성공적으로 저장되었습니다.");
				}
			}
			else
			{
				alert("등록실패_SAVE_RESULT");
			}
		}
	}
	
	function sheet6_OnSaveEnd(code, msg)
	{
		var event = $("#fevent").val();
		var f = document.form1;
		
		document.form1.isSubmit = false;
		
		if(event == "SAVE_ABILLTY")
		{
		    if(code >= "0")
			{
// 				alert("등록되었습니다.");
				
				if(credit_yn.trim() == "N" || credit_yn.trim() == ""|| credit_yn.trim() == "Y")
				{
	 		 		$("#fevent").val("SAVE_TECH_MAN");
	 		        var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
	 				var result = Modular.view.IBSheet7.doSave(sheet7, url, $("#form1"), false);
				}else{
					alert("성공적으로 저장되었습니다.");
				}
			}
			else
			{
				alert("등록실패_SAVE_ABILLTY");
			}
		}
	}
	
	
	function sheet7_OnSaveEnd(code, msg)
	{
		var event = $("#fevent").val();
		var f = document.form1;
		
		document.form1.isSubmit = false;
		
		if(event == "SAVE_TECH_MAN")
		{
		    if(code >= "0")
			{
// 				alert("등록되었습니다.");
				
				if(credit_yn.trim() == "N" || credit_yn.trim() == ""|| credit_yn.trim() == "Y")
				{
	 		 		$("#fevent").val("SAVE_CERT");
	 		        var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/outside/OutSupplier_sheet.screen";
	 				var result = Modular.view.IBSheet7.doSave(sheet8, url, $("#form1"), false);
				}else{
					alert("성공적으로 저장되었습니다.");
				}
			}
			else
			{
				alert("등록실패_SAVE_TECH_MAN");
			}
		}
	}
	
	
	function sheet8_OnSaveEnd(code, msg)
	{
	    var event = $("#fevent").val();
		var f = document.form1;
		
		document.form1.isSubmit = false;
		
		if(event == "SAVE_CERT")
		{
		    if(code >= "0")
			{
		    	if ($("#erp_save").val() == "E_SAVE"){ //2019.05.13
		    		$("#fevent").val("ERP_SEND");
					submitXmlRequest("/supplier/purchase/PuSupplier_form.screen", "ERP_SEND", f); 
		    	}else{
					alert("등록되었습니다.");
					if("<%=storage.getEvent()%>" != "GET_OUT_DETAIL"){
						$("#btn_list").click();
					}
		    	}
			}
			else
			{
				alert("등록실패_SAVE_CERT");
			}
		}
	}
	
	//*************************************************************************************************************************************
	
	function sheet4_OnChange(Row, Col, Value) {
		<%if(!params.get("p_in_out_div").equals("O")){ %>
		if(Col == 8){//해외 전화번호 형식 체크제외 2015.11.6
			if(Value != ""){
				if(!checkTelno(Value)){
					alert("전화번호 형식이 올바르지 않습니다.");
					sheet4.SetCellValue(Row,Col,"");
				}
			}
		}
		if(Col == 9){//전화번호 형식 체크
			if(Value != ""){
				if(!checkTelno(Value)){
					alert("FAX번호 형식이 올바르지 않습니다.");
					sheet4.SetCellValue(Row,Col,"");
				}
			}
		}
		<%}%>
		if(Col == 10){//전화번호 형식 체크
			if(Value != ""){
				if(!checkTelno(Value)){
					alert("휴대전화번호 형식이 올바르지 않습니다.");
					sheet4.SetCellValue(Row,Col,"");
				}
			}
		}
		if(Col == 12){//전화번호 형식 체크
			if(Value != ""){
				if(!checkTelno(Value)){
					alert("휴대전화번호 형식이 올바르지 않습니다.");
					sheet4.SetCellValue(Row,Col,"");
				}
			}
		}
		if(Col == 14){//전화번호 형식 체크
			if(Value != ""){
				if(!checkTelno(Value)){
					alert("휴대전화번호 형식이 올바르지 않습니다.");
					sheet4.SetCellValue(Row,Col,"");
				}
			}
		}
		if(Col == 7){//이메일 형식 체크
			if(Value != ""){
				if(!checkEmail(Value)){
					alert("이메일 형식이 올바르지 않습니다.");
					sheet4.SetCellValue(Row,Col,"");
				}
			}
		}
	}
	
	function sheet4_OnSmartResize(Width, Height) { 
		sheet4.FitColWidth();
	}
	
	function sheet5_OnSmartResize(Width, Height) { 
		sheet5.FitColWidth();
	}
	
	function sheet6_OnSmartResize(Width, Height) { 
		sheet6.FitColWidth();
	}
	
	function sheet7_OnSmartResize(Width, Height) { 
		sheet7.FitColWidth();
	}
	
	function sheet8_OnSmartResize(Width, Height) { 
		sheet8.FitColWidth();
	}
	
	//2015.3.11
	function sheet9_OnSmartResize(Width, Height) { 
		sheet9.FitColWidth();
	}
	
	function fileCheck(checkObj, val){
		var f = document.form1;
		
		var obj = eval("document.getElementById('" + val + "')");
		
		if(obj.style.display == "none"){
			obj.style.display = "inline";
			checkObj.checked = true;
		}else{
			obj.style.display = "none";
			checkObj.checked = false;
		}
	} 
	
	//첨부목록 조회
	function getFileListForTextarea(){
		document.form1.p_AttachFile1.value = "";
		var f = document.form1;  
		jQuery("#fevent").val("GET_ATTACHFILE");
		submitXmlRequest("/supplier/purchase/PuSupplierList_form.screen", "GET_ATTACHFILE", f, "VALUEOBJECT");	
	}
	
	function doAttachFile(obj,No,fileName) {

		if(obj.value == ''){
			alert("데이터를 저장 후, 파일을 첨부할 수가 있습니다.");
		}
		else if(obj.value != ''){ 
			if(No == 1){
				viewFileListNew1('TERMS_AGREE_INFO_'+obj.value, No, document.form1.p_AttachFile2, "Y", "own/outside/"+obj.value);
			}else{
				var upLoadFlg = "Y";
				if(jQuery("#statusCd").val() == "10"){	//상태값이 기성신청(03), 결재완료(10) 일때는 첨부파일 다운로드만 가능
					upLoadFlg = "N";
				}
				//2017.07.04  협력업체등록증은 수정불가--2017.11.23 거래중지되는 업체들 직접삭제. 
				//if (No == "180"){
				//	upLoadFlg = "N";
				//}
				viewFileListNew1('TERMS_AGREE_INFO_'+obj.value, No, document.form1.p_AttachFile2, upLoadFlg, "own/outside/"+obj.value, null, fileName);
			}
		} 
		//기성첨부파일 목록 조회
		//getFileListForTextarea();
	}
	
	function viewFileListNew1(fileGB, id, obj, isModify, isDrectory, iframeID, user_filename) {
		
		var win_id = "_viewFileList";
		var link = "/common/file/FileListNew.screen";
		    link += "?pop_win_id="+win_id;
		    link += "&extFunction=viewFileListClose1";
		    link += "&file_gb=" + fileGB;
		    link += "&id=" + id;
		    
		    if( obj.id != null )
			    link += "&obj_id=" + obj.id;
		    if( iframeID != null )
		    	link += "&iframeID=" + iframeID;
		    
			if( isModify != null )
				link += "&is_modify=" + isModify;
			if( isDrectory != null )
				link += "&sys_gb=" + isDrectory;	    
			if( user_filename != null )
				link += "&user_filename=" + user_filename;	 
		
		fLayerPop(win_id, link, 750,430, '', '', 'NO', '200');
	}

	
//-->
</script>




<!-- SHEET -->




<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>
<form id="form1" name="form1" method="post" modular:type="search" action="">
<input type="hidden" name="fevent" id="fevent" value="">
<input type="hidden" name="p_corp_id" id="p_corp_id" value="<%=params.get("p_corp_id") %>" />
<input type="hidden" name="p_corp_reg_no" id="p_corp_reg_no" value="<%=params.get("p_corp_reg_no") %>" />
<input type="hidden" name="p_eval_cmp" id="p_eval_cmp" value="<%=params.get("p_eval_cmp") %>" />
<input type="hidden" name="out_main_check" id="out_main_check" value="" />
<input type="hidden" name="finance_gbn" id="finance_gbn" value="<%=corpInfoVo.get("base_year") %>" />
<input type="hidden" name="o_info_gbn" id="o_info_gbn" value="<%=vo.get("o_base_year") %>" />
<input type="hidden" name="credit_yn" id="credit_yn" value="<%=vo.get("credit_yn") %>" />
<input type="hidden" name="addr_gubun" id="addr_gubun" value="" />
<input type="hidden" name="p_right_id" id="p_right_id" value="" />
<input type="hidden" name="p_in_out_div" id="p_in_out_div" value="<%=params.get("p_in_out_div") %>" />
<input type="hidden" name="job_div" id="job_div" value="O" />
<input type="hidden" name="past_status" id="past_status" value="<%=vo.get("status_code") %>" />
<input type="hidden" name="p_arr_id" id="p_arr_id" value="<%=vo.get("arr_id") %>" />
<input type="hidden" name="p_appr_dy" id="p_appr_dy" value="<%=vo.get("appr_dy") %>" />
<input type="hidden" name="doc_cd" id="doc_cd" value="<%=vo.get("doc_cd") %>" />
<input type="hidden" name="YEAR_STD" id="YEAR_STD" value="<%=vo.get("YEAR_STD") %>" />

<!-- 검색 파라메터 -->
<input type="hidden" name="material_Kind_Code_Lv1" id="material_Kind_Code_Lv1" value="<%=params.get("material_Kind_Code_Lv1") %>" />
<input type="hidden" name="material_Kind_Code_Lv2" id="material_Kind_Code_Lv2" value="<%=params.get("material_Kind_Code_Lv2") %>" />
<input type="hidden" name="material_Kind_Code_Lv3" id="material_Kind_Code_Lv3" value="<%=params.get("material_Kind_Code_Lv3") %>" />
<input type="hidden" name="corp_no" id="corp_no" value="<%=params.get("corp_no") %>" />
<input type="hidden" name="corp_name" id="corp_name" value="<%=params.get("corp_name") %>" />
<input type="hidden" name="corp_status" id="corp_status" value="<%=params.get("corp_status") %>" />
<input type="hidden" name="in_out_gubun" id="in_out_gubun" value="<%=params.get("in_out_gubun") %>" />
<input type="hidden" name="nation_value" id="nation_value" value="<%=params.get("nation_cd") %>" />
<input type="hidden" name="p_AttachFile2" id="p_AttachFile2" onPropertyChange="JavaScript:getFileListForTextarea();"/>

<input type="hidden" name="bank_nm" id="bank_nm" value="<%=vo.get("bank_nm") %>" /> 
<input type="hidden" name="erp_save" id="erp_save" value="">  <!-- 2019.05.13 erp전송전 저장처리 -->


	<div id="join_wrap" align="center">
		<!-- TITLE -->
		<table border="0" cellspacing="0" cellpadding="0" style="width: 100%; margin-left: 0px;">
			<tr>
				<td>
					<table class="screen_title_table">
						<tr height="25">
				    		<td width="80%" class="screen_title_text">
				    			<div align="left" id="title">
									<ul>
								    	<li>외주_협력업체현황 상세(<%=vo.get("status").equals("") ?  "작성중" : vo.get("status")%>)</li>
								   	</ul>
								</div>
				    		</td>
				    		<td align="right" style="vertical-align:bottom;">
				    			<span class="btnSearch center"><a href="javascript:void(0);" id="btn_list">목록</a></span>
								<span class="btnSearch center" id="btn_save_area"><a href="javascript:void(0);" id="btn_save">저장</a></span>
								<span class="btnSearch center" id="btn_save2_area"><a href="javascript:void(0);" id="btn_save2">저장</a></span>
			         	        <span class="btnSearch center" id="btn_erp_send_area"  ><a href="javascript:void(0);" id="btn_erp_send">ERP전송</a></span> 
								<span class="btnSearch center" id="btn_delete_area"><a href="javascript:void(0);" id="btn_delete">삭제</a></span>
<!-- 								<span class="btnSearch center"><a href="javascript:void(0);" id="btn_apprv">승인</a></span> -->
<!-- 								<span class="btnSearch center"><a href="javascript:void(0);" id="btn_return">반려</a></span> -->
				    		</td>
				  		</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td>
					<table width="100%" border="0" cellspacing="0" cellpadding="0">
						<tr>
							<td>
								<div class="application-info magT20">
									<div class="application-sub-title">
										<span class="title">업체명 : <%=vo.get("corp_kor") %>&nbsp;<%=vo.get("CORP_REG_NO").equals("") ? "" : "(" + StringUtils.getBizNo(vo.get("CORP_REG_NO")) + ")" %></span>
									</div>
								</div>
								<div id="container" style="margin-top: 20px;">
								    <%if(!params.get("p_in_out_div").equals("O")){ %>
								    <ul class="tabs">
								        <li class="active" rel="tab1">기본정보</li>
								        <li rel="tab2">담당자 정보</li>
								        <li rel="tab3">계약실적</li>
								        <li rel="tab4" style="width: 120px;">시공능력 및 면허</li>
								        <li rel="tab6" style="width: 120px;">기술인력보유정보</li>
								        <li rel="tab5">인증서 현황</li>
								        <li rel="tab7">재무정보</li>
								        <li rel="tab8">경영평가표</li>
								        <li rel="tab9">입찰이력</li> <!--입찰이력 추가 2015.3.11 mk-->
								    </ul>
								    <%}else{ %>
								    <ul class="tabs">
								        <li class="active" rel="tab1">기본정보</li>
								        <!--2015.10.12  -->
								        <li rel="tab2">담당자 정보</li>
								        <li rel="tab3">계약실적</li>
								        <li rel="tab6" style="width: 120px;">인원 및 설비현황</li>
								        <li rel="tab5">인증서 현황</li>
								        <li rel="tab7">재무정보</li>
								        <li rel="tab8">경영평가표</li>
								        <li rel="tab9">입찰이력</li> <!--입찰이력 추가 2015.3.11 mk-->
								    </ul>
								    <%} %>
								    <div class="tab_container">
								        <div id="tab1" class="tab_content">
								            <table width="100%" border="0" cellspacing="0" cellpadding="0">
												<tr>
													<td valign="top">
														<table width="100%" border="0" cellspacing="0" cellpadding="0">
															<tr>
																<td align="left">
																	<div style="margin-bottom: 0px; margin-top: 10px; font-size: 12px;" class="screen_title_text">
																		<img src="/img/buyer/common/subtitle_bullet.gif" style="vertical-align: middle;">&nbsp;등록 공종 구분
																	</div>
																	<div id="table01" style="width: 270px; height: 200px;">
																		<script>createIBSheet("sheet1","100%", "100%");</script>
																	</div>
																</td>
															</tr>
														</table>
													</td>
													<td width="80" align="center" valign="middle">
														<table border="0" cellspacing="0" cellpadding="0">
															<tr>
																<td height="30" align="center" valign="middle">
																	<img src="/img/buyer/icon/icon_in.gif" width="27" height="17" />
																</td>
															</tr>
															<tr>
																<td height="30" align="center" valign="middle">
																	<img src="/img/buyer/icon/icon_out.gif" alt="" width="27" height="17" />
																</td>
															</tr>
														</table>
													</td>
													<td valign="top">
														<table width="100%" border="0" cellspacing="0" cellpadding="0">
															<tr>
																<td align="left">
																	<div style="margin-bottom: 0px; margin-top: 10px; font-size: 12px;" class="screen_title_text">
																		<img src="/img/buyer/common/subtitle_bullet.gif" style="vertical-align: middle;">&nbsp;등록 공종
																	</div>
																	<div id="table01" style="width: 430px;; height: 200px;">
																		<script>createIBSheet("sheet2","100%", "100%");</script>
																	</div>
																</td>
															</tr>
														</table>
													</td>
													<%if(!params.get("p_in_out_div").equals("O")){ %>
													<td align="center" valign="middle">
														<div style="width: 50px;"></div>
													</td>
													<td align="left">
														<table width="100%" border="0" cellspacing="0" cellpadding="0">
															<tr>
																<td align="left">
																	<div style="margin-bottom: 0px; margin-top: 10px; font-size: 12px;" class="screen_title_text">
																		<img src="/img/buyer/common/subtitle_bullet.gif" style="vertical-align: middle;">&nbsp;신용평가정보
																	</div>
																	<div id="table01" style="width: 400px;; height: 200px;">
																		<script>createIBSheet("sheet3","100%", "100%");</script>
																	</div>
																</td>
															</tr>
														</table>
													</td>
													<%}else{ %>
													<td align="center" valign="middle" colspan="2">
														<div style="width: 400px;"></div>
													</td>
													<%} %>
												</tr>
											</table>
											
											<div class="application-info magT20">
												<div class="application-sub-title">
													<span class="title">등록상태정보</span>
												</div>
											</div>
											
											<%if(!params.get("p_in_out_div").equals("O")){ %>
											<table width="100%" border="0" cellspacing="0" cellpadding="0" class="form-table">
												<col style="width:160px"/>
												<col style="width:25%"/>
												<col style="width:160px"/>
												<col/>
												<col style="width:160px"/>
												<col/>
												
												<tr>
													<th class="required" >협력업체 등록상태</th>
													<td>
														<span><input type="radio"  name="p_status" id="p_status2" value="01" <%=vo.get("status_code").equals("01") ? "checked=\"checked\"" : "" %> /> 대기</span>
														<span><input type="radio"  name="p_status" id="p_status2" value="02" <%=vo.get("status_code").equals("02") ? "checked=\"checked\"" : "" %> /> 가등록</span>
														<span><input type="radio"  name="p_status" id="p_status3" value="03" <%=vo.get("status_code").equals("03") ? "checked=\"checked\"" : "" %> /> 등록</span>
														<span><input type="radio"  name="p_status" id="p_status4" value="91" <%=vo.get("status_code").equals("91") ? "checked=\"checked\"" : "" %> /> 거래중지</span>
														<span><input type="radio"  name="p_status" id="p_status5" value="99" <%=vo.get("status_code").equals("99") ? "checked=\"checked\"" : "" %> /> 거래취소</span>
													</td>
													<th>거래중지/취소일</th>
													<td>
														<input type="text" name="can_dt" id="can_dt" value="<%=vo.get("can_dt") %>" size="10"  style="background-color: rgb(238, 238, 238);text-align:center"  readonly="readonly"/>
<%
    String sDisplay	=	"";	
	if(vo.get("STATUS_CODE").equals("01") || vo.get("STATUS_CODE").equals("02") || vo.get("STATUS_CODE").equals("03"))
	{
		sDisplay	=	"display:none;";
	}
%>															
														<img alt="달력" id="can_dt_img" name="date_img" src="/img/buyer/btn/bt_calender.gif" style="vertical-align: middle; cursor: pointer;<%=sDisplay%>"/>
													</td>
													<th>입찰 제한기간</th>
													<td>
														<input type="text" name="ban_bid" id="ban_bid" value="<%=vo.get("ban_bid") %>" size="10" style="background-color: rgb(238, 238, 238);text-align:center" readonly="readonly"/>
														<img alt="달력" id="ban_bid_img" name="date_img" src="/img/buyer/btn/bt_calender.gif" style="vertical-align: middle; cursor: pointer;>"/>
														<IMG name="dataClear2" id="dataClear2" src="/img/buyer/button/bt_eraser1.gif" border="0" align="absmiddle" style="cursor:pointer;">
													</td>
												</tr>
												<tr>
												<th>협력업체 등록요청일</th>
													<td>
														<input type="text" name="reg_req_dt" id="reg_req_dt" value="<%=vo.get("reg_req_dt") %>"  size="10" style="background-color: rgb(238, 238, 238);text-align:center"  readonly="readonly"/>
													</td>
											    <th>협력업체 등록승인일</th>
													<td>
														<input type="text" name="appr_dt" id="appr_dt" value="<%=vo.get("appr_dt") %>" size="10" style="background-color: rgb(238, 238, 238);text-align:center"  readonly="readonly"/>
<%
	sDisplay	=	"";
	if(vo.get("STATUS_CODE").equals("01") || vo.get("STATUS_CODE").equals("91") || vo.get("STATUS_CODE").equals("99"))
	{
		sDisplay	=	"display:none;";
	}
%>															
														<img alt="달력" id="appr_dt_img" name="date_img" src="/img/buyer/btn/bt_calender.gif" style="vertical-align: middle; cursor: pointer;<%=sDisplay%>"/>
													</td>
													
												<th>협력업체 등록기간</th>
													<td>
														<input type="text" name="use_end_dy" id="use_end_dy" value="<%=vo.get("use_end_dy") %>" size="10" style="background-color: rgb(238, 238, 238);text-align:center"  readonly="readonly"/>
<%
	sDisplay	=	"";
	if(vo.get("STATUS_CODE").equals("01"))
	{
		sDisplay	=	"display:none;";
	}
%>															
														<img alt="달력" id="use_end_dy_img" name="date_img" src="/img/buyer/btn/bt_calender.gif" style="vertical-align: middle; cursor: pointer;<%=sDisplay%>>"/>
													</td>
													<%-- <th>협력업체 등록신청일</th>
													<td>
														<input type="text" name="reg_dt" id="reg_dt" value="<%=vo.get("reg_dt") %>" size="10" style="background-color: rgb(238, 238, 238);text-align:center"  readonly="readonly"/>
													</td> --%>
												</tr>
												<tr>
													<th>의견</th>
													<td colspan="5">
														<textarea name="comment" id="comment" rows="5" style="width: 100%;"><%=vo.get("comment") %></textarea>
													</td>
												</tr>
												<tr>
													<th>외주의견</th>
													<td colspan="5">
														<textarea name="o_comment" id="o_comment" rows="5" style="width: 100%;"><%=vo.get("o_comment") %></textarea>
													</td>
												</tr>
											</table>
											<%}else{ %>
											<table width="100%" border="0" cellspacing="0" cellpadding="0" class="form-table">
												<col style="width:160px"/>
												<col style="width:25%"/>
												<col style="width:160px"/>
												<col/>
												<col style="width:160px"/>
												<col/>
												
												<tr>
													<th class="required" >협력업체 등록상태</th>
													<td>
														<span><input type="radio"  name="p_status" id="p_status1" value="01" <%=vo.get("status_code").equals("01") ? "checked=\"checked\"" : "" %> /> 대기</span>
														<span><input type="radio"  name="p_status" id="p_status2" value="02" <%=vo.get("status_code").equals("02") ? "checked=\"checked\"" : "" %> /> 가등록</span>
														<span><input type="radio"  name="p_status" id="p_status3" value="03" <%=vo.get("status_code").equals("03") ? "checked=\"checked\"" : "" %> /> 등록</span>
														<span><input type="radio"  name="p_status" id="p_status4" value="91" <%=vo.get("status_code").equals("91") ? "checked=\"checked\"" : "" %> /> 거래중지</span>
														<span><input type="radio"  name="p_status" id="p_status5" value="99" <%=vo.get("status_code").equals("99") ? "checked=\"checked\"" : "" %> /> 거래취소</span>
													</td>
													
													<th>협력업체 등록기간</th>
													<td>
														<input type="text" name="use_end_dy" id="use_end_dy" value="<%=vo.get("use_end_dy") %>" size="10" style="background-color: rgb(238, 238, 238);text-align:center"  readonly="readonly"/>
														<img alt="달력" id="use_end_dy_img" name="date_img" src="/img/buyer/btn/bt_calender.gif" style="vertical-align: middle; cursor: pointer;"/>
													</td>
													
													<th>등록취소/거래중지일</th>
													<td>
														<input type="text" name="can_dt" id="can_dt" value="<%=vo.get("can_dt") %>" size="10"  style="background-color: rgb(238, 238, 238);text-align:center"  readonly="readonly"/>
														<img alt="달력" id="can_dt_img" name="date_img" src="/img/buyer/btn/bt_calender.gif" style="vertical-align: middle; cursor: pointer;"/>
													</td>
												</tr>
												
												<tr>
													<th>의견</th>
													<td colspan="5">
														<textarea name="comment" id="comment" rows="5" style="width: 100%;"><%=vo.get("comment") %></textarea>
													</td>
												</tr>
												<tr>
													<th>외주의견</th>
													<td colspan="5">
														<textarea name="o_comment" id="o_comment" rows="5" style="width: 100%;"><%=vo.get("o_comment") %></textarea>
													</td>
												</tr>
											</table>
											<%} %>
											
											<table border="0" cellspacing="0" cellpadding="0" style="width: 100%; margin-left: 0px; margin-top: 15px;">
												<tr>
													<td align="left">
														<div style="margin-bottom: 0px; margin-top: 10px; font-size: 12px;" class="screen_title_text">
															<img src="/img/buyer/common/subtitle_bullet.gif" style="vertical-align: middle;">&nbsp;회사정보
														</div>
													</td>
												</tr>
												<tr>
													<td align="left">
														<table width="100%" border="0" cellspacing="0" cellpadding="0" class="form-table">
											            	<col width="15%" />
															<col width="35%" />
															<col width="15%" />
															<col width="35%" />
															<%if(!params.get("p_in_out_div").equals("O")){ %>
															<tr>
																<th>
																	사업자 등록번호
																</th>
																<td>
																	<%=StringUtils.getBizNo(vo.get("CORP_REG_NO")) %>
																</td>
																<th id="p_head_corp_reg_n">
																	본사 사업자번호
																</th>
																<td>
																	<input type="text" name="head_corp_reg_n" id="head_corp_reg_n" value="<%=vo.get("head_corp_reg_n") %>" maxlength="10" numberOnly="true"  style="width: 250px;" />
																</td>
															</tr>
															<tr>
																<th id="p_corp_no" >
																	법인번호
																</th>
																<td>
																	<input type="text" name="copr_no" id="copr_no" value="<%=vo.get("copr_no") %>" maxlength="13" numberOnly="true" style="width: 250px;" />
																</td>
																<th>
																	사업장 관리번호
																</th>
																<td>
																	<input type="text" name="sub_place_no" id="sub_place_no" value="<%=vo.get("sub_place_no") %>" maxlength="11" numberOnly="true"style="width: 250px;" />
																</td>
															</tr>
															<%}else{ %>
															<tr>
																<th class="required">
																	관리번호
																</th>
																<td>
																	<input type="text" name="manage_no" id="manage_no" value="<%=vo.get("ADD_MANG_NO") %>" style="width: 250px;" maxlength="50"/>
																</td>
																<th>
																	국가
																</th>
																<td>
																	<%= HTMLMaker.getSelectTag(nationRowSet, "detailcd", "detailnm" , "nation_cd", "style='width:28%;height=18;'", "<OPTION value=''>-- 전체 --</OPTION>", vo.get("nation_cd"), 0) %>
																</td>
															</tr>
															<!-- 2015.10.12 추가 -->
															<tr>
																<th>
																	ERP거래처코드
																</th>
																<td>
																	<input type="text" name="CORP_REG_NO" id="CORP_REG_NO" value="<%=vo.get("CORP_REG_NO") %>" maxlength="10" style="width: 250px;"   />
																    (ex:E10000xx)
																</td>
																<th class="required">
																	설립일자
																</th>
																<td>
																	<input type="text" name="esta_date" id="esta_date" value="<%=vo.get("esta_date") %>"  style="width: 250px;" />
																	<img alt="달력" id="esta_date_img" name="date_img" src="/img/buyer/btn/bt_calender.gif" style="vertical-align: middle; cursor: pointer;"/>
																</td>
															</tr>
															<!-- 2015.10.12 추가 -->
															<%} %>
															<tr>
																<th class="required">
																	업체명
																</th>
																<td >
																	<input type="text" name="corp_kor" id="corp_kor" value="<%=vo.get("corp_kor") %>"  style="width: 250px;" />
																</td>
																<th class="required">
																	대표자명
																</th>
																<td >
																	<input type="text" name="rep_name" id="rep_name" value="<%=vo.get("rep_name") %>"  style="width: 250px;" />
																</td>
															</tr>
															<%if(!params.get("p_in_out_div").equals("O")){ %>
															<tr>
																<th class="required">
																	업태
																</th>
																<td>
																	<input type="text" name="corp_sts" id="corp_sts" value="<%=vo.get("corp_sts") %>" style="width: 250px;" />
																</td>
																<th class="required">
																	업종
																</th>
																<td>
																	<input type="text" name="biz_form" id="biz_form" value="<%=vo.get("biz_form") %>"  style="width: 250px;" />
																</td>
															</tr>
															<tr>
																<th class="required">
																	사업자구분
																</th>
																<td>
																	<input type="radio" name="corp_div_cd" id="corp_div_cd_1" value="1" <%=vo.get("corp_div_cd").equals("1") ? "checked=\"checked\"" : ""%> disabled="disabled" /> 법인
																	<input type="radio" name="corp_div_cd" id="corp_div_cd_2" value="2"<%=vo.get("corp_div_cd").equals("2") ? "checked=\"checked\"" : ""%> disabled="disabled" /> 개인
																</td>
																<th class="required">
																	설립일자
																</th>
																<td>
																	<input type="text" name="esta_date" id="esta_date" value="<%=vo.get("esta_date") %>"  style="width: 250px;" />
																	<img alt="달력" id="esta_date_img" name="date_img" src="/img/buyer/btn/bt_calender.gif" style="vertical-align: middle; cursor: pointer;"/>
																</td>
															</tr>
															<%} %>
															<tr>
																<th class="required">
																	전화번호
																</th>
																<td>
																	<input type="text" name="corp_tel" id="corp_tel" value="<%=vo.get("corp_tel") %>"  style="width: 250px;" maxlength="50"  />
<%
	if(params.get("p_in_out_div").equals("I"))
	{
%>
																	<span style="color: red; font-size: 11px;">ex)000-0000-0000</span>
<%		
	}
%>																						 
																</td>
																<th class="required">
																	FAX번호
																</th>
																<td>
																	<input type="text" name="corp_fax" id="corp_fax" value="<%=vo.get("corp_fax") %>" style="width: 250px;" maxlength="100"/>
<%
	if(params.get("p_in_out_div").equals("I"))
	{
%>
																	<span style="color: red; font-size: 11px;">ex)000-0000-0000</span>
<%		
	}
%>																	
																</td>
															</tr>
															<%if(!params.get("p_in_out_div").equals("O")){ %>
															<tr>
																<th class="required">
																	회사규모
																</th>
																<td>
																	<input type="radio" name="corp_scale" id="corp_scale_1" value="B" <%=vo.get("corp_scale").equals("B") ? "checked=\"checked\"" : ""%> /> 대기업
																	<input type="radio" name="corp_scale" id="corp_scale_2" value="S"<%=vo.get("corp_scale").equals("S") ? "checked=\"checked\"" : ""%> /> 중소기업
																</td>
																<th class="required">
																	계좌정보
																</th> 
																<td>
																    <%=CommCodeManager.getSelectCodeList("ERP_BANK","bank_cd","height=18;","<option value=''>--선택--</option>",vo.get("bank_cd")) %>												
																	<input type="text" name="bank_acct" id="bank_acct" value="<%=vo.get("bank_acct") %>"  style="width: 250px;" />
																</td>
															</tr>
															<tr>
																<th class="required">
																	본점 소재지
																</th>
																<td colspan="5">
																	<%-- <input type="text" name="post_no_1" id="post_no_1" value="<%=!vo.get("post_no").equals("") ? vo.get("post_no").substring(0, 3) : ""%>" class="input" style="background-color: rgb(218, 227, 244); width: 80px;" readonly="readonly">
																	-
																	<input type="text" name="post_no_2" id="post_no_2" value="<%=!vo.get("post_no").equals("") ? vo.get("post_no").substring(3, 6) : ""%>" class="input" style="background-color: rgb(218, 227, 244); width: 80px;" readonly="readonly">
																	 --%>
																	 <input type="text" name="post_no_1" id="post_no_1" value="<%=!vo.get("post_no").equals("") ? vo.get("post_no") : ""%>" class="input" style="background-color: rgb(218, 227, 244); width: 80px;" readonly="readonly">
																	<input type="text" name="address" id="address" value="<%=vo.get("address") %>" style="width: 50%;"/>
																	<img id="search_addr" name="search_addr" style="vertical-align: middle; cursor: pointer;" src="/img/buyer/btn/btn_add_find.gif" />
																</td>
															</tr>
															<tr>
																<th class="required">
																	사업장 소재지
																</th>
																<td colspan="3">
																	<div id="input01">
																		<%-- <input type="text" name="place_post_no_1" id="place_post_no_1" value="<%=!vo.get("place_post_no").equals("") ? vo.get("place_post_no").substring(0, 3) : "" %>" class="input" style="background-color: rgb(218, 227, 244); width: 80px;" readonly="readonly">
																		-
																		<input type="text" name="place_post_no_2" id="place_post_no_2" value="<%=!vo.get("place_post_no").equals("") ? vo.get("place_post_no").substring(3, 6) : "" %>" class="input" style="background-color: rgb(218, 227, 244); width: 80px;" readonly="readonly">
																		 --%>
																		 <input type="text" name="place_post_no_1" id="place_post_no_1" value="<%=!vo.get("place_post_no").equals("") ? vo.get("place_post_no") : "" %>" class="input" style="background-color: rgb(218, 227, 244); width: 80px;" readonly="readonly">
																		<input type="text" name="place_address" id="place_address" value="<%=vo.get("place_address") %>" style="width: 50%;"/>
																		<img src="/img/buyer/btn/btn_add_find.gif" id="search_addr_sub" name="search_addr_sub" style="vertical-align: middle; cursor: pointer;" src="/img/buyer/btn/btn_add_find.gif" />
																</td>
															</tr>
															<tr>
																<th class="required">
																	세금계산서 발행주소
																</th>
																<td colspan="3">
																	<input type="radio" name="tax_addr_cd" id="tax_addr_cd_1" value="B" <%=vo.get("tax_addr_cd").equals("B")  ? "checked=\"checked\"" : ""%> /> 본사
																	<input type="radio" name="tax_addr_cd" id="tax_addr_cd_2" value="S" <%=vo.get("tax_addr_cd").equals("S")  ? "checked=\"checked\"" : ""%> /> 사업장
																</td>
															</tr>
															<tr>
																<th class="required">주력분야</th>
																<td colspan="3">
																	<div id="input01">
																		<ul>
																			<li><input type="checkbox" name="out_main_cd" id="out_main_cd_1" value="31" style="vertical-align: middle;" />&nbsp;주택분야</li>
																			<li><input type="checkbox" name="out_main_cd" id="out_main_cd_2" value="32" style="vertical-align: middle;" />&nbsp;공동주택</li>
																			<li><input type="checkbox" name="out_main_cd" id="out_main_cd_3" value="33" style="vertical-align: middle;" />&nbsp;산업플랜트</li>
																			<li><input type="checkbox" name="out_main_cd" id="out_main_cd_4" value="34" style="vertical-align: middle;" />&nbsp;발전플랜트</li>
																			<li><input type="checkbox" name="out_main_cd" id="out_main_cd_5" value="35" style="vertical-align: middle;" />&nbsp;화공플랜트</li>
																			<li><input type="checkbox" name="out_main_cd" id="out_main_cd_6" value="36" style="vertical-align: middle;" />&nbsp;환경플랜트</li>
																			<li><input type="checkbox" name="out_main_cd" id="out_main_cd_7" value="37" style="vertical-align: middle;" />&nbsp;제약플랜트</li>
																		</ul>
																	</div>
																</td>
															</tr>
															<%}else{ %>
															<tr>
																<th class="required">
																	주소
																</th>
																<td colspan="3">
																	<input type="text" name="address" id="address" value="<%=vo.get("address") %>" style="width: 100%;"/>
																</td>
															</tr>
															<tr>
																<th class="required">
																	홈페이지
																</th>
																<td colspan="3">
																	<input type="text" name="HOMEPAGE_ADDR" id="HOMEPAGE_ADDR" value="<%=vo.get("HOMEPAGE_ADDR") %>" style="width: 100%;"/>
																</td>
															</tr>
															<%} %>
															<tr >
																<th rowspan="2">
																	첨부파일
																</th>
																<td colspan="3" id="input01">
																		<table width="100%" border="0" cellpadding="0" cellspacing="0">
																<%
																	if(getFileListRowSet.size() > 0){
																		int i_mod = 0;
																		for(int i = 0; getFileListRowSet.size() > i; i++){
																			i_mod = i%3;
																			if(i_mod == 0){ %>
																				<TR>
																		<%	} %>
																					<td width="2%">
																					<input type="checkbox" name="<%=getFileListRowSet.getRow(i).get("DETAILSORTNM") %>" value="<%=getFileListRowSet.getRow(i).get("DETAILCD") %>" style="cursor:pointer;" onClick="fileCheck(this,'<%=getFileListRowSet.getRow(i).get("DETAILCD") %>')" <%if(!getFileListRowSet.getRow(i).get("DOC_CD").equals("")){out.print("checked");} %>>
																					</td>
																					<td width="20%">
																					<%=getFileListRowSet.getRow(i).get("DETAILNM") %>
																					</td>
																					<td width="7%" height="24">
																					<IMG src="/img/supplier/button/bt_attach_file.gif" id="<%=getFileListRowSet.getRow(i).get("DETAILCD") %>" alt="첨부파일 관리" align="top" style="display:<%if(!getFileListRowSet.getRow(i).get("DOC_CD").equals("")){out.print("inline");}else{out.print("none");} %>" onClick="doAttachFile(document.form1.p_corp_id, '<%=getFileListRowSet.getRow(i).get("DETAILCD") %>', '<%=getFileListRowSet.getRow(i).get("DETAILNM")%>');" class="button">
																					</td>
																		<%	if(i_mod == 2) { %>		
																				</TR>
																		<%	} %>		
																	<%
																		}
																		for(int i=i_mod+1; i<3; i++){ %>
																			<td></td>
																	<%	}
																		if(i_mod == 0 || i_mod == 1){ %>
																			</TR>	
																	<%	}
																	}
																%>
																	</table>
																</TD>
															</tr>
															<tr>
																<td colspan="3" id="input01">
																	<textarea name="p_AttachFile1" id="p_AttachFile1" style="width:85%;height:80px" rows="1" class="input" readOnly><%=filein.get("TERMS_AGREE_INFO") %></textarea>
																	<!-- <img id="search_spot_button" src='/img/buyer/button/bt_change.gif' border='0'  align="top" align='absmiddle' alt='[Attach File]' style='cursor:pointer; vertical-align: middle; margin-bottom: 20px;'> -->
																</td>
															</tr>
														</table>
													</td>
												</tr>
											</table>
											
											<!--2015.10.14 dlsfurqhdbgusghkd, Shop현황추가  -->
											<%if(params.get("p_in_out_div").equals("O")){ %>
											<div class="application-info magT20">
												<div class="application-sub-title">
													<span class="title">SHOP현황</span>
												</div>
											</div>
											<table width="100%" border="0" cellspacing="0" cellpadding="0" class="form-table">
								            	<col width="15%" />
												<col width="35%" />
												<col width="15%" />
												<col width="35%" />
												
												<tr>
													<th>
														생산품목
													</th>
													<td colspan=3>
														<input type="text" name="item" id="item" value="<%=vo.get("item") %>"  style="width: 100%;" />
													</td>
												</tr>
												<tr>
													<th>
														위치(소재지)
													</th>
													<td colspan=3>
														<input type="text" name="shop_addr" id="shop_addr" value="<%=vo.get("addr") %>"  style="width: 100%;" />
													</td>
												</tr>
												<tr>
													<th>
														생산능력
													</th>
													<td >
														<input type="text" name="g_level" id="g_level" value="<%=vo.get("g_level") %>"  style="width: 250px;" />
													</td>
													<th class="required">
														면적
													</th>
													<td >
													    <%=InputText.get("shop_area",Formatter2.currency(vo.get("area")), 30,15, "PerSize,Number,Minus,right,class=numberic","Number") %>m2
													</td>
												</tr>
												<tr>
											</table>											
											<%} %>
											
											<%if(params.get("p_in_out_div").equals("")){ %>  <!-- 2015.10.12 -->
											<div class="application-info magT20 ">
												<div class="application-sub-title">
													<span class="title">등록상태정보</span>
												</div>
											</div>
											
											<table width="100%" border="0" cellspacing="0" cellpadding="0" class="form-table">
								            	<col width="150px"/>
												<col width="20%"/>
												<col width="150px"/>
												<col width="20%"/>
												<col width="150px"/>
												
												<tr>
													<th class="required">
														담당자명
													</th>
													<td >
														<input type="text" name="user_name" id="user_name" value="<%=vo.get("user_name") %>"  style="width: 250px;" />
													</td>
													<th>
														부서명
													</th>
													<td >
														<input type="text" name="division" id="division" value="<%=vo.get("division") %>"  style="width: 250px;" />
													</td>
													<th>
														직위
													</th>
													<td >
														<input type="text" name="position" id="position" value="<%=vo.get("position") %>"  style="width: 250px;" />
													</td>
												</tr>
												<tr>
													<th class="required">
														이메일
													</th>
													<td >
														<input type="text" name="email" id="email" value="<%=vo.get("email") %>"  style="width: 250px;" />
													</td>
													<th>
														전화번호
													</th>
													<td >
														<input type="text" name="tel_num" id="tel_num" value="<%=vo.get("tel_num") %>"  style="width: 250px;" />
													</td>
													<th>
														FAX번호
													</th>
													<td >
														<input type="text" name="fax_num" id="fax_num" value="<%=vo.get("fax_num") %>"  style="width: 250px;" />
													</td>
												</tr>
												<tr>
												<th class="required">
													핸드폰 번호
												</td>
												<td colspan="5">
													&nbsp;<input type="text" name="h_phon_1" id="h_phon_1" size="3" numberOnly="true" maxlength="3" value="<%=vo.get("hp1")%>"/> -
				    								&nbsp;<input type="text" name="h_phon_2" id="h_phon_2" size="4" numberOnly="true" maxlength="4" value="<%=vo.get("hp2")%>"/> - 
				    								&nbsp;<input type="text" name="h_phon_3" id="h_phon_3" size="4" numberOnly="true" maxlength="4" value="<%=vo.get("hp3")%>"/> 
												</td>
											</tr>
											</table>
											<%} %>
								        </div>
								        <!-- #tab1 -->
								        <div id="tab2" class="tab_content" style="width:98%;">
								        	<div id="title03" name="sheet_save_btn" style="margin-top:5px; float:right; height: 25px; vertical-align: top;">
												<span class="btnSearch center" id="span_sheet4_add"><a href="javascript:void(0);" id="sheet4_add" name="sheet4_add">추가</a></span>
											</div>
								           	<div id="title03" name="sheet_info" style="margin-top:10px; float:right; text-align: right; vertical-align: top;">
											</div>
					        				<div id="table01" style="width: 100%; height: 100%;">
												<script>createIBSheet("sheet4","100%", "350px");</script>
											</div>
								        </div>
								        <!-- #tab2 -->
								        <div id="tab3" class="tab_content" style="width:98%;">
								        	<div id="title03" name="sheet_save_btn" style="margin-top:5px; float:right; text-align: right; height: 25px; vertical-align: top;">
												<span class="btnSearch center" id="span_sheet5_add"><a href="javascript:void(0);" id="sheet5_add" name="sheet5_add">추가</a></span>
											</div>
								        	<div id="title03" name="sheet_info" style="margin-top:10px; float:right; text-align: right; vertical-align: top;">
												<%if(!params.get("p_in_out_div").equals("O")){ %>
													<span style="font-size: 11px; color: red;"><b>당해년도 계약금액(천원)</b></span>&nbsp;
												<%}else { %>
												    <span style="font-size: 11px; color: red;"><b>당해년도 계약금액(달러)</b></span>&nbsp;
												<%} %>
											</div>
											<div id="table01" style="width: 100%; height: 100%;">
												<script>createIBSheet("sheet5","100%", "350px");</script>
											</div>
								        </div>
								        <!-- #tab3 -->
								        <%if(!params.get("p_in_out_div").equals("")){ %> <!--2015.10.12  -->
								        <div id="tab4" class="tab_content" style="width:98%;">
								        	<div id="title04" name="sheet_save_btn" style="margin-top:5px; float:right; text-align: right; height: 25px; vertical-align: top;">
												<span class="btnSearch center" id="span_sheet6_add"><a href="javascript:void(0);" id="sheet6_add" name="sheet6_add">추가</a></span>
											</div>
								        	<div id="title04" name="sheet_info" style="margin-top:10px; float:right; text-align: right; vertical-align: top;">
								        		<span style="font-size: 11px; color: red;"><b>기준년도는 시공능력평가년도 기준  시공능력평가액(천원)</b></span>&nbsp;
											</div>
											<div id="table01" style="width: 100%; height: 100%;">
												<script>createIBSheet("sheet6","100%", "350px");</script>
											</div>
								        </div>
								        <%} %>
								        <!-- #tab4 -->
								        <div id="tab5" class="tab_content" style="width:98%;">
								        	<div id="title05" name="sheet_save_btn" style="margin-top:5px; float:right; text-align: right; height: 25px; vertical-align: top;">
												<span class="btnSearch center" id="span_sheet8_add"><a href="javascript:void(0);" id="sheet8_add" name="sheet8_add">추가</a></span>
											</div>
								        	<div id="title05" name="sheet_info" style="margin-top:10px; float:right; text-align: right; vertical-align: top;">
								        	<span style="float: right; font-size: 11px; color: red;"><b>만기일이 없을시 취득일과 동일하게 설정하세요 </b></span>
											</div>
											<div id="table01" style="width: 100%; height: 100%;">
												<script>createIBSheet("sheet8","100%", "350px");</script>
											</div>
								        </div>
								        <!-- #tab5 -->
								        <div id="tab6" class="tab_content" style="width:98%;">
								            <!-- 2015.10.14 -->
								            <%if(params.get("p_in_out_div").equals("O")){ %> 
								            <div id="title07" name="sheet_info" style="margin-top:10px; float:left; text-align: left; vertical-align: top;">
								        		<div class="application-sub-title"><span class="title">인력보유현황</span></div>
											</div>
							        		<table width="100%" border="0" cellspacing="0" cellpadding="0" class="form-table">
							        			<colgroup>
							        				<col WIDTH="150PX"/>
							        				<col/>
							        				<col WIDTH="150PX"/>
							        				<col/>
							        			</colgroup>
												<tr>
													<th>
														관리자
													</th>
													<td>
														품질안전<%=InputText.get("admin_cnt1",Formatter2.currency(vo.get("admin_cnt1")), 30,15, "PerSize,Number,Minus,right,class=numberic","Number") %>
													        그외<%=InputText.get("admin_cnt2",Formatter2.currency(vo.get("admin_cnt2")), 30,15, "PerSize,Number,Minus,right,class=numberic","Number") %>
													
													</td>
													<th>	
														엔지니어
													</th>
													<td>
														품질안전<%=InputText.get("eng_cnt1",Formatter2.currency(vo.get("eng_cnt1")), 30,15, "PerSize,Number,Minus,right,class=numberic","Number") %>
														그외<%=InputText.get("eng_cnt2",Formatter2.currency(vo.get("eng_cnt2")), 30,15, "PerSize,Number,Minus,right,class=numberic","Number") %>
													
													</td>
												</tr>
												<tr>
													<th>
														직영인부
													</th>
													<td>
														품질안전<%=InputText.get("nor_cnt1",Formatter2.currency(vo.get("nor_cnt1")), 30,15, "PerSize,Number,Minus,right,class=numberic","Number") %>
													        그외<%=InputText.get("nor_cnt2",Formatter2.currency(vo.get("nor_cnt2")), 30,15, "PerSize,Number,Minus,right,class=numberic","Number") %>
													
													</td>
													<th>
														기타
													</th>
													<td>
														품질안전<%=InputText.get("etc_cnt1",Formatter2.currency(vo.get("etc_cnt1")), 30,15, "PerSize,Number,Minus,right,class=numberic","Number") %>
													        그외<%=InputText.get("etc_cnt2",Formatter2.currency(vo.get("etc_cnt2")), 30,15, "PerSize,Number,Minus,right,class=numberic","Number") %>
													
													</td>
												</tr>
											</table>
								            <%} %>
								            
											<div id="title06" name="sheet_save_btn" style="margin-top:5px;  height: 25px;"><!--  vertical-align: top; float:right; text-align: right; -->
												<div style="margin-top:10px; float:left; text-align: left; vertical-align: top; font-size: 12px;" class="screen_title_text">
															<%if(params.get("p_in_out_div").equals("O")){ %> <img src="/img/buyer/common/subtitle_bullet.gif" style="vertical-align: middle;">&nbsp;장비보유현황<%} %>
												</div>										
												<span class="btnSearch center" id="span_sheet7_add" style="float:right; text-align: right; "><a href="javascript:void(0);" id="sheet7_add" name="sheet7_add">추가</a></span>
											</div>
								        	<div id="title06" name="sheet_info" style="margin-top:10px; float:right; text-align: right; vertical-align: top;">
											</div>
											<div id="table01" style="width: 100%; height: 100%;">
												<script>createIBSheet("sheet7","100%", "350px");</script>
											</div>
								        </div>
								        <!-- #tab6 -->
								        <div id="tab7" class="tab_content">
								        	<div id="title07" name="sheet_save_btn" style="margin-top:5px; float:right;">
								        	</div>
								        	<div id="title07" name="sheet_info" style="margin-top:10px; float:right; text-align: right; vertical-align: top;">
								        		<%if(!params.get("p_in_out_div").equals("O")){ %> 
								        		<span style="float: right; font-size: 11px; color: red;"><b>(* 금액 단위 : 원)</b></span>
								        		<%} else { %>
								        		<span style="float: right; font-size: 11px; color: red;"><b>(* 금액 단위 : 달러)</b></span>
								        		<%} %>
								        	</div>
							        		<table width="100%" border="0" cellspacing="0" cellpadding="0" class="form-table">
							        			<colgroup>
							        				<col WIDTH="150PX"/>
							        				<col/>
							        				<col WIDTH="150PX"/>
							        				<col/>
							        			</colgroup>
												<tr>
													<th class="required">
														기준년도
													</th>
													<td colspan="3">
														<%=InputText.get("base_year",corpInfoVo.get("base_year"), 5,4, "PerSize,Number,center,class=numberic") %>
														<%-- <input type="text" id="base_year" name="base_year" style="width: 50px; text-align: center;" value="<%=corpInfoVo.get("base_year")%>" numberOnly="true" maxlength="4"/> --%> 년도
													</td>
												</tr>
												<tr>
													<th class="required">
														유동자산
													</th>
													<td>
														<%=InputText.get("float_asset",Formatter2.currency(corpInfoVo.get("float_asset")), 30,15, "PerSize,Number,Minus,right,class=numberic","Number") %>
														<%-- <input type="text" class="numberic" name="float_asset" id="float_asset" value="<%=corpInfoVo.get("float_asset") %>" numberOnly="true"style="padding-right:3px; width: 150px; text-align: right;" <%=corpInfoVo.get("re_yn").equals("Y") ? "readonly=\"readonly\" " : "" %> maxlength="15"/> --%>
													</td>
													<th class="required">	
														유동부채
													</th>
													<td>
														<%=InputText.get("float_debt",Formatter2.currency(corpInfoVo.get("float_debt")), 30,15, "PerSize,Number,Minus,right,class=numberic","Number") %>
														<%-- <input type="text" class="numberic" name="float_debt" id="float_debt" value="<%=corpInfoVo.get("float_debt") %>" numberOnly="true" style="padding-right:3px; width: 150px; text-align: right;" <%=corpInfoVo.get("re_yn").equals("Y") ? "readonly=\"readonly\" " : "" %> maxlength="15"/> --%>
													</td>
												</tr>
												<tr>
													<th class="required">
														자본총계
													</th>
													<td>
														<%=InputText.get("tot_cap",Formatter2.currency(corpInfoVo.get("tot_cap")), 30,15, "PerSize,Number,Minus,right,class=numberic","Number") %>
														<%-- <input type="text" class="numberic" name="tot_cap" id="tot_cap" value="<%=corpInfoVo.get("tot_cap") %>" numberOnly="true" style="padding-right:3px; width: 150px; text-align: right;"  <%=corpInfoVo.get("re_yn").equals("Y") ? "readonly=\"readonly\" " : "" %> maxlength="15"/> --%>
													</td>
													<th class="required">
														부채총계
													</th>
													<td>
														<%=InputText.get("gross_asset",Formatter2.currency(corpInfoVo.get("gross_asset")), 30,15, "PerSize,Number,Minus,right,class=numberic","Number") %>
														<%-- <input type="text" class="numberic" name="gross_asset" id="gross_asset" value="<%=corpInfoVo.get("gross_asset") %>" numberOnly="true" style="padding-right:3px; width: 150px; text-align: right;" <%=corpInfoVo.get("re_yn").equals("Y") ? "readonly=\"readonly\" " : "" %> maxlength="15"/> --%>
													</td>
												</tr>
												<tr>
													<th class="required">
														자본금
													</th>
													<td>
														<%=InputText.get("capital_amt",Formatter2.currency(corpInfoVo.get("capital_amt")), 30,15, "PerSize,Number,Minus,right,class=numberic","Number") %>
														<%-- <input type="text" class="numberic" name="capital_amt" id="capital_amt" value="<%=corpInfoVo.get("capital_amt") %>" numberOnly="true" style="padding-right:3px; width: 150px; text-align: right;" <%=corpInfoVo.get("re_yn").equals("Y") ? "readonly=\"readonly\" " : "" %>  maxlength="15"/> --%>
													</td>
													<th class="required">
														당기순이익
													</th>
													<td>
														<%=InputText.get("cur_profit",Formatter2.currency(corpInfoVo.get("cur_profit")), 30,15, "PerSize,Number,Minus,right,class=numberic","Number") %>
														<%-- <input type="text" class="numberic" name="cur_profit" id="cur_profit" value="<%=corpInfoVo.get("cur_profit") %>" numberOnly="true" style="padding-right:3px; width: 150px; text-align: right;" <%=corpInfoVo.get("re_yn").equals("Y") ? "readonly=\"readonly\" " : "" %> maxlength="15"/> --%>
													</td>	
												</tr>
												<tr>
													<th class="required">
														당기매출액
													</th>
													<td>
														<%=InputText.get("cur_sales_amt",Formatter2.currency(corpInfoVo.get("cur_sales_amt")), 30,15, "PerSize,Number,Minus,right,class=numberic","Number") %>
														<%-- <input type="text" class="numberic" name="cur_sales_amt" id="cur_sales_amt" value="<%=corpInfoVo.get("cur_sales_amt") %>" numberOnly="true" style="padding-right:3px; width: 150px; text-align: right;" <%=corpInfoVo.get("re_yn").equals("Y") ? "readonly=\"readonly\" " : "" %> maxlength="15"/> --%>
													<th class="required">
														전기매출액
													</th>
													<td>
														<%=InputText.get("pri_sales_amt",Formatter2.currency(corpInfoVo.get("pri_sales_amt")), 30,15, "PerSize,Number,Minus,right,class=numberic","Number") %>
														<%-- <input type="text" class="numberic" name="pri_sales_amt" id="pri_sales_amt" value="<%=corpInfoVo.get("pri_sales_amt") %>" numberOnly="true" style="padding-right:3px; width: 150px; text-align: right;"  <%=corpInfoVo.get("re_yn").equals("Y") ? "readonly=\"readonly\" " : "" %> maxlength="15"/> --%>
														<input type="hidden" name="own_cap" id="own_cap" value="<%=corpInfoVo.get("own_cap") %>"/>
														<input type="hidden" name="sales_amt" id="sales_amt" value="<%=corpInfoVo.get("sales_amt") %>"/>
													</td>
												</tr>
											</table>
								        </div>
								        <!-- #tab7 -->
								        <%--
								        <div id="tab8" class="tab_content">
								        
								        	<div style="width: 100%; text-align: center; margin-top: 10px; margin-bottom: 15px;" >
								        		<span style="font-size: 15px; font-weight: bold;">공사 협력업체 경영평가표</span>
								        	</div>
								        	<div style="width: 100%; text-align: right;">
								        		<span><input type="button" name="" id="" value="평가하기" /></span>
								        	</div>
								        	
								        	<div style="width: 100%; text-align: left; margin-left: 15px;"" >
								        		<ol>
								        			<!-- 
													<li style="margin-bottom: 7px;">
														평가자 : <%=vo.get("USER_NAME") %>
													</li>
													 -->
													<li style="margin-bottom: 7px;">
														평가일 : <%=vo.get("APPR_DY") %>
													</li>
													<li style="margin-bottom: 5px;">
														업체명 : <%=vo.get("CORP_KOR") %>
													</li>
													<!-- 
													<li style="margin-bottom: 5px;">
														GROUP : 
														 <select name="" id="" >
														 	<option value="">GROUP A</option>
														 	<option value="">GROUP B</option>
														 	<option value="">GROUP C</option>
														 	<option value="">GROUP D</option>
														</select>
													</li>
													<li style="vertical-align: middle;">
														평가구분 : 
														<input type="radio" name="" id="" value="" />신규 <input type="radio" name="" id="" value="" />재평가 ,  
														<input type="radio" name="" id="" value="" />서면평가 <input type="radio" name="" id="" value="" />실사평가 
													</li>
													 -->
												</ol>
								        	</div>
								        	
								        	<table width="100%" border="0" cellspacing="0" cellpadding="0" id="appr_std_table">
							        			<tr>
													<td height="1" bgcolor="#cccccc" colspan="22"></td>
												</tr>
												<tr>
													<td colspan="5" id="td_title05">
														<div id="td_title04" style="text-align: center;">
															<ul>
																<li>
																	평가항목
																</li>
															</ul>
														</div>
													</td>
													<td width="1" bgcolor="#cccccc"></td>
													<td rowspan="3" id="td_title04" >
														<div style="text-align: center;">
															<ul>
																<li>
																	배당점수
																</li>
															</ul>
														</div>
													</td>
													<td width="1" bgcolor="#cccccc" rowspan="3"></td>
													<td rowspan="3" id="td_title04" >
														<div  style="text-align: center;">
															<ul>
																<li>
																	평가점수
																</li>
															</ul>
														</div>
													</td>
													<td width="1" bgcolor="#cccccc" rowspan="3"></td>
													<td colspan="9"id="td_title05" >
														<div style="text-align: center;">
															<ul>
																<li>
																	배점기준
																</li>
															</ul>
														</div>
													</td>
													<td width="1" bgcolor="#cccccc"></td>
													<td rowspan="3" id="td_title05">
														<div style="text-align: center;">
															<ul>
																<li>
																	REMARK
																</li>
															</ul>
														</div>
													</td>
													<td width="1" bgcolor="#cccccc" rowspan="4"></td>
												</tr>
												<tr>
													<td>
														<div id="td_title04" style="text-align: center;">
															<ul>
																<li>
																	대분류
																</li>
															</ul>
														</div>
													</td>
													<td width="1" bgcolor="#cccccc"></td>
													<td>
														<div id="td_title04" style="text-align: center;">
															<ul>
																<li>
																	중분류
																</li>
															</ul>
														</div>
													</td>
													<td width="1" bgcolor="#cccccc"></td>
													<td>
														<div id="td_title04" style="text-align: center;">
															<ul>
																<li>
																	소분류
																</li>
															</ul>
														</div>
													</td>
													<td width="1" bgcolor="#cccccc"></td>
													<td>
														<div id="td_title04" style="text-align: center;">
															<ul>
																<li>
																	A
																</li>
															</ul>
														</div>
													</td>		
													<td width="1" bgcolor="#cccccc"></td>
													<td>
														<div id="td_title04" style="text-align: center;">
															<ul>
																<li>
																	B
																</li>
															</ul>
														</div>
													</td>	
													<td width="1" bgcolor="#cccccc"></td>
													<td>
														<div id="td_title04" style="text-align: center;">
															<ul>
																<li>
																	C
																</li>
															</ul>
														</div>
													</td>
													<td width="1" bgcolor="#cccccc"></td>
													<td>
														<div id="td_title04" style="text-align: center;">
															<ul>
																<li>
																	D
																</li>
															</ul>
														</div>
													</td>
													<td width="1" bgcolor="#cccccc"></td>
													<td>
														<div id="td_title04" style="text-align: center;">
															<ul>
																<li>
																	E
																</li>
															</ul>
														</div>
													</td>			
													<td width="1" bgcolor="#cccccc"></td>							
												</tr>
												<tr>
													<td height="1" bgcolor="#cccccc" colspan="22"></td>
												</tr>
												<%
												int total_rate = 0;
												String result_rate = "";
												for(int i=0; i < getApprSrdList.size(); i++)
												{
												%>
												<tr>
													<td class="gubun h_60" id="td_title05" >
														<%=getApprSrdList.getRow(i).get("GUBUN_1") %>
													</td>
													<td width="1" bgcolor="#cccccc"></td>
													
													<%if(getApprSrdList.getRow(i).get("GUBUN_2").trim().equals("")){ %>
													<td class="h_60" id="td_title05" colspan="3">
														<%=getApprSrdList.getRow(i).get("GUBUN_3") %>
													</td>
													<%}else{ %>
													<td id="td_title05" class="gubun h_60">
														<%=getApprSrdList.getRow(i).get("GUBUN_2") %>
													</td>
													<td width="1" bgcolor="#cccccc"></td>
													<td style="height: 60px;" id="td_title05" class="h_60">
														<%=getApprSrdList.getRow(i).get("GUBUN_3") %>
													</td>
													<%} %>
													
													
													<td width="1" bgcolor="#cccccc"></td>
													<td style="height: 60px;" id="td_title05">
														<div  style="text-align: center;">
															<ul>
																<li>
																	<%=getApprSrdList.getRow(i).get("STOCK_RATE") %>
																</li>
															</ul>
														</div>
													</td>
													<td width="1" bgcolor="#cccccc"></td>
													<td style="height: 60px;" id="td_title06" >
														<div style="text-align: center;">
															<ul>
																<li>
																	<%=getApprSrdList.getRow(i).get("APPR_RATE") %>
																</li>
															</ul>
														</div>
													</td>
													<td width="1" bgcolor="#cccccc"></td>
													<td style="height: 60px;" id="td_title06" <%=getApprSrdList.getRow(i).get("APPR_RESULT_CD").equals("A") ? "class=\"select_result\" ": "" %>>
														<div style="text-align: center;" id="td_title06">
															<ul>
																<li>
																	<%=getApprSrdList.getRow(i).get("A_CONTENT") %>
																</li>
															</ul>
														</div>
														<div style="text-align: center;">
															<ul>
																<li>
																	<%=getApprSrdList.getRow(i).get("A_RATE") %>
																</li>
															</ul>
														</div>
													</td>
													<td width="1" bgcolor="#cccccc"></td>
													<td style="height: 60px;" id="td_title06" <%=getApprSrdList.getRow(i).get("APPR_RESULT_CD").equals("B") ? "class=\"select_result\" ": "" %>>
														<div style="text-align: center;" id="td_title06">
															<ul>
																<li>
																	<%=getApprSrdList.getRow(i).get("B_CONTENT") %>
																</li>
															</ul>
														</div>
														<div style="text-align: center;">
															<ul>
																<li>
																	<%=getApprSrdList.getRow(i).get("B_RATE") %>
																</li>
															</ul>
														</div>
													</td>
													<td width="1" bgcolor="#cccccc"></td>
													<td style="height: 60px;" id="td_title06" <%=getApprSrdList.getRow(i).get("APPR_RESULT_CD").equals("C") ? "class=\"select_result\" ": "" %>>
														<div style="text-align: center;" id="td_title06">
															<ul>
																<li>
																	<%=getApprSrdList.getRow(i).get("C_CONTENT") %>
																</li>
															</ul>
														</div>
														<div style="text-align: center;">
															<ul>
																<li>
																	<%=getApprSrdList.getRow(i).get("C_RATE") %>
																</li>
															</ul>
														</div>
													</td>
													<td width="1" bgcolor="#cccccc"></td>
													<td style="height: 60px;" id="td_title06" <%=getApprSrdList.getRow(i).get("APPR_RESULT_CD").equals("D") ? "class=\"select_result\" ": "" %>>
														<div style="text-align: center;" id="td_title06">
															<ul>
																<li>
																	<%=getApprSrdList.getRow(i).get("D_CONTENT") %>
																</li>
															</ul>
														</div>
														<div style="text-align: center;">
															<ul>
																<li>
																	<%=getApprSrdList.getRow(i).get("D_RATE") %>
																</li>
															</ul>
														</div>
													</td>
													<td width="1" bgcolor="#cccccc"></td>
													<td style="height: 60px;" id="td_title06" <%=getApprSrdList.getRow(i).get("APPR_RESULT_CD").equals("E") ? "class=\"select_result\" ": "" %>>
														<div style="text-align: center;" id="td_title06">
															<ul>
																<li>
																	<%=getApprSrdList.getRow(i).get("E_CONTENT") %>
																</li>
															</ul>
														</div>
														<div style="text-align: center;">
															<ul>
																<li>
																	<%=getApprSrdList.getRow(i).get("E_RATE") %>
																</li>
															</ul>
														</div>
													</td>
													<td width="1" bgcolor="#cccccc"></td>
													<td style="height: 60px; text-align: center;" id="td_title06">
														<b><%=getApprSrdList.getRow(i).get("noti") %></b>
													</td>
													<td width="1" bgcolor="#cccccc"></td>
												</tr>
												<%
													if(!getApprSrdList.getRow(i).get("APPR_RATE").equals(""))
													{
													    total_rate += Integer.parseInt(getApprSrdList.getRow(i).get("APPR_RATE"));
														
														
														if(total_rate >= 85)
														{
														    result_rate = "1등급";
														}
														else if(total_rate >= 80)
														{
														    result_rate = "2등급";
														}
														else if(total_rate >= 75)
														{
														    result_rate = "3등급";
														}
														else if(total_rate >= 70)
														{
														    result_rate = "4등급";
														}
														else
														{
														    result_rate = "등급외";
														}
													}
												}
												%>
												<tr>
													<td colspan="5" id="td_title04" >
														<div style="text-align: center;">
															<ul>
																<li>[ 총 합 계 ]</li>
															</ul>
														</div>
													</td>
													<td width="1" bgcolor="#cccccc"></td>
													<td id="td_title04" >
														<div style="text-align: center;">
															<ul>
																<li>100</li>
															</ul>
														</div>
													</td>
													<td width="1" bgcolor="#cccccc"></td>
													<td id="td_title04" >
														<div style="text-align: center;">
															<ul>
																<li><%=total_rate %></li>
															</ul>
														</div>
													</td>
													<td width="1" bgcolor="#cccccc"></td>
													<td id="td_title04" >
														<div style="text-align: center;">
															<ul>
																<li>종합평가</li>
															</ul>
														</div>
													</td>
													<td width="1" bgcolor="#cccccc"></td>
													<td colspan="10" id="td_title04" >
														<div style="text-align: center;">
															<ul>
																<li>상기 업체 평가 점수는 <%=total_rate %> 점으로   <%=result_rate %> 입니다.</li>
															</ul>
														</div>
														<div style="text-align: center;">
															<ul>
																<li>입찰 가능한 공사 금액은               입니다.</li>
															</ul>
														</div>
													</td>
													<td width="1" bgcolor="#cccccc" class="border_line_b"></td>
												</tr>
											</table>
											<div style="margin-top: 20px; margin-bottom: 5px;">
											</div>
											<table width="100%" border="0" cellspacing="0" cellpadding="0" id="appr_std_table">
									            <tr>
									                <td colspan="5" style="text-align: left;" class="border_line_b">
							                    		<b>*공종별 등급 기준 및 입찰 상한액</b>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
									                <td id="td_title04" style="text-align:center;" class="border_line_tb">
									                	<div style="text-align: center;">
															<ul>
																<li>1등급</li>
															</ul>
														</div>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
									                <td id="td_title04" style="text-align:center;" class="border_line_tb">
									                	<div style="text-align: center;">
															<ul>
																<li>2등급</li>
															</ul>
														</div>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
									                <td id="td_title04" style="text-align:center;" class="border_line_tb">
									                	<div style="text-align: center;">
															<ul>
																<li>3등급</li>
															</ul>
														</div>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
									                <td id="td_title04" style="text-align:center;" class="border_line_tb"> 
									                	<div style="text-align: center;">
															<ul>
																<li>4등급</li>
															</ul>
														</div>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
									                <td id="td_title04" style="text-align:center;" class="border_line_tb">
									                	<div style="text-align: center;">
															<ul>
																<li>등급외</li>
															</ul>
														</div>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
									              	<td id="td_title04" style="text-align:center;" class="border_line_tb">
									                	<div style="text-align: center;">
															<ul>
																<li>Remark</li>
															</ul>
														</div>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
									            </tr>
									            <tr class="class_1">
									            	<td id="td_title04" style="text-align:center;" rowspan="4" class="border_line_b">
									            		<b>공종별<br />등급기준</b>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
									                <td id="td_title04" style="text-align:center;" class="border_line_b">
									                	<div style="text-align: center;">
															<ul>
																<li>A GROUP</li>
															</ul>
														</div>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
							                        <td  style="text-align:center;">
						                            	<div style="text-align: center;"  id="td_title06" >
															<ul>
																<li>토공사, 철근콘크리트 공사, 철근공사</li>
															</ul>
														</div>
							                        </td>
							                        <td width="1" bgcolor="#cccccc"></td>
					                                <td  style="text-align:center;" >
					                                    <div style="text-align: center;"  id="td_title06">
															<ul>
																<li>85점 ↑</li>
															</ul>
														</div>
					                                </td>
					                                <td width="1" bgcolor="#cccccc"></td>
					                                <td  style="text-align:center;">
					                                	<div style="text-align: center;"  id="td_title06">
															<ul>
																<li>80점 ↑</li>
															</ul>
														</div>
					                                </td>
					                                <td width="1" bgcolor="#cccccc"></td>
					                                <td  style="text-align:center;" >
					                                	<div style="text-align: center;"  id="td_title06">
															<ul>
																<li>75점 ↑</li>
															</ul>
														</div>
					                                </td>
					                                <td width="1" bgcolor="#cccccc"></td>
					                                <td  style="text-align:center;" >
					                                	<div style="text-align: center;"  id="td_title06">
															<ul>
																<li>70점 ↑</li>
															</ul>
														</div>
					                                </td>
					                                <td width="1" bgcolor="#cccccc"></td>
					                                <td  style="text-align:center;">
					                                	<div style="text-align: center;"  id="td_title06">
															<ul>
																<li>70점 ↓</li>
															</ul>
														</div>
					                                </td>
					                                <td width="1" bgcolor="#cccccc"></td>
							                        <td  style="text-align:center;" >
							                        	<div style="text-align: center;"  id="td_title06">
															<ul>
																<li> </li>
															</ul>
														</div>
							                        </td>
							                        <td width="1" bgcolor="#cccccc"></td>
							                    </tr>
							                    <tr class="class_2">
							                    	<td width="1" bgcolor="#cccccc"></td>
									                <td id="td_title04" style="text-align:center;" >
									                	<div style="text-align: center;"  id="td_title06">
															<ul>
																<li>B GROUP</li>
															</ul>
														</div>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
							                        <td  style="text-align:center;" >
						                            	<div style="text-align: center;"  id="td_title06">
															<ul>
																<li>기계설비(소방, 위생, 공조), 각종 배관공사</li>
															</ul>
														</div>
							                        </td>
							                        <td width="1" bgcolor="#cccccc"></td>
					                                <td  style="text-align:center;" >
					                                    <div style="text-align: center;"  id="td_title06">
															<ul>
																<li>85점 ↑</li>
															</ul>
														</div>
					                                </td>
					                                <td width="1" bgcolor="#cccccc"></td>
					                                <td  style="text-align:center;" >
					                                	<div style="text-align: center;"  id="td_title06">
															<ul>
																<li>80점 ↑</li>
															</ul>
														</div>
					                                </td>
					                                <td width="1" bgcolor="#cccccc"></td>
					                                <td  style="text-align:center;" >
					                                	<div style="text-align: center;"  id="td_title06">
															<ul>
																<li>75점 ↑</li>
															</ul>
														</div>
					                                </td>
					                                <td width="1" bgcolor="#cccccc"></td>
					                                <td  style="text-align:center;" >
					                                	<div style="text-align: center;"  id="td_title06">
															<ul>
																<li>70점 ↑</li>
															</ul>
														</div>
					                                </td>
					                                <td width="1" bgcolor="#cccccc"></td>
					                                <td  style="text-align:center;" >
					                                	<div style="text-align: center;"  id="td_title06">
															<ul>
																<li>70점 ↓</li>
															</ul>
														</div>
					                                </td>
					                                <td width="1" bgcolor="#cccccc"></td>
							                        <td  style="text-align:center;">
							                        	<div style="text-align: center;" id="td_title06">
															<ul>
																<li></li>
															</ul>
														</div>
							                        </td>
							                        <td width="1" bgcolor="#cccccc"></td>
							                    </tr>
							                    <tr class="class_3">
							                    	<td width="1" bgcolor="#cccccc"></td>
									                <td id="td_title04" style="text-align:center;" >
									                	<div style="text-align: center;"  id="td_title06">
															<ul>
																<li>C GROUP</li>
															</ul>
														</div>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
							                        <td  style="text-align:center;" >
						                            	<div style="text-align: center;"  id="td_title06">
															<ul>
																<li>전기공사(소방, 강전, 약전), 계장공사</li>
															</ul>
														</div>
							                        </td>
							                        <td width="1" bgcolor="#cccccc"></td>
					                                <td  style="text-align:center;" >
					                                    <div style="text-align: center;"  id="td_title06">
															<ul>
																<li>85점 ↑</li>
															</ul>
														</div>
					                                </td>
					                                <td width="1" bgcolor="#cccccc"></td>
					                                <td  style="text-align:center;" >
					                                	<div style="text-align: center;"  id="td_title06">
															<ul>
																<li>80점 ↑</li>
															</ul>
														</div>
					                                </td>
					                                <td width="1" bgcolor="#cccccc"></td>
					                                <td  style="text-align:center;" >
					                                	<div style="text-align: center;"  id="td_title06">
															<ul>
																<li>75점 ↑</li>
															</ul>
														</div>
					                                </td>
					                                <td width="1" bgcolor="#cccccc"></td>
					                                <td  style="text-align:center;">
					                                	<div style="text-align: center;"  id="td_title06">
															<ul>
																<li>70점 ↑</li>
															</ul>
														</div>
					                                </td>
					                                <td width="1" bgcolor="#cccccc"></td>
					                                <td  style="text-align:center;">
					                                	<div style="text-align: center;"  id="td_title06">
															<ul>
																<li>70점 ↓</li>
															</ul>
														</div>
					                                </td>
					                                <td width="1" bgcolor="#cccccc"></td>
							                        <td  style="text-align:center;">
							                        	<div style="text-align: center;"  id="td_title06">
															<ul>
																<li></li>
															</ul>
														</div>
							                        </td>
							                        <td width="1" bgcolor="#cccccc"></td>
							                    </tr>
							                    <tr class="class_4">
							                    	<td width="1" bgcolor="#cccccc"></td>
									                <td id="td_title04" style="text-align:center;">
									                	<div style="text-align: center;"  id="td_title06">
															<ul>
																<li>D GROUP</li>
															</ul>
														</div>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
							                        <td  style="text-align:center;">
						                            	<div style="text-align: center;"  id="td_title06"">
															<ul>
																<li>내&middot;외장, 기타공사, 용역(토건설계)</li>
															</ul>
														</div>
							                        </td>
							                        <td width="1" bgcolor="#cccccc"></td>
					                                <td  style="text-align:center;">
					                                    <div style="text-align: center;"  id="td_title06">
															<ul>
																<li>85점 ↑</li>
															</ul>
														</div>
					                                </td>
					                                <td width="1" bgcolor="#cccccc"></td>
					                                <td  style="text-align:center;">
					                                	<div style="text-align: center;"  id="td_title06">
															<ul>
																<li>80점 ↑</li>
															</ul>
														</div>
					                                </td>
					                                <td width="1" bgcolor="#cccccc"></td>
					                                <td  style="text-align:center;">
					                                	<div style="text-align: center;"  id="td_title06">
															<ul>
																<li>75점 ↑</li>
															</ul>
														</div>
					                                </td>
					                                <td width="1" bgcolor="#cccccc"></td>
					                                <td style="text-align:center;">
					                                	<div style="text-align: center;"  id="td_title06">
															<ul>
																<li>70점 ↑</li>
															</ul>
														</div>
					                                </td>
					                                <td width="1" bgcolor="#cccccc"></td>
					                                <td style="text-align:center;">
					                                	<div style="text-align: center;"  id="td_title06">
															<ul>
																<li>70점 ↓</li>
															</ul>
														</div>
					                                </td>
					                                <td width="1" bgcolor="#cccccc"></td>
							                        <td  style="text-align:center;">
							                        	<div style="text-align: center;"  id="td_title06">
															<ul>
																<li></li>
															</ul>
														</div>
							                        </td>
							                        <td width="1" bgcolor="#cccccc"></td>
							                    </tr>
							                    <tr class="class_1">
									                <td id="td_title04" style="text-align:center;" rowspan="4" class="border_line_b">
									            		<b>공종별<br />입찰 상한액</b>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
									                <td id="td_title04" style="text-align:center;">
									                	<div style="text-align: center;"  id="td_title06">
															<ul>
																<li>A GROUP</li>
															</ul>
														</div>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
									                <td style="text-align:center;">
						                            	<div style="text-align: center;"  id="td_title06">
															<ul>
																<li>토공사, 철근콘크리트 공사, 철근공사</li>
															</ul>
														</div>
							                        </td>
							                        <td width="1" bgcolor="#cccccc"></td>
							                        <td id="td_title04" style="text-align:center;" rowspan="4" class="border_line_b">
									            		<b>제한없음</b>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
									                <td id="td_title06" style="text-align:center;">
									                	<div style="text-align: center;" >
															<ul>
																<li>50억 미만</li>
															</ul>
														</div>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
									                <td id="td_title06" style="text-align:center;">
									                	<div style="text-align: center;">
															<ul>
																<li>30억 미만</li>
															</ul>
														</div>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
									                <td id="td_title06" style="text-align:center;">
									                	<div style="text-align: center;">
															<ul>
																<li>20억 미만</li>
															</ul>
														</div>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
									                <td id="td_title06" style="text-align:center;">
									                	<div style="text-align: center;">
															<ul>
																<li>10억 미만</li>
															</ul>
														</div>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
									                <td id="td_title06" style="text-align:center;">
									                	<div style="text-align: center;">
															<ul>
																<li></li>
															</ul>
														</div>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
									            </tr>
									            <tr class="class_2">
									            	<td width="1" bgcolor="#cccccc"></td>
									                <td id="td_title04" style="text-align:center;">
									                	<div style="text-align: center;" class="border_line_b">
															<ul>
																<li>B GROUP</li>
															</ul>
														</div>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
									                <td style="text-align:center;" id="td_title06">
						                            	<div style="text-align: center;">
															<ul>
																<li>기계설비(소방, 위생, 공조), 각종 배관공사</li>
															</ul>
														</div>
							                        </td>
							                        <td width="1" bgcolor="#cccccc"></td>
							                        <td width="1" bgcolor="#cccccc"></td>
							                        <td id="td_title06" style="text-align:center;">
									                	<div style="text-align: center;" >
															<ul>
																<li>30억 미만</li>
															</ul>
														</div>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
									                <td id="td_title06" style="text-align:center;">
									                	<div style="text-align: center;" >
															<ul>
																<li>20억 미만</li>
															</ul>
														</div>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
									                <td id="td_title06" style="text-align:center;">
									                	<div style="text-align: center;" >
															<ul>
																<li>10억 미만</li>
															</ul>
														</div>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
									                <td id="td_title06" style="text-align:center;">
									                	<div style="text-align: center;" >
															<ul>
																<li>5억 미만</li>
															</ul>
														</div>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
									                <td id="td_title06" style="text-align:center;">
									                	<div style="text-align: center;" >
															<ul>
																<li></li>
															</ul>
														</div>
									                </td>
									                 <td width="1" bgcolor="#cccccc"></td>
									            </tr>
									            <tr class="class_3">
									            	<td width="1" bgcolor="#cccccc"></td>
									                <td id="td_title04" style="text-align:center;">
									                	<div style="text-align: center;" class="border_line_b">
															<ul>
																<li>C GROUP</li>
															</ul>
														</div>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
									                <td style="text-align:center;" id="td_title06">
						                            	<div style="text-align: center;">
															<ul>
																<li>전기공사(소방, 위생, 공조), 각종 배관공사</li>
															</ul>
														</div>
							                        </td>
							                        <td width="1" bgcolor="#cccccc"></td>
							                        <td width="1" bgcolor="#cccccc"></td>
							                        <td id="td_title06" style="text-align:center;">
									                	<div style="text-align: center;" >
															<ul>
																<li>30억 미만</li>
															</ul>
														</div>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
									                <td id="td_title06" style="text-align:center;">
									                	<div style="text-align: center;" >
															<ul>
																<li>20억 미만</li>
															</ul>
														</div>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
									                <td id="td_title06" style="text-align:center;">
									                	<div style="text-align: center;" >
															<ul>
																<li>10억 미만</li>
															</ul>
														</div>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
									                <td id="td_title06" style="text-align:center;">
									                	<div style="text-align: center;" >
															<ul>
																<li>5억 미만</li>
															</ul>
														</div>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
									                <td id="td_title06" style="text-align:center;">
									                	<div style="text-align: center;" >
															<ul>
																<li></li>
															</ul>
														</div>
									                </td>
									                 <td width="1" bgcolor="#cccccc"></td>
									            </tr>
									            <tr class="class_4">
									            	<td width="1" bgcolor="#cccccc"></td>
									                <td id="td_title04" style="text-align:center;">
									                	<div style="text-align: center;" class="border_line_b">
															<ul>
																<li>C GROUP</li>
															</ul>
														</div>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
									                <td style="text-align:center;" id="td_title06">
						                            	<div style="text-align: center;">
															<ul>
																<li>내&middot;외장, 기타공사, 용역(토건설계)</li>
															</ul>
														</div>
							                        </td>
							                        <td width="1" bgcolor="#cccccc"></td>
							                        <td width="1" bgcolor="#cccccc"></td>
							                        <td id="td_title06" style="text-align:center;">
									                	<div style="text-align: center;" >
															<ul>
																<li>30억 미만</li>
															</ul>
														</div>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
									                <td id="td_title06" style="text-align:center;">
									                	<div style="text-align: center;" >
															<ul>
																<li>20억 미만</li>
															</ul>
														</div>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
									                <td id="td_title06" style="text-align:center;">
									                	<div style="text-align: center;" >
															<ul>
																<li>10억 미만</li>
															</ul>
														</div>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
									                <td id="td_title06" style="text-align:center;">
									                	<div style="text-align: center;" >
															<ul>
																<li>5억 미만</li>
															</ul>
														</div>
									                </td>
									                <td width="1" bgcolor="#cccccc"></td>
									                <td id="td_title06" style="text-align:center;">
									                	<div style="text-align: center;" >
															<ul>
																<li></li>
															</ul>
														</div>
									                </td>
									                 <td width="1" bgcolor="#cccccc"></td>
									            </tr>
									        </table>
								        </div>
								         --%>
								           <!-- div8 -->
								        <!-- 입찰이력 2015.3.11 mk div9 -->
								        <div id="tab9" class="tab_content" style="width:98%;">
								            <div id="title09" name="sheet_info" style="margin-top:10px; float:right; text-align: right; vertical-align: top;">
											</div>
								        	<div id="table01" style="width: 100%; height: 100%;">
												<script>createIBSheet("sheet9","100%", "350px");</script>
											</div>
										</div>
								         <div id="tab8" class="tab_content">
								        	<div style="width: 40%; text-align: left; float: left;" >
								        	기준 년도 : 
								        		<select name="corpTestYear" id="corpTestYear">
								        		<%
								        			if(getApprYearList.size() > 0)
								        			{
								        			    for(int i=0; i < getApprYearList.size(); i++)
								        			    {
								        		%>
								        			<option value="<%=getApprYearList.getRow(i).get("appr_dy")%>|<%=getApprYearList.getRow(i).get("arr_id")%>|<%=getApprYearList.getRow(i).get("doc_cd")%>|<%=getApprYearList.getRow(i).get("YEAR_STD")%>" <%=vo.get("appr_dy").equals(getApprYearList.getRow(i).get("appr_dy")) ? "selected=\"selected\" " : "" %>><%=getApprYearList.getRow(i).get("appr_dy")%></option>
								        		<%
								        			    }
								        			}
								        		%>
								        		</select>
								        	</div>
								        	<div style="width: 40%; text-align: right; float: right;">
								        		<span class="btnSearch center"><a href="javascript:void(0);" id="btn_test">신평사정보 적용/평가하기</a></span>
								        		<span class="btnSearch center"><a href="javascript:void(0);" id="btn_test2">평가하기</a></span>
								        	</div>
								        	
											<div style="margin-top: 25px; margin-bottom: 5px;height:1400px;">
												<div id="RdViewer" style="position:relative;width:100%;height:100%"></div>
<!-- 												<script type="text/javascript">makeRDViewer('RdViewer', '100%', '100%');</script> -->
											</div>
								        </div>
								        <!-- div9 -->								        								
								    <!-- .tab_container -->
								</div>
								<!-- #container -->
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</div>
</form>
