<%--
  - Author(s)  : Hyung min Son
  - Date       : 2014.07.02
  - Description: 외주_견적의뢰상세
  --%>
  
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="java.text.SimpleDateFormat" %>
<%@ page import="java.util.Date" %>
<%@ page import="com.udapsoft.waf.common.util.StringUtils"%>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="kr.co.udapsoft.common.code.*" %>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
    ValueObject Order = storage.getValueObject("Order");
    ValueObject fileout = storage.getValueObject(Order.get("DOC_ETC_OUT"));
    SimpleDateFormat sd = new SimpleDateFormat("yyyyMMdd");
    SimpleDateFormat sd2 = new SimpleDateFormat("yyyyMMddHHmm");
    String nowTime = sd.format(new Date());
    String to_yyyy = Order.get("BID_TO_DT").substring(0, 4);
    String to_MM = Order.get("BID_TO_DT").substring(5, 7);
    String to_dd = Order.get("BID_TO_DT").substring(8, 10);
    String to_hh = Order.get("BID_TO_DT").substring(11, 13);
    String to_mi = Order.get("BID_TO_DT").substring(14, 16);
    String nowTime_yyyy = nowTime.substring(0, 4);
    String nowTime_MM = nowTime.substring(4, 6);
    String nowTime_dd = nowTime.substring(6, 8);
    SimpleDateFormat SeverTime = new SimpleDateFormat("yyyy-MM-dd");
    String str = SeverTime.format(new Date()); 
    
    to_MM = (Integer.valueOf(to_MM)-1)+""; //2016.03.30 전자조달과 동일하게 
    nowTime_MM = (Integer.valueOf(nowTime_MM)-1)+"";//2016.03.30
    
    boolean MODIFY_YN = true;
    boolean p_reason = false;
    boolean c_reason = false;
    boolean m_reason = false;
    if(Order.get("POSTPONE_REASON").length()> 0){
    	p_reason = true;
    }else  if(Order.get("CANCEL_REASON").length()> 0){
    	c_reason = true;
    }
    if(Order.get("MODIFY_REASON").length()> 0){
    	m_reason = true;
    }
    if(Order.getInt("MODIFY_CNT") > 0){
    	MODIFY_YN = false;
    }
%>
<SCRIPT language="JavaScript">
	/*예약함수*/
	var sheet1 = new ibsheetObject();
	var sheet1Row;
	var sheet1PageNo = 1;
	var pageLastRowIndex = 1;
	var validationResult = false;
	var filterShow = false;
	var must_msg = "(은)는 필수 입력 항목입니다."; 
	function _onReady(){
		/**
		 *	IBSheet object initialize
		 */
		 
		<%if(!Order.get("DEMANDED_KIND").equals("O")){%>
			gridInit(sheet1);
		<%}%>
		
		
		$("#btn_list").click(function() {
				$("#fevent").val("");
				$("#form1").attr("action", "/portal/bid/QuotRequestList.screen");
				$("#form1").attr("target", "_self");
				$("#form1").attr("method", "post");
				
				$("#form1").submit();
		});
	
		 $("#btn_signdata").click(function() {
			 var bid_to_dt = "<%=Order.get("BID_TO_DT")%>";
			 var bid_from_dt = "<%=Order.get("BID_FROM_DT")%>";
			 var today = "<%=str%>";
			 var now = new Date();
		     hours = now.getHours();
		     if (hours < 10)
		         hours = "0" + hours;
		     minutes = now.getMinutes();
		     if (minutes < 10)
		    	 minutes = "0" + minutes;
		     now = today + " " + hours + ":" + minutes + ":" + "00.0";
		     var esti = "<%=Order.get("ESTI_YN")%>";
		     var secret_yn = "<%=Order.get("SECRET_YN")%>";
		     var moral_yn = "<%=Order.get("MORAL_YN")%>";
		     var industry_yn = "<%=Order.get("INDUSTRY_YN")%>";
		     var roles_yn = "<%=Order.get("ROLES_YN")%>";
		     var pricesys_yn = "<%=Order.get("PRICESYS_YN")%>";
		     if(bid_from_dt > now){
		    	 alert("견적서 제출 기간이 아닙니다.");
		    	 return;
		     }
		     if(bid_to_dt <= now){
				 alert("견적서 제출 기간이 지났습니다.");
				 return;	 
			 }
			 
			 if(esti == "불가능"){
				 alert("견적서를 제출 할수 없습니다.");
				 return;
			 }
			 <%if(!Order.get("DEMANDED_KIND").equals("O")){%>
				 if(secret_yn != "Y"){
					 alert("비밀준수약정서를 확인해 주시기 바랍니다.");
					 return;
				 }
				 //2024.10.11 구매팀 요청으로 제회
				/*  if(moral_yn != "Y"){
					 alert("윤리준수서약서를 확인해 주시기 바랍니다.");
					 return;
				 }
				 if(industry_yn != "Y"){
					 alert("산업재해은폐금지 서약서를 확인해 주시기 바랍니다.");
					 return;
				 } */
				 if(roles_yn != "Y"){
					 alert("협력사행동규범 서약서를 확인해 주시기 바랍니다.");
					 return;
				 }
				 if(pricesys_yn != "Y"){
					 alert("하도급대금연동제 안내문을 확인해 주시기 바랍니다.");
					 return;
				 }
			<%}%>			 
			 if(confirm("견적서를 작성하시겠습니까?")){
				 $("#fevent").val("FORM_SELECT");
				 if("O" =="<%=Order.get("DEMANDED_KIND")%>"){
					$("#form1").attr("action", "/portal/bid/OutEstmWrite.screen");
				 }else{
					$("#form1").attr("action", "/portal/bid/OutEstmWritePurchase.screen");
				 }
				$("#form1").attr("target", "_self");
				$("#form1").attr("method", "post");
				$("#form1").submit();
			 }
		});
		 $("#btn_giveup").click(function() {
			 var bid_to_dt = "<%=Order.get("BID_TO_DT")%>";
			 var bid_from_dt = "<%=Order.get("BID_FROM_DT")%>";
			 var today = "<%=str%>";
			 var now = new Date();
		     hours = now.getHours();
		     if (hours < 10)
		         hours = "0" + hours;
		     minutes = now.getMinutes();
		     now = today + " " + hours + ":" + minutes;
		     var esti = "<%=Order.get("ESTI_YN")%>";
		     if(bid_from_dt > now || bid_to_dt <= now){
		    	 alert("견적서 제출 기간이 아닙니다.");
		    	 return;
		     }
			 var win_id = "_BidGiveupPop";
			 var link = "/portal/bid/BidGiveupPop.screen";
			       link += "?pop_win_id="+win_id;
			       link += "&VENDOR_CD="+$("#VENDOR_CD").val();
			       link += "&BID_NO="+$("#BID_NO").val();
			       link += "&BID_DEG="+$("#BID_DEG").val();
			fLayerPop(win_id, link, 600,210, '', '', 'NO');
		 });
		 
		 if("<%=Order.get("PBC_DEFECT_CONDI2")%>"!=""||"<%=Order.get("CBC_DEFECT_DAY2")%>"!=""||"<%=Order.get("CBC_DERECT_TERM_CD2")%>"!=""){
				$("#addGuar").attr("checked", true);
				$(".checkAdd").show();
			}

		//견적대상 업체 조회
		doSearchSheet();
		
		
		var esti = "<%=Order.get("ESTI_YN")%>";
		 if(esti == "불가능" || esti == "입찰포기"){
			 $("#btn_signdata").hide();
			 $("#btn_giveup").hide();
		 }
		 
		 //비밀준수서약서 체크로직 추가(2021.01.08)		  		 
		 $("#btn_secretdata").click(function() {			 
			 openPopUpSecretDoc();
		});
		 
		//윤리준수서약서 체크로직 추가(2022.11.14)		  		 
		 $("#btn_moraldata").click(function() {		
			 openPopUpMoralDoc();
		});
		
		//산업재해은폐금지 서약서 체크로직 추가(2022.11.14)		  		 
		 $("#btn_industrydata").click(function() {			 
			 openPopUpIndustryDoc();
		});

		//협력사행동규범 서약서 체크로직 추가(2024.10.04)		  		 
		 $("#btn_rolesdata").click(function() {			 
			 openPopUpRolesDoc();
		});

		//하도급대금 연동제 안내문 체크로직 추가(2024.10.04)		  		 
		 $("#btn_pricesysdata").click(function() {			 
			 openPopUpPricesysDoc();
		});
		 
	}
	
	 $(function(){
	    $.searchList = function() 
		{			    	
			$("#fevent").val("FORM_SELECT");
			$("#form1").attr("action", "/portal/bid/QuotRequest.screen");
			$("#form1").attr("target", "_self");
			$("#form1").attr("method", "post");
			$("#form1").submit();
		}	    		
	});	
	
	 function doSignData(VendorCd, sContHash){
		
			unisign.SignDataNVerifyVID( sContHash, null, VendorCd, function( resultObject ) {
				if( !resultObject || resultObject.resultCode != 0 ){
					if( resultObject.resultCode == '14208'){
						alert("주민번호/사업자번호를 확인할 수 없는 인증서입니다.");
					} else if( resultObject.resultCode == '999'){
						alert("사용자 DN 선택이 취소 되었습니다.");
					} else {
						alert( resultObject.resultMessage);
					}
					return ;
				}
				
				var signeddata = resultObject.signedData;
//		 		var userdn = resultObject.certAttrs.subjectName;
				
				$('.b-iframe').get(0).contentWindow.doSetPop(signeddata);
				
// 				$("#signeddata").val(signeddata);
// 				return true;
			});
	}
	
	
	function openPopUpSecretDoc() {	//비밀준수약정서 팝업
		var p_dept_nm      = jQuery("#deptNm").val();
		var p_dept_cd      = jQuery("#deptCd").val();
	    var p_secret_yn    = "Y";//jQuery("#secretYn").val();
	    var p_secret_yn_dy = jQuery("#secretYnDy").val();
	    var p_vendor_cd    = jQuery("#vendorCode").val();
	    var p_vendor_name  = jQuery("#vendorName").val();
	    var p_bid_no       = $("#BID_NO").val();
	    var p_bid_deg      = $("#BID_DEG").val();
	    var p_gubun        = "supp";
	    
		var argObj = new Object();	    	    
	    argObj.p_dept_cd = p_dept_cd;	    
	    argObj.p_secret_yn = p_secret_yn;	    
	    argObj.p_vendor_cd = p_vendor_cd;	    
	    argObj.p_bid_no = p_bid_no;
	    argObj.p_bid_deg = p_bid_deg;
	    argObj.p_gubun = p_gubun;
	    
	    argObj.p_dept_nm = p_dept_nm;
	    argObj.p_secret_yn_dy = p_secret_yn_dy;
	    argObj.p_vendor_name = p_vendor_name;	    	    

	    argObj.title = '비 밀 준 수 약 정 서';
	    var win_id = "SecretPop";	
		var url = "/portal/bid/SecretDocPop.screen?pop_win_id="+win_id+"&p_dept_cd="+p_dept_cd+"&p_dept_nm="+p_dept_nm+"&p_secret_yn="+p_secret_yn+"&p_secret_yn_dy="+p_secret_yn_dy+"&p_vendor_cd="+p_vendor_cd+"&p_vendor_name="+p_vendor_name+"&p_bid_no="+p_bid_no+"&p_bid_deg="+p_bid_deg+"&p_gubun="+p_gubun+"&sModule=LM";				
		result = fLayerPop(win_id, url, 465,640, '', '', 'NO');				
	}
	
	function openPopUpMoralDoc() {	//윤리준수서약서 팝업
		var p_dept_nm      = jQuery("#deptNm").val();
		var p_dept_cd      = jQuery("#deptCd").val();
	    var p_moral_yn     = "Y";//jQuery("#secretYn").val();
	    var p_moral_yn_dy  = jQuery("#moralYnDy").val();
	    var p_vendor_cd    = jQuery("#vendorCode").val();
	    var p_vendor_name  = jQuery("#vendorName").val();
	    var p_bid_no       = $("#BID_NO").val();
	    var p_bid_deg      = $("#BID_DEG").val();
	    var p_gubun        = "supp";
	    var p_bidmaster_nm  = "";//jQuery("#bidMasterNm").val();
	    
		var argObj = new Object();	    	    
	    argObj.p_dept_cd = p_dept_cd;	    
	    argObj.p_Moral_yn = p_moral_yn;	    
	    argObj.p_vendor_cd = p_vendor_cd;	    
	    argObj.p_bid_no = p_bid_no;
	    argObj.p_bid_deg = p_bid_deg;
	    argObj.p_gubun = p_gubun;
	    argObj.p_dept_nm = p_dept_nm;
	    argObj.p_moral_yn_dy = p_moral_yn_dy;    
	    argObj.p_vendor_name = p_vendor_name;	    	    
	    argObj.title = '윤 리 준 수 서 약 서';
	    var win_id = "MoralPop";	
		var url = "/portal/bid/MoralDocPop.screen?pop_win_id="+win_id+"&p_bidmaster_nm="+p_bidmaster_nm+"&p_dept_cd="+p_dept_cd+"&p_dept_nm="+p_dept_nm+"&p_moral_yn="+p_moral_yn+"&p_moral_yn_dy="+p_moral_yn_dy+"&p_vendor_cd="+p_vendor_cd+"&p_vendor_name="+p_vendor_name+"&p_bid_no="+p_bid_no+"&p_bid_deg="+p_bid_deg+"&p_gubun="+p_gubun+"&sModule=LM";
		result = fLayerPop(win_id, url, 550,640, '', '', 'NO');
	}
	
	function openPopUpIndustryDoc() {	//산업재해은폐금지 팝업
		var p_dept_nm      = jQuery("#deptNm").val();
		var p_dept_cd      = jQuery("#deptCd").val();
	    var p_industry_yn    = "Y";//jQuery("#secretYn").val();
	    var p_industry_yn_dy = jQuery("#industryYnDy").val();
	    var p_vendor_cd    = jQuery("#vendorCode").val();
	    var p_vendor_name  = jQuery("#vendorName").val();
	    var p_bid_no       = $("#BID_NO").val();
	    var p_bid_deg      = $("#BID_DEG").val();
	    var p_gubun        = "supp";

		var argObj = new Object();	    	    
	    argObj.p_dept_cd = p_dept_cd;	    
	    argObj.p_industry_yn = p_industry_yn;	    
	    argObj.p_vendor_cd = p_vendor_cd;	    
	    argObj.p_bid_no = p_bid_no;
	    argObj.p_bid_deg = p_bid_deg;
	    argObj.p_gubun = p_gubun;
	    argObj.p_dept_nm = p_dept_nm;
	    argObj.p_industry_yn_dy = p_industry_yn_dy;
	    argObj.p_vendor_name = p_vendor_name;	    	    
	    argObj.title = '산업재해은폐금지 서약서';
	    var win_id = "IndustryPop";
		var url = "/portal/bid/IndustryDocPop.screen?pop_win_id="+win_id+"&p_dept_cd="+p_dept_cd+"&p_dept_nm="+p_dept_nm+"&p_industry_yn="+p_industry_yn+"&p_secret_yn_dy="+p_industry_yn_dy+"&p_vendor_cd="+p_vendor_cd+"&p_vendor_name="+p_vendor_name+"&p_bid_no="+p_bid_no+"&p_bid_deg="+p_bid_deg+"&p_gubun="+p_gubun+"&sModule=LM";
		result = fLayerPop(win_id, url, 550,640, '', '', 'NO');			
	}	
	
	function openPopUpRolesDoc() {	//협력사행동규범 서약서 팝업
		var p_dept_nm      = jQuery("#deptNm").val();
		var p_dept_cd      = jQuery("#deptCd").val();
	    var p_roles_yn     = "Y";//jQuery("#secretYn").val();
	    var p_roles_yn_dy  = jQuery("#rolesYnDy").val();
	    var p_vendor_cd    = jQuery("#vendorCode").val();
	    var p_vendor_name  = jQuery("#vendorName").val();
	    var p_bid_no       = $("#BID_NO").val();
	    var p_bid_deg      = $("#BID_DEG").val();
	    var p_gubun        = "supp";

		var argObj = new Object();	    	    
	    argObj.p_dept_cd = p_dept_cd;	    
	    argObj.p_roles_yn = p_roles_yn;	    
	    argObj.p_vendor_cd = p_vendor_cd;	    
	    argObj.p_bid_no = p_bid_no;
	    argObj.p_bid_deg = p_bid_deg;
	    argObj.p_gubun = p_gubun;
	    argObj.p_dept_nm = p_dept_nm;
	    argObj.p_roles_yn_dy = p_roles_yn_dy;
	    argObj.p_vendor_name = p_vendor_name;	    	    
	    argObj.title = '협력사행동규범 서약서';
	    var win_id = "RolesPop";
		var url = "/portal/bid/RolesDocPop.screen?pop_win_id="+win_id+"&p_dept_cd="+p_dept_cd+"&p_dept_nm="+p_dept_nm+"&p_roles_yn="+p_roles_yn+"&p_roles_yn_dy="+p_roles_yn_dy+"&p_vendor_cd="+p_vendor_cd+"&p_vendor_name="+p_vendor_name+"&p_bid_no="+p_bid_no+"&p_bid_deg="+p_bid_deg+"&p_gubun="+p_gubun+"&sModule=LM";
		result = fLayerPop(win_id, url, 700, 730, '', '', 'YES');			
	}	
	
	function openPopUpPricesysDoc() {	//하도급대금연동제 안내문 팝업
		var p_dept_nm      	  = jQuery("#deptNm").val();
		var p_dept_cd      	  = jQuery("#deptCd").val();
	    var p_pricesys_yn     = "Y";//jQuery("#secretYn").val();
	    var p_pricesys_yn_dy  = jQuery("#pricesysYnDy").val();
	    var p_vendor_cd    	  = jQuery("#vendorCode").val();
	    var p_vendor_name  	  = jQuery("#vendorName").val();
	    var p_bid_no       	  = $("#BID_NO").val();
	    var p_bid_deg      	  = $("#BID_DEG").val();
	    var p_gubun        	  = "supp";

		var argObj = new Object();	    	    
	    argObj.p_dept_cd = p_dept_cd;	    
	    argObj.p_pricesys_yn = p_pricesys_yn;	    
	    argObj.p_vendor_cd = p_vendor_cd;	    
	    argObj.p_bid_no = p_bid_no;
	    argObj.p_bid_deg = p_bid_deg;
	    argObj.p_gubun = p_gubun;
	    argObj.p_dept_nm = p_dept_nm;
	    argObj.p_pricesys_yn_dy = p_pricesys_yn_dy;
	    argObj.p_vendor_name = p_vendor_name;	    	    
	    argObj.title = '하도급대금 연동제 안내문';
	    var win_id = "PricesysPop";
		var url = "/portal/bid/PricesysDocPop.screen?pop_win_id="+win_id+"&p_dept_cd="+p_dept_cd+"&p_dept_nm="+p_dept_nm+"&p_pricesys_yn="+p_pricesys_yn+"&p_pricesys_yn_dy="+p_pricesys_yn_dy+"&p_vendor_cd="+p_vendor_cd+"&p_vendor_name="+p_vendor_name+"&p_bid_no="+p_bid_no+"&p_bid_deg="+p_bid_deg+"&p_gubun="+p_gubun+"&sModule=LM";
		result = fLayerPop(win_id, url, 700, 720, '', '', 'YES');			
	}	
	/**
	 *	IBSheet object initialize
	 */
	function gridInit(sheetName){
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, Page:30};
		init_sheet.Cols = [
		       			{Header:'Del',					Type:"DelCheck",		SaveName:"DEL_CHECK", 					Width:50, 			Align:"Center",	Hidden:"True"},
		    			{Header:'Status',				Type:"Status", 		SaveName:"STATUS", 						Width:0, 			Align:"Center",	Hidden:"True"},
		    			{Header:'No.',					Type:"Seq", 			SaveName:"NO",								Width:0, 			Align:"Center",	Hidden:"True"},
		    			{Header:'자재코드',				Type:"Text", 			SaveName:"MATERIAL_CD", 				Width:60, 			Align:"Center"},
		    			{Header:'자재명',				Type:"Text", 			SaveName:"MATERIAL_NAME", 			Width:220, 			Align:"Left"},
		    			{Header:'규격',					Type:"Text", 			SaveName:"STD", 							Width:70, 			Align:"Left"},
		    			{Header:'단위',					Type:"Text", 			SaveName:"UNIT_KIND", 					Width:30, 			Align:"Center"},
		    			{Header:'투입요청일',			Type:"Text", 			SaveName:"REQUEST_DATE", 				Width:50, 			Align:"Center"},
		    			{Header:'견적의뢰수량',			Type:"Float", 			SaveName:"DEMANDED_QTY", 			Width:50, 			Align:"Right"}
		];

		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheetName, init_sheet);
		sheetName.SetDataAutoTrim(0);
		sheetName.SetEditable(false);
		setGridSize();
	}
	
	/**
	 *	IBSheet size setting
	 */
	function setGridSize() {
		sheet1.FitColWidth();
	}
	
	
	function sheet1_OnSmartResize(Width, Height) { 
		sheet1.FitColWidth();
		autoResize();
	}

	function autoResize(){
		sheet1.SetSheetHeight(300); 
	}
	
	/**
	 *	IBSheet Event: Search End(IBSheet 데이터 조회 CallBack)
	 */
	function sheet1_OnSearchEnd(code, message) {
	    if(code == 0) {
	    	setGridSize();
		} else {
			//조회 에러 수행
			alert(message);
		}
	}

	
	function doSearchSheet(){
		$("#fevent").val("GET_ITEM_LIST");
		var url = Modular.model.PageContext.CONTEXT_ROOT + "/portal/bid/QuotRequest_sheet.screen";
		Modular.view.IBSheet7.doSearch(sheet1, url, jQuery("#form1"), 30, "");
	}
	
	//첨부파일   
	function doAttachFile(obj,No) {
		var file_div = "";
		<%if(!Order.get("DEMANDED_KIND").equals("O")){%>
			file_div = "bid/purchase/<%=Order.get("BID_NO")%>/";
		<%}else{%>
			file_div = "bid/outside/<%=Order.get("BID_NO")%>/";
		<%}%>
		 if(obj==''){
			 alert("After you have saved, you can attach a file.");
		}
		else if(obj != ''){ 
				viewFileListNew("<%=Order.get("DOC_ETC_OUT")%>", obj.value, document.form1.p_AttachFile2, "N", file_div);
		} 
	}
	
	function doResult(resultObj) {
		try {
			if( resultObj.getRequestEvent() == "FORM_UPDATE") {
				if( resultObj.getSuccess() ) {
					alert("저장 되었습니다.");
 					$("#btn_list").click();
				}
				else {
					dlgErrorMsg(resultObj);
				}
			}
			
			if( resultObj.getRequestEvent() == "FORM_DELETE") {
				if( resultObj.getSuccess() ) {
					alert("삭제 되었습니다.");
 					$("#btn_list").click();
				}
				else {
					dlgErrorMsg(resultObj);
				}
			}
		} catch(errorObject) {
			showErrorDlg("doResult()", errorObject);
		}
	}
	
	function PopClose(win_id,result){
		if( result != null ){
			if(result[0] == 0){
				setTimeout(function(){	fLayerPopClose(win_id);},100);
				if(result[1].length>0)alert(result[1]);
				$("#btn_list").click();
			}
		}else{
			setTimeout(function(){	fLayerPopClose(win_id);},100);
		}
	}
	
	function dpTime2(){
	    var now = new Date();
	     hours = now.getHours();
	     minutes = now.getMinutes();
	     seconds = now.getSeconds();

	    /*  if (hours > 12){
	         hours -= 12;
	     	ampm = "오후 ";
	     }else{
	         ampm = "오전 ";
	     }
	     if (hours < 10)
	         hours = "0" + hours;
	     
	     if (minutes < 10)
	         minutes = "0" + minutes;
	     
	     if (seconds < 10)
	         seconds = "0" + seconds; */
	     
		//	document.getElementById("dpTime").innerHTML = ampm + hours + ":" + minutes + ":" + seconds;
			
			// 2010 년 6월 1일 (월은 0 ~ 11 월까지로 현재월 -1 값)

		    // 오후 6시 32분 35초 (시는 12 시간을 초과할 경우 12를 뺀 후 오후표시)

		    var day2= new Date(<%=to_yyyy%>,<%=to_MM%>,<%=to_dd%>,<%=to_hh%>,<%=to_mi%>,00);
            // 2011 년 3월 1일 (월은 0 ~ 11 월까지로 현재월 -1 값)

		    // 오전 10시 15분 43초

		    var day1= new Date(<%=nowTime_yyyy%>,<%=nowTime_MM%>,<%=nowTime_dd%>,hours,minutes,seconds);

		    // 첫번째 날짜를 1/1000 값으로 환산

		    var ms1 = Date.parse(day1);

		//  alert(ms1);

		    // 두번째 날짜를 1/1000 값으로 환산

		    var ms2 = Date.parse(day2);

		//  alert(ms2);

		    var sep = (ms2-ms1)/1000; // 두 날짜간의 시간차 (1/1000 초 이므로 초로 환산)

		//  alert(sep);

		    var min = 60;

		    var hour= min * 60;

		    var day = hour * 24;

		    var sd  = parseInt(sep/day);

		    var sh  = parseInt((sep%day)/hour);

		    var sm  = parseInt((sep%hour)/min);

		    var ss  = sep%min+1;
			
		    var msg = "";
		    if(sd > 0){
		    	msg = sd+'일 '+sh+'시간 '+sm+'분 '+ss+'초 남았습니다. / 입찰진행중';
		    }else if(sd <= 0){
		    	if(sh <= 0){
		    		if(sm <= 0){
		    			msg = "입찰마감";
		    		}else{
		    			msg = sm+'분 '+ss+'초 남았습니다. / 입찰진행중';
		    		}
		    	}else{
		    		msg = sh+'시간 '+sm+'분 '+ss+'초 남았습니다. / 입찰진행중';
		    	}
		    }else{
		    	msg = "입찰마감";
		    }
		    document.getElementById('dpTime').innerHTML = msg;
	 }
		
	setInterval("dpTime2()",1000);
</SCRIPT>
<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>
<form id="form1" name="form1" method="post" modular:type="search">

<INPUT type='hidden' name="fevent" id="fevent"  value="">
<INPUT type='hidden' name="DEMANDED_ID" id="DEMANDED_ID" value="<%=Order.get("DEMANDED_ID")%>">
<INPUT type='hidden' name="BID_NO" value="<%=Order.get("BID_NO")%>">
<INPUT type='hidden' name="BID_DEG" value="<%=Order.get("BID_DEG")%>">
<INPUT type='hidden' name="STATUS_CD" value="<%=Order.get("STATUS_CD")%>">
<INPUT type='hidden' name="VENDOR_CD" value="<%=user.get("CORP_ID")%>">
<INPUT type="hidden" name="SECRET_YN" id="secretYn" value="<%=Order.get("SECRET_YN") %>"> 
<INPUT type="hidden" name="MORAL_YN" id="moralYn" value="<%=Order.get("MORAL_YN") %>"> 
<INPUT type="hidden" name="INDUSTRY_YN" id="industryYn" value="<%=Order.get("INDUSTRY_YN") %>"> 
<INPUT type="hidden" name="ROLES_YN" id="rolesYn" value="<%=Order.get("ROLES_YN") %>"> 
<INPUT type="hidden" name="PRICESYS_YN" id="pricesysYn" value="<%=Order.get("PRICESYS_YN") %>"> 
<INPUT type="hidden" name="SECRET_YN_DY" id="secretYnDy" value="<%=Order.get("SECRET_YN_DY") %>">
<INPUT type="hidden" name="MORAL_YN_DY" id="moralYnDy" value="<%=Order.get("MORAL_YN_DY") %>">
<INPUT type="hidden" name="INDUSTRY_YN_DY" id="industryYnDy" value="<%=Order.get("INDUSTRY_YN_DY") %>">
<INPUT type="hidden" name="ROLES_YN_DY" id="rolesYnDy" value="<%=Order.get("ROLES_YN_DY") %>">
<INPUT type="hidden" name="PRICESYS_YN_DY" id="pricesysYnDy" value="<%=Order.get("PRICESYS_YN_DY") %>">
<INPUT type="hidden" name="BID_MASTER_NM" id="bidMasterNm" value="<%=Order.get("BID_MASTER_NM") %>"
<INPUT type="hidden" name="DEPT_NM" id="deptNm" value="<%=Order.get("DEPT_NM") %>">
<INPUT type="hidden" name="DEPT_CD" id="deptCd" value="<%=Order.get("DEPT_CD") %>">
<INPUT type="hidden" name="VENDOR_NAME" id="vendorName" value="<%=Order.get("VENDOR_NAME") %>">
<INPUT type='hidden' name="VENDOR_CODE" id="vendorCode" value="<%=Order.get("VENDOR_CD")%>">
<table width="100%" border="0">
	<colgroup>
		<col width="*" />
		<col width="400" />
	</colgroup>
	<tr>
   		<th>
   		<%
   		String titleNM = "";
   		if(Order.get("DEMANDED_KIND").equals("O")){titleNM = "외주_";}else{titleNM = "구매_";}%>
	   		<div align="left" id="title" >
 			  <ul><li><%=titleNM %>견적제출 상세</li></ul>
			</div>
   		</th>
   		<td align="right">   
   			<%if(!Order.get("DEMANDED_KIND").equals("O")){%>
       		<span class="btnSearch center" id="btn_secretdata"><a href="javascript:void(0);">비밀준수약정서</a></span>
       		<!-- 2024.10.11 구매팀 요청으로 제회 -->
       		<!-- <span class="btnSearch center" id="btn_moraldata"><a href="javascript:void(0);">윤리준수서약서</a></span>
       		<span class="btnSearch center" id="btn_industrydata"><a href="javascript:void(0);">산업재해은폐금지 서약서</a></span> -->
       		<span class="btnSearch center" id="btn_rolesdata"><a href="javascript:void(0);">협력사행동규범 서약서</a></span>
       		<span class="btnSearch center" id="btn_pricesysdata"><a href="javascript:void(0);">하도급대금연동제 안내문</a></span>
       		<%} %>			
			<span class="btnSearch center" id="btn_signdata"><a href="javascript:void(0);">견적서제출이동</a></span>
			<span class="btnSearch center" id="btn_giveup"><a href="javascript:void(0);">입찰포기</a></span>
       		<span class="btnSearch center" id="btn_list"><a href="javascript:void(0);">목록</a></span>
       	</td>
	</tr>
</table>
<!-- 2015.3.6 구매 윤현석과장 요청. 업체에 재입찰사유 표기 삭제  REBID_REASON 
	 재입찰 결재로 인하여 다시 재입찰 사유 표기
-->
<%if(!Order.get("REBID_REASON").equals("")){%>
<div class="application-info  magT10">
	<div class="application-sub-title">
		<span class="title">재입찰사유</span>
	</div>
	<div class="application-location">
	</div>
</div>

<TABLE class="form-table">
	<colgroup>
		<col width="160"/>
		<col width="*"/>
	</colgroup>
  <TR height="25"> 
    <TH>재입찰사유</TH>
	<TD><%=StringUtils.cvtHTML(Order.get("REBID_OUTREASON"))%></TD>
  </TR>
 </TABLE>
<%} %>
<div class="application-info magT10">
	<div class="application-sub-title">
		<span class="title">입찰기본정보</span>
	</div>
</div>

<!-- 발주의뢰정보 : 시작 -->
<TABLE class="form-table">
	<colgroup>
		<col width="160"/>
		<col width="160"/>
		<col width="29%"/>
		<col width="160"/>
		<col/>
	</colgroup>
  <TR height="25">
    <TH style="text-align:left">입찰번호-차수</TH>
	<TD colspan="2"><%=Order.get("bid_no") %>- <%=Order.get("bid_deg") %></TD>
	<TH style="text-align:left">온라인입찰여부</TD>
	<TD><%=Order.get("ONBID_YN_NM")%></TD>
  </TR>

  <TR height="25">
  	<%if("O".equals(Order.get("DEMANDED_KIND"))){ %>
	<TH style="text-align:left">입찰명</TD>
	<TD colspan="4"><%=Order.get("BID_MASTER_NM")%></TD>
	<%}else{ %>
	<TH style="text-align:left">입찰명</TD>
	<TD colspan="2"><%=Order.get("BID_MASTER_NM")%></TD>
	<TH style="text-align:left">단가계약여부</TD>
	<TD colspan="2"><%=Order.get("DIV_PO_YN").equals("Y") ? "예" : "아니오" %></TD>
	<%} %>
  </TR> 		
  
   <TR height="25"> 
	<TH style="text-align:left">공사기간</TH>
	<TD colspan="2"><%= Order.get("DELI_FROM_DY_NM") %> <%if(!Order.get("DELI_FROM_DY_NM").isEmpty()||!Order.get("DELI_TO_DY_NM").isEmpty()){ %>~<%} %> <%=Order.get("DELI_TO_DY_NM") %></TD>
	<TH style="text-align:left"> 공사장소</TH>
	<TD colspan="2"><%= Order.get("DELIVERY_PLACE") %></TD> 	
  </TR>
  
  <!-- 2020.06.16 협력업체포탈 정보 조회불가토록 변경 요청 -->  
   <TR height="25">
	<%--<TH style="text-align:left">경쟁방법</TD>
	<TD colspan="2"><%=Order.get("CMPT_NM") %></TD>--%>
	<TH style="text-align:left">낙찰자선정방법</TD>
	<TD colspan="4"><%= Order.get("SUCC_NM") %></TD>	
  </TR> 	
  <!-- 발주의뢰정보 : 종료 -->
</table>


<div class="application-info magT15">
	<div class="application-sub-title">
		<span class="title">입찰진행</span>
	</div>
</div>
<TABLE class="form-table">
	<colgroup>
		<col width="160"/>
		<col width="160"/>
		<col width="29%"/>
		<col width="160"/>
		<col/>
	</colgroup>
  <TR height="25">
    <TH style="text-align:left">공고일자</TD>
	<TD colspan="6">
	 <%=Order.get("NOTI_DY_NM") %>
    </TD>
  </TR>

  <TR height="25">
	<TH rowspan="3" style="text-align:left">견적설명회 정보</TD>
	<TH style="text-align:left">여부</TD>
	<TD><%=Order.get("SITEDESC_FLAG_NM")%></TD>
	<TH style="text-align:left">담당자</TD>
	<TD><%=Order.get("SITEDESCCHRGPRSNNM")%></TD>	
  </TR>
  
  <TR height="25">
	<TH style="text-align:left">담당자 전화번호</TD>
	<TD><%=Order.get("SITEDESCTELNO")%></TD>
	<TH style="text-align:left">일시</TD>
	<TD><%=Order.get("SITEDESCDATE_NM")%></TD>		
  </TR>	
  
    <TR height="25">
	<TH style="text-align:left">담당자 E-Mail</TD>
	<TD><%=Order.get("SITEDESCEMAIL")%></TD>
	<TH style="text-align:left">장소</TD>
	<TD><%=Order.get("SITEDESCPLACE")%></TD>		
    <TR height="25">
	<TH style="text-align:left" rowspan="4">견적 의뢰</TD>
	<TH style="text-align:left">견적제출기간</TD>
	<TD colspan="3"><%=Order.get("BID_FROM_DT_NM")%>~<%=Order.get("BID_TO_DT_NM")%>&nbsp;<font color='red'><b>( <span id="dpTime"></span>)</b></font></TD>
  </TR>
  
  <TR height="25">
	<TH style="text-align:left"><%if(Order.get("DEMANDED_KIND").equals("O")){%>외주<%}else{%>구매<%}%>담당자</TD>
	<TD><%=Order.get("PUREMPNM")%></TD>
	<TH style="text-align:left"><%if(Order.get("DEMANDED_KIND").equals("O")){%>외주<%}else{%>구매<%}%>담당자 전화번호</TD>
	<TD><%=Order.get("PO_EMPNM")%></TD>		
  </TR>	
  <%
  	String		sEstiNm	=	"";
  	String    SignDt = "";
  	String 	estiN	= "";
  	if(Order.get("ESTI_YN").equals("가능"))
  	{
  		sEstiNm	=	"<font color='blue'><b>"+Order.get("ESTI_YN")+"</b></font>";
  		SignDt	=	"<font color='blue'><b>"+Order.get("ESTI_N")+"</b></font>";
  		estiN	=	"<font color='blue'><b>"+Order.get("SIGN_DT")+Order.get("SIGN_YN")+"</b></font>";
  	}
  	else
  	{
  		sEstiNm	=	"<font color='red'><b>"+Order.get("ESTI_YN")+"</b></font>";
  		SignDt	=	"<font color='red'><b>"+Order.get("ESTI_N")+"</b></font>";
  		estiN	=	"<font color='red'><b>"+Order.get("SIGN_DT")+Order.get("SIGN_YN")+"</b></font>";
  	}
  %>
  <TR height="25">
	<TH style="background:#ffe1b5;text-align:left">견적제출가능여부</TD>
	<TD><%=sEstiNm%></TD>
	<TH style="background:#ffe1b5;text-align:left">견적제출 불가사유</TD>
	<TD><%=SignDt%></TD>		
  </TR>	
    <TR height="25">
	<TH style="background:#ffe1b5;text-align:left">최종 견적제출시간</TD>
	<TD colspan="3"><B><%=estiN%></B></TD>
  </TR>	
  
  <TR height="25"> 
	<TH rowspan="2" style="text-align:left">기술검토(TBE)</TD>
	<TH style="text-align:left"> TBE 여부</TH>
	<TD  colspan="3"><%=Order.get("TBE_FLAG").equals("Y") ? "예" : "아니오"%></TD>
  </TR>
  
  <TR height="25"> 
	<TH style="text-align:left"> TBE 심사자</TH>
	<TD><%=Order.get("EVAL_EMPNM")%></TD>
	<TH style="text-align:left">TBE담당자 전화번호 </TH>
	<TD><%=Order.get("EVAL_TEL")%></TD>				
  </TR> 	
  <!-- 발주의뢰정보 : 종료 -->
</table>

	<%if(p_reason || m_reason || c_reason){ %>
	<div class="application-info magT20">
		<div class="application-sub-title">
			<span class="title">입찰사유</span>
		</div>
	</div>
	
	<TABLE class="form-table">
		<colgroup>
			<col width="150">
			<col/>
		</colgroup>
	   <%if(c_reason){ %>
	  <TR height="25">
	    <TH>취소사유</TH>
		<TD style="vertical-align: top"><%=StringUtils.cvtHTML(Order.get("CANCEL_REASON"))%></TD>
	  </TR>
	  <%} %>
	   <%if(p_reason){ %>
	  <TR height="25">
	    <TH>연기사유</TH>
		<TD style="vertical-align: top" ><%=StringUtils.cvtHTML(Order.get("POSTPONE_REASON"))%></TD>
	  </TR>
	  <%} %>
	  <%if(m_reason){ %>
	  <TR height="25">
	    <TH>정정사유</TH>
		<TD style="vertical-align: top"><%=StringUtils.cvtHTML(Order.get("MODIFY_REASON"))%></TD>
	  </TR>
	  <%} %>
	</TABLE>
	<%}%>

<div class="application-info magT15">
	<div class="application-sub-title">
		<span class="title">입찰조건</span>
	</div>
</div>
<%if(Order.get("DEMANDED_KIND").equals("O")){ %>
<TABLE class="form-table">
	<colgroup>
		<col width="160"/>
		<col width="160"/>
		<col width="29%"/>
		<col width="160"/>
		<col/>
	</colgroup>
  <TR height="25">
	<TH style="text-align:left">통화구분</TH>
	<TD colspan="4"><%=Order.get("CURRENCY_GB_NM") %>
	</TD>
  </TR>
   <TR height="25">
	<TH style="text-align:left">계약형태</TH>
	<TD colspan="4">
		<%=Order.get("OBC_CONT_TYPE_NM") %>
	</TD>
  </TR>
  <TR height="50">
  	<TH rowspan="2" style="text-align:left">공사대금</TH>
	<TH style="text-align:left">선급금</TH>
	<TD><% if(!Order.get("OBC_FRST_CONT_RATE").isEmpty()){%> 계약금액의 : <%= Order.get("OBC_FRST_CONT_RATE") %>%<br><%}%>
	<%= Order.get("OBC_FRST_CONDI") %><br>
	<%= Order.get("OBC_FRST_CNT_CONDI") %></TD>
	<TH style="text-align:left">기성금</TH>
	<TD><% if(!Order.get("CPC_MID_RATE").isEmpty()){%> 계약금액의 :<%= Order.get("CPC_MID_RATE")%>% <%}%><% if(!Order.get("OBC_MID_BILL_RATE").isEmpty()){%>어음 : <%= Order.get("OBC_MID_BILL_RATE")%>%<%}%><br>
			<% if(!Order.get("OBC_MID_PAYDAY").isEmpty()){%>세금계산서 발행일로부터 <%=Order.get("OBC_MID_PAYDAY")%>일 내 지급<br>
			<% if(!Order.get("OBC_MID_BILL_DATE").isEmpty()){%>어음일 경우, 어음 만기일은 목적물 수령일로부터 (<%= Order.get("OBC_MID_BILL_DATE")%>)일<br><%} %>
			<%=Order.get("OBC_MID_REQ_MONTH")%>개월 당 <%=Order.get("OBC_MID_CNT")%>회 말일에 청구<%}%>
	</TD>	
  </TR>
    <TR height="25">
	<TH style="text-align:left">준공금</TH>
	<TD colspan="3" style="text-align:left"><% if(!Order.get("PBC_REST_RATE").isEmpty()){%> 계약금액의 : <%=Order.get("PBC_REST_RATE")%>%, <%}%><% if(!Order.get("OBC_FIN_CASH_RATE").isEmpty()){%>현금 : <%=Order.get("OBC_FIN_CASH_RATE")%>% <%}%><% if(!Order.get("OBC_FIN_BILL_RATE").isEmpty()){%>어음 : <%=Order.get("OBC_FIN_BILL_RATE")%>%<%}%>
			<%-- <br><% if(!Order.get("OBC_FIN_PAYDAY").isEmpty()){%>세금계산서 발행일로부터 <%=Order.get("OBC_FIN_PAYDAY")%>일 내 지급<%}%><br>
			<%=Order.get("OBC_FIN_CONDI") %></TD> --%>
  </TR>
  <TR height="25">
  	<TH rowspan="2" style="text-align:left">보증조건</TH>
	<TH style="text-align:left">선급금보증</TH>
	<TD><% if(!Order.get("CBC_FIRST_RATE").isEmpty()){%>계약금액의 <%=Order.get("CBC_FIRST_RATE")%>%<%}%></TD>
	<TH style="text-align:left">계약이행 보증</TH>
	<TD><% if(!Order.get("CONTFUL_RATE").isEmpty()){%>계약금액의 <%= Order.get("CONTFUL_RATE") %>%<%}%></TD>	
  </TR>
  <TR height="25">
	<TH style="text-align:left">하자이행 보증</TH>
	<TD><% if(!Order.get("WARR_RATE").isEmpty()){%>준공금액의 <%= Order.get("WARR_RATE")%>%<%}%></TD>
	<TH style="text-align:left">하자담보기간</TH>
	<TD><% if(!Order.get("CBC_DEFECT_DAY").isEmpty()){%>준공일로부터 <%= Order.get("CBC_DEFECT_DAY")%>개월<%}%></TD>
  </TR> 
  <TR height="35">
  	<TH style="text-align:left">기타조건</TH>
	<TH style="text-align:left">하도급대금<br>연동 기준비율</TH>
	<TD><% if(!Order.get("PAY_CON_RATE").isEmpty()){%> <%= Order.get("PAY_CON_RATE")%>%<%}%></TD>
	<TH style="text-align:left">지체상금</TH>
	<TD><% if(!Order.get("CBC_DAMAGE_RATE").isEmpty()){%>일당 계약금액의 <%= Order.get("CBC_DAMAGE_RATE")%>%,<%}%><% if(!Order.get("CBC_DAMAGE_MAXRATE").isEmpty()){%>최대 <%= Order.get("CBC_DAMAGE_MAXRATE")%>%<%}%></TD>	
  </TR>
  <TR height="25">
  	<TH rowspan="6" style="text-align:left">간접비 견적조건</TH>
	<TH style="text-align:left">고용보험료</TH>
	<TD><% if(!Order.get("OBC_EMP_RATE").isEmpty()){%>노무비 * <%= Order.get("OBC_EMP_RATE")%>% &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp  &nbsp
		<%}%><%=Order.get("OBC_EMP_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
	<TH style="text-align:left">연금보험료</TH>
	<TD><% if(!Order.get("OBC_PENSION_RATE").isEmpty()){%>직접노무비 <%=Order.get("OBC_PENSION_RATE")%>% &nbsp &nbsp &nbsp&nbsp &nbsp  &nbsp
		<%}%><%=Order.get("OBC_PENSION_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>	
  </TR>
  <TR height="25">
	<TH style="text-align:left">건강보험료</TH>
	<TD><% if(!Order.get("OBC_HEALTH_RATE").isEmpty()){%>직접노무비 * <%=Order.get("OBC_HEALTH_RATE")%>% &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp   &nbsp
	<%}%><%=Order.get("OBC_HEALTH_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
	<TH style="text-align:left">노인장기보험료</TH>
	<TD><% if(!Order.get("OBC_ELDER_RATE").isEmpty()){%>건강보험료 * <%=Order.get("OBC_ELDER_RATE")%>% &nbsp &nbsp&nbsp &nbsp  &nbsp
	<%}%><%=Order.get("OBC_ELDER_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>	
  </TR>
  <TR height="25">
	<TH style="text-align:left">산재보험료</TH>
	<TD><% if(!Order.get("OBC_WORK_RATE").isEmpty()){%>노무비 * <%=Order.get("OBC_WORK_RATE")%>% &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp
		<%}%><%=Order.get("OBC_WORK_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
	<TH style="text-align:left">퇴직공제부금</TH>
	<TD><% if(!Order.get("OBC_RESIGN_RATE").isEmpty()){%>노무비 * <%=Order.get("OBC_RESIGN_RATE")%>% &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp&nbsp &nbsp
		<%}%><%=Order.get("OBC_RESIGN_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>	
  </TR>
  <TR height="25">
	<TH style="text-align:left">안전관리비</TH>
	<TD><% if(!Order.get("OBC_SAFE_RATE").isEmpty()){%>노무비 * <%= Order.get("OBC_SAFE_RATE")%>% &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp
		<%}%><%=Order.get("OBC_SAFE_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
	<TH style="text-align:left">환경관리비</TH>
	<TD><% if(!Order.get("OBC_ENV_RATE").isEmpty()){%>재료비 * <%= Order.get("OBC_ENV_RATE")%>%  &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp&nbsp &nbsp
		<%}%><%=Order.get("OBC_ENV_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>	
  </TR>
  <TR height="25">
	<TH style="text-align:left">현장관리비</TH>
	<TD><% if(!Order.get("OBC_SITE_RATE").isEmpty()){%>직접비 * <%=Order.get("OBC_SITE_RATE")%>% &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp
		<%}%><%=Order.get("OBC_SITE_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
	<TH style="text-align:left">매입부가세</TH>
	<TD><% if(!Order.get("OBC_DUTY_RATE").isEmpty()){%>재료비 * 매입세율 <%= Order.get("OBC_DUTY_RATE")%>%  &nbsp
		<%}%><%=Order.get("OBC_DUTY_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>	
  </TR>
  <TR height="25"> 
	<TH style="text-align:left">간접비 정산조건</TH>
	<TD><%=Order.get("OBC_IND_YN").equals("Y") ? "<font color='blue'>[실적정산]</font>" : "<font color='red'>[비례정산]</font>" %></TD>
	<TH style="text-align:left">건설기계 수수료</TH>
	<TD><%=Order.get("OBC_WARR_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
  </TR>   
</TABLE>
<%}else{ %>
<TABLE class="form-table">
	<colgroup>
		<col width="160"/>
		<col width="20%">
		<col width="160"/>
		<col width="20%">
		<col width="160"/>
		<col/>
	</colgroup>
  <TR height="25">
	<TH style="text-align:left">통화구분</TH>
	<TD colspan="5"><%=Order.get("CURRENCY_GB_NM") %>&nbsp;&nbsp;  
		<%=Order.get("CURRENCY_GB_YN").equals("Y") ? "[업체변경가능]" : "[업체변경불가능]" %>
	</TD>
  </TR>
  <TR height="25">
	<TH style="text-align:left">Installation</TH><!-- 설치비 포함여부 -->
	<TD><%=Order.get("PBC_INSTALL_YN").equals("Y") ? "업체 견적내용 반영" : "업체 견적내용 미반영" %></TD>
	<TH style="text-align:left">Spare Parts for Commissionig</TH><!-- 시운전 포함여부 -->
	<TD><%=Order.get("PBC_COMMISS_YN").equals("Y") ? "업체 견적내용 반영" : "업체 견적내용 미반영" %></TD>
	<TH style="text-align:left">Special Tool</TH><!-- 설치비 특별공구 포함여부 -->
	<TD><%=Order.get("PBC_SPETOOL_YN").equals("Y") ? "업체 견적내용 반영" : "업체 견적내용 미반영" %></TD>	
  </TR>
  <TR height="25">
	<TH style="text-align:left">Test & Inspection at Fabrication shop</TH><!-- 샾(공장) 검사비용 포함여부 -->
	<TD><%=Order.get("PBC_TEST_YN").equals("Y") ? "업체 견적내용 반영" : "업체 견적내용 미반영" %></TD>
	<TH style="text-align:left">Documentation</TH><!-- vendor print  (무조건 포함)  삭제? -->
	<TD><%=Order.get("PBC_DOC_YN").equals("Y") ? "업체 견적내용 반영" : "업체 견적내용 미반영" %></TD>
	<TH style="text-align:left">Packing cost</TH><!-- 포장비용 포함여부 -->
	<TD><%=Order.get("PBC_PACK_YN").equals("Y") ? "업체 견적내용 반영" : "업체 견적내용 미반영" %></TD>	
  </TR>
  <TR height="25">
	<TH style="text-align:left">Inland Transportaion</TH><!-- 내륙운송비 -->
	<TD><%=Order.get("PBC_LANDTRAN_YN").equals("Y") ? "업체 견적내용 반영" : "업체 견적내용 미반영" %></TD>
	<TH style="text-align:left">Delivery Condition</TH><!-- 인도조건 (현장도착도, 현장상차도,현장설치도, 설치시운전도) -->
	<TD colspan="3">
	  <%if(!Order.get("DELIVERY_CONDITION_NM").isEmpty()){ %><%=Order.get("DELIVERY_CONDITION_NM") %>&nbsp&nbsp  <%}%><%=Order.get("DELIVERY_CONDITION_YN").equals("Y") ? "[업체변경가능]" : "[업체 변경 불가능]" %></TD>
  </TR>
   <TR height="25">
	<TH style="text-align:left">OPTIONAL PRICE</TH><!-- 현장감독관 일당   &     기타일당 내역 -->
	<TD colspan="5">A. Supervision fee &nbsp <%=Order.get("PBC_FEE_YN").equals("Y") ? "업체 견적내용 반영" : "업체 견적내용 미반영" %>
	    &nbsp&nbsp  <%if(!Order.get("PBC_OPTION_COMMENT").isEmpty()){ %>B. <%= Order.get("PBC_OPTION_COMMENT")%>&nbsp<%=Order.get("PBC_OPTION_YN").equals("Y") ? "업체 견적내용 반영" : "업체 견적내용 미반영" %><%}%></TD>
  </TR>
  <TR height="25">
	<TH style="text-align:left">Liquidated Damages</TH><!-- 지체상금 fix -->
	<TD colspan="5"><%if(!Order.get("CBC_DAMAGE_RATE").isEmpty()){ %><%= Order.get("CBC_DAMAGE_RATE")%>% <%=Order.get("CBC_DAMAGE_NM") %>,<%}%>
	                        <%if(!Order.get("CBC_DAMAGE_MAXRATE").isEmpty()){ %>Max <%= Order.get("CBC_DAMAGE_MAXRATE")%>%<%}%></TD>
  </TR>
  <TR height="25">
	<TH style="text-align:left">선급금</TH>
	<TD><%if(!Order.get("CBC_FIRST_RATE").isEmpty()){ %><%=Order.get("CBC_FIRST_RATE") %>% <%}%><%= Order.get("PBC_FIRST_CONDI")%></TD>
	<TH style="text-align:left">중도금</TH>
	<TD><%if(!Order.get("CPC_MID_RATE").isEmpty()){ %><%= Order.get("CPC_MID_RATE")%>% <%}%><%=Order.get("PBC_MID_CONDI")%></TD>
	<TH style="text-align:left">잔금</TH>
	<TD><%if(!Order.get("PBC_REST_RATE").isEmpty()){ %><%= Order.get("PBC_REST_RATE") %>% <%}%><%=Order.get("PBC_REST_CONDI")%></TD>	
  </TR>
  <TR height="25">
	<TH style="text-align:left">First Payment Bond</TH><!-- 선급금이행증권(yes, no) -->
	<TD><%if(!Order.get("PBC_FRSTGUAR_RATE").isEmpty()){ %><%= Order.get("PBC_FRSTGUAR_RATE") %>% <%}%><%= Order.get("PBC_FRSTGUAR_CONDI")%></TD>
	<TH style="text-align:left">Performance Bond</TH><!-- 계약이행증권(yes, no) -->
	<TD><%if(!Order.get("CONTFUL_RATE").isEmpty()){ %><%= Order.get("CONTFUL_RATE") %>%<%}%><%=Order.get("CONTFUL_CONDI") %></TD>
	<TH style="text-align:left">Guarantee Bond</TH><!-- 하자이행증권(yes, no) -->
	<TD><%if(!Order.get("WARR_RATE").isEmpty()){ %><%= Order.get("WARR_RATE") %>%<%}%><%= Order.get("WARR_CONDI")%></TD>	
  </TR> 
  <TR height="25">
	<TH style="text-align:left">Guarantee Period</TH><!-- 하자보수기간 -->
	<TD colspan="3"><%=Order.get("PBC_DEFECT_CONDI") %><%=Order.get("CBC_DEFECT_DAY") %> 
	<%if(!Order.get("CBC_DERECT_TERM_NM").isEmpty()){ %><%=Order.get("CBC_DERECT_TERM_NM") %>간<%}%>
		<input type="checkbox" id="addGuar" style="margin-top:2px; display:none;">
	<span class="checkAdd" style="display:none;">&nbsp;or&nbsp;
	<%=Order.get("PBC_DEFECT_CONDI2") %> <%=Order.get("CBC_DEFECT_DAY2")%>  
	<%if(Order.get("CBC_DERECT_TERM_CD2").equals("01")){%>
		<span>일 간 중 선도래일</span>
	<%}else if(Order.get("CBC_DERECT_TERM_CD2").equals("02")){%>
		<span>개월 간 중 선도래일</span>
	<%} %>
	</span>
	</TD>
	<TH style="text-align:left">Delivery Period</TH><!-- 납기일 fix -->
	<TD><%if(!Order.get("DELI_FROM_DY").isEmpty() || !Order.get("DELI_TO_DY").isEmpty()){ %>
		<%=Order.get("DELI_FROM_DY_NM") %>~ 
		<%= Order.get("DELI_TO_DY_NM") %><%}%>
	</TD>
  </TR> 
</TABLE>
<%} %>
<TABLE class="form-table" style="margin-top:5px">
	<colgroup>
		<col width="160"/>
		<col/>
	</colgroup>
  <TR height="25">
	<TH style="text-align:left">특이사항</TH>
	<TD >
	 <%=StringUtils.cvtHTML(Order.get("OUTER_REMARKS"))%>  
	</TD>
  </TR>
  <TR height="100">
	<TH style="text-align:left">첨부파일</TH>
	<TD>
	   <%-- <div id="attach_file_view" class="attach_file_view">
	   <!-- 첨부 파일 화면에 바로보일때 사용 -->
	   <%=FileManager.getFileListForDiv(FILE_GB, DEMANDED_ID) %>
	   </div> --%>
	<TEXTAREA name="p_AttachFile2" id="p_AttachFile2" style="width:85%;height:80px" rows="1" class="input" readOnly><%=fileout.get(Order.get("DOC_ETC_OUT")) %></TEXTAREA>
    <IMG id='search_spot_button' onClick="doAttachFile(document.form1.DEMANDED_ID,2);" src='/img/buyer/button/bt_change.gif' border='0'  align="top" align='absmiddle' alt='[Attach File]' style='cursor:pointer;'>
	</TD>
  </TR> 
</TABLE>
<%if(!Order.get("DEMANDED_KIND").equals("O")){%>
<div class="application-info magT15">
	<div class="application-sub-title">
		<span class="title">구매견적내역</span>
	</div>
</div>
<div id="sheet1_div" style="height: auto; min-height: 300px; overflow: auto;">
<!-- <div id="sheet_div" style="padding-top:5px; width:100%; height:100%;" valign="top">-->
	<script>createIBSheet('sheet1','100%', '300px');</script>
</div>
<%} %>
</form>
</BODY>

<!-- 전자인증 모듈 설정 //-->
<link rel="stylesheet" type="text/css" href="/CrossCert/CC_WSTD_home/unisignweb/rsrc/css/certcommon.css?v=1" />
<script type="text/javascript" src="/CrossCert/CC_WSTD_home/unisignweb/js/unisignwebclient.js?v=1"></script>
<script type="text/javascript" src="/CrossCert/UniSignWeb_Multi_Init_Nim.js?v=1"></script>
<!-- 전자인증 모듈 설정 //-->