<%--
  - FileName   : RolesDocPop.jsp
  - Author(s)  : TC40335
  -
  --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="kr.co.hsnc.common.util.ValueObject" %>
<%@ page import="kr.co.hsnc.common.sql.RowSet" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="com.udapsoft.waf.common.util.StringUtils" %>
<%@ page import="kr.co.hsnc.common.config.WAFConfig" %>
<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
    ValueObject RolesPop = storage.getValueObject("DocInfoPop");    
    String event = storage.getEvent();
%>

 <script type="text/javascript">	
 	$(function(){	
 		
 		$("#btn_close").click(function(){
 			parent.fLayerPopClose('RolesPop');
		});
 		
		$("#btn_save").click(function(){		    
		    var f = document.form1;
 
		    $("#fevent").val("GET_SAVE");		 	   
		 	   if(confirm("협력사행동규범 서약서를 확인하셨습니까?"))
		 	   {
				  submitXmlRequest("/portal/bid/RolesDocPopSave_form.screen", "GET_ROLES_SAVE", f);
				}
		    
		});
		
		$(".icon_x").click(function(){
		    window.close();
		});
		
		$("#btn_print").click(function(){		    
			jQuery("#btn_save").hide();
			jQuery("#btn_print").hide();
			jQuery("#btn_close").hide();
			$("#title1").css({ 'font-size' : 32});
			$("#text1").css({ 'font-size' : 20});		
 		    window.print();		 
 		    $("#btn_close").click();
 		   //self.close();
		});
		
 	});
 	
 	$(document).ready(function(){ 		
 		if("<%=params.get("p_gubun")%>" == "buyer"){			
	    	jQuery("#btn_save").hide();	    	
	    }
 	});
 	
 	function doResult(resultObj) {
 		var f = document.form1;
 		
 		try 
 		{
 		   document.form1.isSubmit = false;
 		   
 		   if($("#fevent").val() == "GET_SAVE")
 		   {
 		      if (resultObj.getSuccess())	
 		      {
 		         alert("협력사행동규범 서약서 확인이 완료되었습니다.");
 		         window.close();  
 		         parent.$.searchList();	//showmodal 조치
 		      }
 		      else
	          {
 		         dlgErrorMsg( resultObj );
	          }
 		   }
 		}
 		catch(errorObject) {
 	        showErrorDlg("doResult()", errorObject);
 		}
 	} 	
 
 </script>
 
<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>

<form id="form1" name="form1" method="post" modular:type="search">
<input type="hidden" name="fevent" id="fevent" value="">
<input type="hidden" name="roles_yn" id="roles_yn" value="<%=params.get("p_roles_yn") %>" />
<input type="hidden" name="bid_no" id="bid_no" value="<%=params.get("p_bid_no") %>" />
<input type="hidden" name="bid_deg" id="bid_deg" value="<%=params.get("p_bid_deg") %>" />
<input type="hidden" name="vendor_cd" id="vendor_cd" value="<%=params.get("p_vendor_cd") %>" /> 
<input type="hidden" name="dept_nm" id="dept_nm" value="<%=params.get("p_dept_nm") %>" />
<input type="hidden" name="roles_yn_dy" id="roles_yn_dy" value="<%=params.get("p_roles_yn_dy") %>" />
<input type="hidden" name="vendor_name" id="vendor_name" value="<%=params.get("p_vendor_name") %>" />
<input type="hidden" name="gubun" id="gubun" value="<%=params.get("p_gubun") %>" />
 
<div style="width: 100%; text-align: center; margin-top: 10px; margin-bottom: 15px;" >
	<span id="title1" style="font-size: 25px; font-weight: bold;"><u>협력사 행동규범 서약서</u></span>
</div>

<table cellspacing="0" cellpadding="0" border="0" bordercolordark="#FFFFF" bordercolorlight="#d2d2d2" class="input_table" style="width: 450px;">
<!-- <col width="*"> -->
	<div id="text1" style="width: 100%; vertical-align: middle; float: left; text-align: left; padding-bottom: 8px; line-height:50%"  >
		<div style="width: 93%; vertical-align: middle; float: left; padding-bottom: 8px; line-height:130%; font-weight: bold;"  >
		<br>서문 Introduction</br>
		</div>
		<div style="width: 100%; vertical-align: middle; float: left; text-align: left; padding-bottom: 8px; line-height:130%"  >
		<br>에스지씨이앤씨은 협력사와 동반성장의 근간이 되는 준법경영을 강화하기 위하여 협력사 행동규범(이하 “규범”이라함)을 제정하였습니다. 에스지씨이앤씨의 협력사는 모든 적용 가능한 법률 및 규정을 철저히 준수하고, 안전한 작업환경을 확보하며 근로자들이 존중 받을 수 있는 시스템을 구축하고, 윤리적으로 기업을 운영해야 합니다.</br>
		<br>에스지씨이앤씨 또는 에스지씨이앤씨가 지정한 외부기관은 협력사가 본 규범을 준수하고 있는지 평가하기 위하여 협력사를 방문할 수 있습니다. 행동규범에 대한 협력사의 중대 위반사항이 요청 기한 내 개선되지 않을 경우 에스지씨이앤씨와 거래가 중단되거나 계약이 해지될 수 있습니다.</br>
		<br>The SGC E&C Code of Conduct(the “Code”) establishes standards for suppliers to ensure compliance with the standards that SGC E&C requires and which are essential for mutual growth. In particular, Suppliers shall ensure safe working conditions, treat its employees with respect and dignity, ensure all business operations are operated in an environmentally friendly and responsible manner, and conduct all of its activities ethically and in full compliance with all applicable laws, rules and regulations of the country in which the Supplier operates its business.</br>
		<br>SGC E&C or third party auditor appointed by SGC E&C(“Auditor”) may visit the Supplier to evaluate whether the Supplier is complying with the Code. If major failures to comply with the Code are not remedied within a timescale set by SGC E&C, SGC E&C may suspend or terminate the contract with the Supplier.</br>
		</div>
		<div style="margin-left:15px; width: 93%; vertical-align: middle; float: left; padding-bottom: 8px; line-height:130%; font-weight: bold;"  >
		<br>1. 인권 및 노동 Labor and Human Rights</br>
		</div>				
		<div style="margin-left:15px; width: 100%; vertical-align: middle; float: left; text-align: left; padding-bottom: 8px; line-height:130%"  >
		<br>협력사는 국제사회에서 통용되는 수준으로 근로자 인권을 보호하고 이들의 존엄성을 보장하여야 하며, 근로자는 현지 법규에 따라 합법적인 근로와 권리보호를 받아야 합니다.</br>
		<br>Suppliers must uphold the human rights of workers, and treat them with dignity and respect as understood by international community and workers must be legally entitled to work in the country in which they work, and must be granted the protections and rights granted to legal workers in that country.</br>
		<br>모든 근로는 자발적이어야 합니다. 강제 근로자, 인신구속계약(채무변제를 위한 속박 포함)에 따른 근로자, 인신매매 근로자를 고용해서는 안됩니다. 여기에는 노동력 착취를 목적으로 협박, 강요, 강제, 납치, 사기 등으로 사회적 약자를 이동, 채용, 전근시키는 모든 행위가 포함됩니다.</br>
			또한, 반드시 근로자가 이해할 수 있는 언어로 근로조건을 문서화하고 전달해야 합니다.</br>
		<br> All workers must be voluntary. Forced, bonded(including debt bondage) or indentured labor, slavery or trafficking of persons shall not used. This includes transporting, harboring, recruiting, transferring or receiving vulnerable person by means of threat, force, coercion, abduction or fraud for the purpose of exploitation. In addition, labor conditions must be provided in written form to the workers in language that they are able to understand.</br>
		<br> 아동 근로자 고용은 엄격하게 금지합니다. “아동”은 15세, 의무교육이 끝나는 연령, 현지 법령에 따른 법정 고용 최저연령 중 가장 높은 연령 미만의 사람을 의미합니다. 아동 근로자가 발견된 경우, 협력사는 즉시 아동고용을 중지하고 고용과정에서 근로자들의 연령 검증 프로세스를 개선해야 합니다.</br>
		<br> Child labor must not be used strictly. The term “child” refers to any person under the age of 15, or under the age of completing compulsory education, or under the minimum age for employment in the country, whichever is greatest. If any child labor is detected, the supplier shall immediately stop such child labor and improve the reviewing process regarding the age of worker during recruitment.</br>
		<br> 채용과정과 임금, 승진, 보상, 교육기회 등 고용관행에 있어서 인종, 피부색, 나이, 성별, 민족성, 장애, 임신, 종교, 정치성향 등에 의해 차별을 두어서는 안됩니다.</br>
		<br> Supplier shall not engage in discrimination based on race, color, age, gender, ethnicity, disability, pregnancy, religion, political affiliation in hiring and employment practice such as wages, promotion, reward, and access to training.</br>
		</div>
		<div style="margin-left:15px; width: 93%; vertical-align: middle; float: left; padding-bottom: 8px; line-height:130%; font-weight: bold;"  >
		<br>2. 안전보건 Health and safety</br>
		</div>	
		<div style="margin-left:15px; width: 100%; vertical-align: middle; float: left; text-align: left; padding-bottom: 8px; line-height:130%"  >
		<br>협력사는 현지 법률 및 규정에 따라 안전하고 건강한 작업장을 구축하고 유지하기 위해 노력해야 합니다.</br>
		<br>Suppliers shall ensure to maintain safe and healthy working conditions according to the local laws and regulation.</br>
		<br> 근로자가 잠재적 안전 위험 요인(감전, 화재, 차량, 추락위험 등)에 노출되는 것을 통제하기 위해 적절한 설계, 엔지니어링 및 행정적 통제, 예방적 차원의 유지 관리, 안전한 작업절차 구축과 동시에 지속적인 안전교육을 실시해야 합니다.</br>
		<br> Worker exposure to potential safety hazards (e.g. electrical and other energy sources, fire, vehicles, and fall hazards) are to be controlled through proper design, engineering and administrative controls, preventative maintenance and safe work procedures and ongoing safety training.</br>
		<br> 작업에 필요한 기계, 기구, 설비를 사용하는 데 있어 안전성 여부를 평가해야 합니다.</br>
		<br> Machinery shall be evaluated for safety hazards.</br>
		<br> 근로자를 대상으로 적절한 안전보건 교육을 실시해야 하며, 교육은 근로자가 주로 사용하는 언어로 이루어져야 합니다.</br>
		<br> Supplier shall provide workers with appropriate workplace health and safety training in their primary language.</br>
		</div>
		<div style="margin-left:15px; width: 93%; vertical-align: middle; float: left; padding-bottom: 8px; line-height:130%; font-weight: bold;"  >
		<br>3. 환경보호 Environment</br>
		</div>	
		<div style="margin-left:15px; width: 100%; vertical-align: middle; float: left; text-align: left; padding-bottom: 8px; line-height:130%"  >
		<br> 협력사는 화학물질 및 폐기물 관리와 폐기, 재활용, 산업용수 관리와 재사용, 온실가스 및 대기배출물질 통제 등 환경 관련 법률 및 규정을 준수하여야 합니다.</br>
		<br> Suppliers shall adhere to laws and regulations related to chemical and waste management, recycling, wastewater and air emissions.</br>
		<br> 유해물질이 배출되는 경우 환경 오염의 가능성이 있는 화학물질 및 기타 물질들을 파악하고, 안전하게 취급, 이동, 저장, 사용, 폐기하도록 해야 합니다. 특정 물질의 사용, 취급을 금지 또는 규제하는 현지 법률 및 규정을 준수해야 합니다.</br>
		<br> Chemical and other materials posing a hazard if released into the environment are to be identified and managed to ensure their safe handling, movement, storage, use and disposal. Supplier shall comply with local laws and regulations prohibiting or controlling the use of particular chemicals and other matericals.</br>
		</div>	
		<div style="margin-left:15px; width: 93%; vertical-align: middle; float: left; padding-bottom: 8px; line-height:130%; font-weight: bold;"  >
		<br>4. 윤리경영 Ethics</br>
		</div>	
		<div style="margin-left:15px; width: 100%; vertical-align: middle; float: left; text-align: left; padding-bottom: 8px; line-height:130%"  >
		<br>협력사는 모든 현지 법률 및 규정을 준수해야 하며, SGC이앤씨는 협력사가 높은 수준의 윤리 기준을 유지할 것을 요구합니다.</br>
		<br>Suppliers are to adhere to all applicable laws and regulations and be to uphold the high standards of ethics.</br>
		<br> 윤리경영을 실천하기 위한 세부기준은 윤리실천 특별약관을 따릅니다.</br>
		<br> For detailed guidance on how to comply with this Ethics, please see the Ethics Special Terms.</br>
		</div>			
		<div style="margin-left:15px; width: 93%; vertical-align: middle; float: left; text-align: center; padding-bottom: 8px; line-height:130%; font-weight: bold; font-size: 15px;"  >
		<br>윤리실천 특별약관
		<br>Ethics Special Terms</br>
		</div>
		<div style="width: 100%; vertical-align: middle; float: left; text-align: left; padding-bottom: 8px; line-height:130%"  >
		<br> 본 약관은 거래당사자 사이에 그 적용을 배제하기로 하는 명시적인 약정이 없는 한 회사와 상대방간의 모든 거래 또는 계약에 적용됩니다.</br>
		<br> The Ethics Special Terms (“Terms”) apply to any transaction or contract unless otherwise agreed between the parties to exclude the application.</br>
		<br> 양 당사자는 서로의 윤리경영 의지를 이해하고, 상호간의 본 약관 준수에 적극 협조합니다.</br>
		<br> The parties understand each other’s commitment to ethical management and cooperate to comply these Terms.</br>
		</div>	
		<div style="margin-left:15px; width: 93%; vertical-align: middle; float: left; padding-bottom: 8px; line-height:130%; font-weight: bold;"  >
		<br>위반행위의 유형 및 제재 Types of violation and sanctions</br>
		</div>		
		<div style="margin-left:15px; width: 100%; vertical-align: middle; float: left; text-align: left; padding-bottom: 8px; line-height:130%"  >
		<br>1. 부정한 청탁에 의한 재물 등의 취득 및 제공하는 행위
		<br> The parties shall not offer or promise bribes, goods or special treatment, etc. for the purpose of receiving illicit business profit.</br>
		<br>2. 통상적인 수준의 기념품 및 선물을 제외한 금전이나 금품을 제공하는 행위
		<br> The parties shall not offer anything of value other than appropriate and customary souvenirs or gifts, but in this case it must be carefully considered whether such offering violates the law and policies.</br>
		<br>3. 통상적인 수준을 초과하는 식사, 오락 등 향응을 제공하거나 접대하는 행위
		<br> The parties may offer legally appropriate hospitality (e.g. food and drink), but in this case it must be carefully considered whether such offering violates the law and policies.</br>
		<br>4. 통상적인 수준을 초과하는 교통, 숙박, 관광 등 편의를 제공하는 행위
		<br> The parties may offer legally appropriate conveniences (e.g. transportation, accommodation or sightseeing), but in this case it must be carefully considered whether such offering violates the law and policies.</br>
		<br>5. 회사 임직원에게 위법을 강요, 조장하는 행위
		<br> Any employee of the parties shall not be pressured or requested to offer inappropriate or illicit goods, gifts, hospitality, etc.</br>
		<br>6. 금전대차, 보증, 부동산 매매 또는 임대차 등 공정한 업무수행에 지장을 초래하는 금전 또는 부동산거래행위
		<br> Any financial or real estate transactions, such as a loan, surety, sale or lease of real estate that cause disruption of fair transaction shall be prohibited.</br>
		<br>‘통상적인 수준’이라 함은 사회 일반의 건전한 상식으로 판단할 때 용인할 수 있는 보편 타당한 수준으로 수혜자가 부담을 가지지 않고 업무를 공정히 처리할 수 있는 정도를 의미합니다.
		<br> Generally accepted amount means the amount of threshold that the counterparty can accept under the laws, policies and local customs</br>
		<br>회사는 상대방이 위 사항을 위반하는 행위를 한 경우 그 정도에 따라 아래와 같은 조치를 취할 수 있습니다.  단, 위반행위에 대해 자진 신고하는 경우에는 면책이 가능합니다.
		<br>If any employee violates the Terms stated above, the following sanctions can be taken depending on the degree of violations :
		<br>If you report violations of your own accord, you may be exempted from the sanctions.</br>
		<br>○ 회사로부터 권한을 위임 받아 업무를 수행하는 자가 취득한 재산상 이익이 1백만원 미만인 경우 : 협력업체 등록취소 2년
		<br> The Profit from the property obtained by a person who conducts the business with the authority of the company is less than 1 million won : Cancel the supplier registration for 2 years</br>
		<br>○ 회사로부터 권한을 위임 받아 업무를 수행하는 자가 취득한 재산상 이익이 1백만원 이상인 경우 : 협력업체 등록취소 5년
		<br> The Profit from the property obtained by a person who conducts the business with the authority of the company is more than 1 million won : Cancel the supplier registration for 5 years</br>
		</div>					
		<div style="width: 100%; vertical-align: middle; float: left; text-align: right; padding-bottom: 8px;"  >
		<br></br>
		<br></br>
		</div>					
		<div style="margin-left:15px; width: 93%; vertical-align: middle; float: left; text-align: center; padding-bottom: 8px; line-height:130%; font-weight: bold;"  >
		<br><%=RolesPop.get("roles_yn_dy")%></br>
		</div>
		<div style="margin-left:11px; width: 93%; vertical-align: middle; float: left; text-align: right; padding-bottom: 8px; line-height:130%; font-weight: bold;"  >
		<br>
		<br>(서약인) 소 재 지 : <%=RolesPop.get("address") %></br>
		<br>회 사 명 : <%=RolesPop.get("vendor_name") %></br>	
		<br>대 표 이 사 : <%=RolesPop.get("rep_name") %></br>
		</div>			
		<div style="width: 100%; vertical-align: middle; float: left; text-align: center; padding-bottom: 8px; line-height:100%; font-weight: bold;"  >
		<br>
		<br>SGC이앤씨(주) 귀중</br>
		</div>
	</div>
	</table> 
	
	<div style="width: 480px; text-align: center; margin-top: 20px;">
		<span id="save" name="save" class="btnSearch center"><a href="javascript:void(0);" id="btn_save">확인</a></span>		
		<span id="print" name="print" class="btnSearch center"><a href="javascript:void(0);" id="btn_print">인쇄</a></span>
		<span id="close" name="close" class="btnSearch center"><a href="javascript:void(0);" id="btn_close">닫기</a></span>	
	</div>	
	<br></br>
</form>