<%--
  - FileName   : SecretDocPop.jsp
  - Author(s)  : lsm
  -
  --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="kr.co.hsnc.common.util.ValueObject" %>
<%@ page import="kr.co.hsnc.common.sql.RowSet" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="com.udapsoft.waf.common.util.StringUtils" %>
<%@ page import="kr.co.hsnc.common.config.WAFConfig" %>
<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
    ValueObject SecretPop = storage.getValueObject("DocInfoPop");    
    String event = storage.getEvent();
%>

 <script type="text/javascript">	
 	$(function(){	
 		
 		$("#btn_close").click(function(){
 			parent.fLayerPopClose('SecretPop');
		});
 		
		$("#btn_save").click(function(){		    
		    var f = document.form1;
 
		    $("#fevent").val("GET_SAVE");		 	   
		 	   if(confirm("비밀준수약정서를 확인하셨습니까?"))
		 	   {
				  submitXmlRequest("/portal/bid/SecretDocPopSave_form.screen", "GET_SECRET_SAVE", f);
				}
		    
		});
		
		$(".icon_x").click(function(){
		    window.close();
		});
		
		$("#btn_print").click(function(){		    
			jQuery("#btn_save").hide();
			jQuery("#btn_print").hide();
			jQuery("#btn_close").hide();
			$("#title1").css({ 'font-size' : 28});
			$("#text1").css({ 'font-size' : 18});		
 		    window.print();		 
 		    $("#btn_close").click();
 		   //self.close();
		});
		
 	});
 	
 	$(document).ready(function(){ 		
 		if("<%=params.get("p_gubun")%>" == "buyer"){			
	    	jQuery("#btn_save").hide();	    	
	    }
 	});
 	
 	function doResult(resultObj) {
 		var f = document.form1;
 		
 		try 
 		{
 		   document.form1.isSubmit = false;
 		   
 		   if($("#fevent").val() == "GET_SAVE")
 		   {
 		      if (resultObj.getSuccess())	
 		      {
 		         alert("비밀준수약정서 확인이 완료되었습니다.");
 		         window.close();  
 		         parent.$.searchList();	//showmodal 조치
 		      }
 		      else
	          {
 		         dlgErrorMsg( resultObj );
	          }
 		   }
 		}
 		catch(errorObject) {
 	        showErrorDlg("doResult()", errorObject);
 		}
 	} 	
 
 </script>
 
<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>

<form id="form1" name="form1" method="post" modular:type="search">
<input type="hidden" name="fevent" id="fevent" value="">
<input type="hidden" name="secret_yn" id="secret_yn" value="<%=params.get("p_secret_yn") %>" />
<input type="hidden" name="bid_no" id="bid_no" value="<%=params.get("p_bid_no") %>" />
<input type="hidden" name="bid_deg" id="bid_deg" value="<%=params.get("p_bid_deg") %>" />
<input type="hidden" name="vendor_cd" id="vendor_cd" value="<%=params.get("p_vendor_cd") %>" /> 
<input type="hidden" name="dept_nm" id="dept_nm" value="<%=params.get("p_dept_nm") %>" />
<input type="hidden" name="secret_yn_dy" id="secret_yn_dy" value="<%=params.get("p_secret_yn_dy") %>" />
<input type="hidden" name="vendor_name" id="vendor_name" value="<%=params.get("p_vendor_name") %>" />
<input type="hidden" name="gubun" id="gubun" value="<%=params.get("p_gubun") %>" />
 
<div style="width: 100%; text-align: center; margin-top: 10px; margin-bottom: 15px;" >
	<span id="title1" style="font-size: 25px; font-weight: bold;"><u>비 밀 준 수 약 정 서</u></span>
</div>

<table cellspacing="0" cellpadding="0" border="0" bordercolordark="#FFFFF" bordercolorlight="#d2d2d2" class="input_table" style="width: 450px;">
<!-- <col width="*"> -->
	<div id="text1" style="width: 100%; vertical-align: middle; float: left; text-align: left; padding-bottom: 8px; line-height:50%"  >
		<div style="width: 100%; vertical-align: middle; float: left; text-align: left; padding-bottom: 8px; line-height:130%"  >
		<br>본인은 주식회사 SGC이앤씨(주)의 "<%=SecretPop.get("dept_nm") %>"에 관한 다음사항을 엄격히 준수할 것을 서약합니다.</br>
		</div>				
<!--		<br></br>
		<br></br>
 		<br></br>	
		<br></br>
		<br></br>	
		<br></br> -->	
		<div style="margin-left:15px; width: 93%; vertical-align: middle; float: left; text-align: left; padding-bottom: 8px; line-height:130%"  >
		<br>1. 귀사 PROJECT 입찰에서 알게된 각종 공장의 건설기법이나 화학공정,기계공정 및 연구 개발 사항등 직접 또는 간접으로 귀사의 생산활동과 기업비밀에 관련된 Know-How에 속하는 일체의 기밀을 준수하고 절대로 다른쪽에 누설하거나 정보를 제공하지 않겠습니다.</br>				
		<br>2. PROJECT 입찰 또는 PROJECT 수행중 업무상 기타의 사정으로 인하여 다른곳에 정보를 제공하거나 기법, 기술을 사용하게 할 경우에는 반드시 사전에 귀사의 승낙을 받은 후에 시행하겠습니다.</br>					
		<br>3. PROJECT 입찰 또는 PROJECT 수행중에 업무와 관련하여 타의 기업비밀 및 그와 관련된 각종 정보를 회사에 수용케 하는 경우에는 관계규정에 따라 사전에 회사의 승낙을 받고 시행하겠습니다.</br>					
		<br>4. PROJECT 입찰 또는 PROJECT 수행중에 제 1항에 관련된 Know-How를 본인의 사업에 활용하거나 또는 타인의 사업을 위하여 제공하고자 할 경우에는 반드시 회사에 서면으로 약정을 체결한 후에 시행하겠습니다.</br>		
		</div>			
		<div style="width: 100%; vertical-align: middle; float: left; text-align: left; padding-bottom: 8px; line-height:130%"  >
		<br>이상과 같이 서약하며 만일 이 서약을 위반하여 귀사의 유형 또는 무형의 재산에 손해를 끼쳤을 경우나 또는 권리를 침해하혔을 경우에는 민.형사상의 모든 책임을 질 것이며 귀사의 어떠한 조치라도 이의를 제기하지 않겠기에 서약을 제출합니다.</br>
		</div>		
		<!-- <br>1. 귀사 PROJECT 입찰에서 알게된 각종 공장의 건설기법이나 화학공정,</br>
		<br>&nbsp&nbsp 기계공정 및 연구 개발 사항등 직접 또는 간접으로 귀사의 생산활동과</br>
		<br>&nbsp&nbsp 기업비밀에 관련된 Know-How에 속하는 일체의 기밀을 준수하고 절대로</br>
		<br>&nbsp&nbsp 다른쪽에 누설하거나 정보를 제공하지 않겠습니다.</br> 
		<br></br>		
		<br>2. PROJECT 입찰 또는 PROJECT 수행중 업무상 기타의 사정으로 인하여</br>
		<br>&nbsp&nbsp 다른곳에 정보를 제공하거나 기법, 기술을 사용하게 할 경우에는 반드시</br>
		<br>&nbsp&nbsp 사전에 귀사의 승낙을 받은 후에 시행하겠습니다.</br>
		<br></br>		
		<br>3. PROJECT 입찰 또는 PROJECT 수행중에 업무와 관련하여 타의 기업비밀</br>
		<br>&nbsp&nbsp 및 그와 관련된 각종 정보를 회사에 수용케 하는 경우에는 관계규정에 따라</br>
		<br>&nbsp&nbsp 사전에 회사의 승낙을 받고 시행하겠습니다.</br>
		<br></br>		
		<br>4. PROJECT 입찰 또는 PROJECT 수행중에 제 1항에 관련된 Know-How를</br>
		<br>&nbsp&nbsp 본인의 사업에 활용하거나 또는 타인의 사업을 위하여 제공하고자 할</br>
		<br>&nbsp&nbsp 경우에는 반드시 회사에 서면으로 약정을 체결한 후에 시행하겠습니다.</br>
		<br></br>		
		<br>이상과 같이 서약하며 만일 이 서약을 위반하여 귀사의 유형 또는 무형의 재산에</br>
		<br>손해를 끼쳤을 경우나 또는 권리를 침해하혔을 경우에는 민.형사상의 모든 책임</br>
		<br>을 질 것이며 귀사의 어떠한 조치라도 이의를 제기하지 않겠기에 서약을 제출합</br>		
		<br>니다.</br> 
		<br></br>-->		
		<div style="width: 100%; vertical-align: middle; float: left; text-align: right; padding-bottom: 8px;"  >
		<br></br>
		<br></br>
		<br><%=SecretPop.get("secret_yn_dy")%></br>
		<br>상 호 명 : <%=SecretPop.get("vendor_name") %></br>	
		</div>		
		<div style="width: 100%; vertical-align: middle; float: left; text-align: left; padding-bottom: 8px; line-height:100%"  >
		<br>에스지씨이앤씨(주) 귀 중</br>
		</div>
	</div>
	</table> 
	
	<div style="width: 480px; text-align: center; margin-top: 20px;">
		<span id="save" name="save" class="btnSearch center"><a href="javascript:void(0);" id="btn_save">확인</a></span>		
		<span id="print" name="print" class="btnSearch center"><a href="javascript:void(0);" id="btn_print">인쇄</a></span>
		<span id="close" name="close" class="btnSearch center"><a href="javascript:void(0);" id="btn_close">닫기</a></span>	
	</div>	
</form>