<%--
  - Author(s)  : Hyung min Son
  - Date       : 2014.08.08
  - Description: 기술문서등록 상세
  --%>
  
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="java.text.SimpleDateFormat" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="kr.co.udapsoft.common.code.*" %>
<%@ page import="com.udapsoft.waf.common.util.StringUtils"%>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
    ValueObject Order = storage.getValueObject("Order");
    ValueObject fileout = storage.getValueObject(Order.get("DOC_ETC_OUT"));
    
    SimpleDateFormat sd = new SimpleDateFormat("yyyyMMdd");
    SimpleDateFormat sd2 = new SimpleDateFormat("yyyyMMddHHmm");
    String nowTime = sd.format(new Date());
    String to_yyyy = Order.get("BID_TO_DT").substring(0, 4);
    String to_MM = Order.get("BID_TO_DT").substring(5, 7);
    String to_dd = Order.get("BID_TO_DT").substring(8, 10);
    String to_hh = Order.get("BID_TO_DT").substring(11, 13);
    String to_mi = Order.get("BID_TO_DT").substring(14, 16);
    String nowTime_yyyy = nowTime.substring(0, 4);
    String nowTime_MM = nowTime.substring(4, 6);
    String nowTime_dd = nowTime.substring(6, 8);
    SimpleDateFormat SeverTime = new SimpleDateFormat("yyyy-MM-dd");
    String str = SeverTime.format(new Date()); 
    
    to_MM = (Integer.valueOf(to_MM)-1)+""; //2016.03.30 전자조달과 동일하게 
    nowTime_MM = (Integer.valueOf(nowTime_MM)-1)+"";//2016.03.30
    
    boolean MODIFY_YN = true;
    boolean p_reason = false;
    boolean c_reason = false;
    boolean m_reason = false;
    if(Order.get("POSTPONE_REASON").length()> 0){
    	p_reason = true;
    }else  if(Order.get("CANCEL_REASON").length()> 0){
    	c_reason = true;
    }
    if(Order.get("MODIFY_REASON").length()> 0){
    	m_reason = true;
    }
    if(Order.getInt("MODIFY_CNT") > 0){
    	MODIFY_YN = false;
    }
%>
<SCRIPT language="JavaScript">
	/*예약함수*/
	var sheet1 = new ibsheetObject();
	var sheet2 = new ibsheetObject();
	var pageLastRowIndex = 1;
	var validationResult = false;
	var filterShow = false;
	var must_msg = "(은)는 필수 입력 항목입니다."; 
	var TBE_req_deg = "<%=Order.get("REQ_DEG")%>";
	var edit = "<%=Order.get("EDIT")%>";
	var filediv = "bid/";
	var doc_row = null;
	//TBE + CORP_ID + BID_NO + BID_DEG + 요청차수(REQ_DEG) + COUNT NUM  
	var TBEFILE_GB = "TBE"+"<%=Order.get("VENDOR_CD")%>" + "<%=Order.get("BID_NO")%>"  + "<%=Order.get("BID_DEG")%>";
	
	function _onReady(){
		$("#return_file").hide();
		/**
		 *	IBSheet object initialize
		 */
		 
		<%if(!"O".equals(Order.get("DEMANDED_KIND"))){%>
		gridInit(sheet1);
		<%}%>
		gridInit(sheet2);
		doSearchTBESheet();
		/**
		 *	Application Initialize
		 */
		 $("#btn_list").click(function() {
			 //alert($("#return_file").val());
				$("#fevent").val("");
				$("#form1").attr("action", "/portal/bid/TBERequestList.screen");
				$("#form1").attr("target", "_self");
				$("#form1").attr("method", "post"); 
				$("#form1").submit();
		}); 
		
		 $("#btn_save").click(function() {
			 if(!TBE_file_Ck()){
				 return;
			 }
			 
			 if (confirm("저장 하시겠습니까?")){	
			 	$("#fevent").val("SAVE");
				var url = Modular.model.PageContext.CONTEXT_ROOT + "/portal/bid/TBERequest_sheet.screen";
				var result = Modular.view.IBSheet7.doSave(sheet2, url, $("#form1"), false);
			 }
		});
		 
		 
		 $("#btn_tbe").click(function() {
			 if(!TBE_file_Ck()){
				 return;
			 }
			 
			 if (confirm("문서를 최종제출 하시겠습니까?")){
				$("#fevent").val("TBE_SAVE");
				var url = Modular.model.PageContext.CONTEXT_ROOT + "/portal/bid/TBERequest_sheet.screen";
				var result = Modular.view.IBSheet7.doSave(sheet2, url, $("#form1"), false);
			 }
		 });
		 
		 
		 
		 $("#btn_radd").click(function() {
			 var lastrow = sheet2.RowCount();
			 var countnumber =   sheet2.GetCellValue(1,"NUM")+1;
			 var row = sheet2.DataInsert(1);
			 var olddeg = sheet2.GetCellValue(2,"REQ_DEG");

			 if(olddeg != TBE_req_deg)countnumber = 1;//요청 차수가 다른경우 카운트 1부터 다시 시작
			 if(countnumber == 0 || countnumber == "" || countnumber == null)
				 countnumber = 1;
			 
			 sheet2.SetCellValue(row,"REQ_DEG",$("#REQ_DEG").val());
			 sheet2.SetCellValue(row,"EVAL_FILE_GB",TBEFILE_GB+""+$("#REQ_DEG").val()+""+countnumber);
			 sheet2.SetCellValue(row,"NUM",countnumber);
			 sheet2.SetCellValue(row,"EVAL_FILE_ID","<%=Order.get("DEMANDED_ID")%>");
			 if(lastrow > 0){
				if(sheet2.GetCellValue(row+1,"REG_DT") == "" || sheet2.GetCellValue(row+1,"REG_DT") == null){
					sheet2.SetCellValue(row,"REG_DT",$("#REG_DT").val());
				}else{
					sheet2.SetCellValue(row,"REG_DT",sheet2.GetCellValue(row+1,"REG_DT"));	
				}
			 	
			 }
		 });
		 //삭제
		 $("#btn_rdel").click(function() {
			 var rowcnt = sheet2.RowCount();
			if(rowcnt> 0){
				var Save = true;
				for(var r=1; r < rowcnt+1; r++)
				{
					if(sheet2.GetCellValue(r,"DEL_CHECK") == 1 || sheet2.GetCellValue(r,"DEL_CHECK") == true){//이전차수 일경우 수정못하게
						Save = false;
					}
				}
				if(Save){
					alert("삭제할 문서를 선택해 주세요.");
					return;
				}
				if (confirm("선택된 문서를 삭제 하시겠습니까?")){
					for(var r=1; r < rowcnt+1; r++)
					{
						if(sheet2.GetCellValue(r,"DEL_CHECK") == 1 || sheet2.GetCellValue(r,"DEL_CHECK") == true){//이전차수 일경우 수정못하게
							sheet2.SetCellValue(r,"STATUS","D");
							sheet2.RowDelete(r,false);
						}
					}
				}
			}
		});
		 //견적포기
		 $("#btn_giveup").click(function() {
			 var bid_to_dt = "<%=Order.get("BID_TO_DT")%>";
			 var bid_from_dt = "<%=Order.get("BID_FROM_DT")%>";
			 var today = "<%=str%>";
			 var now = new Date();
		     hours = now.getHours();
		     if (hours < 10)
		         hours = "0" + hours;
		     minutes = now.getMinutes();
		     now = today + " " + hours + ":" + minutes;
		     var esti = "<%=Order.get("ESTI_YN")%>";
		     if(bid_from_dt > now || bid_to_dt <= now){
		    	 alert("견적서 제출 기간이 아닙니다.");
		    	 return;
		     }
			 var win_id = "_BidGiveupPop";
			 var link = "/portal/bid/BidGiveupPop.screen";
			       link += "?pop_win_id="+win_id;
			       link += "&VENDOR_CD="+$("#VENDOR_CD").val();
			       link += "&BID_NO="+$("#BID_NO").val();
			       link += "&BID_DEG="+$("#BID_DEG").val();
			fLayerPop(win_id, link, 600,210, '', '', 'NO');
		 });
		 
		 var esti = "<%=Order.get("ESTI_YN")%>";
		 if(esti == "불가능"){
			 $("#btn_signdata").hide();
			 $("#btn_giveup").hide();
		 }else if(esti == "입찰포기"){
			 $("#btn_signdata").hide();
			 $("#btn_giveup").hide();
			 $("#btn_save").hide();
			 $("#btn_tbe").hide();
		 }
		 
		 //return_file
		//견적대상 업체 조회
		 $("#return_file").on("change",function() {
			 var doc_nm = $("#return_file").val();
			 if(doc_nm.length > 0){
				 var doc1 = doc_nm.split(": ");
				 var doc2 = doc1[1].split(" ( "); 
				 if(doc_row != null)sheet2.SetCellValue(doc_row,"FILE_NM",doc2[0]);
			 }
		 });
		 
		 if("<%=Order.get("DOC_ETC_IN")%>" == "O"){
			 filediv += "outside/";
		 }else{
			 filediv += "purchase/";
		 }
		 filediv += "<%=Order.get("BID_NO")%>" +"/"+ "<%=Order.get("VENDOR_CD")%>";

		 if(edit == "N"){//차수가 달라진 경우
			 TBE_req_deg++;
			 $("#REQ_DEG").val(TBE_req_deg);
		 }
		 
		 var TBE_STATUS_CD = $("#TBE_STATUS_CD").val();
		 if(TBE_STATUS_CD == "01" || TBE_STATUS_CD == "10"){//문서 제출 일경우 버튼 숨김.
			 $("#btn_radd").hide();
			 $("#btn_rdel").hide();
			 $("#btn_save").hide();
			 $("#btn_tbe").hide();
		 }
	}
	
	/**
	 *	IBSheet object initialize
	 */
	function gridInit(sheetName){
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, Page:30};
		if(sheetName.id == "sheet1"){
			init_sheet.Cols = [
			       			{Header:'Del',					Type:"DelCheck",		SaveName:"DEL_CHECK", 					Width:50, 			Align:"Center",	Hidden:"True"},
			    			{Header:'Status',				Type:"Status", 		SaveName:"STATUS", 						Width:0, 			Align:"Center",	Hidden:"True"},
			    			{Header:'No.',					Type:"Seq", 			SaveName:"NO",								Width:0, 			Align:"Center",	Hidden:"True"},
			    			{Header:'자재코드',				Type:"Text", 			SaveName:"MATERIAL_CD", 				Width:60, 			Align:"Center"},
			    			{Header:'자재명',				Type:"Text", 			SaveName:"MATERIAL_NAME", 			Width:220, 			Align:"Left"},
			    			{Header:'규격',					Type:"Text", 			SaveName:"STD", 							Width:70, 			Align:"Left"},
			    			{Header:'단위',					Type:"Text", 			SaveName:"UNIT_KIND", 					Width:40, 			Align:"Center"},
			    			{Header:'투입요청일',			Type:"Text", 			SaveName:"REQUEST_DATE", 				Width:40, 			Align:"Center"},
			    			{Header:'견적의뢰수량',			Type:"Float", 			SaveName:"DEMANDED_QTY", 			Width:50, 			Align:"Right"}
			];
			sheetName.SetEditable(false);
		}else{
			init_sheet.Cols = [
				       			{Header:'Del',					Type:"DelCheck",		SaveName:"DEL_CHECK", 					Width:50,	ColMerge:false, 			Align:"Center"},
				    			{Header:'Status',				Type:"Status", 		SaveName:"STATUS", 						Width:0,		ColMerge:false, 			Align:"Center",	Hidden:"True"},
				    			{Header:'No.',					Type:"Seq", 			SaveName:"NO",								Width:0,		ColMerge:false, 			Align:"Center",	Hidden:"True"},
				    			{Header:'요청차수',				Type:"Int", 				SaveName:"REQ_DEG", 						Width:60,	ColMerge:false, 			Align:"Center",		Edit:false},
				    			{Header:'문서명',				Type:"Text", 			SaveName:"DOC_NM", 						Width:160,	ColMerge:false, 			Align:"Left",		EditLen:250},
				    			{Header:'파일명',				Type:"Popup", 			SaveName:"FILE_NM", 						Width:140,	ColMerge:false, 			Align:"Left"	},
				    			{Header:'상태',					Type:"Text", 			SaveName:"STATUS_NM", 					Width:60,	ColMerge:false, 			Align:"Center",		Edit:false},
				    			{Header:'의뢰일',				Type:"Text", 			SaveName:"REG_DT", 						Width:60,	ColMerge:false, 			Align:"Center",		Edit:false},
				    			{Header:'작성일',				Type:"Text", 			SaveName:"DOC_DT", 						Width:60,	ColMerge:false, 			Align:"Center",		Edit:false},
				    			{Header:'비고',					Type:"Text", 			SaveName:"NOTI", 							Width:120,	ColMerge:true, 			Align:"Left",			Edit:false},
				    			{Header:'BID_NO',			Type:"Text", 			SaveName:"BID_NO",							Width:0,		ColMerge:false, 			Align:"Center",	Hidden:"True"},
				    			{Header:'BID_DEG',			Type:"Text", 			SaveName:"BID_DEG",						Width:0,		ColMerge:false, 			Align:"Center",	Hidden:"True"},
				    			{Header:'STATUS_CD',		Type:"Text", 			SaveName:"STATUS_CD",					Width:0,		ColMerge:false, 			Align:"Center",	Hidden:"True"},
				    			{Header:'EVAL_FILE_GB',	Type:"Text", 			SaveName:"EVAL_FILE_GB",				Width:0,		ColMerge:false, 			Align:"Center",	Hidden:"True"},
				    			{Header:'EVAL_FILE_ID',	Type:"Text", 			SaveName:"EVAL_FILE_ID",				Width:0,		ColMerge:false, 			Align:"Center",	Hidden:"True"},
				    			{Header:'NUM',				Type:"Int", 				SaveName:"NUM",								Width:0,		ColMerge:false, 			Align:"Center",	Hidden:"True"}
			];
			sheetName.SetMergeSheet(msBaseColumnMerge);
		}
		init_sheet.HeaderMode = {Sort:0};
		IBS_InitSheet(sheetName, init_sheet);
		sheetName.SetDataAutoTrim(0);
		setGridSize();
	}
	
	function TBE_file_Ck(){
		var	bChk	=	true;
		var rowcnt = sheet2.RowCount();
		if(rowcnt> 0){
			for(var r=1; r < rowcnt+1; r++)
			{
				if(sheet2.GetCellValue(r,"DOC_NM").length == 0){//이전차수 일경우 수정못하게
					alert("문서명은 필수 입니다.");
					$("#sheet2_div").focus();
					bChk	=	false;
					break;
					
					//return true;					
				}
				if(sheet2.GetCellValue(r,"FILE_NM").length == 0){//같은 차수이나 재요청들어온경우 수정못하게
					alert("파일을 등록해 주세요.");
					$("#sheet2_div").focus();
					bChk	=	false;
					break;
					//return true;
				}
			}
		}else
		{
			alert("파일을 등록해 주세요.");
			bChk	=	false;
		}
		return bChk;
	}

	function doSearchSheet(){
		$("#fevent").val("GET_ITEM_LIST");
		var url = Modular.model.PageContext.CONTEXT_ROOT + "/portal/bid/TBERequest_sheet.screen";
		Modular.view.IBSheet7.doSearch(sheet1, url, jQuery("#form1"), 30, "");
	}
	
	function doSearchTBESheet(){
		$("#fevent").val("GET_TBE_LIST");
		var url = Modular.model.PageContext.CONTEXT_ROOT + "/portal/bid/TBERequest_sheet.screen";
		Modular.view.IBSheet7.doSearch(sheet2, url, jQuery("#form1"), 30, "");
	}
	
	function sheet2_OnSaveEnd(code, msg)
	{
		var fevent = $("#fevent").val();
		if(code >= "0"){
			if(fevent == "SAVE"){
				alert("저장 되었습니다.");
				$("#fevent").val("FORM_SELECT");
				$("#form1").attr("action", "/portal/bid/TBERequest.screen");
				$("#form1").attr("target", "_self");
				$("#form1").attr("method", "post");
				$("#form1").submit();
			}
			if(fevent == "TBE_SAVE"){
				alert("최종제출 하였습니다.");
				$("#fevent").val("FORM_SELECT");
				$("#form1").attr("action", "/portal/bid/TBERequest.screen");
				$("#form1").attr("target", "_self");
				$("#form1").attr("method", "post");
				$("#form1").submit();
			}
		}else{
			alert("에러가 발생하였습니다.\n"+msg);
		}
	}
	/**
	 *	IBSheet Event: DBLCLICK
	 */
	 function sheet2_OnDblClick(Row, Col, Value, CellX, CellY, CellW, CellH) {
		 if(Col == 5){
			doc_row =Row;
			var filegb = sheet2.GetCellValue(Row,"EVAL_FILE_GB");
			var fileid = sheet2.GetCellValue(Row,"EVAL_FILE_ID");
			
			//수정 불가 행은 업로드 못하게 막기
			var upload = "Y";
			if(sheet2.GetRowEditable(Row) != 1){
				upload = "N";
			}
			if(sheet2.GetCellValue(Row,"STATUS_CD") == "01"){//문서제출인 경우 업로드나 삭제 불가능
				upload = "N";
			}
			
			viewFileListNew(filegb, fileid, document.form1.return_file, upload, filediv);
		 }
	 }
	/**
	 *	IBSheet size setting
	 */
	function setGridSize() {
		<%if(!"O".equals(Order.get("DEMANDED_KIND"))){%>
		sheet1.FitColWidth();
		<%}%>
		sheet2.FitColWidth();
		autoResize();
	}
	
	
	function sheet1_OnSmartResize(Width, Height) { 
		setGridSize();
		autoResize();
	}

	function autoResize(){
		<%if(!"O".equals(Order.get("DEMANDED_KIND"))){%>
		sheet1.SetSheetHeight(250);
		<%}%>
		sheet2.SetSheetHeight(250); 
	}
	
	/**
	 *	IBSheet Event: Search End(IBSheet 데이터 조회 CallBack)
	 */
	function sheet1_OnSearchEnd(code, message) {
	    var fevent = $("#fevent").val();
		 if(code == 0) {
	    	setGridSize();
		} else {
			//조회 에러 수행
			alert(message);
		}
	}
	/**
	 *	IBSheet Event: Search End(IBSheet 데이터 조회 CallBack)
	 */
	function sheet2_OnSearchEnd(code, message) {
		 var fevent = $("#fevent").val();
	    if(code == 0) {
	    	var rowcnt = sheet2.RowCount();
			if(rowcnt> 0){
				for(var r=1; r < rowcnt+1; r++)
				{
					if(sheet2.GetCellValue(r,"REQ_DEG") < TBE_req_deg){//이전차수 일경우 수정못하게
						sheet2.SetRowEditable(r,false);
					}
					if(edit == "N"){
						if(sheet2.GetCellValue(r,"REQ_DEG") == TBE_req_deg){//같은 차수이나 재요청들어온경우 수정못하게
							sheet2.SetRowEditable(r,false);
						}
					}
					if(sheet2.GetCellValue(r,"STATUS_CD") == "01" ||sheet2.GetCellValue(r,"STATUS_CD") == "02" ||sheet2.GetCellValue(r,"STATUS_CD") == "10"){//문서제출 한 행은 수정 불가능
						sheet2.SetRowEditable(r,false);
					}
				}
			}
	    	if(fevent == "GET_TBE_LIST"){
	    		<%if(!"O".equals(Order.get("DEMANDED_KIND"))){%>
	    		doSearchSheet();
	    		<%}%>
	    	}
	    	setGridSize();
		} else {
			//조회 에러 수행
			alert(message);
		}
	}

	
	//첨부파일   
	function doAttachFile(obj,No) {
		 if(obj==''){
			 alert("After you have saved, you can attach a file.");
		}
		else if(obj != ''){ 
			if(No == 1){
				viewFileListNew("<%=Order.get("DOC_ETC_IN")%>", obj.value, document.form1.p_AttachFile1, "N", filediv);
			}else{
				viewFileListNew("<%=Order.get("DOC_ETC_OUT")%>", obj.value, document.form1.p_AttachFile2, "N", filediv);
			}
		} 
	}
	
	function doResult(resultObj) {
		try {
			if( resultObj.getRequestEvent() == "FORM_UPDATE") {
				if( resultObj.getSuccess() ) {
					alert("저장 되었습니다.");
 					$("#btn_list").click();
				}
				else {
					dlgErrorMsg(resultObj);
				}
			}
			
			if( resultObj.getRequestEvent() == "FORM_DELETE") {
				if( resultObj.getSuccess() ) {
					alert("삭제 되었습니다.");
 					$("#btn_list").click();
				}
				else {
					dlgErrorMsg(resultObj);
				}
			}
		} catch(errorObject) {
			showErrorDlg("doResult()", errorObject);
		}
	}
	
	function PopClose(win_id,result){
		if( result != null ){
			if(result[0] == 0){
				setTimeout(function(){	fLayerPopClose(win_id);},100);
				if(result[1].length> 0)alert(result[1]);
				$("#btn_list").click();
			}
		}else{
			setTimeout(function(){	fLayerPopClose(win_id);	},100);
		}
	}
	
	function fLayerPopClose(layerID){
		$("#return_file").change();
		var	oNode	=	document.getElementById(layerID);
		if(oNode != null)
		{
			$('#'+layerID+ '_divcontent').empty();
			$('#'+layerID).bPopup().close();
			document.body.removeChild(oNode);
		}
	}
	
	function doSignData(VendorCd, sContHash){
		unisign.SignDataNVerifyVID( sContHash, null, VendorCd, function( resultObject ) {
			if( !resultObject || resultObject.resultCode != 0 ){
				if( resultObject.resultCode == '14208'){
					alert("주민번호/사업자번호를 확인할 수 없는 인증서입니다.");
				} else if( resultObject.resultCode == '999'){
					alert("사용자 DN 선택이 취소 되었습니다.");
				} else {
					alert( resultObject.resultMessage);
				}
				return ;
			}
			
			var signeddata = resultObject.signedData;
			
			$('.b-iframe').get(0).contentWindow.doSetPop(signeddata);
		});
}
		
</SCRIPT>
<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>
<form id="form1" name="form1" method="post" modular:type="search">

<INPUT type='hidden' name="fevent" id="fevent"  value="">
<INPUT type='hidden' name="DEMANDED_ID" value="<%=Order.get("DEMANDED_ID")%>">
<INPUT type='hidden' name="BID_NO" value="<%=Order.get("BID_NO")%>">
<INPUT type='hidden' name="BID_DEG" value="<%=Order.get("BID_DEG")%>">
<INPUT type='hidden' name="STATUS_CD" value="<%=Order.get("STATUS_CD")%>">
<INPUT type='hidden' name="VENDOR_CD" value="<%=user.get("CORP_ID")%>">
<INPUT type='hidden' name="FILE_GB" value="<%=Order.get("FILE_GB")%>">
<INPUT type='hidden' name="REQ_DEG" value="<%=Order.get("REQ_DEG")%>">
<INPUT type='hidden' name="REG_DT" value="<%=Order.get("REG_DT")%>">
<INPUT type='hidden' name="TBE_STATUS_CD" value="<%=Order.get("TBE_STATUS_CD")%>">
<table width="100%" border="0">
	<colgroup>
		<col width="*" />
		<col width="240" />
	</colgroup>
	<tr>
   		<th>
	   		<div align="left" id="title" >
 			  <ul><li>기술문서등록 상세</li></ul>
			</div> 
   		</th>
   		<td align="right">
			<span class="btnSearch center" id="btn_save"><a href="javascript:void(0);">저장</a></span>
			<span class="btnSearch center" id="btn_tbe"><a href="javascript:void(0);">최종제출</a></span>
			<span class="btnSearch center" id="btn_giveup"><a href="javascript:void(0);">입찰포기</a></span>
       		<span class="btnSearch center" id="btn_list"><a href="javascript:void(0);">목록</a></span>
   		</td>
  	</tr>
</table>

<div class="application-info magT10">
	<div class="application-sub-title">
		<span class="title">입찰기본정보</span>
	</div>
</div>

<!-- 발주의뢰정보 : 시작 -->
<TABLE class="form-table">
	<colgroup>
		<col width="145"/>
		<col width="145"/>
		<col width="29%"/>
		<col width="145"/>
		<col/>
	</colgroup>
  <TR height="25"> 
    <TH style="text-align:left"> 입찰번호-차수</TH>
	<TD colspan="2"><%=Order.get("bid_no") %>-<%=Order.get("bid_deg") %></TD>
	<TH style="text-align:left"> 온라인입찰여부</TH>
	<TD><%=Order.get("ONBID_YN").equals("Y") ? "온라인" : "오프라인"%></TD>
  </TR>

  <TR height="25"> 
	<TH style="text-align:left"> 입찰명</TH>
	<TD colspan="2"><%=Order.get("BID_MASTER_NM")%></TD>
	<TH style="text-align:left"> 경쟁방법</TH>
	<TD><%=Order.get("CMPT_NM") %></TD>
  </TR>
  
  <TR height="25"> 
  <%if(Order.get("DEMANDED_KIND").equals("O")){ %>
	<TH style="text-align:left">낙찰자선정방법</TH>
	<TD colspan="2"><%=Order.get("SUCC_NM") %></TD>
	<TH style="text-align:left"> 공종</TH>
	<TD><%= Order.get("OUT_ITEM_NM") %></TD>
	<%}else{ %>
	<TH style="text-align:left">낙찰자선정방법</TH>
	<TD colspan="4"><%=Order.get("SUCC_NM") %></TD>
	<%} %>
  </TR> 	
  <%if(Order.get("DEMANDED_KIND").equals("O")){ %>
   <TR height="25"> 
	<TH style="text-align:left">공사기간</TH>
	<TD colspan="2"><%=Order.get("DELI_FROM_DY_NM") %> <%if(!Order.get("DELI_FROM_DY_NM").isEmpty()||!Order.get("DELI_TO_DY_NM").isEmpty()){ %>~<%} %> <%=Order.get("DELI_TO_DY_NM") %></TD>
	<TH style="text-align:left"> 공사장소</TH>
	<TD><%= Order.get("DELIVERY_PLACE") %></TD> 	
  </TR> 	
  <%}else{ %>
  <TR height="25"> 
	<TH style="text-align:left">납품기간</TH>
	<TD colspan="2"><%=Order.get("DELI_START_DT") %> <%if(!Order.get("DELI_START_DT").isEmpty()||!Order.get("DELI_END_DT").isEmpty()){ %>~<%} %> <%=Order.get("DELI_END_DT") %></TD>
	<TH style="text-align:left"> 납품장소</TH>
	<TD><%= Order.get("DELI_END_PLACE") %></TD> 	
  </TR>
  <%}%> 	
  <!-- 발주의뢰정보 : 종료 -->
</table>

	<%if(p_reason || m_reason || c_reason){ %>
	<div class="application-info magT15">
		<div class="application-sub-title">
			<span class="title">입찰사유</span>
		</div>
	</div>
	
	<TABLE class="form-table">
		<colgroup>
			<col width="145">
			<col/>
		</colgroup>
	   <%if(c_reason){ %>
	  <TR height="25">
	    <TH style="text-align:left">취소사유</TH>
		<TD style="vertical-align: top"><%=StringUtils.cvtHTML(Order.get("CANCEL_REASON"))%></TD>
	  </TR>
	  <%} %>
	   <%if(p_reason){ %>
	  <TR height="25">
	    <TH style="text-align:left">연기사유</TH>
		<TD style="vertical-align: top" ><%=StringUtils.cvtHTML(Order.get("POSTPONE_REASON"))%></TD>
	  </TR>
	  <%} %>
	  <%if(m_reason){ %>
	  <TR height="25">
	    <TH style="text-align:left">정정사유</TH>
		<TD style="vertical-align: top"><%=StringUtils.cvtHTML(Order.get("MODIFY_REASON"))%></TD>
	  </TR>
	  <%} %>
	</TABLE>
	<%}%>

<div class="application-info magT15">
	<div class="application-sub-title">
		<span class="title">입찰조건</span>
	</div>
</div>

<%if(Order.get("DEMANDED_KIND").equals("O")){ %>
<TABLE class="form-table">
	<colgroup>
		<col width="145"/>
		<col width="145"/>
		<col width="29%"/>
		<col width="145"/>
		<col/>
	</colgroup>
  <TR height="25">
	<TH style="text-align:left">통화구분</TH>
	<TD colspan="4"><%=Order.get("CURRENCY_GB_NM") %>
	</TD>
  </TR>
   <TR height="25">
	<TH style="text-align:left">계약형태</TH>
	<TD colspan="4">
		<%=Order.get("OBC_CONT_TYPE_NM") %>
	</TD>
  </TR>
  <TR height="50">
  	<TH rowspan="2" style="text-align:left">공사대금</TH>
	<TH style="text-align:left">선급금</TH>
	<TD><% if(!Order.get("OBC_FRST_CONT_RATE").isEmpty()){%> 계약금액의 : <%= Order.get("OBC_FRST_CONT_RATE") %>%<br><%}%>
	<%= Order.get("OBC_FRST_CONDI") %><br>
	<%= Order.get("OBC_FRST_CNT_CONDI") %></TD>
	<TH style="text-align:left">기성금</TH>
	<TD><% if(!Order.get("CPC_MID_RATE").isEmpty()){%> 계약금액의 :<%= Order.get("CPC_MID_RATE")%>% ,<%}%><% if(!Order.get("OBC_MID_CASH_RATE").isEmpty()){%>현금 : <%= Order.get("OBC_MID_CASH_RATE")%>% <%}%><% if(!Order.get("OBC_MID_BILL_RATE").isEmpty()){%>어음 : <%= Order.get("OBC_MID_BILL_RATE")%>%<%}%><br>
			<% if(!Order.get("OBC_MID_PAYDAY").isEmpty()){%>세금계산서 발행일로부터 <%=Order.get("OBC_MID_PAYDAY")%>일 내 지급<br>
			<%=Order.get("OBC_MID_REQ_MONTH")%>개월 당 <%=Order.get("OBC_MID_CNT")%>회 말일에 청구<%}%>
	</TD>	
  </TR>
    <TR height="25">
	<TH style="text-align:left">준공금</TH>
	<TD colspan="3" style="text-align:left"><% if(!Order.get("PBC_REST_RATE").isEmpty()){%> 계약금액의 : <%=Order.get("PBC_REST_RATE")%>% ,<%}%><% if(!Order.get("OBC_FIN_CASH_RATE").isEmpty()){%>현금 : <%=Order.get("OBC_FIN_CASH_RATE")%>% <%}%><% if(!Order.get("OBC_FIN_BILL_RATE").isEmpty()){%>어음 : <%=Order.get("OBC_FIN_BILL_RATE")%>%<%}%>
			<%-- <br><% if(!Order.get("OBC_FIN_PAYDAY").isEmpty()){%>세금계산서 발행일로부터 <%=Order.get("OBC_FIN_PAYDAY")%>일 내 지급<%}%><br>
			<%=Order.get("OBC_FIN_CONDI") %></TD> --%>
  </TR>
  <TR height="25">
  	<TH rowspan="2" style="text-align:left">보증조건</TH>
	<TH style="text-align:left">선급금보증</TH>
	<TD><% if(!Order.get("CBC_FIRST_RATE").isEmpty()){%>계약금액의 <%=Order.get("CBC_FIRST_RATE")%>%<%}%></TD>
	<TH style="text-align:left">계약이행 보증</TH>
	<TD><% if(!Order.get("CONTFUL_RATE").isEmpty()){%>계약금액의 <%= Order.get("CONTFUL_RATE") %>%<%}%></TD>	
  </TR>
  <TR height="25">
	<TH style="text-align:left">하자이행 보증</TH>
	<TD><% if(!Order.get("WARR_RATE").isEmpty()){%>준공금액의 <%= Order.get("WARR_RATE")%>%<%}%></TD>
	<TH style="text-align:left">하자담보기간</TH>
	<TD><% if(!Order.get("CBC_DEFECT_DAY").isEmpty()){%>준공일로부터 <%= Order.get("CBC_DEFECT_DAY")%>개월<%}%></TD>
  </TR> 
  <TR height="35">
  	<TH style="text-align:left">기타조건</TH>
	<TH style="text-align:left">하도급대금<br>연동 기준비율</TH>
	<TD><% if(!Order.get("PAY_CON_RATE").isEmpty()){%> <%= Order.get("PAY_CON_RATE")%>%<%}%></TD>
	<TH style="text-align:left">지체상금</TH>
	<TD><% if(!Order.get("CBC_DAMAGE_RATE").isEmpty()){%>일당 계약금액의 <%= Order.get("CBC_DAMAGE_RATE")%>%,<%}%><% if(!Order.get("CBC_DAMAGE_MAXRATE").isEmpty()){%>최대 <%= Order.get("CBC_DAMAGE_MAXRATE")%>%<%}%></TD>	
  </TR>
  <TR height="25">
  	<TH rowspan="6" style="text-align:left">간접비 견적조건</TH>
	<TH style="text-align:left">고용보험료</TH>
	<TD><% if(!Order.get("OBC_EMP_RATE").isEmpty()){%>노무비 * <%= Order.get("OBC_EMP_RATE")%>% &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp  &nbsp
		<%}%><%=Order.get("OBC_EMP_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
	<TH style="text-align:left">연금보험료</TH>
	<TD><% if(!Order.get("OBC_PENSION_RATE").isEmpty()){%>직접노무비 <%=Order.get("OBC_PENSION_RATE")%>% &nbsp &nbsp &nbsp&nbsp &nbsp  &nbsp
		<%}%><%=Order.get("OBC_PENSION_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>	
  </TR>
  <TR height="25">
	<TH style="text-align:left">건강보험료</TH>
	<TD><% if(!Order.get("OBC_HEALTH_RATE").isEmpty()){%>직접노무비 * <%=Order.get("OBC_HEALTH_RATE")%>% &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp   &nbsp
	<%}%><%=Order.get("OBC_HEALTH_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
	<TH style="text-align:left">노인장기보험료</TH>
	<TD><% if(!Order.get("OBC_ELDER_RATE").isEmpty()){%>건강보험료 * <%=Order.get("OBC_ELDER_RATE")%>% &nbsp &nbsp&nbsp &nbsp  &nbsp
	<%}%><%=Order.get("OBC_ELDER_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>	
  </TR>
  <TR height="25">
	<TH style="text-align:left">산재보험료</TH>
	<TD><% if(!Order.get("OBC_WORK_RATE").isEmpty()){%>노무비 * <%=Order.get("OBC_WORK_RATE")%>% &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp
		<%}%><%=Order.get("OBC_WORK_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
	<TH style="text-align:left">퇴직공제부금</TH>
	<TD><% if(!Order.get("OBC_RESIGN_RATE").isEmpty()){%>노무비 * <%=Order.get("OBC_RESIGN_RATE")%>% &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp&nbsp &nbsp
		<%}%><%=Order.get("OBC_RESIGN_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>	
  </TR>
  <TR height="25">
	<TH style="text-align:left">안전관리비</TH>
	<TD><% if(!Order.get("OBC_SAFE_RATE").isEmpty()){%>노무비 * <%= Order.get("OBC_SAFE_RATE")%>% &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp
		<%}%><%=Order.get("OBC_SAFE_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
	<TH style="text-align:left">환경관리비</TH>
	<TD><% if(!Order.get("OBC_ENV_RATE").isEmpty()){%>재료비 * <%= Order.get("OBC_ENV_RATE")%>%  &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp&nbsp &nbsp
		<%}%><%=Order.get("OBC_ENV_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>	
  </TR>
  <TR height="25">
	<TH style="text-align:left">현장관리비</TH>
	<TD><% if(!Order.get("OBC_SITE_RATE").isEmpty()){%>직접비 * <%=Order.get("OBC_SITE_RATE")%>% &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp
		<%}%><%=Order.get("OBC_SITE_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
	<TH style="text-align:left">매입부가세</TH>
	<TD><% if(!Order.get("OBC_DUTY_RATE").isEmpty()){%>재료비 * 매입세율 <%= Order.get("OBC_DUTY_RATE")%>%  &nbsp
		<%}%><%=Order.get("OBC_DUTY_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>	
  </TR>
  <TR height="25"> 
	<TH style="text-align:left">간접비 정산조건</TH>
	<TD><%=Order.get("OBC_IND_YN").equals("Y") ? "<font color='blue'>[실적정산]</font>" : "<font color='red'>[비례정산]</font>" %></TD>
	<TH style="text-align:left">건설기계 수수료</TH>
	<TD><%=Order.get("OBC_WARR_YN").equals("Y") ? "<font color='blue'>[견적포함]</font>" : "<font color='red'>[견적미포함]</font>" %></TD>
  </TR>   
</TABLE>
<%}else{ %>
<TABLE class="form-table">
	<colgroup>
		<col width="145"/>
		<col width="20%">
		<col width="145"/>
		<col width="20%">
		<col width="145"/>
		<col/>
	</colgroup>
  <TR height="25">
	<TH style="text-align:left">통화구분</TH>
	<TD colspan="5"><%=Order.get("CURRENCY_GB_NM") %>&nbsp&nbsp  
		<%=Order.get("CURRENCY_GB_YN").equals("Y") ? "[업체변경가능]" : "[업체변경불가능]" %>
	</TD>
  </TR>
  <TR height="25">
	<TH style="text-align:left">Installation</TH><!-- 설치비 포함여부 -->
	<TD><%=Order.get("PBC_INSTALL_YN").equals("Y") ? "업체 견적내용 반영" : "업체 견적내용 미반영" %></TD>
	<TH style="text-align:left">Spare Parts for Commissionig</TH><!-- 시운전 포함여부 -->
	<TD><%=Order.get("PBC_COMMISS_YN").equals("Y") ? "업체 견적내용 반영" : "업체 견적내용 미반영" %></TD>
	<TH style="text-align:left">Special Tool</TH><!-- 설치비 특별공구 포함여부 -->
	<TD><%=Order.get("PBC_SPETOOL_YN").equals("Y") ? "업체 견적내용 반영" : "업체 견적내용 미반영" %></TD>	
  </TR>
  <TR height="25">
	<TH style="text-align:left">Test & Inspection at Fabrication shop</TH><!-- 샾(공장) 검사비용 포함여부 -->
	<TD><%=Order.get("PBC_TEST_YN").equals("Y") ? "업체 견적내용 반영" : "업체 견적내용 미반영" %></TD>
	<TH style="text-align:left">Documentation</TH><!-- vendor print  (무조건 포함)  삭제? -->
	<TD><%=Order.get("PBC_DOC_YN").equals("Y") ? "업체 견적내용 반영" : "업체 견적내용 미반영" %></TD>
	<TH style="text-align:left">Packing cost</TH><!-- 포장비용 포함여부 -->
	<TD><%=Order.get("PBC_PACK_YN").equals("Y") ? "업체 견적내용 반영" : "업체 견적내용 미반영" %></TD>	
  </TR>
  <TR height="25">
	<TH style="text-align:left">Inland Transportaion</TH><!-- 내륙운송비 -->
	<TD><%=Order.get("PBC_LANDTRAN_YN").equals("Y") ? "업체 견적내용 반영" : "업체 견적내용 미반영" %></TD>
	<TH style="text-align:left">Delivery Condition</TH><!-- 인도조건 (현장도착도, 현장상차도,현장설치도, 설치시운전도) -->
	<TD colspan="3">
	  <%if(!Order.get("DELIVERY_CONDITION_NM").isEmpty()){ %><%=Order.get("DELIVERY_CONDITION_NM") %>&nbsp&nbsp  <%}%><%=Order.get("DELIVERY_CONDITION_YN").equals("Y") ? "[업체변경가능]" : "[업체 변경 불가능]" %></TD>
  </TR>
   <TR height="25">
	<TH style="text-align:left">OPTIONAL PRICE</TH><!-- 현장감독관 일당   &     기타일당 내역 -->
	<TD colspan="5">A. Supervision fee &nbsp <%=Order.get("PBC_FEE_YN").equals("Y") ? "업체 견적내용 반영" : "업체 견적내용 미반영" %>
	    &nbsp&nbsp  <%if(!Order.get("PBC_OPTION_COMMENT").isEmpty()){ %>B. <%= Order.get("PBC_OPTION_COMMENT")%>&nbsp<%=Order.get("PBC_OPTION_YN").equals("Y") ? "업체 견적내용 반영" : "업체 견적내용 미반영" %><%}%></TD>
  </TR>
  <TR height="25">
	<TH style="text-align:left">Liquidated Damages</TH><!-- 지체상금 fix -->
	<TD colspan="5"><%if(!Order.get("CBC_DAMAGE_RATE").isEmpty()){ %><%= Order.get("CBC_DAMAGE_RATE")%>% <%=Order.get("CBC_DAMAGE_NM") %>,<%}%>
	                        <%if(!Order.get("CBC_DAMAGE_MAXRATE").isEmpty()){ %>Max <%= Order.get("CBC_DAMAGE_MAXRATE")%>%<%}%></TD>
  </TR>
  <TR height="25">
	<TH style="text-align:left">선급금</TH>
	<TD><%if(!Order.get("CBC_FIRST_RATE").isEmpty()){ %><%= Order.get("CBC_FIRST_RATE") %>% <%}%><%= Order.get("PBC_FIRST_CONDI")%></TD>
	<TH style="text-align:left">중도금</TH>
	<TD><%if(!Order.get("CPC_MID_RATE").isEmpty()){ %><%= Order.get("CPC_MID_RATE") %>% <%}%><%=Order.get("PBC_MID_CONDI")%></TD>
	<TH style="text-align:left">잔금</TH>
	<TD><%if(!Order.get("PBC_REST_RATE").isEmpty()){ %><%= Order.get("PBC_REST_RATE") %>% <%}%><%=Order.get("PBC_REST_CONDI")%></TD>	
  </TR>
  <TR height="25">
	<TH style="text-align:left">First Payment Bond</TH><!-- 선급금이행증권(yes, no) -->
	<TD><%if(!Order.get("PBC_FRSTGUAR_RATE").isEmpty()){ %><%= Order.get("PBC_FRSTGUAR_RATE") %>% <%}%><%= Order.get("PBC_FRSTGUAR_CONDI")%></TD>
	<TH style="text-align:left">Performance Bond</TH><!-- 계약이행증권(yes, no) -->
	<TD><%if(!Order.get("CONTFUL_RATE").isEmpty()){ %><%= Order.get("CONTFUL_RATE") %>%<%}%><%=Order.get("CONTFUL_CONDI") %></TD>
	<TH style="text-align:left">Guarantee Bond</TH><!-- 하자이행증권(yes, no) -->
	<TD><%if(!Order.get("WARR_RATE").isEmpty()){ %><%= Order.get("WARR_RATE") %>%<%}%><%= Order.get("WARR_CONDI")%></TD>	
  </TR> 
  <TR height="25">
	<TH style="text-align:left">Guarantee Period</TH><!-- 하자보수기간 -->
	<TD colspan="3"><%=Order.get("PBC_DEFECT_CONDI") %><%=Order.get("CBC_DEFECT_DAY") %> 
	<%=Order.get("CBC_DERECT_TERM_NM") %>간
	<input type="checkbox" id="addGuar" style="margin-top:2px; display:none;">
	<span class="checkAdd" style="display:none;">&nbsp;or&nbsp;
	<%=Order.get("PBC_DEFECT_CONDI2") %> <%=Order.get("CBC_DEFECT_DAY2")%>  
	<%if(Order.get("CBC_DERECT_TERM_CD2").equals("01")){%>
		<span>일 간 중 선도래일</span>
	<%}else if(Order.get("CBC_DERECT_TERM_CD2").equals("02")){%>
		<span>개월 간 중 선도래일</span>
	<%} %>
	</span>
	</TD>
	<TH style="text-align:left">Delivery Period</TH><!-- 납기일 fix -->
	<TD><%if(!Order.get("DELI_FROM_DY").isEmpty() || !Order.get("DELI_TO_DY").isEmpty()){ %>
		<%=Order.get("DELI_FROM_DY_NM") %>~ 
		<%= Order.get("DELI_TO_DY_NM") %><%}%>
	</TD>
  </TR> 
</TABLE>
<%} %>
<TABLE class="form-table" style="margin-top:5px">
	<colgroup>
		<col width="145"/>
		<col/>
	</colgroup>
  <TR height="25">
	<TH style="text-align:left">특이사항</TH>
	<TD >
	 <%=StringUtils.cvtHTML(Order.get("OUTER_REMARKS"))%>  
	</TD>
  </TR>
  <TR height="100">
	<TH style="text-align:left">첨부파일</TH>
	<TD>
	<TEXTAREA name="p_AttachFile2" id="p_AttachFile2" style="width:97%;height:80px" rows="1" class="input" readOnly><%=fileout.get(Order.get("DOC_ETC_OUT")) %></TEXTAREA>
    <IMG id='search_spot_button' onClick="doAttachFile(document.form1.DEMANDED_ID,2);" src='/img/buyer/button/bt_change.gif' border='0'  align="top" align='absmiddle' alt='[Attach File]' style='cursor:pointer;'>
	</TD>
  </TR> 
</TABLE>
 <%if(!"O".equals(Order.get("DEMANDED_KIND"))){%>
<div class="application-info magT15">
	<div class="application-sub-title">
		<span class="title">구매견적내역</span>
	</div>
</div>
<div id="sheet1_div" style="height: auto; min-height: 300px; overflow: auto;">
<!-- <div id="sheet_div" style="padding-top:5px; width:100%; height:100%;" valign="top">-->
	<script>createIBSheet('sheet1','100%', '450px');</script>
</div>
 <%}%>

<div class="application-info magT15">
	<div class="application-sub-title">
		<span class="title">기술검토 정보</span>
	</div>
</div>
<TABLE class="form-table">
	<colgroup>
		<col width="160px"/>
		<col width="20%"/>
		<col width="160px"/>
		<col width="20%"/>
		<col width="160px"/>
		<col width="20%"/>
	</colgroup>
  <TR height="25">
	<TH style="text-align:left">심사자명</TH>
	<TD><%=Order.get("EVAL_EMPNM") %></TD>
	<TH style="text-align:left">심사자 연락처</TH>
	<TD><%=Order.get("EVAL_TEL")%></TD>
	<TH style="text-align:left">심사자 이메일</TH>
	<TD><%=Order.get("EVAL_EMAIL")%></TD>	
  </TR>
</TABLE>
<table width="100%" border="0"  style="margin-top:5px">
	<colgroup>
		<col width="*" />
		<col width="240" />
	</colgroup>
	<tr>
   		<th align="left">
       		<span style="color:red;">*CBE 관련문서는 견적서의뢰에 등록 하십시오.</span>
   		</th>
   		<td align="right">
       		<span class="btnSearch center" id="btn_radd"><a href="javascript:void(0);">추가</a></span>
			<span class="btnSearch center" id="btn_rdel"><a href="javascript:void(0);">삭제</a></span>
   		</td>
  	</tr>
</table>
<div id="sheet2_div" style="height: auto; min-height: 300px; overflow: auto;">
<!-- <div id="sheet_div" style="padding-top:5px; width:100%; height:100%;" valign="top">-->
	<script>createIBSheet('sheet2','100%', '300px');</script>
</div>
<textarea name="return_file" id="return_file" value=""></textarea>
</form>

<!-- 전자인증 모듈 설정 //-->
<link rel="stylesheet" type="text/css" href="/CrossCert/CC_WSTD_home/unisignweb/rsrc/css/certcommon.css?v=1" />
<script type="text/javascript" src="/CrossCert/CC_WSTD_home/unisignweb/js/unisignwebclient.js?v=1"></script>
<script type="text/javascript" src="/CrossCert/UniSignWeb_Multi_Init_Nim.js?v=1"></script>
<!-- 전자인증 모듈 설정 //-->
