<%--
  - FileName   : TermsAgreeInfoReg.jsp
  - Author(s)  : 이성민
  - Date       : 2014.06.25
  -
  - Description: 사용자 등록
  --%>
  


<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />

<%
	ctx.init(request, response);
	HandlerStorage storage = ctx.getHandlerStorage();
	ValueObject params = storage.getParams();
	ValueObject user = storage.getUser();
	String event = storage.getEvent();

	ValueObject vo = storage.getValueObject("corpInfoVo");
	RowSet licMasterList = storage.getRowSet("licMasterList");

	String lic_code = "";
	String lic_name = "";

	for (int i = 0; i < licMasterList.size(); i++) {
		lic_code = lic_code + "|"
				+ (licMasterList.getRow(i).get("LIC_CD"));
		lic_name = lic_name + "|"
				+ (licMasterList.getRow(i).get("LIC_NM"));
	}

    boolean vo_edit_yn = false;
    if(vo.size() > 0){
    	vo_edit_yn = true;
    }
    
    String yyyy = (new java.text.SimpleDateFormat ("yyyy")).format (new java.util.Date());
    
    int year = Integer.parseInt(yyyy);
    
    String yesrCombo = Integer.toString(year) + "|" + Integer.toString(year-1) + "|" + Integer.toString(year-2) + "|" + Integer.toString(year-3) + "|" + Integer.toString(year-4);
    
    String eval_cmp = params.get("eval_cmp");
    String eval_cmp_name = "";
    
    
    if(eval_cmp.equals("E"))
    {
        eval_cmp_name = "이크레더블";
    }
    else if(eval_cmp.equals("N"))
    {
        eval_cmp_name = "나이스디앤비";
    }
    else if(eval_cmp.equals("K"))
    {
        eval_cmp_name = "한국기업데이터";
    }
    else if(eval_cmp.equals("S"))
    {
        eval_cmp_name = "서울신용평가정보";
    }else if(eval_cmp.equals("M"))
    {
        eval_cmp_name = "나이스평가정보";
    }
    
    
%>
<style>
<!--
.input {
		    font-family                 : "굴림", "verdana"                         ;
		    font-size                   : 9pt                                       ;
		    border                      : #d0d7e4                                   ;
		    border-style                : solid                                     ;
		    border-top-width            : 1px                                       ;
		    border-right-width          : 1px                                       ;
		    border-bottom-width         : 1px                                       ;
		    border-left-width           : 1px                                       ;
		    color                       : #4063a2                                   ;
		    padding-left                : 3px;
/* 		    padding-top                 : 8px; */
/* 		    height                      : 22px; */
		}
-->
</style>

<link href="/css/supplier/join/member_style.css" rel="stylesheet" type="text/css" />


<script type="text/javascript">

		var credit_yn = "<%=params.get("credit_yn")%>";

<!--
	$(document).ready(function(){
	    
	    var job_div = "<%=params.get("job_div")%>";
	    var id_check_gubun = "<%=params.get("id_check_gubun")%>";
	    
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:0, MergeSheet:msHeaderOnly, Page:10};
		
		if(job_div == "P")
		{
		        init_sheet.Cols = [
									{Header:"상태",	 					Type:"Status", 			SaveName:"STATUS"	,					Width:0, 		Hidden:"True"},
									{Header:"납품처명",	 				Type:"Text", 				SaveName:"DELI_CORP_NM",			Width:120, 		Align:"Left"},
									{Header:"납품처사업자번호",	 		Type:"Text", 				SaveName:"DELI_CORP_NO",			Width:100, 	 	Align:"Center", Format:"SaupNo"},
									{Header:"품목명",	 					Type:"Text", 				SaveName:"ITEM_NM",					Width:100, 	 	Align:"Left"},
									{Header:"계약금액",	 				Type:"Int", 					SaveName:"CONT_AMT",				Width:100, 	 	Align:"Right", Format:"#,##0"},
									{Header:"수량",	 					Type:"Int", 					SaveName:"QTY",							Width:100, 	 	Align:"Right", Format:"#,##0"},
									{Header:"규격",	 					Type:"Text", 				SaveName:"STD",							Width:100, 	 	Align:"Left"},
									{Header:"납품시작일",	 			Type:"Date", 				SaveName:"DELI_START_DY",			Width:100, 	 	Align:"Center"}, //, Format:"Ym"
									{Header:"납품종료일",	 			Type:"Date", 				SaveName:"DELI_END_DY",				Width:100, 	 	Align:"Center"},
									{Header:"CREDIT_YN",	 		Type:"Text", 				SaveName:"CREDIT_YN",				Width:0, 	 	Align:"Center", Hidden:"True"}
		                   		];
		}
		else
		{
		    init_sheet.Cols = [
								{Header:"상태",	 				Type:"Status", 			SaveName:"STATUS"	,					Width:0, 		Hidden:"True"},
<%-- 								{Header:"기준년도",	 			Type:"Combo", 			SaveName:"BASE_YEAR",				Width:100, 	 	Align:"Center", ComboText:"<%=yesrCombo%>", ComboCode:"<%=yesrCombo%>"}, --%>
								{Header:"기준년도",	 			Type:"Text", 				SaveName:"BASE_YEAR",				Width:100, 	 	Align:"Center"},
								<%-- {Header:"면허명",	 				Type:"Combo", 			SaveName:"LIC_CD",						Width:100, 	 	Align:"Left", ComboText:"<%=lic_name%>", ComboCode:"<%=lic_code%>"},
								{Header:"면허코드",				Type:"Text", 				SaveName:"LIC_NM",						Width:100, 	 	Align:"Left", Hidden:"True"},
								 --%>
								{Header:"공사명",	 				Type:"Text", 				SaveName:"CONT_NM",					Width:120, 		Align:"Left"},
								{Header:"발주처명",	 			Type:"Text", 				SaveName:"ORDR_ORG_NM",			Width:100, 	 	Align:"Left"},
								{Header:"도급사",	 				Type:"Text", 				SaveName:"ORDR_NM",					Width:100, 	 	Align:"Left"},
								{Header:"당년도 계약금액",	 	Type:"Int", 					SaveName:"CONT_AMT",				Width:120, 	 	Align:"Right", Format:"#,##0"},
								{Header:"계약년월",	 			Type:"Date", 				SaveName:"CONT_DY",					Width:100, 	 	Align:"Left", Format:"Ym"},
								{Header:"착공년월",	 			Type:"Date", 				SaveName:"CONT_STA_DY",			Width:100, 	 	Align:"Left", Format:"Ym"},
								{Header:"준공년월",	 			Type:"Date", 				SaveName:"CONT_END_DY",			Width:100, 	 	Align:"Center", Format:"Ym"}, //, Format:"Ym"
								{Header:"CREDIT_YN",	 		Type:"Text", 				SaveName:"CREDIT_YN",				Width:0, 	 	Align:"Center", Hidden:"True"}
	                   		];
		}
		
		
		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheet1, init_sheet);
		sheet1.SetDataAutoTrim(0);
		
/* 		if(credit_yn == "Y")
	    {
		    sheet1.SetEditable(false);
	    } */
	
		sheet1.FitColWidth();
		
	/**********************************sheet2*********************************************/
	
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:0, MergeSheet:msHeaderOnly, Page:10};
		if(job_div == "P")
		{
	        init_sheet.Cols = [
								{Header:"상태",	 					Type:"Status", 			SaveName:"STATUS"	,					Width:0, 		Hidden:"True"},
								{Header:"종류",	 					Type:"Combo", 			SaveName:"CERT_DIV_CD",			Width:100, 	 	Align:"Center", ComboText:"ISO9001|ISO14000|KOSHA|KS|기타", ComboCode:"01|02|03|04|99"},
								{Header:"인증번호",	 				Type:"Text", 				SaveName:"CERT_NO",					Width:100, 	 	Align:"Left"},
								{Header:"인증명",	 					Type:"Text", 				SaveName:"CERT_CTNT",				Width:100, 	 	Align:"Left"},
								{Header:"인증범위",	 				Type:"Text", 				SaveName:"CERT_SCOPE",				Width:100, 	 	Align:"Left"},
								{Header:"인증기관",	 				Type:"Text", 				SaveName:"CERT_GOV",				Width:100, 	 	Align:"Left"},
								{Header:"취득일",	 					Type:"Date", 				SaveName:"EXP_STA_DY",				Width:100, 	 	Align:"Center"},
								{Header:"만기일",	 					Type:"Date", 				SaveName:"EXP_END_DY",				Width:100, 	 	Align:"Center"},
								{Header:"CREDIT_YN",	 		Type:"Text", 				SaveName:"CREDIT_YN",				Width:0, 	 	Align:"Center", Hidden:"True"}
								
	                   		];
		}
		else
		{
	   		 init_sheet.Cols = [
								{Header:"상태|상태",	 									Type:"Status", 			SaveName:"STATUS"	,						Width:0, 		Hidden:"True"},
								{Header:"기준년도|기준년도",	 						Type:"Combo", 			SaveName:"BASE_YEAR",					Width:100, 	 	Align:"Center", ComboText:"<%=yesrCombo%>", ComboCode:"<%=yesrCombo%>"},
								{Header:"면허명|면허명",	 							Type:"Combo", 			SaveName:"LIC_CD",							Width:100, 	 	Align:"Left", ComboText:"<%=lic_name%>", ComboCode:"<%=lic_code%>"},
								{Header:"면허코드|면허코드",	 						Type:"Text", 				SaveName:"LIC_NM",							Width:100, 	 	Align:"Left", Hidden:"True"},
								{Header:"면허번호|면허번호",	 						Type:"Text", 				SaveName:"LIC_NO",							Width:100, 	 	Align:"Left"},
								{Header:"취득일자|취득일자",	 						Type:"Date", 				SaveName:"CONREYR",							Width:100, 	 	Align:"Center"},
								{Header:"시공능력평가액|시공능력평가액",	 		Type:"Int", 					SaveName:"CON_ABI_AMT",				Width:100, 	 	Align:"Right", Format:"#,##0"},
								{Header:"지역순위|순위",	 							Type:"Int", 				SaveName:"AREA_LANK",					Width:100, 	 	Align:"Right"},
								{Header:"지역순위|전체",	 							Type:"Int", 				SaveName:"AREA_ALL_LANK",				Width:100, 	 	Align:"Right"},
								{Header:"전국순위|순위",	 							Type:"Int", 				SaveName:"NATION_LANK",				Width:100, 	 	Align:"Right"},
								{Header:"전국순위|전체",	 							Type:"Int", 				SaveName:"NATION_ALL_LANK",			Width:100, 	 	Align:"Right"},
								{Header:"CREDIT_YN",	 		Type:"Text", 				SaveName:"CREDIT_YN",				Width:0, 	 	Align:"Center", Hidden:"True"}
								
	                   		];
		}    
		
		
		
		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheet2, init_sheet);
		sheet2.SetDataAutoTrim(0);
// 		sheet2.InitComboNoMatchText
/* 		if(credit_yn == "Y")
	    {
		    sheet2.SetEditable(false);
	    } */
	
		sheet2.FitColWidth();
		
		
		
		/**********************************sheet3(포상실적)*********************************************/
		
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:0, MergeSheet:msHeaderOnly, Page:10};
		
		if(job_div == "P")
		{
	        init_sheet.Cols = [
								{Header:"상태",	 					Type:"Status", 			SaveName:"STATUS"	,					Width:0, 		Hidden:"True"},
								{Header:"수상일",	 					Type:"Date", 				SaveName:"PRZ_DY",					Width:100, 	 	Align:"Center"},
								{Header:"수상자",	 					Type:"Text", 				SaveName:"PRZ_NM",					Width:100, 	 	Align:"Center"},
								{Header:"수여자",	 					Type:"Text", 				SaveName:"PRZ_GIVER",				Width:100, 	 	Align:"Left"},
								{Header:"수상내용",	 				Type:"Text", 				SaveName:"PRZ_INFO",					Width:300, 	 	Align:"Left"},
								{Header:"CREDIT_YN",	 		Type:"Text", 				SaveName:"CREDIT_YN",				Width:0, 	 	Align:"Center", Hidden:"True"}
								
	                   		];
		}
		else
		{
		    init_sheet.Cols = [
								{Header:"상태",	 					Type:"Status", 			SaveName:"STATUS"	,					Width:0, 		Hidden:"True"},
								{Header:"이름",	 					Type:"Text", 				SaveName:"NM",							Width:100, 	 	Align:"Center"},
								{Header:"생년월일",	 				Type:"Text", 				SaveName:"BIRTHDAY",					Width:120, 	 	Align:"Center", Format:"Ymd"},
								{Header:"직위",	 					Type:"Text", 				SaveName:"POSITION",					Width:100, 	 	Align:"Left"},
								{Header:"자격종목 및 등급",	 		Type:"Text", 				SaveName:"QUAL_ITEM_CLASS",		Width:300, 	 	EditLen:"60", Align:"Left"},
								{Header:"등록번호",	 				Type:"Text", 				SaveName:"REG_NO",					Width:300, 	 	EditLen:"40", Align:"Left"},
								{Header:"분야",	 					Type:"Text", 				SaveName:"FIELD",						Width:300, 	 	Align:"Left"},
								{Header:"기술등급",	 				Type:"Text", 				SaveName:"TECH_CLASS",				Width:280, 	 	Align:"Left"},
								{Header:"CREDIT_YN",	 		Type:"Text", 				SaveName:"CREDIT_YN",				Width:0, 	 	Align:"Center", Hidden:"True"}
								
	                   		];
		}    
		
		
		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheet3, init_sheet);
		sheet3.SetDataAutoTrim(0);
/* 		if(credit_yn == "Y")
	    {
		    sheet3.SetEditable(false);
	    } */
	
		sheet3.FitColWidth();
		
		
		
	/**********************************sheet4(특허)*********************************************/
		
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:0, MergeSheet:msHeaderOnly, Page:10};
		
		if(job_div == "P")
		{
		        init_sheet.Cols = [
									{Header:"상태",	 				Type:"Status", 			SaveName:"STATUS"	,					Width:0, 		Hidden:"True"},
									{Header:"산업재산권구분",	 	Type:"Combo", 			SaveName:"PAT_CD",					Width:100, 	 	Align:"Center", ComboText:"실용신안|의장권|특허권|상표권|기타", ComboCode:"01|02|03|04|99"},
									{Header:"특허일",				 	Type:"Date",	 			SaveName:"PAT_DY",					Width:100, 	 	Align:"Center"},
									{Header:"명칭",	 				Type:"Text", 				SaveName:"PAT_INFO",					Width:300, 	 	Align:"Left"},
									{Header:"CREDIT_YN",	 		Type:"Text", 				SaveName:"CREDIT_YN",				Width:0, 	 	Align:"Center", Hidden:"True"}
									
		                   		];
		}
		else
		{
		    init_sheet.Cols = [
								{Header:"상태",	 					Type:"Status", 			SaveName:"STATUS"	,					Width:0, 		Hidden:"True"},
								{Header:"종류",	 					Type:"Combo", 			SaveName:"CERT_DIV_CD",			Width:100, 	 	Align:"Center", ComboText:"ISO9001|ISO14000|KOSHA|KS|기타", ComboCode:"01|02|03|04|99"},
								{Header:"인증번호",	 				Type:"Text", 				SaveName:"CERT_NO",					Width:100, 	 	Align:"Left"},
								{Header:"인증명",	 					Type:"Text", 				SaveName:"CERT_CTNT",				Width:100, 	 	Align:"Left"},
								{Header:"인증범위",	 				Type:"Text", 				SaveName:"CERT_SCOPE",				Width:100, 	 	Align:"Left"},
								{Header:"인증기관",	 				Type:"Text", 				SaveName:"CERT_GOV",				Width:100, 	 	Align:"Left"},
								{Header:"취득일",	 					Type:"Date", 				SaveName:"EXP_STA_DY",				Width:100, 	 	Align:"Center"},
								{Header:"만기일",	 					Type:"Date", 				SaveName:"EXP_END_DY",				Width:100, 	 	Align:"Center"},
								{Header:"CREDIT_YN",	 		Type:"Text", 				SaveName:"CREDIT_YN",				Width:0, 	 	Align:"Center", Hidden:"True"}
								
	                   		];
		}
		
		
		
		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheet4, init_sheet);
		sheet4.SetDataAutoTrim(0);
/* 		if(credit_yn == "Y")
	    {
		    sheet4.SetEditable(false);
	    } */
		sheet4.FitColWidth();
		
		
		/**********************************sheet5(건설면허 2020.11.06 최훈석 추가)*********************************************/
		if(job_div == "P")
		{
			var init_sheet = {};
			init_sheet.Cfg = {SearchMode:0, MergeSheet:msHeaderOnly, Page:10};		
				init_sheet.Cols = [
									{Header:"상태",	 			Type:"Status", 			SaveName:"STATUS"	,		Width:0, 		Hidden:"True"},
									{Header:"기준년도",	 		Type:"Combo", 			SaveName:"BASE_YEAR",		Width:100, 	 	Align:"Center", ComboText:"<%=yesrCombo%>", ComboCode:"<%=yesrCombo%>"},
									{Header:"면허명",	 			Type:"Combo", 			SaveName:"LIC_CD",			Width:100, 	 	Align:"Left", ComboText:"<%=lic_name%>", ComboCode:"<%=lic_code%>"},
									{Header:"면허코드",	 		Type:"Text", 			SaveName:"LIC_NM",			Width:100, 	 	Align:"Left", Hidden:"True"},
									{Header:"면허번호",	 		Type:"Text", 			SaveName:"LIC_NO",			Width:100, 	 	Align:"Left"},
									{Header:"취득일자",	 		Type:"Date", 			SaveName:"CONREYR",			Width:100, 	 	Align:"Center"},
									{Header:"CREDIT_YN",		Type:"Text", 			SaveName:"CREDIT_YN",		Width:0, 	 	Align:"Center", Hidden:"True"}
	                   			];		
		    						
			init_sheet.HeaderMode = {Sort:1};
			IBS_InitSheet(sheet5, init_sheet);
			sheet5.SetDataAutoTrim(0);
	
			sheet5.FitColWidth();
		}	
	});

	$(function(){
	    
	    var job_div = "<%=params.get("job_div")%>";
	    var id_check_gubun = "<%=params.get("id_check_gubun")%>";
	    
	    
	    var credit_yn = $("#credit_yn").val();
	    
	    
	    if(id_check_gubun == "Y")
	    {
	        /*
	        $("#sheet1_btn").css("display", "none");
	        $("#sheet2_btn").css("display", "none");
	        $("#sheet3_btn").css("display", "none");
	        $("#sheet4_btn").css("display", "none");
	        
	        $(".numberic").attr("readonly", true);
	        
	        sheet1.SetEditable(false);
	        sheet2.SetEditable(false);
	        sheet3.SetEditable(false);
	        sheet4.SetEditable(false);
	        */
	    }
			    
	    
	    if(<%=vo_edit_yn%>)
        {
	        $('input:text').attr("readonly", true);
	        $('input:text').css("background-color", "rgb(244, 242, 243)");
        }
	    
	    $(document).on("keyup", "input:text[number]", function() 
	    	    {
	    	        $(this).val( $(this).val().replace(/[^0-9]/gi,"") );		//숫자만입력 정규식...
	    	     });
	    
	    $(document).on("keyup", "input:text[numberOnly]", function() 
	    {
	        $(this).val( $(this).val().replace(/[^0-9]/gi,"") );		//숫자만입력 정규식...
	        $(this).val($(this).val().split(/(?=(?:\d{3})+(?:\.|$))/g).join(','));  //콤마찍기 정규식...귀찮ㄹ타
	     });
	    
	    
	    var f = document.form1;
	    
	    
	    $("#sheet1_add").click(function(){
	        sheet1.DataInsert(-1);
	        sheet1.SetCellValue(sheet1.LastRow(), "BASE_YEAR", "<%=Integer.toString(year - 1)%>");
	    });
	    
	    
	    $("#sheet1_del").click(function(){
	        sheet1.RowDelete(sheet1.LastRow() , 0);
	    });
	    
	    
	  
	    $("#sheet2_add").click(function(){
	        
	        sheet2.DataInsert(-1);
	        
// 			var info = {"ComboCode":"01|02|03|04|99","ComboText":"ISO9001|ISO14000|KOSHA|KS|기타"};
// 	        sheet2.CellComboItem(sheet2.LastRow(), "CERT_DIV_CD", info);
	        
	    });
	    
	    $("#sheet2_del").click(function(){
	        sheet2.RowDelete(sheet2.LastRow() , 0);
	    });
	    
	    

   		$("#sheet3_add").click(function(){
	        sheet3.DataInsert(-1);
	    });
	    
	    $("#sheet3_del").click(function(){
	        sheet3.RowDelete(sheet3.LastRow() , 0);
	    });
	    
	    

	    $("#sheet4_add").click(function(){
			
	        sheet4.DataInsert(-1);
	        
// 			var info = {"ComboCode":"01|02|03|04|99","ComboText":"실용신안|의장권|특허권|상표권|기타"};
// 			sheet4.CellComboItem(sheet4.LastRow(), "PAT_CD", info);
	        
	    });
	    
	    $("#sheet4_del").click(function(){
	        sheet4.RowDelete(sheet4.LastRow() , 0);
	    });
	    
		$("#sheet5_add").click(function(){
	        
	        sheet5.DataInsert(-1);	        	        
	    });
	    
	    $("#sheet5_del").click(function(){
	        sheet5.RowDelete(sheet5.LastRow() , 0);
	    });

	    $("#btn_confim").click(function()
		{
	    	if(!$("#base_year").val())
            {
                alert("기준년도를 입력하세요");
	            return $("#base_year").focus();
            }
	    	if(!$("#float_asset").val())
            {
                alert("유동자산을 입력하세요\n\n재무재표가 나오지 않은 신생업체의 경우 0을 입력하세요");
	            return $("#float_asset").focus();
            }
	    	if(!$("#float_debt").val())
            {
                alert("유동부채를 입력하세요\n\n재무재표가 나오지 않은 신생업체의 경우 0을 입력하세요");
	            return $("#float_debt").focus();
            }
	    	if(!$("#tot_cap").val())
            {
                alert("자본총계를 입력하세요\n\n재무재표가 나오지 않은 신생업체의 경우 0을 입력하세요");
	            return $("#tot_cap").focus();
            }
	    	if(!$("#gross_asset").val())
            {
                alert("부채총계를 입력하세요\n\n재무재표가 나오지 않은 신생업체의 경우 0을 입력하세요");
	            return $("#gross_asset").focus();
            }
	    	if(!$("#capital_amt").val())
            {
                alert("자본금을 입력하세요\n\n재무재표가 나오지 않은 신생업체의 경우 0을 입력하세요");
	            return $("#capital_amt").focus();
            }
	    	if(!$("#cur_profit").val())
            {
                alert("당기순이익을 입력하세요\n\n재무재표가 나오지 않은 신생업체의 경우 0을 입력하세요");
	            return $("#cur_profit").focus();
            }
	    	if(!$("#cur_sales_amt").val())
            {
                alert("당기매출액을 입력하세요\n\n재무재표가 나오지 않은 신생업체의 경우 0을 입력하세요");
	            return $("#cur_sales_amt").focus();
            }
	    	if(!$("#pri_sales_amt").val())
            {
                alert("전기매출액을 입력하세요\n\n재무재표가 나오지 않은 신생업체의 경우 0을 입력하세요");
	            return $("#pri_sales_amt").focus();
            }
	    	if($("#base_year").val()<1900)
            {
                alert("기준년도를 확인 해 주세요");
	            return $("#base_year").focus();
            }
	    	
	        
// 	        var param1 = sheet1.GetSaveString();
// 			var rtnData = sheet1.GetSaveData(url + "?event=SAVE_DELIRESULT", param1);

			/*
			$("#form1").attr("action", "/join/TermsAgreeAddInfoRegEnd.screen");
	        $("#form1").attr("target", "_self");
			$("#form1").attr("method", "post");
			$("#form1").submit();
			*/
			//alert(sheet4.RowCount());
			
			var	sAlert	=	"";
			if(job_div == "P")
			{
				if(sheet1.RowCount() < 1)
				{
					sAlert	+=	"납품실적,";
				}
				if(sheet2.RowCount() < 1)
				{
					sAlert	+=	"인증서 현황,";
				}
				if(sheet3.RowCount() < 1)
				{
					sAlert	+=	"포상실적,";
				}
				if(sheet4.RowCount() < 1)
				{
					sAlert	+=	"특허,";
				}
				if(sheet5.RowCount() < 1)
				{
					sAlert	+=	"건설면허 현황,";
				}
			}else
			{
				if(sheet1.RowCount() < 1)
				{
					sAlert	+=	"계약실적,";
				}
				if(sheet2.RowCount() < 1)
				{
					sAlert	+=	"시공능력 및 면허,";
				}
				if(sheet3.RowCount() < 1)
				{
					sAlert	+=	"인증서 현황,";
				}
			}
			
			if(sAlert.length > 0)
			{
				sAlert	=	sAlert.substring(0,sAlert.length-1);	
			}
			
			if(sAlert.length > 0)
			{
				if(!confirm("부가정보 중 "+sAlert+"이 등록되지 않았습니다.\n\n가입신청을 완료하시겠습니까?"))	return;	
			}else
			{
				if(!confirm("가입신청을 완료하시겠습니까?"))	return;	
			}
	        
	        if(job_div == "P")
	        {
	            $("#fevent").val("SAVE_DELIRESULT");
	        }
	        else
	        {
	            $("#fevent").val("SAVE_CON_RESULT");
	        }    
			
			
			for(var i=1; i<=sheet1.LastRow(); i++)
	    	{
			    sheet1.SetCellValue(i, "STATUS", "I");
			    sheet1.SetSendComboData(i,"LIC_NM" , "Text"); 
	    	}
			
			for(var i=1; i<=sheet2.LastRow(); i++)
	    	{
			    sheet2.SetCellValue(i, "STATUS", "I");
	    	}
			
			for(var i=1; i<=sheet3.LastRow(); i++)
	    	{
			    sheet3.SetCellValue(i, "STATUS", "I");
	    	}
			
			for(var i=1; i<=sheet4.LastRow(); i++)
	    	{
			    sheet4.SetCellValue(i, "STATUS", "I");
	    	}
	    	
			if(job_div == "P")
			{
				for(var i=1; i<=sheet5.LastRow(); i++)
	    		{
			    	sheet5.SetCellValue(i, "STATUS", "I");
	    		}
	    	}
			
			
			var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/portal/join/TermsAgreeAddInfoReg_sheet.screen";
			var result = Modular.view.IBSheet7.doSave(sheet1, url, $("#form1"), false);
			
	        
	    });
	    
	    
/*
	    $("#btn_confim").click(function(){
	        
	        if(job_div == "P")
	        {
	            $("#fevent").val("SAVE_DELIRESULT");
	        }
	        else
	        {
	            $("#fevent").val("SAVE_CON_RESULT");
	        }    
	        
			var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/portal/join/TermsAgreeAddInfoReg_sheet.screen";
			var result = Modular.view.IBSheet7.doSave(sheet1, url, $("#form1"), false);
	        
	    });
*/	    
	    
	    
	    
	    $("#btn_back").click(function(){
	        
	        $("#fevent").val("BASIC_INFO_REG");
	        $("#form1").attr("action", "/supplier/portal/join/TermsAgreeInfoReg.screen");
	        $("#form1").attr("target", "_self");
			$("#form1").attr("method", "post");
			$("#form1").submit();

// 			history.back();
	        
	    });
	    
	    
	    
	    
	    
	    $.getList = function()
		{
	        var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/portal/join/TermsAgreeAddInfoReg_sheet.screen";
	        
	        if(job_div == "P")
	        {
	            $("#fevent").val("ADD_INFO_LIST_IN");
	            
	            Modular.view.IBSheet7.doSearch(sheet1, url, $("#form1"), 30, "");
				Modular.view.IBSheet7.doSearch(sheet2, url, $("#form1"), 30, "");
				Modular.view.IBSheet7.doSearch(sheet3, url, $("#form1"), 30, "");
				Modular.view.IBSheet7.doSearch(sheet4, url, $("#form1"), 30, "");
				Modular.view.IBSheet7.doSearch(sheet5, url, $("#form1"), 30, "");
	        }
	        else
	        {
	            $("#fevent").val("ADD_INFO_LIST_OUT");
	            
	            Modular.view.IBSheet7.doSearch(sheet1, url, $("#form1"), 30, "");
				Modular.view.IBSheet7.doSearch(sheet2, url, $("#form1"), 30, "");
				Modular.view.IBSheet7.doSearch(sheet3, url, $("#form1"), 30, "");
				Modular.view.IBSheet7.doSearch(sheet4, url, $("#form1"), 30, "");
	        }
//				sheet1.DoSearch("/test/TestList_data.screen", $("#form1"));
		};
	    
	    $.getList();
	    
	    $(".numberic").each(function(){
	        $(this).val($(this).val().split(/(?=(?:\d{3})+(?:\.|$))/g).join(',')); 
	    });
	    
  	});
	
	
	function sheet1_OnSearchEnd(code, msg)
	{
		var credit_end_dy = sheet1.GetCellValue(1,"CREDIT_YN");
    	if(credit_end_dy == -1){
			<%if(params.get("job_div").equals("P")){ %>
			$("#edit_text_sheet1_p").append("(* 도급순위 100위 이상업체 및 대기업군에 대한 거래내용 기재, 금액단위:천원)");
		  <%}else{ %>
			$("#edit_text_sheet1_o").append("(* 금액단위:천원)");
		  <%}%>	
    		return; 
    	}else{
   			$("#sheet1_btn").hide();
   			sheet1.SetEditable(false);
   			<%if(params.get("job_div").equals("P")){ %>
   				$("#edit_text_sheet1_p").append("(* 도급순위 100위 이상업체 및 대기업군에 대한 거래내용 기재, <%=eval_cmp_name %>의 신용정보반영, 수정불가, 금액단위:천원)");
   			<%}else{ %>
   				$("#edit_text_sheet1_o").append("(* <%=eval_cmp_name %>의 신용정보반영, 수정불가, 금액단위:천원)");
   			<%}%>
    	}
	}
	
	function sheet2_OnSearchEnd(code, msg)
	{
		var job_div = "<%=params.get("job_div")%>";	//	구매/외주 구분
		
		if(sheet2.RowCount() > 0)
		{
			if(job_div == "P")
			{
				$("#edit_text_sheet2").append("(* <%=eval_cmp_name %>의 신용정보반영, 수정불가)");	
			}else
			{
				$("#edit_text_sheet2").append("(* <%=eval_cmp_name %>의 신용정보반영, 수정불가, 금액단위:천원)");	
			}
			$("#sheet2_btn").hide();
			sheet2.SetEditable(false);
		}else
		{
			$("#edit_text_sheet2").append("(* 금액단위 : 천원)");
		}
	}
	
	function sheet3_OnSearchEnd(code, msg)
	{
		var credit_end_dy = sheet3.GetCellValue(1,"CREDIT_YN");
    	if(credit_end_dy == -1){
    		return; 
    	}else{
   			$("#sheet3_btn").hide();
   			$("#edit_text_sheet3").append("(* <%=eval_cmp_name %>의 신용정보반영, 수정불가)");
   			sheet3.SetEditable(false);
    	}
	}
	
	function sheet4_OnSearchEnd(code, msg)
	{
		var credit_end_dy = sheet4.GetCellValue(1,"CREDIT_YN");
    	if(credit_end_dy == -1){
    		return; 
    	}else{
   			$("#sheet4_btn").hide();
   			$("#edit_text_sheet4").append("(* <%=eval_cmp_name %>의 신용정보반영, 수정불가)");
   			sheet4.SetEditable(false);
    	}
	}
	
	function sheet5_OnSearchEnd(code, msg)
	{
		var job_div = "<%=params.get("job_div")%>";	//	구매/외주 구분
		
		if(sheet5.RowCount() > 0)
		{
			if(job_div == "P")
			{
				$("#edit_text_sheet5").append("(* <%=eval_cmp_name %>의 신용정보반영, 수정불가)");	
			}
			$("#sheet5_btn").hide();
			sheet5.SetEditable(false);
		}
	}
	
	
	function sheet1_OnSaveEnd(code, msg)
	{
		var event = $("#fevent").val();
		var f = document.form1;
		
		document.form1.isSubmit = false;
		
		if(event == "SAVE_DELIRESULT")
		{
		    if(code >= "0")
			{
// 				alert("등록되었습니다. sheet1(구매)");
				
				$("#fevent").val("SAVE_CRET");
				var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/portal/join/TermsAgreeAddInfoReg_sheet.screen";
				var result = Modular.view.IBSheet7.doSave(sheet2, url, $("#form1"), false);
				
			}
			else
			{
				alert("등록실패.");
			}
		}
		else
		{
		    if(code >= "0")
			{
// 				alert("등록되었습니다. sheet1(외주)");
				
				$("#fevent").val("SAVE_CON_ABILLTY");
				var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/portal/join/TermsAgreeAddInfoReg_sheet.screen";
				var result = Modular.view.IBSheet7.doSave(sheet2, url, $("#form1"), false);
				
			}
			else
			{
				alert("등록실패.");
			}
		}
	}
	
	function sheet2_OnSaveEnd(code, msg)
	{
		var event = $("#fevent").val();
		var f = document.form1;
		
		document.form1.isSubmit = false;
		
		if(event == "SAVE_CRET")
		{
		    if(code >= "0")
			{
// 				alert("등록되었습니다. sheet2");
				
				$("#fevent").val("SAVE_PRIZE");
				var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/portal/join/TermsAgreeAddInfoReg_sheet.screen";
				var result = Modular.view.IBSheet7.doSave(sheet3, url, $("#form1"), false);
				
			}
			else
			{
				alert("등록실패.");
			}
		}
		else
		{
		    if(code >= "0")
			{
// 				alert("등록되었습니다. sheet2");
				
				$("#fevent").val("SAVE_TECH_MAN");
				var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/portal/join/TermsAgreeAddInfoReg_sheet.screen";
				var result = Modular.view.IBSheet7.doSave(sheet3, url, $("#form1"), false);
				
			}
			else
			{
				alert("등록실패.");
			}
		}
		
	}
	
	function sheet3_OnSaveEnd(code, msg)
	{
		var event = $("#fevent").val();
		var f = document.form1;
		
		document.form1.isSubmit = false;
		
		if(event == "SAVE_PRIZE")
		{
		    if(code >= "0")
			{
// 				alert("등록되었습니다. sheet3");
				
				$("#fevent").val("SAVE_PATENT");
				var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/portal/join/TermsAgreeAddInfoReg_sheet.screen";
				var result = Modular.view.IBSheet7.doSave(sheet4, url, $("#form1"), false);	//2020.06.22 포상실적 이후 건설면허 저장
				
			}
			else
			{
				alert("등록실패.");
			}
		}
		else
		{
		    if(code >= "0")
			{
// 				alert("등록되었습니다. sheet3");
				
				$("#fevent").val("SAVE_CRET_OUT");
				var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/portal/join/TermsAgreeAddInfoReg_sheet.screen";
				var result = Modular.view.IBSheet7.doSave(sheet4, url, $("#form1"), false);
				
			}
			else
			{
				alert("등록실패.");
			}
		}
	}
	
	function sheet4_OnSaveEnd(code, msg)
	{
		var event = $("#fevent").val();
		var f = document.form1;
		
		document.form1.isSubmit = false;
		
		if(event == "SAVE_PATENT")
		{
		    if(code >= "0")
			{
// 				alert("등록되었습니다. sheet3");
				
				$("#fevent").val("SAVE_CRET2");
				var url = Modular.model.PageContext.CONTEXT_ROOT + "/supplier/portal/join/TermsAgreeAddInfoReg_sheet.screen";
				var result = Modular.view.IBSheet7.doSave(sheet5, url, $("#form1"), false);	//2020.06.22 포상실적 이후 건설면허 저장
				
			}
			else
			{
				alert("등록실패.");
			}
		}
		else
		{
			if(code >= "0")
			{
				alert("부가정보가 성공적으로 등록되었습니다.");
				
//	 			$("#fevent").val("SAVE_FINANCE");
//	 			var url = Modular.model.PageContext.CONTEXT_ROOT + "/join/TermsAgreeAddInfoReg_sheet.screen";
//	 			var result = Modular.view.IBSheet7.doSave(sheet4, url, $("#form1"), false);


				$("#fevent").val("REG_COMPLETE");
		        //$("#form1").attr("action", "/supplierLogin.screen");
		        $("#form1").attr("action", "/supplier/portal/join/TermsAgreeAddInfoRegEnd.screen");
		        $("#form1").attr("target", "_self");
				$("#form1").attr("method", "post");
				$("#form1").submit();
				
				
			}
			else
			{
				alert("등록실패.");
			}
		}
	}
	
	/* function sheet4_OnSaveEnd(code, msg)
	{
		var event = $("#fevent").val();
		var f = document.form1;
		
		document.form1.isSubmit = false;
		
		if(code >= "0")
		{
			alert("부가정보가 성공적으로 등록되었습니다.");
			
// 			$("#fevent").val("SAVE_FINANCE");
// 			var url = Modular.model.PageContext.CONTEXT_ROOT + "/join/TermsAgreeAddInfoReg_sheet.screen";
// 			var result = Modular.view.IBSheet7.doSave(sheet4, url, $("#form1"), false);


			$("#fevent").val("REG_COMPLETE");
	        //$("#form1").attr("action", "/supplierLogin.screen");
	        $("#form1").attr("action", "/supplier/portal/join/TermsAgreeAddInfoRegEnd.screen");
	        $("#form1").attr("target", "_self");
			$("#form1").attr("method", "post");
			$("#form1").submit();
			
			
		}
		else
		{
			alert("등록실패.");
		}
	} */
	
	function sheet5_OnSaveEnd(code, msg)
	{
		var event = $("#fevent").val();
		var f = document.form1;
		
		document.form1.isSubmit = false;
		
		if(code >= "0")
		{
			alert("부가정보가 성공적으로 등록되었습니다.");
			
// 			$("#fevent").val("SAVE_FINANCE");
// 			var url = Modular.model.PageContext.CONTEXT_ROOT + "/join/TermsAgreeAddInfoReg_sheet.screen";
// 			var result = Modular.view.IBSheet7.doSave(sheet4, url, $("#form1"), false);


			$("#fevent").val("REG_COMPLETE");
	        //$("#form1").attr("action", "/supplierLogin.screen");
	        $("#form1").attr("action", "/supplier/portal/join/TermsAgreeAddInfoRegEnd.screen");
	        $("#form1").attr("target", "_self");
			$("#form1").attr("method", "post");
			$("#form1").submit();
			
			
		}
		else
		{
			alert("등록실패.");
		}
		
	}
	
	
	
	function sheet1_OnChange(Row, Col)
	{
		    sheet1.SetSendComboData(Row,"LIC_NM" , "Text");    
	}
	
	function sheet2_OnChange(Row, Col)
	{
	    if(sheet2.ColSaveName(Row, Col) == "LIC_CD")
        {
	        sheet2.SetSendComboData(Row,"LIC_NM" , "Text");
        }
	}
	
	function sheet5_OnChange(Row, Col)
	{
	    if(sheet5.ColSaveName(Row, Col) == "LIC_CD")
        {
	        sheet5.SetSendComboData(Row,"LIC_NM" , "Text");
        }
	}
	
	function doResult(resultObj) 
	{
		try 
		{
		    if( resultObj.getRequestEvent() == "") 
		    {
		        
		    }
		}
		catch(errorObject) 
		{
		    document.form1.isSubmit = false;
			showErrorDlg("doResult()", errorObject);
		}
	}
	
//-->
</script>



<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>
<form id="form1" name="form1" method="post" modular:type="search">
<input type="hidden" name="fevent" id="fevent" value="" />
<input type="hidden" name="job_div" id="job_div" value="<%=params.get("job_div")%>" />
<input type="hidden" name="credit_yn" id="credit_yn" value="<%=params.get("credit_yn")%>"/>
<input type="hidden" name="id_check_gubun" id="id_check_gubun" value="N" />
<input type="hidden" name="corp_id" id="corp_id" value="<%=params.get("corp_id")%>" />
<input type="hidden" name="corp_reg_no" id="corp_reg_no" value="<%=params.get("corp_reg_no")%>" />
<input type="hidden" name="corp_no" id="corp_no" value="<%=params.get("corp_reg_no")%>" />
<input type="hidden" name="credit_corp_cd" id="credit_corp_cd" value="<%=params.get("credit_corp_cd")%>" />
	
	<div id="header" >
		<div id="supplier-main-menu">
			<ul class="main-menu">
				<li class="logo">
					<a href="/supplierLogin.screen"><img src="/img/supplier/portal_logo.png" /></a>
				</li>
			</ul>
		</div>
	</div>
	
	<div id="join_wrap" align="center" >
		<table width="920" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td height="10"></td>
			</tr>
			<tr>
				<td>
					<!--step01-->
					<div align="center">
						<img src="/img/buyer/title/join_step03.gif" />
					</div>
				</td>
			</tr>
			<tr>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td align="left">
					<!--소타이틀-->
					<table border="0" style="width:100%" cellpadding="0" cellspacing="0">
						<tr>
							<td>
<%
	if(params.get("job_div").equals("P"))
	{ 
%>
								<img src="/img/buyer/title/t_10.gif" alt="납품실적" style="width: 138px; height: 30px;"  /> 
<%	}else
	{ 
%>
								<img src="/img/buyer/title/t_16.gif" alt="계약실적" style="width: 138px; height: 30px;" />
<%	
	} 
%>
							</td>
							<td style="text-align:right;vertical-align: bottom;">
<%
	if(params.get("job_div").equals("P"))
	{ 
%>
								<span style="color: red; font-size: 11px;" id="edit_text_sheet1_p"></span> 
<%	}else
	{ 
%>
								<span style="color: red; font-size: 11px;" id="edit_text_sheet1_o"></span>
<%	
	} 
%>							
							</td>
							<TD id="sheet1_btn" align="right" style="width:150px;vertical-align: bottom;">
								<img src="/img/buyer/btn/btn_add.gif" alt="추가" style="cursor: pointer;" id="sheet1_add" name="sheet1_add" />
								<img src="/img/buyer/btn/btn_del.gif" alt="삭제" style="cursor: pointer;" id="sheet1_del" name="sheet1_del" />
							</TD>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td>
					<div id="table01" style="width: 920px; height: 250px;">
						<script>createIBSheet("sheet1","100%", "100%");</script>
					</div>
				</td>
			</tr>
			<tr>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td align="left">
					<!--소타이틀-->
					<div id="title02" style="width: 100%;">
						<table border="0" cellpadding="0" cellspacing="0" style="width:100%">
							<tr>
								<td>
<%
	if(params.get("job_div").equals("P"))
	{
%>
									<img src="/img/buyer/title/t_07.gif" alt="보유인증서" />
<%	
	}else
	{ 
%>
									<img src="/img/buyer/title/t_08.gif" alt="시공능력" style="width: 138px; height: 30px;" />
<%} %>								
								</td>
								<td>
<%
	if(params.get("job_div").equals("P"))
	{
%>
									<span style="float: right; margin-top: 15px; font-size: 11px; color: red;" id="edit_text_sheet2"></span>
<%	
	}else
	{ 
%>
									<span style="float: right; margin-top: 15px; font-size: 11px; color: red;" id="edit_text_sheet2"></span>
<%} %>								
								</td>
								<td id="sheet2_btn" style="vertical-align:bottom;text-align:right;width:150px">
									<img src="/img/buyer/btn/btn_add.gif" alt="추가" style="vertical-align: bottom; cursor: pointer;" id="sheet2_add" name="sheet2_add" />
									<img src="/img/buyer/btn/btn_del.gif" alt="삭제" style="vertical-align: bottom; cursor: pointer;" id="sheet2_del" name="sheet2_del" />
								</td>
							</tr>
						</table>
				</td>
			</tr>
			<tr>
				<td>
					<div id="table01" style="width: 920px; height: 250px;">
						<script>createIBSheet("sheet2","100%", "100%");</script>
					</div>
				</td>
			</tr>
			<tr>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td align="left">
					<!--소타이틀-->
					<div id="title02" style="width: 100%;">
						<span style="vertical-align: bottom;">
							<%if(params.get("job_div").equals("P")){ %>
								<%if(params.get("credit_yn").equals("Y")){ %>
									<img src="/img/buyer/title/t_14.gif" alt="포상실적" style="width: 138px; height: 30px;" />&nbsp;<span style="float: right; margin-top: 15px; font-size: 11px; color: red;" id="edit_text_sheet3"></span>
								<%}else{%>
									<img src="/img/buyer/title/t_14.gif" alt="포상실적" style="width: 138px; height: 30px;" />
								<%} %>
							<%}else{ %>
								<%if(params.get("credit_yn").equals("Y")){ %>
									<img src="/img/buyer/title/t_09.gif" alt="기술자격 보유인력" style="width: 138px; height: 30px;" />&nbsp;<span style="float: right; margin-top: 15px; font-size: 11px; color: red;" id="edit_text_sheet3"></span>
								<%}else{ %>
									<img src="/img/buyer/title/t_09.gif" alt="기술자격 보유인력" style="width: 138px; height: 30px;" />
								<%} %>
							<%} %>
						</span>
						<span style="vertical-align: bottom; float: right; margin-top: 10px;" id="sheet3_btn">
							<img src="/img/buyer/btn/btn_add.gif" alt="추가" style="vertical-align: bottom; cursor: pointer;" id="sheet3_add" name="sheet3_add" />
							<img src="/img/buyer/btn/btn_del.gif" alt="삭제" style="vertical-align: bottom; cursor: pointer;" id="sheet3_del" name="sheet3_del" />
						</span>
					</div> <!--소타이틀끝-->
					</div>
				</td>
			</tr>
			<tr>
				<td>
					<div id="table01" style="width: 920px; height: 250px;">
						<script>createIBSheet("sheet3","100%", "100%");</script>
					</div>
				</td>
			</tr>
			<tr>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td align="left">
					<table border="0" style="width:100%" cellpadding="0" cellspacing="0">
						<tr>
							<td>
<%
	if(params.get("job_div").equals("P"))
	{ 
%>
								<img src="/img/buyer/title/t_15.gif" alt="특허"/>
<%		
	}else
	{
%>
								<img src="/img/buyer/title/t_07.gif" alt="보유인증서"/>
<%		
	}
%>
							</td>
							<td style="text-align:right;vertical-align: bottom;">
<%	

	if(params.get("credit_yn").equals("Y"))
	{
%>			
								<span style="font-size:11px;color:red;" id="edit_text_sheet4"></span>
<%			
	}
%>								
							</td>
							<td style="text-align:right;vertical-align:bottom;width:150px" id="sheet4_btn">
								<img src="/img/buyer/btn/btn_add.gif" alt="추가" style="cursor:pointer;" id="sheet4_add" name="sheet4_add" />
								<img src="/img/buyer/btn/btn_del.gif" alt="삭제" style="cursor:pointer;" id="sheet4_del" name="sheet4_del" />
							</TD>
						</tr>
					<table>											
				</td>
			</tr>
			<tr>
				<td>
					<div id="table01" style="width: 920px; height: 250px;">
						<script>createIBSheet("sheet4","100%", "100%");</script>
					</div>
				</td>
			</tr>			
			<tr>
				<td>&nbsp;</td>
			</tr>

<!--2020.06.22 최훈석 구매팀 건설면허 항목 추가요청 start-->			
<!-- 
<%
	if(params.get("job_div").equals("P"))
	{
%>			
			<tr>
				<td align="left">
					<!--소타이틀-->
					<div id="title02" style="width: 100%;">
						<table border="0" cellpadding="0" cellspacing="0" style="width:100%">
							<tr>
								<td>
									<img src="/img/buyer/title/t_18.gif" alt="건설면허" style="width: 138px; height: 30px;" />
									<span style="float: right; margin-top: 15px; font-size: 11px; color: red;" id="edit_text_sheet5"></span>
								</td>
								<td>																
								</td>
								<td id="sheet5_btn" style="vertical-align:bottom;text-align:right;width:150px">
									<img src="/img/buyer/btn/btn_add.gif" alt="추가" style="vertical-align: bottom; cursor: pointer;" id="sheet5_add" name="sheet5_add" />
									<img src="/img/buyer/btn/btn_del.gif" alt="삭제" style="vertical-align: bottom; cursor: pointer;" id="sheet5_del" name="sheet5_del" />
								</td>
							</tr>
						</table>
				</td>
			</tr>
			<tr>
				<td>
					<div id="table01" style="width: 920px; height: 250px;">
						<script>createIBSheet("sheet5","100%", "100%");</script>
					</div>
				</td>
			</tr>
<%	
	}
%>	
<!--2020.06.22 최훈석 구매팀 건설면허 항목 추가요청 end-->					
			
			
			
			
			
			
			
			<tr>
				<td height="10"></td>
			</tr>
			<tr>
				<td align="left">
					<div style="margin-bottom: 0px; margin-top: 10px;" class="screen_title_text">
						<%if(vo_edit_yn){ %>
							<img src="/img/buyer/title/title_001.gif" alt="재무정보" style="width: 138px; height: 30px;" />&nbsp;<span style="float: right; margin-top: 0px; font-size: 11px; color: red;">(* <%=eval_cmp_name %>의 신용정보반영, 수정불가, 금액단위:원)</span>
						<%}else{ %>
							<img src="/img/buyer/title/title_001.gif" alt="재무정보" style="width: 138px; height: 30px;" />&nbsp;<span style="float: right; margin-top: 0px; font-size: 11px; color: red;">(* 금액단위:원)</span>
						<%} %>
					</div>
				</td>
			</tr>
			<tr>
				<td>
					<div id="table01">
						<table width="100%" border="0" cellspacing="0" cellpadding="0">
							<colgroup>
								<col width="150"/>
								<col width="1" bgcolor="#cccccc"/>
								<col/>
								<col width="1" bgcolor="#cccccc"/>
								<col width="150"/>
								<col width="1" bgcolor="#cccccc"/>
								<col/>
							</colgroup>
							<tr>
								<td>
									<div class="td_title04 required">
										<ul>
											<li>기준년도</li>
										</ul>
									</div>
								</td>
								<td></td>
								<td>
									<div id="input01">
										<ul>
											<li><input type="text" id="base_year" name="base_year" style="width: 50px; text-align: center;" value="<%=vo.get("BASE_YEAR").equals("") ? Integer.parseInt(yyyy) - 1: vo.get("BASE_YEAR")%>" number="true" maxlength="4"/> 년도</li>
										</ul>
									</div>
								</td>
							</tr>
							<tr>
								<td height="1" bgcolor="#cccccc" colspan="7"></td>
							</tr>

							<tr>
								<td>
									<div class="td_title04 required">
										<ul>
											<li>유동자산</li>
										</ul>
									</div>
								</td>
								<td></td>
								<td>
									<div id="input01">
										<ul>
											<li><input type="text" class="numberic" name="float_asset" id="float_asset" value="<%=vo.get("FLOAT_ASSET")%>" numberOnly="true" style="padding-right:3px; width: 150px; text-align: right;"/></li>
										</ul>
									</div>
								</td>
								<td></td>
								<td>
									<div class="td_title04 required">
										<ul>
											<li>유동부채</li>
										</ul>
									</div>
								</td>
								<td></td>
								<td>
									<div id="input01">
										<ul>
											<li><input type="text" class="numberic" name="float_debt" id="float_debt" value="<%=vo.get("FLOAT_DEBT")%>" numberOnly="true" style="padding-right:3px; width: 150px; text-align: right;" /></li>
										</ul>
									</div>
								</td>
							</tr>
							<tr>
								<td height="1" bgcolor="#cccccc" colspan="7"></td>
							</tr>
							<tr>
								<td>
									<div class="td_title04 required">
										<ul>
											<li>자본총계</li>
										</ul>
									</div>
								</td>
								<td></td>
								<td>
									<div id="input01">
										<ul>
											<li><input type="text" class="numberic" name="tot_cap" id="tot_cap" value="<%=vo.get("TOT_CAP")%>" numberOnly="true" style="padding-right:3px; width: 150px; text-align: right;" /></li>
										</ul>
									</div>
								</td>
								<td></td>
								<td>
									<div class="td_title04 required">
										<ul>
											<li>부채총계</li>
										</ul>
									</div>
								</td>
								<td></td>
								<td>
									<div id="sheet_td">
										<ul>
											<li><input type="text" class="numberic" name="gross_asset" id="gross_asset" value="<%=vo.get("GROSS_ASSET")%>" numberOnly="true" style="padding-right:3px; width: 150px; text-align: right;" /></li>
										</ul>
									</div>
								</td>
							</tr>
							<tr>
								<td height="1" bgcolor="#cccccc" colspan="7"></td>
							</tr>
							<tr>
								<td>
									<div class="td_title04 required">
										<ul>
											<li>자본금</li>
										</ul>
									</div>
								</td>
								<td width="1" bgcolor="#cccccc"></td>
								<td>
									<div id="input01">
										<ul>
											<li><input type="text" class="numberic" name="capital_amt" id="capital_amt" value="<%=vo.get("CAPITAL_AMT")%>" numberOnly="true" style="padding-right:3px; width: 150px; text-align: right;" /></li>
										</ul>
									</div>
								</td>
								<td width="1" bgcolor="#cccccc"></td>
								<td>
									<div class="td_title04 required">
										<ul>
											<li>당기순이익</li>
										</ul>
									</div>
								</td>
								<td bgcolor="#cccccc"></td>
								<td>
									<div id="input01">
										<ul>
											<li><input type="text" class="numberic" name="cur_profit" id="cur_profit" value="<%=vo.get("CUR_PROFIT")%>" numberOnly="true" style="padding-right:3px; width: 150px; text-align: right;" /></li>
										</ul>
									</div>
								</td>
							</tr>
							<tr>
								<td height="1" bgcolor="#cccccc" colspan="7"></td>
							</tr>
							<tr>
								<td>
									<div class="td_title04 required">
										<ul>
											<li>당기매출액</li>
										</ul>
									</div>
								</td>
								<td width="1" bgcolor="#cccccc"></td>
								<td>
									<div id="input01">
										<ul>
											<li><input type="text" class="numberic" name="cur_sales_amt" id="cur_sales_amt" value="<%=vo.get("CUR_SALES_AMT")%>" numberOnly="true" style="padding-right:3px; width: 150px; text-align: right;" /></li>
										</ul>
									</div>
								</td>
								<td width="1" bgcolor="#cccccc"></td>
								<td>
									<div class="td_title04 required">
										<ul>
											<li>전기매출액</li>
										</ul>
									</div>
								</td>
								<td width="1" bgcolor="#cccccc"></td>
								<td>
									<div id="input01">
										<ul>
											<li>
												<input type="text" class="numberic" name="pri_sales_amt" id="pri_sales_amt" value="<%=vo.get("PRI_SALES_AMT")%>" numberOnly="true" style="padding-right:3px; width: 150px; text-align: right;" />
												<input type="hidden" name="own_cap" id="own_cap" value="<%=vo.get("OWN_CAP") %>"/>
												<input type="hidden" name="sales_amt" id="sales_amt" value="<%=vo.get("SALES_AMT") %>"/>
											</li>
										</ul>
									</div>
								</td>
							</tr>
						</table>
					</div>
				</td>
			</tr>
			<tr>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td align="center" height="50">
					<img src="/img/buyer/btn/btn_join04.gif" name="btn_back"	 id="btn_back" alt="이전" style="cursor: pointer;"/>
<!-- 					<img src="/img/buyer/btn/btn_join05.gif" name="btn_save"	 id="btn_save" alt="저장" style="cursor: pointer;"/> -->
					<img src="/img/buyer/btn/btn_join06.gif" name="btn_confim" id="btn_confim" alt="가입신청완료" hspace="5" style="cursor: pointer;" />
				</td>
			</tr>
		</table>
	</div>
	
	<div id="footer" >
		<p><img src="/img/supplier/login/footer.gif"></p>
	</div>

</form>
