<%--
  - FileName   : advencePayment.jsp
  - Author(s)  : ok
  - Date       : 2014.06.26
  - Copyright  : Copyright (c) 2013 www.udapsoft.co.kr, Inc.
  - Description: 협력업체포탈 선급금 신청 상세(외주)
--%>

<%@ page contentType="text/html; charset=utf-8"%>
<%@ page import="com.udapsoft.waf.system.HandlerStorage"%>
<%@ page import="com.udapsoft.waf.common.ui.*"%>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="kr.co.hsnc.common.sql.*"%>
<%@ page import="kr.co.hsnc.common.util.Formatter"%>
<%@ page import="com.udapsoft.waf.common.util.Formatter2"%>
<%@ page import="kr.co.udapsoft.ebid.buyer.common.file.FileManager"%>

<%@ include file="/jsp/work/taglib.jsp"%>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
    String event = storage.getEvent();
    
    RowSet perpayReqDivComboList = storage.getRowSet("perpayReqDivComboList"); //신청구분 ComboList Data
    ValueObject prePayment = storage.getValueObject("prePayment");	//기본정보, 세금계산서정보, 선급금정보 
    RowSet warrList = storage.getRowSet("contOutWarr");	//보증정보

    ValueObject file_giveup = storage.getValueObject("SUPP_PREPAYMENTS_GIVEUP");
    ValueObject file_taxbill = storage.getValueObject("SUPP_TAX_BILL");
    
    String check1 = "";
    String check2 = "";
    String check3 = "";
    String checkString = "";
    if("3".equals(prePayment.get("TAX_METHOD_CD"))){
    	check3 = "checked";
    	checkString = "Invoice";
    }else if("2".equals(prePayment.get("TAX_METHOD_CD"))){
    	check2 = "checked";
    	checkString = "순발행(업체직접 발행)";
    }else{
    	check1 = "checked";
    	checkString = "역발행(SGC이앤씨 발행)";
    }
    
	String digit = (String)prePayment.get("digit");
	int intDigit = Integer.parseInt(digit);
	
    /*보증 발급 완료된 갯수 */
	RowSet warrCount = storage.getRowSet("warrCount");
	
%>

<SCRIPT language="JavaScript">
	/*예약함수*/
	var sheet1;
	var sheet1Row;
	var sheet1PageNo = 1;
	var pageLastRowIndex = 1;
	var validationResult = false;
	var filterShow = false;

	var g_digit = <%= intDigit %>; // 소숫점 이하 자릿수

	function _onReady() {

		//리스트 페이지 이동
		jQuery("#btnList").click(function() {
			jQuery("#fevent").val("");
			if(jQuery("#resultListDiv").val()  == "1"){
				jQuery("#form1").attr("action",	"/portal/payment/AdvencePayRequestList.screen");
			}else{
				jQuery("#form1").attr("action",	"/portal/payment/AdvencePayRequestResultList.screen");
			}				
			jQuery("#form1").attr("target", "_self");
			jQuery("#form1").attr("method", "post");
			jQuery("#form1").submit();
		});

		jQuery("#btnDelete").click(function() {
			var f = document.form1;
			//필수 입력항목 check
			if (jQuery("#prepayId").val() == "") {
				alert("삭제되었습니다.");
				return;
			}
			//입력데이터 저장 
			if (confirm("삭제 하시겠습니까?")) {
				jQuery("#fevent").val("DELETE_DATA");
				//submitXmlRequest("/portal/payment/AdvencePayRequest_form.screen", "DELETE_DATA", f, "SUCCESS");
			}
		});

		//저장처리
		jQuery("#btnSave").click(function() {
			var f = document.form1;
			jQuery("#fevent").val("SAVE_DATA");
			//필수 입력항목 check
			if (requiredItemsCheck() == false) {
				return;
			}
			//입력데이터 저장 
			if (confirm("저장 하시겠습니까?")) {
				submitXmlRequest("/portal/payment/AdvencePayRequest_form.screen", "SAVE_DATA", f, "SUCCESS");
			}
		});

		//선급신청요청
		jQuery("#btnAppReq").click(function() {
			var f = document.form1;
			jQuery("#btnAppReqSelect").val("1"); //0:저장처리, 1:기성신청처리 

			jQuery("#fevent").val("SAVE_DATA");
			//필수 입력항목 check
			if (requiredItemsCheck() == false) {
				return;
			}
			if (confirm(jQuery("#btnAppReq").text() + " 하시겠습니까?")) {
				submitXmlRequest("/portal/payment/AdvencePayRequest_form.screen", "SAVE_DATA", f, "SUCCESS");
			}
		});

		//jQuery("#reqPrepaySupplyTamt, #reqPrepaySupplyNamt").blur(function () {
		jQuery("#reqPrepaySupplyTamt").blur(function () {
			
				var reqPrepaySupplyTamt = jQuery("#reqPrepaySupplyTamt").val();
				reqPrepaySupplyTamt = reqPrepaySupplyTamt.replace(/(\,|\:)/g,"");	
				if(reqPrepaySupplyTamt == ""){
					reqPrepaySupplyTamt = 0;
				}else{
					reqPrepaySupplyTamt = doFloor(reqPrepaySupplyTamt, g_digit);
				}
				reqPrepaySupplyTamt = Number(reqPrepaySupplyTamt).toFixed(g_digit);	//신청금액 과세
				
				var subPrepaySupplyTamt = jQuery("#subPrepaySupplyTamt").val();
				subPrepaySupplyTamt = subPrepaySupplyTamt.replace(/(\,|\:)/g,"");	
				subPrepaySupplyTamt = Number(subPrepaySupplyTamt).toFixed(g_digit);	//선급금액 과세
					
				if(Number(subPrepaySupplyTamt) < Number(reqPrepaySupplyTamt)){	
					alert('선급금보다 신청금액이 큽니다.');
					reqPrepaySupplyTamt = subPrepaySupplyTamt;
					jQuery("#reqPrepaySupplyTamt").val(subPrepaySupplyTamt);
					jQuery("#giveSupplyTamt").val("0");
					jQuery('#reqPrepaySupplyTamt').focus();
				}else{
					
					jQuery("#reqPrepaySupplyTamt").val(reqPrepaySupplyTamt);
					var giveSupplyTamt = subPrepaySupplyTamt - reqPrepaySupplyTamt;
					jQuery("#giveSupplyTamt").val(Number(giveSupplyTamt).toFixed(g_digit));
					jQuery("#giveSupplyTamt, #reqPrepaySupplyTamt").each(function(index){
						jQuery(this).val(jQuery(this).val().split(/(?=(?:\d{3})+(?:\.|$))/g).join(','));
					});
				}
				
				var conSupplyNamtValue = jQuery("#conSupplyNamt").val();
				conSupplyNamtValue = conSupplyNamtValue.replace(/(\,|\:)/g, "");
				var conSupplyTamtValue = jQuery("#conSupplyTamt").val();
				conSupplyTamtValue = conSupplyTamtValue.replace(/(\,|\:)/g, "");
				
				var dsafas =   reqPrepaySupplyTamt / subPrepaySupplyTamt ;
				//2016.8.2 면세만 있는경우 수식오류 ->면세로 비율계산 
				if (subPrepaySupplyTamt == 0) {
					dsafas =  Number(jQuery("#reqPrepaySupplyNamt").val().replace(/(\,|\:)/g, "")) / Number(jQuery("#subPrepaySupplyNamt").val().replace(/(\,|\:)/g, ""))  ;
				}
				var prepaySupplyNamt1 = jQuery("#subPrepaySupplyNamt").val().replace(/(\,|\:)/g, "");
				var reqPrepaySupplyNamtValue = prepaySupplyNamt1 * dsafas;
				
				//jQuery("#reqPrepaySupplyNamt").val(Math.floor(reqPrepaySupplyNamtValue));
				reqPrepaySupplyNamtValue = doFloor(reqPrepaySupplyNamtValue, g_digit);
				jQuery("#reqPrepaySupplyNamt").val(Number(reqPrepaySupplyNamtValue).toFixed(g_digit));
				jQuery("#reqPrepaySupplyNamt").each(function(index) {
					jQuery(this).val(jQuery(this).val().split(/(?=(?:\d{3})+(?:\.|$))/g).join(','));
				});
				
				var reqPrepaySupplyNamt = jQuery("#reqPrepaySupplyNamt").val();
				reqPrepaySupplyNamt = reqPrepaySupplyNamt.replace(/(\,|\:)/g,"");
				if(reqPrepaySupplyNamt == ""){
					reqPrepaySupplyNamt = 0;
				}
				//reqPrepaySupplyNamt = Number(reqPrepaySupplyNamt).toFixed(g_digit);	//신청금액 면세
				reqPrepaySupplyNamt = doFloor(reqPrepaySupplyNamt, g_digit);
				var subPrepaySupplyNamt = jQuery("#subPrepaySupplyNamt").val();
				subPrepaySupplyNamt = subPrepaySupplyNamt.replace(/(\,|\:)/g,"");	
				subPrepaySupplyNamt = Number(subPrepaySupplyNamt).toFixed(g_digit);	//선급금액 면세
				
 				if(Number(subPrepaySupplyNamt) < Number(reqPrepaySupplyNamt)){	
					alert('신청금액 면세가 선급금액 면세보다 큽니다.');
					jQuery("#reqPrepaySupplyNamt").val(subPrepaySupplyNamt);
					jQuery("#giveSupplyNamt").val("0");
					jQuery('#reqPrepaySupplyNamt').focus();
				}else{
					jQuery("#reqPrepaySupplyNamt").val(reqPrepaySupplyNamt);
					var giveSupplyNamt = subPrepaySupplyNamt - reqPrepaySupplyNamt;
					jQuery("#giveSupplyNamt").val(Number(giveSupplyNamt).toFixed(g_digit));
					jQuery("#giveSupplyNamt, #reqPrepaySupplyNamt").each(function(index){
						jQuery(this).val(jQuery(this).val().split(/(?=(?:\d{3})+(?:\.|$))/g).join(','));
					});
				}
 				
				//부가세 
 				if( jQuery("#bugase").val() == "INPUT_VAT" ){	//분계유형에따른 부가세 계산
 					var reqPrepaySurtaxAmt = (reqPrepaySupplyTamt * 10) / 100;
 	 			}else{
 	 				var reqPrepaySurtaxAmt	= 0;	//금회 실지급 부가세
 	 			}
				
				reqPrepaySurtaxAmt = doFloor(reqPrepaySurtaxAmt, g_digit);
				var subPrepaySurtaxAmt = jQuery("#subPrepaySurtaxAmt").val();
				subPrepaySurtaxAmt = subPrepaySurtaxAmt.replace(/(\,|\:)/g,"");		//선급금액 부과세								
				//var giveSurtaxAmt = Math.floor(subPrepaySurtaxAmt) - Math.floor(reqPrepaySurtaxAmt);
				var giveSurtaxAmt = Number(subPrepaySurtaxAmt).toFixed(g_digit) - Number(reqPrepaySurtaxAmt).toFixed(g_digit);
				
				//jQuery("#reqPrepaySurtaxAmt").val(Math.floor(reqPrepaySurtaxAmt));
				jQuery("#reqPrepaySurtaxAmt").val(Number(reqPrepaySurtaxAmt).toFixed(g_digit));
				jQuery("#reqPrepaySurtaxAmt").each(function(index){
					jQuery(this).val(jQuery(this).val().split(/(?=(?:\d{3})+(?:\.|$))/g).join(','));
				});
				jQuery("#giveSurtaxAmt").val(Number(giveSurtaxAmt).toFixed(g_digit));
				jQuery("#giveSurtaxAmt").each(function(index){
					jQuery(this).val(jQuery(this).val().split(/(?=(?:\d{3})+(?:\.|$))/g).join(','));
				});
				
				//신청금액을 구한다.
				var reqPrepayAmt = Number(reqPrepaySupplyTamt) + Number(reqPrepaySupplyNamt) + Number(reqPrepaySurtaxAmt);
				var perpayAmt = jQuery("#perpayAmt").val();
				perpayAmt = perpayAmt.replace(/(\,|\:)/g,"");	//선급금액
				//var giveAmt = perpayAmt - Math.floor(reqPrepayAmt);
				var giveAmt = perpayAmt - Number(reqPrepayAmt).toFixed(g_digit);
				//jQuery("#reqPrepayAmt").val( Math.floor(reqPrepayAmt));
				jQuery("#reqPrepayAmt").val(Number(reqPrepayAmt).toFixed(g_digit)); 
				jQuery("#reqPrepayAmt").each(function(index){
					jQuery(this).val(jQuery(this).val().split(/(?=(?:\d{3})+(?:\.|$))/g).join(','));
				});
				jQuery("#giveAmt").val(Number(giveAmt).toFixed(g_digit));
				jQuery("#giveAmt").each(function(index){
					jQuery(this).val(jQuery(this).val().split(/(?=(?:\d{3})+(?:\.|$))/g).join(','));
				});

				//요율
				var conAmt = jQuery("#conAmt").val();
				conAmt = conAmt.replace(/(\,|\:)/g,"");
				var reqPrepayPercent = (reqPrepayAmt / conAmt) * 100;	//신청금액 요율
				//var givePercent	= (giveAmt / conAmt) * 100;	//포기금액 요율
				jQuery("#reqPrepayPercent").val(reqPrepayPercent.toFixed(2));
				var prepayAmtPercent = Number(jQuery("#prepayAmtPercent").val());
				var givePercent	= prepayAmtPercent.toFixed(2) - reqPrepayPercent.toFixed(2)
				jQuery("#givePercent").val(givePercent.toFixed(2));
				
				//입력한 선급금 과세가 빈값일 경우 0으로 셋팅
				if(reqPrepaySupplyTamt == ""){
					reqPrepaySupplyTamt = "0";
					jQuery("#reqPrepaySupplyTamt").val("0");
				}
				
				//입력한 선급금 면세가 빈값일 경우 0으로 셋팅
				if(reqPrepaySupplyNamt == ""){
					reqPrepaySupplyNamt = "0";
					jQuery("#reqPrepaySupplyNamt").val("0");
				}
				
				if(Number(reqPrepaySupplyTamt) == 0 && Number(reqPrepaySupplyNamt) == 0){	//선급포기
					jQuery("#perpayReqDiv").val("3");
					jQuery("#btnAppReq").text("선급포기");
					//포기일때 보증정보는 필요없으므로 숨김처ㅣ
					warrCtr('H');	//S:보이기, H:숨기기

				}else if(Number(reqPrepaySupplyTamt) == Number(subPrepaySupplyTamt) && Number(reqPrepaySupplyNamt) == Number(subPrepaySupplyNamt)) {	//신청
					jQuery("#perpayReqDiv").val("1");
					jQuery("#btnAppReq").text("선급신청");
					//포기일때 보증정보는 필요없으므로 숨김처ㅣ
					warrCtr('S');	//S:보이기, H:숨기기

				}else{
					jQuery("#perpayReqDiv").val("2");
					jQuery("#btnAppReq").text("선급신청");
					//포기일때 보증정보는 필요없으므로 숨김처ㅣ
					warrCtr('S');	//S:보이기, H:숨기기

				}
				
				giveDataSet();
				
			//}//end if
		});
		
		
		pageinit();
		
	}
	//페이지 초기처리
	function pageinit() {

		//resultListDiv에따른 페이지 셋팅
		resultListDivSet();
		
		//작성일자(증빙일자)
		seTaxDate();

		//신청구분 선택불가
		appDivSet();
		
		//입력항목 초기처리
		//inputDataSet();

		//발행방법에 따른 페이지 셋팅
		taxDataSet();

		//버튼표시 셋팅
		btnCtr();
		
		//상태에 따른 입력항목 readOnly
		inputReadOnlyset();

		giveDataSet();
		
		jQuery("#reqPrepaySupplyTamt").blur();
		
		if(!(jQuery("#statusCd").val() == "11" || jQuery("#statusCd").val() == "10")){
			openPopUpPrePay();
		}
		
	}

	function resultListDivSet(){
		if(jQuery("#resultListDiv").val() != "1"){	//외주_선금금현황
			jQuery("#resultListDivTitle").text("외주_선급금완료 상세");	
		}
	}
	
	function appDivSet() {
		jQuery("#perpayReqDiv").attr("disabled", true);
		
		//jQuery("#reqPrepaySupplyTamt, #reqPrepaySupplyNamt").blur();

	}
	
	function seTaxDate() {

		var newDay = new Date(get_year(), get_month(), "");
		var lastDay = newDay.getDate();
		var yyyymmdd = get_year() + '-' + get_month() + "-" + lastDay;

		if (jQuery('#date1').val() == "") {
			jQuery('#date1').val(yyyymmdd);
		}

	}

	function btnCtr() {

		//alert(jQuery("#statusCd").val());
		if (jQuery("#statusCd").val() == "00" || jQuery("#statusCd").val() == "") { //00:작성상태는 목록, 저장버튼 표시
			jQuery("#spanSave").show();
			jQuery("#spanDelete").hide();
			jQuery("#spanAppReq").hide();
			jQuery("#spanList").show();
		}

		if (jQuery("#statusCd").val() == "01") { //01:작성상태는 목록, 저장, 선급신청버튼 표시
			jQuery("#spanSave").show();
			jQuery("#spanDelete").hide();
			jQuery("#spanAppReq").show();
			jQuery("#spanList").show();
		}

		if (jQuery("#statusCd").val() == "02") { //02:선급신청요청상태는 목록, 저장, 선급신청 버튼 표시
			jQuery("#spanSave").show();
			jQuery("#spanDelete").hide();
			jQuery("#spanAppReq").show();
			jQuery("#spanList").show();

		}

		if (jQuery("#statusCd").val() == "21") { //21:선급포기요청상태는 목록, 저장, 선급신청 버튼 표시
			jQuery("#spanSave").hide();
			jQuery("#spanDelete").hide();
			jQuery("#spanAppReq").hide();
			jQuery("#spanList").show();

		}

		if (jQuery("#statusCd").val() == "20") { //21:선급포기요청상태는 목록, 저장, 선급신청 버튼 표시
			jQuery("#spanSave").hide();
			jQuery("#spanDelete").hide();
			jQuery("#spanAppReq").hide();
			jQuery("#spanList").show();

		}

		if (jQuery("#statusCd").val() == "03") { //03:선급신청상태는 목록 버튼 표시
			jQuery("#spanSave").hide();
			jQuery("#spanDelete").hide();
			jQuery("#spanAppReq").hide();
			jQuery("#spanList").show();
		}

		if (jQuery("#statusCd").val() == "04") { //04:결재중상태는 목록 버튼 표시
			jQuery("#spanSave").hide();
			jQuery("#spanDelete").hide();
			jQuery("#spanAppReq").hide();
			jQuery("#spanList").show();
		}

		if (jQuery("#statusCd").val() == "10") { //10:선급완료상태는 목록 버튼 표시
			jQuery("#spanSave").hide();
			jQuery("#spanDelete").hide();
			jQuery("#spanAppReq").hide();
			jQuery("#spanList").show();
		}

		if (jQuery("#statusCd").val() == "11") { //11:선급포기완료상태는 목록 버튼 표시
			jQuery("#spanSave").hide();
			jQuery("#spanDelete").hide();
			jQuery("#spanAppReq").hide();
			jQuery("#spanList").show();
		}

		if (jQuery("#statusCd").val() == "91") { //91:반려상태는 목록, 저장, 선급신청 버튼 표시
			jQuery("#spanSave").show();
			jQuery("#spanDelete").hide();
			jQuery("#spanAppReq").show();
			jQuery("#spanList").show();
		}

	}

	function inputReadOnlyset() {

		if (jQuery("#statusCd").val() == "03" || jQuery("#statusCd").val() == "04" || jQuery("#statusCd").val() == "10" || jQuery("#statusCd").val() == "11") { //03:선급신청상태는 목록 버튼 표시
			
			jQuery("#userName").attr("readonly", true);
			jQuery("#userName").css({'background-color' : '#F0F0F0'});
			jQuery("#userName").css({'border' : '1px solid #bcbcbc'});
			
			jQuery("#hp").attr("readonly", true);
			jQuery("#hp").css({'background-color' : '#F0F0F0'});
			jQuery("#hp").css({'border' : '1px solid #bcbcbc'});
			
			jQuery("#eMail").attr("readonly", true);
			jQuery("#eMail").css({'background-color' : '#F0F0F0'});
			jQuery("#eMail").css({'border' : '1px solid #bcbcbc'});
			
			jQuery("#reqPrepaySupplyTamt").attr("readonly", true);
			jQuery("#reqPrepaySupplyTamt").css({'background-color' : '#F0F0F0'});
			jQuery("#reqPrepaySupplyTamt").css({'border' : '1px solid #bcbcbc'});
			
			jQuery("#reqPrepaySupplyNamt").attr("readonly", true);
			jQuery("#reqPrepaySupplyNamt").css({'background-color' : '#F0F0F0'});
			jQuery("#reqPrepaySupplyNamt").css({'border' : '1px solid #bcbcbc'});

		}
	}
	
	function taxDataSet() {

		var radioCheck = jQuery(':radio[name="chk_info"]:checked').val(); //세금계산서 발행방법

		if (radioCheck == "1") { //역발행
			jQuery("#taxAttachments").hide();
			jQuery("#taxTrRow").hide();
		} else {
			jQuery("#taxAttachments").show();
			jQuery("#taxTrRow").show();
		}
	}

	function giveDataSet() {

		if (jQuery("#perpayReqDiv option:selected").val() == "1") {
			jQuery("#giveAttachments").hide();
			jQuery("#p_Attach1").show();
			
		} else {
			jQuery("#giveAttachments").show();
			jQuery("#p_Attach1").hide();
		}
	}

	function inputDataSet() {

		jQuery("#perpayReqDiv").attr("disabled", true);

		if (jQuery("#perpayReqDiv option:selected").val() == "1") {

			jQuery("#giveAmt").val("0"); //선급_포기금액_합계
			jQuery("#reqPrepayAmt").attr("readonly", true);
			jQuery("#reqPrepayAmt").css({'background-color' : '#dedede'});
			jQuery("#reqPrepayAmt").css({'border' : '1px solid #bcbcbc'});
			jQuery("#reqPrepayAmt").val(jQuery("#perpayAmt").val());   

			jQuery("#giveSupplyTamt").val("0"); //선급_포기금액_과세
			jQuery("#reqPrepaySupplyTamt").attr("readonly", true);
			jQuery("#reqPrepaySupplyTamt").css({
				'background-color' : '#dedede'
			});
			jQuery("#reqPrepaySupplyTamt").css({
				'border' : '1px solid #bcbcbc'
			});
			jQuery("#reqPrepaySupplyTamt").val(
					jQuery("#subPrepaySupplyTamt").val());

			jQuery("#giveSupplyNamt").val("0"); //선급_포기금액_면세
			jQuery("#reqPrepaySupplyNamt").attr("readonly", true);
			jQuery("#reqPrepaySupplyNamt").css({
				'background-color' : '#dedede'
			});
			jQuery("#reqPrepaySupplyNamt").css({
				'border' : '1px solid #bcbcbc'
			});
			jQuery("#reqPrepaySupplyNamt").val(
					jQuery("#subPrepaySupplyNamt").val());

			jQuery("#giveSurtaxAmt").val("0"); //선급_포기금액_부가세
			jQuery("#reqPrepaySurtaxAmt").attr("readonly", true);
			jQuery("#reqPrepaySurtaxAmt").css({
				'background-color' : '#dedede'
			});
			jQuery("#reqPrepaySurtaxAmt").css({
				'border' : '1px solid #bcbcbc'
			});
			jQuery("#reqPrepaySurtaxAmt").val(
					jQuery("#subPrepaySurtaxAmt").val());

			jQuery("#givePercent").val("0.0");

			var reqPrepayAmt = jQuery("#reqPrepayAmt").val();
			reqPrepayAmt = reqPrepayAmt.replace(/(\,|\:)/g, "");
			var conAmt = jQuery("#conAmt").val();
			conAmt = conAmt.replace(/(\,|\:)/g, "");
			var givePercent = (reqPrepayAmt / conAmt) * 100;

			jQuery("#reqPrepayPercent").val(givePercent.toFixed(2));

			giveDataSet();

			warrCtr('S'); //S:보이기, H:숨기기

		} else if (jQuery("#perpayReqDiv option:selected").val() == "2") {

			jQuery("#reqPrepayAmt").attr("readonly", true);
			jQuery("#reqPrepayAmt").css({'background-color' : '#dedede'});
			jQuery("#reqPrepayAmt").css({'border' : '1px solid #bcbcbc'	});

			jQuery("#reqPrepaySupplyTamt").attr("readonly", false);
			jQuery("#reqPrepaySupplyTamt").css({'background-color' : '#ffffff'});
			jQuery("#reqPrepaySupplyTamt").css({'border' : '1px solid #595a5a'});

			if (jQuery("#conSupplyNamt").val() == "0") {
				jQuery("#reqPrepaySupplyNamt").attr("readonly", true);
				jQuery("#reqPrepaySupplyNamt").css({'background-color' : '#dedede'});
				jQuery("#reqPrepaySupplyNamt").css({'border' : '1px solid #bcbcbc'});
			} else {
				jQuery("#reqPrepaySupplyNamt").attr("readonly", false);
				jQuery("#reqPrepaySupplyNamt").css({'background-color' : '#ffffff'});
				jQuery("#reqPrepaySupplyNamt").css({'border' : '1px solid #595a5a'});
			}
			jQuery("#reqPrepaySurtaxAmt").attr("readonly", true);
			jQuery("#reqPrepaySurtaxAmt").css({'background-color' : '#dedede'});
			jQuery("#reqPrepaySurtaxAmt").css({'border' : '1px solid #bcbcbc'});

			jQuery("#reqPrepaySupplyTamt").val(jQuery("#orgReqPrepaySupplyTamt").val());
			jQuery("#reqPrepaySupplyNamt").val(jQuery("#orgReqPrepaySupplyNamt").val());
			
			//jQuery("#reqPrepaySupplyTamt").blur();

			giveDataSet();

			warrCtr('S'); //S:보이기, H:숨기기

		} else if (jQuery("#perpayReqDiv option:selected").val() == "3") {

			jQuery("#reqPrepayAmt").val("0"); //선급_신청금액_합계
			jQuery("#reqPrepayAmt").attr("readonly", true);
			jQuery("#reqPrepayAmt").css({'background-color' : '#dedede'});
			jQuery("#reqPrepayAmt").css({'border' : '1px solid #bcbcbc'});
			jQuery("#giveAmt").val(jQuery("#perpayAmt").val());

			jQuery("#reqPrepaySupplyTamt").val("0"); //선급_신청금액_과세
			jQuery("#reqPrepaySupplyTamt").attr("readonly", true);
			jQuery("#reqPrepaySupplyTamt").css({'background-color' : '#dedede'});
			jQuery("#reqPrepaySupplyTamt").css({'border' : '1px solid #bcbcbc'});
			jQuery("#giveSupplyTamt").val(jQuery("#subPrepaySupplyTamt").val());

			jQuery("#reqPrepaySupplyNamt").val("0"); //선급_신청금액_면세
			jQuery("#reqPrepaySupplyNamt").attr("readonly", true);
			jQuery("#reqPrepaySupplyNamt").css({'background-color' : '#dedede'});
			jQuery("#reqPrepaySupplyNamt").css({'border' : '1px solid #bcbcbc'});
			jQuery("#giveSupplyNamt").val(jQuery("#subPrepaySupplyNamt").val());

			jQuery("#reqPrepaySurtaxAmt").val("0"); //선급_신청금액_부가세
			jQuery("#reqPrepaySurtaxAmt").attr("readonly", true);
			jQuery("#reqPrepaySurtaxAmt").css({'background-color' : '#dedede'});
			jQuery("#reqPrepaySurtaxAmt").css({'border' : '1px solid #bcbcbc'});
			jQuery("#giveSurtaxAmt").val(jQuery("#subPrepaySurtaxAmt").val());

			jQuery("#reqPrepayPercent").val("0.0");

			var giveAmt = jQuery("#giveAmt").val();
			giveAmt = giveAmt.replace(/(\,|\:)/g, "");
			var conAmt = jQuery("#conAmt").val();
			conAmt = conAmt.replace(/(\,|\:)/g, "");
			var givePercent = (giveAmt / conAmt) * 100;

			jQuery("#givePercent").val(givePercent.toFixed(1));

			giveDataSet();

			//포기일때 보증정보는 필요없으므로 숨김처ㅣ
			warrCtr('H'); //S:보이기, H:숨기기

		}
	}

	function warrCtr(gubun) {
		
		if (gubun == "H") { //숨김
			//var warrWamt = jQuery("#warrWamt").val().replace(/(\,|\:)/g, "");
			//if(warrWamt == "0" || warrWamt == ""){
				
				//jQuery('#warr1').slideUp();
				//jQuery('#warr2').slideUp();				

			//}else{
				
				//alert("보증정보가 존재합니다.");
				//jQuery("#reqPrepaySupplyTamt").val(jQuery("#warrWamt").val());
			//}
			
		} else {
			
			//jQuery('#warr1').show("slow");
			//jQuery('#warr2').show("slow");
			
		}

	}

	//저장 및 선급금 신청시 필수항목 Check
	function requiredItemsCheck() {

		var date1 = jQuery('#date1').val(); //작성일자(증빙일자)
		var userName = jQuery('#userName').val(); //담당자명
		var hp = jQuery('#hp').val(); //담당자 핸드폰번호
		var eMail = jQuery('#eMail').val(); //담당자 이메일

		if (date1 == "") {
			alert("입력필수입니다.");
			jQuery('#date1').focus();
			return false;
		}
		if (userName == "") {
			alert("담당자명은 입력필수입니다.");
			jQuery('#userName').focus();
			return false;
		}
		if (hp == "") {
			alert("담당자 핸드폰 번호는 입력필수입니다.");
			jQuery('#hp').focus();
			return false;
		} else {
			var rgEx = /(01[016789])[-](\d{4}|\d{3})[-]\d{4}$/g;
			var strValue = hp;
			var chkFlg = rgEx.test(strValue);
			if (!chkFlg) {
				alert("올바른 휴대폰번호가 아닙니다.");
				jQuery('#hp').focus();
				return false;
			}
		}
		if (eMail == "") {
			alert("담당자 이메일은 입력필수입니다.");
			jQuery('#eMail').focus();
			return false;
		} else {
			var regEmail = /([\w-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([\w-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(\]?)$/;
			if (!regEmail.test(eMail)) {
				alert('올바른 이메일 주소가 아닙니다.');
				jQuery('#eMail').focus();
				return false;
			}
		}

		if (jQuery("#btnAppReqSelect").val() == "1") { //선급금신청요청시에는 해당하는 첨부파일이 모두 등록되어있어야함.

			//세금계산서 첨부파일 Check
			/* if(jQuery("#chk_2").is(":checked") == true){
				if(jQuery("#p_AttachFile1").val() == ""){
					alert("선금금 포기각서 첨부파일 핍수입니다.");
					return false;
				}			
			} */ 
		
			//01:작성중, 02:선급금 신청요청, 21:선금금 포기요청, 03:선급금 신청, 04:결재중, 10:선금완료, 11:포기완료, 91:반려
			if (jQuery("#perpayReqDiv").val() == "1") { //선급신청
				jQuery("#selectStatusCd").val("03");
				
				if(<%=warrCount.size() %>!=<%=warrList.size() %>){
					alert("해당 보증서의 진행 상태가 모두 발급 완료 상태일때 서명을 진행 하실수 있습니다.");
					return false;
				}
				//선급신청일경우 보증정보의 증권번호가 존재하고, 보증금액이 선급 신청금액의 합계와 같아야함.	
/* 				if(jQuery("#warrWgno").val() == ""){
					alert("보증정보는 필수입니다.");
					return false;
				}
				
				var warrWamtValue = jQuery("#warrWamt").val().replace(/(\,|\:)/g, "");
				var reqPrepayAmtValue = jQuery("#reqPrepayAmt").val().replace(/(\,|\:)/g, "");
				if(reqPrepayAmtValue != warrWamtValue){
					alert("선급금신청금액과 보증금액이 다릅니다.");
					return false;
				}
				
				if(jQuery.trim(jQuery("#p_AttachFile1").text()) != ""){
					alert("선금금 포기각서가 존재합니다.");
					return false;
				} */
				
			} else if (jQuery("#perpayReqDiv").val() == "2") { //부분신청
				jQuery("#selectStatusCd").val("20");
			
			
				if(<%=warrCount.size() %>!=<%=warrList.size() %>){
					alert("해당 보증서의 진행 상태가 모두 발급 완료 상태일때 서명을 진행 하실수 있습니다.");
					return false;
				}
				//선급신청일경우 보증정보의 증권번호가 존재하고, 보증금액이 선급 신청금액의 합계와 같아야함.	
/* 				if(jQuery("#warrWgno").val() == ""){
					alert("보증정보는 필수입니다.");
					return false;
				}
				var warrWamtValue = jQuery("#warrWamt").val().replace(/(\,|\:)/g, "");
				var reqPrepayAmtValue = jQuery("#reqPrepayAmt").val().replace(/(\,|\:)/g, "");
				if(reqPrepayAmtValue != warrWamtValue){
					alert("선급금신청금액과 보증금액이 다릅니다.");
					return false;
				}*/			
				if(jQuery.trim(jQuery("#p_AttachFile1").text()) == ""){
					alert("선금금 포기각서 첨부파일 필수입니다.");
					return false;
				} 			
			} else if (jQuery("#perpayReqDiv").val() == "3") { //포기신청
				jQuery("#selectStatusCd").val("21");
 				if(jQuery.trim(jQuery("#p_AttachFile1").text()) == ""){
					alert("선금금 포기각서 첨부파일  필수입니다.");
					return false;
				}
				
			} else {
				alert("신청구분을 선택하세요");
				return false;
			}
		}
	}

	function doResult(resultObj) {
		try {

			if (resultObj.getRequestEvent() == "SAVE_DATA") {
				if (resultObj.getSuccess()) {

					document.form1.isSubmit = false;

					if (jQuery("#btnAppReqSelect").val() == "0") {

						alert("저장되었습니다.");
						
						//jQuery("#btnList").click();
						reSearch();
					} else {

						jQuery("#btnAppReqSelect").val("0");
						btnAppReqProcess();

					}
				} else {
					dlgErrorMsg(resultObj);
				}
				document.form1.isSubmit = false;
			}

			if (resultObj.getRequestEvent() == "DELETE_DATA") {
				if (resultObj.getSuccess()) {
					alert("삭제되었습니다.");
					jQuery("#btnList").click();
				} else {
					dlgErrorMsg(resultObj);
				}
				document.form1.isSubmit = false;
			}

			if (resultObj.getRequestEvent() == "REQ_DATA") {
				if (resultObj.getSuccess()) {
					alert("신청하였습니다.");
					jQuery("#btnList").click();
				} else {
					dlgErrorMsg(resultObj);
				}
				document.form1.isSubmit = false;
			}

		} catch (errorObject) {
			showErrorDlg("doResult()", errorObject);
		}
	}

	//저장 후  기성시청 처리
	function btnAppReqProcess() {
		fMakeItemInfo();
		
// 		if (fMakeItemInfo()) { //서명데이터 처리
// 			var f = document.form1;
// 			jQuery("#fevent").val("REQ_DATA");
// 			submitXmlRequest("/portal/payment/AdvencePayRequest_form.screen","REQ_DATA", f, "SUCCESS");

// 		}

	}

	//상세화면 재조회
	function reSearch() {
		jQuery("#fevent").val("");
		jQuery("#form1").attr("action", "/portal/payment/AdvencePayRequest.screen");
		jQuery("#form1").attr("target", "_self");
		jQuery("#form1").attr("method", "post");
		jQuery("#form1").submit();
	}
	
	function doKeyPress() {

		if (event.keyCode == 13) {
			doSearch(document.all.sheet1)
		}
	}

	function calendar(thisDayObj) {
		dlgCalendar(thisDayObj);
	}

	//첨부파일   
	function doAttachFile(obj, No) {

		if (obj.value == '') {
			//alert("After you have saved, you can attach a file.");
			alert("데이터를 저장 후, 파일을 첨부할 수가 있습니다.");
		} else if (obj.value != '') {
			var upLoadFlg = "Y";
			if (jQuery("#statusCd").val() == "03" || jQuery("#statusCd").val() == "04" || jQuery("#statusCd").val() == "10" || jQuery("#statusCd").val() == "11") { //선급금 상태값이 03:선급금신청, 04:결재중, 10:선급완료, 11:폰기완료면 다운만
				upLoadFlg = "N";
			}
			if (No == 1) {
				viewFileListNew('SUPP_PREPAYMENTS_GIVEUP', obj.value, document.getElementById("p_AttachFile1"), upLoadFlg, "prepay/outside/"+obj.value);
			} else {
				viewFileListNew('SUPP_TAX_BILL', obj.value, document.getElementById("p_AttachFile2"), upLoadFlg, "prepay/outside/"+obj.value);
			}
		}
	}
	/**
	 * 첨부파일 예약 함수
	 */
	function fileDown(file_id){
			var url="/common/file/FileDownloadServlet";
	 		url += "?file_id=" + file_id;
	 		
	 		window.open(url, "_fileDown", "toolbar=no, width=400, height=100, top=500, left=400, toolbar=no,directories=no,status=no,scrollbars=yes,resize=no,menubar=no,target=new")
	}
	
	function fMakeItemInfo() {

		var sColumDelimiter = "┃";
		var sRowDelimiter = "↕";
		var sSumDelimiter = "╂";
		var sEncDelimiter = "⇔";

		var sItemInfo = ""; //서명할 문자열 데이터

		var infoDeptName = "현장명:" + jQuery("#deptName").val(); //현장명
		var infoBuildName = "계약명:" + jQuery("#buildName").val(); //계약명
		var infoConCurNm = "계약통화:" + jQuery("#conCurCd").val(); //계약통화

		var infoCorpRegNo = "사업자번호:" + jQuery("#vendCd").val(); //사업자번호
		var CorpRegNoVal = jQuery("#vendCd").val().replace(/-/gi, "");
		//사업자번호
		//alert(CorpRegNoVal);

		var infoCorpKor = "계약업체명:" + jQuery("#memberName").val(); //계약업체명
		var infoBossName = "대표이사:" + jQuery("#bossName").val(); //업체대표이사

		var infoStartEndWorkDate = "계약기간:" + jQuery("#startEndWorkDate").val(); //계약기간
		var infoConAmt = "계약금액:" + jQuery("#conAmt").val(); //계약금액합계
		var infoPerpayAmt = "선급금액:" + jQuery("#perpayAmt").val(); //선급금액합계

		var infoTaxMethod = ""; //세금계산서발행방법
		if (jQuery('input:checkbox[id="chk_1"]').is(":checked")) { //역발행
			infoTaxMethod = "세금계산서발행방법:역발행";
		} else {
			infoTaxMethod = "세금계산서발행방법:순발행";
		}
		var infoDate1 = "작성일자:" + jQuery("#date1").val(); //작성일자(증빙일자)
		var infoTaxChargNm = "담당자명:" + jQuery("#userName").val(); //담당자명
		var infoTaxChargHp = "핸드폰번호:" + jQuery("#hp").val(); //담당자 핸드폰번호
		var infoTaxChargEmail = "이메일주소:" + jQuery("#eMail").val(); //담당자 이메일

		var infoPerpayReqDiv = "신청구분:"; //신청구분
		if (jQuery("#perpayReqDiv").val() == "1") { //신청
			infoPerpayReqDiv = infoPerpayReqDiv + "선급신청";
		} else if (jQuery("#perpayReqDiv").val() == "2") { //부분신청
			infoPerpayReqDiv = infoPerpayReqDiv + "부분신청";
		} else if (jQuery("#perpayReqDiv").val() == "3") { //포기
			infoPerpayReqDiv = infoPerpayReqDiv + "포기신청";
		}

		var infoReqPrepayAmt = "선급_신청금액_합계:" + jQuery("#reqPrepayAmt").val();
		var infoReqPrepaySupplyTamt = "선급_신청금액_과세:"
				+ jQuery("#reqPrepaySupplyTamt").val();
		var infoReqPrepaySupplyNamt = "선급_신청금액_면세:"
				+ jQuery("#reqPrepaySupplyNamt").val();
		var infoReqPrepaySurtaxAmt = "선급_신청금액_부가세:"
				+ jQuery("#reqPrepaySurtaxAmt").val();

		sItemInfo = sItemInfo + infoDeptName + sColumDelimiter;
		sItemInfo = sItemInfo + infoBuildName + sColumDelimiter;
		sItemInfo = sItemInfo + infoConCurNm + sColumDelimiter;

		sItemInfo = sItemInfo + infoCorpRegNo + sColumDelimiter;
		sItemInfo = sItemInfo + infoCorpKor + sColumDelimiter;
		sItemInfo = sItemInfo + infoBossName + sColumDelimiter;

		sItemInfo = sItemInfo + infoStartEndWorkDate + sColumDelimiter;
		sItemInfo = sItemInfo + infoConAmt + sColumDelimiter;
		sItemInfo = sItemInfo + infoPerpayAmt + sColumDelimiter;

		sItemInfo = sItemInfo + infoTaxMethod + sColumDelimiter;
		sItemInfo = sItemInfo + infoDate1 + sColumDelimiter;
		sItemInfo = sItemInfo + infoTaxChargNm + sColumDelimiter;
		sItemInfo = sItemInfo + infoTaxChargHp + sColumDelimiter;
		sItemInfo = sItemInfo + infoTaxChargEmail + sColumDelimiter;

		sItemInfo = sItemInfo + infoPerpayReqDiv + sColumDelimiter;

		sItemInfo = sItemInfo + infoReqPrepayAmt + sColumDelimiter;
		sItemInfo = sItemInfo + infoReqPrepaySupplyTamt + sColumDelimiter;
		sItemInfo = sItemInfo + infoReqPrepaySupplyNamt + sColumDelimiter;
		sItemInfo = sItemInfo + infoReqPrepaySurtaxAmt;

		//alert(sItemInfo);

		// 환경설정 함수 콜

		if (sItemInfo == null || sItemInfo == "") {
			alert("서명할 데이타를 넣어주십시요");
			return ;
		}

		unisign.SignDataNVerifyVID( sItemInfo, null, CorpRegNoVal, function( resultObject ) {
			if( !resultObject || resultObject.resultCode != 0 ){
				if( resultObject.resultCode == '14208'){
					alert("주민번호/사업자번호를 확인할 수 없는 인증서입니다.");
				} else if( resultObject.resultCode == '999'){
					alert("사용자 DN 선택이 취소 되었습니다.");
				} else {
					alert( resultObject.resultMessage);
				}
				return ;
			}
			
			var signeddata = resultObject.signedData;
	 		var userdn = resultObject.certAttrs.subjectName;
			
	 		jQuery("#signeddata").val(signeddata);
			
			var f = document.form1;
			jQuery("#fevent").val("REQ_DATA");
			submitXmlRequest("/portal/payment/AdvencePayRequest_form.screen","REQ_DATA", f, "SUCCESS");


		});
		

	}
	
	
	//보증정보팝업 호출
	function popContWarr(wG, wSeq, wCauseCd) {
		
		var win_id = "contOutWarrPopup";			

		var param = "";
		var param = "?subContModId=" + jQuery("#subContModId").val();
		var param = param + "&warrGubun=" + wG;
		var param = param + "&warrSeq=" + wSeq;
		var param = param + "&causeCode=" + wCauseCd;
		var param = param + "&viewDiv=PREPAY";
		var param = param + "&prepayId=" + jQuery("#prepayId").val();
		var param = param + "&pop_win_id=" + win_id;
		
		var url = "/portal/guar/contOutWarrPopup.screen"+param;

		fLayerPop(win_id, url, 560,350, '','', 'NO');
	}	
	//보증정보팝업 종료후 액션
	function popContWarrClose(returnValue){
		if(returnValue == null){
			fLayerPopClose('contOutWarrPopup');
		}else{
			fLayerPopClose('contOutWarrPopup');
			//location.reload();
			reSearch();
		}
	}	
	//팝업에서 첨부파일 저장을 위해 필요
	function doAttachFilePop(obj, No, fObj, fileGB, fileDir) {
		var editFile = "";
		 if(obj==''){
			alert("After you have saved, you can attach a file.");
		}
		else if(obj != ''){ 
			if(fObj.guarStatus.value != "02"){editFile="N";}else{editFile="Y";}
			viewFileListNew(fileGB, obj.value, fObj.p_AttachFileGuar1, editFile, fileDir, "contOutWarrPopup");
		} 
	} 
	
	
	
	function openPopUpPrePay() {	//변경계약 팝업
	    if(jQuery("#firstPop").val() == ""){
			var url = "/html/portal_prepay_note_popup.html";
			fLayerPop("popup",url,640,445,'','', 'NO');
	    }
	}

	$.check = function(returnValue){//팝업 후 서명처리
		if(returnValue==true){
			var stampMsg = '확인하셨습니까?';
			if (confirm(stampMsg)){
			    jQuery("#firstPop").val("Y");
				fLayerPopClose('popup');
			}
			//submit
		}
	}
	
</SCRIPT>


<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>

<form id="form1" name="form1" method="post" modular:type="search">

	<INPUT type="hidden" name="fevent" id="fevent" value=""> 
	<INPUT type="hidden" name="selectSubContModId" id="selectSubContModId"	value="<%=params.get("selectSubContModId") %>">
	<INPUT type="hidden" name="subContModId" id="subContModId"	value="<%=prePayment.get("SUB_CONT_MOD_ID") %>">
	<INPUT type="hidden" name="prepayId" id="prepayId"	value="<%=prePayment.get("PREPAY_ID") %>"> 
	<INPUT type="hidden" name="corpId" id="corpId"	value="<%=prePayment.get("CON_CORP_ID") %>"> 
	<INPUT type="hidden" name="orgReqPrepaySupplyTamt" id="orgReqPrepaySupplyTamt" value="<%=prePayment.get("REQ_PREPAY_SUPPLY_TAMT") %>"> 
	<INPUT type="hidden" name="orgReqPrepaySupplyNamt" id="orgReqPrepaySupplyNamt" value="<%=prePayment.get("REQ_PREPAY_SUPPLY_NAMT") %>"> 
	<INPUT type="hidden" name="statusCd" id="statusCd" value="<%=prePayment.get("STATUS_CD") %>"> 
	<INPUT type="hidden" name="subContId" id="subContId" value="<%=prePayment.get("SUB_CONT_ID") %>"> 
<%-- 	<INPUT type="hidden" name="warrGubun" id="warrGubun" value="<%=warrList.get("WARR_GUBUN") %>"> 
	<INPUT type="hidden" name="warrSeq" id="warrSeq" value="<%=warrList.get("WARR_SEQ") %>"> --%> 
	<INPUT type="hidden" name="btnAppReqSelect" id="btnAppReqSelect" value="0">
	<INPUT type="hidden" name="firstPop" id="firstPop" value="<%=params.get("firstPop")%>">
	<!-- 기성신청상태구분 -->
	<INPUT type="hidden" name="selectStatusCd" id="selectStatusCd" value="">
	<!-- 기성신청상태 -->
	<INPUT type='hidden' id="signeddata" name="signeddata" value="">

	<!-- 리스트 페이지 검색 조건 -->
	<INPUT type='hidden' id="searchBuildName" name="searchBuildName" value="<%=params.get("searchBuildName") %>">	<!-- 계약명 -->
	<INPUT type='hidden' id="searchStatusCd" name="searchStatusCd" value="<%=params.get("searchStatusCd") %>">	<!-- 상태값 -->
	<INPUT type='hidden' id="resultListDiv" name="resultListDiv" value="<%=params.get("resultListDiv") %>">
	<INPUT type='hidden' id="signDt_from" name="signDt_from" value="<%=params.get("signDt_from") %>">	
	<INPUT type='hidden' id="signDt_to" name="signDt_to" value="<%=params.get("signDt_to") %>">	

	<INPUT type='hidden' id="resUserName" name="resUserName" value="<%=prePayment.get("RES_USER_NAME") %>">	<!-- 계약담당자 -->
	<INPUT type='hidden' id="resHp" name="resHp" value="<%=prePayment.get("RES_HP") %>">	<!-- 계약담당자 핸드폰번호 -->
	<INPUT type='hidden' id="resEmail" name="resEmail" value="<%=prePayment.get("RES_EMAIL") %>">	<!-- 계약담당자 이메일 -->
	<INPUT type='hidden' id="conDocNo" name="conDocNo" value="<%=prePayment.get("CON_DOC_NO") %>">	<!-- 발주계약번호 -->
	
	<INPUT type="hidden" name="bugase" id="bugase" value="<%=prePayment.get("CHG_CODE10") %>">
	
	<!-- 제목 및 버튼 -->
	<table width="100%">
		<colgroup>
			<col width="500" />
			<col width="*" />
		</colgroup>
		<tr>
			<th>
				<div align="left" id="title">
					<ul>
						<li><span id="resultListDivTitle">외주_선급금 상세</span>(<span style="font-size: 11px"><%=prePayment.get("STATUS_NM")%></span>)</li>
					</ul>
				</div>
			</th>
			<td align="right">
				<span id="spanSave" class="btnSearch center" style="display: none"><a href="javascript:void(0);" id="btnSave">저장</a></span>
				<span id="spanDelete" class="btnSearch center" style="display: none"><a href="javascript:void(0);" id="btnDelete">삭제</a></span>
				<span id="spanAppReq" class="btnSearch center" style="display: none"><a href="javascript:void(0);" id="btnAppReq">선급신청요청</a></span>
				<span id="spanList" class="btnSearch center" style="display: none"><a href="javascript:void(0);" id="btnList">목록</a></span>
			</td>
		</tr>
	</table>
<%
if(!prePayment.get("RTN_REASON").equals("")){
%>
	<div class="application-info  magT10">
		<div class="application-sub-title">
			<span class="title">반려정보</span>
		</div>
		<div class="application-location"></div>
	</div>
	<TABLE class="form-table">
		<colgroup>
			<col width="13%" />
			<col width="*" />
		</colgroup>

		<TR height="25">
			<th style="text-align: left;">반려일</th>
			<TD><%=prePayment.get("RTN_DATE")%></TD>
		</TR>
		<TR>
			<th style="text-align: left;">반려사유</th>
			<TD><%=prePayment.get("RTN_REASON")%></TD>
		</TR>
	</TABLE>
<%
}
%>

	<div class="application-info  magT10">
		<div class="application-sub-title">
			<span class="title">기본정보</span>
		</div>
		<div class="application-location"></div>
	</div>

	<TABLE class="form-table">
		<colgroup>
			<col width="13%" />
			<col width="20%" />
			<col width="13%" />
			<col width="20%" />
			<col width="13%" />
			<col width="*" />
		</colgroup>

		<TR height="25">
			<th style="text-align: left;">현장명</th>
			<TD><%= InputText.get("deptName", prePayment.get("DEPT_NAME"), 100, 30, "class=input_blank, readOnly=white, string, left, perSize, tabIndex=-1", "string") %></TD>
			<th style="text-align: left;">계약명</th>
			<TD><%= InputText.get("buildName", prePayment.get("BUILD_NAME"), 100, 30, "class=input_blank, readOnly=white, string, left, perSize, tabIndex=-1", "string") %></TD>
			<th style="text-align: left;">통화</th>
			<TD><%= InputText.get("conCurCd", prePayment.get("CON_CUR_CD"), 100, 30, "class=input_blank, readOnly=white, string, left, perSize, tabIndex=-1", "string") %></TD>
		</TR>
		<TR>
			<th style="text-align: left;">사업자번호</th>
			<TD><%= InputText.get("vendCd", prePayment.get("CORP_REG_NO"), 100, 30, "class=input_blank, readOnly=white, string, left, perSize, tabIndex=-1", "string") %></TD>

			<th style="text-align: left;">계약업체명</th>
			<TD><%= InputText.get("memberName", prePayment.get("CORP_KOR"), 100, 30, "class=input_blank, readOnly=white, string, left, perSize, tabIndex=-1", "string") %></TD>

			<th style="text-align: left;">대표이사</th>
			<TD><%= InputText.get("bossName", prePayment.get("BOSS_NAME"), 100, 30, "class=input_blank, readOnly=white, string, left, perSize, tabIndex=-1", "string") %></TD>
		</TR>
		<TR>
			<th style="text-align: left;">공사기간</th>
			<TD><%= InputText.get("startEndWorkDate", prePayment.get("START_END_WORK_DATE"), 100, 30, "class=input_blank, readOnly=white, string, left, perSize, tabIndex=-1", "string") %></TD>

			<th style="text-align: left;">계약금액</th>
			<TD><%= InputText.get("conConAmt", Formatter2.currency(prePayment.get("CON_SUPPLY_AMT"), intDigit)+" (부가세 별도)", 100, 30, "class=input_blank, readOnly=white, string, left, perSize, tabIndex=-1", "string") %></TD>
			<th style="text-align: left;">선급금액</th>
			<TD><%= InputText.get("conPrepayAmt", Formatter2.currency(prePayment.get("PREPAY_SUPPLY_AMT"), intDigit)+" (부가세 별도)", 100, 30, "class=input_blank, readOnly=white, string, left, perSize, tabIndex=-1", "string") %></TD>
		</TR>
	</TABLE>

	<div class="application-info magT15">
		<div class="application-sub-title">
			<span class="title">세금계산서 정보</span>
		</div>
	</div>

	<TABLE class="form-table">
		<colgroup>
			<col width="13%" />
			<col width="20%" />
			<col width="13%" />
			<col width="20%" />
			<col width="13%" />
			<col width="*" />
		</colgroup>
		<TR>
			<th style="text-align: left;">세금계산서 발행방법</th>
			<TD colspan="3">
				<input type="radio" id="chk_1" name="chk_info" value="1" onclick="taxDataSet();" <%= check1 %> disabled='disabled' style="display: none;"/>
				<input type="radio" id="chk_2" name="chk_info" value="2" onclick="taxDataSet();" <%= check2 %> disabled='disabled' style="display: none;"/>
				<%= checkString %>
			</TD>
			<th style="text-align: left;">작성일자(증빙일자)</th>
			<TD><%= InputText.get("date1", Formatter.formatDate(prePayment.get("TAX_DY"), "-"), 30, 10, "Center, date, PerSize, readonly", "date", "") %>
				<A href="JavaScript:calendar('date1');"><IMG src="/img/buyer/btn/bt_calender.gif" alt="달력" border="0" align="absmiddle"></A>
			</TD>
		</TR>
		<TR>
			<th class="required" style="text-align: left;">담당자명</th>
			<TD><%= InputText.get("userName", prePayment.get("USER_NAME"), 100, 6, "string, left, perSize", "string") %></TD>
			<th class="required" style="text-align: left;">담당자 핸드폰번호</th>
			<TD><input type="text" id="hp" name="hp" value="<%=prePayment.get("HP") %>" style="width: 44%" size="13" maxlength="13" alt="left">&nbsp;ex)010-0000-0000</TD>
			<th class="required" style="text-align: left;">담당자 이메일</th>
			<TD><%= InputText.get("eMail", prePayment.get("EMAIL"), 100, 40, "string, left, perSize", "string") %></TD>
		</TR>
	</TABLE>
	<!-- 세금계산서정보 : 끝 -->

	<div class="application-info magT15">
		<div class="application-sub-title">
			<span class="title">선급금정보</span>
		</div>
	</div>

	<TABLE class="form-table">
		<colgroup>
			<col width="13%" />
			<col width="20%" />
			<col width="13%" />
			<col width="20%" />
			<col width="13%" />
			<col width="*" />
		</colgroup>
		<TR>
			<th style="text-align: left;">신청구분</th>
			<TD colspan="3"><%= HTMLMaker.getSelectTag(perpayReqDivComboList, "DETAILCD", "DETAILNM", "perpayReqDiv", "width:30%;height=18;' onChange='inputDataSet();", "", prePayment.get("REQ_DIV_CD")) %></TD>
			<th style="text-align: left;">신청(서명)일시</th>
			<TD><%= InputText.get("custSignDate", prePayment.get("CUST_SIGN_DATE"), 100, 30, "class=input_blank, readOnly=white, string, left, perSize, tabIndex=-1", "string") %></TD>
		</TR>
	</TABLE>

	<img src="/img/com/blank.gif" height="10px" />

	<TABLE class="form-table" style="table-layout: fixed;">
		<colgroup>
			<col width="5%">
			<col width="6%">
			<col width="17%">
			<col width="9%">
			<col width="9%">
			<col width="9%">
			<col width="9%">
			<col width="17%">
			<col width="*">
		</colgroup>
		<TR>
			<th rowspan="2" colspan="2">구분</th>
			<th rowspan="2">합계</Th>
			<th colspan="4">공급가액</Th>
			<th rowspan="2">부가세</Th>
			<th rowspan="2">요율</Th>
		</TR>
		<TR>
			<th colspan="2">과세</Th>
			<th colspan="2">면세</Th>
		</TR>
		<TR>
			<th rowspan="2">계약</Th>
			<th>계약금액</Th>
			<TD align="right"><%= InputText.get("conAmt", Formatter2.currency(prePayment.get("CON_AMT"), intDigit), 100, 16, "class=input_blank, readOnly=white, string, right, perSize, tabIndex=-1", "string") %></TD>
			<TD colspan="2" align="right"><%= InputText.get("conSupplyTamt", Formatter2.currency(prePayment.get("CON_SUPPLY_TAMT"), intDigit), 100, 16, "class=input_blank, readOnly=white, string, right, perSize, tabIndex=-1", "string") %></TD>
			<TD colspan="2" align="right"><%= InputText.get("conSupplyNamt", Formatter2.currency(prePayment.get("CON_SUPPLY_NAMT"), intDigit), 100, 16, "class=input_blank, readOnly=white, string, right, perSize, tabIndex=-1", "string") %></TD>
			<TD align="right"><%= InputText.get("conSurtaxAmt", Formatter2.currency(prePayment.get("CON_SURTAX_AMT"), intDigit), 100, 16, "class=input_blank, readOnly=white, string, right, perSize, tabIndex=-1", "string") %></TD>
			<TD align="right"><%= InputText.get("conAmtPercent", "100.0", 100, 16, "class=input_blank, readOnly=white, string, right, perSize, tabIndex=-1", "string") %></TD>
		</TR>
		<TR>
			<th>선급금액</Th>
			<TD align="right"><%= InputText.get("perpayAmt", Formatter2.currency(prePayment.get("PREPAY_AMT"), intDigit), 100, 16, "class=input_blank, readOnly=white, string, right, perSize, tabIndex=-1", "string") %></TD>
			<TD colspan="2" align="right"><%= InputText.get("subPrepaySupplyTamt", Formatter2.currency(prePayment.get("SUB_PREPAY_SUPPLY_TAMT"), intDigit), 100, 16, "class=input_blank, readOnly=white, string, right, perSize, tabIndex=-1", "string") %></TD>
			<TD colspan="2" align="right"><%= InputText.get("subPrepaySupplyNamt", Formatter2.currency(prePayment.get("SUB_PREPAY_SUPPLY_NAMT"), intDigit), 100, 16, "class=input_blank, readOnly=white, string, right, perSize, tabIndex=-1", "string") %></TD>
			<TD align="right"><%= InputText.get("subPrepaySurtaxAmt", Formatter2.currency(prePayment.get("SUB_PREPAY_SURTAX_AMT"), intDigit), 100, 16, "class=input_blank, readOnly=white, string, right, perSize, tabIndex=-1", "string") %></TD>
			<TD align="right"><%= InputText.get("prepayAmtPercent", prePayment.get("PREPAY_AMT_PERCENT"), 100, 16, "class=input_blank, readOnly=white, string, right, perSize, tabIndex=-1", "string") %></TD>
		</TR>

		<TR>
			<th rowspan="2">선급</Th>
			<th>신청금액</Th>
			<TD align="right"><%= InputText.get("reqPrepayAmt", Formatter2.currency(prePayment.get("REQ_PREPAY_AMT"), intDigit), 100, 16, "class=input_blank, readOnly=white, string, right, perSize, tabIndex=-1", "string") %></TD>
			<TD colspan="2" align="right"><%= InputText.get("reqPrepaySupplyTamt", Formatter2.currency(prePayment.get("REQ_PREPAY_SUPPLY_TAMT"), intDigit), 100, 16, "class=input byteChk ,float, right, perSize", "float") %></TD>
			<TD colspan="2" align="right"><%= InputText.get("reqPrepaySupplyNamt", Formatter2.currency(prePayment.get("REQ_PREPAY_SUPPLY_NAMT"), intDigit), 100, 16, "class=input_blank, readOnly=white, string, right, perSize, tabIndex=-1", "string") %></TD>
			<TD align="right"><%= InputText.get("reqPrepaySurtaxAmt", Formatter2.currency(prePayment.get("REQ_PREPAY_SURTAX_AMT"), intDigit), 100, 16, "class=input_blank, readOnly=white, string, right, perSize, tabIndex=-1", "string") %></TD>
			<TD align="right"><%= InputText.get("reqPrepayPercent", prePayment.get("REQ_PREPAY_PERCENT"), 100, 16, "class=input_blank, readOnly=white, string, right, perSize, tabIndex=-1", "string") %></TD>
		</TR>
		<TR>
			<th>포기금액</Th>
			<TD align="right"><%= InputText.get("giveAmt", Formatter2.currency(prePayment.get("GIVE_AMT"), intDigit), 100, 16, "class=input_blank, readOnly=white, string, right, perSize, tabIndex=-1", "string") %></TD>
			<TD colspan="2" align="right"><%= InputText.get("giveSupplyTamt", Formatter2.currency(prePayment.get("GIVE_SUPPLY_TAMT"), intDigit), 100, 16, "class=input_blank, readOnly=white, string, right, perSize, tabIndex=-1", "string") %></TD>
			<TD colspan="2" align="right"><%= InputText.get("giveSupplyNamt", Formatter2.currency(prePayment.get("GIVE_SUPPLY_NAMT"), intDigit), 100, 16, "class=input_blank, readOnly=white, string, right, perSize, tabIndex=-1", "string") %></TD>
			<TD align="right"><%= InputText.get("giveSurtaxAmt", Formatter2.currency(prePayment.get("GIVE_SURTAX_AMT"), intDigit), 100, 16, "class=input_blank, readOnly=white, string, right, perSize, tabIndex=-1", "string") %></TD>
			<TD align="right"><%= InputText.get("givePercent", Formatter2.currency(prePayment.get("GIVE_PERCENT"), intDigit), 100, 16, "class=input_blank, readOnly=white, string, right, perSize, tabIndex=-1", "string") %></TD>
		</TR>
	</TABLE>

	<div class="application-info magT15">
		<div class="application-sub-title">
			<span class="title">첨부파일</span>
		</div>
	</div>

	<!-- 첨부파일 : 시작 -->
	<TABLE class="form-table">
		<colgroup>
			<col width="5%">
			<col width="6%">
			<col width="11%">
			<col width="11%">
			<col width="11%">
			<col width="11%">
			<col width="11%">
			<col width="11%">
			<col width="*">
		</colgroup>
		<TR>
			<th colspan="2">구분</Th>
			<th colspan="5">첨부파일명</Th>
			<th colspan="2">다운로드</Th>
		</TR>
		<TR>
			<TD colspan="2">선급금 포기각서<span id="p_Attach1">(해당없음)</span></TD>
			<%-- <TD colspan="5" align="left"><TEXTAREA name="p_AttachFile1"	id="p_AttachFile1" style="width: 100%; height: 99%; border: 0;"	rows="1" class="input" readOnly><%=file_giveup.get("SUPP_PREPAYMENTS_GIVEUP") %></TEXTAREA></TD> --%>
			<TD colspan="5" align="left">
				<table width="100%">
		    		<colgroup>
			    		<col width="99%" />
		    		</colgroup>
		    		<tr>
		    		<td>
						<div id="p_AttachFile1" class="attach_file_view">
						<%=FileManager.getFileListForDiv("SUPP_PREPAYMENTS_GIVEUP", prePayment.get("PREPAY_ID")) %>
						</div>
					</td>
					<tr>
				</table>
			</TD>			
			<TD colspan="2" align="center"><span id="giveAttachments"><IMG id='search_spot_button' onClick="doAttachFile(document.form1.prepayId,1);" src='/img/buyer/button/bt_change.gif' border='0' align="top"	align='absmiddle' alt='[Attach File]' style='cursor: pointer;'></TD>
		</TR>
		<TR id="taxTrRow">
			<TD colspan="2" align="center">세금계산서</TD>
			<%-- <TD colspan="5" align="left"><TEXTAREA name="p_AttachFile2"	id="p_AttachFile2" style="width: 100%; height: 99%; border: 0;"	rows="1" class="input" readOnly><%=file_taxbill.get("SUPP_TAX_BILL") %></TEXTAREA></TD> --%>
			<TD colspan="5" align="left">
				<table width="100%">
		    		<colgroup>
			    		<col width="99%" />
		    		</colgroup>
		    		<tr>
		    		<td>
						<div id="p_AttachFile2" class="attach_file_view">
						<%=FileManager.getFileListForDiv("SUPP_TAX_BILL", prePayment.get("PREPAY_ID")) %>
						</div>
					</td>
					<tr>
				</table>
			</TD>
			<TD colspan="2" align="center"><span id="taxAttachments"><IMG id='search_spot_button' onClick="doAttachFile(document.form1.prepayId,2);" src='/img/buyer/button/bt_change.gif' border='0' align="top" align='absmiddle' alt='[Attach File]' style='cursor: pointer;'></TD>
		</TR>
	</TABLE>
	<!-- 첨부파일 : 끝 -->
<%-- <%if (warrList.size() > 0) {%>

	<div id="warr1" class="application-info magT15" style="display: none">
		<div class="application-sub-title">
			<span class="title">보증정보</span>
		</div>
	</div>
	<TABLE id="warr2" class="form-table" style="table-layout: fixed;display: none;">
		<colgroup>
			<col width="10%" />
			<col width="50" />
			<col width="10%" />
			<col width="10%" />
			<col width="10%" />
			<col width="10%" />
			<col width="10%" />
			<col width="10%" />
			<col width="10%" />
			<col width="*" />
		</colgroup>

		<TR>
			<TH style="text-align:center;">제증권명</TH>
			<TH style="text-align:center;">등록</TH>
			<TH style="text-align:center;">변경구분</TH>
			<TH style="text-align:center;">발행방법</TH>
			<TH style="text-align:center;">발급기관</TH>
			<TH style="text-align:center;">진행상태</TH>
			<TH style="text-align:center;">발급일</TH>
			<TH style="text-align:center;">증권번호</TH>
			<TH style="text-align:center;">보증금액</TH>
			<TH style="text-align:center;">보증기간</TH>
		</TR>
		<TR>
			<TD><%= InputText.get("warrGubunNm", warrList.getRow(0).get("WARR_GUBUN_NM"), 98, 6, "class=input_blank, readOnly=white, string, center, perSize, tabIndex=-1", "string") %></TD>        
			<TD style="text-align:center;"><IMG src="/img/buyer/button/bt_search_right.gif" onclick="javascript:popContWarr('<%=warrList.getRow(0).get("WARR_GUBUN")%>','<%=warrList.getRow(0).get("WARR_SEQ")%>','<%=warrList.getRow(0).get("CAUSECODE")%>');" id="warrList" alt="보증정보" border="0" align="absmiddle" style="cursor:pointer;" /></TD>          
			<TD style="text-align:center;"><%=InputText.get("causecodeNm", warrList.getRow(0).get("CAUSECODE_NM"), 98, 6, "class=input_blank, readOnly=white, string, center, perSize, tabIndex=-1", "string") %></TD>          
			<TD style="text-align:center;"><%=InputText.get("guarOnoffNm", warrList.getRow(0).get("GUAR_ONOFF_NM"), 98, 6, "class=input_blank, readOnly=white, string, center, perSize, tabIndex=-1", "string") %></TD> 
			<TD style="text-align:center;"><%=InputText.get("warrGoffice", warrList.getRow(0).get("WARR_GOFFICE"), 98, 6, "class=input_blank, readOnly=white, string, center, perSize, tabIndex=-1", "string") %></TD>
			<TD style="text-align:center;"><%=InputText.get("guarStatusNm", warrList.getRow(0).get("GUAR_STATUS_NM"), 98, 6, "class=input_blank, readOnly=white, string, center, perSize, tabIndex=-1", "string") %></TD>
			<TD style="text-align:center;"><%=InputText.get("paperdate", Formatter.formatDate(warrList.getRow(0).get("PAPERDATE"), "-"), 98, 6, "class=input_blank, readOnly=white, string, center, perSize, tabIndex=-1", "string") %></TD>
			<TD style="text-align:center;"><%=InputText.get("warrWgno", warrList.getRow(0).get("WARR_WGNO"), 98, 6, "class=input_blank, readOnly=white, string, center, perSize, tabIndex=-1", "string") %></TD>
			<TD style="text-align:right;"><%=InputText.get("warrWamt", Formatter.formatCurrency(warrList.getRow(0).get("WARR_WAMT")), 98, 6, "class=input_blank, readOnly=white, string, right, perSize, tabIndex=-1", "string") %></TD>
			<TD style="text-align:center;"><%=Formatter.formatDate(warrList.getRow(0).get("WARR_SDATE"), "-") +" ~ "+ Formatter.formatDate(warrList.getRow(0).get("WARR_EDATE"), "-")%></TD>
		</TR>
	</TABLE>
	<!-- 보증정보 : 끝 -->
<% } %> --%>		


<%
	/*
		보증 목록을  include 시킴 (2014-10-17) 김명호
	*/	
%>
<%@ include file="/jsp/ko_KR/supplier/portal/common/guar/guarOutList.jsp" %>


</FORM>
<script>
</script>


<!-- 전자인증 모듈 설정 //-->
<link rel="stylesheet" type="text/css" href="/CrossCert/CC_WSTD_home/unisignweb/rsrc/css/certcommon.css?v=1" />
<script type="text/javascript" src="/CrossCert/CC_WSTD_home/unisignweb/js/unisignwebclient.js?v=1"></script>
<script type="text/javascript" src="/CrossCert/UniSignWeb_Multi_Init_Nim.js?v=1"></script>
<!-- 전자인증 모듈 설정 //-->