<%@ page contentType="text/html; charset=utf-8" %>
<%@page import="com.udapsoft.waf.system.HandlerStorage"%>
<%@ page import="kr.co.hsnc.common.util.*" %>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ page import="kr.co.hsnc.common.message.WAFMessage" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    String msg = storage.getMessage();
    ValueObject params = storage.getParams();
    WAFMessage wafMessage = WAFMessage.getInstance();   
%>


<%  // 업로드 컴포넌트 처리시에 정보 추가
    //pre 태그는 반드시 소문자로 코딩.
    if( storage.isMultiPart() ) { %>
<pre>
<UPLOAD>
<UPFILE></UPFILE>
<UPLOADEND>
<DELETEDFILES></DELETEDFILES>
<SERVER_ERROR></SERVER_ERROR>
</UPLOAD>
<%  } %>

<RESULT type="<%= ctx.getResultType() %>">
	<REQUEST uri="<%= ctx.getRequestURI() %>" event="<%= ctx.getEvent() %>"><![CDATA[<%= params.toString()/*ctx.getParams().toString()*/ %>]]></REQUEST>

<%  if( storage.getSuccess() ) { %>
	<SUCCESS value="<%=storage.getSuccess()%>"><![CDATA[<%= storage.getMessage() %>]]></SUCCESS>
<%  }
    else { %>
	<SUCCESS value="<%=storage.getSuccess()%>"><![CDATA[<%= storage.getMessage() %>]]></SUCCESS>
<%  } %>

<%  if( !"".equals(storage.getDetailMessage()) ) { %>
	<DETAIL-MESSAGE><![CDATA[<%= storage.getDetailMessage() %>]]></DETAIL-MESSAGE>
<%  } %>



<%  if( ctx.getResultType().equalsIgnoreCase("SELECT") || ctx.getResultType().equalsIgnoreCase("VALUEOBJECT") ) { %>
<%		ValueObject vo = storage.getValueObject(ctx.getResultType()); %>

<%
	//System.out.println("--------------->" + vo);

%>


	<VALUE-OBJECT size="<%= vo.size() %>">
<%		for( int i = 0 ; i < vo.size() ; i++ ) { %>
		<VALUE name="<%= vo.getKey(i) %>"><![CDATA[<%= vo.get(i) %>]]></VALUE>
<%		} %>
	</VALUE-OBJECT>
<%	} %>



<%  if( ctx.getResultType().equalsIgnoreCase("ROWSET") ) { %>
<%		RowSet rowSet = storage.getRowSet("ROWSET"); %>
<%		if( rowSet == null )
			rowSet = new RowSetImpl(); %>
	<ROW-SET cols="<%= rowSet.getColumnSize() %>" rows="<%= rowSet.size() %>">
<%		for( int i = 0 ; i < rowSet.size() ; i++ ) { %>
		<ROW index="<%= i %>"> 
<%			for( int j = 0 ; j < rowSet.getColumnSize() ; j++ ) { %>
			<COLUMN name="<%= rowSet.getColumn(i, j).getName() %>"><![CDATA[<%= rowSet.getRow(i).get(j) %>]]></COLUMN> 
<%			} %>
		</ROW>
<%		} %>
	</ROW-SET>
<%	} %>
</RESULT>

<%  // 업로드 컴포넌트 처리시에 정보 추가
    if( storage.isMultiPart() ) { %>
</pre>
<%  } %>